%   ORIGINAL: COND_ABS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: TRUTH: T
% Goal: !b f g. (\x. if b then f x else g x) = (if b then f else g)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: T
% Goal: !b f g. (\x. if b then f x else g x) = (if b then f else g)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ccond0, type, cond0 : ($o > (a > b) > (a > b) > a > b)).
thf(ccond, type, cond : ($o > b > b > b)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > b),G:(a > a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:(a > b),T2:(a > b)]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:$o,F:(a > b),G:(a > b)]:(^[X:a]:(cond @ B @ (F @ X) @ (G @ X)) = (cond0 @ B @ F @ G))).
