%   ORIGINAL: UNIQUE_SKOLEM_THM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: TRUTH: T
% Goal: !P. (!x. ?!y. P x y) <=> (?!f. !x. P x (f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: T
% Goal: !P. (!x. (?y. P x y) /\ (!y x'. P x y /\ P x x' ==> y = x')) <=> (?f. !x. P x (f x)) /\ (!f x'. (!x. P x (f x)) /\ (!x. P x (x' x)) ==> f = x')
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ccond2, type, cond2 : ($o > a > a > a)).
thf(ccond1, type, cond1 : ($o > b > b > b)).
thf(ccond0, type, cond0 : ($o > $o > $o > $o)).
thf(ccond, type, cond : ($o > (a > b) > (a > b) > a > b)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSESu_monomorphized2, axiom, ![T1:(a > b),T2:(a > b)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:$o,T2:$o]:(((cond0 @ $true @ T1 @ T2) <=> T1) & ((cond0 @ $false @ T1 @ T2) <=> T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:b,T2:b]:(((cond1 @ $true @ T1 @ T2) = T1) & ((cond1 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond2 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(a > b > $o)]:(![X:a]:(?[Y:b]:(P @ X @ Y) & ![Y:b,XI_:b]:(((P @ X @ Y) & (P @ X @ XI_)) => (Y = XI_))) <=> (?[F:(a > b)]:![X:a]:(P @ X @ (F @ X)) & ![F:(a > b),XI_:(a > b)]:((![X:a]:(P @ X @ (F @ X)) & ![X:a]:(P @ X @ (XI_ @ X))) => (F = XI_))))).
