%   ORIGINAL: IND_SUC_0_EXISTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INFINITY_AX: ?f. ONE_ONE f /\ ~ONTO f
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ONE_ONE: !f. ONE_ONE f <=> (!x1 x2. f x1 = f x2 ==> x1 = x2)
% Assm: ONTO: !f. ONTO f <=> (!y. ?x. y = f x)
% Assm: TRUTH: T
% Goal: ?f z. (!x1 x2. f x1 = f x2 <=> x1 = x2) /\ (!x. ~(f x = z))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ?f. ONE_ONE f /\ ~ONTO f
% Assm: ~F <=> T
% Assm: !f. ONE_ONE f <=> (!x1 x2. f x1 = f x2 ==> x1 = x2)
% Assm: !f. ONE_ONE f <=> (!x1 x2. (f x1 <=> f x2) ==> x1 = x2)
% Assm: !f. ONE_ONE f <=> (!x1 x2. f x1 = f x2 ==> (x1 <=> x2))
% Assm: !f. ONE_ONE f <=> (!x1 x2. (f x1 <=> f x2) ==> (x1 <=> x2))
% Assm: !f. ONTO f <=> (!y. ?x. y = f x)
% Assm: !f. ONTO f <=> (!y. ?x. y <=> f x)
% Assm: T
% Goal: ?f z. (!x1 x2. f x1 = f x2 <=> x1 = x2) /\ (!x. ~(f x = z))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tind, type, ind : $tType).
%  CONSTS
thf(conto1, type, onto1 : ((a > $o) > $o)).
thf(conto0, type, onto0 : ((a > ind) > $o)).
thf(coneuu_one2, type, oneu_one2 : (($o > $o) > $o)).
thf(coneuu_one1, type, oneu_one1 : (($o > ind) > $o)).
thf(coneuu_one0, type, oneu_one0 : ((ind > $o) > $o)).
thf(conto, type, onto : ((ind > ind) > $o)).
thf(coneuu_one, type, oneu_one : ((ind > ind) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > ind),G:(a > ind)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINFINITYu_AX, axiom, ?[F:(ind > ind)]:((oneu_one @ F) & ~ ((onto @ F)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aONEu_ONEu_monomorphized3, axiom, ![F:(ind > ind)]:((oneu_one @ F) <=> ![X1:ind,X2:ind]:(((F @ X1) = (F @ X2)) => (X1 = X2)))).
thf(aONEu_ONEu_monomorphized2, axiom, ![F:(ind > $o)]:((oneu_one0 @ F) <=> ![X1:ind,X2:ind]:(((F @ X1) <=> (F @ X2)) => (X1 = X2)))).
thf(aONEu_ONEu_monomorphized1, axiom, ![F:($o > ind)]:((oneu_one1 @ F) <=> ![X1:$o,X2:$o]:(((F @ X1) = (F @ X2)) => (X1 <=> X2)))).
thf(aONEu_ONEu_monomorphized0, axiom, ![F:($o > $o)]:((oneu_one2 @ F) <=> ![X1:$o,X2:$o]:(((F @ X1) <=> (F @ X2)) => (X1 <=> X2)))).
thf(aONTOu_monomorphized1, axiom, ![F:(a > ind)]:((onto0 @ F) <=> ![Y:ind]:?[X:a]:(Y = (F @ X)))).
thf(aONTOu_monomorphized0, axiom, ![F:(a > $o)]:((onto1 @ F) <=> ![Y:$o]:?[X:a]:(Y <=> (F @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ?[F:(ind > ind),Z:ind]:(![X1:ind,X2:ind]:(((F @ X1) = (F @ X2)) <=> (X1 = X2)) & ![X:ind]:~ (((F @ X) = Z)))).
