%   ORIGINAL: LT_ANTISYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LT_SUC: !m n. SUC m < SUC n <=> m < n
% Assm: LT_conjunct0: !m. m < 0 <=> F
% Assm: LT_conjunct1: !m n. m < SUC n <=> m = n \/ m < n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n. ~(m < n /\ n < m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. SUC m < SUC n <=> m < n
% Assm: !m. m < 0 <=> F
% Assm: !m n. m < SUC n <=> m = n \/ m < n
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n. ~(m < n /\ n < m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLTu_SUC, axiom, ![M:num,N:num]:((l_ @ (suc @ M) @ (suc @ N)) <=> (l_ @ M @ N))).
thf(aLTu_conjunct0, axiom, ![M:num]:((l_ @ M @ (numeral @ u_0)) <=> $false)).
thf(aLTu_conjunct1, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> ((M = N) | (l_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![M:num,N:num]:~ (((l_ @ M @ N) & (l_ @ N @ M)))).
