%   ORIGINAL: NOT_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LE_0: !n. 0 <= n
% Assm: LE_SUC: !m n. SUC m <= SUC n <=> m <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: LT_0: !n. 0 < SUC n
% Assm: LT_SUC: !m n. SUC m < SUC n <=> m < n
% Assm: LT_conjunct0: !m. m < 0 <=> F
% Assm: LT_conjunct1: !m n. m < SUC n <=> m = n \/ m < n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n. ~(m <= n) <=> n < m
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n. 0 <= n
% Assm: !m n. SUC m <= SUC n <=> m <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 < SUC n
% Assm: !m n. SUC m < SUC n <=> m < n
% Assm: !m. m < 0 <=> F
% Assm: !m n. m < SUC n <=> m = n \/ m < n
% Assm: ~F <=> T
% Assm: !n. ~(SUC n = 0)
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n. ~(m <= n) <=> n < m
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_SUC, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aLTu_0, axiom, ![N:num]:(l_ @ (numeral @ u_0) @ (suc @ N))).
thf(aLTu_SUC, axiom, ![M:num,N:num]:((l_ @ (suc @ M) @ (suc @ N)) <=> (l_ @ M @ N))).
thf(aLTu_conjunct0, axiom, ![M:num]:((l_ @ M @ (numeral @ u_0)) <=> $false)).
thf(aLTu_conjunct1, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> ((M = N) | (l_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
