%   ORIGINAL: LT_LMULT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EQ_MULT_LCANCEL: !m n p. m * n = m * p <=> m = 0 \/ n = p
% Assm: LE_MULT2: !m n p q. m <= n /\ p <= q ==> m * p <= n * q
% Assm: LE_REFL: !n. n <= n
% Assm: LT_LE: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !m n p. ~(m = 0) /\ n < p ==> m * n < m * p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n p. m * n = m * p <=> m = 0 \/ n = p
% Assm: !m n p q. m <= n /\ p <= q ==> m * p <= n * q
% Assm: !n. n <= n
% Assm: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: ~F <=> T
% Assm: T
% Goal: !m n p. ~(m = 0) /\ n < p ==> m * n < m * p
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEQu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:(((t_ @ M @ N) = (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (N = P)))).
thf(aLEu_MULT2, axiom, ![M:num,N:num,P:num,Q:num]:(((l_a_ @ M @ N) & (l_a_ @ P @ Q)) => (l_a_ @ (t_ @ M @ P) @ (t_ @ N @ Q)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLTu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ((l_a_ @ M @ N) & ~ ((M = N))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,P:num]:((~ ((M = (numeral @ u_0))) & (l_ @ N @ P)) => (l_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
