%   ORIGINAL: EVEN_EXP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EVEN_MULT: !m n. EVEN (m * n) <=> EVEN m \/ EVEN n
% Assm: EVEN_conjunct0: EVEN 0 <=> T
% Assm: EVEN_conjunct1: !n. EVEN (SUC n) <=> ~EVEN n
% Assm: EXP_conjunct0: !m. m EXP 0 = 1
% Assm: EXP_conjunct1: !m n. m EXP SUC n = m * m EXP n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: ONE: 1 = SUC 0
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n. EVEN (m EXP n) <=> EVEN m /\ ~(n = 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. EVEN (m * n) <=> EVEN m \/ EVEN n
% Assm: EVEN 0 <=> T
% Assm: !n. EVEN (SUC n) <=> ~EVEN n
% Assm: !m. m EXP 0 = 1
% Assm: !m n. m EXP SUC n = m * m EXP n
% Assm: ~F <=> T
% Assm: !n. ~(SUC n = 0)
% Assm: 1 = SUC 0
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n. EVEN (m EXP n) <=> EVEN m /\ ~(n = 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cexp, type, exp : (num > num > num)).
thf(ceven, type, even : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEVENu_MULT, axiom, ![M:num,N:num]:((even @ (t_ @ M @ N)) <=> ((even @ M) | (even @ N)))).
thf(aEVENu_conjunct0, axiom, ((even @ (numeral @ u_0)) <=> $true)).
thf(aEVENu_conjunct1, axiom, ![N:num]:((even @ (suc @ N)) <=> ~ ((even @ N)))).
thf(aEXPu_conjunct0, axiom, ![M:num]:((exp @ M @ (numeral @ u_0)) = (numeral @ (bit1 @ u_0)))).
thf(aEXPu_conjunct1, axiom, ![M:num,N:num]:((exp @ M @ (suc @ N)) = (t_ @ M @ (exp @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![M:num,N:num]:((even @ (exp @ M @ N)) <=> ((even @ M) & ~ ((N = (numeral @ u_0)))))).
