%   ORIGINAL: EVEN_EXISTS_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: EVEN_conjunct0: EVEN 0 <=> T
% Assm: EVEN_conjunct1: !n. EVEN (SUC n) <=> ~EVEN n
% Assm: MULT_2: !n. 2 * n = n + n
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !n. (EVEN n ==> (?m. n = 2 * m)) /\ (~EVEN n ==> (?m. n = SUC (2 * m)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: EVEN 0 <=> T
% Assm: !n. EVEN (SUC n) <=> ~EVEN n
% Assm: !n. 2 * n = n + n
% Assm: !m. m * 0 = 0
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !n. (EVEN n ==> (?m. n = 2 * m)) /\ (~EVEN n ==> (?m. n = SUC (2 * m)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(ceven, type, even : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aEVENu_conjunct0, axiom, ((even @ (numeral @ u_0)) <=> $true)).
thf(aEVENu_conjunct1, axiom, ![N:num]:((even @ (suc @ N)) <=> ~ ((even @ N)))).
thf(aMULTu_2, axiom, ![N:num]:((t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N) = (p_ @ N @ N))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![N:num]:(((even @ N) => ?[M:num]:(N = (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ M))) & (~ ((even @ N)) => ?[M:num]:(N = (suc @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ M)))))).
