%   ORIGINAL: EVEN_ODD_DECOMPOSITION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVEN_EXISTS: !n. EVEN n <=> (?m. n = 2 * m)
% Assm: EVEN_OR_ODD: !n. EVEN n \/ ODD n
% Assm: EXP_EQ_0: !m n. m EXP n = 0 <=> m = 0 /\ ~(n = 0)
% Assm: EXP_conjunct0: !m. m EXP 0 = 1
% Assm: EXP_conjunct1: !m n. m EXP SUC n = m * m EXP n
% Assm: LT_MULT_RCANCEL: !m n p. m * p < n * p <=> m < n /\ ~(p = 0)
% Assm: LT_conjunct0: !m. m < 0 <=> F
% Assm: LT_conjunct1: !m n. m < SUC n <=> m = n \/ m < n
% Assm: MULT_ASSOC: !m n p. m * n * p = (m * n) * p
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: MULT_EQ_0: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: ODD_conjunct0: ODD 0 <=> F
% Assm: ODD_conjunct1: !n. ODD (SUC n) <=> ~ODD n
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: num_WF: !P. (!n. (!m. m < n ==> P m) ==> P n) ==> (!n. P n)
% Goal: !n. (?k m. ODD m /\ n = 2 EXP k * m) <=> ~(n = 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !n. EVEN n <=> (?m. n = 2 * m)
% Assm: !n. EVEN n \/ ODD n
% Assm: !m n. m EXP n = 0 <=> m = 0 /\ ~(n = 0)
% Assm: !m. m EXP 0 = 1
% Assm: !m n. m EXP SUC n = m * m EXP n
% Assm: !m n p. m * p < n * p <=> m < n /\ ~(p = 0)
% Assm: !m. m < 0 <=> F
% Assm: !m n. m < SUC n <=> m = n \/ m < n
% Assm: !m n p. m * n * p = (m * n) * p
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: ~F <=> T
% Assm: !n. ~(SUC n = 0)
% Assm: ODD 0 <=> F
% Assm: !n. ODD (SUC n) <=> ~ODD n
% Assm: T
% Assm: 2 = SUC 1
% Assm: !P. (!n. (!m. m < n ==> P m) ==> P n) ==> (!n. P n)
% Goal: !n. (?k m. ODD m /\ n = 2 EXP k * m) <=> ~(n = 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cexp, type, exp : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(ceven, type, even : (num > $o)).
thf(codd, type, odd : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEVENu_EXISTS, axiom, ![N:num]:((even @ N) <=> ?[M:num]:(N = (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ M)))).
thf(aEVENu_ORu_ODD, axiom, ![N:num]:((even @ N) | (odd @ N))).
thf(aEXPu_EQu_0, axiom, ![M:num,N:num]:(((exp @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & ~ ((N = (numeral @ u_0)))))).
thf(aEXPu_conjunct0, axiom, ![M:num]:((exp @ M @ (numeral @ u_0)) = (numeral @ (bit1 @ u_0)))).
thf(aEXPu_conjunct1, axiom, ![M:num,N:num]:((exp @ M @ (suc @ N)) = (t_ @ M @ (exp @ M @ N)))).
thf(aLTu_MULTu_RCANCEL, axiom, ![M:num,N:num,P:num]:((l_ @ (t_ @ M @ P) @ (t_ @ N @ P)) <=> ((l_ @ M @ N) & ~ ((P = (numeral @ u_0)))))).
thf(aLTu_conjunct0, axiom, ![M:num]:((l_ @ M @ (numeral @ u_0)) <=> $false)).
thf(aLTu_conjunct1, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> ((M = N) | (l_ @ M @ N)))).
thf(aMULTu_ASSOC, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (t_ @ N @ P)) = (t_ @ (t_ @ M @ N) @ P))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMULTu_EQu_0, axiom, ![M:num,N:num]:(((t_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) | (N = (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aODDu_conjunct0, axiom, ((odd @ (numeral @ u_0)) <=> $false)).
thf(aODDu_conjunct1, axiom, ![N:num]:((odd @ (suc @ N)) <=> ~ ((odd @ N)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(anumu_WF, axiom, ![P:(num > $o)]:(![N:num]:(![M:num]:((l_ @ M @ N) => (P @ M)) => (P @ N)) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![N:num]:(?[K:num,M:num]:((odd @ M) & (N = (t_ @ (exp @ (numeral @ (bit0 @ (bit1 @ u_0))) @ K) @ M))) <=> ~ ((N = (numeral @ u_0))))).
