%   ORIGINAL: LEFT_SUB_DISTRIB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_SUB: !m n. (m + n) - n = m
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_CASES: !m n. m <= n \/ n <= m
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LE_MULT_LCANCEL: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: SUB_EQ_0: !m n. m - n = 0 <=> m <= n
% Assm: TRUTH: T
% Goal: !m n p. m * (n - p) = m * n - m * p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !m n. (m + n) - n = m
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !m n. m <= n \/ n <= m
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: !m. m * 0 = 0
% Assm: !m n. m - n = 0 <=> m <= n
% Assm: T
% Goal: !m n p. m * (n - p) = m * n - m * p
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_SUB, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ N) = M)).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_CASES, axiom, ![M:num,N:num]:((l_a_ @ M @ N) | (l_a_ @ N @ M))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLEu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ N) @ (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (l_a_ @ N @ P)))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aSUBu_EQu_0, axiom, ![M:num,N:num]:(((m_ @ M @ N) = (numeral @ u_0)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,P:num]:((t_ @ M @ (m_ @ N @ P)) = (m_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
