%   ORIGINAL: FACT_MONO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: FACT_conjunct1: !n. FACT (SUC n) = SUC n * FACT n
% Assm: LE_0: !n. 0 <= n
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LE_MULT_RCANCEL: !m n p. m * p <= n * p <=> m <= n \/ p = 0
% Assm: LE_REFL: !n. n <= n
% Assm: LE_SUC: !m n. SUC m <= SUC n <=> m <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: ONE: 1 = SUC 0
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n. m <= n ==> FACT m <= FACT n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m. m + 0 = m
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. FACT (SUC n) = SUC n * FACT n
% Assm: !n. 0 <= n
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !m n p. m * p <= n * p <=> m <= n \/ p = 0
% Assm: !n. n <= n
% Assm: !m n. SUC m <= SUC n <=> m <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !n. 1 * n = n
% Assm: 1 = SUC 0
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n. m <= n ==> FACT m <= FACT n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cfact, type, fact : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aFACTu_conjunct1, axiom, ![N:num]:((fact @ (suc @ N)) = (t_ @ (suc @ N) @ (fact @ N)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLEu_MULTu_RCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ P) @ (t_ @ N @ P)) <=> ((l_a_ @ M @ N) | (P = (numeral @ u_0))))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_SUC, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![M:num,N:num]:((l_a_ @ M @ N) => (l_a_ @ (fact @ M) @ (fact @ N)))).
