%   ORIGINAL: EQ_EXP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_EXP: !x m n. x EXP m <= x EXP n <=> (if x = 0 then m = 0 ==> n = 0 else x = 1 \/ m <= n)
% Assm: TRUTH: T
% Goal: !x m n. x EXP m = x EXP n <=> (if x = 0 then m = 0 <=> n = 0 else x = 1 \/ m = n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !x m n. x EXP m <= x EXP n <=> (if x = 0 then m = 0 ==> n = 0 else x = 1 \/ m <= n)
% Assm: T
% Goal: !x m n. x EXP m = x EXP n <=> (if x = 0 then m = 0 <=> n = 0 else x = 1 \/ m = n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cexp, type, exp : (num > num > num)).
thf(ccond, type, cond : ($o > $o > $o > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:$o,T2:$o]:(((cond @ $true @ T1 @ T2) <=> T1) & ((cond @ $false @ T1 @ T2) <=> T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:$o,C:$o,P:($o > $o),Y:$o]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_EXP, axiom, ![X:num,M:num,N:num]:((l_a_ @ (exp @ X @ M) @ (exp @ X @ N)) <=> (cond @ (X = (numeral @ u_0)) @ ((M = (numeral @ u_0)) => (N = (numeral @ u_0))) @ ((X = (numeral @ (bit1 @ u_0))) | (l_a_ @ M @ N))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:num,M:num,N:num]:(((exp @ X @ M) = (exp @ X @ N)) <=> (cond @ (X = (numeral @ u_0)) @ ((M = (numeral @ u_0)) <=> (N = (numeral @ u_0))) @ ((X = (numeral @ (bit1 @ u_0))) | (M = N))))).
