%   ORIGINAL: DIVMOD_EXIST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_ASSOC: !m n p. m + n + p = (m + n) + p
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: LT_ADDR: !m n. n < m + n <=> 0 < m
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Assm: num_WOP: !P. (?n. P n) <=> (?n. P n /\ (!m. m < n ==> ~P m))
% Goal: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. m + n + p = (m + n) + p
% Assm: !n. 0 + n = n
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m n. n < m + n <=> 0 < m
% Assm: !n. 0 * n = 0
% Assm: !n. 1 * n = n
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Assm: !P. (?n. P n) <=> (?n. P n /\ (!m. m < n ==> ~P m))
% Goal: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ASSOC, axiom, ![M:num,N:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ (p_ @ M @ N) @ P))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aLTu_ADDR, axiom, ![M:num,N:num]:((l_ @ N @ (p_ @ M @ N)) <=> (l_ @ (numeral @ u_0) @ M))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(anumu_WOP, axiom, ![P:(num > $o)]:(?[N:num]:(P @ N) <=> ?[N:num]:((P @ N) & ![M:num]:((l_ @ M @ N) => ~ ((P @ M)))))).
thf(conjecture, conjecture, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ?[Q:num,R:num]:((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)))).
