%   ORIGINAL: DIVMOD_EXIST_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DIVMOD_EXIST: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !m n. ?q r. if n = 0 then q = 0 /\ r = m else m = q * n + r /\ r < n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
% Assm: ~F <=> T
% Assm: T
% Goal: !m n. ?q r. if n = 0 then q = 0 /\ r = m else m = q * n + r /\ r < n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ccond, type, cond : ($o > $o > $o > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:$o,T2:$o]:(((cond @ $true @ T1 @ T2) <=> T1) & ((cond @ $false @ T1 @ T2) <=> T2))).
thf(aDIVMODu_EXIST, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ?[Q:num,R:num]:((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num]:?[Q:num,R:num]:(cond @ (N = (numeral @ u_0)) @ ((Q = (numeral @ u_0)) & (R = M)) @ ((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)))).
