%   ORIGINAL: DIVMOD_UNIQ_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: EQ_ADD_LCANCEL: !m n p. m + n = m + p <=> n = p
% Assm: EQ_ADD_RCANCEL: !m n p. m + p = n + p <=> m = n
% Assm: EQ_MULT_RCANCEL: !m n p. m * p = n * p <=> m = n \/ p = 0
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ADD: !m n. m <= m + n
% Assm: LE_CASES: !m n. m <= n \/ n <= m
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n q1 r1 q2 r2. (m = q1 * n + r1 /\ r1 < n) /\ m = q2 * n + r2 /\ r2 < n ==> q1 = q2 /\ r1 = r2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n. 0 + n = n
% Assm: !m n p. m + n = m + p <=> n = p
% Assm: !m n p. m + p = n + p <=> m = n
% Assm: !m n p. m * p = n * p <=> m = n \/ p = 0
% Assm: !n. 0 <= n
% Assm: !m n. m <= m + n
% Assm: !m n. m <= n \/ n <= m
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !n m. m * n = n * m
% Assm: !m. m * 0 = 0
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n q1 r1 q2 r2. (m = q1 * n + r1 /\ r1 < n) /\ m = q2 * n + r2 /\ r2 < n ==> q1 = q2 /\ r1 = r2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aEQu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:(((p_ @ M @ N) = (p_ @ M @ P)) <=> (N = P))).
thf(aEQu_ADDu_RCANCEL, axiom, ![M:num,N:num,P:num]:(((p_ @ M @ P) = (p_ @ N @ P)) <=> (M = N))).
thf(aEQu_MULTu_RCANCEL, axiom, ![M:num,N:num,P:num]:(((t_ @ M @ P) = (t_ @ N @ P)) <=> ((M = N) | (P = (numeral @ u_0))))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aLEu_CASES, axiom, ![M:num,N:num]:((l_a_ @ M @ N) | (l_a_ @ N @ M))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![M:num,N:num,Q1:num,R1:num,Q2:num,R2:num]:(((M = (p_ @ (t_ @ Q1 @ N) @ R1)) & (l_ @ R1 @ N) & (M = (p_ @ (t_ @ Q2 @ N) @ R2)) & (l_ @ R2 @ N)) => ((Q1 = Q2) & (R1 = R2)))).
