%   ORIGINAL: DIVMOD_UNIQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIVISION: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: DIVMOD_UNIQ_LEMMA: !m n q1 r1 q2 r2. (m = q1 * n + r1 /\ r1 < n) /\ m = q2 * n + r2 /\ r2 < n ==> q1 = q2 /\ r1 = r2
% Assm: LE_0: !n. 0 <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Goal: !m n q r. m = q * n + r /\ r < n ==> m DIV n = q /\ m MOD n = r
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: !m n q1 r1 q2 r2. (m = q1 * n + r1 /\ r1 < n) /\ m = q2 * n + r2 /\ r2 < n ==> q1 = q2 /\ r1 = r2
% Assm: !n. 0 <= n
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Goal: !m n q r. m = q * n + r /\ r < n ==> m DIV n = q /\ m MOD n = r
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmod, type, mod : (num > num > num)).
thf(cdiv, type, div : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIVISION, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((M = (p_ @ (t_ @ (div @ M @ N) @ N) @ (mod @ M @ N))) & (l_ @ (mod @ M @ N) @ N)))).
thf(aDIVMODu_UNIQu_LEMMA, axiom, ![M:num,N:num,Q1:num,R1:num,Q2:num,R2:num]:(((M = (p_ @ (t_ @ Q1 @ N) @ R1)) & (l_ @ R1 @ N) & (M = (p_ @ (t_ @ Q2 @ N) @ R2)) & (l_ @ R2 @ N)) => ((Q1 = Q2) & (R1 = R2)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,Q:num,R:num]:(((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)) => (((div @ M @ N) = Q) & ((mod @ M @ N) = R)))).
