%   ORIGINAL: MOD_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: DIVISION: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: MOD_UNIQ: !m n q r. m = q * n + r /\ r < n ==> m MOD n = r
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Goal: !m n p q. m = n + q * p ==> m MOD p = n MOD p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !m. m + 0 = m
% Assm: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: !m n q r. m = q * n + r /\ r < n ==> m MOD n = r
% Assm: !m. m * 0 = 0
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Goal: !m n p q. m = n + q * p ==> m MOD p = n MOD p
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cdiv, type, div : (num > num > num)).
thf(cmod, type, mod : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aDIVISION, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((M = (p_ @ (t_ @ (div @ M @ N) @ N) @ (mod @ M @ N))) & (l_ @ (mod @ M @ N) @ N)))).
thf(aMODu_UNIQ, axiom, ![M:num,N:num,Q:num,R:num]:(((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)) => ((mod @ M @ N) = R))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,P:num,Q:num]:((M = (p_ @ N @ (t_ @ Q @ P))) => ((mod @ M @ P) = (mod @ N @ P)))).
