%   ORIGINAL: LE_RDIV_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD1: !m. SUC m = m + 1
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIVISION: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: DIV_MUL_LE: !m n. n * m DIV n <= m
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LET_TRANS: !m n p. m <= n /\ n < p ==> m < p
% Assm: LE_MULT_LCANCEL: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LT_ADD_LCANCEL: !m n p. m + n < m + p <=> n < p
% Assm: LT_MULT_LCANCEL: !m n p. m * n < m * p <=> ~(m = 0) /\ n < p
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b n. ~(a = 0) ==> (n <= b DIV a <=> a * n <= b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !m. SUC m = m + 1
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: !m n. n * m DIV n <= m
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !m n p. m <= n /\ n < p ==> m < p
% Assm: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m n p. m + n < m + p <=> n < p
% Assm: !m n p. m * n < m * p <=> ~(m = 0) /\ n < p
% Assm: !m n. m < SUC n <=> m <= n
% Assm: !n m. m * n = n * m
% Assm: !m. m * 1 = m
% Assm: ~F <=> T
% Assm: T
% Goal: !a b n. ~(a = 0) ==> (n <= b DIV a <=> a * n <= b)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cmod, type, mod : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cdiv, type, div : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIVISION, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((M = (p_ @ (t_ @ (div @ M @ N) @ N) @ (mod @ M @ N))) & (l_ @ (mod @ M @ N) @ N)))).
thf(aDIVu_MULu_LE, axiom, ![M:num,N:num]:(l_a_ @ (t_ @ N @ (div @ M @ N)) @ M)).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLETu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_ @ N @ P)) => (l_ @ M @ P))).
thf(aLEu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ N) @ (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (l_a_ @ N @ P)))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLTu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_ @ N @ P))).
thf(aLTu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_ @ (t_ @ M @ N) @ (t_ @ M @ P)) <=> (~ ((M = (numeral @ u_0))) & (l_ @ N @ P)))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:num,B:num,N:num]:(~ ((A = (numeral @ u_0))) => ((l_a_ @ N @ (div @ B @ A)) <=> (l_a_ @ (t_ @ A @ N) @ B)))).
