%   ORIGINAL: LE_LDIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LET_TRANS: !m n p. m <= n /\ n < p ==> m < p
% Assm: LE_LDIV_EQ: !a b n. ~(a = 0) ==> (b DIV a <= n <=> b < a * (n + 1))
% Assm: LT_ADD: !m n. m < m + n <=> 0 < n
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b n. ~(a = 0) /\ b <= a * n ==> b DIV a <= n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !m n p. m <= n /\ n < p ==> m < p
% Assm: !a b n. ~(a = 0) ==> (b DIV a <= n <=> b < a * (n + 1))
% Assm: !m n. m < m + n <=> 0 < n
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !m. m * 1 = m
% Assm: ~F <=> T
% Assm: T
% Goal: !a b n. ~(a = 0) /\ b <= a * n ==> b DIV a <= n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdiv, type, div : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLETu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_ @ N @ P)) => (l_ @ M @ P))).
thf(aLEu_LDIVu_EQ, axiom, ![A:num,B:num,N:num]:(~ ((A = (numeral @ u_0))) => ((l_a_ @ (div @ B @ A) @ N) <=> (l_ @ B @ (t_ @ A @ (p_ @ N @ (numeral @ (bit1 @ u_0)))))))).
thf(aLTu_ADD, axiom, ![M:num,N:num]:((l_ @ M @ (p_ @ M @ N)) <=> (l_ @ (numeral @ u_0) @ N))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:num,B:num,N:num]:((~ ((A = (numeral @ u_0))) & (l_a_ @ B @ (t_ @ A @ N))) => (l_a_ @ (div @ B @ A) @ N))).
