%   ORIGINAL: DIV_MONO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LE_RDIV_EQ: !a b n. ~(a = 0) ==> (n <= b DIV a <=> a * n <= b)
% Assm: LE_REFL: !n. n <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !m n p. ~(p = 0) /\ m <= n ==> m DIV p <= n DIV p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !a b n. ~(a = 0) ==> (n <= b DIV a <=> a * n <= b)
% Assm: !n. n <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: ~F <=> T
% Assm: T
% Goal: !m n p. ~(p = 0) /\ m <= n ==> m DIV p <= n DIV p
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cdiv, type, div : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLEu_RDIVu_EQ, axiom, ![A:num,B:num,N:num]:(~ ((A = (numeral @ u_0))) => ((l_a_ @ N @ (div @ B @ A)) <=> (l_a_ @ (t_ @ A @ N) @ B)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,P:num]:((~ ((P = (numeral @ u_0))) & (l_a_ @ M @ N)) => (l_a_ @ (div @ M @ P) @ (div @ N @ P)))).
