%   ORIGINAL: MOD_MULT_RMOD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: DIVISION: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: EQ_MULT_LCANCEL: !m n p. m * n = m * p <=> m = 0 \/ n = p
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: MOD_EQ: !m n p q. m = n + q * p ==> m MOD p = n MOD p
% Assm: MULT_AC_conjunct1: (m * n) * p = m * n * p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !m n p. ~(n = 0) ==> (m * p MOD n) MOD n = (m * p) MOD n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n m. m + n = n + m
% Assm: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: !m n p. m * n = m * p <=> m = 0 \/ n = p
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !m n p q. m = n + q * p ==> m MOD p = n MOD p
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: ~F <=> T
% Assm: T
% Goal: !m n p. ~(n = 0) ==> (m * p MOD n) MOD n = (m * p) MOD n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cdiv, type, div : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cmod, type, mod : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aDIVISION, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((M = (p_ @ (t_ @ (div @ M @ N) @ N) @ (mod @ M @ N))) & (l_ @ (mod @ M @ N) @ N)))).
thf(aEQu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:(((t_ @ M @ N) = (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (N = P)))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aMODu_EQ, axiom, ![M:num,N:num,P:num,Q:num]:((M = (p_ @ N @ (t_ @ Q @ P))) => ((mod @ M @ P) = (mod @ N @ P)))).
thf(aMULTu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((t_ @ (t_ @ M @ N) @ P) = (t_ @ M @ (t_ @ N @ P)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,P:num]:(~ ((N = (numeral @ u_0))) => ((mod @ (t_ @ M @ (mod @ P @ N)) @ N) = (mod @ (t_ @ M @ P) @ N)))).
