%   ORIGINAL: DIV_MULT_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIVISION: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: DIV_UNIQ: !m n q r. m = q * n + r /\ r < n ==> m DIV n = q
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Goal: !a b n. ~(n = 0) ==> (a * n + b) DIV n = a + b DIV n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: !m n q r. m = q * n + r /\ r < n ==> m DIV n = q
% Assm: ~F <=> T
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Goal: !a b n. ~(n = 0) ==> (a * n + b) DIV n = a + b DIV n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cmod, type, mod : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdiv, type, div : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIVISION, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((M = (p_ @ (t_ @ (div @ M @ N) @ N) @ (mod @ M @ N))) & (l_ @ (mod @ M @ N) @ N)))).
thf(aDIVu_UNIQ, axiom, ![M:num,N:num,Q:num,R:num]:(((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)) => ((div @ M @ N) = Q))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:num,B:num,N:num]:(~ ((N = (numeral @ u_0))) => ((div @ (p_ @ (t_ @ A @ N) @ B) @ N) = (p_ @ A @ (div @ B @ N))))).
