%   ORIGINAL: DIV_ADD_MOD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: DIVISION: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: EQ_ADD_LCANCEL: !m n p. m + n = m + p <=> n = p
% Assm: EQ_ADD_RCANCEL: !m n p. m + p = n + p <=> m = n
% Assm: EQ_MULT_RCANCEL: !m n p. m * p = n * p <=> m = n \/ p = 0
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Goal: !a b n. ~(n = 0) ==> ((a + b) MOD n = a MOD n + b MOD n <=> (a + b) DIV n = a DIV n + b DIV n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: !m n p. m + n = m + p <=> n = p
% Assm: !m n p. m + p = n + p <=> m = n
% Assm: !m n p. m * p = n * p <=> m = n \/ p = 0
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Goal: !a b n. ~(n = 0) ==> ((a + b) MOD n = a MOD n + b MOD n <=> (a + b) DIV n = a DIV n + b DIV n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cdiv, type, div : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmod, type, mod : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aDIVISION, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((M = (p_ @ (t_ @ (div @ M @ N) @ N) @ (mod @ M @ N))) & (l_ @ (mod @ M @ N) @ N)))).
thf(aEQu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:(((p_ @ M @ N) = (p_ @ M @ P)) <=> (N = P))).
thf(aEQu_ADDu_RCANCEL, axiom, ![M:num,N:num,P:num]:(((p_ @ M @ P) = (p_ @ N @ P)) <=> (M = N))).
thf(aEQu_MULTu_RCANCEL, axiom, ![M:num,N:num,P:num]:(((t_ @ M @ P) = (t_ @ N @ P)) <=> ((M = N) | (P = (numeral @ u_0))))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:num,B:num,N:num]:(~ ((N = (numeral @ u_0))) => (((mod @ (p_ @ A @ B) @ N) = (p_ @ (mod @ A @ N) @ (mod @ B @ N))) <=> ((div @ (p_ @ A @ B) @ N) = (p_ @ (div @ A @ N) @ (div @ B @ N)))))).
