%   ORIGINAL: DIV_EQ_EXCLUSION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIV_LE_EXCLUSION: !a b c d. ~(b = 0) /\ b * c < (a + 1) * d ==> c DIV d <= a DIV b
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LT_conjunct0: !m. m < 0 <=> F
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_SYM: !m n. m * n = n * m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: b * c < (a + 1) * d /\ a * d < (c + 1) * b ==> a DIV b = c DIV d
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b c d. ~(b = 0) /\ b * c < (a + 1) * d ==> c DIV d <= a DIV b
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m < 0 <=> F
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !m n. m * n = n * m
% Assm: ~F <=> T
% Assm: T
% Goal: !d c b a. b * c < (a + 1) * d /\ a * d < (c + 1) * b ==> a DIV b = c DIV d
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdiv, type, div : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIVu_LEu_EXCLUSION, axiom, ![A:num,B:num,C:num,D:num]:((~ ((B = (numeral @ u_0))) & (l_ @ (t_ @ B @ C) @ (t_ @ (p_ @ A @ (numeral @ (bit1 @ u_0))) @ D))) => (l_a_ @ (div @ C @ D) @ (div @ A @ B)))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLTu_conjunct0, axiom, ![M:num]:((l_ @ M @ (numeral @ u_0)) <=> $false)).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_SYM, axiom, ![M:num,N:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![D:num,C:num,B:num,A:num]:(((l_ @ (t_ @ B @ C) @ (t_ @ (p_ @ A @ (numeral @ (bit1 @ u_0))) @ D)) & (l_ @ (t_ @ A @ D) @ (t_ @ (p_ @ C @ (numeral @ (bit1 @ u_0))) @ B))) => ((div @ A @ B) = (div @ C @ D)))).
