%   ORIGINAL: DIV_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_RDIV_EQ: !a b n. ~(a = 0) ==> (n <= b DIV a <=> a * n <= b)
% Assm: MULT_ASSOC: !m n p. m * n * p = (m * n) * p
% Assm: MULT_EQ_0: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !m n p. ~(n * p = 0) ==> m DIV n DIV p = m DIV (n * p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !a b n. ~(a = 0) ==> (n <= b DIV a <=> a * n <= b)
% Assm: !m n p. m * n * p = (m * n) * p
% Assm: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: ~F <=> T
% Assm: T
% Goal: !m n p. ~(n * p = 0) ==> m DIV n DIV p = m DIV (n * p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdiv, type, div : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_RDIVu_EQ, axiom, ![A:num,B:num,N:num]:(~ ((A = (numeral @ u_0))) => ((l_a_ @ N @ (div @ B @ A)) <=> (l_a_ @ (t_ @ A @ N) @ B)))).
thf(aMULTu_ASSOC, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (t_ @ N @ P)) = (t_ @ (t_ @ M @ N) @ P))).
thf(aMULTu_EQu_0, axiom, ![M:num,N:num]:(((t_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) | (N = (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,P:num]:(~ (((t_ @ N @ P) = (numeral @ u_0))) => ((div @ (div @ M @ N) @ P) = (div @ M @ (t_ @ N @ P))))).
