%   ORIGINAL: DIV_MOD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_SYM: !m n. m + n = n + m
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIVISION: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: DIV_DIV: !m n p. ~(n * p = 0) ==> m DIV n DIV p = m DIV (n * p)
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_ADD_RCANCEL: !m n p. m + p <= n + p <=> m <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_RDIV_EQ: !a b n. ~(a = 0) ==> (n <= b DIV a <=> a * n <= b)
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_AC_conjunct2: m * n * p = n * m * p
% Assm: MULT_EQ_0: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: MULT_SYM: !m n. m * n = n * m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !m n p. ~(n * p = 0) ==> (m DIV n) MOD p = (m MOD (n * p)) DIV n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. m + n = n + m
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: !m n p. ~(n * p = 0) ==> m DIV n DIV p = m DIV (n * p)
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !m n p. m + p <= n + p <=> m <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !a b n. ~(a = 0) ==> (n <= b DIV a <=> a * n <= b)
% Assm: !n m. m * n = n * m
% Assm: !n m p. m * n * p = n * m * p
% Assm: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: !m n. m * n = n * m
% Assm: ~F <=> T
% Assm: T
% Goal: !m n p. ~(n * p = 0) ==> (m DIV n) MOD p = (m MOD (n * p)) DIV n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdiv, type, div : (num > num > num)).
thf(cmod, type, mod : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_SYM, axiom, ![M:num,N:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIVISION, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((M = (p_ @ (t_ @ (div @ M @ N) @ N) @ (mod @ M @ N))) & (l_ @ (mod @ M @ N) @ N)))).
thf(aDIVu_DIV, axiom, ![M:num,N:num,P:num]:(~ (((t_ @ N @ P) = (numeral @ u_0))) => ((div @ (div @ M @ N) @ P) = (div @ M @ (t_ @ N @ P))))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_ADDu_RCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ P) @ (p_ @ N @ P)) <=> (l_a_ @ M @ N))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_RDIVu_EQ, axiom, ![A:num,B:num,N:num]:(~ ((A = (numeral @ u_0))) => ((l_a_ @ N @ (div @ B @ A)) <=> (l_a_ @ (t_ @ A @ N) @ B)))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((t_ @ M @ (t_ @ N @ P)) = (t_ @ N @ (t_ @ M @ P)))).
thf(aMULTu_EQu_0, axiom, ![M:num,N:num]:(((t_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) | (N = (numeral @ u_0))))).
thf(aMULTu_SYM, axiom, ![M:num,N:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,P:num]:(~ (((t_ @ N @ P) = (numeral @ u_0))) => ((mod @ (div @ M @ N) @ P) = (div @ (mod @ M @ (t_ @ N @ P)) @ N)))).
