%   ORIGINAL: MOD_MOD_EXP_MIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DIVISION: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXP_ADD: !m n p. m EXP (n + p) = m EXP n * m EXP p
% Assm: EXP_EQ_0: !m n. m EXP n = 0 <=> m = 0 /\ ~(n = 0)
% Assm: LE_ADD: !m n. m <= m + n
% Assm: LE_CASES: !m n. m <= n \/ n <= m
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LE_EXP: !x m n. x EXP m <= x EXP n <=> (if x = 0 then m = 0 ==> n = 0 else x = 1 \/ m <= n)
% Assm: LTE_TRANS: !m n p. m < n /\ n <= p ==> m < p
% Assm: MIN: !m n. MIN m n = (if m <= n then m else n)
% Assm: MOD_LT: !m n. m < n ==> m MOD n = m
% Assm: MOD_MOD: !m n p. ~(n * p = 0) ==> m MOD (n * p) MOD n = m MOD n
% Assm: MULT_EQ_0: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x p m n. ~(p = 0) ==> x MOD p EXP m MOD p EXP n = x MOD p EXP MIN m n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: !t. (\x. t x) = t
% Assm: !m n p. m EXP (n + p) = m EXP n * m EXP p
% Assm: !m n. m EXP n = 0 <=> m = 0 /\ ~(n = 0)
% Assm: !m n. m <= m + n
% Assm: !m n. m <= n \/ n <= m
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !x m n. x EXP m <= x EXP n <=> (if x = 0 then m = 0 ==> n = 0 else x = 1 \/ m <= n)
% Assm: !m n p. m < n /\ n <= p ==> m < p
% Assm: !m n. MIN m n = (if m <= n then m else n)
% Assm: !m n. m < n ==> m MOD n = m
% Assm: !m n p. ~(n * p = 0) ==> m MOD (n * p) MOD n = m MOD n
% Assm: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: ~F <=> T
% Assm: T
% Goal: !x p m n. ~(p = 0) ==> x MOD p EXP m MOD p EXP n = x MOD p EXP MIN m n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cdiv, type, div : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmin, type, min : (num > num > num)).
thf(cexp, type, exp : (num > num > num)).
thf(cmod, type, mod : (num > num > num)).
thf(ccond0, type, cond0 : ($o > $o > $o > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDIVISION, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((M = (p_ @ (t_ @ (div @ M @ N) @ N) @ (mod @ M @ N))) & (l_ @ (mod @ M @ N) @ N)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXPu_ADD, axiom, ![M:num,N:num,P:num]:((exp @ M @ (p_ @ N @ P)) = (t_ @ (exp @ M @ N) @ (exp @ M @ P)))).
thf(aEXPu_EQu_0, axiom, ![M:num,N:num]:(((exp @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & ~ ((N = (numeral @ u_0)))))).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aLEu_CASES, axiom, ![M:num,N:num]:((l_a_ @ M @ N) | (l_a_ @ N @ M))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLEu_EXP, axiom, ![X:num,M:num,N:num]:((l_a_ @ (exp @ X @ M) @ (exp @ X @ N)) <=> (cond0 @ (X = (numeral @ u_0)) @ ((M = (numeral @ u_0)) => (N = (numeral @ u_0))) @ ((X = (numeral @ (bit1 @ u_0))) | (l_a_ @ M @ N))))).
thf(aLTEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_a_ @ N @ P)) => (l_ @ M @ P))).
thf(aMIN, axiom, ![M:num,N:num]:((min @ M @ N) = (cond @ (l_a_ @ M @ N) @ M @ N))).
thf(aMODu_LT, axiom, ![M:num,N:num]:((l_ @ M @ N) => ((mod @ M @ N) = M))).
thf(aMODu_MOD, axiom, ![M:num,N:num,P:num]:(~ (((t_ @ N @ P) = (numeral @ u_0))) => ((mod @ (mod @ M @ (t_ @ N @ P)) @ N) = (mod @ M @ N)))).
thf(aMULTu_EQu_0, axiom, ![M:num,N:num]:(((t_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) | (N = (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:num,P:num,M:num,N:num]:(~ ((P = (numeral @ u_0))) => ((mod @ (mod @ X @ (exp @ P @ M)) @ (exp @ P @ N)) = (mod @ X @ (exp @ P @ (min @ M @ N)))))).
