%   ORIGINAL: PRE_ELIM_THM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: PRE_conjunct0: PRE 0 = 0
% Assm: PRE_conjunct1: !n. PRE (SUC n) = n
% Assm: SUC_INJ: !m n. SUC m = SUC n <=> m = n
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: P (PRE n) <=> (!m. n = SUC m \/ m = 0 /\ n = 0 ==> P m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !n. ~(SUC n = 0)
% Assm: PRE 0 = 0
% Assm: !n. PRE (SUC n) = n
% Assm: !m n. SUC m = SUC n <=> m = n
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !P n. P (PRE n) <=> (!m. n = SUC m \/ m = 0 /\ n = 0 ==> P m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cpre, type, pre : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aPREu_conjunct0, axiom, ((pre @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aPREu_conjunct1, axiom, ![N:num]:((pre @ (suc @ N)) = N)).
thf(aSUCu_INJ, axiom, ![M:num,N:num]:(((suc @ M) = (suc @ N)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![P:(num > $o),N:num]:((P @ (pre @ N)) <=> ![M:num]:(((N = (suc @ M)) | ((M = (numeral @ u_0)) & (N = (numeral @ u_0)))) => (P @ M)))).
