%   ORIGINAL: SUB_ELIM_THM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_SUB2: !m n. (m + n) - m = n
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EQ_ADD_LCANCEL: !m n p. m + n = m + p <=> n = p
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LE_ADD: !m n. m <= m + n
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LTE_CASES: !m n. m < n \/ n <= m
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: SUB_EQ_0: !m n. m - n = 0 <=> m <= n
% Assm: TRUTH: T
% Goal: P (a - b) <=> (!d. a = b + d \/ a < b /\ d = 0 ==> P d)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !m n. (m + n) - m = n
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n p. m + n = m + p <=> n = p
% Assm: !t. (\x. t x) = t
% Assm: !m n. m <= m + n
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !m n. m < n \/ n <= m
% Assm: !m n. m < n ==> m <= n
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: !m n. m - n = 0 <=> m <= n
% Assm: T
% Goal: !P b a. P (a - b) <=> (!d. a = b + d \/ a < b /\ d = 0 ==> P d)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aADDu_SUB2, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ M) = N)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEQu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:(((p_ @ M @ N) = (p_ @ M @ P)) <=> (N = P))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLTEu_CASES, axiom, ![M:num,N:num]:((l_ @ M @ N) | (l_a_ @ N @ M))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aSUBu_EQu_0, axiom, ![M:num,N:num]:(((m_ @ M @ N) = (numeral @ u_0)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > $o),B:num,A:num]:((P @ (m_ @ A @ B)) <=> ![D:num]:(((A = (p_ @ B @ D)) | ((l_ @ A @ B) & (D = (numeral @ u_0)))) => (P @ D)))).
