%   ORIGINAL: WF_DCHAIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: WF: !(<<). WF (<<) <=> (!P. (?x. P x) ==> (?x. P x /\ (!y. y << x ==> ~P y)))
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: num_RECURSION: !e f. ?fn. fn 0 = e /\ (!n. fn (SUC n) = f (fn n) n)
% Goal: WF (<<) <=> ~(?s. !n. s (SUC n) << s n)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !(<<). WF (<<) <=> (!P. (?x. P x) ==> (?x. P x /\ (!y. y << x ==> ~P y)))
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !e f. ?fn. (fn 0 <=> e) /\ (!n. fn (SUC n) <=> f (fn n) n)
% Goal: !(<<). WF (<<) <=> ~(?s. !n. s (SUC n) << s n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cwf, type, wf : ((a > a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWF, axiom, ![L_L_:(a > a > $o)]:((wf @ L_L_) <=> ![P:(a > $o)]:(?[X:a]:(P @ X) => ?[X:a]:((P @ X) & ![Y:a]:((L_L_ @ Y @ X) => ~ ((P @ Y))))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(anumu_RECURSION, axiom, ![E:$o,F:($o > num > $o)]:?[FN:(num > $o)]:(((FN @ (numeral @ u_0)) <=> E) & ![N:num]:((FN @ (suc @ N)) <=> (F @ (FN @ N) @ N)))).
thf(conjecture, conjecture, ![L_L_:(a > a > $o)]:((wf @ L_L_) <=> ~ (?[S:(num > a)]:![N:num]:(L_L_ @ (S @ (suc @ N)) @ (S @ N))))).
