%   ORIGINAL: WF_LEX_DEPENDENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: WF: !(<<). WF (<<) <=> (!P. (?x. P x) ==> (?x. P x /\ (!y. y << x ==> ~P y)))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !R S. WF R /\ (!a. WF (S a)) ==> WF (\(r1,s1) (r2,s2). R r1 r2 \/ r1 = r2 /\ S r1 s1 s2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !P. GABS P = (@) P
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !(<<). WF (<<) <=> (!P. (?x. P x) ==> (?x. P x /\ (!y. y << x ==> ~P y)))
% Assm: !(<<). WF (<<) <=> (!P. (?x. P x) ==> (?x. P x /\ (!y. y << x ==> ~P y)))
% Assm: !(<<). WF (<<) <=> (!P. (?x. P x) ==> (?x. P x /\ (!y. y << x ==> ~P y)))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !R S. WF R /\ (!a. WF (S a)) ==> WF (\(r1,s1) (r2,s2). R r1 r2 \/ r1 = r2 /\ S r1 s1 s2)
%  TYPES
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(chu_0, type, h_0 : (((prodab > $o) > $o) > prodab > $o)).
thf(cgeq0, type, geq0 : ($o > $o > $o)).
thf(cgabs0, type, gabs0 : (((prodab > $o) > $o) > prodab > $o)).
thf(cgeq, type, geq : ((prodab > $o) > (prodab > $o) > $o)).
thf(chu_1, type, h_1 : ((a > $o) > a)).
thf(chu_, type, h_ : (((prodab > prodab > $o) > $o) > prodab > prodab > $o)).
thf(ccu_, type, c_ : (a > b > prodab)).
thf(cgabs, type, gabs : (((prodab > prodab > $o) > $o) > prodab > prodab > $o)).
thf(cwf1, type, wf1 : ((prodab > prodab > $o) > $o)).
thf(cwf0, type, wf0 : ((b > b > $o) > $o)).
thf(cwf, type, wf : ((a > a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_PAIRu_THM, axiom, ![P:(prodab > $o)]:(![P0:prodab]:(P @ P0) <=> ![P1:a,P2:b]:(P @ (c_ @ P1 @ P2)))).
thf(aGABSu_DEFu_monomorphized1, axiom, ![P:((prodab > prodab > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGABSu_DEFu_monomorphized0, axiom, ![P:((prodab > $o) > $o)]:((gabs0 @ P) = (h_0 @ P))).
thf(aGEQu_DEFu_monomorphized1, axiom, ![A:(prodab > $o),B:(prodab > $o)]:((geq @ A @ B) <=> (A = B))).
thf(aGEQu_DEFu_monomorphized0, axiom, ![A:$o,B:$o]:((geq0 @ A @ B) <=> (A <=> B))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_1 @ P)))).
thf(aTRUTH, axiom, $true).
thf(aWFu_monomorphized2, axiom, ![L_L_:(prodab > prodab > $o)]:((wf1 @ L_L_) <=> ![P:(prodab > $o)]:(?[X:prodab]:(P @ X) => ?[X:prodab]:((P @ X) & ![Y:prodab]:((L_L_ @ Y @ X) => ~ ((P @ Y))))))).
thf(aWFu_monomorphized1, axiom, ![L_L_:(b > b > $o)]:((wf0 @ L_L_) <=> ![P:(b > $o)]:(?[X:b]:(P @ X) => ?[X:b]:((P @ X) & ![Y:b]:((L_L_ @ Y @ X) => ~ ((P @ Y))))))).
thf(aWFu_monomorphized0, axiom, ![L_L_:(a > a > $o)]:((wf @ L_L_) <=> ![P:(a > $o)]:(?[X:a]:(P @ X) => ?[X:a]:((P @ X) & ![Y:a]:((L_L_ @ Y @ X) => ~ ((P @ Y))))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > b > a)]:?[FN:(prodab > a)]:![A0:a,A1:b]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![R:(a > a > $o),S:(a > b > b > $o)]:(((wf @ R) & ![A:a]:(wf0 @ (S @ A))) => (wf1 @ (gabs @ ^[F:(prodab > prodab > $o)]:![R1:a,S1:b]:(geq @ (F @ (c_ @ R1 @ S1)) @ (gabs0 @ ^[F0:(prodab > $o)]:![R2:a,S2:b]:(geq0 @ (F0 @ (c_ @ R2 @ S2)) @ ((R @ R1 @ R2) | ((R1 = R2) & (S @ R1 @ S1 @ S2)))))))))).
