%   ORIGINAL: WF_POINTWISE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: WF_LEX: !R S. WF R /\ WF S ==> WF (\(r1,s1) (r2,s2). R r1 r2 \/ r1 = r2 /\ S s1 s2)
% Assm: WF_SUBSET: (!x y. x << y ==> x <<< y) /\ WF (<<<) ==> WF (<<)
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: WF (<<) /\ WF (<<<) ==> WF (\(x1,y1) (x2,y2). x1 << x2 /\ y1 <<< y2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !P. GABS P = (@) P
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !R S. WF R /\ WF S ==> WF (\(r1,s1) (r2,s2). R r1 r2 \/ r1 = r2 /\ S s1 s2)
% Assm: !(<<<) (<<). (!x y. x << y ==> x <<< y) /\ WF (<<<) ==> WF (<<)
% Assm: !(<<<) (<<). (!x y. x << y ==> x <<< y) /\ WF (<<<) ==> WF (<<)
% Assm: !(<<<) (<<). (!x y. x << y ==> x <<< y) /\ WF (<<<) ==> WF (<<)
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !(<<<) (<<). WF (<<) /\ WF (<<<) ==> WF (\(x1,y1) (x2,y2). x1 << x2 /\ y1 <<< y2)
%  TYPES
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(chu_0, type, h_0 : (((prodab > $o) > $o) > prodab > $o)).
thf(cgeq0, type, geq0 : ($o > $o > $o)).
thf(cgabs0, type, gabs0 : (((prodab > $o) > $o) > prodab > $o)).
thf(cgeq, type, geq : ((prodab > $o) > (prodab > $o) > $o)).
thf(chu_1, type, h_1 : ((a > $o) > a)).
thf(chu_, type, h_ : (((prodab > prodab > $o) > $o) > prodab > prodab > $o)).
thf(ccu_, type, c_ : (a > b > prodab)).
thf(cgabs, type, gabs : (((prodab > prodab > $o) > $o) > prodab > prodab > $o)).
thf(cwf1, type, wf1 : ((prodab > prodab > $o) > $o)).
thf(cwf0, type, wf0 : ((b > b > $o) > $o)).
thf(cwf, type, wf : ((a > a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_PAIRu_THM, axiom, ![P:(prodab > $o)]:(![P0:prodab]:(P @ P0) <=> ![P1:a,P2:b]:(P @ (c_ @ P1 @ P2)))).
thf(aGABSu_DEFu_monomorphized1, axiom, ![P:((prodab > prodab > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGABSu_DEFu_monomorphized0, axiom, ![P:((prodab > $o) > $o)]:((gabs0 @ P) = (h_0 @ P))).
thf(aGEQu_DEFu_monomorphized1, axiom, ![A:(prodab > $o),B:(prodab > $o)]:((geq @ A @ B) <=> (A = B))).
thf(aGEQu_DEFu_monomorphized0, axiom, ![A:$o,B:$o]:((geq0 @ A @ B) <=> (A <=> B))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_1 @ P)))).
thf(aTRUTH, axiom, $true).
thf(aWFu_LEX, axiom, ![R:(a > a > $o),S:(b > b > $o)]:(((wf @ R) & (wf0 @ S)) => (wf1 @ (gabs @ ^[F:(prodab > prodab > $o)]:![R1:a,S1:b]:(geq @ (F @ (c_ @ R1 @ S1)) @ (gabs0 @ ^[F0:(prodab > $o)]:![R2:a,S2:b]:(geq0 @ (F0 @ (c_ @ R2 @ S2)) @ ((R @ R1 @ R2) | ((R1 = R2) & (S @ S1 @ S2)))))))))).
thf(aWFu_SUBSETu_monomorphized2, axiom, ![L_L_L_:(prodab > prodab > $o),L_L_:(prodab > prodab > $o)]:((![X:prodab,Y:prodab]:((L_L_ @ X @ Y) => (L_L_L_ @ X @ Y)) & (wf1 @ L_L_L_)) => (wf1 @ L_L_))).
thf(aWFu_SUBSETu_monomorphized1, axiom, ![L_L_L_:(b > b > $o),L_L_:(b > b > $o)]:((![X:b,Y:b]:((L_L_ @ X @ Y) => (L_L_L_ @ X @ Y)) & (wf0 @ L_L_L_)) => (wf0 @ L_L_))).
thf(aWFu_SUBSETu_monomorphized0, axiom, ![L_L_L_:(a > a > $o),L_L_:(a > a > $o)]:((![X:a,Y:a]:((L_L_ @ X @ Y) => (L_L_L_ @ X @ Y)) & (wf @ L_L_L_)) => (wf @ L_L_))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > b > c)]:?[FN:(prodab > c)]:![A0:a,A1:b]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![L_L_L_:(b > b > $o),L_L_:(a > a > $o)]:(((wf @ L_L_) & (wf0 @ L_L_L_)) => (wf1 @ (gabs @ ^[F:(prodab > prodab > $o)]:![X1:a,Y1:b]:(geq @ (F @ (c_ @ X1 @ Y1)) @ (gabs0 @ ^[F0:(prodab > $o)]:![X2:a,Y2:b]:(geq0 @ (F0 @ (c_ @ X2 @ Y2)) @ ((L_L_ @ X1 @ X2) & (L_L_L_ @ Y1 @ Y2))))))))).
