%   ORIGINAL: WF_REC_TAIL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LT_0: !n. 0 < SUC n
% Assm: LT_SUC: !m n. SUC m < SUC n <=> m < n
% Assm: LT_conjunct0: !m. m < 0 <=> F
% Assm: LT_conjunct1: !m n. m < SUC n <=> m = n \/ m < n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: SELECT_UNIQUE: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: TRUTH: T
% Assm: num_CASES: !m. m = 0 \/ (?n. m = SUC n)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: num_RECURSION: !e f. ?fn. fn 0 = e /\ (!n. fn (SUC n) = f (fn n) n)
% Goal: !P g h. ?f. !x. f x = (if P x then f (g x) else h x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: !n. 0 < SUC n
% Assm: !m n. SUC m < SUC n <=> m < n
% Assm: !m. m < 0 <=> F
% Assm: !m n. m < SUC n <=> m = n \/ m < n
% Assm: ~F <=> T
% Assm: !n. ~(SUC n = 0)
% Assm: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: T
% Assm: !m. m = 0 \/ (?n. m = SUC n)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !e f. ?fn. fn 0 = e /\ (!n. fn (SUC n) = f (fn n) n)
% Goal: !P g h. ?f. !x. f x = (if P x then f (g x) else h x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(ccond, type, cond : ($o > b > b > b)).
thf(chu_, type, h_ : ((b > $o) > b)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:b,T2:b]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:b,C:$o,P:(b > $o),Y:b]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLTu_0, axiom, ![N:num]:(l_ @ (numeral @ u_0) @ (suc @ N))).
thf(aLTu_SUC, axiom, ![M:num,N:num]:((l_ @ (suc @ M) @ (suc @ N)) <=> (l_ @ M @ N))).
thf(aLTu_conjunct0, axiom, ![M:num]:((l_ @ M @ (numeral @ u_0)) <=> $false)).
thf(aLTu_conjunct1, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> ((M = N) | (l_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aSELECTu_UNIQUE, axiom, ![P:(b > $o),X:b]:(![Y:b]:((P @ Y) <=> (Y = X)) => ((h_ @ P) = X))).
thf(aTRUTH, axiom, $true).
thf(anumu_CASES, axiom, ![M:num]:((M = (numeral @ u_0)) | ?[N:num]:(M = (suc @ N)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(anumu_RECURSION, axiom, ![E:b,F:(b > num > b)]:?[FN:(num > b)]:(((FN @ (numeral @ u_0)) = E) & ![N:num]:((FN @ (suc @ N)) = (F @ (FN @ N) @ N)))).
thf(conjecture, conjecture, ![P:(a > $o),G:(a > a),H:(a > b)]:?[F:(a > b)]:![X:a]:((F @ X) = (cond @ (P @ X) @ (F @ (G @ X)) @ (H @ X)))).
