%   ORIGINAL: WF_REC_TAIL_GENERAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: WF_REC: WF (<<) ==> (!H. (!f g x. (!z. z << x ==> f z = g z) ==> H f x = H g x) ==> (?f. !x. f x = H f x))
% Assm: WF_REC_TAIL: !P g h. ?f. !x. f x = (if P x then f (g x) else h x)
% Goal: !P G H. WF (<<) /\ (!f g x. (!z. z << x ==> f z = g z) ==> (P f x <=> P g x) /\ G f x = G g x /\ H f x = H g x) /\ (!f g x. (!z. z << x ==> f z = g z) ==> H f x = H g x) /\ (!f x y. P f x /\ y << G f x ==> y << x) ==> (?f. !x. f x = (if P f x then f (G f x) else H f x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !(<<). WF (<<) ==> (!H. (!f g x. (!z. z << x ==> (f z <=> g z)) ==> (H f x <=> H g x)) ==> (?f. !x. f x <=> H f x))
% Assm: !(<<). WF (<<) ==> (!H. (!f g x. (!z. z << x ==> f z = g z) ==> H f x = H g x) ==> (?f. !x. f x = H f x))
% Assm: !(<<). WF (<<) ==> (!H. (!f g x. (!z. z << x ==> f z = g z) ==> H f x = H g x) ==> (?f. !x. f x = H f x))
% Assm: !P g h. ?f. !x. f x = (if P x then f (g x) else h x)
% Goal: !(<<) P G H. WF (<<) /\ (!f g x. (!z. z << x ==> f z = g z) ==> (P f x <=> P g x) /\ G f x = G g x /\ H f x = H g x) /\ (!f g x. (!z. z << x ==> f z = g z) ==> H f x = H g x) /\ (!f x y. P f x /\ y << G f x ==> y << x) ==> (?f. !x. f x = (if P f x then f (G f x) else H f x))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ccond, type, cond : ($o > b > b > b)).
thf(ci, type, i : ($o > $o)).
thf(cwf, type, wf : ((a > a > $o) > $o)).
thf(ci1, type, i1 : (a > a)).
thf(ci0, type, i0 : (b > b)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:b,T2:b]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized2, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:b]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i1 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWFu_RECu_monomorphized2, axiom, ![L_L_:(a > a > $o)]:((wf @ L_L_) => ![H:((a > $o) > a > $o)]:(![F:(a > $o),G:(a > $o),X:a]:(![Z:a]:((L_L_ @ Z @ X) => ((F @ Z) <=> (G @ Z))) => ((H @ F @ X) <=> (H @ G @ X))) => ?[F:(a > $o)]:![X:a]:((F @ X) <=> (H @ F @ X))))).
thf(aWFu_RECu_monomorphized1, axiom, ![L_L_:(a > a > $o)]:((wf @ L_L_) => ![H:((a > b) > a > b)]:(![F:(a > b),G:(a > b),X:a]:(![Z:a]:((L_L_ @ Z @ X) => ((F @ Z) = (G @ Z))) => ((H @ F @ X) = (H @ G @ X))) => ?[F:(a > b)]:![X:a]:((F @ X) = (H @ F @ X))))).
thf(aWFu_RECu_monomorphized0, axiom, ![L_L_:(a > a > $o)]:((wf @ L_L_) => ![H:((a > a) > a > a)]:(![F:(a > a),G:(a > a),X:a]:(![Z:a]:((L_L_ @ Z @ X) => ((F @ Z) = (G @ Z))) => ((H @ F @ X) = (H @ G @ X))) => ?[F:(a > a)]:![X:a]:((F @ X) = (H @ F @ X))))).
thf(aWFu_RECu_TAIL, axiom, ![P:(a > $o),G:(a > a),H:(a > b)]:?[F:(a > b)]:![X:a]:((F @ X) = (cond @ (P @ X) @ (F @ (G @ X)) @ (H @ X)))).
thf(conjecture, conjecture, ![L_L_:(a > a > $o),P:((a > b) > a > $o),G:((a > b) > a > a),H:((a > b) > a > b)]:(((wf @ L_L_) & ![F:(a > b),G0:(a > b),X:a]:(![Z:a]:((L_L_ @ Z @ X) => ((F @ Z) = (G0 @ Z))) => (((P @ F @ X) <=> (P @ G0 @ X)) & ((G @ F @ X) = (G @ G0 @ X)) & ((H @ F @ X) = (H @ G0 @ X)))) & ![F:(a > b),G0:(a > b),X:a]:(![Z:a]:((L_L_ @ Z @ X) => ((F @ Z) = (G0 @ Z))) => ((H @ F @ X) = (H @ G0 @ X))) & ![F:(a > b),X:a,Y:a]:(((P @ F @ X) & (L_L_ @ Y @ (G @ F @ X))) => (L_L_ @ Y @ X))) => ?[F:(a > b)]:![X:a]:((F @ X) = (cond @ (P @ F @ X) @ (F @ (G @ F @ X)) @ (H @ F @ X))))).
