%   ORIGINAL: NUMPAIR_INJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: EQ_ADD_RCANCEL: !m n p. m + p = n + p <=> m = n
% Assm: EQ_MULT_LCANCEL: !m n p. m * n = m * p <=> m = 0 \/ n = p
% Assm: EXP_EQ_0: !m n. m EXP n = 0 <=> m = 0 /\ ~(n = 0)
% Assm: NUMPAIR: !x y. NUMPAIR x y = 2 EXP x * (2 * y + 1)
% Assm: NUMPAIR_INJ_LEMMA: !x1 y1 x2 y2. NUMPAIR x1 y1 = NUMPAIR x2 y2 ==> x1 = x2
% Assm: TRUTH: T
% Goal: !x1 y1 x2 y2. NUMPAIR x1 y1 = NUMPAIR x2 y2 <=> x1 = x2 /\ y1 = y2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n p. m + p = n + p <=> m = n
% Assm: !m n p. m * n = m * p <=> m = 0 \/ n = p
% Assm: !m n. m EXP n = 0 <=> m = 0 /\ ~(n = 0)
% Assm: !x y. NUMPAIR x y = 2 EXP x * (2 * y + 1)
% Assm: !x1 y1 x2 y2. NUMPAIR x1 y1 = NUMPAIR x2 y2 ==> x1 = x2
% Assm: T
% Goal: !x1 y1 x2 y2. NUMPAIR x1 y1 = NUMPAIR x2 y2 <=> x1 = x2 /\ y1 = y2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cexp, type, exp : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnumpair, type, numpair : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aEQu_ADDu_RCANCEL, axiom, ![M:num,N:num,P:num]:(((p_ @ M @ P) = (p_ @ N @ P)) <=> (M = N))).
thf(aEQu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:(((t_ @ M @ N) = (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (N = P)))).
thf(aEXPu_EQu_0, axiom, ![M:num,N:num]:(((exp @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & ~ ((N = (numeral @ u_0)))))).
thf(aNUMPAIR, axiom, ![X:num,Y:num]:((numpair @ X @ Y) = (t_ @ (exp @ (numeral @ (bit0 @ (bit1 @ u_0))) @ X) @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ Y) @ (numeral @ (bit1 @ u_0)))))).
thf(aNUMPAIRu_INJu_LEMMA, axiom, ![X1:num,Y1:num,X2:num,Y2:num]:(((numpair @ X1 @ Y1) = (numpair @ X2 @ Y2)) => (X1 = X2))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X1:num,Y1:num,X2:num,Y2:num]:(((numpair @ X1 @ Y1) = (numpair @ X2 @ Y2)) <=> ((X1 = X2) & (Y1 = Y2)))).
