%   ORIGINAL: NUMSUM_INJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: EQ_MULT_LCANCEL: !m n p. m * n = m * p <=> m = 0 \/ n = p
% Assm: EVEN_DOUBLE: !n. EVEN (2 * n)
% Assm: EVEN_conjunct1: !n. EVEN (SUC n) <=> ~EVEN n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NUMSUM: !b x. NUMSUM b x = (if b then SUC (2 * x) else 2 * x)
% Assm: SUC_INJ: !m n. SUC m = SUC n <=> m = n
% Assm: TRUTH: T
% Goal: !b1 x1 b2 x2. NUMSUM b1 x1 = NUMSUM b2 x2 <=> (b1 <=> b2) /\ x1 = x2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !m n p. m * n = m * p <=> m = 0 \/ n = p
% Assm: !n. EVEN (2 * n)
% Assm: !n. EVEN (SUC n) <=> ~EVEN n
% Assm: ~F <=> T
% Assm: !b x. NUMSUM b x = (if b then SUC (2 * x) else 2 * x)
% Assm: !m n. SUC m = SUC n <=> m = n
% Assm: T
% Goal: !b1 x1 b2 x2. NUMSUM b1 x1 = NUMSUM b2 x2 <=> (b1 <=> b2) /\ x1 = x2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cnumsum, type, numsum : ($o > num > num)).
thf(ccond0, type, cond0 : ($o > num > num > num)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(ceven, type, even : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aEQu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:(((t_ @ M @ N) = (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (N = P)))).
thf(aEVENu_DOUBLE, axiom, ![N:num]:(even @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N))).
thf(aEVENu_conjunct1, axiom, ![N:num]:((even @ (suc @ N)) <=> ~ ((even @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNUMSUM, axiom, ![B:$o,X:num]:((numsum @ B @ X) = (cond0 @ B @ (suc @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ X)) @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ X)))).
thf(aSUCu_INJ, axiom, ![M:num,N:num]:(((suc @ M) = (suc @ N)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B1:$o,X1:num,B2:$o,X2:num]:(((numsum @ B1 @ X1) = (numsum @ B2 @ X2)) <=> ((B1 <=> B2) & (X1 = X2)))).
