%   ORIGINAL: INJP_INJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: INJP: !f1 f2. INJP f1 f2 = (\n a. if NUMLEFT n then f1 (NUMRIGHT n) a else f2 (NUMRIGHT n) a)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NUMSUM_DEST: !x y. (NUMLEFT (NUMSUM x y) <=> x) /\ NUMRIGHT (NUMSUM x y) = y
% Assm: TRUTH: T
% Goal: !f1 f1' f2 f2'. INJP f1 f2 = INJP f1' f2' <=> f1 = f1' /\ f2 = f2'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f1 f2. INJP f1 f2 = (\n a. if NUMLEFT n then f1 (NUMRIGHT n) a else f2 (NUMRIGHT n) a)
% Assm: ~F <=> T
% Assm: !x y. (NUMLEFT (NUMSUM x y) <=> x) /\ NUMRIGHT (NUMSUM x y) = y
% Assm: T
% Goal: !f1 f1' f2 f2'. INJP f1 f2 = INJP f1' f2' <=> f1 = f1' /\ f2 = f2'
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cnumsum, type, numsum : ($o > num > num)).
thf(ccond0, type, cond0 : ($o > $o > $o > $o)).
thf(ccond, type, cond : ($o > (num > a > $o) > (num > a > $o) > num > a > $o)).
thf(cinjp, type, injp : ((num > a > $o) > (num > a > $o) > num > a > $o)).
thf(cnumleft, type, numleft : (num > $o)).
thf(cnumright, type, numright : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num > a > $o),G:(a > num > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:(num > a > $o),T2:(num > a > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:$o,T2:$o]:(((cond0 @ $true @ T1 @ T2) <=> T1) & ((cond0 @ $false @ T1 @ T2) <=> T2))).
thf(aETAu_AX, axiom, ![T:(num > a > $o)]:(^[X:num]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(num > a > $o),G:(num > a > $o)]:((F = G) <=> ![X:num]:((F @ X) = (G @ X)))).
thf(aINJP, axiom, ![F1:(num > a > $o),F2:(num > a > $o)]:((injp @ F1 @ F2) = ^[N:num,A:a]:(cond0 @ (numleft @ N) @ (F1 @ (numright @ N) @ A) @ (F2 @ (numright @ N) @ A)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNUMSUMu_DEST, axiom, ![X:$o,Y:num]:(((numleft @ (numsum @ X @ Y)) <=> X) & ((numright @ (numsum @ X @ Y)) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F1:(num > a > $o),F1I_:(num > a > $o),F2:(num > a > $o),F2I_:(num > a > $o)]:(((injp @ F1 @ F2) = (injp @ F1I_ @ F2I_)) <=> ((F1 = F1I_) & (F2 = F2I_)))).
