%   ORIGINAL: ZCONSTR_ZBOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INJN_INJ: !n1 n2. INJN n1 = INJN n2 <=> n1 = n2
% Assm: INJP_INJ: !f1 f1' f2 f2'. INJP f1 f2 = INJP f1' f2' <=> f1 = f1' /\ f2 = f2'
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: TRUTH: T
% Assm: ZBOT: ZBOT = INJP (INJN 0) (@z. T)
% Assm: ZCONSTR: !c i r. ZCONSTR c i r = INJP (INJN (SUC c)) (INJP (INJA i) (INJF r))
% Goal: !c i r. ~(ZCONSTR c i r = ZBOT)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n1 n2. INJN n1 = INJN n2 <=> n1 = n2
% Assm: !f1 f1' f2 f2'. INJP f1 f2 = INJP f1' f2' <=> f1 = f1' /\ f2 = f2'
% Assm: ~F <=> T
% Assm: !n. ~(SUC n = 0)
% Assm: T
% Assm: ZBOT = INJP (INJN 0) (@z. T)
% Assm: !c i r. ZCONSTR c i r = INJP (INJN (SUC c)) (INJP (INJA i) (INJF r))
% Goal: !c i r. ~(ZCONSTR c i r = ZBOT)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(czbot, type, zbot : (num > a > $o)).
thf(cinjf, type, injf : ((num > num > a > $o) > num > a > $o)).
thf(cinja, type, inja : (a > num > a > $o)).
thf(chu_, type, h_ : (((num > a > $o) > $o) > num > a > $o)).
thf(cinjp, type, injp : ((num > a > $o) > (num > a > $o) > num > a > $o)).
thf(cinjn, type, injn : (num > num > a > $o)).
thf(czconstr, type, zconstr : (num > a > (num > num > a > $o) > num > a > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num > a > $o),G:(a > num > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINJNu_INJ, axiom, ![N1:num,N2:num]:(((injn @ N1) = (injn @ N2)) <=> (N1 = N2))).
thf(aINJPu_INJ, axiom, ![F1:(num > a > $o),F1I_:(num > a > $o),F2:(num > a > $o),F2I_:(num > a > $o)]:(((injp @ F1 @ F2) = (injp @ F1I_ @ F2I_)) <=> ((F1 = F1I_) & (F2 = F2I_)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(aZBOT, axiom, (zbot = (injp @ (injn @ (numeral @ u_0)) @ (h_ @ ^[Z:(num > a > $o)]:$true)))).
thf(aZCONSTR, axiom, ![C:num,I:a,R:(num > num > a > $o)]:((zconstr @ C @ I @ R) = (injp @ (injn @ (suc @ C)) @ (injp @ (inja @ I) @ (injf @ R))))).
thf(conjecture, conjecture, ![C:num,I:a,R:(num > num > a > $o)]:~ (((zconstr @ C @ I @ R) = zbot))).
