%   ORIGINAL: CONSTR_REC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONSTR_BOT: !c i r. ~(CONSTR c i r = BOTTOM)
% Assm: CONSTR_IND: !P. P BOTTOM /\ (!c i r. (!n. P (r n)) ==> P (CONSTR c i r)) ==> (!x. P x)
% Assm: CONSTR_INJ: !c1 i1 r1 c2 i2 r2. CONSTR c1 i1 r1 = CONSTR c2 i2 r2 <=> c1 = c2 /\ i1 = i2 /\ r1 = r2
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: TRUTH: T
% Assm: UNIQUE_SKOLEM_ALT: !P. (!x. ?!y. P x y) <=> (?f. !x y. P x y <=> f x = y)
% Goal: !Fn. ?f. !c i r. f (CONSTR c i r) = Fn c i r (\n. f (r n))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c i r. ~(CONSTR c i r = BOTTOM)
% Assm: !P. P BOTTOM /\ (!c i r. (!n. P (r n)) ==> P (CONSTR c i r)) ==> (!x. P x)
% Assm: !c1 i1 r1 c2 i2 r2. CONSTR c1 i1 r1 = CONSTR c2 i2 r2 <=> c1 = c2 /\ i1 = i2 /\ r1 = r2
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: T
% Assm: !P. (!x. (?y. P x y) /\ (!y x'. P x y /\ P x x' ==> y = x')) <=> (?f. !x y. P x y <=> f x = y)
% Goal: !Fn. ?f. !c i r. f (CONSTR c i r) = Fn c i r (\n. f (r n))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(trecspacea, type, recspacea : $tType).
%  CONSTS
thf(cbottom, type, bottom : recspacea).
thf(cconstr, type, constr : (num > a > (num > recspacea) > recspacea)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONSTRu_BOT, axiom, ![C:num,I:a,R:(num > recspacea)]:~ (((constr @ C @ I @ R) = bottom))).
thf(aCONSTRu_IND, axiom, ![P:(recspacea > $o)]:(((P @ bottom) & ![C:num,I:a,R:(num > recspacea)]:(![N:num]:(P @ (R @ N)) => (P @ (constr @ C @ I @ R)))) => ![X:recspacea]:(P @ X))).
thf(aCONSTRu_INJ, axiom, ![C1:num,I1:a,R1:(num > recspacea),C2:num,I2:a,R2:(num > recspacea)]:(((constr @ C1 @ I1 @ R1) = (constr @ C2 @ I2 @ R2)) <=> ((C1 = C2) & (I1 = I2) & (R1 = R2)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aTRUTH, axiom, $true).
thf(aUNIQUEu_SKOLEMu_ALT, axiom, ![P:(a > b > $o)]:(![X:a]:(?[Y:b]:(P @ X @ Y) & ![Y:b,XI_:b]:(((P @ X @ Y) & (P @ X @ XI_)) => (Y = XI_))) <=> ?[F:(a > b)]:![X:a,Y:b]:((P @ X @ Y) <=> ((F @ X) = Y)))).
thf(conjecture, conjecture, ![FN:(num > a > (num > recspacea) > (num > b) > b)]:?[F:(recspacea > b)]:![C:num,I:a,R:(num > recspacea)]:((F @ (constr @ C @ I @ R)) = (FN @ C @ I @ R @ ^[N:num]:(F @ (R @ N))))).
