%   ORIGINAL: REVERSE_APPEND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: APPEND_ASSOC: !l m n. APPEND l (APPEND m n) = APPEND (APPEND l m) n
% Assm: APPEND_NIL: !l. APPEND l [] = l
% Assm: APPEND_conjunct0: !l. APPEND [] l = l
% Assm: APPEND_conjunct1: !h t l. APPEND (CONS h t) l = CONS h (APPEND t l)
% Assm: REVERSE_conjunct0: REVERSE [] = []
% Assm: REVERSE_conjunct1: REVERSE (CONS x l) = APPEND (REVERSE l) [x]
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !l m. REVERSE (APPEND l m) = APPEND (REVERSE m) (REVERSE l)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !l m n. APPEND l (APPEND m n) = APPEND (APPEND l m) n
% Assm: !l. APPEND l [] = l
% Assm: !l. APPEND [] l = l
% Assm: !h t l. APPEND (CONS h t) l = CONS h (APPEND t l)
% Assm: REVERSE [] = []
% Assm: !l x. REVERSE (CONS x l) = APPEND (REVERSE l) [x]
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !l m. REVERSE (APPEND l m) = APPEND (REVERSE m) (REVERSE l)
%  TYPES
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ccons, type, cons : (a > lista > lista)).
thf(cappend, type, append : (lista > lista > lista)).
thf(creverse, type, reverse : (lista > lista)).
thf(cnil, type, nil : lista).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > lista),G:(a > lista)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAPPENDu_ASSOC, axiom, ![L:lista,M:lista,N:lista]:((append @ L @ (append @ M @ N)) = (append @ (append @ L @ M) @ N))).
thf(aAPPENDu_NIL, axiom, ![L:lista]:((append @ L @ nil) = L)).
thf(aAPPENDu_conjunct0, axiom, ![L:lista]:((append @ nil @ L) = L)).
thf(aAPPENDu_conjunct1, axiom, ![H:a,T:lista,L:lista]:((append @ (cons @ H @ T) @ L) = (cons @ H @ (append @ T @ L)))).
thf(aREVERSEu_conjunct0, axiom, ((reverse @ nil) = nil)).
thf(aREVERSEu_conjunct1, axiom, ![L:lista,X:a]:((reverse @ (cons @ X @ L)) = (append @ (reverse @ L) @ (cons @ X @ nil)))).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![L:lista,M:lista]:((reverse @ (append @ L @ M)) = (append @ (reverse @ M) @ (reverse @ L)))).
