%   ORIGINAL: MAP_APPEND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: APPEND_conjunct0: !l. APPEND [] l = l
% Assm: APPEND_conjunct1: !h t l. APPEND (CONS h t) l = CONS h (APPEND t l)
% Assm: MAP_conjunct0: !f. MAP f [] = []
% Assm: MAP_conjunct1: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !f l1 l2. MAP f (APPEND l1 l2) = APPEND (MAP f l1) (MAP f l2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !l. APPEND [] l = l
% Assm: !h t l. APPEND (CONS h t) l = CONS h (APPEND t l)
% Assm: !f. MAP f [] = []
% Assm: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !f l1 l2. MAP f (APPEND l1 l2) = APPEND (MAP f l1) (MAP f l2)
%  TYPES
thf(tlista, type, lista : $tType).
thf(tlistb, type, listb : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ccons0, type, cons0 : (a > lista > lista)).
thf(ccons, type, cons : (b > listb > listb)).
thf(cappend0, type, append0 : (listb > listb > listb)).
thf(cappend, type, append : (lista > lista > lista)).
thf(cmap, type, map : ((a > b) > lista > listb)).
thf(cnil, type, nil : listb).
thf(cnil0, type, nil0 : lista).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > listb),G:(a > listb)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAPPENDu_conjunct0, axiom, ![L:listb]:((append0 @ nil @ L) = L)).
thf(aAPPENDu_conjunct1, axiom, ![H:b,T:listb,L:listb]:((append0 @ (cons @ H @ T) @ L) = (cons @ H @ (append0 @ T @ L)))).
thf(aMAPu_conjunct0, axiom, ![F:(a > b)]:((map @ F @ nil0) = nil)).
thf(aMAPu_conjunct1, axiom, ![F:(a > b),H:a,T:lista]:((map @ F @ (cons0 @ H @ T)) = (cons @ (F @ H) @ (map @ F @ T)))).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil0) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons0 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![F:(a > b),L1:lista,L2:lista]:((map @ F @ (append @ L1 @ L2)) = (append0 @ (map @ F @ L1) @ (map @ F @ L2)))).
