%   ORIGINAL: LENGTH_MAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LENGTH_conjunct0: LENGTH [] = 0
% Assm: LENGTH_conjunct1: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: MAP_conjunct0: !f. MAP f [] = []
% Assm: MAP_conjunct1: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !l f. LENGTH (MAP f l) = LENGTH l
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: LENGTH [] = 0
% Assm: LENGTH [] = 0
% Assm: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: !f. MAP f [] = []
% Assm: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !l f. LENGTH (MAP f l) = LENGTH l
%  TYPES
thf(tnum, type, num : $tType).
thf(tlista, type, lista : $tType).
thf(tlistb, type, listb : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ccons0, type, cons0 : (a > lista > lista)).
thf(ccons, type, cons : (b > listb > listb)).
thf(cmap, type, map : ((a > b) > lista > listb)).
thf(clength0, type, length0 : (lista > num)).
thf(clength, type, length : (listb > num)).
thf(cnil, type, nil : listb).
thf(cuu_0, type, u_0 : num).
thf(cnil0, type, nil0 : lista).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLENGTHu_conjunct0u_monomorphized1, axiom, ((length @ nil) = (numeral @ u_0))).
thf(aLENGTHu_conjunct0u_monomorphized0, axiom, ((length0 @ nil0) = (numeral @ u_0))).
thf(aLENGTHu_conjunct1u_monomorphized1, axiom, ![H:b,T:listb]:((length @ (cons @ H @ T)) = (suc @ (length @ T)))).
thf(aLENGTHu_conjunct1u_monomorphized0, axiom, ![H:a,T:lista]:((length0 @ (cons0 @ H @ T)) = (suc @ (length0 @ T)))).
thf(aMAPu_conjunct0, axiom, ![F:(a > b)]:((map @ F @ nil0) = nil)).
thf(aMAPu_conjunct1, axiom, ![F:(a > b),H:a,T:lista]:((map @ F @ (cons0 @ H @ T)) = (cons @ (F @ H) @ (map @ F @ T)))).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil0) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons0 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![L:lista,F:(a > b)]:((length @ (map @ F @ L)) = (length0 @ L))).
