%   ORIGINAL: FILTER_APPEND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: APPEND_conjunct0: !l. APPEND [] l = l
% Assm: APPEND_conjunct1: !h t l. APPEND (CONS h t) l = CONS h (APPEND t l)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FILTER_conjunct0: FILTER P [] = []
% Assm: FILTER_conjunct1: FILTER P (CONS h t) = (if P h then CONS h (FILTER P t) else FILTER P t)
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !P l1 l2. FILTER P (APPEND l1 l2) = APPEND (FILTER P l1) (FILTER P l2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !l. APPEND [] l = l
% Assm: !h t l. APPEND (CONS h t) l = CONS h (APPEND t l)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !P. FILTER P [] = []
% Assm: !h P t. FILTER P (CONS h t) = (if P h then CONS h (FILTER P t) else FILTER P t)
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !P l1 l2. FILTER P (APPEND l1 l2) = APPEND (FILTER P l1) (FILTER P l2)
%  TYPES
thf(tq19873, type, q19873 : $tType).
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tlistq19873, type, listq19873 : $tType).
%  CONSTS
thf(ccons0, type, cons0 : (a > lista > lista)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > listq19873 > listq19873 > listq19873)).
thf(ccons, type, cons : (q19873 > listq19873 > listq19873)).
thf(cappend, type, append : (listq19873 > listq19873 > listq19873)).
thf(cfilter, type, filter : ((q19873 > $o) > listq19873 > listq19873)).
thf(cnil0, type, nil0 : lista).
thf(cnil, type, nil : listq19873).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > listq19873),G:(a > listq19873)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAPPENDu_conjunct0, axiom, ![L:listq19873]:((append @ nil @ L) = L)).
thf(aAPPENDu_conjunct1, axiom, ![H:q19873,T:listq19873,L:listq19873]:((append @ (cons @ H @ T) @ L) = (cons @ H @ (append @ T @ L)))).
thf(aCONDu_CLAUSES, axiom, ![T1:listq19873,T2:listq19873]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFILTERu_conjunct0, axiom, ![P:(q19873 > $o)]:((filter @ P @ nil) = nil)).
thf(aFILTERu_conjunct1, axiom, ![H:q19873,P:(q19873 > $o),T:listq19873]:((filter @ P @ (cons @ H @ T)) = (cond @ (P @ H) @ (cons @ H @ (filter @ P @ T)) @ (filter @ P @ T)))).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil0) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons0 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![P:(q19873 > $o),L1:listq19873,L2:listq19873]:((filter @ P @ (append @ L1 @ L2)) = (append @ (filter @ P @ L1) @ (filter @ P @ L2)))).
