%   ORIGINAL: FILTER_MAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FILTER_conjunct0: FILTER P [] = []
% Assm: FILTER_conjunct1: FILTER P (CONS h t) = (if P h then CONS h (FILTER P t) else FILTER P t)
% Assm: MAP_conjunct0: !f. MAP f [] = []
% Assm: MAP_conjunct1: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !P f l. FILTER P (MAP f l) = MAP f (FILTER (P o f) l)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !P. FILTER P [] = []
% Assm: !h P t. FILTER P (CONS h t) = (if P h then CONS h (FILTER P t) else FILTER P t)
% Assm: !f. MAP f [] = []
% Assm: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: !f g x. (f o g) x <=> f (g x)
% Goal: !P f l. FILTER P (MAP f l) = MAP f (FILTER (P o f) l)
%  TYPES
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tq19900, type, q19900 : $tType).
thf(tlistq19900, type, listq19900 : $tType).
thf(tq19907, type, q19907 : $tType).
thf(tlistq19907, type, listq19907 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listq19907).
thf(ccons1, type, cons1 : (a > lista > lista)).
thf(ccons0, type, cons0 : (q19907 > listq19907 > listq19907)).
thf(ccons, type, cons : (q19900 > listq19900 > listq19900)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > listq19900 > listq19900 > listq19900)).
thf(co, type, o : ((q19900 > $o) > (q19907 > q19900) > q19907 > $o)).
thf(cfilter0, type, filter0 : ((q19907 > $o) > listq19907 > listq19907)).
thf(cmap, type, map : ((q19907 > q19900) > listq19907 > listq19900)).
thf(cfilter, type, filter : ((q19900 > $o) > listq19900 > listq19900)).
thf(cnil, type, nil : listq19900).
thf(cnil1, type, nil1 : lista).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > listq19900),G:(a > listq19900)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:listq19900,T2:listq19900]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFILTERu_conjunct0, axiom, ![P:(q19900 > $o)]:((filter @ P @ nil) = nil)).
thf(aFILTERu_conjunct1, axiom, ![H:q19900,P:(q19900 > $o),T:listq19900]:((filter @ P @ (cons @ H @ T)) = (cond @ (P @ H) @ (cons @ H @ (filter @ P @ T)) @ (filter @ P @ T)))).
thf(aMAPu_conjunct0, axiom, ![F:(q19907 > q19900)]:((map @ F @ nil0) = nil)).
thf(aMAPu_conjunct1, axiom, ![F:(q19907 > q19900),H:q19907,T:listq19907]:((map @ F @ (cons0 @ H @ T)) = (cons @ (F @ H) @ (map @ F @ T)))).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil1) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons1 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(aou_THM, axiom, ![F:(q19900 > $o),G:(q19907 > q19900),X:q19907]:((o @ F @ G @ X) <=> (F @ (G @ X)))).
thf(conjecture, conjecture, ![P:(q19900 > $o),F:(q19907 > q19900),L:listq19907]:((filter @ P @ (map @ F @ L)) = (map @ F @ (filter0 @ (o @ P @ F) @ L)))).
