%   ORIGINAL: MEM_FILTER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FILTER_conjunct0: FILTER P [] = []
% Assm: FILTER_conjunct1: FILTER P (CONS h t) = (if P h then CONS h (FILTER P t) else FILTER P t)
% Assm: I_THM: !x. I x = x
% Assm: MEM_conjunct0: MEM x [] <=> F
% Assm: MEM_conjunct1: MEM x (CONS h t) <=> x = h \/ MEM x t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !P l x. MEM x (FILTER P l) <=> P x /\ MEM x l
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !P. FILTER P [] = []
% Assm: !h P t. FILTER P (CONS h t) = (if P h then CONS h (FILTER P t) else FILTER P t)
% Assm: !x. I x <=> x
% Assm: !x. MEM x [] <=> F
% Assm: !h x t. MEM x (CONS h t) <=> x = h \/ MEM x t
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !P l x. MEM x (FILTER P l) <=> P x /\ MEM x l
%  TYPES
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tq19934, type, q19934 : $tType).
thf(tlistq19934, type, listq19934 : $tType).
%  CONSTS
thf(cmem, type, mem : (q19934 > listq19934 > $o)).
thf(ccons0, type, cons0 : (a > lista > lista)).
thf(ccond0, type, cond0 : ($o > listq19934 > listq19934 > listq19934)).
thf(ccons, type, cons : (q19934 > listq19934 > listq19934)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cfilter, type, filter : ((q19934 > $o) > listq19934 > listq19934)).
thf(ci, type, i : ($o > $o)).
thf(cnil, type, nil : listq19934).
thf(cnil0, type, nil0 : lista).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFILTERu_conjunct0, axiom, ![P:(q19934 > $o)]:((filter @ P @ nil) = nil)).
thf(aFILTERu_conjunct1, axiom, ![H:q19934,P:(q19934 > $o),T:listq19934]:((filter @ P @ (cons @ H @ T)) = (cond0 @ (P @ H) @ (cons @ H @ (filter @ P @ T)) @ (filter @ P @ T)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aMEMu_conjunct0, axiom, ![X:q19934]:((mem @ X @ nil) <=> $false)).
thf(aMEMu_conjunct1, axiom, ![H:q19934,X:q19934,T:listq19934]:((mem @ X @ (cons @ H @ T)) <=> ((X = H) | (mem @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil0) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons0 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![P:(q19934 > $o),L:listq19934,X:q19934]:((mem @ X @ (filter @ P @ L)) <=> ((P @ X) & (mem @ X @ L)))).
