%   ORIGINAL: MEM_EL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EL_conjunct0: EL 0 l = HD l
% Assm: EL_conjunct1: EL (SUC n) l = EL n (TL l)
% Assm: HD: HD (CONS h t) = h
% Assm: LENGTH_conjunct0: LENGTH [] = 0
% Assm: LENGTH_conjunct1: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: LT_SUC: !m n. SUC m < SUC n <=> m < n
% Assm: LT_conjunct0: !m. m < 0 <=> F
% Assm: MEM_conjunct0: MEM x [] <=> F
% Assm: MEM_conjunct1: MEM x (CONS h t) <=> x = h \/ MEM x t
% Assm: TL: TL (CONS h t) = t
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !l n. n < LENGTH l ==> MEM (EL n l) l
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !l. EL 0 l = HD l
% Assm: !n l. EL (SUC n) l = EL n (TL l)
% Assm: !t h. HD (CONS h t) = h
% Assm: LENGTH [] = 0
% Assm: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: !m n. SUC m < SUC n <=> m < n
% Assm: !m. m < 0 <=> F
% Assm: !x. MEM x [] <=> F
% Assm: !h x t. MEM x (CONS h t) <=> x = h \/ MEM x t
% Assm: !h t. TL (CONS h t) = t
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !l n. n < LENGTH l ==> MEM (EL n l) l
%  TYPES
thf(tnum, type, num : $tType).
thf(tlista, type, lista : $tType).
thf(tq20096, type, q20096 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tlistq20096, type, listq20096 : $tType).
%  CONSTS
thf(cmem, type, mem : (q20096 > listq20096 > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ctl, type, tl : (listq20096 > listq20096)).
thf(chd, type, hd : (listq20096 > q20096)).
thf(ccons0, type, cons0 : (q20096 > listq20096 > listq20096)).
thf(ccons, type, cons : (a > lista > lista)).
thf(chd0, type, hd0 : (lista > a)).
thf(ctl0, type, tl0 : (lista > lista)).
thf(clength, type, length : (listq20096 > num)).
thf(cuu_0, type, u_0 : num).
thf(cel, type, el : (num > listq20096 > q20096)).
thf(cnil0, type, nil0 : lista).
thf(cnil, type, nil : listq20096).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aELu_conjunct0, axiom, ![L:listq20096]:((el @ (numeral @ u_0) @ L) = (hd @ L))).
thf(aELu_conjunct1, axiom, ![N:num,L:listq20096]:((el @ (suc @ N) @ L) = (el @ N @ (tl @ L)))).
thf(aHD, axiom, ![T:lista,H:a]:((hd0 @ (cons @ H @ T)) = H)).
thf(aLENGTHu_conjunct0, axiom, ((length @ nil) = (numeral @ u_0))).
thf(aLENGTHu_conjunct1, axiom, ![H:q20096,T:listq20096]:((length @ (cons0 @ H @ T)) = (suc @ (length @ T)))).
thf(aLTu_SUC, axiom, ![M:num,N:num]:((l_ @ (suc @ M) @ (suc @ N)) <=> (l_ @ M @ N))).
thf(aLTu_conjunct0, axiom, ![M:num]:((l_ @ M @ (numeral @ u_0)) <=> $false)).
thf(aMEMu_conjunct0, axiom, ![X:q20096]:((mem @ X @ nil) <=> $false)).
thf(aMEMu_conjunct1, axiom, ![H:q20096,X:q20096,T:listq20096]:((mem @ X @ (cons0 @ H @ T)) <=> ((X = H) | (mem @ X @ T)))).
thf(aTL, axiom, ![H:a,T:lista]:((tl0 @ (cons @ H @ T)) = T)).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil0) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![L:listq20096,N:num]:((l_ @ N @ (length @ L)) => (mem @ (el @ N @ L) @ L))).
