%   ORIGINAL: INJECTIVE_MAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONS_11: !h1 h2 t1 t2. CONS h1 t1 = CONS h2 t2 <=> h1 = h2 /\ t1 = t2
% Assm: I_THM: !x. I x = x
% Assm: MAP_conjunct0: !f. MAP f [] = []
% Assm: MAP_conjunct1: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_CONS_NIL: !h t. ~(CONS h t = [])
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !f. (!l m. MAP f l = MAP f m ==> l = m) <=> (!x y. f x = f y ==> x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !h1 h2 t1 t2. CONS h1 t1 = CONS h2 t2 <=> h1 = h2 /\ t1 = t2
% Assm: !h1 h2 t1 t2. CONS h1 t1 = CONS h2 t2 <=> h1 = h2 /\ t1 = t2
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f. MAP f [] = []
% Assm: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: ~F <=> T
% Assm: !h t. ~(CONS h t = [])
% Assm: !h t. ~(CONS h t = [])
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !f. (!l m. MAP f l = MAP f m ==> l = m) <=> (!x y. f x = f y ==> x = y)
%  TYPES
thf(tlista, type, lista : $tType).
thf(tlistb, type, listb : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ccons0, type, cons0 : (a > lista > lista)).
thf(ccons, type, cons : (b > listb > listb)).
thf(cmap, type, map : ((a > b) > lista > listb)).
thf(ci1, type, i1 : ($o > $o)).
thf(ci0, type, i0 : (lista > lista)).
thf(cnil0, type, nil0 : listb).
thf(cnil, type, nil : lista).
thf(ci, type, i : (listb > listb)).
thf(ci3, type, i3 : (a > a)).
thf(ci2, type, i2 : (b > b)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized4, axiom, ![F:(a > listb),G:(a > listb)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized3, axiom, ![F:(a > lista),G:(a > lista)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONSu_11u_monomorphized1, axiom, ![H1:b,H2:b,T1:listb,T2:listb]:(((cons @ H1 @ T1) = (cons @ H2 @ T2)) <=> ((H1 = H2) & (T1 = T2)))).
thf(aCONSu_11u_monomorphized0, axiom, ![H1:a,H2:a,T1:lista,T2:lista]:(((cons0 @ H1 @ T1) = (cons0 @ H2 @ T2)) <=> ((H1 = H2) & (T1 = T2)))).
thf(aIu_THMu_monomorphized4, axiom, ![X:listb]:((i @ X) = X)).
thf(aIu_THMu_monomorphized3, axiom, ![X:lista]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized2, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:b]:((i2 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i3 @ X) = X)).
thf(aMAPu_conjunct0, axiom, ![F:(a > b)]:((map @ F @ nil) = nil0)).
thf(aMAPu_conjunct1, axiom, ![F:(a > b),H:a,T:lista]:((map @ F @ (cons0 @ H @ T)) = (cons @ (F @ H) @ (map @ F @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_CONSu_NILu_monomorphized1, axiom, ![H:b,T:listb]:~ (((cons @ H @ T) = nil0))).
thf(aNOTu_CONSu_NILu_monomorphized0, axiom, ![H:a,T:lista]:~ (((cons0 @ H @ T) = nil))).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons0 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![F:(a > b)]:(![L:lista,M:lista]:(((map @ F @ L) = (map @ F @ M)) => (L = M)) <=> ![X:a,Y:a]:(((F @ X) = (F @ Y)) => (X = Y)))).
