%   ORIGINAL: SURJECTIVE_MAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONS_11: !h1 h2 t1 t2. CONS h1 t1 = CONS h2 t2 <=> h1 = h2 /\ t1 = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: MAP_EQ_NIL: !f l. MAP f l = [] <=> l = []
% Assm: MAP_conjunct0: !f. MAP f [] = []
% Assm: MAP_conjunct1: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_CONS_NIL: !h t. ~(CONS h t = [])
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !f. (!m. ?l. MAP f l = m) <=> (!y. ?x. f x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !h1 h2 t1 t2. CONS h1 t1 = CONS h2 t2 <=> h1 = h2 /\ t1 = t2
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: !f l. MAP f l = [] <=> l = []
% Assm: !f. MAP f [] = []
% Assm: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: ~F <=> T
% Assm: !h t. ~(CONS h t = [])
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !f. (!m. ?l. MAP f l = m) <=> (!y. ?x. f x = y)
%  TYPES
thf(tlista, type, lista : $tType).
thf(tlistb, type, listb : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ccons0, type, cons0 : (a > lista > lista)).
thf(ccons, type, cons : (b > listb > listb)).
thf(cmap, type, map : ((a > b) > lista > listb)).
thf(ci0, type, i0 : ($o > $o)).
thf(cnil, type, nil : listb).
thf(cnil0, type, nil0 : lista).
thf(ci, type, i : (listb > listb)).
thf(ci1, type, i1 : (b > b)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > listb),G:(a > listb)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONSu_11, axiom, ![H1:b,H2:b,T1:listb,T2:listb]:(((cons @ H1 @ T1) = (cons @ H2 @ T2)) <=> ((H1 = H2) & (T1 = T2)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized2, axiom, ![X:listb]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:b]:((i1 @ X) = X)).
thf(aMAPu_EQu_NIL, axiom, ![F:(a > b),L:lista]:(((map @ F @ L) = nil) <=> (L = nil0))).
thf(aMAPu_conjunct0, axiom, ![F:(a > b)]:((map @ F @ nil0) = nil)).
thf(aMAPu_conjunct1, axiom, ![F:(a > b),H:a,T:lista]:((map @ F @ (cons0 @ H @ T)) = (cons @ (F @ H) @ (map @ F @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_CONSu_NIL, axiom, ![H:b,T:listb]:~ (((cons @ H @ T) = nil))).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil0) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons0 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![F:(a > b)]:(![M:listb]:?[L:lista]:((map @ F @ L) = M) <=> ![Y:b]:?[X:a]:((F @ X) = Y))).
