%   ORIGINAL: LAST_APPEND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: APPEND_EQ_NIL: !l m. APPEND l m = [] <=> l = [] /\ m = []
% Assm: APPEND_conjunct0: !l. APPEND [] l = l
% Assm: APPEND_conjunct1: !h t l. APPEND (CONS h t) l = CONS h (APPEND t l)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: LAST: LAST (CONS h t) = (if t = [] then h else LAST t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !p q. LAST (APPEND p q) = (if q = [] then LAST p else LAST q)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !l m. APPEND l m = [] <=> l = [] /\ m = []
% Assm: !l. APPEND [] l = l
% Assm: !h t l. APPEND (CONS h t) l = CONS h (APPEND t l)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !h t. LAST (CONS h t) = (if t = [] then h else LAST t)
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !p q. LAST (APPEND p q) = (if q = [] then LAST p else LAST q)
%  TYPES
thf(ta, type, a : $tType).
thf(tlistq20545, type, listq20545 : $tType).
thf(tq20545, type, q20545 : $tType).
%  CONSTS
thf(clast, type, last : (listq20545 > q20545)).
thf(ccons, type, cons : (q20545 > listq20545 > listq20545)).
thf(cnil, type, nil : listq20545).
thf(ccond, type, cond : ($o > q20545 > q20545 > q20545)).
thf(cappend, type, append : (listq20545 > listq20545 > listq20545)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > listq20545),G:(a > listq20545)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q20545),G:(a > q20545)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAPPENDu_EQu_NIL, axiom, ![L:listq20545,M:listq20545]:(((append @ L @ M) = nil) <=> ((L = nil) & (M = nil)))).
thf(aAPPENDu_conjunct0, axiom, ![L:listq20545]:((append @ nil @ L) = L)).
thf(aAPPENDu_conjunct1, axiom, ![H:q20545,T:listq20545,L:listq20545]:((append @ (cons @ H @ T) @ L) = (cons @ H @ (append @ T @ L)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:q20545,T2:q20545]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aLAST, axiom, ![H:q20545,T:listq20545]:((last @ (cons @ H @ T)) = (cond @ (T = nil) @ H @ (last @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(listq20545 > $o)]:(((P @ nil) & ![A0:q20545,A1:listq20545]:((P @ A1) => (P @ (cons @ A0 @ A1)))) => ![X:listq20545]:(P @ X))).
thf(conjecture, conjecture, ![P:listq20545,Q:listq20545]:((last @ (append @ P @ Q)) = (cond @ (Q = nil) @ (last @ P) @ (last @ Q)))).
