%   ORIGINAL: LAST_EL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: EL_CONS: !n h t. EL n (CONS h t) = (if n = 0 then h else EL (n - 1) t)
% Assm: LAST: LAST (CONS h t) = (if t = [] then h else LAST t)
% Assm: LENGTH_EQ_NIL: !l. LENGTH l = 0 <=> l = []
% Assm: LENGTH_conjunct0: LENGTH [] = 0
% Assm: LENGTH_conjunct1: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUC_SUB1: !n. SUC n - 1 = n
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !l. ~(l = []) ==> LAST l = EL (LENGTH l - 1) l
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !n h t. EL n (CONS h t) = (if n = 0 then h else EL (n - 1) t)
% Assm: !h t. LAST (CONS h t) = (if t = [] then h else LAST t)
% Assm: !l. LENGTH l = 0 <=> l = []
% Assm: LENGTH [] = 0
% Assm: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: ~F <=> T
% Assm: !n. SUC n - 1 = n
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !l. ~(l = []) ==> LAST l = EL (LENGTH l - 1) l
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tlistq20676, type, listq20676 : $tType).
thf(tq20676, type, q20676 : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(cel, type, el : (num > listq20676 > q20676)).
thf(ccons, type, cons : (q20676 > listq20676 > listq20676)).
thf(ccond1, type, cond1 : ($o > a > a > a)).
thf(ccond0, type, cond0 : ($o > q20676 > q20676 > q20676)).
thf(ccond, type, cond : ($o > listq20676 > listq20676 > listq20676)).
thf(clength, type, length : (listq20676 > num)).
thf(clast, type, last : (listq20676 > q20676)).
thf(cnil, type, nil : listq20676).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > listq20676),G:(a > listq20676)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q20676),G:(a > q20676)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:listq20676,T2:listq20676]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:q20676,T2:q20676]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond1 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aELu_CONS, axiom, ![N:num,H:q20676,T:listq20676]:((el @ N @ (cons @ H @ T)) = (cond0 @ (N = (numeral @ u_0)) @ H @ (el @ (m_ @ N @ (numeral @ (bit1 @ u_0))) @ T)))).
thf(aLAST, axiom, ![H:q20676,T:listq20676]:((last @ (cons @ H @ T)) = (cond0 @ (T = nil) @ H @ (last @ T)))).
thf(aLENGTHu_EQu_NIL, axiom, ![L:listq20676]:(((length @ L) = (numeral @ u_0)) <=> (L = nil))).
thf(aLENGTHu_conjunct0, axiom, ((length @ nil) = (numeral @ u_0))).
thf(aLENGTHu_conjunct1, axiom, ![H:q20676,T:listq20676]:((length @ (cons @ H @ T)) = (suc @ (length @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUCu_SUB1, axiom, ![N:num]:((m_ @ (suc @ N) @ (numeral @ (bit1 @ u_0))) = N)).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(listq20676 > $o)]:(((P @ nil) & ![A0:q20676,A1:listq20676]:((P @ A1) => (P @ (cons @ A0 @ A1)))) => ![X:listq20676]:(P @ X))).
thf(conjecture, conjecture, ![L:listq20676]:(~ ((L = nil)) => ((last @ L) = (el @ (m_ @ (length @ L) @ (numeral @ (bit1 @ u_0))) @ L)))).
