%   ORIGINAL: EL_MAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EL_conjunct0: EL 0 l = HD l
% Assm: EL_conjunct1: EL (SUC n) l = EL n (TL l)
% Assm: HD: HD (CONS h t) = h
% Assm: LENGTH_conjunct0: LENGTH [] = 0
% Assm: LENGTH_conjunct1: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: LT_0: !n. 0 < SUC n
% Assm: LT_SUC: !m n. SUC m < SUC n <=> m < n
% Assm: LT_conjunct0: !m. m < 0 <=> F
% Assm: MAP_conjunct0: !f. MAP f [] = []
% Assm: MAP_conjunct1: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: TL: TL (CONS h t) = t
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f n l. n < LENGTH l ==> EL n (MAP f l) = f (EL n l)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !l. EL 0 l = HD l
% Assm: !n l. EL (SUC n) l = EL n (TL l)
% Assm: !t h. HD (CONS h t) = h
% Assm: LENGTH [] = 0
% Assm: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: !n. 0 < SUC n
% Assm: !m n. SUC m < SUC n <=> m < n
% Assm: !m. m < 0 <=> F
% Assm: !f. MAP f [] = []
% Assm: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: !h t. TL (CONS h t) = t
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f n l. n < LENGTH l ==> EL n (MAP f l) = f (EL n l)
%  TYPES
thf(tnum, type, num : $tType).
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tlistq20768, type, listq20768 : $tType).
thf(tlistq20769, type, listq20769 : $tType).
thf(tq20768, type, q20768 : $tType).
thf(tq20769, type, q20769 : $tType).
%  CONSTS
thf(cnil, type, nil : listq20769).
thf(cel, type, el : (num > listq20768 > q20768)).
thf(cel0, type, el0 : (num > listq20769 > q20769)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ccons1, type, cons1 : (a > lista > lista)).
thf(ccons0, type, cons0 : (q20769 > listq20769 > listq20769)).
thf(ccons, type, cons : (q20768 > listq20768 > listq20768)).
thf(cmap, type, map : ((q20769 > q20768) > listq20769 > listq20768)).
thf(ctl0, type, tl0 : (lista > lista)).
thf(clength, type, length : (listq20769 > num)).
thf(ctl, type, tl : (listq20768 > listq20768)).
thf(chd, type, hd : (listq20768 > q20768)).
thf(cnil0, type, nil0 : listq20768).
thf(cuu_0, type, u_0 : num).
thf(cnil1, type, nil1 : lista).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q20768),G:(a > q20768)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aELu_conjunct0, axiom, ![L:listq20768]:((el @ (numeral @ u_0) @ L) = (hd @ L))).
thf(aELu_conjunct1, axiom, ![N:num,L:listq20768]:((el @ (suc @ N) @ L) = (el @ N @ (tl @ L)))).
thf(aHD, axiom, ![T:listq20768,H:q20768]:((hd @ (cons @ H @ T)) = H)).
thf(aLENGTHu_conjunct0, axiom, ((length @ nil) = (numeral @ u_0))).
thf(aLENGTHu_conjunct1, axiom, ![H:q20769,T:listq20769]:((length @ (cons0 @ H @ T)) = (suc @ (length @ T)))).
thf(aLTu_0, axiom, ![N:num]:(l_ @ (numeral @ u_0) @ (suc @ N))).
thf(aLTu_SUC, axiom, ![M:num,N:num]:((l_ @ (suc @ M) @ (suc @ N)) <=> (l_ @ M @ N))).
thf(aLTu_conjunct0, axiom, ![M:num]:((l_ @ M @ (numeral @ u_0)) <=> $false)).
thf(aMAPu_conjunct0, axiom, ![F:(q20769 > q20768)]:((map @ F @ nil) = nil0)).
thf(aMAPu_conjunct1, axiom, ![F:(q20769 > q20768),H:q20769,T:listq20769]:((map @ F @ (cons0 @ H @ T)) = (cons @ (F @ H) @ (map @ F @ T)))).
thf(aTL, axiom, ![H:a,T:lista]:((tl0 @ (cons1 @ H @ T)) = T)).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil1) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons1 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![F:(q20769 > q20768),N:num,L:listq20769]:((l_ @ N @ (length @ L)) => ((el @ N @ (map @ F @ L)) = (F @ (el0 @ N @ L))))).
