%   ORIGINAL: ALL_FILTER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ALL_conjunct0: ALL P [] <=> T
% Assm: ALL_conjunct1: ALL P (CONS h t) <=> P h /\ ALL P t
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FILTER_conjunct0: FILTER P [] = []
% Assm: FILTER_conjunct1: FILTER P (CONS h t) = (if P h then CONS h (FILTER P t) else FILTER P t)
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !P Q l. ALL P (FILTER Q l) <=> ALL (\x. Q x ==> P x) l
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. ALL P [] <=> T
% Assm: !h P t. ALL P (CONS h t) <=> P h /\ ALL P t
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !P. FILTER P [] = []
% Assm: !h P t. FILTER P (CONS h t) = (if P h then CONS h (FILTER P t) else FILTER P t)
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !P Q l. ALL P (FILTER Q l) <=> ALL (\x. Q x ==> P x) l
%  TYPES
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(call, type, all : ((a > $o) > lista > $o)).
thf(ccond0, type, cond0 : ($o > lista > lista > lista)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(ccons, type, cons : (a > lista > lista)).
thf(cfilter, type, filter : ((a > $o) > lista > lista)).
thf(cnil, type, nil : lista).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aALLu_conjunct0, axiom, ![P:(a > $o)]:((all @ P @ nil) <=> $true)).
thf(aALLu_conjunct1, axiom, ![H:a,P:(a > $o),T:lista]:((all @ P @ (cons @ H @ T)) <=> ((P @ H) & (all @ P @ T)))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFILTERu_conjunct0, axiom, ![P:(a > $o)]:((filter @ P @ nil) = nil)).
thf(aFILTERu_conjunct1, axiom, ![H:a,P:(a > $o),T:lista]:((filter @ P @ (cons @ H @ T)) = (cond0 @ (P @ H) @ (cons @ H @ (filter @ P @ T)) @ (filter @ P @ T)))).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![P:(a > $o),Q:(a > $o),L:lista]:((all @ P @ (filter @ Q @ L)) <=> (all @ ^[X:a]:((Q @ X) => (P @ X)) @ L))).
