%   ORIGINAL: MONO_ALL2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ALL2_DEF_conjunct0: ALL2 P [] l2 <=> l2 = []
% Assm: ALL2_DEF_conjunct1: ALL2 P (CONS h1 t1) l2 <=> (if l2 = [] then F else P h1 (HD l2) /\ ALL2 P t1 (TL l2))
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: (!x y. P x y ==> Q x y) ==> ALL2 P l l' ==> ALL2 Q l l'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !P l2. ALL2 P [] l2 <=> l2 = []
% Assm: !h1 P t1 l2. ALL2 P (CONS h1 t1) l2 <=> (if l2 = [] then F else P h1 (HD l2) /\ ALL2 P t1 (TL l2))
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !l' l Q P. (!x y. P x y ==> Q x y) ==> ALL2 P l l' ==> ALL2 Q l l'
%  TYPES
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tlistb, type, listb : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > $o > $o > $o)).
thf(ccons, type, cons : (a > lista > lista)).
thf(call2, type, all2 : ((a > b > $o) > lista > listb > $o)).
thf(cnil0, type, nil0 : listb).
thf(chd, type, hd : (listb > b)).
thf(cnil, type, nil : lista).
thf(ctl, type, tl : (listb > listb)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aALL2u_DEFu_conjunct0, axiom, ![P:(a > b > $o),L2:listb]:((all2 @ P @ nil @ L2) <=> (L2 = nil0))).
thf(aALL2u_DEFu_conjunct1, axiom, ![H1:a,P:(a > b > $o),T1:lista,L2:listb]:((all2 @ P @ (cons @ H1 @ T1) @ L2) <=> (cond @ (L2 = nil0) @ $false @ ((P @ H1 @ (hd @ L2)) & (all2 @ P @ T1 @ (tl @ L2)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![LI_:listb,L:lista,Q:(a > b > $o),P:(a > b > $o)]:(![X:a,Y:b]:((P @ X @ Y) => (Q @ X @ Y)) => ((all2 @ P @ L @ LI_) => (all2 @ Q @ L @ LI_)))).
