%   ORIGINAL: DIST_LE_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: DIST_ELIM_THM: P (dist (x,y)) <=> (!d. (x = y + d ==> P d) /\ (y = x + d ==> P d))
% Assm: LE_ADD: !m n. m <= m + n
% Assm: LE_ADD_LCANCEL: !m n p. m + n <= m + p <=> n <= p
% Assm: TRUTH: T
% Goal: !m n p. dist (m,n) <= p <=> m <= n + p /\ n <= m + p
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !y x P. P (dist (x,y)) <=> (!d. (x = y + d ==> P d) /\ (y = x + d ==> P d))
% Assm: !m n. m <= m + n
% Assm: !m n p. m + n <= m + p <=> n <= p
% Assm: T
% Goal: !m n p. dist (m,n) <= p <=> m <= n + p /\ n <= m + p
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cdist, type, dist : (prodnumnum > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aDISTu_ELIMu_THM, axiom, ![Y:num,X:num,P:(num > $o)]:((P @ (dist @ (c_ @ X @ Y))) <=> ![D:num]:(((X = (p_ @ Y @ D)) => (P @ D)) & ((Y = (p_ @ X @ D)) => (P @ D))))).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aLEu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_a_ @ N @ P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,P:num]:((l_a_ @ (dist @ (c_ @ M @ N)) @ P) <=> ((l_a_ @ M @ (p_ @ N @ P)) & (l_a_ @ N @ (p_ @ M @ P))))).
