%   ORIGINAL: DIST_ADD2_REV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: DIST_ELIM_THM: P (dist (x,y)) <=> (!d. (x = y + d ==> P d) /\ (y = x + d ==> P d))
% Assm: EQ_ADD_LCANCEL: !m n p. m + n = m + p <=> n = p
% Assm: EQ_ADD_LCANCEL_0: !m n. m + n = m <=> n = 0
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: TRUTH: T
% Goal: !m n p q. dist (m,p) <= dist (m + n,p + q) + dist (n,q)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !y x P. P (dist (x,y)) <=> (!d. (x = y + d ==> P d) /\ (y = x + d ==> P d))
% Assm: !m n p. m + n = m + p <=> n = p
% Assm: !m n. m + n = m <=> n = 0
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: ~F <=> T
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: !n. ~(SUC n = 0)
% Assm: T
% Goal: !m n p q. dist (m,p) <= dist (m + n,p + q) + dist (n,q)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cdist, type, dist : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aDISTu_ELIMu_THM, axiom, ![Y:num,X:num,P:(num > $o)]:((P @ (dist @ (c_ @ X @ Y))) <=> ![D:num]:(((X = (p_ @ Y @ D)) => (P @ D)) & ((Y = (p_ @ X @ D)) => (P @ D))))).
thf(aEQu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:(((p_ @ M @ N) = (p_ @ M @ P)) <=> (N = P))).
thf(aEQu_ADDu_LCANCELu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = M) <=> (N = (numeral @ u_0)))).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,P:num,Q:num]:(l_a_ @ (dist @ (c_ @ M @ P)) @ (p_ @ (dist @ (c_ @ (p_ @ M @ N) @ (p_ @ P @ Q))) @ (dist @ (c_ @ N @ Q))))).
