%   ORIGINAL: BOUNDS_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LE_ADD: !m n. m <= m + n
% Assm: LE_ADDR: !m n. n <= m + n
% Assm: LE_ADD_LCANCEL: !m n p. m + n <= m + p <=> n <= p
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Goal: !A B C. (!n. A * n <= B * n + C) <=> A <= B
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. m <= m + n
% Assm: !m n. n <= m + n
% Assm: !m n p. m + n <= m + p <=> n <= p
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !m n. m < SUC n <=> m <= n
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Goal: !A B C. (!n. A * n <= B * n + C) <=> A <= B
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aLEu_ADDR, axiom, ![M:num,N:num]:(l_a_ @ N @ (p_ @ M @ N))).
thf(aLEu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_a_ @ N @ P))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:num,B:num,C:num]:(![N:num]:(l_a_ @ (t_ @ A @ N) @ (p_ @ (t_ @ B @ N) @ C)) <=> (l_a_ @ A @ B))).
