%   ORIGINAL: BOUNDS_NOTZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ADD: !m n. m <= m + n
% Assm: LE_ADD_LCANCEL: !m n p. m + n <= m + p <=> n <= p
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !P A B. P 0 0 = 0 /\ (!m n. P m n <= A * (m + n) + B) ==> (?B. !m n. P m n <= B * (m + n))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !n. 0 <= n
% Assm: !m n. m <= m + n
% Assm: !m n p. m + n <= m + p <=> n <= p
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m. m * 0 = 0
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !P A B. P 0 0 = 0 /\ (!m n. P m n <= A * (m + n) + B) ==> (?B. !m n. P m n <= B * (m + n))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aLEu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_a_ @ N @ P))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![P:(num > num > num),A:num,B:num]:((((P @ (numeral @ u_0) @ (numeral @ u_0)) = (numeral @ u_0)) & ![M:num,N:num]:(l_a_ @ (P @ M @ N) @ (p_ @ (t_ @ A @ (p_ @ M @ N)) @ B))) => ?[B:num]:![M:num,N:num]:(l_a_ @ (P @ M @ N) @ (t_ @ B @ (p_ @ M @ N))))).
