%   ORIGINAL: NADD_CAUCHY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: TRUTH: T
% Assm: is_nadd: !x. is_nadd x <=> (?B. !m n. dist (m * x n,n * x m) <= B * (m + n))
% Assm: nadd_abs: mk_nadd (dest_nadd a) = a
% Assm: nadd_rep: is_nadd r <=> dest_nadd (mk_nadd r) = r
% Goal: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: T
% Assm: !x. is_nadd x <=> (?B. !m n. dist (m * x n,n * x m) <= B * (m + n))
% Assm: !a. mk_nadd (dest_nadd a) = a
% Assm: !r. is_nadd r <=> dest_nadd (mk_nadd r) = r
% Goal: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cisuu_nadd, type, isu_nadd : ((num > num) > $o)).
thf(cdist, type, dist : (prodnumnum > num)).
thf(cmkuu_nadd, type, mku_nadd : ((num > num) > nadd)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aTRUTH, axiom, $true).
thf(aisu_nadd, axiom, ![X:(num > num)]:((isu_nadd @ X) <=> ?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (t_ @ M @ (X @ N)) @ (t_ @ N @ (X @ M)))) @ (t_ @ B @ (p_ @ M @ N))))).
thf(anaddu_abs, axiom, ![A:nadd]:((mku_nadd @ (destu_nadd @ A)) = A)).
thf(anaddu_rep, axiom, ![R:(num > num)]:((isu_nadd @ R) <=> ((destu_nadd @ (mku_nadd @ R)) = R))).
thf(conjecture, conjecture, ![X:nadd]:?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (t_ @ M @ (destu_nadd @ X @ N)) @ (t_ @ N @ (destu_nadd @ X @ M)))) @ (t_ @ B @ (p_ @ M @ N)))).
