%   ORIGINAL: NADD_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: DIST_LE_CASES: !m n p. dist (m,n) <= p <=> m <= n + p /\ n <= m + p
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: NADD_CAUCHY: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Goal: !x. ?A B. !n. dest_nadd x n <= A * n + B
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m n p. dist (m,n) <= p <=> m <= n + p /\ n <= m + p
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n m. m * n = n * m
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Goal: !x. ?A B. !n. dest_nadd x n <= A * n + B
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cdist, type, dist : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aDISTu_LEu_CASES, axiom, ![M:num,N:num,P:num]:((l_a_ @ (dist @ (c_ @ M @ N)) @ P) <=> ((l_a_ @ M @ (p_ @ N @ P)) & (l_a_ @ N @ (p_ @ M @ P))))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aNADDu_CAUCHY, axiom, ![X:nadd]:?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (t_ @ M @ (destu_nadd @ X @ N)) @ (t_ @ N @ (destu_nadd @ X @ M)))) @ (t_ @ B @ (p_ @ M @ N)))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:nadd]:?[A:num,B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (t_ @ A @ N) @ B))).
