%   ORIGINAL: NADD_MULTIPLICATIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_ADDBOUND: !m n. dist (m,n) <= m + n
% Assm: DIST_LMUL: !m n p. m * dist (n,p) = dist (m * n,m * p)
% Assm: EQ_ADD_LCANCEL: !m n p. m + n = m + p <=> n = p
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LE_MULT_LCANCEL: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_AC_conjunct2: m * n * p = n * m * p
% Assm: MULT_ASSOC: !m n p. m * n * p = (m * n) * p
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: NADD_CAUCHY: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Goal: !x. ?B. !m n. dist (dest_nadd x (m * n),m * dest_nadd x n) <= B * m + B
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. dist (m,n) <= m + n
% Assm: !m n p. m * dist (n,p) = dist (m * n,m * p)
% Assm: !m n p. m + n = m + p <=> n = p
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !n m. m * n = n * m
% Assm: !n m p. m * n * p = n * m * p
% Assm: !m n p. m * n * p = (m * n) * p
% Assm: !m. m * 0 = 0
% Assm: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
% Assm: ~F <=> T
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Goal: !x. ?B. !m n. dist (dest_nadd x (m * n),m * dest_nadd x n) <= B * m + B
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cdist, type, dist : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_ADDBOUND, axiom, ![M:num,N:num]:(l_a_ @ (dist @ (c_ @ M @ N)) @ (p_ @ M @ N))).
thf(aDISTu_LMUL, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (dist @ (c_ @ N @ P))) = (dist @ (c_ @ (t_ @ M @ N) @ (t_ @ M @ P))))).
thf(aEQu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:(((p_ @ M @ N) = (p_ @ M @ P)) <=> (N = P))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLEu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ N) @ (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (l_a_ @ N @ P)))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((t_ @ M @ (t_ @ N @ P)) = (t_ @ N @ (t_ @ M @ P)))).
thf(aMULTu_ASSOC, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (t_ @ N @ P)) = (t_ @ (t_ @ M @ N) @ P))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aNADDu_CAUCHY, axiom, ![X:nadd]:?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (t_ @ M @ (destu_nadd @ X @ N)) @ (t_ @ N @ (destu_nadd @ X @ M)))) @ (t_ @ B @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:nadd]:?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (destu_nadd @ X @ (t_ @ M @ N)) @ (t_ @ M @ (destu_nadd @ X @ N)))) @ (p_ @ (t_ @ B @ M) @ B))).
