%   ORIGINAL: NADD_LE_WELLDEF_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_ASSOC: !m n p. m + n + p = (m + n) + p
% Assm: DIST_LE_CASES: !m n p. dist (m,n) <= p <=> m <= n + p /\ n <= m + p
% Assm: LE_ADD_RCANCEL: !m n p. m + p <= n + p <=> m <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: TRUTH: T
% Assm: nadd_eq: !x y. nadd_eq x y <=> (?B. !n. dist (dest_nadd x n,dest_nadd y n) <= B)
% Assm: nadd_le: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' /\ nadd_le x y ==> nadd_le x' y'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. m + n + p = (m + n) + p
% Assm: !m n p. dist (m,n) <= p <=> m <= n + p /\ n <= m + p
% Assm: !m n p. m + p <= n + p <=> m <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: T
% Assm: !x y. nadd_eq x y <=> (?B. !n. dist (dest_nadd x n,dest_nadd y n) <= B)
% Assm: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' /\ nadd_le x y ==> nadd_le x' y'
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cdist, type, dist : (prodnumnum > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ASSOC, axiom, ![M:num,N:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ (p_ @ M @ N) @ P))).
thf(aDISTu_LEu_CASES, axiom, ![M:num,N:num,P:num]:((l_a_ @ (dist @ (c_ @ M @ N)) @ P) <=> ((l_a_ @ M @ (p_ @ N @ P)) & (l_a_ @ N @ (p_ @ M @ P))))).
thf(aLEu_ADDu_RCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ P) @ (p_ @ N @ P)) <=> (l_a_ @ M @ N))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aTRUTH, axiom, $true).
thf(anaddu_eq, axiom, ![X:nadd,Y:nadd]:((naddu_eq @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (dist @ (c_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N))) @ B))).
thf(anaddu_le, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (destu_nadd @ Y @ N) @ B)))).
thf(conjecture, conjecture, ![X:nadd,XI_:nadd,Y:nadd,YI_:nadd]:(((naddu_eq @ X @ XI_) & (naddu_eq @ Y @ YI_) & (naddu_le @ X @ Y)) => (naddu_le @ XI_ @ YI_))).
