%   ORIGINAL: NADD_LE_TOTAL_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_ASSOC: !m n p. m + n + p = (m + n) + p
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LE_ADD: !m n. m <= m + n
% Assm: LE_ADDR: !m n. n <= m + n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: TRUTH: T
% Assm: nadd_le: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x y. ~nadd_le x y ==> (!B. ?n. ~(n = 0) /\ dest_nadd y n + B < dest_nadd x n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. m + n + p = (m + n) + p
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. m <= m + n
% Assm: !m n. n <= m + n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: T
% Assm: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x y. ~nadd_le x y ==> (!B. ?n. ~(n = 0) /\ dest_nadd y n + B < dest_nadd x n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ASSOC, axiom, ![M:num,N:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ (p_ @ M @ N) @ P))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aLEu_ADDR, axiom, ![M:num,N:num]:(l_a_ @ N @ (p_ @ M @ N))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(anaddu_le, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (destu_nadd @ Y @ N) @ B)))).
thf(conjecture, conjecture, ![X:nadd,Y:nadd]:(~ ((naddu_le @ X @ Y)) => ![B:num]:?[N:num]:(~ ((N = (numeral @ u_0))) & (l_ @ (p_ @ (destu_nadd @ Y @ N) @ B) @ (destu_nadd @ X @ N))))).
