%   ORIGINAL: NADD_ARCH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NADD_BOUND: !x. ?A B. !n. dest_nadd x n <= A * n + B
% Assm: NADD_OF_NUM: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: TRUTH: T
% Assm: nadd_le: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x. ?n. nadd_le x (nadd_of_num n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. ?A B. !n. dest_nadd x n <= A * n + B
% Assm: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: T
% Assm: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x. ?n. nadd_le x (nadd_of_num n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNADDu_BOUND, axiom, ![X:nadd]:?[A:num,B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (t_ @ A @ N) @ B))).
thf(aNADDu_OFu_NUM, axiom, ![K:num]:((destu_nadd @ (naddu_ofu_num @ K)) = ^[N:num]:(t_ @ K @ N))).
thf(aTRUTH, axiom, $true).
thf(anaddu_le, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (destu_nadd @ Y @ N) @ B)))).
thf(conjecture, conjecture, ![X:nadd]:?[N:num]:(naddu_le @ X @ (naddu_ofu_num @ N))).
