%   ORIGINAL: NADD_OF_NUM_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDS_LINEAR: !A B C. (!n. A * n <= B * n + C) <=> A <= B
% Assm: NADD_OF_NUM: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: TRUTH: T
% Assm: nadd_le: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !m n. nadd_le (nadd_of_num m) (nadd_of_num n) <=> m <= n
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A B C. (!n. A * n <= B * n + C) <=> A <= B
% Assm: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: T
% Assm: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !m n. nadd_le (nadd_of_num m) (nadd_of_num n) <=> m <= n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDSu_LINEAR, axiom, ![A:num,B:num,C:num]:(![N:num]:(l_a_ @ (t_ @ A @ N) @ (p_ @ (t_ @ B @ N) @ C)) <=> (l_a_ @ A @ B))).
thf(aNADDu_OFu_NUM, axiom, ![K:num]:((destu_nadd @ (naddu_ofu_num @ K)) = ^[N:num]:(t_ @ K @ N))).
thf(aTRUTH, axiom, $true).
thf(anaddu_le, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (destu_nadd @ Y @ N) @ B)))).
thf(conjecture, conjecture, ![M:num,N:num]:((naddu_le @ (naddu_ofu_num @ M) @ (naddu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
