%   ORIGINAL: NADD_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_ADD2: !m n p q. dist (m + n,p + q) <= dist (m,p) + dist (n,q)
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_ADD2: !m n p q. m <= p /\ n <= q ==> m + n <= p + q
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NADD_CAUCHY: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Assm: is_nadd: !x. is_nadd x <=> (?B. !m n. dist (m * x n,n * x m) <= B * (m + n))
% Assm: nadd_add: !x y. nadd_add x y = mk_nadd (\n. dest_nadd x n + dest_nadd y n)
% Assm: nadd_rep: is_nadd r <=> dest_nadd (mk_nadd r) = r
% Goal: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p q. dist (m + n,p + q) <= dist (m,p) + dist (n,q)
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !m n p q. m <= p /\ n <= q ==> m + n <= p + q
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Assm: !x. is_nadd x <=> (?B. !m n. dist (m * x n,n * x m) <= B * (m + n))
% Assm: !x y. nadd_add x y = mk_nadd (\n. dest_nadd x n + dest_nadd y n)
% Assm: !r. is_nadd r <=> dest_nadd (mk_nadd r) = r
% Goal: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnadduu_add, type, naddu_add : (nadd > nadd > nadd)).
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cisuu_nadd, type, isu_nadd : ((num > num) > $o)).
thf(cdist, type, dist : (prodnumnum > num)).
thf(cmkuu_nadd, type, mku_nadd : ((num > num) > nadd)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num > num),G:(a > num > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_ADD2, axiom, ![M:num,N:num,P:num,Q:num]:(l_a_ @ (dist @ (c_ @ (p_ @ M @ N) @ (p_ @ P @ Q))) @ (p_ @ (dist @ (c_ @ M @ P)) @ (dist @ (c_ @ N @ Q))))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_ADD2, axiom, ![M:num,N:num,P:num,Q:num]:(((l_a_ @ M @ P) & (l_a_ @ N @ Q)) => (l_a_ @ (p_ @ M @ N) @ (p_ @ P @ Q)))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNADDu_CAUCHY, axiom, ![X:nadd]:?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (t_ @ M @ (destu_nadd @ X @ N)) @ (t_ @ N @ (destu_nadd @ X @ M)))) @ (t_ @ B @ (p_ @ M @ N)))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(aisu_nadd, axiom, ![X:(num > num)]:((isu_nadd @ X) <=> ?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (t_ @ M @ (X @ N)) @ (t_ @ N @ (X @ M)))) @ (t_ @ B @ (p_ @ M @ N))))).
thf(anaddu_add, axiom, ![X:nadd,Y:nadd]:((naddu_add @ X @ Y) = (mku_nadd @ ^[N:num]:(p_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N))))).
thf(anaddu_rep, axiom, ![R:(num > num)]:((isu_nadd @ R) <=> ((destu_nadd @ (mku_nadd @ R)) = R))).
thf(conjecture, conjecture, ![X:nadd,Y:nadd]:((destu_nadd @ (naddu_add @ X @ Y)) = ^[N:num]:(p_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N)))).
