%   ORIGINAL: NADD_ADD_WELLDEF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_ADD2: !m n p q. dist (m + n,p + q) <= dist (m,p) + dist (n,q)
% Assm: LE_ADD2: !m n p q. m <= p /\ n <= q ==> m + n <= p + q
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NADD_ADD: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
% Assm: TRUTH: T
% Assm: nadd_eq: !x y. nadd_eq x y <=> (?B. !n. dist (dest_nadd x n,dest_nadd y n) <= B)
% Goal: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_add x y) (nadd_add x' y')
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p q. dist (m + n,p + q) <= dist (m,p) + dist (n,q)
% Assm: !m n p q. m <= p /\ n <= q ==> m + n <= p + q
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
% Assm: T
% Assm: !x y. nadd_eq x y <=> (?B. !n. dist (dest_nadd x n,dest_nadd y n) <= B)
% Goal: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_add x y) (nadd_add x' y')
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cnadduu_add, type, naddu_add : (nadd > nadd > nadd)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cdist, type, dist : (prodnumnum > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_ADD2, axiom, ![M:num,N:num,P:num,Q:num]:(l_a_ @ (dist @ (c_ @ (p_ @ M @ N) @ (p_ @ P @ Q))) @ (p_ @ (dist @ (c_ @ M @ P)) @ (dist @ (c_ @ N @ Q))))).
thf(aLEu_ADD2, axiom, ![M:num,N:num,P:num,Q:num]:(((l_a_ @ M @ P) & (l_a_ @ N @ Q)) => (l_a_ @ (p_ @ M @ N) @ (p_ @ P @ Q)))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNADDu_ADD, axiom, ![X:nadd,Y:nadd]:((destu_nadd @ (naddu_add @ X @ Y)) = ^[N:num]:(p_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N)))).
thf(aTRUTH, axiom, $true).
thf(anaddu_eq, axiom, ![X:nadd,Y:nadd]:((naddu_eq @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (dist @ (c_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N))) @ B))).
thf(conjecture, conjecture, ![X:nadd,XI_:nadd,Y:nadd,YI_:nadd]:(((naddu_eq @ X @ XI_) & (naddu_eq @ Y @ YI_)) => (naddu_eq @ (naddu_add @ X @ Y) @ (naddu_add @ XI_ @ YI_)))).
