%   ORIGINAL: NADD_ADD_ASSOC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_ASSOC: !m n p. m + n + p = (m + n) + p
% Assm: NADD_ADD: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
% Assm: NADD_EQ_REFL: !x. nadd_eq x x
% Assm: TRUTH: T
% Assm: nadd_add: !x y. nadd_add x y = mk_nadd (\n. dest_nadd x n + dest_nadd y n)
% Goal: !x y z. nadd_eq (nadd_add x (nadd_add y z)) (nadd_add (nadd_add x y) z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. m + n + p = (m + n) + p
% Assm: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
% Assm: !x. nadd_eq x x
% Assm: T
% Assm: !x y. nadd_add x y = mk_nadd (\n. dest_nadd x n + dest_nadd y n)
% Goal: !x y z. nadd_eq (nadd_add x (nadd_add y z)) (nadd_add (nadd_add x y) z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnadduu_add, type, naddu_add : (nadd > nadd > nadd)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(cmkuu_nadd, type, mku_nadd : ((num > num) > nadd)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ASSOC, axiom, ![M:num,N:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ (p_ @ M @ N) @ P))).
thf(aNADDu_ADD, axiom, ![X:nadd,Y:nadd]:((destu_nadd @ (naddu_add @ X @ Y)) = ^[N:num]:(p_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N)))).
thf(aNADDu_EQu_REFL, axiom, ![X:nadd]:(naddu_eq @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(anaddu_add, axiom, ![X:nadd,Y:nadd]:((naddu_add @ X @ Y) = (mku_nadd @ ^[N:num]:(p_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N))))).
thf(conjecture, conjecture, ![X:nadd,Y:nadd,Z:nadd]:(naddu_eq @ (naddu_add @ X @ (naddu_add @ Y @ Z)) @ (naddu_add @ (naddu_add @ X @ Y) @ Z))).
