%   ORIGINAL: NADD_LE_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: LE_ADD: !m n. m <= m + n
% Assm: NADD_ADD: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
% Assm: TRUTH: T
% Assm: nadd_le: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x y. nadd_le x (nadd_add x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m. m + 0 = m
% Assm: !m n. m <= m + n
% Assm: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
% Assm: T
% Assm: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x y. nadd_le x (nadd_add x y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnadduu_add, type, naddu_add : (nadd > nadd > nadd)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aNADDu_ADD, axiom, ![X:nadd,Y:nadd]:((destu_nadd @ (naddu_add @ X @ Y)) = ^[N:num]:(p_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N)))).
thf(aTRUTH, axiom, $true).
thf(anaddu_le, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (destu_nadd @ Y @ N) @ B)))).
thf(conjecture, conjecture, ![X:nadd,Y:nadd]:(naddu_le @ X @ (naddu_add @ X @ Y))).
