%   ORIGINAL: NADD_LE_EXISTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: DIST_ADD2: !m n p q. dist (m + n,p + q) <= dist (m,p) + dist (n,q)
% Assm: DIST_ADD2_REV: !m n p q. dist (m,p) <= dist (m + n,p + q) + dist (n,q)
% Assm: DIST_ADDBOUND: !m n. dist (m,n) <= m + n
% Assm: DIST_LMUL: !m n p. m * dist (n,p) = dist (m * n,m * p)
% Assm: DIST_RADD_0: !m n. dist (m,m + n) = n
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_ADD2: !m n p q. m <= p /\ n <= q ==> m + n <= p + q
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LE_MULT_LCANCEL: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: LE_REFL: !n. n <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: NADD_ADD: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
% Assm: NADD_CAUCHY: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Assm: is_nadd: !x. is_nadd x <=> (?B. !m n. dist (m * x n,n * x m) <= B * (m + n))
% Assm: nadd_eq: !x y. nadd_eq x y <=> (?B. !n. dist (dest_nadd x n,dest_nadd y n) <= B)
% Assm: nadd_le: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Assm: nadd_rep: is_nadd r <=> dest_nadd (mk_nadd r) = r
% Goal: !x y. nadd_le x y ==> (?d. nadd_eq y (nadd_add x d))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !m n p q. dist (m + n,p + q) <= dist (m,p) + dist (n,q)
% Assm: !m n p q. dist (m,p) <= dist (m + n,p + q) + dist (n,q)
% Assm: !m n. dist (m,n) <= m + n
% Assm: !m n p. m * dist (n,p) = dist (m * n,m * p)
% Assm: !m n. dist (m,m + n) = n
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !m n p q. m <= p /\ n <= q ==> m + n <= p + q
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: !n. n <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !n m. m * n = n * m
% Assm: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
% Assm: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Assm: !x. is_nadd x <=> (?B. !m n. dist (m * x n,n * x m) <= B * (m + n))
% Assm: !x y. nadd_eq x y <=> (?B. !n. dist (dest_nadd x n,dest_nadd y n) <= B)
% Assm: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Assm: !r. is_nadd r <=> dest_nadd (mk_nadd r) = r
% Goal: !x y. nadd_le x y ==> (?d. nadd_eq y (nadd_add x d))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnadduu_add, type, naddu_add : (nadd > nadd > nadd)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cisuu_nadd, type, isu_nadd : ((num > num) > $o)).
thf(cdist, type, dist : (prodnumnum > num)).
thf(cmkuu_nadd, type, mku_nadd : ((num > num) > nadd)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aDISTu_ADD2, axiom, ![M:num,N:num,P:num,Q:num]:(l_a_ @ (dist @ (c_ @ (p_ @ M @ N) @ (p_ @ P @ Q))) @ (p_ @ (dist @ (c_ @ M @ P)) @ (dist @ (c_ @ N @ Q))))).
thf(aDISTu_ADD2u_REV, axiom, ![M:num,N:num,P:num,Q:num]:(l_a_ @ (dist @ (c_ @ M @ P)) @ (p_ @ (dist @ (c_ @ (p_ @ M @ N) @ (p_ @ P @ Q))) @ (dist @ (c_ @ N @ Q))))).
thf(aDISTu_ADDBOUND, axiom, ![M:num,N:num]:(l_a_ @ (dist @ (c_ @ M @ N)) @ (p_ @ M @ N))).
thf(aDISTu_LMUL, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (dist @ (c_ @ N @ P))) = (dist @ (c_ @ (t_ @ M @ N) @ (t_ @ M @ P))))).
thf(aDISTu_RADDu_0, axiom, ![M:num,N:num]:((dist @ (c_ @ M @ (p_ @ M @ N))) = N)).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_ADD2, axiom, ![M:num,N:num,P:num,Q:num]:(((l_a_ @ M @ P) & (l_a_ @ N @ Q)) => (l_a_ @ (p_ @ M @ N) @ (p_ @ P @ Q)))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLEu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ N) @ (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (l_a_ @ N @ P)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aNADDu_ADD, axiom, ![X:nadd,Y:nadd]:((destu_nadd @ (naddu_add @ X @ Y)) = ^[N:num]:(p_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N)))).
thf(aNADDu_CAUCHY, axiom, ![X:nadd]:?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (t_ @ M @ (destu_nadd @ X @ N)) @ (t_ @ N @ (destu_nadd @ X @ M)))) @ (t_ @ B @ (p_ @ M @ N)))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(aisu_nadd, axiom, ![X:(num > num)]:((isu_nadd @ X) <=> ?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (t_ @ M @ (X @ N)) @ (t_ @ N @ (X @ M)))) @ (t_ @ B @ (p_ @ M @ N))))).
thf(anaddu_eq, axiom, ![X:nadd,Y:nadd]:((naddu_eq @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (dist @ (c_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N))) @ B))).
thf(anaddu_le, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (destu_nadd @ Y @ N) @ B)))).
thf(anaddu_rep, axiom, ![R:(num > num)]:((isu_nadd @ R) <=> ((destu_nadd @ (mku_nadd @ R)) = R))).
thf(conjecture, conjecture, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) => ?[D:nadd]:(naddu_eq @ Y @ (naddu_add @ X @ D)))).
