%   ORIGINAL: NADD_MUL_LID
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: NADD_EQ_REFL: !x. nadd_eq x x
% Assm: NADD_OF_NUM: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: TRUTH: T
% Assm: nadd_abs: mk_nadd (dest_nadd a) = a
% Assm: nadd_mul: !x y. nadd_mul x y = mk_nadd (\n. dest_nadd x (dest_nadd y n))
% Goal: !x. nadd_eq (nadd_mul (nadd_of_num 1) x) x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !n. 1 * n = n
% Assm: !x. nadd_eq x x
% Assm: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: T
% Assm: !a. mk_nadd (dest_nadd a) = a
% Assm: !x y. nadd_mul x y = mk_nadd (\n. dest_nadd x (dest_nadd y n))
% Goal: !x. nadd_eq (nadd_mul (nadd_of_num 1) x) x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cnadduu_mul, type, naddu_mul : (nadd > nadd > nadd)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(cmkuu_nadd, type, mku_nadd : ((num > num) > nadd)).
thf(cuu_0, type, u_0 : num).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aNADDu_EQu_REFL, axiom, ![X:nadd]:(naddu_eq @ X @ X)).
thf(aNADDu_OFu_NUM, axiom, ![K:num]:((destu_nadd @ (naddu_ofu_num @ K)) = ^[N:num]:(t_ @ K @ N))).
thf(aTRUTH, axiom, $true).
thf(anaddu_abs, axiom, ![A:nadd]:((mku_nadd @ (destu_nadd @ A)) = A)).
thf(anaddu_mul, axiom, ![X:nadd,Y:nadd]:((naddu_mul @ X @ Y) = (mku_nadd @ ^[N:num]:(destu_nadd @ X @ (destu_nadd @ Y @ N))))).
thf(conjecture, conjecture, ![X:nadd]:(naddu_eq @ (naddu_mul @ (naddu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) @ X)).
