%   ORIGINAL: NADD_MUL_WELLDEF_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LE_MULT_LCANCEL: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NADD_DIST: !x. ?B. !m n. dist (dest_nadd x m,dest_nadd x n) <= B * dist (m,n)
% Assm: NADD_MUL: !x y. dest_nadd (nadd_mul x y) = (\n. dest_nadd x (dest_nadd y n))
% Assm: TRUTH: T
% Assm: nadd_eq: !x y. nadd_eq x y <=> (?B. !n. dist (dest_nadd x n,dest_nadd y n) <= B)
% Goal: !x y y'. nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x y')
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !x. ?B. !m n. dist (dest_nadd x m,dest_nadd x n) <= B * dist (m,n)
% Assm: !x y. dest_nadd (nadd_mul x y) = (\n. dest_nadd x (dest_nadd y n))
% Assm: T
% Assm: !x y. nadd_eq x y <=> (?B. !n. dist (dest_nadd x n,dest_nadd y n) <= B)
% Goal: !x y y'. nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x y')
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cnadduu_mul, type, naddu_mul : (nadd > nadd > nadd)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cdist, type, dist : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLEu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ N) @ (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (l_a_ @ N @ P)))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNADDu_DIST, axiom, ![X:nadd]:?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (destu_nadd @ X @ M) @ (destu_nadd @ X @ N))) @ (t_ @ B @ (dist @ (c_ @ M @ N))))).
thf(aNADDu_MUL, axiom, ![X:nadd,Y:nadd]:((destu_nadd @ (naddu_mul @ X @ Y)) = ^[N:num]:(destu_nadd @ X @ (destu_nadd @ Y @ N)))).
thf(aTRUTH, axiom, $true).
thf(anaddu_eq, axiom, ![X:nadd,Y:nadd]:((naddu_eq @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (dist @ (c_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N))) @ B))).
thf(conjecture, conjecture, ![X:nadd,Y:nadd,YI_:nadd]:((naddu_eq @ Y @ YI_) => (naddu_eq @ (naddu_mul @ X @ Y) @ (naddu_mul @ X @ YI_)))).
