%   ORIGINAL: NADD_MUL_WELLDEF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NADD_EQ_TRANS: !x y z. nadd_eq x y /\ nadd_eq y z ==> nadd_eq x z
% Assm: NADD_MUL_SYM: !x y. nadd_eq (nadd_mul x y) (nadd_mul y x)
% Assm: NADD_MUL_WELLDEF_LEMMA: !x y y'. nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x y')
% Assm: TRUTH: T
% Goal: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x' y')
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. nadd_eq x y /\ nadd_eq y z ==> nadd_eq x z
% Assm: !x y. nadd_eq (nadd_mul x y) (nadd_mul y x)
% Assm: !x y y'. nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x y')
% Assm: T
% Goal: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x' y')
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cnadduu_mul, type, naddu_mul : (nadd > nadd > nadd)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNADDu_EQu_TRANS, axiom, ![X:nadd,Y:nadd,Z:nadd]:(((naddu_eq @ X @ Y) & (naddu_eq @ Y @ Z)) => (naddu_eq @ X @ Z))).
thf(aNADDu_MULu_SYM, axiom, ![X:nadd,Y:nadd]:(naddu_eq @ (naddu_mul @ X @ Y) @ (naddu_mul @ Y @ X))).
thf(aNADDu_MULu_WELLDEFu_LEMMA, axiom, ![X:nadd,Y:nadd,YI_:nadd]:((naddu_eq @ Y @ YI_) => (naddu_eq @ (naddu_mul @ X @ Y) @ (naddu_mul @ X @ YI_)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:nadd,XI_:nadd,Y:nadd,YI_:nadd]:(((naddu_eq @ X @ XI_) & (naddu_eq @ Y @ YI_)) => (naddu_eq @ (naddu_mul @ X @ Y) @ (naddu_mul @ XI_ @ YI_)))).
