%   ORIGINAL: NADD_LE_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NADD_EQ_IMP_LE: !x y. nadd_eq x y ==> nadd_le x y
% Assm: NADD_EQ_REFL: !x. nadd_eq x x
% Assm: NADD_EQ_SYM: !x y. nadd_eq x y <=> nadd_eq y x
% Assm: NADD_EQ_TRANS: !x y z. nadd_eq x y /\ nadd_eq y z ==> nadd_eq x z
% Assm: NADD_LDISTRIB: !x y z. nadd_eq (nadd_mul x (nadd_add y z)) (nadd_add (nadd_mul x y) (nadd_mul x z))
% Assm: NADD_LE_ADD: !x y. nadd_le x (nadd_add x y)
% Assm: NADD_LE_EXISTS: !x y. nadd_le x y ==> (?d. nadd_eq y (nadd_add x d))
% Assm: NADD_LE_TRANS: !x y z. nadd_le x y /\ nadd_le y z ==> nadd_le x z
% Assm: NADD_MUL_WELLDEF: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x' y')
% Assm: TRUTH: T
% Goal: !x y z. nadd_le y z ==> nadd_le (nadd_mul x y) (nadd_mul x z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. nadd_eq x y ==> nadd_le x y
% Assm: !x. nadd_eq x x
% Assm: !x y. nadd_eq x y <=> nadd_eq y x
% Assm: !x y z. nadd_eq x y /\ nadd_eq y z ==> nadd_eq x z
% Assm: !x y z. nadd_eq (nadd_mul x (nadd_add y z)) (nadd_add (nadd_mul x y) (nadd_mul x z))
% Assm: !x y. nadd_le x (nadd_add x y)
% Assm: !x y. nadd_le x y ==> (?d. nadd_eq y (nadd_add x d))
% Assm: !x y z. nadd_le x y /\ nadd_le y z ==> nadd_le x z
% Assm: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x' y')
% Assm: T
% Goal: !x y z. nadd_le y z ==> nadd_le (nadd_mul x y) (nadd_mul x z)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cnadduu_add, type, naddu_add : (nadd > nadd > nadd)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(cnadduu_mul, type, naddu_mul : (nadd > nadd > nadd)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNADDu_EQu_IMPu_LE, axiom, ![X:nadd,Y:nadd]:((naddu_eq @ X @ Y) => (naddu_le @ X @ Y))).
thf(aNADDu_EQu_REFL, axiom, ![X:nadd]:(naddu_eq @ X @ X)).
thf(aNADDu_EQu_SYM, axiom, ![X:nadd,Y:nadd]:((naddu_eq @ X @ Y) <=> (naddu_eq @ Y @ X))).
thf(aNADDu_EQu_TRANS, axiom, ![X:nadd,Y:nadd,Z:nadd]:(((naddu_eq @ X @ Y) & (naddu_eq @ Y @ Z)) => (naddu_eq @ X @ Z))).
thf(aNADDu_LDISTRIB, axiom, ![X:nadd,Y:nadd,Z:nadd]:(naddu_eq @ (naddu_mul @ X @ (naddu_add @ Y @ Z)) @ (naddu_add @ (naddu_mul @ X @ Y) @ (naddu_mul @ X @ Z)))).
thf(aNADDu_LEu_ADD, axiom, ![X:nadd,Y:nadd]:(naddu_le @ X @ (naddu_add @ X @ Y))).
thf(aNADDu_LEu_EXISTS, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) => ?[D:nadd]:(naddu_eq @ Y @ (naddu_add @ X @ D)))).
thf(aNADDu_LEu_TRANS, axiom, ![X:nadd,Y:nadd,Z:nadd]:(((naddu_le @ X @ Y) & (naddu_le @ Y @ Z)) => (naddu_le @ X @ Z))).
thf(aNADDu_MULu_WELLDEF, axiom, ![X:nadd,XI_:nadd,Y:nadd,YI_:nadd]:(((naddu_eq @ X @ XI_) & (naddu_eq @ Y @ YI_)) => (naddu_eq @ (naddu_mul @ X @ Y) @ (naddu_mul @ XI_ @ YI_)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:nadd,Y:nadd,Z:nadd]:((naddu_le @ Y @ Z) => (naddu_le @ (naddu_mul @ X @ Y) @ (naddu_mul @ X @ Z)))).
