%   ORIGINAL: NADD_LE_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NADD_LE_LMUL: !x y z. nadd_le y z ==> nadd_le (nadd_mul x y) (nadd_mul x z)
% Assm: NADD_LE_WELLDEF: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> (nadd_le x y <=> nadd_le x' y')
% Assm: NADD_MUL_SYM: !x y. nadd_eq (nadd_mul x y) (nadd_mul y x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x y z. nadd_le x y ==> nadd_le (nadd_mul x z) (nadd_mul y z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x y z. nadd_le y z ==> nadd_le (nadd_mul x y) (nadd_mul x z)
% Assm: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> (nadd_le x y <=> nadd_le x' y')
% Assm: !x y. nadd_eq (nadd_mul x y) (nadd_mul y x)
% Assm: ~F <=> T
% Assm: T
% Goal: !x y z. nadd_le x y ==> nadd_le (nadd_mul x z) (nadd_mul y z)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(cnadduu_mul, type, naddu_mul : (nadd > nadd > nadd)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNADDu_LEu_LMUL, axiom, ![X:nadd,Y:nadd,Z:nadd]:((naddu_le @ Y @ Z) => (naddu_le @ (naddu_mul @ X @ Y) @ (naddu_mul @ X @ Z)))).
thf(aNADDu_LEu_WELLDEF, axiom, ![X:nadd,XI_:nadd,Y:nadd,YI_:nadd]:(((naddu_eq @ X @ XI_) & (naddu_eq @ Y @ YI_)) => ((naddu_le @ X @ Y) <=> (naddu_le @ XI_ @ YI_)))).
thf(aNADDu_MULu_SYM, axiom, ![X:nadd,Y:nadd]:(naddu_eq @ (naddu_mul @ X @ Y) @ (naddu_mul @ Y @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:nadd,Y:nadd,Z:nadd]:((naddu_le @ X @ Y) => (naddu_le @ (naddu_mul @ X @ Z) @ (naddu_mul @ Y @ Z)))).
