%   ORIGINAL: NADD_LE_RADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_ASSOC: !m n p. m + n + p = (m + n) + p
% Assm: LE_ADD_RCANCEL: !m n p. m + p <= n + p <=> m <= n
% Assm: NADD_ADD: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
% Assm: TRUTH: T
% Assm: nadd_le: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x y z. nadd_le (nadd_add x z) (nadd_add y z) <=> nadd_le x y
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !m n p. m + n + p = (m + n) + p
% Assm: !m n p. m + p <= n + p <=> m <= n
% Assm: !x y. dest_nadd (nadd_add x y) = (\n. dest_nadd x n + dest_nadd y n)
% Assm: T
% Assm: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x y z. nadd_le (nadd_add x z) (nadd_add y z) <=> nadd_le x y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnadduu_add, type, naddu_add : (nadd > nadd > nadd)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ASSOC, axiom, ![M:num,N:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ (p_ @ M @ N) @ P))).
thf(aLEu_ADDu_RCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ P) @ (p_ @ N @ P)) <=> (l_a_ @ M @ N))).
thf(aNADDu_ADD, axiom, ![X:nadd,Y:nadd]:((destu_nadd @ (naddu_add @ X @ Y)) = ^[N:num]:(p_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N)))).
thf(aTRUTH, axiom, $true).
thf(anaddu_le, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (destu_nadd @ Y @ N) @ B)))).
thf(conjecture, conjecture, ![X:nadd,Y:nadd,Z:nadd]:((naddu_le @ (naddu_add @ X @ Z) @ (naddu_add @ Y @ Z)) <=> (naddu_le @ X @ Y))).
