%   ORIGINAL: NADD_RDISTRIB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NADD_ADD_WELLDEF: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_add x y) (nadd_add x' y')
% Assm: NADD_EQ_REFL: !x. nadd_eq x x
% Assm: NADD_EQ_SYM: !x y. nadd_eq x y <=> nadd_eq y x
% Assm: NADD_EQ_TRANS: !x y z. nadd_eq x y /\ nadd_eq y z ==> nadd_eq x z
% Assm: NADD_LDISTRIB: !x y z. nadd_eq (nadd_mul x (nadd_add y z)) (nadd_add (nadd_mul x y) (nadd_mul x z))
% Assm: NADD_MUL_SYM: !x y. nadd_eq (nadd_mul x y) (nadd_mul y x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x y z. nadd_eq (nadd_mul (nadd_add x y) z) (nadd_add (nadd_mul x z) (nadd_mul y z))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_add x y) (nadd_add x' y')
% Assm: !x. nadd_eq x x
% Assm: !x y. nadd_eq x y <=> nadd_eq y x
% Assm: !x y z. nadd_eq x y /\ nadd_eq y z ==> nadd_eq x z
% Assm: !x y z. nadd_eq (nadd_mul x (nadd_add y z)) (nadd_add (nadd_mul x y) (nadd_mul x z))
% Assm: !x y. nadd_eq (nadd_mul x y) (nadd_mul y x)
% Assm: ~F <=> T
% Assm: T
% Goal: !x y z. nadd_eq (nadd_mul (nadd_add x y) z) (nadd_add (nadd_mul x z) (nadd_mul y z))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cnadduu_add, type, naddu_add : (nadd > nadd > nadd)).
thf(cnadduu_mul, type, naddu_mul : (nadd > nadd > nadd)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNADDu_ADDu_WELLDEF, axiom, ![X:nadd,XI_:nadd,Y:nadd,YI_:nadd]:(((naddu_eq @ X @ XI_) & (naddu_eq @ Y @ YI_)) => (naddu_eq @ (naddu_add @ X @ Y) @ (naddu_add @ XI_ @ YI_)))).
thf(aNADDu_EQu_REFL, axiom, ![X:nadd]:(naddu_eq @ X @ X)).
thf(aNADDu_EQu_SYM, axiom, ![X:nadd,Y:nadd]:((naddu_eq @ X @ Y) <=> (naddu_eq @ Y @ X))).
thf(aNADDu_EQu_TRANS, axiom, ![X:nadd,Y:nadd,Z:nadd]:(((naddu_eq @ X @ Y) & (naddu_eq @ Y @ Z)) => (naddu_eq @ X @ Z))).
thf(aNADDu_LDISTRIB, axiom, ![X:nadd,Y:nadd,Z:nadd]:(naddu_eq @ (naddu_mul @ X @ (naddu_add @ Y @ Z)) @ (naddu_add @ (naddu_mul @ X @ Y) @ (naddu_mul @ X @ Z)))).
thf(aNADDu_MULu_SYM, axiom, ![X:nadd,Y:nadd]:(naddu_eq @ (naddu_mul @ X @ Y) @ (naddu_mul @ Y @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:nadd,Y:nadd,Z:nadd]:(naddu_eq @ (naddu_mul @ (naddu_add @ X @ Y) @ Z) @ (naddu_add @ (naddu_mul @ X @ Z) @ (naddu_mul @ Y @ Z)))).
