%   ORIGINAL: NADD_ARCH_MULT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: DIST_LE_CASES: !m n p. dist (m,n) <= p <=> m <= n + p /\ n <= m + p
% Assm: DIST_RZERO: !n. dist (n,0) = n
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_ADD_RCANCEL: !m n p. m + p <= n + p <=> m <= n
% Assm: LE_MULT_RCANCEL: !m n p. m * p <= n * p <=> m <= n \/ p = 0
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: NADD_CAUCHY: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
% Assm: NADD_MUL: !x y. dest_nadd (nadd_mul x y) = (\n. dest_nadd x (dest_nadd y n))
% Assm: NADD_OF_NUM: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Assm: nadd_eq: !x y. nadd_eq x y <=> (?B. !n. dist (dest_nadd x n,dest_nadd y n) <= B)
% Assm: nadd_le: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x k. ~nadd_eq x (nadd_of_num 0) ==> (?N. nadd_le (nadd_of_num k) (nadd_mul (nadd_of_num N) x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !m n p. dist (m,n) <= p <=> m <= n + p /\ n <= m + p
% Assm: !n. dist (n,0) = n
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !m n p. m + p <= n + p <=> m <= n
% Assm: !m n p. m * p <= n * p <=> m <= n \/ p = 0
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m n. m < n ==> m <= n
% Assm: !n m. m * n = n * m
% Assm: !n. 0 * n = 0
% Assm: !x. ?B. !m n. dist (m * dest_nadd x n,n * dest_nadd x m) <= B * (m + n)
% Assm: !x y. dest_nadd (nadd_mul x y) = (\n. dest_nadd x (dest_nadd y n))
% Assm: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Assm: !x y. nadd_eq x y <=> (?B. !n. dist (dest_nadd x n,dest_nadd y n) <= B)
% Assm: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x k. ~nadd_eq x (nadd_of_num 0) ==> (?N. nadd_le (nadd_of_num k) (nadd_mul (nadd_of_num N) x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnadduu_mul, type, naddu_mul : (nadd > nadd > nadd)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cdist, type, dist : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aDISTu_LEu_CASES, axiom, ![M:num,N:num,P:num]:((l_a_ @ (dist @ (c_ @ M @ N)) @ P) <=> ((l_a_ @ M @ (p_ @ N @ P)) & (l_a_ @ N @ (p_ @ M @ P))))).
thf(aDISTu_RZERO, axiom, ![N:num]:((dist @ (c_ @ N @ (numeral @ u_0))) = N)).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_ADDu_RCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ P) @ (p_ @ N @ P)) <=> (l_a_ @ M @ N))).
thf(aLEu_MULTu_RCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ P) @ (t_ @ N @ P)) <=> ((l_a_ @ M @ N) | (P = (numeral @ u_0))))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aNADDu_CAUCHY, axiom, ![X:nadd]:?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (t_ @ M @ (destu_nadd @ X @ N)) @ (t_ @ N @ (destu_nadd @ X @ M)))) @ (t_ @ B @ (p_ @ M @ N)))).
thf(aNADDu_MUL, axiom, ![X:nadd,Y:nadd]:((destu_nadd @ (naddu_mul @ X @ Y)) = ^[N:num]:(destu_nadd @ X @ (destu_nadd @ Y @ N)))).
thf(aNADDu_OFu_NUM, axiom, ![K:num]:((destu_nadd @ (naddu_ofu_num @ K)) = ^[N:num]:(t_ @ K @ N))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(anaddu_eq, axiom, ![X:nadd,Y:nadd]:((naddu_eq @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (dist @ (c_ @ (destu_nadd @ X @ N) @ (destu_nadd @ Y @ N))) @ B))).
thf(anaddu_le, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (destu_nadd @ Y @ N) @ B)))).
thf(conjecture, conjecture, ![X:nadd,K:num]:(~ ((naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0)))) => ?[N:num]:(naddu_le @ (naddu_ofu_num @ K) @ (naddu_mul @ (naddu_ofu_num @ N) @ X)))).
