%   ORIGINAL: NADD_ARCH_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NADD_ADD_LID: !x. nadd_eq (nadd_add (nadd_of_num 0) x) x
% Assm: NADD_ADD_SYM: !x y. nadd_eq (nadd_add x y) (nadd_add y x)
% Assm: NADD_ADD_WELLDEF: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_add x y) (nadd_add x' y')
% Assm: NADD_ARCH_ZERO: !x k. (!n. nadd_le (nadd_mul (nadd_of_num n) x) k) ==> nadd_eq x (nadd_of_num 0)
% Assm: NADD_EQ_IMP_LE: !x y. nadd_eq x y ==> nadd_le x y
% Assm: NADD_EQ_REFL: !x. nadd_eq x x
% Assm: NADD_EQ_TRANS: !x y z. nadd_eq x y /\ nadd_eq y z ==> nadd_eq x z
% Assm: NADD_LDISTRIB: !x y z. nadd_eq (nadd_mul x (nadd_add y z)) (nadd_add (nadd_mul x y) (nadd_mul x z))
% Assm: NADD_LE_EXISTS: !x y. nadd_le x y ==> (?d. nadd_eq y (nadd_add x d))
% Assm: NADD_LE_LADD: !x y z. nadd_le (nadd_add x y) (nadd_add x z) <=> nadd_le y z
% Assm: NADD_LE_TOTAL: !x y. nadd_le x y \/ nadd_le y x
% Assm: NADD_LE_WELLDEF: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> (nadd_le x y <=> nadd_le x' y')
% Assm: NADD_MUL_WELLDEF: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x' y')
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x y z. (!n. nadd_le (nadd_mul (nadd_of_num n) x) (nadd_add (nadd_mul (nadd_of_num n) y) z)) ==> nadd_le x y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. nadd_eq (nadd_add (nadd_of_num 0) x) x
% Assm: !x y. nadd_eq (nadd_add x y) (nadd_add y x)
% Assm: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_add x y) (nadd_add x' y')
% Assm: !x k. (!n. nadd_le (nadd_mul (nadd_of_num n) x) k) ==> nadd_eq x (nadd_of_num 0)
% Assm: !x y. nadd_eq x y ==> nadd_le x y
% Assm: !x. nadd_eq x x
% Assm: !x y z. nadd_eq x y /\ nadd_eq y z ==> nadd_eq x z
% Assm: !x y z. nadd_eq (nadd_mul x (nadd_add y z)) (nadd_add (nadd_mul x y) (nadd_mul x z))
% Assm: !x y. nadd_le x y ==> (?d. nadd_eq y (nadd_add x d))
% Assm: !x y z. nadd_le (nadd_add x y) (nadd_add x z) <=> nadd_le y z
% Assm: !x y. nadd_le x y \/ nadd_le y x
% Assm: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> (nadd_le x y <=> nadd_le x' y')
% Assm: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x' y')
% Assm: ~F <=> T
% Assm: T
% Goal: !x y z. (!n. nadd_le (nadd_mul (nadd_of_num n) x) (nadd_add (nadd_mul (nadd_of_num n) y) z)) ==> nadd_le x y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(cnadduu_add, type, naddu_add : (nadd > nadd > nadd)).
thf(cnadduu_mul, type, naddu_mul : (nadd > nadd > nadd)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNADDu_ADDu_LID, axiom, ![X:nadd]:(naddu_eq @ (naddu_add @ (naddu_ofu_num @ (numeral @ u_0)) @ X) @ X)).
thf(aNADDu_ADDu_SYM, axiom, ![X:nadd,Y:nadd]:(naddu_eq @ (naddu_add @ X @ Y) @ (naddu_add @ Y @ X))).
thf(aNADDu_ADDu_WELLDEF, axiom, ![X:nadd,XI_:nadd,Y:nadd,YI_:nadd]:(((naddu_eq @ X @ XI_) & (naddu_eq @ Y @ YI_)) => (naddu_eq @ (naddu_add @ X @ Y) @ (naddu_add @ XI_ @ YI_)))).
thf(aNADDu_ARCHu_ZERO, axiom, ![X:nadd,K:nadd]:(![N:num]:(naddu_le @ (naddu_mul @ (naddu_ofu_num @ N) @ X) @ K) => (naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0))))).
thf(aNADDu_EQu_IMPu_LE, axiom, ![X:nadd,Y:nadd]:((naddu_eq @ X @ Y) => (naddu_le @ X @ Y))).
thf(aNADDu_EQu_REFL, axiom, ![X:nadd]:(naddu_eq @ X @ X)).
thf(aNADDu_EQu_TRANS, axiom, ![X:nadd,Y:nadd,Z:nadd]:(((naddu_eq @ X @ Y) & (naddu_eq @ Y @ Z)) => (naddu_eq @ X @ Z))).
thf(aNADDu_LDISTRIB, axiom, ![X:nadd,Y:nadd,Z:nadd]:(naddu_eq @ (naddu_mul @ X @ (naddu_add @ Y @ Z)) @ (naddu_add @ (naddu_mul @ X @ Y) @ (naddu_mul @ X @ Z)))).
thf(aNADDu_LEu_EXISTS, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) => ?[D:nadd]:(naddu_eq @ Y @ (naddu_add @ X @ D)))).
thf(aNADDu_LEu_LADD, axiom, ![X:nadd,Y:nadd,Z:nadd]:((naddu_le @ (naddu_add @ X @ Y) @ (naddu_add @ X @ Z)) <=> (naddu_le @ Y @ Z))).
thf(aNADDu_LEu_TOTAL, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) | (naddu_le @ Y @ X))).
thf(aNADDu_LEu_WELLDEF, axiom, ![X:nadd,XI_:nadd,Y:nadd,YI_:nadd]:(((naddu_eq @ X @ XI_) & (naddu_eq @ Y @ YI_)) => ((naddu_le @ X @ Y) <=> (naddu_le @ XI_ @ YI_)))).
thf(aNADDu_MULu_WELLDEF, axiom, ![X:nadd,XI_:nadd,Y:nadd,YI_:nadd]:(((naddu_eq @ X @ XI_) & (naddu_eq @ Y @ YI_)) => (naddu_eq @ (naddu_mul @ X @ Y) @ (naddu_mul @ XI_ @ YI_)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:nadd,Y:nadd,Z:nadd]:(![N:num]:(naddu_le @ (naddu_mul @ (naddu_ofu_num @ N) @ X) @ (naddu_add @ (naddu_mul @ (naddu_ofu_num @ N) @ Y) @ Z)) => (naddu_le @ X @ Y))).
