%   ORIGINAL: NADD_UBOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LE_ADD_LCANCEL: !m n p. m + n <= m + p <=> n <= p
% Assm: LE_MULT_LCANCEL: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: NADD_BOUND: !x. ?A B. !n. dest_nadd x n <= A * n + B
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: TRUTH: T
% Goal: !x. ?B N. !n. N <= n ==> dest_nadd x n <= B * n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. m + n <= m + p <=> n <= p
% Assm: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m. m * 1 = m
% Assm: !x. ?A B. !n. dest_nadd x n <= A * n + B
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: T
% Goal: !x. ?B N. !n. N <= n ==> dest_nadd x n <= B * n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLEu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_a_ @ N @ P))).
thf(aLEu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ N) @ (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (l_a_ @ N @ P)))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aNADDu_BOUND, axiom, ![X:nadd]:?[A:num,B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (t_ @ A @ N) @ B))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:nadd]:?[B:num,N:num]:![N0:num]:((l_a_ @ N @ N0) => (l_a_ @ (destu_nadd @ X @ N0) @ (t_ @ B @ N0)))).
