%   ORIGINAL: NADD_NONZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD1: !m. SUC m = m + 1
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: LE_SUC_LT: !m n. SUC m <= n <=> m < n
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: NADD_ARCH_MULT: !x k. ~nadd_eq x (nadd_of_num 0) ==> (?N. nadd_le (nadd_of_num k) (nadd_mul (nadd_of_num N) x))
% Assm: NADD_MUL: !x y. dest_nadd (nadd_mul x y) = (\n. dest_nadd x (dest_nadd y n))
% Assm: NADD_OF_NUM: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Assm: nadd_le: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x. ~nadd_eq x (nadd_of_num 0) ==> (?N. !n. N <= n ==> ~(dest_nadd x n = 0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m. SUC m = m + 1
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m <= n <=> m < n
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !x k. ~nadd_eq x (nadd_of_num 0) ==> (?N. nadd_le (nadd_of_num k) (nadd_mul (nadd_of_num N) x))
% Assm: !x y. dest_nadd (nadd_mul x y) = (\n. dest_nadd x (dest_nadd y n))
% Assm: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Assm: !x y. nadd_le x y <=> (?B. !n. dest_nadd x n <= dest_nadd y n + B)
% Goal: !x. ~nadd_eq x (nadd_of_num 0) ==> (?N. !n. N <= n ==> ~(dest_nadd x n = 0))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cnadduu_mul, type, naddu_mul : (nadd > nadd > nadd)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aLEu_SUCu_LT, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ N) <=> (l_ @ M @ N))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aNADDu_ARCHu_MULT, axiom, ![X:nadd,K:num]:(~ ((naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0)))) => ?[N:num]:(naddu_le @ (naddu_ofu_num @ K) @ (naddu_mul @ (naddu_ofu_num @ N) @ X)))).
thf(aNADDu_MUL, axiom, ![X:nadd,Y:nadd]:((destu_nadd @ (naddu_mul @ X @ Y)) = ^[N:num]:(destu_nadd @ X @ (destu_nadd @ Y @ N)))).
thf(aNADDu_OFu_NUM, axiom, ![K:num]:((destu_nadd @ (naddu_ofu_num @ K)) = ^[N:num]:(t_ @ K @ N))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(anaddu_le, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) <=> ?[B:num]:![N:num]:(l_a_ @ (destu_nadd @ X @ N) @ (p_ @ (destu_nadd @ Y @ N) @ B)))).
thf(conjecture, conjecture, ![X:nadd]:(~ ((naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0)))) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => ~ (((destu_nadd @ X @ N0) = (numeral @ u_0)))))).
