%   ORIGINAL: NADD_MUL_LINV_LEMMA3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_LMUL: !m n p. m * dist (n,p) = dist (m * n,m * p)
% Assm: LE_MULT_LCANCEL: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: MULT_ASSOC: !m n p. m * n * p = (m * n) * p
% Assm: NADD_MUL_LINV_LEMMA2: !x. ~nadd_eq x (nadd_of_num 0) ==> (?N. !n. N <= n ==> dist (dest_nadd x n * nadd_rinv x n,n * n) <= dest_nadd x n)
% Assm: TRUTH: T
% Goal: !x. ~nadd_eq x (nadd_of_num 0) ==> (?N. !m n. N <= n ==> dist (m * dest_nadd x m * dest_nadd x n * nadd_rinv x n,m * dest_nadd x m * n * n) <= m * dest_nadd x m * dest_nadd x n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. m * dist (n,p) = dist (m * n,m * p)
% Assm: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: !m n p. m * n * p = (m * n) * p
% Assm: !x. ~nadd_eq x (nadd_of_num 0) ==> (?N. !n. N <= n ==> dist (dest_nadd x n * nadd_rinv x n,n * n) <= dest_nadd x n)
% Assm: T
% Goal: !x. ~nadd_eq x (nadd_of_num 0) ==> (?N. !m n. N <= n ==> dist (m * dest_nadd x m * dest_nadd x n * nadd_rinv x n,m * dest_nadd x m * n * n) <= m * dest_nadd x m * dest_nadd x n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cnadduu_rinv, type, naddu_rinv : (nadd > num > num)).
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cdist, type, dist : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_LMUL, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (dist @ (c_ @ N @ P))) = (dist @ (c_ @ (t_ @ M @ N) @ (t_ @ M @ P))))).
thf(aLEu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ N) @ (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (l_a_ @ N @ P)))).
thf(aMULTu_ASSOC, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (t_ @ N @ P)) = (t_ @ (t_ @ M @ N) @ P))).
thf(aNADDu_MULu_LINVu_LEMMA2, axiom, ![X:nadd]:(~ ((naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0)))) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (l_a_ @ (dist @ (c_ @ (t_ @ (destu_nadd @ X @ N0) @ (naddu_rinv @ X @ N0)) @ (t_ @ N0 @ N0))) @ (destu_nadd @ X @ N0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:nadd]:(~ ((naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0)))) => ?[N:num]:![M:num,N0:num]:((l_a_ @ N @ N0) => (l_a_ @ (dist @ (c_ @ (t_ @ M @ (t_ @ (destu_nadd @ X @ M) @ (t_ @ (destu_nadd @ X @ N0) @ (naddu_rinv @ X @ N0)))) @ (t_ @ M @ (t_ @ (destu_nadd @ X @ M) @ (t_ @ N0 @ N0))))) @ (t_ @ M @ (t_ @ (destu_nadd @ X @ M) @ (destu_nadd @ X @ N0))))))).
