%   ORIGINAL: NADD_MUL_LINV_LEMMA6
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LE_ADD: !m n. m <= m + n
% Assm: LE_ADDR: !m n. n <= m + n
% Assm: LE_MULT2: !m n p q. m <= n /\ p <= q ==> m * p <= n * q
% Assm: LE_MULT_LCANCEL: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: LE_MULT_RCANCEL: !m n p. m * p <= n * p <=> m <= n \/ p = 0
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: MULT_AC_conjunct1: (m * n) * p = m * n * p
% Assm: MULT_AC_conjunct2: m * n * p = n * m * p
% Assm: MULT_ASSOC: !m n p. m * n * p = (m * n) * p
% Assm: NADD_LBOUND: !x. ~nadd_eq x (nadd_of_num 0) ==> (?A N. !n. N <= n ==> n <= A * dest_nadd x n)
% Assm: NADD_MUL_LINV_LEMMA5: !x. ~nadd_eq x (nadd_of_num 0) ==> (?B N. !m n. N <= m /\ N <= n ==> (dest_nadd x m * dest_nadd x n) * dist (m * nadd_rinv x n,n * nadd_rinv x m) <= B * (m * n) * (m + n))
% Assm: TRUTH: T
% Goal: !x. ~nadd_eq x (nadd_of_num 0) ==> (?B N. !m n. N <= m /\ N <= n ==> (m * n) * dist (m * nadd_rinv x n,n * nadd_rinv x m) <= B * (m * n) * (m + n))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. m <= m + n
% Assm: !m n. n <= m + n
% Assm: !m n p q. m <= n /\ p <= q ==> m * p <= n * q
% Assm: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: !m n p. m * p <= n * p <=> m <= n \/ p = 0
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !m n p. m * n * p = (m * n) * p
% Assm: !x. ~nadd_eq x (nadd_of_num 0) ==> (?A N. !n. N <= n ==> n <= A * dest_nadd x n)
% Assm: !x. ~nadd_eq x (nadd_of_num 0) ==> (?B N. !m n. N <= m /\ N <= n ==> (dest_nadd x m * dest_nadd x n) * dist (m * nadd_rinv x n,n * nadd_rinv x m) <= B * (m * n) * (m + n))
% Assm: T
% Goal: !x. ~nadd_eq x (nadd_of_num 0) ==> (?B N. !m n. N <= m /\ N <= n ==> (m * n) * dist (m * nadd_rinv x n,n * nadd_rinv x m) <= B * (m * n) * (m + n))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnadduu_rinv, type, naddu_rinv : (nadd > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cdist, type, dist : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aLEu_ADDR, axiom, ![M:num,N:num]:(l_a_ @ N @ (p_ @ M @ N))).
thf(aLEu_MULT2, axiom, ![M:num,N:num,P:num,Q:num]:(((l_a_ @ M @ N) & (l_a_ @ P @ Q)) => (l_a_ @ (t_ @ M @ P) @ (t_ @ N @ Q)))).
thf(aLEu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ N) @ (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (l_a_ @ N @ P)))).
thf(aLEu_MULTu_RCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ P) @ (t_ @ N @ P)) <=> ((l_a_ @ M @ N) | (P = (numeral @ u_0))))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aMULTu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((t_ @ (t_ @ M @ N) @ P) = (t_ @ M @ (t_ @ N @ P)))).
thf(aMULTu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((t_ @ M @ (t_ @ N @ P)) = (t_ @ N @ (t_ @ M @ P)))).
thf(aMULTu_ASSOC, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (t_ @ N @ P)) = (t_ @ (t_ @ M @ N) @ P))).
thf(aNADDu_LBOUND, axiom, ![X:nadd]:(~ ((naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0)))) => ?[A:num,N:num]:![N0:num]:((l_a_ @ N @ N0) => (l_a_ @ N0 @ (t_ @ A @ (destu_nadd @ X @ N0)))))).
thf(aNADDu_MULu_LINVu_LEMMA5, axiom, ![X:nadd]:(~ ((naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0)))) => ?[B:num,N:num]:![M:num,N0:num]:(((l_a_ @ N @ M) & (l_a_ @ N @ N0)) => (l_a_ @ (t_ @ (t_ @ (destu_nadd @ X @ M) @ (destu_nadd @ X @ N0)) @ (dist @ (c_ @ (t_ @ M @ (naddu_rinv @ X @ N0)) @ (t_ @ N0 @ (naddu_rinv @ X @ M))))) @ (t_ @ B @ (t_ @ (t_ @ M @ N0) @ (p_ @ M @ N0))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:nadd]:(~ ((naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0)))) => ?[B:num,N:num]:![M:num,N0:num]:(((l_a_ @ N @ M) & (l_a_ @ N @ N0)) => (l_a_ @ (t_ @ (t_ @ M @ N0) @ (dist @ (c_ @ (t_ @ M @ (naddu_rinv @ X @ N0)) @ (t_ @ N0 @ (naddu_rinv @ X @ M))))) @ (t_ @ B @ (t_ @ (t_ @ M @ N0) @ (p_ @ M @ N0))))))).
