%   ORIGINAL: NADD_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: NADD_MUL_LINV_LEMMA8: !x. ~nadd_eq x (nadd_of_num 0) ==> (?B. !m n. dist (m * nadd_rinv x n,n * nadd_rinv x m) <= B * (m + n))
% Assm: NADD_OF_NUM: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: TRUTH: T
% Assm: is_nadd: !x. is_nadd x <=> (?B. !m n. dist (m * x n,n * x m) <= B * (m + n))
% Assm: nadd_inv: !x. nadd_inv x = (if nadd_eq x (nadd_of_num 0) then nadd_of_num 0 else mk_nadd (nadd_rinv x))
% Assm: nadd_rep: is_nadd r <=> dest_nadd (mk_nadd r) = r
% Goal: !x. dest_nadd (nadd_inv x) = (if nadd_eq x (nadd_of_num 0) then \n. 0 else nadd_rinv x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !n. 0 * n = 0
% Assm: !x. ~nadd_eq x (nadd_of_num 0) ==> (?B. !m n. dist (m * nadd_rinv x n,n * nadd_rinv x m) <= B * (m + n))
% Assm: !k. dest_nadd (nadd_of_num k) = (\n. k * n)
% Assm: T
% Assm: !x. is_nadd x <=> (?B. !m n. dist (m * x n,n * x m) <= B * (m + n))
% Assm: !x. nadd_inv x = (if nadd_eq x (nadd_of_num 0) then nadd_of_num 0 else mk_nadd (nadd_rinv x))
% Assm: !r. is_nadd r <=> dest_nadd (mk_nadd r) = r
% Goal: !x. dest_nadd (nadd_inv x) = (if nadd_eq x (nadd_of_num 0) then \n. 0 else nadd_rinv x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cnadduu_rinv, type, naddu_rinv : (nadd > num > num)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(cdestuu_nadd, type, destu_nadd : (nadd > num > num)).
thf(ccond0, type, cond0 : ($o > nadd > nadd > nadd)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(ccond, type, cond : ($o > (num > num) > (num > num) > num > num)).
thf(cnadduu_inv, type, naddu_inv : (nadd > nadd)).
thf(cisuu_nadd, type, isu_nadd : ((num > num) > $o)).
thf(cdist, type, dist : (prodnumnum > num)).
thf(cmkuu_nadd, type, mku_nadd : ((num > num) > nadd)).
thf(cuu_0, type, u_0 : num).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num > num),G:(a > num > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:(num > num),T2:(num > num)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aNADDu_MULu_LINVu_LEMMA8, axiom, ![X:nadd]:(~ ((naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0)))) => ?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (t_ @ M @ (naddu_rinv @ X @ N)) @ (t_ @ N @ (naddu_rinv @ X @ M)))) @ (t_ @ B @ (p_ @ M @ N))))).
thf(aNADDu_OFu_NUM, axiom, ![K:num]:((destu_nadd @ (naddu_ofu_num @ K)) = ^[N:num]:(t_ @ K @ N))).
thf(aTRUTH, axiom, $true).
thf(aisu_nadd, axiom, ![X:(num > num)]:((isu_nadd @ X) <=> ?[B:num]:![M:num,N:num]:(l_a_ @ (dist @ (c_ @ (t_ @ M @ (X @ N)) @ (t_ @ N @ (X @ M)))) @ (t_ @ B @ (p_ @ M @ N))))).
thf(anaddu_inv, axiom, ![X:nadd]:((naddu_inv @ X) = (cond0 @ (naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0))) @ (naddu_ofu_num @ (numeral @ u_0)) @ (mku_nadd @ (naddu_rinv @ X))))).
thf(anaddu_rep, axiom, ![R:(num > num)]:((isu_nadd @ R) <=> ((destu_nadd @ (mku_nadd @ R)) = R))).
thf(conjecture, conjecture, ![X:nadd]:((destu_nadd @ (naddu_inv @ X)) = (cond @ (naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0))) @ ^[N:num]:(numeral @ u_0) @ (naddu_rinv @ X)))).
