%   ORIGINAL: NADD_INV_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NADD_EQ_REFL: !x. nadd_eq x x
% Assm: TRUTH: T
% Assm: nadd_inv: !x. nadd_inv x = (if nadd_eq x (nadd_of_num 0) then nadd_of_num 0 else mk_nadd (nadd_rinv x))
% Goal: nadd_eq (nadd_inv (nadd_of_num 0)) (nadd_of_num 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x. nadd_eq x x
% Assm: T
% Assm: !x. nadd_inv x = (if nadd_eq x (nadd_of_num 0) then nadd_of_num 0 else mk_nadd (nadd_rinv x))
% Goal: nadd_eq (nadd_inv (nadd_of_num 0)) (nadd_of_num 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cnadduu_rinv, type, naddu_rinv : (nadd > num > num)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(ccond0, type, cond0 : ($o > nadd > nadd > nadd)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cnadduu_inv, type, naddu_inv : (nadd > nadd)).
thf(cmkuu_nadd, type, mku_nadd : ((num > num) > nadd)).
thf(cuu_0, type, u_0 : num).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNADDu_EQu_REFL, axiom, ![X:nadd]:(naddu_eq @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(anaddu_inv, axiom, ![X:nadd]:((naddu_inv @ X) = (cond0 @ (naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0))) @ (naddu_ofu_num @ (numeral @ u_0)) @ (mku_nadd @ (naddu_rinv @ X))))).
thf(conjecture, conjecture, (naddu_eq @ (naddu_inv @ (naddu_ofu_num @ (numeral @ u_0))) @ (naddu_ofu_num @ (numeral @ u_0)))).
