%   ORIGINAL: NADD_INV_WELLDEF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NADD_EQ_REFL: !x. nadd_eq x x
% Assm: NADD_EQ_SYM: !x y. nadd_eq x y <=> nadd_eq y x
% Assm: NADD_EQ_TRANS: !x y z. nadd_eq x y /\ nadd_eq y z ==> nadd_eq x z
% Assm: NADD_MUL_ASSOC: !x y z. nadd_eq (nadd_mul x (nadd_mul y z)) (nadd_mul (nadd_mul x y) z)
% Assm: NADD_MUL_LID: !x. nadd_eq (nadd_mul (nadd_of_num 1) x) x
% Assm: NADD_MUL_LINV: !x. ~nadd_eq x (nadd_of_num 0) ==> nadd_eq (nadd_mul (nadd_inv x) x) (nadd_of_num 1)
% Assm: NADD_MUL_SYM: !x y. nadd_eq (nadd_mul x y) (nadd_mul y x)
% Assm: NADD_MUL_WELLDEF: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x' y')
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: nadd_inv: !x. nadd_inv x = (if nadd_eq x (nadd_of_num 0) then nadd_of_num 0 else mk_nadd (nadd_rinv x))
% Goal: !x y. nadd_eq x y ==> nadd_eq (nadd_inv x) (nadd_inv y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x. nadd_eq x x
% Assm: !x y. nadd_eq x y <=> nadd_eq y x
% Assm: !x y z. nadd_eq x y /\ nadd_eq y z ==> nadd_eq x z
% Assm: !x y z. nadd_eq (nadd_mul x (nadd_mul y z)) (nadd_mul (nadd_mul x y) z)
% Assm: !x. nadd_eq (nadd_mul (nadd_of_num 1) x) x
% Assm: !x. ~nadd_eq x (nadd_of_num 0) ==> nadd_eq (nadd_mul (nadd_inv x) x) (nadd_of_num 1)
% Assm: !x y. nadd_eq (nadd_mul x y) (nadd_mul y x)
% Assm: !x x' y y'. nadd_eq x x' /\ nadd_eq y y' ==> nadd_eq (nadd_mul x y) (nadd_mul x' y')
% Assm: ~F <=> T
% Assm: T
% Assm: !x. nadd_inv x = (if nadd_eq x (nadd_of_num 0) then nadd_of_num 0 else mk_nadd (nadd_rinv x))
% Goal: !x y. nadd_eq x y ==> nadd_eq (nadd_inv x) (nadd_inv y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnadd, type, nadd : $tType).
%  CONSTS
thf(cnadduu_rinv, type, naddu_rinv : (nadd > num > num)).
thf(cnadduu_mul, type, naddu_mul : (nadd > nadd > nadd)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(ccond0, type, cond0 : ($o > nadd > nadd > nadd)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cnadduu_inv, type, naddu_inv : (nadd > nadd)).
thf(cmkuu_nadd, type, mku_nadd : ((num > num) > nadd)).
thf(cuu_0, type, u_0 : num).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNADDu_EQu_REFL, axiom, ![X:nadd]:(naddu_eq @ X @ X)).
thf(aNADDu_EQu_SYM, axiom, ![X:nadd,Y:nadd]:((naddu_eq @ X @ Y) <=> (naddu_eq @ Y @ X))).
thf(aNADDu_EQu_TRANS, axiom, ![X:nadd,Y:nadd,Z:nadd]:(((naddu_eq @ X @ Y) & (naddu_eq @ Y @ Z)) => (naddu_eq @ X @ Z))).
thf(aNADDu_MULu_ASSOC, axiom, ![X:nadd,Y:nadd,Z:nadd]:(naddu_eq @ (naddu_mul @ X @ (naddu_mul @ Y @ Z)) @ (naddu_mul @ (naddu_mul @ X @ Y) @ Z))).
thf(aNADDu_MULu_LID, axiom, ![X:nadd]:(naddu_eq @ (naddu_mul @ (naddu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) @ X)).
thf(aNADDu_MULu_LINV, axiom, ![X:nadd]:(~ ((naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0)))) => (naddu_eq @ (naddu_mul @ (naddu_inv @ X) @ X) @ (naddu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aNADDu_MULu_SYM, axiom, ![X:nadd,Y:nadd]:(naddu_eq @ (naddu_mul @ X @ Y) @ (naddu_mul @ Y @ X))).
thf(aNADDu_MULu_WELLDEF, axiom, ![X:nadd,XI_:nadd,Y:nadd,YI_:nadd]:(((naddu_eq @ X @ XI_) & (naddu_eq @ Y @ YI_)) => (naddu_eq @ (naddu_mul @ X @ Y) @ (naddu_mul @ XI_ @ YI_)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anaddu_inv, axiom, ![X:nadd]:((naddu_inv @ X) = (cond0 @ (naddu_eq @ X @ (naddu_ofu_num @ (numeral @ u_0))) @ (naddu_ofu_num @ (numeral @ u_0)) @ (mku_nadd @ (naddu_rinv @ X))))).
thf(conjecture, conjecture, ![X:nadd,Y:nadd]:((naddu_eq @ X @ Y) => (naddu_eq @ (naddu_inv @ X) @ (naddu_inv @ Y)))).
