%   ORIGINAL: HREAL_OF_NUM_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NADD_OF_NUM_LE: !m n. nadd_le (nadd_of_num m) (nadd_of_num n) <=> m <= n
% Assm: hreal_le_th: nadd_le x y <=> hreal_le (mk_hreal (nadd_eq x)) (mk_hreal (nadd_eq y))
% Assm: hreal_of_num_th: mk_hreal (nadd_eq (nadd_of_num m)) = & m
% Goal: !m n. hreal_le (& m) (& n) <=> m <= n
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. nadd_le (nadd_of_num m) (nadd_of_num n) <=> m <= n
% Assm: !x y. nadd_le x y <=> hreal_le (mk_hreal (nadd_eq x)) (mk_hreal (nadd_eq y))
% Assm: !m. mk_hreal (nadd_eq (nadd_of_num m)) = & m
% Goal: !m n. hreal_le (& m) (& n) <=> m <= n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnadd, type, nadd : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(cmkuu_hreal, type, mku_hreal : ((nadd > $o) > hreal)).
thf(cnadduu_eq, type, naddu_eq : (nadd > nadd > $o)).
thf(cnadduu_le, type, naddu_le : (nadd > nadd > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(chrealuu_le, type, hrealu_le : (hreal > hreal > $o)).
thf(chrealuu_ofuu_num, type, hrealu_ofu_num : (num > hreal)).
thf(cnadduu_ofuu_num, type, naddu_ofu_num : (num > nadd)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNADDu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((naddu_le @ (naddu_ofu_num @ M) @ (naddu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(ahrealu_leu_th, axiom, ![X:nadd,Y:nadd]:((naddu_le @ X @ Y) <=> (hrealu_le @ (mku_hreal @ (naddu_eq @ X)) @ (mku_hreal @ (naddu_eq @ Y))))).
thf(ahrealu_ofu_numu_th, axiom, ![M:num]:((mku_hreal @ (naddu_eq @ (naddu_ofu_num @ M))) = (hrealu_ofu_num @ M))).
thf(conjecture, conjecture, ![M:num,N:num]:((hrealu_le @ (hrealu_ofu_num @ M) @ (hrealu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
