%   ORIGINAL: HREAL_ADD_RDISTRIB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HREAL_ADD_LDISTRIB: !x y z. hreal_mul x (hreal_add y z) = hreal_add (hreal_mul x y) (hreal_mul x z)
% Assm: HREAL_MUL_SYM: !x y. hreal_mul x y = hreal_mul y x
% Assm: TRUTH: T
% Goal: !m n p. hreal_mul (hreal_add m n) p = hreal_add (hreal_mul m p) (hreal_mul n p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. hreal_mul x (hreal_add y z) = hreal_add (hreal_mul x y) (hreal_mul x z)
% Assm: !x y. hreal_mul x y = hreal_mul y x
% Assm: T
% Goal: !m n p. hreal_mul (hreal_add m n) p = hreal_add (hreal_mul m p) (hreal_mul n p)
%  TYPES
thf(ta, type, a : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(chrealuu_add, type, hrealu_add : (hreal > hreal > hreal)).
thf(chrealuu_mul, type, hrealu_mul : (hreal > hreal > hreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > hreal),G:(a > hreal)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHREALu_ADDu_LDISTRIB, axiom, ![X:hreal,Y:hreal,Z:hreal]:((hrealu_mul @ X @ (hrealu_add @ Y @ Z)) = (hrealu_add @ (hrealu_mul @ X @ Y) @ (hrealu_mul @ X @ Z)))).
thf(aHREALu_MULu_SYM, axiom, ![X:hreal,Y:hreal]:((hrealu_mul @ X @ Y) = (hrealu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:hreal,N:hreal,P:hreal]:((hrealu_mul @ (hrealu_add @ M @ N) @ P) = (hrealu_add @ (hrealu_mul @ M @ P) @ (hrealu_mul @ N @ P)))).
