%   ORIGINAL: HREAL_MUL_LZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HREAL_ADD_LID: !x. hreal_add (& 0) x = x
% Assm: HREAL_ADD_RDISTRIB: !m n p. hreal_mul (hreal_add m n) p = hreal_add (hreal_mul m p) (hreal_mul n p)
% Assm: HREAL_EQ_ADD_RCANCEL: !m n p. hreal_add m p = hreal_add n p <=> m = n
% Assm: TRUTH: T
% Goal: !m. hreal_mul (& 0) m = & 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. hreal_add (& 0) x = x
% Assm: !m n p. hreal_mul (hreal_add m n) p = hreal_add (hreal_mul m p) (hreal_mul n p)
% Assm: !m n p. hreal_add m p = hreal_add n p <=> m = n
% Assm: T
% Goal: !m. hreal_mul (& 0) m = & 0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(chrealuu_add, type, hrealu_add : (hreal > hreal > hreal)).
thf(chrealuu_mul, type, hrealu_mul : (hreal > hreal > hreal)).
thf(cuu_0, type, u_0 : num).
thf(chrealuu_ofuu_num, type, hrealu_ofu_num : (num > hreal)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > hreal),G:(a > hreal)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHREALu_ADDu_LID, axiom, ![X:hreal]:((hrealu_add @ (hrealu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aHREALu_ADDu_RDISTRIB, axiom, ![M:hreal,N:hreal,P:hreal]:((hrealu_mul @ (hrealu_add @ M @ N) @ P) = (hrealu_add @ (hrealu_mul @ M @ P) @ (hrealu_mul @ N @ P)))).
thf(aHREALu_EQu_ADDu_RCANCEL, axiom, ![M:hreal,N:hreal,P:hreal]:(((hrealu_add @ M @ P) = (hrealu_add @ N @ P)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:hreal]:((hrealu_mul @ (hrealu_ofu_num @ (numeral @ u_0)) @ M) = (hrealu_ofu_num @ (numeral @ u_0)))).
