%   ORIGINAL: HREAL_LE_MUL_RCANCEL_IMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HREAL_ADD_RDISTRIB: !m n p. hreal_mul (hreal_add m n) p = hreal_add (hreal_mul m p) (hreal_mul n p)
% Assm: HREAL_LE_EXISTS_DEF: !m n. hreal_le m n <=> (?d. n = hreal_add m d)
% Assm: TRUTH: T
% Goal: !a b c. hreal_le a b ==> hreal_le (hreal_mul a c) (hreal_mul b c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. hreal_mul (hreal_add m n) p = hreal_add (hreal_mul m p) (hreal_mul n p)
% Assm: !m n. hreal_le m n <=> (?d. n = hreal_add m d)
% Assm: T
% Goal: !a b c. hreal_le a b ==> hreal_le (hreal_mul a c) (hreal_mul b c)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(chrealuu_add, type, hrealu_add : (hreal > hreal > hreal)).
thf(chrealuu_mul, type, hrealu_mul : (hreal > hreal > hreal)).
thf(chrealuu_le, type, hrealu_le : (hreal > hreal > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHREALu_ADDu_RDISTRIB, axiom, ![M:hreal,N:hreal,P:hreal]:((hrealu_mul @ (hrealu_add @ M @ N) @ P) = (hrealu_add @ (hrealu_mul @ M @ P) @ (hrealu_mul @ N @ P)))).
thf(aHREALu_LEu_EXISTSu_DEF, axiom, ![M:hreal,N:hreal]:((hrealu_le @ M @ N) <=> ?[D:hreal]:(N = (hrealu_add @ M @ D)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:hreal,B:hreal,C:hreal]:((hrealu_le @ A @ B) => (hrealu_le @ (hrealu_mul @ A @ C) @ (hrealu_mul @ B @ C)))).
