%   ORIGINAL: TREAL_OF_NUM_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HREAL_ADD_RID: !n. hreal_add n (& 0) = n
% Assm: HREAL_OF_NUM_EQ: !m n. & m = & n <=> m = n
% Assm: TRUTH: T
% Assm: treal_eq: !x1 y2 x2 y1. x1,y1 treal_eq x2,y2 <=> hreal_add x1 y2 = hreal_add x2 y1
% Assm: treal_of_num: !n. treal_of_num n = & n,& 0
% Goal: !m n. treal_of_num m treal_eq treal_of_num n <=> m = n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. hreal_add n (& 0) = n
% Assm: !m n. & m = & n <=> m = n
% Assm: T
% Assm: !x1 y2 x2 y1. x1,y1 treal_eq x2,y2 <=> hreal_add x1 y2 = hreal_add x2 y1
% Assm: !n. treal_of_num n = & n,& 0
% Goal: !m n. treal_of_num m treal_eq treal_of_num n <=> m = n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodhrealhreal, type, prodhrealhreal : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(chrealuu_add, type, hrealu_add : (hreal > hreal > hreal)).
thf(ctrealuu_ofuu_num, type, trealu_ofu_num : (num > prodhrealhreal)).
thf(ctrealuu_eq, type, trealu_eq : (prodhrealhreal > prodhrealhreal > $o)).
thf(ccu_, type, c_ : (hreal > hreal > prodhrealhreal)).
thf(cuu_0, type, u_0 : num).
thf(chrealuu_ofuu_num, type, hrealu_ofu_num : (num > hreal)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHREALu_ADDu_RID, axiom, ![N:hreal]:((hrealu_add @ N @ (hrealu_ofu_num @ (numeral @ u_0))) = N)).
thf(aHREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((hrealu_ofu_num @ M) = (hrealu_ofu_num @ N)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(atrealu_eq, axiom, ![X1:hreal,Y2:hreal,X2:hreal,Y1:hreal]:((trealu_eq @ (c_ @ X1 @ Y1) @ (c_ @ X2 @ Y2)) <=> ((hrealu_add @ X1 @ Y2) = (hrealu_add @ X2 @ Y1)))).
thf(atrealu_ofu_num, axiom, ![N:num]:((trealu_ofu_num @ N) = (c_ @ (hrealu_ofu_num @ N) @ (hrealu_ofu_num @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![M:num,N:num]:((trealu_eq @ (trealu_ofu_num @ M) @ (trealu_ofu_num @ N)) <=> (M = N))).
