%   ORIGINAL: TREAL_OF_NUM_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: HREAL_OF_NUM_ADD: !m n. hreal_add (& m) (& n) = & (m + n)
% Assm: TRUTH: T
% Assm: treal_add: !x1 x2 y1 y2. (x1,y1) treal_add (x2,y2) = hreal_add x1 x2,hreal_add y1 y2
% Assm: treal_eq: !x1 y2 x2 y1. x1,y1 treal_eq x2,y2 <=> hreal_add x1 y2 = hreal_add x2 y1
% Assm: treal_of_num: !n. treal_of_num n = & n,& 0
% Goal: !m n. treal_of_num m treal_add treal_of_num n treal_eq treal_of_num (m + n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. 0 + n = n
% Assm: !m n. hreal_add (& m) (& n) = & (m + n)
% Assm: T
% Assm: !x1 x2 y1 y2. (x1,y1) treal_add (x2,y2) = hreal_add x1 x2,hreal_add y1 y2
% Assm: !x1 y2 x2 y1. x1,y1 treal_eq x2,y2 <=> hreal_add x1 y2 = hreal_add x2 y1
% Assm: !n. treal_of_num n = & n,& 0
% Goal: !m n. treal_of_num m treal_add treal_of_num n treal_eq treal_of_num (m + n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodhrealhreal, type, prodhrealhreal : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(chrealuu_add, type, hrealu_add : (hreal > hreal > hreal)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ctrealuu_ofuu_num, type, trealu_ofu_num : (num > prodhrealhreal)).
thf(ctrealuu_eq, type, trealu_eq : (prodhrealhreal > prodhrealhreal > $o)).
thf(ccu_, type, c_ : (hreal > hreal > prodhrealhreal)).
thf(ctrealuu_add, type, trealu_add : (prodhrealhreal > prodhrealhreal > prodhrealhreal)).
thf(cuu_0, type, u_0 : num).
thf(chrealuu_ofuu_num, type, hrealu_ofu_num : (num > hreal)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aHREALu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((hrealu_add @ (hrealu_ofu_num @ M) @ (hrealu_ofu_num @ N)) = (hrealu_ofu_num @ (p_ @ M @ N)))).
thf(aTRUTH, axiom, $true).
thf(atrealu_add, axiom, ![X1:hreal,X2:hreal,Y1:hreal,Y2:hreal]:((trealu_add @ (c_ @ X1 @ Y1) @ (c_ @ X2 @ Y2)) = (c_ @ (hrealu_add @ X1 @ X2) @ (hrealu_add @ Y1 @ Y2)))).
thf(atrealu_eq, axiom, ![X1:hreal,Y2:hreal,X2:hreal,Y1:hreal]:((trealu_eq @ (c_ @ X1 @ Y1) @ (c_ @ X2 @ Y2)) <=> ((hrealu_add @ X1 @ Y2) = (hrealu_add @ X2 @ Y1)))).
thf(atrealu_ofu_num, axiom, ![N:num]:((trealu_ofu_num @ N) = (c_ @ (hrealu_ofu_num @ N) @ (hrealu_ofu_num @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![M:num,N:num]:(trealu_eq @ (trealu_add @ (trealu_ofu_num @ M) @ (trealu_ofu_num @ N)) @ (trealu_ofu_num @ (p_ @ M @ N)))).
