%   ORIGINAL: TREAL_OF_NUM_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HREAL_ADD_LID: !x. hreal_add (& 0) x = x
% Assm: HREAL_ADD_RID: !n. hreal_add n (& 0) = n
% Assm: HREAL_MUL_LZERO: !m. hreal_mul (& 0) m = & 0
% Assm: HREAL_OF_NUM_MUL: !m n. hreal_mul (& m) (& n) = & (m * n)
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: TRUTH: T
% Assm: treal_eq: !x1 y2 x2 y1. x1,y1 treal_eq x2,y2 <=> hreal_add x1 y2 = hreal_add x2 y1
% Assm: treal_mul: !x1 y2 y1 x2. (x1,y1) treal_mul (x2,y2) = hreal_add (hreal_mul x1 x2) (hreal_mul y1 y2),hreal_add (hreal_mul x1 y2) (hreal_mul y1 x2)
% Assm: treal_of_num: !n. treal_of_num n = & n,& 0
% Goal: !m n. treal_of_num m treal_mul treal_of_num n treal_eq treal_of_num (m * n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. hreal_add (& 0) x = x
% Assm: !n. hreal_add n (& 0) = n
% Assm: !m. hreal_mul (& 0) m = & 0
% Assm: !m n. hreal_mul (& m) (& n) = & (m * n)
% Assm: !m. m * 0 = 0
% Assm: T
% Assm: !x1 y2 x2 y1. x1,y1 treal_eq x2,y2 <=> hreal_add x1 y2 = hreal_add x2 y1
% Assm: !x1 y2 y1 x2. (x1,y1) treal_mul (x2,y2) = hreal_add (hreal_mul x1 x2) (hreal_mul y1 y2),hreal_add (hreal_mul x1 y2) (hreal_mul y1 x2)
% Assm: !n. treal_of_num n = & n,& 0
% Goal: !m n. treal_of_num m treal_mul treal_of_num n treal_eq treal_of_num (m * n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodhrealhreal, type, prodhrealhreal : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(chrealuu_mul, type, hrealu_mul : (hreal > hreal > hreal)).
thf(chrealuu_add, type, hrealu_add : (hreal > hreal > hreal)).
thf(ctu_, type, t_ : (num > num > num)).
thf(ctrealuu_ofuu_num, type, trealu_ofu_num : (num > prodhrealhreal)).
thf(ctrealuu_eq, type, trealu_eq : (prodhrealhreal > prodhrealhreal > $o)).
thf(ccu_, type, c_ : (hreal > hreal > prodhrealhreal)).
thf(ctrealuu_mul, type, trealu_mul : (prodhrealhreal > prodhrealhreal > prodhrealhreal)).
thf(cuu_0, type, u_0 : num).
thf(chrealuu_ofuu_num, type, hrealu_ofu_num : (num > hreal)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHREALu_ADDu_LID, axiom, ![X:hreal]:((hrealu_add @ (hrealu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aHREALu_ADDu_RID, axiom, ![N:hreal]:((hrealu_add @ N @ (hrealu_ofu_num @ (numeral @ u_0))) = N)).
thf(aHREALu_MULu_LZERO, axiom, ![M:hreal]:((hrealu_mul @ (hrealu_ofu_num @ (numeral @ u_0)) @ M) = (hrealu_ofu_num @ (numeral @ u_0)))).
thf(aHREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((hrealu_mul @ (hrealu_ofu_num @ M) @ (hrealu_ofu_num @ N)) = (hrealu_ofu_num @ (t_ @ M @ N)))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aTRUTH, axiom, $true).
thf(atrealu_eq, axiom, ![X1:hreal,Y2:hreal,X2:hreal,Y1:hreal]:((trealu_eq @ (c_ @ X1 @ Y1) @ (c_ @ X2 @ Y2)) <=> ((hrealu_add @ X1 @ Y2) = (hrealu_add @ X2 @ Y1)))).
thf(atrealu_mul, axiom, ![X1:hreal,Y2:hreal,Y1:hreal,X2:hreal]:((trealu_mul @ (c_ @ X1 @ Y1) @ (c_ @ X2 @ Y2)) = (c_ @ (hrealu_add @ (hrealu_mul @ X1 @ X2) @ (hrealu_mul @ Y1 @ Y2)) @ (hrealu_add @ (hrealu_mul @ X1 @ Y2) @ (hrealu_mul @ Y1 @ X2))))).
thf(atrealu_ofu_num, axiom, ![N:num]:((trealu_ofu_num @ N) = (c_ @ (hrealu_ofu_num @ N) @ (hrealu_ofu_num @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![M:num,N:num]:(trealu_eq @ (trealu_mul @ (trealu_ofu_num @ M) @ (trealu_ofu_num @ N)) @ (trealu_ofu_num @ (t_ @ M @ N)))).
