%   ORIGINAL: TREAL_ADD_LDISTRIB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: HREAL_ADD_AC_conjunct1: hreal_add (hreal_add m n) p = hreal_add m (hreal_add n p)
% Assm: HREAL_ADD_AC_conjunct2: hreal_add m (hreal_add n p) = hreal_add n (hreal_add m p)
% Assm: HREAL_ADD_LDISTRIB: !x y z. hreal_mul x (hreal_add y z) = hreal_add (hreal_mul x y) (hreal_mul x z)
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: TREAL_EQ_AP: !x y. x = y ==> x treal_eq y
% Assm: TRUTH: T
% Assm: treal_add: !x1 x2 y1 y2. (x1,y1) treal_add (x2,y2) = hreal_add x1 x2,hreal_add y1 y2
% Assm: treal_mul: !x1 y2 y1 x2. (x1,y1) treal_mul (x2,y2) = hreal_add (hreal_mul x1 x2) (hreal_mul y1 y2),hreal_add (hreal_mul x1 y2) (hreal_mul y1 x2)
% Goal: !x y z. x treal_mul (y treal_add z) treal_eq x treal_mul y treal_add x treal_mul z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !m n p. hreal_add (hreal_add m n) p = hreal_add m (hreal_add n p)
% Assm: !n m p. hreal_add m (hreal_add n p) = hreal_add n (hreal_add m p)
% Assm: !x y z. hreal_mul x (hreal_add y z) = hreal_add (hreal_mul x y) (hreal_mul x z)
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !x y. x = y ==> x treal_eq y
% Assm: T
% Assm: !x1 x2 y1 y2. (x1,y1) treal_add (x2,y2) = hreal_add x1 x2,hreal_add y1 y2
% Assm: !x1 y2 y1 x2. (x1,y1) treal_mul (x2,y2) = hreal_add (hreal_mul x1 x2) (hreal_mul y1 y2),hreal_add (hreal_mul x1 y2) (hreal_mul y1 x2)
% Goal: !x y z. x treal_mul (y treal_add z) treal_eq x treal_mul y treal_add x treal_mul z
%  TYPES
thf(tq4497, type, q4497 : $tType).
thf(tq4498, type, q4498 : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodhrealhreal, type, prodhrealhreal : $tType).
thf(tprodq4498q4497, type, prodq4498q4497 : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(chrealuu_mul, type, hrealu_mul : (hreal > hreal > hreal)).
thf(chrealuu_add, type, hrealu_add : (hreal > hreal > hreal)).
thf(ctrealuu_eq, type, trealu_eq : (prodhrealhreal > prodhrealhreal > $o)).
thf(ccu_1, type, c_1 : (hreal > hreal > prodhrealhreal)).
thf(ccu_0, type, c_0 : (a > b > prodab)).
thf(ccu_, type, c_ : (q4498 > q4497 > prodq4498q4497)).
thf(ctrealuu_add, type, trealu_add : (prodhrealhreal > prodhrealhreal > prodhrealhreal)).
thf(ctrealuu_mul, type, trealu_mul : (prodhrealhreal > prodhrealhreal > prodhrealhreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFORALLu_PAIRu_THM, axiom, ![P:(prodq4498q4497 > $o)]:(![P0:prodq4498q4497]:(P @ P0) <=> ![P1:q4498,P2:q4497]:(P @ (c_ @ P1 @ P2)))).
thf(aHREALu_ADDu_ACu_conjunct1, axiom, ![M:hreal,N:hreal,P:hreal]:((hrealu_add @ (hrealu_add @ M @ N) @ P) = (hrealu_add @ M @ (hrealu_add @ N @ P)))).
thf(aHREALu_ADDu_ACu_conjunct2, axiom, ![N:hreal,M:hreal,P:hreal]:((hrealu_add @ M @ (hrealu_add @ N @ P)) = (hrealu_add @ N @ (hrealu_add @ M @ P)))).
thf(aHREALu_ADDu_LDISTRIB, axiom, ![X:hreal,Y:hreal,Z:hreal]:((hrealu_mul @ X @ (hrealu_add @ Y @ Z)) = (hrealu_add @ (hrealu_mul @ X @ Y) @ (hrealu_mul @ X @ Z)))).
thf(aPAIRu_EQ, axiom, ![X:a,Y:b,A:a,B:b]:(((c_0 @ X @ Y) = (c_0 @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aTREALu_EQu_AP, axiom, ![X:prodhrealhreal,Y:prodhrealhreal]:((X = Y) => (trealu_eq @ X @ Y))).
thf(aTRUTH, axiom, $true).
thf(atrealu_add, axiom, ![X1:hreal,X2:hreal,Y1:hreal,Y2:hreal]:((trealu_add @ (c_1 @ X1 @ Y1) @ (c_1 @ X2 @ Y2)) = (c_1 @ (hrealu_add @ X1 @ X2) @ (hrealu_add @ Y1 @ Y2)))).
thf(atrealu_mul, axiom, ![X1:hreal,Y2:hreal,Y1:hreal,X2:hreal]:((trealu_mul @ (c_1 @ X1 @ Y1) @ (c_1 @ X2 @ Y2)) = (c_1 @ (hrealu_add @ (hrealu_mul @ X1 @ X2) @ (hrealu_mul @ Y1 @ Y2)) @ (hrealu_add @ (hrealu_mul @ X1 @ Y2) @ (hrealu_mul @ Y1 @ X2))))).
thf(conjecture, conjecture, ![X:prodhrealhreal,Y:prodhrealhreal,Z:prodhrealhreal]:(trealu_eq @ (trealu_mul @ X @ (trealu_add @ Y @ Z)) @ (trealu_add @ (trealu_mul @ X @ Y) @ (trealu_mul @ X @ Z)))).
