%   ORIGINAL: TREAL_LE_LADD_IMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: HREAL_ADD_ASSOC: !x y z. hreal_add x (hreal_add y z) = hreal_add (hreal_add x y) z
% Assm: HREAL_ADD_SYM: !x y. hreal_add x y = hreal_add y x
% Assm: HREAL_LE_ADD_LCANCEL: !m n p. hreal_le (hreal_add m n) (hreal_add m p) <=> hreal_le n p
% Assm: TRUTH: T
% Assm: treal_add: !x1 x2 y1 y2. (x1,y1) treal_add (x2,y2) = hreal_add x1 x2,hreal_add y1 y2
% Assm: treal_le: !x1 y2 x2 y1. x1,y1 treal_le x2,y2 <=> hreal_le (hreal_add x1 y2) (hreal_add x2 y1)
% Goal: !x y z. y treal_le z ==> x treal_add y treal_le x treal_add z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !x y z. hreal_add x (hreal_add y z) = hreal_add (hreal_add x y) z
% Assm: !x y. hreal_add x y = hreal_add y x
% Assm: !m n p. hreal_le (hreal_add m n) (hreal_add m p) <=> hreal_le n p
% Assm: T
% Assm: !x1 x2 y1 y2. (x1,y1) treal_add (x2,y2) = hreal_add x1 x2,hreal_add y1 y2
% Assm: !x1 y2 x2 y1. x1,y1 treal_le x2,y2 <=> hreal_le (hreal_add x1 y2) (hreal_add x2 y1)
% Goal: !x y z. y treal_le z ==> x treal_add y treal_le x treal_add z
%  TYPES
thf(tq4497, type, q4497 : $tType).
thf(tq4498, type, q4498 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodhrealhreal, type, prodhrealhreal : $tType).
thf(tprodq4498q4497, type, prodq4498q4497 : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(chrealuu_le, type, hrealu_le : (hreal > hreal > $o)).
thf(chrealuu_add, type, hrealu_add : (hreal > hreal > hreal)).
thf(ctrealuu_le, type, trealu_le : (prodhrealhreal > prodhrealhreal > $o)).
thf(ccu_0, type, c_0 : (hreal > hreal > prodhrealhreal)).
thf(ccu_, type, c_ : (q4498 > q4497 > prodq4498q4497)).
thf(ctrealuu_add, type, trealu_add : (prodhrealhreal > prodhrealhreal > prodhrealhreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFORALLu_PAIRu_THM, axiom, ![P:(prodq4498q4497 > $o)]:(![P0:prodq4498q4497]:(P @ P0) <=> ![P1:q4498,P2:q4497]:(P @ (c_ @ P1 @ P2)))).
thf(aHREALu_ADDu_ASSOC, axiom, ![X:hreal,Y:hreal,Z:hreal]:((hrealu_add @ X @ (hrealu_add @ Y @ Z)) = (hrealu_add @ (hrealu_add @ X @ Y) @ Z))).
thf(aHREALu_ADDu_SYM, axiom, ![X:hreal,Y:hreal]:((hrealu_add @ X @ Y) = (hrealu_add @ Y @ X))).
thf(aHREALu_LEu_ADDu_LCANCEL, axiom, ![M:hreal,N:hreal,P:hreal]:((hrealu_le @ (hrealu_add @ M @ N) @ (hrealu_add @ M @ P)) <=> (hrealu_le @ N @ P))).
thf(aTRUTH, axiom, $true).
thf(atrealu_add, axiom, ![X1:hreal,X2:hreal,Y1:hreal,Y2:hreal]:((trealu_add @ (c_0 @ X1 @ Y1) @ (c_0 @ X2 @ Y2)) = (c_0 @ (hrealu_add @ X1 @ X2) @ (hrealu_add @ Y1 @ Y2)))).
thf(atrealu_le, axiom, ![X1:hreal,Y2:hreal,X2:hreal,Y1:hreal]:((trealu_le @ (c_0 @ X1 @ Y1) @ (c_0 @ X2 @ Y2)) <=> (hrealu_le @ (hrealu_add @ X1 @ Y2) @ (hrealu_add @ X2 @ Y1)))).
thf(conjecture, conjecture, ![X:prodhrealhreal,Y:prodhrealhreal,Z:prodhrealhreal]:((trealu_le @ Y @ Z) => (trealu_le @ (trealu_add @ X @ Y) @ (trealu_add @ X @ Z)))).
