%   ORIGINAL: TREAL_MUL_WELLDEFR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: HREAL_ADD_AC_conjunct0: hreal_add m n = hreal_add n m
% Assm: HREAL_ADD_AC_conjunct1: hreal_add (hreal_add m n) p = hreal_add m (hreal_add n p)
% Assm: HREAL_ADD_AC_conjunct2: hreal_add m (hreal_add n p) = hreal_add n (hreal_add m p)
% Assm: HREAL_ADD_RDISTRIB: !m n p. hreal_mul (hreal_add m n) p = hreal_add (hreal_mul m p) (hreal_mul n p)
% Assm: HREAL_ADD_SYM: !x y. hreal_add x y = hreal_add y x
% Assm: TRUTH: T
% Assm: treal_eq: !x1 y2 x2 y1. x1,y1 treal_eq x2,y2 <=> hreal_add x1 y2 = hreal_add x2 y1
% Assm: treal_mul: !x1 y2 y1 x2. (x1,y1) treal_mul (x2,y2) = hreal_add (hreal_mul x1 x2) (hreal_mul y1 y2),hreal_add (hreal_mul x1 y2) (hreal_mul y1 x2)
% Goal: !x1 x2 y. x1 treal_eq x2 ==> x1 treal_mul y treal_eq x2 treal_mul y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !n m. hreal_add m n = hreal_add n m
% Assm: !m n p. hreal_add (hreal_add m n) p = hreal_add m (hreal_add n p)
% Assm: !n m p. hreal_add m (hreal_add n p) = hreal_add n (hreal_add m p)
% Assm: !m n p. hreal_mul (hreal_add m n) p = hreal_add (hreal_mul m p) (hreal_mul n p)
% Assm: !x y. hreal_add x y = hreal_add y x
% Assm: T
% Assm: !x1 y2 x2 y1. x1,y1 treal_eq x2,y2 <=> hreal_add x1 y2 = hreal_add x2 y1
% Assm: !x1 y2 y1 x2. (x1,y1) treal_mul (x2,y2) = hreal_add (hreal_mul x1 x2) (hreal_mul y1 y2),hreal_add (hreal_mul x1 y2) (hreal_mul y1 x2)
% Goal: !x1 x2 y. x1 treal_eq x2 ==> x1 treal_mul y treal_eq x2 treal_mul y
%  TYPES
thf(tq4497, type, q4497 : $tType).
thf(tq4498, type, q4498 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodhrealhreal, type, prodhrealhreal : $tType).
thf(tprodq4498q4497, type, prodq4498q4497 : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(chrealuu_mul, type, hrealu_mul : (hreal > hreal > hreal)).
thf(chrealuu_add, type, hrealu_add : (hreal > hreal > hreal)).
thf(ctrealuu_eq, type, trealu_eq : (prodhrealhreal > prodhrealhreal > $o)).
thf(ccu_0, type, c_0 : (hreal > hreal > prodhrealhreal)).
thf(ccu_, type, c_ : (q4498 > q4497 > prodq4498q4497)).
thf(ctrealuu_mul, type, trealu_mul : (prodhrealhreal > prodhrealhreal > prodhrealhreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFORALLu_PAIRu_THM, axiom, ![P:(prodq4498q4497 > $o)]:(![P0:prodq4498q4497]:(P @ P0) <=> ![P1:q4498,P2:q4497]:(P @ (c_ @ P1 @ P2)))).
thf(aHREALu_ADDu_ACu_conjunct0, axiom, ![N:hreal,M:hreal]:((hrealu_add @ M @ N) = (hrealu_add @ N @ M))).
thf(aHREALu_ADDu_ACu_conjunct1, axiom, ![M:hreal,N:hreal,P:hreal]:((hrealu_add @ (hrealu_add @ M @ N) @ P) = (hrealu_add @ M @ (hrealu_add @ N @ P)))).
thf(aHREALu_ADDu_ACu_conjunct2, axiom, ![N:hreal,M:hreal,P:hreal]:((hrealu_add @ M @ (hrealu_add @ N @ P)) = (hrealu_add @ N @ (hrealu_add @ M @ P)))).
thf(aHREALu_ADDu_RDISTRIB, axiom, ![M:hreal,N:hreal,P:hreal]:((hrealu_mul @ (hrealu_add @ M @ N) @ P) = (hrealu_add @ (hrealu_mul @ M @ P) @ (hrealu_mul @ N @ P)))).
thf(aHREALu_ADDu_SYM, axiom, ![X:hreal,Y:hreal]:((hrealu_add @ X @ Y) = (hrealu_add @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(atrealu_eq, axiom, ![X1:hreal,Y2:hreal,X2:hreal,Y1:hreal]:((trealu_eq @ (c_0 @ X1 @ Y1) @ (c_0 @ X2 @ Y2)) <=> ((hrealu_add @ X1 @ Y2) = (hrealu_add @ X2 @ Y1)))).
thf(atrealu_mul, axiom, ![X1:hreal,Y2:hreal,Y1:hreal,X2:hreal]:((trealu_mul @ (c_0 @ X1 @ Y1) @ (c_0 @ X2 @ Y2)) = (c_0 @ (hrealu_add @ (hrealu_mul @ X1 @ X2) @ (hrealu_mul @ Y1 @ Y2)) @ (hrealu_add @ (hrealu_mul @ X1 @ Y2) @ (hrealu_mul @ Y1 @ X2))))).
thf(conjecture, conjecture, ![X1:prodhrealhreal,X2:prodhrealhreal,Y:prodhrealhreal]:((trealu_eq @ X1 @ X2) => (trealu_eq @ (trealu_mul @ X1 @ Y) @ (trealu_mul @ X2 @ Y)))).
