%   ORIGINAL: REAL_OF_NUM_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TREAL_OF_NUM_LE: !m n. treal_of_num m treal_le treal_of_num n <=> m <= n
% Assm: real_le_th: x1 treal_le y1 <=> mk_real ((treal_eq) x1) <= mk_real ((treal_eq) y1)
% Assm: real_of_num_th: mk_real ((treal_eq) (treal_of_num m)) = &m
% Goal: !m n. &m <= &n <=> m <= n
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. treal_of_num m treal_le treal_of_num n <=> m <= n
% Assm: !x1 y1. x1 treal_le y1 <=> mk_real ((treal_eq) x1) <= mk_real ((treal_eq) y1)
% Assm: !m. mk_real ((treal_eq) (treal_of_num m)) = &m
% Goal: !m n. &m <= &n <=> m <= n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tprodhrealhreal, type, prodhrealhreal : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(ctrealuu_eq, type, trealu_eq : (prodhrealhreal > prodhrealhreal > $o)).
thf(cmkuu_real, type, mku_real : ((prodhrealhreal > $o) > real)).
thf(ctrealuu_ofuu_num, type, trealu_ofu_num : (num > prodhrealhreal)).
thf(ctrealuu_le, type, trealu_le : (prodhrealhreal > prodhrealhreal > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((trealu_le @ (trealu_ofu_num @ M) @ (trealu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(arealu_leu_th, axiom, ![X1:prodhrealhreal,Y1:prodhrealhreal]:((trealu_le @ X1 @ Y1) <=> (realu_le @ (mku_real @ (trealu_eq @ X1)) @ (mku_real @ (trealu_eq @ Y1))))).
thf(arealu_ofu_numu_th, axiom, ![M:num]:((mku_real @ (trealu_eq @ (trealu_ofu_num @ M))) = (realu_ofu_num @ M))).
thf(conjecture, conjecture, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
