%   ORIGINAL: REAL_COMPLETE_SOMEPOS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HREAL_COMPLETE: !P. (?x. P x) /\ (?M. !x. P x ==> hreal_le x M) ==> (?M. (!x. P x ==> hreal_le x M) /\ (!M'. (!x. P x ==> hreal_le x M') ==> hreal_le M M'))
% Assm: REAL_HREAL_LEMMA2: ?h r. (!x. h (r x) = x) /\ (!x. &0 <= x ==> r (h x) = x) /\ (!x. &0 <= r x) /\ (!x y. hreal_le x y <=> r x <= r y)
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Goal: !P. (?x. P x /\ &0 <= x) /\ (?M. !x. P x ==> x <= M) ==> (?M. (!x. P x ==> x <= M) /\ (!M'. (!x. P x ==> x <= M') ==> M <= M'))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P. (?x. P x) /\ (?M. !x. P x ==> hreal_le x M) ==> (?M. (!x. P x ==> hreal_le x M) /\ (!M'. (!x. P x ==> hreal_le x M') ==> hreal_le M M'))
% Assm: ?h r. (!x. h (r x) = x) /\ (!x. &0 <= x ==> r (h x) = x) /\ (!x. &0 <= r x) /\ (!x y. hreal_le x y <=> r x <= r y)
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Goal: !P. (?x. P x /\ &0 <= x) /\ (?M. !x. P x ==> x <= M) ==> (?M. (!x. P x ==> x <= M) /\ (!M'. (!x. P x ==> x <= M') ==> M <= M'))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(chrealuu_le, type, hrealu_le : (hreal > hreal > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHREALu_COMPLETE, axiom, ![P:(hreal > $o)]:((?[X:hreal]:(P @ X) & ?[M:hreal]:![X:hreal]:((P @ X) => (hrealu_le @ X @ M))) => ?[M:hreal]:(![X:hreal]:((P @ X) => (hrealu_le @ X @ M)) & ![MI_:hreal]:(![X:hreal]:((P @ X) => (hrealu_le @ X @ MI_)) => (hrealu_le @ M @ MI_))))).
thf(aREALu_HREALu_LEMMA2, axiom, ?[H:(real > hreal),R:(hreal > real)]:(![X:hreal]:((H @ (R @ X)) = X) & ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((R @ (H @ X)) = X)) & ![X:hreal]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (R @ X)) & ![X:hreal,Y:hreal]:((hrealu_le @ X @ Y) <=> (realu_le @ (R @ X) @ (R @ Y))))).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(real > $o)]:((?[X:real]:((P @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X)) & ?[M:real]:![X:real]:((P @ X) => (realu_le @ X @ M))) => ?[M:real]:(![X:real]:((P @ X) => (realu_le @ X @ M)) & ![MI_:real]:(![X:real]:((P @ X) => (realu_le @ X @ MI_)) => (realu_le @ M @ MI_))))).
