%   ORIGINAL: REAL_COMPLETE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_COMPLETE_SOMEPOS: !P. (?x. P x /\ &0 <= x) /\ (?M. !x. P x ==> x <= M) ==> (?M. (!x. P x ==> x <= M) /\ (!M'. (!x. P x ==> x <= M') ==> M <= M'))
% Assm: REAL_LE_LADD_IMP: !x y z. y <= z ==> x + y <= x + z
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: TRUTH: T
% Assm: real_sub: !x y. x - y = x + --y
% Goal: !P. (?x. P x) /\ (?M. !x. P x ==> x <= M) ==> (?M. (!x. P x ==> x <= M) /\ (!M'. (!x. P x ==> x <= M') ==> M <= M'))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !P. (?x. P x /\ &0 <= x) /\ (?M. !x. P x ==> x <= M) ==> (?M. (!x. P x ==> x <= M) /\ (!M'. (!x. P x ==> x <= M') ==> M <= M'))
% Assm: !x y z. y <= z ==> x + y <= x + z
% Assm: !x. x <= x
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y. x + y = y + x
% Assm: !x. &0 + x = x
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !P. (?x. P x) /\ (?M. !x. P x ==> x <= M) ==> (?M. (!x. P x ==> x <= M) /\ (!M'. (!x. P x ==> x <= M') ==> M <= M'))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_COMPLETEu_SOMEPOS, axiom, ![P:(real > $o)]:((?[X:real]:((P @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X)) & ?[M:real]:![X:real]:((P @ X) => (realu_le @ X @ M))) => ?[M:real]:(![X:real]:((P @ X) => (realu_le @ X @ M)) & ![MI_:real]:(![X:real]:((P @ X) => (realu_le @ X @ MI_)) => (realu_le @ M @ MI_))))).
thf(aREALu_LEu_LADDu_IMP, axiom, ![X:real,Y:real,Z:real]:((realu_le @ Y @ Z) => (realu_le @ (realu_add @ X @ Y) @ (realu_add @ X @ Z)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(arealu_sub, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_neg @ Y)))).
thf(conjecture, conjecture, ![P:(real > $o)]:((?[X:real]:(P @ X) & ?[M:real]:![X:real]:((P @ X) => (realu_le @ X @ M))) => ?[M:real]:(![X:real]:((P @ X) => (realu_le @ X @ M)) & ![MI_:real]:(![X:real]:((P @ X) => (realu_le @ X @ MI_)) => (realu_le @ M @ MI_))))).
