%   ORIGINAL: REAL_NEG_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: REAL_ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_EQ_ADD_RCANCEL: !x y z. x + z = y + z <=> x = y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: TRUTH: T
% Goal: !x y. --(x + y) = --x + --y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !x. --x + x = &0
% Assm: !x y z. x + z = y + z <=> x = y
% Assm: !x. &0 + x = x
% Assm: T
% Goal: !x y. --(x + y) = --x + --y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ADDu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_add @ (realu_add @ M @ N) @ P) = (realu_add @ M @ (realu_add @ N @ P)))).
thf(aREALu_ADDu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_add @ M @ (realu_add @ N @ P)) = (realu_add @ N @ (realu_add @ M @ P)))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_EQu_ADDu_RCANCEL, axiom, ![X:real,Y:real,Z:real]:(((realu_add @ X @ Z) = (realu_add @ Y @ Z)) <=> (X = Y))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
