%   ORIGINAL: REAL_OF_NUM_POW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXP_conjunct0: !m. m EXP 0 = 1
% Assm: EXP_conjunct1: !m n. m EXP SUC n = m * m EXP n
% Assm: Float.pow_conjunct0: x pow 0 = &1
% Assm: Float.pow_conjunct1: !n. x pow SUC n = x * x pow n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !x n. &x pow n = &(x EXP n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m. m EXP 0 = 1
% Assm: !m n. m EXP SUC n = m * m EXP n
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !m n. &m * &n = &(m * n)
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !x n. &x pow n = &(x EXP n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cexp, type, exp : (num > num > num)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXPu_conjunct0, axiom, ![M:num]:((exp @ M @ (numeral @ u_0)) = (numeral @ (bit1 @ u_0)))).
thf(aEXPu_conjunct1, axiom, ![M:num,N:num]:((exp @ M @ (suc @ N)) = (t_ @ M @ (exp @ M @ N)))).
thf(aFloato_powu_conjunct0, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aFloato_powu_conjunct1, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![X:num,N:num]:((realu_pow @ (realu_ofu_num @ X) @ N) = (realu_ofu_num @ (exp @ X @ N)))).
