%   ORIGINAL: REAL_ABS_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: TRUTH: T
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Goal: !x. abs (--x) = abs x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: !x y. x <= y \/ y <= x
% Assm: !x. -- --x = x
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: T
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Goal: !x. abs (--x) = abs x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(conjecture, conjecture, ![X:real]:((realu_abs @ (realu_neg @ X)) = (realu_abs @ X))).
