%   ORIGINAL: Real_ext.REAL_MK_NN_SQUARE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEGTOTAL: !x. &0 <= x \/ &0 <= --x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: TRUTH: T
% Goal: !x. &0 <= x * x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x. &0 <= x \/ &0 <= --x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x. -- --x = x
% Assm: T
% Goal: !x. &0 <= x * x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEGTOTAL, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) | (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_neg @ X)))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ X))).
