%   ORIGINAL: REAL_OF_NUM_MAX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: MAX: !m n. MAX m n = (if m <= n then n else m)
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: TRUTH: T
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Goal: !m n. max (&m) (&n) = &(MAX m n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !m n. MAX m n = (if m <= n then n else m)
% Assm: !m n. &m <= &n <=> m <= n
% Assm: T
% Assm: !n m. max m n = (if m <= n then n else m)
% Goal: !m n. max (&m) (&n) = &(MAX m n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmax, type, max : (num > num > num)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(ccond1, type, cond1 : ($o > num > num > num)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_RAND, axiom, ![B:$o,F:(a > real),X:a,Y:a]:((F @ (cond @ B @ X @ Y)) = (cond0 @ B @ (F @ X) @ (F @ Y)))).
thf(aMAX, axiom, ![M:num,N:num]:((max @ M @ N) = (cond1 @ (l_a_ @ M @ N) @ N @ M))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond0 @ (realu_le @ M @ N) @ N @ M))).
thf(conjecture, conjecture, ![M:num,N:num]:((realu_max @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (max @ M @ N)))).
