%   ORIGINAL: REAL_EQ_MUL_RCANCEL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: Real_ext.REAL_PROP_EQ_LMUL_': !x y z. x * y = x * z <=> x = &0 \/ y = z
% Assm: TRUTH: T
% Goal: !x y z. x * z = y * z <=> x = y \/ z = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x * y = y * x
% Assm: !x y z. x * y = x * z <=> x = &0 \/ y = z
% Assm: T
% Goal: !x y z. x * z = y * z <=> x = y \/ z = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_EQu_LMULu_i_, axiom, ![X:real,Y:real,Z:real]:(((realu_mul @ X @ Y) = (realu_mul @ X @ Z)) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = Z)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real,Z:real]:(((realu_mul @ X @ Z) = (realu_mul @ Y @ Z)) <=> ((X = Y) | (Z = (realu_ofu_num @ (numeral @ u_0)))))).
