%   ORIGINAL: REAL_MUL_LINV_UNIQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct5: !n. _0 = BIT1 n <=> F
% Assm: REAL_EQ_MUL_RCANCEL: !x y z. x * z = y * z <=> x = y \/ z = &0
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: TRUTH: T
% Goal: !x y. x * y = &1 ==> inv y = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. _0 = BIT1 n <=> F
% Assm: !x y z. x * z = y * z <=> x = y \/ z = &0
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !m n. &m = &n <=> m = n
% Assm: !x. x * &0 = &0
% Assm: T
% Goal: !x y. x * y = &1 ==> inv y = x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct5, axiom, ![N:num]:((u_0 = (bit1 @ N)) <=> $false)).
thf(aREALu_EQu_MULu_RCANCEL, axiom, ![X:real,Y:real,Z:real]:(((realu_mul @ X @ Z) = (realu_mul @ Y @ Z)) <=> ((X = Y) | (Z = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ((realu_inv @ Y) = X))).
