%   ORIGINAL: REAL_ABS_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: REAL_MUL_RINV_UNIQ: !x y. x * y = &1 ==> inv x = y
% Assm: Real_ext.REAL_SV_ABS_0: abs (&0) = &0
% Assm: Real_ext.REAL_SV_INV_0: inv (&0) = &0
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Goal: !x. abs (inv x) = inv (abs x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !x y. x * y = &1 ==> inv x = y
% Assm: abs (&0) = &0
% Assm: inv (&0) = &0
% Assm: T
% Assm: abs (&1) = &1
% Goal: !x. abs (inv x) = inv (abs x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_ABSu_MUL, axiom, ![X:real,Y:real]:((realu_abs @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_RINVu_UNIQ, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ((realu_inv @ X) = Y))).
thf(aRealu_exto_REALu_SVu_ABSu_0, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_INVu_0, axiom, ((realu_inv @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![X:real]:((realu_abs @ (realu_inv @ X)) = (realu_inv @ (realu_abs @ X)))).
