%   ORIGINAL: REAL_ABS_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: REAL_ABS_INV: !x. abs (inv x) = inv (abs x)
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !x y. abs (x / y) = abs x / abs y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: !x. abs (inv x) = inv (abs x)
% Assm: T
% Assm: !x y. x / y = x * inv y
% Goal: !x y. abs (x / y) = abs x / abs y
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_ABSu_MUL, axiom, ![X:real,Y:real]:((realu_abs @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aREALu_ABSu_INV, axiom, ![X:real]:((realu_abs @ (realu_inv @ X)) = (realu_inv @ (realu_abs @ X)))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![X:real,Y:real]:((realu_abs @ (realu_div @ X @ Y)) = (realu_div @ (realu_abs @ X) @ (realu_abs @ Y)))).
