%   ORIGINAL: REAL_MUL_AC_conjunct2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: TRUTH: T
% Goal: m * n * p = n * m * p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m * n = n * m
% Assm: !x y. x * y = y * x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: T
% Goal: !p m n. m * n * p = n * m * p
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:real,M:real,N:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
