%   ORIGINAL: REAL_POW_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POW_INV: !x n. inv x pow n = inv (x pow n)
% Assm: REAL_POW_MUL: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !x y n. (x / y) pow n = x pow n / y pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x n. inv x pow n = inv (x pow n)
% Assm: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: T
% Assm: !x y. x / y = x * inv y
% Goal: !x y n. (x / y) pow n = x pow n / y pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POWu_INV, axiom, ![X:real,N:num]:((realu_pow @ (realu_inv @ X) @ N) = (realu_inv @ (realu_pow @ X @ N)))).
thf(aREALu_POWu_MUL, axiom, ![X:real,Y:real,N:num]:((realu_pow @ (realu_mul @ X @ Y) @ N) = (realu_mul @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![X:real,Y:real,N:num]:((realu_pow @ (realu_div @ X @ Y) @ N) = (realu_div @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
