%   ORIGINAL: REAL_POW_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ADD_SUB2: !m n. (m + n) - m = n
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POW_ADD: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: REAL_POW_NZ: !x n. ~(x = &0) ==> ~(x pow n = &0)
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !x m n. ~(x = &0) /\ m <= n ==> x pow (n - m) = x pow n / x pow m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. (m + n) - m = n
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: ~F <=> T
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. x * y = y * x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: !x n. ~(x = &0) ==> ~(x pow n = &0)
% Assm: T
% Assm: !x y. x / y = x * inv y
% Goal: !x m n. ~(x = &0) /\ m <= n ==> x pow (n - m) = x pow n / x pow m
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cmu_, type, m_ : (num > num > num)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aADDu_SUB2, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ M) = N)).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POWu_ADD, axiom, ![X:real,M:num,N:num]:((realu_pow @ X @ (p_ @ M @ N)) = (realu_mul @ (realu_pow @ X @ M) @ (realu_pow @ X @ N)))).
thf(aREALu_POWu_NZ, axiom, ![X:real,N:num]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ~ (((realu_pow @ X @ N) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![X:real,M:num,N:num]:((~ ((X = (realu_ofu_num @ (numeral @ u_0)))) & (l_a_ @ M @ N)) => ((realu_pow @ X @ (m_ @ N @ M)) = (realu_div @ (realu_pow @ X @ N) @ (realu_pow @ X @ M))))).
