%   ORIGINAL: REAL_LE_RCANCEL_IMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LCANCEL_IMP: !x y z. &0 < x /\ x * y <= x * z ==> y <= z
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Goal: !x y z. &0 < z /\ x * z <= y * z ==> x <= y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. &0 < x /\ x * y <= x * z ==> y <= z
% Assm: !x y. x * y = y * x
% Assm: T
% Goal: !x y z. &0 < z /\ x * z <= y * z ==> x <= y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LCANCELu_IMP, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z))) => (realu_le @ Y @ Z))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real,Z:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) & (realu_le @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z))) => (realu_le @ X @ Y))).
