%   ORIGINAL: REAL_LT_RINV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.REAL_INV_POS: !x. &0 < x ==> &0 < inv x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_LT_INV2: !x y. &0 < x /\ x < y ==> inv y < inv x
% Assm: TRUTH: T
% Goal: !x y. &0 < x /\ x < inv y ==> y < inv x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 < x ==> &0 < inv x
% Assm: !x. inv (inv x) = x
% Assm: !x y. &0 < x /\ x < y ==> inv y < inv x
% Assm: T
% Goal: !x y. &0 < x /\ x < inv y ==> y < inv x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_REALu_INVu_POS, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_LTu_INV2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ Y)) => (realu_lt @ (realu_inv @ Y) @ (realu_inv @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ (realu_inv @ Y))) => (realu_lt @ Y @ (realu_inv @ X)))).
