%   ORIGINAL: REAL_SUB_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIV_LMUL: !x y. ~(y = &0) ==> y * x / y = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_SUB_RDISTRIB: !x y z. (x - y) * z = x * z - y * z
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !x y. ~(x = &0) /\ ~(y = &0) ==> inv x - inv y = (y - x) / (x * y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. ~(y = &0) ==> y * x / y = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x y z. (x - y) * z = x * z - y * z
% Assm: T
% Assm: !x y. x / y = x * inv y
% Goal: !x y. ~(x = &0) /\ ~(y = &0) ==> inv x - inv y = (y - x) / (x * y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIVu_LMUL, axiom, ![X:real,Y:real]:(~ ((Y = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ Y @ (realu_div @ X @ Y)) = X))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_SUBu_RDISTRIB, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ (realu_sub @ X @ Y) @ Z) = (realu_sub @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![X:real,Y:real]:((~ ((X = (realu_ofu_num @ (numeral @ u_0)))) & ~ ((Y = (realu_ofu_num @ (numeral @ u_0))))) => ((realu_sub @ (realu_inv @ X) @ (realu_inv @ Y)) = (realu_div @ (realu_sub @ Y @ X) @ (realu_mul @ X @ Y))))).
