%   ORIGINAL: REAL_POW_LE2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.pow_conjunct0: x pow 0 = &1
% Assm: Float.pow_conjunct1: !n. x pow SUC n = x * x pow n
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: Real_ext.REAL_PROP_LE_LRMUL: !w x y z. &0 <= w /\ w <= x /\ &0 <= y /\ y <= z ==> w * y <= x * z
% Assm: Real_ext.REAL_PROP_NN_POW: !x n. &0 <= x ==> &0 <= x pow n
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !n x y. &0 <= x /\ x <= y ==> x pow n <= y pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. x <= x
% Assm: !w x y z. &0 <= w /\ w <= x /\ &0 <= y /\ y <= z ==> w * y <= x * z
% Assm: !x n. &0 <= x ==> &0 <= x pow n
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !n x y. &0 <= x /\ x <= y ==> x pow n <= y pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_powu_conjunct0, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aFloato_powu_conjunct1, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aRealu_exto_REALu_PROPu_LEu_LRMUL, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ W) & (realu_le @ W @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ W @ Y) @ (realu_mul @ X @ Z)))).
thf(aRealu_exto_REALu_PROPu_NNu_POW, axiom, ![X:real,N:num]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![N:num,X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
