%   ORIGINAL: REAL_POW_1_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POW_LE2: !n x y. &0 <= x /\ x <= y ==> x pow n <= y pow n
% Assm: REAL_POW_ONE: !n. &1 pow n = &1
% Assm: TRUTH: T
% Goal: !n x. &0 <= x /\ x <= &1 ==> x pow n <= &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n x y. &0 <= x /\ x <= y ==> x pow n <= y pow n
% Assm: !n. &1 pow n = &1
% Assm: T
% Goal: !n x. &0 <= x /\ x <= &1 ==> x pow n <= &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POWu_LE2, axiom, ![N:num,X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aREALu_POWu_ONE, axiom, ![N:num]:((realu_pow @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ N) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_le @ (realu_pow @ X @ N) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
