%   ORIGINAL: REAL_POW_MONO_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct5: !n. _0 <= BIT1 n <=> T
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: Float.pow_conjunct0: x pow 0 = &1
% Assm: Float.pow_conjunct1: !n. x pow SUC n = x * x pow n
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: REAL_LT_LMUL: !x y z. &0 < x /\ y < z ==> x * y < x * z
% Assm: REAL_LT_MUL2: !w x y z. &0 <= w /\ w < x /\ &0 <= y /\ y < z ==> w * y < x * z
% Assm: REAL_LT_TRANS: !x y z. x < y /\ y < z ==> x < z
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: REAL_POW_ADD: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: REAL_POW_LT: !x n. &0 < x ==> &0 < x pow n
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n x. &1 < x /\ m < n ==> x pow m < x pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: !n. _0 <= BIT1 n <=> T
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !x y z. &0 < x /\ y < z ==> x * y < x * z
% Assm: !w x y z. &0 <= w /\ w < x /\ &0 <= y /\ y < z ==> w * y < x * z
% Assm: !x y z. x < y /\ y < z ==> x < z
% Assm: !x. &1 * x = x
% Assm: !x. x * &1 = x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: !x n. &0 < x ==> &0 < x pow n
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n x. &1 < x /\ m < n ==> x pow m < x pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct5, axiom, ![N:num]:((l_a_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aFloato_powu_conjunct0, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aFloato_powu_conjunct1, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aREALu_LTu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ Y @ Z)) => (realu_lt @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_LTu_MUL2, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ W) & (realu_lt @ W @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ (realu_mul @ W @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_LTu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aREALu_POWu_ADD, axiom, ![X:real,M:num,N:num]:((realu_pow @ X @ (p_ @ M @ N)) = (realu_mul @ (realu_pow @ X @ M) @ (realu_pow @ X @ N)))).
thf(aREALu_POWu_LT, axiom, ![X:real,N:num]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![M:num,N:num,X:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) & (l_ @ M @ N)) => (realu_lt @ (realu_pow @ X @ M) @ (realu_pow @ X @ N)))).
