%   ORIGINAL: REAL_DIV_POW2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_POW_SUB: !x m n. ~(x = &0) /\ m <= n ==> x pow (n - m) = x pow n / x pow m
% Assm: TRUTH: T
% Goal: !x m n. ~(x = &0) ==> x pow m / x pow n = (if n <= m then x pow (m - n) else inv (x pow (n - m)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !m n. m < n ==> m <= n
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x m n. ~(x = &0) /\ m <= n ==> x pow (n - m) = x pow n / x pow m
% Assm: T
% Goal: !x m n. ~(x = &0) ==> x pow m / x pow n = (if n <= m then x pow (m - n) else inv (x pow (n - m)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_POWu_SUB, axiom, ![X:real,M:num,N:num]:((~ ((X = (realu_ofu_num @ (numeral @ u_0)))) & (l_a_ @ M @ N)) => ((realu_pow @ X @ (m_ @ N @ M)) = (realu_div @ (realu_pow @ X @ N) @ (realu_pow @ X @ M))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,M:num,N:num]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_div @ (realu_pow @ X @ M) @ (realu_pow @ X @ N)) = (cond @ (l_a_ @ N @ M) @ (realu_pow @ X @ (m_ @ M @ N)) @ (realu_inv @ (realu_pow @ X @ (m_ @ N @ M))))))).
