%   ORIGINAL: REAL_DIV_POW2_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: REAL_DIV_POW2: !x m n. ~(x = &0) ==> x pow m / x pow n = (if n <= m then x pow (m - n) else inv (x pow (n - m)))
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: TRUTH: T
% Goal: !x m n. ~(x = &0) ==> x pow m / x pow n = (if n < m then x pow (m - n) else inv (x pow (n - m)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !x m n. ~(x = &0) ==> x pow m / x pow n = (if n <= m then x pow (m - n) else inv (x pow (n - m)))
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: T
% Goal: !x m n. ~(x = &0) ==> x pow m / x pow n = (if n < m then x pow (m - n) else inv (x pow (n - m)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aREALu_DIVu_POW2, axiom, ![X:real,M:num,N:num]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_div @ (realu_pow @ X @ M) @ (realu_pow @ X @ N)) = (cond @ (l_a_ @ N @ M) @ (realu_pow @ X @ (m_ @ M @ N)) @ (realu_inv @ (realu_pow @ X @ (m_ @ N @ M))))))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,M:num,N:num]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_div @ (realu_pow @ X @ M) @ (realu_pow @ X @ N)) = (cond @ (l_ @ N @ M) @ (realu_pow @ X @ (m_ @ M @ N)) @ (realu_inv @ (realu_pow @ X @ (m_ @ N @ M))))))).
