%   ORIGINAL: REAL_LE_SQUARE_ABS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_POW2_ABS: !x. abs x pow 2 = x pow 2
% Assm: REAL_POW_LE2: !n x y. &0 <= x /\ x <= y ==> x pow n <= y pow n
% Assm: REAL_POW_LT2: !n x y. ~(n = 0) /\ &0 <= x /\ x < y ==> x pow n < y pow n
% Assm: Real_ext.ABS_POS: !x. &0 <= abs x
% Assm: TRUTH: T
% Goal: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x. abs x pow 2 = x pow 2
% Assm: !n x y. &0 <= x /\ x <= y ==> x pow n <= y pow n
% Assm: !n x y. ~(n = 0) /\ &0 <= x /\ x < y ==> x pow n < y pow n
% Assm: !x. &0 <= abs x
% Assm: T
% Goal: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_POW2u_ABS, axiom, ![X:real]:((realu_pow @ (realu_abs @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aREALu_POWu_LE2, axiom, ![N:num,X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aREALu_POWu_LT2, axiom, ![N:num,X:real,Y:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ Y)) => (realu_lt @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aRealu_exto_ABSu_POS, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:((realu_le @ (realu_abs @ X) @ (realu_abs @ Y)) <=> (realu_le @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
