%   ORIGINAL: REAL_POW_MONO_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INV_1_LE: !x. &0 < x /\ x <= &1 ==> &1 <= inv x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_POW: !x n. inv (x pow n) = inv x pow n
% Assm: REAL_LE_01: &0 <= &1
% Assm: REAL_LE_INV2: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LT_INV_EQ: !x. &0 < inv x <=> &0 < x
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_POS: !n. &0 <= &n
% Assm: REAL_POW_LT: !x n. &0 < x ==> &0 < x pow n
% Assm: REAL_POW_MONO: !m n x. &1 <= x /\ m <= n ==> x pow m <= x pow n
% Assm: REAL_POW_ZERO: !n. &0 pow n = (if n = 0 then &1 else &0)
% Assm: TRUTH: T
% Goal: !m n x. &0 <= x /\ x <= &1 /\ n <= m ==> x pow m <= x pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !m. m <= 0 <=> m = 0
% Assm: ~F <=> T
% Assm: !x. &0 < x /\ x <= &1 ==> &1 <= inv x
% Assm: !x. inv (inv x) = x
% Assm: !x n. inv (x pow n) = inv x pow n
% Assm: &0 <= &1
% Assm: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: !x. x <= x
% Assm: !x. &0 < inv x <=> &0 < x
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !n. &0 <= &n
% Assm: !x n. &0 < x ==> &0 < x pow n
% Assm: !m n x. &1 <= x /\ m <= n ==> x pow m <= x pow n
% Assm: !n. &0 pow n = (if n = 0 then &1 else &0)
% Assm: T
% Goal: !m n x. &0 <= x /\ x <= &1 /\ n <= m ==> x pow m <= x pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INVu_1u_LE, axiom, ![X:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_le @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_inv @ X)))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_POW, axiom, ![X:real,N:num]:((realu_inv @ (realu_pow @ X @ N)) = (realu_pow @ (realu_inv @ X) @ N))).
thf(aREALu_LEu_01, axiom, (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LEu_INV2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (realu_inv @ Y) @ (realu_inv @ X)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LTu_INVu_EQ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aREALu_POWu_LT, axiom, ![X:real,N:num]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aREALu_POWu_MONO, axiom, ![M:num,N:num,X:real]:(((realu_le @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) & (l_a_ @ M @ N)) => (realu_le @ (realu_pow @ X @ M) @ (realu_pow @ X @ N)))).
thf(aREALu_POWu_ZERO, axiom, ![N:num]:((realu_pow @ (realu_ofu_num @ (numeral @ u_0)) @ N) = (cond0 @ (N = (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,X:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (l_a_ @ N @ M)) => (realu_le @ (realu_pow @ X @ M) @ (realu_pow @ X @ N)))).
