%   ORIGINAL: REAL_POW_EQ_ABS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_POW: !x n. abs (x pow n) = abs x pow n
% Assm: REAL_POW_EQ: !n x y. ~(n = 0) /\ &0 <= x /\ &0 <= y /\ x pow n = y pow n ==> x = y
% Assm: Real_ext.ABS_POS: !x. &0 <= abs x
% Assm: TRUTH: T
% Goal: !n x y. ~(n = 0) /\ x pow n = y pow n ==> abs x = abs y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x n. abs (x pow n) = abs x pow n
% Assm: !n x y. ~(n = 0) /\ &0 <= x /\ &0 <= y /\ x pow n = y pow n ==> x = y
% Assm: !x. &0 <= abs x
% Assm: T
% Goal: !n x y. ~(n = 0) /\ x pow n = y pow n ==> abs x = abs y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_POW, axiom, ![X:real,N:num]:((realu_abs @ (realu_pow @ X @ N)) = (realu_pow @ (realu_abs @ X) @ N))).
thf(aREALu_POWu_EQ, axiom, ![N:num,X:real,Y:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & ((realu_pow @ X @ N) = (realu_pow @ Y @ N))) => (X = Y))).
thf(aRealu_exto_ABSu_POS, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real,Y:real]:((~ ((N = (numeral @ u_0))) & ((realu_pow @ X @ N) = (realu_pow @ Y @ N))) => ((realu_abs @ X) = (realu_abs @ Y)))).
