%   ORIGINAL: REAL_POW_EQ_1_IMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_NUM: !n. abs (&n) = &n
% Assm: REAL_POW_EQ_ABS: !n x y. ~(n = 0) /\ x pow n = y pow n ==> abs x = abs y
% Assm: REAL_POW_ONE: !n. &1 pow n = &1
% Assm: TRUTH: T
% Goal: !x n. ~(n = 0) /\ x pow n = &1 ==> abs x = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. abs (&n) = &n
% Assm: !n x y. ~(n = 0) /\ x pow n = y pow n ==> abs x = abs y
% Assm: !n. &1 pow n = &1
% Assm: T
% Goal: !x n. ~(n = 0) /\ x pow n = &1 ==> abs x = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_NUM, axiom, ![N:num]:((realu_abs @ (realu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aREALu_POWu_EQu_ABS, axiom, ![N:num,X:real,Y:real]:((~ ((N = (numeral @ u_0))) & ((realu_pow @ X @ N) = (realu_pow @ Y @ N))) => ((realu_abs @ X) = (realu_abs @ Y)))).
thf(aREALu_POWu_ONE, axiom, ![N:num]:((realu_pow @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ N) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,N:num]:((~ ((N = (numeral @ u_0))) & ((realu_pow @ X @ N) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((realu_abs @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
