%   ORIGINAL: REAL_POW_LE2_ODD_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_POW_LE2_ODD: !n x y. x <= y /\ ODD n ==> x pow n <= y pow n
% Assm: REAL_POW_LT2_ODD: !n x y. x < y /\ ODD n ==> x pow n < y pow n
% Assm: TRUTH: T
% Goal: !n x y. ODD n ==> (x pow n <= y pow n <=> x <= y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !n x y. x <= y /\ ODD n ==> x pow n <= y pow n
% Assm: !n x y. x < y /\ ODD n ==> x pow n < y pow n
% Assm: T
% Goal: !n x y. ODD n ==> (x pow n <= y pow n <=> x <= y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(codd, type, odd : (num > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_POWu_LE2u_ODD, axiom, ![N:num,X:real,Y:real]:(((realu_le @ X @ Y) & (odd @ N)) => (realu_le @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aREALu_POWu_LT2u_ODD, axiom, ![N:num,X:real,Y:real]:(((realu_lt @ X @ Y) & (odd @ N)) => (realu_lt @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real,Y:real]:((odd @ N) => ((realu_le @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)) <=> (realu_le @ X @ Y)))).
