%   ORIGINAL: REAL_POW_EQ_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: EVEN_EXISTS: !n. EVEN n <=> (?m. n = 2 * m)
% Assm: EVEN_conjunct0: EVEN 0 <=> T
% Assm: Float.pow_conjunct0: x pow 0 = &1
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_EVEN: !n. ~EVEN n <=> ODD n
% Assm: REAL_EQ_SQUARE_ABS: !x y. abs x = abs y <=> x pow 2 = y pow 2
% Assm: REAL_POW_EQ_ABS: !n x y. ~(n = 0) /\ x pow n = y pow n ==> abs x = abs y
% Assm: REAL_POW_EQ_ODD_EQ: !n x y. ODD n ==> (x pow n = y pow n <=> x = y)
% Assm: REAL_POW_POW: !x m n. x pow m pow n = x pow (m * n)
% Assm: TRUTH: T
% Goal: !n x y. x pow n = y pow n <=> (if EVEN n then n = 0 \/ abs x = abs y else x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !n. EVEN n <=> (?m. n = 2 * m)
% Assm: EVEN 0 <=> T
% Assm: !x. x pow 0 = &1
% Assm: ~F <=> T
% Assm: !n. ~EVEN n <=> ODD n
% Assm: !x y. abs x = abs y <=> x pow 2 = y pow 2
% Assm: !n x y. ~(n = 0) /\ x pow n = y pow n ==> abs x = abs y
% Assm: !n x y. ODD n ==> (x pow n = y pow n <=> x = y)
% Assm: !x m n. x pow m pow n = x pow (m * n)
% Assm: T
% Goal: !n x y. x pow n = y pow n <=> (if EVEN n then n = 0 \/ abs x = abs y else x = y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > $o > $o > $o)).
thf(codd, type, odd : (num > $o)).
thf(ceven, type, even : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:$o,T2:$o]:(((cond @ $true @ T1 @ T2) <=> T1) & ((cond @ $false @ T1 @ T2) <=> T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:$o,C:$o,P:($o > $o),Y:$o]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aEVENu_EXISTS, axiom, ![N:num]:((even @ N) <=> ?[M:num]:(N = (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ M)))).
thf(aEVENu_conjunct0, axiom, ((even @ (numeral @ u_0)) <=> $true)).
thf(aFloato_powu_conjunct0, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_EVEN, axiom, ![N:num]:(~ ((even @ N)) <=> (odd @ N))).
thf(aREALu_EQu_SQUAREu_ABS, axiom, ![X:real,Y:real]:(((realu_abs @ X) = (realu_abs @ Y)) <=> ((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aREALu_POWu_EQu_ABS, axiom, ![N:num,X:real,Y:real]:((~ ((N = (numeral @ u_0))) & ((realu_pow @ X @ N) = (realu_pow @ Y @ N))) => ((realu_abs @ X) = (realu_abs @ Y)))).
thf(aREALu_POWu_EQu_ODDu_EQ, axiom, ![N:num,X:real,Y:real]:((odd @ N) => (((realu_pow @ X @ N) = (realu_pow @ Y @ N)) <=> (X = Y)))).
thf(aREALu_POWu_POW, axiom, ![X:real,M:num,N:num]:((realu_pow @ (realu_pow @ X @ M) @ N) = (realu_pow @ X @ (t_ @ M @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real,Y:real]:(((realu_pow @ X @ N) = (realu_pow @ Y @ N)) <=> (cond @ (even @ N) @ ((N = (numeral @ u_0)) | ((realu_abs @ X) = (realu_abs @ Y))) @ (X = Y)))).
