%   ORIGINAL: REAL_ARCH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ARCH_LT: !x. ?n. x < &n
% Assm: REAL_LT_LDIV_EQ: !x y z. &0 < z ==> (x / z < y <=> x < y * z)
% Assm: TRUTH: T
% Goal: !x. &0 < x ==> (!y. ?n. y < &n * x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x. ?n. x < &n
% Assm: !x y z. &0 < z ==> (x / z < y <=> x < y * z)
% Assm: T
% Goal: !x. &0 < x ==> (!y. ?n. y < &n * x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ARCHu_LT, axiom, ![X:real]:?[N:num]:(realu_lt @ X @ (realu_ofu_num @ N))).
thf(aREALu_LTu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_lt @ (realu_div @ X @ Z) @ Y) <=> (realu_lt @ X @ (realu_mul @ Y @ Z))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ![Y:real]:?[N:num]:(realu_lt @ Y @ (realu_mul @ (realu_ofu_num @ N) @ X)))).
