%   ORIGINAL: REAL_SGN_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_sgn: !x. real_sgn x = (if &0 < x then &1 else if x < &0 then -- &1 else &0)
% Goal: !x. real_sgn x = &0 \/ real_sgn x = &1 \/ real_sgn x = -- &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: T
% Assm: !x. real_sgn x = (if &0 < x then &1 else if x < &0 then -- &1 else &0)
% Goal: !x. real_sgn x = &0 \/ real_sgn x = &1 \/ real_sgn x = -- &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_sgn, type, realu_sgn : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_sgn, axiom, ![X:real]:((realu_sgn @ X) = (cond @ (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (cond @ (realu_lt @ X @ (realu_ofu_num @ (numeral @ u_0))) @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(conjecture, conjecture, ![X:real]:(((realu_sgn @ X) = (realu_ofu_num @ (numeral @ u_0))) | ((realu_sgn @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) | ((realu_sgn @ X) = (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
