%   ORIGINAL: dest_int_rep
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: int_abstr: int_of_real (real_of_int a) = a
% Assm: int_rep: integer r <=> real_of_int (int_of_real r) = r
% Assm: is_int: integer x <=> (?n. x = &n \/ x = -- &n)
% Goal: !i. ?n. real_of_int i = &n \/ real_of_int i = -- &n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !a. int_of_real (real_of_int a) = a
% Assm: !r. integer r <=> real_of_int (int_of_real r) = r
% Assm: !x. integer x <=> (?n. x = &n \/ x = -- &n)
% Goal: !i. ?n. real_of_int i = &n \/ real_of_int i = -- &n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_ofuu_real, type, intu_ofu_real : (real > int)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cinteger, type, integer : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aintu_abstr, axiom, ![A:int]:((intu_ofu_real @ (realu_ofu_int @ A)) = A)).
thf(aintu_rep, axiom, ![R:real]:((integer @ R) <=> ((realu_ofu_int @ (intu_ofu_real @ R)) = R))).
thf(aisu_int, axiom, ![X:real]:((integer @ X) <=> ?[N:num]:((X = (realu_ofu_num @ N)) | (X = (realu_neg @ (realu_ofu_num @ N)))))).
thf(conjecture, conjecture, ![I:int]:?[N:num]:(((realu_ofu_int @ I) = (realu_ofu_num @ N)) | ((realu_ofu_int @ I) = (realu_neg @ (realu_ofu_num @ N))))).
