%   ORIGINAL: int_mul_th
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EQ_NEG2: !x y. --x = --y <=> x = y
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: TRUTH: T
% Assm: dest_int_rep: !i. ?n. real_of_int i = &n \/ real_of_int i = -- &n
% Assm: int_mul: !x y. x * y = int_of_real (real_of_int x * real_of_int y)
% Assm: int_rep: integer r <=> real_of_int (int_of_real r) = r
% Assm: is_int: integer x <=> (?n. x = &n \/ x = -- &n)
% Goal: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. --x = --y <=> x = y
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x. -- --x = x
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m * &n = &(m * n)
% Assm: T
% Assm: !i. ?n. real_of_int i = &n \/ real_of_int i = -- &n
% Assm: !x y. x * y = int_of_real (real_of_int x * real_of_int y)
% Assm: !r. integer r <=> real_of_int (int_of_real r) = r
% Assm: !x. integer x <=> (?n. x = &n \/ x = -- &n)
% Goal: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_ofuu_real, type, intu_ofu_real : (real > int)).
thf(ctu_, type, t_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cinteger, type, integer : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EQu_NEG2, axiom, ![X:real,Y:real]:(((realu_neg @ X) = (realu_neg @ Y)) <=> (X = Y))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aTRUTH, axiom, $true).
thf(adestu_intu_rep, axiom, ![I:int]:?[N:num]:(((realu_ofu_int @ I) = (realu_ofu_num @ N)) | ((realu_ofu_int @ I) = (realu_neg @ (realu_ofu_num @ N))))).
thf(aintu_mul, axiom, ![X:int,Y:int]:((intu_mul @ X @ Y) = (intu_ofu_real @ (realu_mul @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y))))).
thf(aintu_rep, axiom, ![R:real]:((integer @ R) <=> ((realu_ofu_int @ (intu_ofu_real @ R)) = R))).
thf(aisu_int, axiom, ![X:real]:((integer @ X) <=> ?[N:num]:((X = (realu_ofu_num @ N)) | (X = (realu_neg @ (realu_ofu_num @ N)))))).
thf(conjecture, conjecture, ![X:int,Y:int]:((realu_ofu_int @ (intu_mul @ X @ Y)) = (realu_mul @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
