%   ORIGINAL: int_sgn_th
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: int_rep: integer r <=> real_of_int (int_of_real r) = r
% Assm: int_sgn: !x. int_sgn x = int_of_real (real_sgn (real_of_int x))
% Assm: is_int: integer x <=> (?n. x = &n \/ x = -- &n)
% Assm: real_sgn: !x. real_sgn x = (if &0 < x then &1 else if x < &0 then -- &1 else &0)
% Goal: !x. real_of_int (int_sgn x) = real_sgn (real_of_int x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !r. integer r <=> real_of_int (int_of_real r) = r
% Assm: !x. int_sgn x = int_of_real (real_sgn (real_of_int x))
% Assm: !x. integer x <=> (?n. x = &n \/ x = -- &n)
% Assm: !x. real_sgn x = (if &0 < x then &1 else if x < &0 then -- &1 else &0)
% Goal: !x. real_of_int (int_sgn x) = real_sgn (real_of_int x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_ofuu_real, type, intu_ofu_real : (real > int)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cintuu_sgn, type, intu_sgn : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cinteger, type, integer : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_sgn, type, realu_sgn : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aintu_rep, axiom, ![R:real]:((integer @ R) <=> ((realu_ofu_int @ (intu_ofu_real @ R)) = R))).
thf(aintu_sgn, axiom, ![X:int]:((intu_sgn @ X) = (intu_ofu_real @ (realu_sgn @ (realu_ofu_int @ X))))).
thf(aisu_int, axiom, ![X:real]:((integer @ X) <=> ?[N:num]:((X = (realu_ofu_num @ N)) | (X = (realu_neg @ (realu_ofu_num @ N)))))).
thf(arealu_sgn, axiom, ![X:real]:((realu_sgn @ X) = (cond0 @ (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (cond0 @ (realu_lt @ X @ (realu_ofu_num @ (numeral @ u_0))) @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(conjecture, conjecture, ![X:int]:((realu_ofu_int @ (intu_sgn @ X)) = (realu_sgn @ (realu_ofu_int @ X)))).
