%   ORIGINAL: int_pow_th
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.pow_conjunct0: x pow 0 = &1
% Assm: Float.pow_conjunct1: !n. x pow SUC n = x * x pow n
% Assm: TRUTH: T
% Assm: int_mul: !x y. x * y = int_of_real (real_of_int x * real_of_int y)
% Assm: int_mul_th: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Assm: int_of_num: !n. &n = int_of_real (&n)
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_pow: !x n. x pow n = int_of_real (real_of_int x pow n)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !x n. real_of_int (x pow n) = real_of_int x pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: T
% Assm: !x y. x * y = int_of_real (real_of_int x * real_of_int y)
% Assm: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Assm: !n. &n = int_of_real (&n)
% Assm: !n. real_of_int (&n) = &n
% Assm: !x n. x pow n = int_of_real (real_of_int x pow n)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !x n. real_of_int (x pow n) = real_of_int x pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_ofuu_real, type, intu_ofu_real : (real > int)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cintuu_pow, type, intu_pow : (int > num > int)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_powu_conjunct0, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aFloato_powu_conjunct1, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aTRUTH, axiom, $true).
thf(aintu_mul, axiom, ![X:int,Y:int]:((intu_mul @ X @ Y) = (intu_ofu_real @ (realu_mul @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y))))).
thf(aintu_mulu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_mul @ X @ Y)) = (realu_mul @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_num, axiom, ![N:num]:((intu_ofu_num @ N) = (intu_ofu_real @ (realu_ofu_num @ N)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_pow, axiom, ![X:int,N:num]:((intu_pow @ X @ N) = (intu_ofu_real @ (realu_pow @ (realu_ofu_int @ X) @ N)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![X:int,N:num]:((realu_ofu_int @ (intu_pow @ X @ N)) = (realu_pow @ (realu_ofu_int @ X) @ N))).
