%   ORIGINAL: INT_LT_DISCRETE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD1: !m. SUC m = m + 1
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: INT_IMAGE: !x. (?n. x = &n) \/ (?n. x = -- &n)
% Assm: LE_SUC_LT: !m n. SUC m <= n <=> m < n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: ONE: 1 = SUC 0
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LE_SUB_RADD: !x y z. x - y <= z <=> x <= z + y
% Assm: REAL_LT_LNEG: !x y. --x < y <=> &0 < x + y
% Assm: REAL_LT_NEG2: !x y. --x < --y <=> y < x
% Assm: REAL_LT_RNEG: !x y. x < --y <=> x + y < &0
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: TRUTH: T
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_lt: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: real_sub: !x y. x - y = x + --y
% Goal: !x y. x < y <=> x + &1 <= y
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m. SUC m = m + 1
% Assm: !n m. m + n = n + m
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !x. (?n. x = &n) \/ (?n. x = -- &n)
% Assm: !m n. SUC m <= n <=> m < n
% Assm: !m n. &m + &n = &(m + n)
% Assm: 1 = SUC 0
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: !x y z. x - y <= z <=> x <= z + y
% Assm: !x y. --x < y <=> &0 < x + y
% Assm: !x y. --x < --y <=> y < x
% Assm: !x y. x < --y <=> x + y < &0
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: !x y. x + y = y + x
% Assm: T
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: !x. real_of_int (--x) = --real_of_int x
% Assm: !n. real_of_int (&n) = &n
% Assm: !x y. x - y = x + --y
% Goal: !x y. x < y <=> x + &1 <= y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aINTu_IMAGE, axiom, ![X:int]:(?[N:num]:(X = (intu_ofu_num @ N)) | ?[N:num]:(X = (intu_neg @ (intu_ofu_num @ N))))).
thf(aLEu_SUCu_LT, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ N) <=> (l_ @ M @ N))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LEu_SUBu_RADD, axiom, ![X:real,Y:real,Z:real]:((realu_le @ (realu_sub @ X @ Y) @ Z) <=> (realu_le @ X @ (realu_add @ Z @ Y)))).
thf(aREALu_LTu_LNEG, axiom, ![X:real,Y:real]:((realu_lt @ (realu_neg @ X) @ Y) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LTu_NEG2, axiom, ![X:real,Y:real]:((realu_lt @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_LTu_RNEG, axiom, ![X:real,Y:real]:((realu_lt @ X @ (realu_neg @ Y)) <=> (realu_lt @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_lt, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (realu_lt @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(arealu_sub, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_neg @ Y)))).
thf(conjecture, conjecture, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
