%   ORIGINAL: INT_GT_DISCRETE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: TRUTH: T
% Assm: int_ge: !x y. x >= y <=> real_of_int x >= real_of_int y
% Assm: int_gt: !x y. x > y <=> real_of_int x > real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_lt: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Goal: !x y. x > y <=> x >= y + &1
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: T
% Assm: !x y. x >= y <=> real_of_int x >= real_of_int y
% Assm: !x y. x > y <=> real_of_int x > real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Goal: !x y. x > y <=> x >= y + &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_ge, type, intu_ge : (int > int > $o)).
thf(cintuu_gt, type, intu_gt : (int > int > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aTRUTH, axiom, $true).
thf(aintu_ge, axiom, ![X:int,Y:int]:((intu_ge @ X @ Y) <=> (realu_ge @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_gt, axiom, ![X:int,Y:int]:((intu_gt @ X @ Y) <=> (realu_gt @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_lt, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (realu_lt @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(conjecture, conjecture, ![X:int,Y:int]:((intu_gt @ X @ Y) <=> (intu_ge @ X @ (intu_add @ Y @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
