%   ORIGINAL: INT_ABS_BETWEEN2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_BETWEEN2: !x0 x y0 y. x0 < y0 /\ &2 * abs (x - x0) < y0 - x0 /\ &2 * abs (y - y0) < y0 - x0 ==> x < y
% Assm: TRUTH: T
% Assm: int_abs_th: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: int_lt: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: int_mul_th: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_sub_th: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Goal: !x0 x y0 y. x0 < y0 /\ &2 * abs (x - x0) < y0 - x0 /\ &2 * abs (y - y0) < y0 - x0 ==> x < y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x0 x y0 y. x0 < y0 /\ &2 * abs (x - x0) < y0 - x0 /\ &2 * abs (y - y0) < y0 - x0 ==> x < y
% Assm: T
% Assm: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Goal: !x0 x y0 y. x0 < y0 /\ &2 * abs (x - x0) < y0 - x0 /\ &2 * abs (y - y0) < y0 - x0 ==> x < y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_abs, type, intu_abs : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_BETWEEN2, axiom, ![X0:real,X:real,Y0:real,Y:real]:(((realu_lt @ X0 @ Y0) & (realu_lt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_abs @ (realu_sub @ X @ X0))) @ (realu_sub @ Y0 @ X0)) & (realu_lt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_abs @ (realu_sub @ Y @ Y0))) @ (realu_sub @ Y0 @ X0))) => (realu_lt @ X @ Y))).
thf(aTRUTH, axiom, $true).
thf(aintu_absu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_abs @ X)) = (realu_abs @ (realu_ofu_int @ X)))).
thf(aintu_lt, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (realu_lt @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_mulu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_mul @ X @ Y)) = (realu_mul @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_subu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_sub @ X @ Y)) = (realu_sub @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![X0:int,X:int,Y0:int,Y:int]:(((intu_lt @ X0 @ Y0) & (intu_lt @ (intu_mul @ (intu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (intu_abs @ (intu_sub @ X @ X0))) @ (intu_sub @ Y0 @ X0)) & (intu_lt @ (intu_mul @ (intu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (intu_abs @ (intu_sub @ Y @ Y0))) @ (intu_sub @ Y0 @ X0))) => (intu_lt @ X @ Y))).
