%   ORIGINAL: INT_ABS_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_BOUND: !x y d. abs (x - y) < d ==> y < x + d
% Assm: TRUTH: T
% Assm: int_abs_th: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_lt: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: int_sub_th: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Goal: !x y d. abs (x - y) < d ==> y < x + d
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y d. abs (x - y) < d ==> y < x + d
% Assm: T
% Assm: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Goal: !x y d. abs (x - y) < d ==> y < x + d
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cintuu_abs, type, intu_abs : (int > int)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_BOUND, axiom, ![X:real,Y:real,D:real]:((realu_lt @ (realu_abs @ (realu_sub @ X @ Y)) @ D) => (realu_lt @ Y @ (realu_add @ X @ D)))).
thf(aTRUTH, axiom, $true).
thf(aintu_absu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_abs @ X)) = (realu_abs @ (realu_ofu_int @ X)))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_lt, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (realu_lt @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_subu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_sub @ X @ Y)) = (realu_sub @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![X:int,Y:int,D:int]:((intu_lt @ (intu_abs @ (intu_sub @ X @ Y)) @ D) => (intu_lt @ Y @ (intu_add @ X @ D)))).
