%   ORIGINAL: INT_ABS_REFL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_REFL: !x. abs x = x <=> &0 <= x
% Assm: int_abs_th: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Goal: !x. abs x = x <=> &0 <= x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !x. abs x = x <=> &0 <= x
% Assm: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Goal: !x. abs x = x <=> &0 <= x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_abs, type, intu_abs : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_REFL, axiom, ![X:real]:(((realu_abs @ X) = X) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aintu_absu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_abs @ X)) = (realu_abs @ (realu_ofu_int @ X)))).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(conjecture, conjecture, ![X:int]:(((intu_abs @ X) = X) <=> (intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ X))).
