%   ORIGINAL: INT_ABS_SIGN2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_SIGN2: !x y. abs (x - y) < --y ==> x < &0
% Assm: TRUTH: T
% Assm: int_abs_th: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: int_lt: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_sub_th: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Goal: !x y. abs (x - y) < --y ==> x < &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. abs (x - y) < --y ==> x < &0
% Assm: T
% Assm: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: !x. real_of_int (--x) = --real_of_int x
% Assm: !n. real_of_int (&n) = &n
% Assm: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Goal: !x y. abs (x - y) < --y ==> x < &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cintuu_abs, type, intu_abs : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_SIGN2, axiom, ![X:real,Y:real]:((realu_lt @ (realu_abs @ (realu_sub @ X @ Y)) @ (realu_neg @ Y)) => (realu_lt @ X @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aintu_absu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_abs @ X)) = (realu_abs @ (realu_ofu_int @ X)))).
thf(aintu_lt, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (realu_lt @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_subu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_sub @ X @ Y)) = (realu_sub @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![X:int,Y:int]:((intu_lt @ (intu_abs @ (intu_sub @ X @ Y)) @ (intu_neg @ Y)) => (intu_lt @ X @ (intu_ofu_num @ (numeral @ u_0))))).
