%   ORIGINAL: INT_BOUNDS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_BOUNDS_LE: !x k. --k <= x /\ x <= k <=> abs x <= k
% Assm: TRUTH: T
% Assm: int_abs_th: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Goal: !x k. --k <= x /\ x <= k <=> abs x <= k
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x k. --k <= x /\ x <= k <=> abs x <= k
% Assm: T
% Assm: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !x. real_of_int (--x) = --real_of_int x
% Goal: !x k. --k <= x /\ x <= k <=> abs x <= k
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_abs, type, intu_abs : (int > int)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_BOUNDSu_LE, axiom, ![X:real,K:real]:(((realu_le @ (realu_neg @ K) @ X) & (realu_le @ X @ K)) <=> (realu_le @ (realu_abs @ X) @ K))).
thf(aTRUTH, axiom, $true).
thf(aintu_absu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_abs @ X)) = (realu_abs @ (realu_ofu_int @ X)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(conjecture, conjecture, ![X:int,K:int]:(((intu_le @ (intu_neg @ K) @ X) & (intu_le @ X @ K)) <=> (intu_le @ (intu_abs @ X) @ K))).
