%   ORIGINAL: INT_LE_LADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LADD: !x y z. x + y <= x + z <=> y <= z
% Assm: TRUTH: T
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Goal: !x y z. x + y <= x + z <=> y <= z
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. x + y <= x + z <=> y <= z
% Assm: T
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Goal: !x y z. x + y <= x + z <=> y <= z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LADD, axiom, ![X:real,Y:real,Z:real]:((realu_le @ (realu_add @ X @ Y) @ (realu_add @ X @ Z)) <=> (realu_le @ Y @ Z))).
thf(aTRUTH, axiom, $true).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![X:int,Y:int,Z:int]:((intu_le @ (intu_add @ X @ Y) @ (intu_add @ X @ Z)) <=> (intu_le @ Y @ Z))).
