%   ORIGINAL: INT_LE_MIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_MIN: !x y z. z <= min x y <=> z <= x /\ z <= y
% Assm: TRUTH: T
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_min_th: !x y. real_of_int (min x y) = min (real_of_int x) (real_of_int y)
% Goal: !x y z. z <= min x y <=> z <= x /\ z <= y
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. z <= min x y <=> z <= x /\ z <= y
% Assm: T
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !x y. real_of_int (min x y) = min (real_of_int x) (real_of_int y)
% Goal: !x y z. z <= min x y <=> z <= x /\ z <= y
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cintuu_min, type, intu_min : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_le @ Z @ (realu_min @ X @ Y)) <=> ((realu_le @ Z @ X) & (realu_le @ Z @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_minu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_min @ X @ Y)) = (realu_min @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![X:int,Y:int,Z:int]:((intu_le @ Z @ (intu_min @ X @ Y)) <=> ((intu_le @ Z @ X) & (intu_le @ Z @ Y)))).
