%   ORIGINAL: REAL_LE_MUL_EQ_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LMUL_EQ: !x y z. &0 < z ==> (z * x <= z * y <=> x <= y)
% Assm: REAL_LE_RMUL_EQ: !x y z. &0 < z ==> (x * z <= y * z <=> x <= y)
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: TRUTH: T
% Goal: !x y. &0 < y ==> (&0 <= x * y <=> &0 <= x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y z. &0 < z ==> (z * x <= z * y <=> x <= y)
% Assm: !x y z. &0 < z ==> (x * z <= y * z <=> x <= y)
% Assm: !x. &0 * x = &0
% Assm: !x. x * &0 = &0
% Assm: T
% Goal: !x y. &0 < y ==> (&0 <= x * y <=> &0 <= x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LMULu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_mul @ Z @ X) @ (realu_mul @ Z @ Y)) <=> (realu_le @ X @ Y)))).
thf(aREALu_LEu_RMULu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)) <=> (realu_le @ X @ Y)))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X)))).
