%   ORIGINAL: INT_LE_MUL_EQ_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_MUL_EQ_conjunct0: !x y. &0 < x ==> (&0 <= x * y <=> &0 <= y)
% Assm: TRUTH: T
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_lt: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: int_mul_th: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Goal: !x y. &0 < x ==> (&0 <= x * y <=> &0 <= y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. &0 < x ==> (&0 <= x * y <=> &0 <= y)
% Assm: T
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Goal: !x y. &0 < x ==> (&0 <= x * y <=> &0 <= y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_MULu_EQu_conjunct0, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_lt, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (realu_lt @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_mulu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_mul @ X @ Y)) = (realu_mul @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(conjecture, conjecture, ![X:int,Y:int]:((intu_lt @ (intu_ofu_num @ (numeral @ u_0)) @ X) => ((intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_mul @ X @ Y)) <=> (intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ Y)))).
