%   ORIGINAL: INT_LE_TRANS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Goal: !x y z. x <= y /\ y <= z ==> x <= z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Goal: !x y z. x <= y /\ y <= z ==> x <= z
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![X:int,Y:int,Z:int]:(((intu_le @ X @ Y) & (intu_le @ Y @ Z)) => (intu_le @ X @ Z))).
