%   ORIGINAL: INT_LNEG_UNIQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LNEG_UNIQ: !x y. x + y = &0 <=> x = --y
% Assm: TRUTH: T
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Goal: !x y. x + y = &0 <=> x = --y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x + y = &0 <=> x = --y
% Assm: T
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x. real_of_int (--x) = --real_of_int x
% Assm: !n. real_of_int (&n) = &n
% Goal: !x y. x + y = &0 <=> x = --y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LNEGu_UNIQ, axiom, ![X:real,Y:real]:(((realu_add @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (realu_neg @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(conjecture, conjecture, ![X:int,Y:int]:(((intu_add @ X @ Y) = (intu_ofu_num @ (numeral @ u_0))) <=> (X = (intu_neg @ Y)))).
