%   ORIGINAL: INT_MAX_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MAX_LT: !x y z. max x y < z <=> x < z /\ y < z
% Assm: TRUTH: T
% Assm: int_lt: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: int_max_th: !x y. real_of_int (max x y) = max (real_of_int x) (real_of_int y)
% Goal: !x y z. max x y < z <=> x < z /\ y < z
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. max x y < z <=> x < z /\ y < z
% Assm: T
% Assm: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: !x y. real_of_int (max x y) = max (real_of_int x) (real_of_int y)
% Goal: !x y z. max x y < z <=> x < z /\ y < z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cintuu_max, type, intu_max : (int > int > int)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MAXu_LT, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_max @ X @ Y) @ Z) <=> ((realu_lt @ X @ Z) & (realu_lt @ Y @ Z)))).
thf(aTRUTH, axiom, $true).
thf(aintu_lt, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (realu_lt @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_maxu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_max @ X @ Y)) = (realu_max @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![X:int,Y:int,Z:int]:((intu_lt @ (intu_max @ X @ Y) @ Z) <=> ((intu_lt @ X @ Z) & (intu_lt @ Y @ Z)))).
