%   ORIGINAL: INT_MAX_MAX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MAX_MAX: !x y. x <= max x y /\ y <= max x y
% Assm: TRUTH: T
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_max_th: !x y. real_of_int (max x y) = max (real_of_int x) (real_of_int y)
% Goal: !x y. x <= max x y /\ y <= max x y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x <= max x y /\ y <= max x y
% Assm: T
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !x y. real_of_int (max x y) = max (real_of_int x) (real_of_int y)
% Goal: !x y. x <= max x y /\ y <= max x y
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cintuu_max, type, intu_max : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MAXu_MAX, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_max @ X @ Y)) & (realu_le @ Y @ (realu_max @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_maxu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_max @ X @ Y)) = (realu_max @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![X:int,Y:int]:((intu_le @ X @ (intu_max @ X @ Y)) & (intu_le @ Y @ (intu_max @ X @ Y)))).
