%   ORIGINAL: INT_MAX_MIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MAX_MIN: !x y. max x y = --min (--x) (--y)
% Assm: TRUTH: T
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_max_th: !x y. real_of_int (max x y) = max (real_of_int x) (real_of_int y)
% Assm: int_min_th: !x y. real_of_int (min x y) = min (real_of_int x) (real_of_int y)
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Goal: !x y. max x y = --min (--x) (--y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. max x y = --min (--x) (--y)
% Assm: T
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x y. real_of_int (max x y) = max (real_of_int x) (real_of_int y)
% Assm: !x y. real_of_int (min x y) = min (real_of_int x) (real_of_int y)
% Assm: !x. real_of_int (--x) = --real_of_int x
% Goal: !x y. max x y = --min (--x) (--y)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(cintuu_min, type, intu_min : (int > int > int)).
thf(cintuu_max, type, intu_max : (int > int > int)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MAXu_MIN, axiom, ![X:real,Y:real]:((realu_max @ X @ Y) = (realu_neg @ (realu_min @ (realu_neg @ X) @ (realu_neg @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_maxu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_max @ X @ Y)) = (realu_max @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_minu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_min @ X @ Y)) = (realu_min @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(conjecture, conjecture, ![X:int,Y:int]:((intu_max @ X @ Y) = (intu_neg @ (intu_min @ (intu_neg @ X) @ (intu_neg @ Y))))).
