%   ORIGINAL: INT_NEG_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NEG_EQ: !x y. --x = y <=> x = --y
% Assm: TRUTH: T
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Goal: !x y. --x = y <=> x = --y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. --x = y <=> x = --y
% Assm: T
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x. real_of_int (--x) = --real_of_int x
% Goal: !x y. --x = y <=> x = --y
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NEGu_EQ, axiom, ![X:real,Y:real]:(((realu_neg @ X) = Y) <=> (X = (realu_neg @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(conjecture, conjecture, ![X:int,Y:int]:(((intu_neg @ X) = Y) <=> (X = (intu_neg @ Y)))).
