%   ORIGINAL: INT_OF_NUM_GT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OF_NUM_GT: !m n. &m > &n <=> m > n
% Assm: TRUTH: T
% Assm: int_gt: !x y. x > y <=> real_of_int x > real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Goal: !m n. &m > &n <=> m > n
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. &m > &n <=> m > n
% Assm: T
% Assm: !x y. x > y <=> real_of_int x > real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Goal: !m n. &m > &n <=> m > n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cgu_, type, g_ : (num > num > $o)).
thf(cintuu_gt, type, intu_gt : (int > int > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OFu_NUMu_GT, axiom, ![M:num,N:num]:((realu_gt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (g_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(aintu_gt, axiom, ![X:int,Y:int]:((intu_gt @ X @ Y) <=> (realu_gt @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(conjecture, conjecture, ![M:num,N:num]:((intu_gt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (g_ @ M @ N))).
