%   ORIGINAL: INT_OF_NUM_MAX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OF_NUM_MAX: !m n. max (&m) (&n) = &(MAX m n)
% Assm: TRUTH: T
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_max_th: !x y. real_of_int (max x y) = max (real_of_int x) (real_of_int y)
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Goal: !m n. max (&m) (&n) = &(MAX m n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. max (&m) (&n) = &(MAX m n)
% Assm: T
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x y. real_of_int (max x y) = max (real_of_int x) (real_of_int y)
% Assm: !n. real_of_int (&n) = &n
% Goal: !m n. max (&m) (&n) = &(MAX m n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(cmax, type, max : (num > num > num)).
thf(cintuu_max, type, intu_max : (int > int > int)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OFu_NUMu_MAX, axiom, ![M:num,N:num]:((realu_max @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (max @ M @ N)))).
thf(aTRUTH, axiom, $true).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_maxu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_max @ X @ Y)) = (realu_max @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(conjecture, conjecture, ![M:num,N:num]:((intu_max @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (max @ M @ N)))).
