%   ORIGINAL: INT_POW2_ABS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POW2_ABS: !x. abs x pow 2 = x pow 2
% Assm: TRUTH: T
% Assm: int_abs_th: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_pow_th: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !x. abs x pow 2 = x pow 2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. abs x pow 2 = x pow 2
% Assm: T
% Assm: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !x. abs x pow 2 = x pow 2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cintuu_pow, type, intu_pow : (int > num > int)).
thf(cintuu_abs, type, intu_abs : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POW2u_ABS, axiom, ![X:real]:((realu_pow @ (realu_abs @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aintu_absu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_abs @ X)) = (realu_abs @ (realu_ofu_int @ X)))).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_powu_th, axiom, ![X:int,N:num]:((realu_ofu_int @ (intu_pow @ X @ N)) = (realu_pow @ (realu_ofu_int @ X) @ N))).
thf(conjecture, conjecture, ![X:int]:((intu_pow @ (intu_abs @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (intu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
