%   ORIGINAL: INT_POW_LE2_ODD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POW_LE2_ODD: !n x y. x <= y /\ ODD n ==> x pow n <= y pow n
% Assm: TRUTH: T
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_pow_th: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !n x y. x <= y /\ ODD n ==> x pow n <= y pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n x y. x <= y /\ ODD n ==> x pow n <= y pow n
% Assm: T
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !n x y. x <= y /\ ODD n ==> x pow n <= y pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cintuu_pow, type, intu_pow : (int > num > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(codd, type, odd : (num > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POWu_LE2u_ODD, axiom, ![N:num,X:real,Y:real]:(((realu_le @ X @ Y) & (odd @ N)) => (realu_le @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aTRUTH, axiom, $true).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_powu_th, axiom, ![X:int,N:num]:((realu_ofu_int @ (intu_pow @ X @ N)) = (realu_pow @ (realu_ofu_int @ X) @ N))).
thf(conjecture, conjecture, ![N:num,X:int,Y:int]:(((intu_le @ X @ Y) & (odd @ N)) => (intu_le @ (intu_pow @ X @ N) @ (intu_pow @ Y @ N)))).
