%   ORIGINAL: INT_POW_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POW_LT: !x n. &0 < x ==> &0 < x pow n
% Assm: TRUTH: T
% Assm: int_lt: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_pow_th: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !x n. &0 < x ==> &0 < x pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x n. &0 < x ==> &0 < x pow n
% Assm: T
% Assm: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !x n. &0 < x ==> &0 < x pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cintuu_pow, type, intu_pow : (int > num > int)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POWu_LT, axiom, ![X:real,N:num]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aTRUTH, axiom, $true).
thf(aintu_lt, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (realu_lt @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_powu_th, axiom, ![X:int,N:num]:((realu_ofu_int @ (intu_pow @ X @ N)) = (realu_pow @ (realu_ofu_int @ X) @ N))).
thf(conjecture, conjecture, ![X:int,N:num]:((intu_lt @ (intu_ofu_num @ (numeral @ u_0)) @ X) => (intu_lt @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_pow @ X @ N)))).
