%   ORIGINAL: INT_POW_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: REAL_POW_NEG: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
% Assm: TRUTH: T
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Assm: int_pow_th: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
% Assm: T
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x. real_of_int (--x) = --real_of_int x
% Assm: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cintuu_pow, type, intu_pow : (int > num > int)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > int > int > int)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(ceven, type, even : (num > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:int,T2:int]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:int,C:$o,P:(int > $o),Y:int]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aREALu_POWu_NEG, axiom, ![X:real,N:num]:((realu_pow @ (realu_neg @ X) @ N) = (cond0 @ (even @ N) @ (realu_pow @ X @ N) @ (realu_neg @ (realu_pow @ X @ N))))).
thf(aTRUTH, axiom, $true).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(aintu_powu_th, axiom, ![X:int,N:num]:((realu_ofu_int @ (intu_pow @ X @ N)) = (realu_pow @ (realu_ofu_int @ X) @ N))).
thf(conjecture, conjecture, ![X:int,N:num]:((intu_pow @ (intu_neg @ X) @ N) = (cond @ (even @ N) @ (intu_pow @ X @ N) @ (intu_neg @ (intu_pow @ X @ N))))).
