%   ORIGINAL: INT_SGN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: TRUTH: T
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_lt: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_sgn_th: !x. real_of_int (int_sgn x) = real_sgn (real_of_int x)
% Assm: real_sgn: !x. real_sgn x = (if &0 < x then &1 else if x < &0 then -- &1 else &0)
% Goal: !x. int_sgn x = (if &0 < x then &1 else if x < &0 then -- &1 else &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: T
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x y. x < y <=> real_of_int x < real_of_int y
% Assm: !x. real_of_int (--x) = --real_of_int x
% Assm: !n. real_of_int (&n) = &n
% Assm: !x. real_of_int (int_sgn x) = real_sgn (real_of_int x)
% Assm: !x. real_sgn x = (if &0 < x then &1 else if x < &0 then -- &1 else &0)
% Goal: !x. int_sgn x = (if &0 < x then &1 else if x < &0 then -- &1 else &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(ccond, type, cond : ($o > int > int > int)).
thf(cintuu_sgn, type, intu_sgn : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_sgn, type, realu_sgn : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:int,T2:int]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:int,C:$o,P:(int > $o),Y:int]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_lt, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (realu_lt @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_sgnu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_sgn @ X)) = (realu_sgn @ (realu_ofu_int @ X)))).
thf(arealu_sgn, axiom, ![X:real]:((realu_sgn @ X) = (cond0 @ (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (cond0 @ (realu_lt @ X @ (realu_ofu_num @ (numeral @ u_0))) @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(conjecture, conjecture, ![X:int]:((intu_sgn @ X) = (cond @ (intu_lt @ (intu_ofu_num @ (numeral @ u_0)) @ X) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (cond @ (intu_lt @ X @ (intu_ofu_num @ (numeral @ u_0))) @ (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (intu_ofu_num @ (numeral @ u_0)))))).
