%   ORIGINAL: INT_SGN_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SGN_CASES: !x. real_sgn x = &0 \/ real_sgn x = &1 \/ real_sgn x = -- &1
% Assm: TRUTH: T
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_sgn_th: !x. real_of_int (int_sgn x) = real_sgn (real_of_int x)
% Goal: !x. int_sgn x = &0 \/ int_sgn x = &1 \/ int_sgn x = -- &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. real_sgn x = &0 \/ real_sgn x = &1 \/ real_sgn x = -- &1
% Assm: T
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x. real_of_int (--x) = --real_of_int x
% Assm: !n. real_of_int (&n) = &n
% Assm: !x. real_of_int (int_sgn x) = real_sgn (real_of_int x)
% Goal: !x. int_sgn x = &0 \/ int_sgn x = &1 \/ int_sgn x = -- &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cintuu_sgn, type, intu_sgn : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_sgn, type, realu_sgn : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SGNu_CASES, axiom, ![X:real]:(((realu_sgn @ X) = (realu_ofu_num @ (numeral @ u_0))) | ((realu_sgn @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) | ((realu_sgn @ X) = (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_sgnu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_sgn @ X)) = (realu_sgn @ (realu_ofu_int @ X)))).
thf(conjecture, conjecture, ![X:int]:(((intu_sgn @ X) = (intu_ofu_num @ (numeral @ u_0))) | ((intu_sgn @ X) = (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) | ((intu_sgn @ X) = (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
