%   ORIGINAL: INT_SGN_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INT_SGN_EQ_conjunct0: !x. int_sgn x = &0 <=> x = &0
% Assm: REAL_SGN_EQ: (!x. real_sgn x = &0 <=> x = &0) /\ (!x. real_sgn x = &1 <=> x > &0) /\ (!x. real_sgn x = -- &1 <=> x < &0)
% Assm: TRUTH: T
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Goal: (!x. int_sgn x = &0 <=> x = &0) /\ (!x. real_sgn x = real_of_int (&1) <=> x > real_of_int (&0)) /\ (!x. real_sgn x = real_of_int (-- &1) <=> x < real_of_int (&0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. int_sgn x = &0 <=> x = &0
% Assm: (!x. real_sgn x = &0 <=> x = &0) /\ (!x. real_sgn x = &1 <=> x > &0) /\ (!x. real_sgn x = -- &1 <=> x < &0)
% Assm: T
% Assm: !x. real_of_int (--x) = --real_of_int x
% Assm: !n. real_of_int (&n) = &n
% Goal: (!x. int_sgn x = &0 <=> x = &0) /\ (!x. real_sgn x = real_of_int (&1) <=> x > real_of_int (&0)) /\ (!x. real_sgn x = real_of_int (-- &1) <=> x < real_of_int (&0))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cintuu_sgn, type, intu_sgn : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_sgn, type, realu_sgn : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTu_SGNu_EQu_conjunct0, axiom, ![X:int]:(((intu_sgn @ X) = (intu_ofu_num @ (numeral @ u_0))) <=> (X = (intu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_SGNu_EQ, axiom, (![X:real]:(((realu_sgn @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (realu_ofu_num @ (numeral @ u_0)))) & ![X:real]:(((realu_sgn @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) <=> (realu_gt @ X @ (realu_ofu_num @ (numeral @ u_0)))) & ![X:real]:(((realu_sgn @ X) = (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) <=> (realu_lt @ X @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(conjecture, conjecture, (![X:int]:(((intu_sgn @ X) = (intu_ofu_num @ (numeral @ u_0))) <=> (X = (intu_ofu_num @ (numeral @ u_0)))) & ![X:real]:(((realu_sgn @ X) = (realu_ofu_int @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) <=> (realu_gt @ X @ (realu_ofu_int @ (intu_ofu_num @ (numeral @ u_0))))) & ![X:real]:(((realu_sgn @ X) = (realu_ofu_int @ (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))))) <=> (realu_lt @ X @ (realu_ofu_int @ (intu_ofu_num @ (numeral @ u_0))))))).
