%   ORIGINAL: INT_SOS_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SOS_EQ_0: !x y. x pow 2 + y pow 2 = &0 <=> x = &0 /\ y = &0
% Assm: TRUTH: T
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_pow_th: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !x y. x pow 2 + y pow 2 = &0 <=> x = &0 /\ y = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x pow 2 + y pow 2 = &0 <=> x = &0 /\ y = &0
% Assm: T
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !x y. x pow 2 + y pow 2 = &0 <=> x = &0 /\ y = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cintuu_pow, type, intu_pow : (int > num > int)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SOSu_EQu_0, axiom, ![X:real,Y:real]:(((realu_add @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) & (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_powu_th, axiom, ![X:int,N:num]:((realu_ofu_int @ (intu_pow @ X @ N)) = (realu_pow @ (realu_ofu_int @ X) @ N))).
thf(conjecture, conjecture, ![X:int,Y:int]:(((intu_add @ (intu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (intu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (intu_ofu_num @ (numeral @ u_0))) <=> ((X = (intu_ofu_num @ (numeral @ u_0))) & (Y = (intu_ofu_num @ (numeral @ u_0)))))).
