%   ORIGINAL: INT_SUB_RDISTRIB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUB_RDISTRIB: !x y z. (x - y) * z = x * z - y * z
% Assm: TRUTH: T
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_mul_th: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Assm: int_sub_th: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Goal: !x y z. (x - y) * z = x * z - y * z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. (x - y) * z = x * z - y * z
% Assm: T
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Assm: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Goal: !x y z. (x - y) * z = x * z - y * z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUBu_RDISTRIB, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ (realu_sub @ X @ Y) @ Z) = (realu_sub @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aTRUTH, axiom, $true).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_mulu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_mul @ X @ Y)) = (realu_mul @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_subu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_sub @ X @ Y)) = (realu_sub @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![X:int,Y:int,Z:int]:((intu_mul @ (intu_sub @ X @ Y) @ Z) = (intu_sub @ (intu_mul @ X @ Z) @ (intu_mul @ Y @ Z)))).
