%   ORIGINAL: INT_FORALL_POS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INT_ADD_LID: !x. &0 + x = x
% Assm: INT_IMAGE: !x. (?n. x = &n) \/ (?n. x = -- &n)
% Assm: INT_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: INT_NEG_0: -- &0 = &0
% Assm: INT_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: TRUTH: T
% Goal: !P. (!n. P (&n)) <=> (!i. &0 <= i ==> P i)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 + x = x
% Assm: !x. (?n. x = &n) \/ (?n. x = -- &n)
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: -- &0 = &0
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: T
% Goal: !P. (!n. P (&n)) <=> (!i. &0 <= i ==> P i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTu_ADDu_LID, axiom, ![X:int]:((intu_add @ (intu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aINTu_IMAGE, axiom, ![X:int]:(?[N:num]:(X = (intu_ofu_num @ N)) | ?[N:num]:(X = (intu_neg @ (intu_ofu_num @ N))))).
thf(aINTu_LEu_RNEG, axiom, ![X:int,Y:int]:((intu_le @ X @ (intu_neg @ Y)) <=> (intu_le @ (intu_add @ X @ Y) @ (intu_ofu_num @ (numeral @ u_0))))).
thf(aINTu_NEGu_0, axiom, ((intu_neg @ (intu_ofu_num @ (numeral @ u_0))) = (intu_ofu_num @ (numeral @ u_0)))).
thf(aINTu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((intu_le @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(int > $o)]:(![N:num]:(P @ (intu_ofu_num @ N)) <=> ![I:int]:((intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ I) => (P @ I)))).
