%   ORIGINAL: INT_ABS_MUL_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INT_ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: INT_ABS_POS: !x. &0 <= abs x
% Assm: INT_FORALL_POS: !P. (!n. P (&n)) <=> (!i. &0 <= i ==> P i)
% Assm: INT_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: INT_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: MULT_EQ_1: !m n. m * n = 1 <=> m = 1 /\ n = 1
% Assm: TRUTH: T
% Goal: !x y. abs (x * y) = &1 <=> abs x = &1 /\ abs y = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: !x. &0 <= abs x
% Assm: !P. (!n. P (&n)) <=> (!i. &0 <= i ==> P i)
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !m n. m * n = 1 <=> m = 1 /\ n = 1
% Assm: T
% Goal: !x y. abs (x * y) = &1 <=> abs x = &1 /\ abs y = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cintuu_abs, type, intu_abs : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTu_ABSu_MUL, axiom, ![X:int,Y:int]:((intu_abs @ (intu_mul @ X @ Y)) = (intu_mul @ (intu_abs @ X) @ (intu_abs @ Y)))).
thf(aINTu_ABSu_POS, axiom, ![X:int]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_abs @ X))).
thf(aINTu_FORALLu_POS, axiom, ![P:(int > $o)]:(![N:num]:(P @ (intu_ofu_num @ N)) <=> ![I:int]:((intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ I) => (P @ I)))).
thf(aINTu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((intu_ofu_num @ M) = (intu_ofu_num @ N)) <=> (M = N))).
thf(aINTu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((intu_mul @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (t_ @ M @ N)))).
thf(aMULTu_EQu_1, axiom, ![M:num,N:num]:(((t_ @ M @ N) = (numeral @ (bit1 @ u_0))) <=> ((M = (numeral @ (bit1 @ u_0))) & (N = (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:int,Y:int]:(((intu_abs @ (intu_mul @ X @ Y)) = (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) <=> (((intu_abs @ X) = (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((intu_abs @ Y) = (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
