%   ORIGINAL: INT_WOP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INT_FORALL_POS: !P. (!n. P (&n)) <=> (!i. &0 <= i ==> P i)
% Assm: INT_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Assm: num_WOP: !P. (?n. P n) <=> (?n. P n /\ (!m. m < n ==> ~P m))
% Goal: (?x. &0 <= x /\ P x) <=> (?x. &0 <= x /\ P x /\ (!y. &0 <= y /\ P y ==> x <= y))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (!n. P (&n)) <=> (!i. &0 <= i ==> P i)
% Assm: !m n. &m <= &n <=> m <= n
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Assm: !P. (?n. P n) <=> (?n. P n /\ (!m. m < n ==> ~P m))
% Goal: !P. (?x. &0 <= x /\ P x) <=> (?x. &0 <= x /\ P x /\ (!y. &0 <= y /\ P y ==> x <= y))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTu_FORALLu_POS, axiom, ![P:(int > $o)]:(![N:num]:(P @ (intu_ofu_num @ N)) <=> ![I:int]:((intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ I) => (P @ I)))).
thf(aINTu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((intu_le @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(anumu_WOP, axiom, ![P:(num > $o)]:(?[N:num]:(P @ N) <=> ?[N:num]:((P @ N) & ![M:num]:((l_ @ M @ N) => ~ ((P @ M)))))).
thf(conjecture, conjecture, ![P:(int > $o)]:(?[X:int]:((intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ X) & (P @ X)) <=> ?[X:int]:((intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ X) & (P @ X) & ![Y:int]:(((intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ Y) & (P @ Y)) => (intu_le @ X @ Y))))).
