%   ORIGINAL: INT_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: int_ge: !x y. x >= y <=> real_of_int x >= real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Goal: !x y. x >= y <=> y <= x
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. x >= y <=> real_of_int x >= real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !y x. x >= y <=> y <= x
% Goal: !x y. x >= y <=> y <= x
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_ge, type, intu_ge : (int > int > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aintu_ge, axiom, ![X:int,Y:int]:((intu_ge @ X @ Y) <=> (realu_ge @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(conjecture, conjecture, ![X:int,Y:int]:((intu_ge @ X @ Y) <=> (intu_le @ Y @ X))).
