%   ORIGINAL: INT_DIVISION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INT_DIVISION_0: !m n. if n = &0 then m div n = &0 /\ m rem n = m else &0 <= m rem n /\ m rem n < abs n /\ m = m div n * n + m rem n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !m n. ~(n = &0) ==> m = m div n * n + m rem n /\ &0 <= m rem n /\ m rem n < abs n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !m n. if n = &0 then m div n = &0 /\ m rem n = m else &0 <= m rem n /\ m rem n < abs n /\ m = m div n * n + m rem n
% Assm: ~F <=> T
% Assm: T
% Goal: !m n. ~(n = &0) ==> m = m div n * n + m rem n /\ &0 <= m rem n /\ m rem n < abs n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(crem, type, rem : (int > int > int)).
thf(cdiv, type, div : (int > int > int)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(ccond0, type, cond0 : ($o > $o > $o > $o)).
thf(ccond, type, cond : ($o > int > int > int)).
thf(cintuu_abs, type, intu_abs : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:int,T2:int]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTu_DIVISIONu_0, axiom, ![M:int,N:int]:(cond0 @ (N = (intu_ofu_num @ (numeral @ u_0))) @ (((div @ M @ N) = (intu_ofu_num @ (numeral @ u_0))) & ((rem @ M @ N) = M)) @ ((intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (rem @ M @ N)) & (intu_lt @ (rem @ M @ N) @ (intu_abs @ N)) & (M = (intu_add @ (intu_mul @ (div @ M @ N) @ N) @ (rem @ M @ N)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:int,N:int]:(~ ((N = (intu_ofu_num @ (numeral @ u_0)))) => ((M = (intu_add @ (intu_mul @ (div @ M @ N) @ N) @ (rem @ M @ N))) & (intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (rem @ M @ N)) & (intu_lt @ (rem @ M @ N) @ (intu_abs @ N))))).
