%   ORIGINAL: int_congruent
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: cong: !rel x y. (x == y) rel <=> rel x y
% Assm: int_divides: !b a. a divides b <=> (?x. b = a * x)
% Assm: int_mod: !n x y. mod n x y <=> n divides x - y
% Goal: !x y n. (x == y) (mod n) <=> (?d. x - y = n * d)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !rel x y. (x == y) rel <=> rel x y
% Assm: !b a. a divides b <=> (?x. b = a * x)
% Assm: !n x y. mod n x y <=> n divides x - y
% Goal: !x y n. (x == y) (mod n) <=> (?d. x - y = n * d)
%  TYPES
thf(ta, type, a : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_divides, type, intu_divides : (int > int > $o)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cintuu_mod, type, intu_mod : (int > int > int > $o)).
thf(cau_au_, type, a_a_ : (int > int > (int > int > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acong, axiom, ![REL:(int > int > $o),X:int,Y:int]:((a_a_ @ X @ Y @ REL) <=> (REL @ X @ Y))).
thf(aintu_divides, axiom, ![B:int,A:int]:((intu_divides @ A @ B) <=> ?[X:int]:(B = (intu_mul @ A @ X)))).
thf(aintu_mod, axiom, ![N:int,X:int,Y:int]:((intu_mod @ N @ X @ Y) <=> (intu_divides @ N @ (intu_sub @ X @ Y)))).
thf(conjecture, conjecture, ![X:int,Y:int,N:int]:((a_a_ @ X @ Y @ (intu_mod @ N)) <=> ?[D:int]:((intu_sub @ X @ Y) = (intu_mul @ N @ D)))).
