%   ORIGINAL: FORALL_UNCURRY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !P. (!f. P f) <=> (!f. P (\a b. f (a,b)))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !P. GABS P <=> (@) P
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) <=> PAIR' a0 a1
% Goal: !P. (!f. P f) <=> (!f. P (\a b. f (a,b)))
%  TYPES
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(cgeq, type, geq : ($o > $o > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(ccu_, type, c_ : (a > b > prodab)).
thf(chu_, type, h_ : (($o > $o) > $o)).
thf(cgabs, type, gabs : (($o > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGABSu_DEF, axiom, ![P:($o > $o)]:((gabs @ P) <=> (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:$o,B:$o]:((geq @ A @ B) <=> (A <=> B))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > b > $o)]:?[FN:(prodab > $o)]:![A0:a,A1:b]:((FN @ (c_ @ A0 @ A1)) <=> (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![P:((a > b > c) > $o)]:(![F:(a > b > c)]:(P @ F) <=> ![F:(prodab > c)]:(P @ ^[A:a,B:b]:(F @ (c_ @ A @ B))))).
