%   ORIGINAL: WF_INT_MEASURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INT_FORALL_POS: !P. (!n. P (&n)) <=> (!i. &0 <= i ==> P i)
% Assm: INT_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: num_WF: !P. (!n. (!m. m < n ==> P m) ==> P n) ==> (!n. P n)
% Goal: !P m. (!x. &0 <= m x) /\ (!x. (!y. m y < m x ==> P y) ==> P x) ==> (!x. P x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (!n. P (&n)) <=> (!i. &0 <= i ==> P i)
% Assm: !m n. &m < &n <=> m < n
% Assm: ~F <=> T
% Assm: T
% Assm: !P. (!n. (!m. m < n ==> P m) ==> P n) ==> (!n. P n)
% Goal: !P m. (!x. &0 <= m x) /\ (!x. (!y. m y < m x ==> P y) ==> P x) ==> (!x. P x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTu_FORALLu_POS, axiom, ![P:(int > $o)]:(![N:num]:(P @ (intu_ofu_num @ N)) <=> ![I:int]:((intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ I) => (P @ I)))).
thf(aINTu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((intu_lt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anumu_WF, axiom, ![P:(num > $o)]:(![N:num]:(![M:num]:((l_ @ M @ N) => (P @ M)) => (P @ N)) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![P:(a > $o),M:(a > int)]:((![X:a]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (M @ X)) & ![X:a]:(![Y:a]:((intu_lt @ (M @ Y) @ (M @ X)) => (P @ Y)) => (P @ X))) => ![X:a]:(P @ X))).
