%   ORIGINAL: num_congruent
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: cong: !rel x y. (x == y) rel <=> rel x y
% Assm: num_mod: !n x y. mod n x y <=> mod &n (&x) (&y)
% Goal: !x y n. (x == y) (mod n) <=> (&x == &y) (mod &n)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !rel x y. (x == y) rel <=> rel x y
% Assm: !rel x y. (x == y) rel <=> rel x y
% Assm: !n x y. mod n x y <=> mod &n (&x) (&y)
% Goal: !x y n. (x == y) (mod n) <=> (&x == &y) (mod &n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_mod, type, intu_mod : (int > int > int > $o)).
thf(cau_au_0, type, a_a_0 : (int > int > (int > int > $o) > $o)).
thf(cnumuu_mod, type, numu_mod : (num > num > num > $o)).
thf(cau_au_, type, a_a_ : (num > num > (num > num > $o) > $o)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acongu_monomorphized1, axiom, ![REL:(num > num > $o),X:num,Y:num]:((a_a_ @ X @ Y @ REL) <=> (REL @ X @ Y))).
thf(acongu_monomorphized0, axiom, ![REL:(int > int > $o),X:int,Y:int]:((a_a_0 @ X @ Y @ REL) <=> (REL @ X @ Y))).
thf(anumu_mod, axiom, ![N:num,X:num,Y:num]:((numu_mod @ N @ X @ Y) <=> (intu_mod @ (intu_ofu_num @ N) @ (intu_ofu_num @ X) @ (intu_ofu_num @ Y)))).
thf(conjecture, conjecture, ![X:num,Y:num,N:num]:((a_a_ @ X @ Y @ (numu_mod @ N)) <=> (a_a_0 @ (intu_ofu_num @ X) @ (intu_ofu_num @ Y) @ (intu_mod @ (intu_ofu_num @ N))))).
