%   ORIGINAL: NUM_GCD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NUM_OF_INT: !x. &0 <= x <=> &(num_of_int x) = x
% Assm: TRUTH: T
% Assm: int_gcd: !a b. &0 <= gcd (a,b) /\ gcd (a,b) divides a /\ gcd (a,b) divides b /\ (?x y. gcd (a,b) = a * x + b * y)
% Assm: num_gcd: !a b. gcd (a,b) = num_of_int (gcd (&a,&b))
% Goal: !a b. &(gcd (a,b)) = gcd (&a,&b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 <= x <=> &(num_of_int x) = x
% Assm: T
% Assm: !a b. &0 <= gcd (a,b) /\ gcd (a,b) divides a /\ gcd (a,b) divides b /\ (?x y. gcd (a,b) = a * x + b * y)
% Assm: !a b. gcd (a,b) = num_of_int (gcd (&a,&b))
% Goal: !a b. &(gcd (a,b)) = gcd (&a,&b)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tint, type, int : $tType).
thf(tprodintint, type, prodintint : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_divides, type, intu_divides : (int > int > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cnumuu_ofuu_int, type, numu_ofu_int : (int > num)).
thf(ccu_0, type, c_0 : (int > int > prodintint)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cnumuu_gcd, type, numu_gcd : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_gcd, type, intu_gcd : (prodintint > int)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNUMu_OFu_INT, axiom, ![X:int]:((intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ X) <=> ((intu_ofu_num @ (numu_ofu_int @ X)) = X))).
thf(aTRUTH, axiom, $true).
thf(aintu_gcd, axiom, ![A:int,B:int]:((intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_gcd @ (c_0 @ A @ B))) & (intu_divides @ (intu_gcd @ (c_0 @ A @ B)) @ A) & (intu_divides @ (intu_gcd @ (c_0 @ A @ B)) @ B) & ?[X:int,Y:int]:((intu_gcd @ (c_0 @ A @ B)) = (intu_add @ (intu_mul @ A @ X) @ (intu_mul @ B @ Y))))).
thf(anumu_gcd, axiom, ![A:num,B:num]:((numu_gcd @ (c_ @ A @ B)) = (numu_ofu_int @ (intu_gcd @ (c_0 @ (intu_ofu_num @ A) @ (intu_ofu_num @ B)))))).
thf(conjecture, conjecture, ![A:num,B:num]:((intu_ofu_num @ (numu_gcd @ (c_ @ A @ B))) = (intu_gcd @ (c_0 @ (intu_ofu_num @ A) @ (intu_ofu_num @ B))))).
