%   ORIGINAL: UNIONS_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
%  TYPES
thf(ta, type, a : $tType).
thf(tq48522, type, q48522 : $tType).
thf(tq48538, type, q48538 : $tType).
%  CONSTS
thf(cin1, type, in1 : ((q48522 > $o) > ((q48522 > $o) > $o) > $o)).
thf(cin0, type, in0 : (q48522 > (q48522 > $o) > $o)).
thf(cin, type, in : (q48538 > (q48538 > $o) > $o)).
thf(cgspec, type, gspec : ((q48522 > $o) > q48522 > $o)).
thf(cunions, type, unions : (((q48522 > $o) > $o) > q48522 > $o)).
thf(cimage3, type, image3 : ((q48522 > q48522) > (q48522 > $o) > q48522 > $o)).
thf(cimage2, type, image2 : ((q48538 > q48522) > (q48538 > $o) > q48522 > $o)).
thf(cimage1, type, image1 : ((q48522 > q48538) > (q48522 > $o) > q48538 > $o)).
thf(cimage0, type, image0 : ((q48538 > q48538) > (q48538 > $o) > q48538 > $o)).
thf(csetspec, type, setspec : (q48522 > $o > q48522 > $o)).
thf(cimage, type, image : ((q48538 > q48522 > $o) > (q48538 > $o) > (q48522 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q48522 > $o),G:(a > q48522 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q48522 > $o)]:(^[X:q48522]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(q48522 > $o),T:(q48522 > $o)]:((S = T) <=> ![X:q48522]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q48522 > $o),X:q48522]:((in0 @ X @ (gspec @ ^[V:q48522]:?[Y:q48522]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGEu_monomorphized3, axiom, ![Y:q48538,S:(q48538 > $o),F:(q48538 > q48538)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:q48538]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized2, axiom, ![Y:q48538,S:(q48522 > $o),F:(q48522 > q48538)]:((in @ Y @ (image1 @ F @ S)) <=> ?[X:q48522]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized1, axiom, ![Y:q48522,S:(q48538 > $o),F:(q48538 > q48522)]:((in0 @ Y @ (image2 @ F @ S)) <=> ?[X:q48538]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized0, axiom, ![Y:q48522,S:(q48522 > $o),F:(q48522 > q48522)]:((in0 @ Y @ (image3 @ F @ S)) <=> ?[X:q48522]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_UNIONS, axiom, ![S:((q48522 > $o) > $o),X:q48522]:((in0 @ X @ (unions @ S)) <=> ?[T:(q48522 > $o)]:((in1 @ T @ S) & (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q48538 > q48522 > $o),S:(q48538 > $o)]:((unions @ (image @ F @ S)) = (gspec @ ^[GENR_PVARR_26:q48522]:?[Y:q48522]:(setspec @ GENR_PVARR_26 @ ?[X:q48538]:((in @ X @ S) & (in0 @ Y @ (F @ X))) @ Y)))).
