%   ORIGINAL: INTERS_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. INTERS (IMAGE f s) = {y | !x. x IN s ==> y IN f x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. INTERS (IMAGE f s) = {y | !x. x IN s ==> y IN f x}
%  TYPES
thf(ta, type, a : $tType).
thf(tq48565, type, q48565 : $tType).
thf(tq48581, type, q48581 : $tType).
%  CONSTS
thf(cin1, type, in1 : ((q48565 > $o) > ((q48565 > $o) > $o) > $o)).
thf(cin0, type, in0 : (q48565 > (q48565 > $o) > $o)).
thf(cin, type, in : (q48581 > (q48581 > $o) > $o)).
thf(cgspec, type, gspec : ((q48565 > $o) > q48565 > $o)).
thf(cinters, type, inters : (((q48565 > $o) > $o) > q48565 > $o)).
thf(cimage3, type, image3 : ((q48565 > q48565) > (q48565 > $o) > q48565 > $o)).
thf(cimage2, type, image2 : ((q48581 > q48565) > (q48581 > $o) > q48565 > $o)).
thf(cimage1, type, image1 : ((q48565 > q48581) > (q48565 > $o) > q48581 > $o)).
thf(cimage0, type, image0 : ((q48581 > q48581) > (q48581 > $o) > q48581 > $o)).
thf(csetspec, type, setspec : (q48565 > $o > q48565 > $o)).
thf(cimage, type, image : ((q48581 > q48565 > $o) > (q48581 > $o) > (q48565 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q48565 > $o),G:(a > q48565 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q48565 > $o)]:(^[X:q48565]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(q48565 > $o),T:(q48565 > $o)]:((S = T) <=> ![X:q48565]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q48565 > $o),X:q48565]:((in0 @ X @ (gspec @ ^[V:q48565]:?[Y:q48565]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGEu_monomorphized3, axiom, ![Y:q48581,S:(q48581 > $o),F:(q48581 > q48581)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:q48581]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized2, axiom, ![Y:q48581,S:(q48565 > $o),F:(q48565 > q48581)]:((in @ Y @ (image1 @ F @ S)) <=> ?[X:q48565]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized1, axiom, ![Y:q48565,S:(q48581 > $o),F:(q48581 > q48565)]:((in0 @ Y @ (image2 @ F @ S)) <=> ?[X:q48581]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized0, axiom, ![Y:q48565,S:(q48565 > $o),F:(q48565 > q48565)]:((in0 @ Y @ (image3 @ F @ S)) <=> ?[X:q48565]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_INTERS, axiom, ![S:((q48565 > $o) > $o),X:q48565]:((in0 @ X @ (inters @ S)) <=> ![T:(q48565 > $o)]:((in1 @ T @ S) => (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q48581 > q48565 > $o),S:(q48581 > $o)]:((inters @ (image @ F @ S)) = (gspec @ ^[GENR_PVARR_27:q48565]:?[Y:q48565]:(setspec @ GENR_PVARR_27 @ ![X:q48581]:((in @ X @ S) => (in0 @ Y @ (F @ X))) @ Y)))).
