%   ORIGINAL: FINITE_INDUCT_STRONG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FINITE_RULES_conjunct1: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: FINITE {}
% Assm: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Goal: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_INDUCT, axiom, ![FINITEI_:((a > $o) > $o)]:(((FINITEI_ @ empty) & ![X:a,S:(a > $o)]:((FINITEI_ @ S) => (FINITEI_ @ (insert @ X @ S)))) => ![A:(a > $o)]:((finite @ A) => (FINITEI_ @ A)))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aFINITEu_RULESu_conjunct1, axiom, ![X:a,S:(a > $o)]:((finite @ S) => (finite @ (insert @ X @ S)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
