%   ORIGINAL: FINITE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FINITE_RULES_conjunct1: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_EMPTY: !s. s SUBSET {} <=> s = {}
% Assm: TRUTH: T
% Goal: !s t. FINITE t /\ s SUBSET t ==> FINITE s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: FINITE {}
% Assm: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET {} <=> s = {}
% Assm: T
% Goal: !s t. FINITE t /\ s SUBSET t ==> FINITE s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_INDUCT, axiom, ![FINITEI_:((a > $o) > $o)]:(((FINITEI_ @ empty) & ![X:a,S:(a > $o)]:((FINITEI_ @ S) => (FINITEI_ @ (insert @ X @ S)))) => ![A:(a > $o)]:((finite @ A) => (FINITEI_ @ A)))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aFINITEu_RULESu_conjunct1, axiom, ![X:a,S:(a > $o)]:((finite @ S) => (finite @ (insert @ X @ S)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_EMPTY, axiom, ![S:(a > $o)]:((subset @ S @ empty) <=> (S = empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
