%   ORIGINAL: FINITE_UNION_IMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FINITE_RULES_conjunct1: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: INSERT_UNION_EQ: !x s t. x INSERT s UNION t = x INSERT (s UNION t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: UNION_EMPTY_conjunct0: !s. {} UNION s = s
% Goal: !s t. FINITE s /\ FINITE t ==> FINITE (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: FINITE {}
% Assm: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: !x s t. x INSERT s UNION t = x INSERT (s UNION t)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. {} UNION s = s
% Goal: !s t. FINITE s /\ FINITE t ==> FINITE (s UNION t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCT, axiom, ![FINITEI_:((a > $o) > $o)]:(((FINITEI_ @ empty) & ![X:a,S:(a > $o)]:((FINITEI_ @ S) => (FINITEI_ @ (insert @ X @ S)))) => ![A:(a > $o)]:((finite @ A) => (FINITEI_ @ A)))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aFINITEu_RULESu_conjunct1, axiom, ![X:a,S:(a > $o)]:((finite @ S) => (finite @ (insert @ X @ S)))).
thf(aINSERTu_UNIONu_EQ, axiom, ![X:a,S:(a > $o),T:(a > $o)]:((union @ (insert @ X @ S) @ T) = (insert @ X @ (union @ S @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_EMPTYu_conjunct0, axiom, ![S:(a > $o)]:((union @ empty @ S) = S)).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T)) => (finite @ (union @ S @ T)))).
