%   ORIGINAL: FINITE_DELETE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_DELETE_IMP: !s x. FINITE s ==> FINITE (s DELETE x)
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s x. FINITE (s DELETE x) <=> FINITE s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s x. FINITE s ==> FINITE (s DELETE x)
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> (x <=> y) \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Goal: !s x. FINITE (s DELETE x) <=> FINITE s
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cin0, type, in0 : ($o > ($o > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert0, type, insert0 : ($o > ($o > $o) > $o > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_DELETEu_IMP, axiom, ![S:(a > $o),X:a]:((finite @ S) => (finite @ (delete @ S @ X)))).
thf(aFINITEu_INSERT, axiom, ![S:(a > $o),X:a]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:$o,Y:$o,S:($o > $o)]:((in0 @ X @ (insert0 @ Y @ S)) <=> ((X <=> Y) | (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),X:a]:((finite @ (delete @ S @ X)) <=> (finite @ S))).
