%   ORIGINAL: FINITE_IMAGE_EXPAND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EMPTY_GSPEC: {x | F} = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !f s. FINITE s ==> FINITE {y | ?x. x IN s /\ y = f x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: {x | F} = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE {}
% Assm: FINITE {}
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !f s. FINITE s ==> FINITE {y | ?x. x IN s /\ y = f x}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cempty, type, empty : (b > $o)).
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((b > $o) > b > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((b > $o) > (b > $o) > b > $o)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(cinsert, type, insert : (b > (b > $o) > b > $o)).
thf(csetspec, type, setspec : (b > $o > b > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEMPTYu_GSPEC, axiom, ((gspec @ ^[GENR_PVARR_14:b]:?[X:b]:(setspec @ GENR_PVARR_14 @ $false @ X)) = empty)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_INDUCTu_monomorphized1, axiom, ![FINITEI_:((b > $o) > $o)]:(((FINITEI_ @ empty) & ![X:b,S:(b > $o)]:((FINITEI_ @ S) => (FINITEI_ @ (insert @ X @ S)))) => ![A:(b > $o)]:((finite0 @ A) => (FINITEI_ @ A)))).
thf(aFINITEu_INDUCTu_monomorphized0, axiom, ![FINITEI_:((a > $o) > $o)]:(((FINITEI_ @ empty0) & ![X:a,S:(a > $o)]:((FINITEI_ @ S) => (FINITEI_ @ (insert0 @ X @ S)))) => ![A:(a > $o)]:((finite @ A) => (FINITEI_ @ A)))).
thf(aFINITEu_INSERTu_monomorphized1, axiom, ![S:(b > $o),X:b]:((finite0 @ (insert @ X @ S)) <=> (finite0 @ S))).
thf(aFINITEu_INSERTu_monomorphized0, axiom, ![S:(a > $o),X:a]:((finite @ (insert0 @ X @ S)) <=> (finite @ S))).
thf(aFINITEu_RULESu_conjunct0u_monomorphized1, axiom, (finite0 @ empty)).
thf(aFINITEu_RULESu_conjunct0u_monomorphized0, axiom, (finite @ empty0)).
thf(aFINITEu_UNIONu_monomorphized1, axiom, ![S:(b > $o),T:(b > $o)]:((finite0 @ (union @ S @ T)) <=> ((finite0 @ S) & (finite0 @ T)))).
thf(aFINITEu_UNIONu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:((finite @ (union0 @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:?[Y:a]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),S:(a > $o)]:((finite @ S) => (finite0 @ (gspec @ ^[GENR_PVARR_51:b]:?[Y:b]:(setspec @ GENR_PVARR_51 @ ?[X:a]:((in @ X @ S) & (Y = (F @ X))) @ Y))))).
