%   ORIGINAL: FINITE_IMAGE_INJ_GENERAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Goal: !f A s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE A ==> FINITE {x | x IN s /\ f x IN A}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: !FINITE'. FINITE' {} /\ (!x s. FINITE' s ==> FINITE' (x INSERT s)) ==> (!a. FINITE a ==> FINITE' a)
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE {}
% Assm: FINITE {}
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. ~(x IN {})
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Goal: !f A s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE A ==> FINITE {x | x IN s /\ f x IN A}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cempty, type, empty : (b > $o)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(cinsert, type, insert : (b > (b > $o) > b > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
thf(ci0, type, i0 : (a > a)).
thf(ci, type, i : (b > b)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSIONu_monomorphized1, axiom, ![S:(b > $o),T:(b > $o)]:((S = T) <=> ![X:b]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aEXTENSIONu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_INDUCTu_monomorphized1, axiom, ![FINITEI_:((b > $o) > $o)]:(((FINITEI_ @ empty) & ![X:b,S:(b > $o)]:((FINITEI_ @ S) => (FINITEI_ @ (insert @ X @ S)))) => ![A:(b > $o)]:((finite @ A) => (FINITEI_ @ A)))).
thf(aFINITEu_INDUCTu_monomorphized0, axiom, ![FINITEI_:((a > $o) > $o)]:(((FINITEI_ @ empty0) & ![X:a,S:(a > $o)]:((FINITEI_ @ S) => (FINITEI_ @ (insert0 @ X @ S)))) => ![A:(a > $o)]:((finite0 @ A) => (FINITEI_ @ A)))).
thf(aFINITEu_INSERTu_monomorphized1, axiom, ![S:(b > $o),X:b]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aFINITEu_INSERTu_monomorphized0, axiom, ![S:(a > $o),X:a]:((finite0 @ (insert0 @ X @ S)) <=> (finite0 @ S))).
thf(aFINITEu_RULESu_conjunct0u_monomorphized1, axiom, (finite @ empty)).
thf(aFINITEu_RULESu_conjunct0u_monomorphized0, axiom, (finite0 @ empty0)).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERTu_monomorphized1, axiom, ![X:b,Y:b,S:(b > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aINu_INSERTu_monomorphized0, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:b]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTYu_monomorphized1, axiom, ![X:b]:~ ((in0 @ X @ empty))).
thf(aNOTu_INu_EMPTYu_monomorphized0, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),A:(b > $o),S:(a > $o)]:((![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ A)) => (finite0 @ (gspec @ ^[GENR_PVARR_56:a]:?[X:a]:(setspec @ GENR_PVARR_56 @ ((in @ X @ S) & (in0 @ (F @ X) @ A)) @ X))))).
