%   ORIGINAL: FINITE_FINITE_PREIMAGE_GENERAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_FINITE_UNIONS: !s. FINITE s ==> (FINITE (UNIONS s) <=> (!t. t IN s ==> FINITE t))
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s t. FINITE t /\ (!y. y IN t ==> FINITE {x | x IN s /\ f x = y}) ==> FINITE {x | x IN s /\ f x IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. FINITE s ==> (FINITE (UNIONS s) <=> (!t. t IN s ==> FINITE t))
% Assm: !s. FINITE s ==> (FINITE (UNIONS s) <=> (!t. t IN s ==> FINITE t))
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: T
% Goal: !f s t. FINITE t /\ (!y. y IN t ==> FINITE {x | x IN s /\ f x = y}) ==> FINITE {x | x IN s /\ f x IN t}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin2, type, in2 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((a > $o) > $o) > a > $o)).
thf(cin1, type, in1 : ((b > $o) > ((b > $o) > $o) > $o)).
thf(cunions, type, unions : (((b > $o) > $o) > b > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(cimage2, type, image2 : ((a > a) > (a > $o) > a > $o)).
thf(cimage1, type, image1 : ((b > a) > (b > $o) > a > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(cimage, type, image : ((b > b) > (b > $o) > b > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cfinite2, type, finite2 : (((a > $o) > $o) > $o)).
thf(cfinite1, type, finite1 : (((b > $o) > $o) > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_INu_IMAGEu_monomorphized3, axiom, ![P:(b > $o),F:(b > b),S:(b > $o)]:(?[Y:b]:((in @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:b]:((in @ X @ S) & (P @ (F @ X))))).
thf(aEXISTSu_INu_IMAGEu_monomorphized2, axiom, ![P:(b > $o),F:(a > b),S:(a > $o)]:(?[Y:b]:((in @ Y @ (image0 @ F @ S)) & (P @ Y)) <=> ?[X:a]:((in0 @ X @ S) & (P @ (F @ X))))).
thf(aEXISTSu_INu_IMAGEu_monomorphized1, axiom, ![P:(a > $o),F:(b > a),S:(b > $o)]:(?[Y:a]:((in0 @ Y @ (image1 @ F @ S)) & (P @ Y)) <=> ?[X:b]:((in @ X @ S) & (P @ (F @ X))))).
thf(aEXISTSu_INu_IMAGEu_monomorphized0, axiom, ![P:(a > $o),F:(a > a),S:(a > $o)]:(?[Y:a]:((in0 @ Y @ (image2 @ F @ S)) & (P @ Y)) <=> ?[X:a]:((in0 @ X @ S) & (P @ (F @ X))))).
thf(aEXTENSIONu_monomorphized1, axiom, ![S:(b > $o),T:(b > $o)]:((S = T) <=> ![X:b]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aEXTENSIONu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_FINITEu_UNIONSu_monomorphized1, axiom, ![S:((b > $o) > $o)]:((finite1 @ S) => ((finite @ (unions @ S)) <=> ![T:(b > $o)]:((in1 @ T @ S) => (finite @ T))))).
thf(aFINITEu_FINITEu_UNIONSu_monomorphized0, axiom, ![S:((a > $o) > $o)]:((finite2 @ S) => ((finite0 @ (unions0 @ S)) <=> ![T:(a > $o)]:((in2 @ T @ S) => (finite0 @ T))))).
thf(aFINITEu_IMAGEu_monomorphized3, axiom, ![F:(b > b),S:(b > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized2, axiom, ![F:(b > a),S:(b > $o)]:((finite @ S) => (finite0 @ (image1 @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized1, axiom, ![F:(a > b),S:(a > $o)]:((finite0 @ S) => (finite @ (image0 @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized0, axiom, ![F:(a > a),S:(a > $o)]:((finite0 @ S) => (finite0 @ (image2 @ F @ S)))).
thf(aFORALLu_INu_IMAGEu_monomorphized3, axiom, ![P:(b > $o),F:(b > b),S:(b > $o)]:(![Y:b]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:b]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_INu_IMAGEu_monomorphized2, axiom, ![P:(b > $o),F:(a > b),S:(a > $o)]:(![Y:b]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:a]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_INu_IMAGEu_monomorphized1, axiom, ![P:(a > $o),F:(b > a),S:(b > $o)]:(![Y:a]:((in0 @ Y @ (image1 @ F @ S)) => (P @ Y)) <=> ![X:b]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_INu_IMAGEu_monomorphized0, axiom, ![P:(a > $o),F:(a > a),S:(a > $o)]:(![Y:a]:((in0 @ Y @ (image2 @ F @ S)) => (P @ Y)) <=> ![X:a]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aINu_monomorphized1, axiom, ![P:(b > $o),X:b]:((in @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in0 @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIONSu_monomorphized1, axiom, ![S:((b > $o) > $o),X:b]:((in @ X @ (unions @ S)) <=> ?[T:(b > $o)]:((in1 @ T @ S) & (in @ X @ T)))).
thf(aINu_UNIONSu_monomorphized0, axiom, ![S:((a > $o) > $o),X:a]:((in0 @ X @ (unions0 @ S)) <=> ?[T:(a > $o)]:((in2 @ T @ S) & (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),S:(a > $o),T:(b > $o)]:(((finite @ T) & ![Y:b]:((in @ Y @ T) => (finite0 @ (gspec @ ^[GENR_PVARR_59:a]:?[X:a]:(setspec @ GENR_PVARR_59 @ ((in0 @ X @ S) & ((F @ X) = Y)) @ X))))) => (finite0 @ (gspec @ ^[GENR_PVARR_60:a]:?[X:a]:(setspec @ GENR_PVARR_60 @ ((in0 @ X @ S) & (in @ (F @ X) @ T)) @ X))))).
