%   ORIGINAL: INFINITE_DIFF_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. INFINITE s /\ FINITE t ==> INFINITE (s DIFF t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !P x. x IN P <=> P x
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. INFINITE s /\ FINITE t ==> INFINITE (s DIFF t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cinfinite, type, infinite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFINITEu_UNION, axiom, ![S:(a > $o),T:(a > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINFINITE, axiom, ![S:(a > $o)]:((infinite @ S) <=> ~ ((finite @ S)))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > $o)]:(((infinite @ S) & (finite @ T)) => (infinite @ (diff @ S @ T)))).
