%   ORIGINAL: FINITE_SUBSET_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IMAGE_SUBSET: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f s t. FINITE t /\ t SUBSET IMAGE f s <=> (?s'. FINITE s' /\ s' SUBSET s /\ t = IMAGE f s')
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f s t. FINITE t /\ t SUBSET IMAGE f s <=> (?s'. FINITE s' /\ s' SUBSET s /\ t = IMAGE f s')
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ci, type, i : ((b > $o) > b > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((b > $o) > (b > $o) > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(b > $o),G:(b > $o)]:(![X:b]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(b > $o)]:(^[X:b]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(b > $o),T:(b > $o)]:((S = T) <=> ![X:b]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(a > b),S:(a > $o)]:((finite0 @ S) => (finite @ (image @ F @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(b > $o),F:(a > b),S:(a > $o)]:(![Y:b]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:a]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aIMAGEu_SUBSET, axiom, ![F:(a > b),S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) => (subset @ (image @ F @ S) @ (image @ F @ T)))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(b > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aSUBSETu_monomorphized1, axiom, ![S:(b > $o),T:(b > $o)]:((subset @ S @ T) <=> ![X:b]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),S:(a > $o),T:(b > $o)]:(((finite @ T) & (subset @ T @ (image @ F @ S))) <=> ?[SI_:(a > $o)]:((finite0 @ SI_) & (subset0 @ SI_ @ S) & (T = (image @ F @ SI_))))).
