%   ORIGINAL: FINREC_1_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINREC_conjunct0: FINREC f b s a 0 <=> s = {} /\ a = b
% Assm: FINREC_conjunct1: FINREC f b s a (SUC n) <=> (?x c. x IN s /\ FINREC f b (s DELETE x) c n /\ a = f x c)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !f b s a. FINREC f b s a (SUC 0) <=> (?x. s = {x} /\ a = f x b)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s a b. FINREC f b s a 0 <=> s = {} /\ a = b
% Assm: !b s n a f. FINREC f b s a (SUC n) <=> (?x c. x IN s /\ FINREC f b (s DELETE x) c n /\ a = f x c)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x <=> y)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !f b s a. FINREC f b s a (SUC 0) <=> (?x. s = {x} /\ a = f x b)
%  TYPES
thf(tq50604, type, q50604 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq50603, type, q50603 : $tType).
%  CONSTS
thf(cin3, type, in3 : (q50603 > (q50603 > $o) > $o)).
thf(cin2, type, in2 : ($o > ($o > $o) > $o)).
thf(cin1, type, in1 : ((q50604 > $o) > ((q50604 > $o) > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (q50604 > (q50604 > $o) > $o)).
thf(cdelete2, type, delete2 : ((q50603 > $o) > q50603 > q50603 > $o)).
thf(cdelete1, type, delete1 : (($o > $o) > $o > $o > $o)).
thf(cdelete0, type, delete0 : (((q50604 > $o) > $o) > (q50604 > $o) > (q50604 > $o) > $o)).
thf(cdelete, type, delete : ((q50604 > $o) > q50604 > q50604 > $o)).
thf(cinsert, type, insert : (q50604 > (q50604 > $o) > q50604 > $o)).
thf(cfinrec, type, finrec : ((q50604 > q50603 > q50603) > q50603 > (q50604 > $o) > q50603 > num > $o)).
thf(cempty, type, empty : (q50604 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(q50604 > $o),G:(q50604 > $o)]:(![X:q50604]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q50604 > $o)]:(^[X:q50604]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(q50604 > $o),T:(q50604 > $o)]:((S = T) <=> ![X:q50604]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINRECu_conjunct0, axiom, ![F:(q50604 > q50603 > q50603),S:(q50604 > $o),A:q50603,B:q50603]:((finrec @ F @ B @ S @ A @ (numeral @ u_0)) <=> ((S = empty) & (A = B)))).
thf(aFINRECu_conjunct1, axiom, ![B:q50603,S:(q50604 > $o),N:num,A:q50603,F:(q50604 > q50603 > q50603)]:((finrec @ F @ B @ S @ A @ (suc @ N)) <=> ?[X:q50604,C:q50603]:((in @ X @ S) & (finrec @ F @ B @ (delete @ S @ X) @ C @ N) & (A = (F @ X @ C))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DELETEu_monomorphized2, axiom, ![S:((q50604 > $o) > $o),X:(q50604 > $o),Y:(q50604 > $o)]:((in1 @ X @ (delete0 @ S @ Y)) <=> ((in1 @ X @ S) & ~ ((X = Y))))).
thf(aINu_DELETEu_monomorphized1, axiom, ![S:($o > $o),X:$o,Y:$o]:((in2 @ X @ (delete1 @ S @ Y)) <=> ((in2 @ X @ S) & ~ ((X <=> Y))))).
thf(aINu_DELETEu_monomorphized0, axiom, ![S:(q50603 > $o),X:q50603,Y:q50603]:((in3 @ X @ (delete2 @ S @ Y)) <=> ((in3 @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:q50604,Y:q50604,S:(q50604 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q50604]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q50604 > q50603 > q50603),B:q50603,S:(q50604 > $o),A:q50603]:((finrec @ F @ B @ S @ A @ (suc @ (numeral @ u_0))) <=> ?[X:q50604]:((S = (insert @ X @ empty)) & (A = (F @ X @ B))))).
