%   ORIGINAL: FINREC_SUC_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINREC_1_LEMMA: !f b s a. FINREC f b s a (SUC 0) <=> (?x. s = {x} /\ a = f x b)
% Assm: FINREC_conjunct0: FINREC f b s a 0 <=> s = {} /\ a = b
% Assm: FINREC_conjunct1: FINREC f b s a (SUC n) <=> (?x c. x IN s /\ FINREC f b (s DELETE x) c n /\ a = f x c)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (!n s z. FINREC f b s z (SUC n) ==> (!x. x IN s ==> (?w. FINREC f b (s DELETE x) w n /\ z = f x w)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f b s a. FINREC f b s a (SUC 0) <=> (?x. s = {x} /\ a = f x b)
% Assm: !f s a b. FINREC f b s a 0 <=> s = {} /\ a = b
% Assm: !b s n a f. FINREC f b s a (SUC n) <=> (?x c. x IN s /\ FINREC f b (s DELETE x) c n /\ a = f x c)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (!n s z. FINREC f b s z (SUC n) ==> (!x. x IN s ==> (?w. FINREC f b (s DELETE x) w n /\ z = f x w)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cfinrec, type, finrec : ((a > b > b) > b > (a > $o) > b > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINRECu_1u_LEMMA, axiom, ![F:(a > b > b),B:b,S:(a > $o),A:b]:((finrec @ F @ B @ S @ A @ (suc @ (numeral @ u_0))) <=> ?[X:a]:((S = (insert @ X @ empty)) & (A = (F @ X @ B))))).
thf(aFINRECu_conjunct0, axiom, ![F:(a > b > b),S:(a > $o),A:b,B:b]:((finrec @ F @ B @ S @ A @ (numeral @ u_0)) <=> ((S = empty) & (A = B)))).
thf(aFINRECu_conjunct1, axiom, ![B:b,S:(a > $o),N:num,A:b,F:(a > b > b)]:((finrec @ F @ B @ S @ A @ (suc @ N)) <=> ?[X:a,C:b]:((in @ X @ S) & (finrec @ F @ B @ (delete @ S @ X) @ C @ N) & (A = (F @ X @ C))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![F:(a > b > b),B:b]:(![X:a,Y:a,S:b]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => ![N:num,S:(a > $o),Z:b]:((finrec @ F @ B @ S @ Z @ (suc @ N)) => ![X:a]:((in @ X @ S) => ?[W:b]:((finrec @ F @ B @ (delete @ S @ X) @ W @ N) & (Z = (F @ X @ W))))))).
