%   ORIGINAL: FINREC_UNIQUE_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINREC_SUC_LEMMA: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (!n s z. FINREC f b s z (SUC n) ==> (!x. x IN s ==> (?w. FINREC f b (s DELETE x) w n /\ z = f x w)))
% Assm: FINREC_conjunct0: FINREC f b s a 0 <=> s = {} /\ a = b
% Assm: FINREC_conjunct1: FINREC f b s a (SUC n) <=> (?x c. x IN s /\ FINREC f b (s DELETE x) c n /\ a = f x c)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (!n1 n2 s a1 a2. FINREC f b s a1 n1 /\ FINREC f b s a2 n2 ==> a1 = a2 /\ n1 = n2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (!n s z. FINREC f b s z (SUC n) ==> (!x. x IN s ==> (?w. FINREC f b (s DELETE x) w n /\ z = f x w)))
% Assm: !f s a b. FINREC f b s a 0 <=> s = {} /\ a = b
% Assm: !b s n a f. FINREC f b s a (SUC n) <=> (?x c. x IN s /\ FINREC f b (s DELETE x) c n /\ a = f x c)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (!n1 n2 s a1 a2. FINREC f b s a1 n1 /\ FINREC f b s a2 n2 ==> a1 = a2 /\ n1 = n2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cfinrec, type, finrec : ((a > b > b) > b > (a > $o) > b > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci1, type, i1 : (a > a)).
thf(ci0, type, i0 : (b > b)).
thf(ci, type, i : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINRECu_SUCu_LEMMA, axiom, ![F:(a > b > b),B:b]:(![X:a,Y:a,S:b]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => ![N:num,S:(a > $o),Z:b]:((finrec @ F @ B @ S @ Z @ (suc @ N)) => ![X:a]:((in @ X @ S) => ?[W:b]:((finrec @ F @ B @ (delete @ S @ X) @ W @ N) & (Z = (F @ X @ W))))))).
thf(aFINRECu_conjunct0, axiom, ![F:(a > b > b),S:(a > $o),A:b,B:b]:((finrec @ F @ B @ S @ A @ (numeral @ u_0)) <=> ((S = empty) & (A = B)))).
thf(aFINRECu_conjunct1, axiom, ![B:b,S:(a > $o),N:num,A:b,F:(a > b > b)]:((finrec @ F @ B @ S @ A @ (suc @ N)) <=> ?[X:a,C:b]:((in @ X @ S) & (finrec @ F @ B @ (delete @ S @ X) @ C @ N) & (A = (F @ X @ C))))).
thf(aIu_THMu_monomorphized2, axiom, ![X:num]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:b]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i1 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![F:(a > b > b),B:b]:(![X:a,Y:a,S:b]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => ![N1:num,N2:num,S:(a > $o),A1:b,A2:b]:(((finrec @ F @ B @ S @ A1 @ N1) & (finrec @ F @ B @ S @ A2 @ N2)) => ((A1 = A2) & (N1 = N2))))).
