%   ORIGINAL: FINREC_EXISTS_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FINREC_conjunct0: FINREC f b s a 0 <=> s = {} /\ a = b
% Assm: FINREC_conjunct1: FINREC f b s a (SUC n) <=> (?x c. x IN s /\ FINREC f b (s DELETE x) c n /\ a = f x c)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f b s. FINITE s ==> (?a n. FINREC f b s a n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !f s a b. FINREC f b s a 0 <=> s = {} /\ a = b
% Assm: !b s n a f. FINREC f b s a (SUC n) <=> (?x c. x IN s /\ FINREC f b (s DELETE x) c n /\ a = f x c)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Goal: !f b s. FINITE s ==> (?a n. FINREC f b s a n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cfinrec, type, finrec : ((a > b > b) > b > (a > $o) > b > num > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aFINRECu_conjunct0, axiom, ![F:(a > b > b),S:(a > $o),A:b,B:b]:((finrec @ F @ B @ S @ A @ (numeral @ u_0)) <=> ((S = empty) & (A = B)))).
thf(aFINRECu_conjunct1, axiom, ![B:b,S:(a > $o),N:num,A:b,F:(a > b > b)]:((finrec @ F @ B @ S @ A @ (suc @ N)) <=> ?[X:a,C:b]:((in @ X @ S) & (finrec @ F @ B @ (delete @ S @ X) @ C @ N) & (A = (F @ X @ C))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b > b),B:b,S:(a > $o)]:((finite @ S) => ?[A:b,N:num]:(finrec @ F @ B @ S @ A @ N))).
