%   ORIGINAL: SET_RECURSION_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ABSORPTION: !x s. x IN s <=> x INSERT s = s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FINITE_RULES_conjunct1: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: FINREC_FUN: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (?g. g {} = b /\ (!s x. FINITE s /\ x IN s ==> g s = f x (g (s DELETE x))))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (?g. g {} = b /\ (!x s. FINITE s ==> g (x INSERT s) = (if x IN s then g s else f x (g s))))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !x s. x IN s <=> x INSERT s = s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE {}
% Assm: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (?g. g {} = b /\ (!s x. FINITE s /\ x IN s ==> g s = f x (g (s DELETE x))))
% Assm: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (?g. g {} = b /\ (!s x. FINITE s /\ x IN s ==> g s = f x (g (s DELETE x))))
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Goal: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (?g. g {} = b /\ (!x s. FINITE s ==> g (x INSERT s) = (if x IN s then g s else f x (g s))))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(ccond, type, cond : ($o > b > b > b)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aABSORPTION, axiom, ![X:a,S:(a > $o)]:((in @ X @ S) <=> ((insert @ X @ S) = S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:b,C:$o,P:(b > $o),Y:b]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aFINITEu_RULESu_conjunct1, axiom, ![X:a,S:(a > $o)]:((finite @ S) => (finite @ (insert @ X @ S)))).
thf(aFINRECu_FUNu_monomorphized1, axiom, ![F:(a > b > b),B:b]:(![X:a,Y:a,S:b]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => ?[G:((a > $o) > b)]:(((G @ empty) = B) & ![S:(a > $o),X:a]:(((finite @ S) & (in @ X @ S)) => ((G @ S) = (F @ X @ (G @ (delete @ S @ X)))))))).
thf(aFINRECu_FUNu_monomorphized0, axiom, ![F:(a > a > a),B:a]:(![X:a,Y:a,S:a]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => ?[G:((a > $o) > a)]:(((G @ empty) = B) & ![S:(a > $o),X:a]:(((finite @ S) & (in @ X @ S)) => ((G @ S) = (F @ X @ (G @ (delete @ S @ X)))))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b > b),B:b]:(![X:a,Y:a,S:b]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => ?[G:((a > $o) > b)]:(((G @ empty) = B) & ![X:a,S:(a > $o)]:((finite @ S) => ((G @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (G @ S) @ (F @ X @ (G @ S)))))))).
