%   ORIGINAL: FINITE_RECURSION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: ITSET: !b f s. ITSET f s b = (@g. g {} = b /\ (!x s. FINITE s ==> g (x INSERT s) = (if x IN s then g s else f x (g s)))) s
% Assm: SET_RECURSION_LEMMA: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (?g. g {} = b /\ (!x s. FINITE s ==> g (x INSERT s) = (if x IN s then g s else f x (g s))))
% Assm: TRUTH: T
% Goal: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> ITSET f {} b = b /\ (!x s. FINITE s ==> ITSET f (x INSERT s) b = (if x IN s then ITSET f s b else f x (ITSET f s b)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: (?) = (\P. P ((@) P))
% Assm: !b f s. ITSET f s b = (@g. g {} = b /\ (!x s. FINITE s ==> g (x INSERT s) = (if x IN s then g s else f x (g s)))) s
% Assm: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> (?g. g {} = b /\ (!x s. FINITE s ==> g (x INSERT s) = (if x IN s then g s else f x (g s))))
% Assm: T
% Goal: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> ITSET f {} b = b /\ (!x s. FINITE s ==> ITSET f (x INSERT s) b = (if x IN s then ITSET f s b else f x (ITSET f s b)))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(chu_0, type, h_0 : ((((a > $o) > b) > $o) > (a > $o) > b)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccond, type, cond : ($o > b > b > b)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(citset, type, itset : ((a > b > b) > (a > $o) > b > b)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aITSET, axiom, ![B:b,F:(a > b > b),S:(a > $o)]:((itset @ F @ S @ B) = (h_0 @ ^[G:((a > $o) > b)]:(((G @ empty) = B) & ![X:a,S:(a > $o)]:((finite @ S) => ((G @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (G @ S) @ (F @ X @ (G @ S)))))) @ S))).
thf(aSETu_RECURSIONu_LEMMA, axiom, ![F:(a > b > b),B:b]:(![X:a,Y:a,S:b]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => ?[G:((a > $o) > b)]:(((G @ empty) = B) & ![X:a,S:(a > $o)]:((finite @ S) => ((G @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (G @ S) @ (F @ X @ (G @ S)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b > b),B:b]:(![X:a,Y:a,S:b]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => (((itset @ F @ empty @ B) = B) & ![X:a,S:(a > $o)]:((finite @ S) => ((itset @ F @ (insert @ X @ S) @ B) = (cond @ (in @ X @ S) @ (itset @ F @ S @ B) @ (F @ X @ (itset @ F @ S @ B)))))))).
