%   ORIGINAL: FINITE_RECURSION_DELETE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_DELETE_IMP: !s x. FINITE s ==> FINITE (s DELETE x)
% Assm: FINITE_RECURSION: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> ITSET f {} b = b /\ (!x s. FINITE s ==> ITSET f (x INSERT s) b = (if x IN s then ITSET f s b else f x (ITSET f s b)))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> ITSET f {} b = b /\ (!x s. FINITE s ==> ITSET f s b = (if x IN s then f x (ITSET f (s DELETE x) b) else ITSET f (s DELETE x) b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s x. FINITE s ==> FINITE (s DELETE x)
% Assm: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> ITSET f {} b = b /\ (!x s. FINITE s ==> ITSET f (x INSERT s) b = (if x IN s then ITSET f s b else f x (ITSET f s b)))
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Goal: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> ITSET f {} b = b /\ (!x s. FINITE s ==> ITSET f s b = (if x IN s then f x (ITSET f (s DELETE x) b) else ITSET f (s DELETE x) b))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(ccond, type, cond : ($o > b > b > b)).
thf(citset, type, itset : ((a > b > b) > (a > $o) > b > b)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:b,T2:b]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_DELETEu_IMP, axiom, ![S:(a > $o),X:a]:((finite @ S) => (finite @ (delete @ S @ X)))).
thf(aFINITEu_RECURSION, axiom, ![F:(a > b > b),B:b]:(![X:a,Y:a,S:b]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => (((itset @ F @ empty @ B) = B) & ![X:a,S:(a > $o)]:((finite @ S) => ((itset @ F @ (insert @ X @ S) @ B) = (cond @ (in @ X @ S) @ (itset @ F @ S @ B) @ (F @ X @ (itset @ F @ S @ B)))))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b > b),B:b]:(![X:a,Y:a,S:b]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => (((itset @ F @ empty @ B) = B) & ![X:a,S:(a > $o)]:((finite @ S) => ((itset @ F @ S @ B) = (cond @ (in @ X @ S) @ (F @ X @ (itset @ F @ (delete @ S @ X) @ B)) @ (itset @ F @ (delete @ S @ X) @ B))))))).
