%   ORIGINAL: FINITE_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_RESTRICT: !s P. {x | x IN s /\ P x} SUBSET s
% Assm: TRUTH: T
% Goal: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s P. {x | x IN s /\ P x} SUBSET s
% Assm: T
% Goal: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_RESTRICT, axiom, ![S:(a > $o),P:(a > $o)]:(subset @ (gspec @ ^[GENR_PVARR_65:a]:?[X:a]:(setspec @ GENR_PVARR_65 @ ((in @ X @ S) & (P @ X)) @ X)) @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > $o)]:((finite @ S) => (finite @ (gspec @ ^[GENR_PVARR_66:a]:?[X:a]:(setspec @ GENR_PVARR_66 @ ((in @ X @ S) & (P @ X)) @ X))))).
