%   ORIGINAL: CARD_CLAUSES_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD: !s. CARD s = ITSET (\x n. SUC n) s 0
% Assm: FINITE_RECURSION: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> ITSET f {} b = b /\ (!x s. FINITE s ==> ITSET f (x INSERT s) b = (if x IN s then ITSET f s b else f x (ITSET f s b)))
% Assm: TRUTH: T
% Goal: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. CARD s = ITSET (\x n. SUC n) s 0
% Assm: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> ITSET f {} b = b /\ (!x s. FINITE s ==> ITSET f (x INSERT s) b = (if x IN s then ITSET f s b else f x (ITSET f s b)))
% Assm: T
% Goal: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert0, type, insert0 : (num > (num > $o) > num > $o)).
thf(citset0, type, itset0 : ((num > num > num) > (num > $o) > num > num)).
thf(citset, type, itset : ((a > num > num) > (a > $o) > num > num)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cempty, type, empty : (num > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARD, axiom, ![S:(a > $o)]:((card @ S) = (itset @ ^[X:a,N:num]:(suc @ N) @ S @ (numeral @ u_0)))).
thf(aFINITEu_RECURSION, axiom, ![F:(num > num > num),B:num]:(![X:num,Y:num,S:num]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => (((itset0 @ F @ empty @ B) = B) & ![X:num,S:(num > $o)]:((finite0 @ S) => ((itset0 @ F @ (insert0 @ X @ S) @ B) = (cond @ (in0 @ X @ S) @ (itset0 @ F @ S @ B) @ (F @ X @ (itset0 @ F @ S @ B)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:a,S:(a > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
