%   ORIGINAL: HAS_SIZE_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_UNION: !s t. FINITE s /\ FINITE t /\ s INTER t = {} ==> CARD (s UNION t) = CARD s + CARD t
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: TRUTH: T
% Goal: !s t m n. s HAS_SIZE m /\ t HAS_SIZE n /\ DISJOINT s t ==> s UNION t HAS_SIZE m + n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. FINITE s /\ FINITE t /\ s INTER t = {} ==> CARD (s UNION t) = CARD s + CARD t
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: T
% Goal: !s t m n. s HAS_SIZE m /\ t HAS_SIZE n /\ DISJOINT s t ==> s UNION t HAS_SIZE m + n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq52265, type, q52265 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cdisjoint, type, disjoint : ((q52265 > $o) > (q52265 > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((q52265 > $o) > num > $o)).
thf(cinter, type, inter : ((q52265 > $o) > (q52265 > $o) > q52265 > $o)).
thf(cunion, type, union : ((q52265 > $o) > (q52265 > $o) > q52265 > $o)).
thf(cfinite, type, finite : ((q52265 > $o) > $o)).
thf(cempty, type, empty : (q52265 > $o)).
thf(ccard, type, card : ((q52265 > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_UNION, axiom, ![S:(q52265 > $o),T:(q52265 > $o)]:(((finite @ S) & (finite @ T) & ((inter @ S @ T) = empty)) => ((card @ (union @ S @ T)) = (p_ @ (card @ S) @ (card @ T))))).
thf(aDISJOINT, axiom, ![S:(q52265 > $o),T:(q52265 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aFINITEu_UNION, axiom, ![S:(q52265 > $o),T:(q52265 > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aHASu_SIZE, axiom, ![S:(q52265 > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q52265 > $o),T:(q52265 > $o),M:num,N:num]:(((hasu_size @ S @ M) & (hasu_size @ T @ N) & (disjoint @ S @ T)) => (hasu_size @ (union @ S @ T) @ (p_ @ M @ N)))).
