%   ORIGINAL: CARD_SUBSET_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_SUBSET: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: CARD_SUBSET_EQ: !a b. FINITE b /\ a SUBSET b /\ CARD a = CARD b ==> a = b
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b. FINITE b /\ a SUBSET b /\ CARD b <= CARD a ==> a = b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: !a b. FINITE b /\ a SUBSET b /\ CARD a = CARD b ==> a = b
% Assm: !t. (\x. t x) = t
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: ~F <=> T
% Assm: T
% Goal: !a b. FINITE b /\ a SUBSET b /\ CARD b <= CARD a ==> a = b
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_SUBSET, axiom, ![A:(a > $o),B:(a > $o)]:(((subset @ A @ B) & (finite @ B)) => (l_a_ @ (card @ A) @ (card @ B)))).
thf(aCARDu_SUBSETu_EQ, axiom, ![A:(a > $o),B:(a > $o)]:(((finite @ B) & (subset @ A @ B) & ((card @ A) = (card @ B))) => (A = B))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:(a > $o),B:(a > $o)]:(((finite @ B) & (subset @ A @ B) & (l_a_ @ (card @ B) @ (card @ A))) => (A = B))).
