%   ORIGINAL: SUBSET_CARD_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_SUBSET: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: CARD_SUBSET_EQ: !a b. FINITE b /\ a SUBSET b /\ CARD a = CARD b ==> a = b
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. FINITE t /\ s SUBSET t ==> (CARD s = CARD t <=> s = t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: !a b. FINITE b /\ a SUBSET b /\ CARD a = CARD b ==> a = b
% Assm: !t. (\x. t x) = t
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: ~F <=> T
% Assm: T
% Goal: !s t. FINITE t /\ s SUBSET t ==> (CARD s = CARD t <=> s = t)
%  TYPES
thf(tnum, type, num : $tType).
thf(tq52878, type, q52878 : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((q52878 > $o) > (q52878 > $o) > $o)).
thf(cfinite, type, finite : ((q52878 > $o) > $o)).
thf(ccard, type, card : ((q52878 > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(q52878 > $o),G:(q52878 > $o)]:(![X:q52878]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_SUBSET, axiom, ![A:(q52878 > $o),B:(q52878 > $o)]:(((subset @ A @ B) & (finite @ B)) => (l_a_ @ (card @ A) @ (card @ B)))).
thf(aCARDu_SUBSETu_EQ, axiom, ![A:(q52878 > $o),B:(q52878 > $o)]:(((finite @ B) & (subset @ A @ B) & ((card @ A) = (card @ B))) => (A = B))).
thf(aETAu_AX, axiom, ![T:(q52878 > $o)]:(^[X:q52878]:(T @ X) = T)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q52878 > $o),T:(q52878 > $o)]:(((finite @ T) & (subset @ S @ T)) => (((card @ S) = (card @ T)) <=> (S = T)))).
