%   ORIGINAL: CARD_UNION_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_SUBSET: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: CARD_UNION: !s t. FINITE s /\ FINITE t /\ s INTER t = {} ==> CARD (s UNION t) = CARD s + CARD t
% Assm: EQ_IMP_LE: !m n. m = n ==> m <= n
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_DIFF: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: LE_ADD_LCANCEL: !m n p. m + n <= m + p <=> n <= p
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET_DIFF: !s t. s DIFF t SUBSET s
% Assm: TRUTH: T
% Goal: !s t. FINITE s /\ FINITE t ==> CARD (s UNION t) <= CARD s + CARD t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: !s t. FINITE s /\ FINITE t /\ s INTER t = {} ==> CARD (s UNION t) = CARD s + CARD t
% Assm: !m n. m = n ==> m <= n
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !m n p. m + n <= m + p <=> n <= p
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s DIFF t SUBSET s
% Assm: T
% Goal: !s t. FINITE s /\ FINITE t ==> CARD (s UNION t) <= CARD s + CARD t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq45833, type, q45833 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((q45833 > $o) > (q45833 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdiff0, type, diff0 : ((q45833 > $o) > (q45833 > $o) > q45833 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_SUBSET, axiom, ![A:(a > $o),B:(a > $o)]:(((subset @ A @ B) & (finite @ B)) => (l_a_ @ (card @ A) @ (card @ B)))).
thf(aCARDu_UNION, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T) & ((inter @ S @ T) = empty)) => ((card @ (union @ S @ T)) = (p_ @ (card @ S) @ (card @ T))))).
thf(aEQu_IMPu_LE, axiom, ![M:num,N:num]:((M = N) => (l_a_ @ M @ N))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_DIFF, axiom, ![S:(a > $o),T:(a > $o)]:((finite @ S) => (finite @ (diff @ S @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aLEu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_a_ @ N @ P))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSUBSETu_DIFF, axiom, ![S:(q45833 > $o),T:(q45833 > $o)]:(subset0 @ (diff0 @ S @ T) @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T)) => (l_a_ @ (card @ (union @ S @ T)) @ (p_ @ (card @ S) @ (card @ T))))).
