%   ORIGINAL: CARD_IMAGE_INJ_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_IMAGE_INJ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s t. FINITE s /\ (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?!x. x IN s /\ f x = y)) ==> CARD t = CARD s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: T
% Goal: !f s t. FINITE s /\ (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')) ==> CARD t = CARD s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cimage2, type, image2 : ((b > a) > (b > $o) > a > $o)).
thf(cimage1, type, image1 : ((b > b) > (b > $o) > b > $o)).
thf(cimage0, type, image0 : ((a > a) > (a > $o) > a > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((a > $o) > num)).
thf(ccard, type, card : ((b > $o) > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_IMAGEu_INJu_monomorphized1, axiom, ![F:(a > b),S:(a > $o)]:((![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ S)) => ((card @ (image @ F @ S)) = (card0 @ S)))).
thf(aCARDu_IMAGEu_INJu_monomorphized0, axiom, ![F:(a > a),S:(a > $o)]:((![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ S)) => ((card0 @ (image0 @ F @ S)) = (card0 @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSIONu_monomorphized1, axiom, ![S:(b > $o),T:(b > $o)]:((S = T) <=> ![X:b]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aEXTENSIONu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_IMAGEu_monomorphized3, axiom, ![Y:b,S:(b > $o),F:(b > b)]:((in0 @ Y @ (image1 @ F @ S)) <=> ?[X:b]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized2, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized1, axiom, ![Y:a,S:(b > $o),F:(b > a)]:((in @ Y @ (image2 @ F @ S)) <=> ?[X:b]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized0, axiom, ![Y:a,S:(a > $o),F:(a > a)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),S:(a > $o),T:(b > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![Y:b]:((in0 @ Y @ T) => (?[X:a]:((in @ X @ S) & ((F @ X) = Y)) & ![X:a,XI_:a]:(((in @ X @ S) & ((F @ X) = Y) & (in @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))) => ((card @ T) = (card0 @ S)))).
