%   ORIGINAL: CARD_SUBSET_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_IMAGE_LE: !f s. FINITE s ==> CARD (IMAGE f s) <= CARD s
% Assm: CARD_SUBSET: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s t. FINITE t /\ s SUBSET IMAGE f t ==> CARD s <= CARD t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. FINITE s ==> CARD (IMAGE f s) <= CARD s
% Assm: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: !t. (\x. t x) = t
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: ~F <=> T
% Assm: T
% Goal: !f s t. FINITE t /\ s SUBSET IMAGE f t ==> CARD s <= CARD t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq53665, type, q53665 : $tType).
thf(tq53658, type, q53658 : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((q53665 > $o) > (q53665 > $o) > $o)).
thf(cimage0, type, image0 : ((q53658 > q53658) > (q53658 > $o) > q53658 > $o)).
thf(cimage, type, image : ((q53658 > q53665) > (q53658 > $o) > q53665 > $o)).
thf(cfinite0, type, finite0 : ((q53665 > $o) > $o)).
thf(cfinite, type, finite : ((q53658 > $o) > $o)).
thf(ccard0, type, card0 : ((q53658 > $o) > num)).
thf(ccard, type, card : ((q53665 > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_IMAGEu_LE, axiom, ![F:(q53658 > q53665),S:(q53658 > $o)]:((finite @ S) => (l_a_ @ (card @ (image @ F @ S)) @ (card0 @ S)))).
thf(aCARDu_SUBSET, axiom, ![A:(q53665 > $o),B:(q53665 > $o)]:(((subset @ A @ B) & (finite0 @ B)) => (l_a_ @ (card @ A) @ (card @ B)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGE, axiom, ![F:(q53658 > q53658),S:(q53658 > $o)]:((finite @ S) => (finite @ (image0 @ F @ S)))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q53658 > q53665),S:(q53665 > $o),T:(q53658 > $o)]:(((finite @ T) & (subset @ S @ (image @ F @ T))) => (l_a_ @ (card @ S) @ (card0 @ T)))).
