%   ORIGINAL: HAS_SIZE_PRODUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_PRODUCT: !s t. FINITE s /\ FINITE t ==> CARD {x,y | x IN s /\ y IN t} = CARD s * CARD t
% Assm: FINITE_PRODUCT: !s t. FINITE s /\ FINITE t ==> FINITE {x,y | x IN s /\ y IN t}
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: TRUTH: T
% Goal: !s m t n. s HAS_SIZE m /\ t HAS_SIZE n ==> {x,y | x IN s /\ y IN t} HAS_SIZE m * n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. FINITE s /\ FINITE t ==> CARD {x,y | x IN s /\ y IN t} = CARD s * CARD t
% Assm: !s t. FINITE s /\ FINITE t ==> FINITE {x,y | x IN s /\ y IN t}
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: T
% Goal: !s m t n. s HAS_SIZE m /\ t HAS_SIZE n ==> {x,y | x IN s /\ y IN t} HAS_SIZE m * n
%  TYPES
thf(tnum, type, num : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((prodab > $o) > prodab > $o)).
thf(chasuu_size1, type, hasu_size1 : ((prodab > $o) > num > $o)).
thf(chasuu_size0, type, hasu_size0 : ((b > $o) > num > $o)).
thf(chasuu_size, type, hasu_size : ((a > $o) > num > $o)).
thf(ccu_, type, c_ : (a > b > prodab)).
thf(csetspec, type, setspec : (prodab > $o > prodab > $o)).
thf(cfinite1, type, finite1 : ((prodab > $o) > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard1, type, card1 : ((b > $o) > num)).
thf(ccard0, type, card0 : ((a > $o) > num)).
thf(ccard, type, card : ((prodab > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_PRODUCT, axiom, ![S:(a > $o),T:(b > $o)]:(((finite @ S) & (finite0 @ T)) => ((card @ (gspec @ ^[GENR_PVARR_85:prodab]:?[X:a,Y:b]:(setspec @ GENR_PVARR_85 @ ((in @ X @ S) & (in0 @ Y @ T)) @ (c_ @ X @ Y)))) = (t_ @ (card0 @ S) @ (card1 @ T))))).
thf(aFINITEu_PRODUCT, axiom, ![S:(a > $o),T:(b > $o)]:(((finite @ S) & (finite0 @ T)) => (finite1 @ (gspec @ ^[GENR_PVARR_84:prodab]:?[X:a,Y:b]:(setspec @ GENR_PVARR_84 @ ((in @ X @ S) & (in0 @ Y @ T)) @ (c_ @ X @ Y)))))).
thf(aHASu_SIZEu_monomorphized2, axiom, ![S:(prodab > $o),N:num]:((hasu_size1 @ S @ N) <=> ((finite1 @ S) & ((card @ S) = N)))).
thf(aHASu_SIZEu_monomorphized1, axiom, ![S:(b > $o),N:num]:((hasu_size0 @ S @ N) <=> ((finite0 @ S) & ((card1 @ S) = N)))).
thf(aHASu_SIZEu_monomorphized0, axiom, ![S:(a > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card0 @ S) = N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),M:num,T:(b > $o),N:num]:(((hasu_size @ S @ M) & (hasu_size0 @ T @ N)) => (hasu_size1 @ (gspec @ ^[GENR_PVARR_86:prodab]:?[X:a,Y:b]:(setspec @ GENR_PVARR_86 @ ((in @ X @ S) & (in0 @ Y @ T)) @ (c_ @ X @ Y))) @ (t_ @ M @ N)))).
