%   ORIGINAL: FINITE_FUNSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HAS_SIZE_FUNSPACE: !d n t m s. s HAS_SIZE m /\ t HAS_SIZE n ==> {f | (!x. x IN s ==> f x IN t) /\ (!x. ~(x IN s) ==> f x = d)} HAS_SIZE n EXP m
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. FINITE s /\ FINITE t ==> FINITE {f | (!x. x IN s ==> f x IN t) /\ (!x. ~(x IN s) ==> f x = d)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !d n t m s. s HAS_SIZE m /\ t HAS_SIZE n ==> {f | (!x. x IN s ==> f x IN t) /\ (!x. ~(x IN s) ==> f x = d)} HAS_SIZE n EXP m
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !d s t. FINITE s /\ FINITE t ==> FINITE {f | (!x. x IN s ==> f x IN t) /\ (!x. ~(x IN s) ==> f x = d)}
%  TYPES
thf(tq55096, type, q55096 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq55099, type, q55099 : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cexp, type, exp : (num > num > num)).
thf(chasuu_size1, type, hasu_size1 : ((q55096 > $o) > num > $o)).
thf(chasuu_size0, type, hasu_size0 : ((q55099 > $o) > num > $o)).
thf(chasuu_size, type, hasu_size : (((q55099 > q55096) > $o) > num > $o)).
thf(cin0, type, in0 : (q55096 > (q55096 > $o) > $o)).
thf(cin, type, in : (q55099 > (q55099 > $o) > $o)).
thf(cgspec, type, gspec : (((q55099 > q55096) > $o) > (q55099 > q55096) > $o)).
thf(csetspec, type, setspec : ((q55099 > q55096) > $o > (q55099 > q55096) > $o)).
thf(cfinite1, type, finite1 : (((q55099 > q55096) > $o) > $o)).
thf(cfinite0, type, finite0 : ((q55096 > $o) > $o)).
thf(cfinite, type, finite : ((q55099 > $o) > $o)).
thf(ccard1, type, card1 : ((q55096 > $o) > num)).
thf(ccard0, type, card0 : ((q55099 > $o) > num)).
thf(ccard, type, card : (((q55099 > q55096) > $o) > num)).
thf(ci, type, i : (q55096 > q55096)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q55096),G:(a > q55096)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > q55096),G:(a > q55096)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_SIZEu_monomorphized2, axiom, ![S:((q55099 > q55096) > $o),N:num]:((hasu_size @ S @ N) <=> ((finite1 @ S) & ((card @ S) = N)))).
thf(aHASu_SIZEu_monomorphized1, axiom, ![S:(q55099 > $o),N:num]:((hasu_size0 @ S @ N) <=> ((finite @ S) & ((card0 @ S) = N)))).
thf(aHASu_SIZEu_monomorphized0, axiom, ![S:(q55096 > $o),N:num]:((hasu_size1 @ S @ N) <=> ((finite0 @ S) & ((card1 @ S) = N)))).
thf(aHASu_SIZEu_FUNSPACE, axiom, ![D:q55096,N:num,T:(q55096 > $o),M:num,S:(q55099 > $o)]:(((hasu_size0 @ S @ M) & (hasu_size1 @ T @ N)) => (hasu_size @ (gspec @ ^[GENR_PVARR_91:(q55099 > q55096)]:?[F:(q55099 > q55096)]:(setspec @ GENR_PVARR_91 @ (![X:q55099]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:q55099]:(~ ((in @ X @ S)) => ((F @ X) = D))) @ F)) @ (exp @ N @ M)))).
thf(aIu_THM, axiom, ![X:q55096]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![D:q55096,S:(q55099 > $o),T:(q55096 > $o)]:(((finite @ S) & (finite0 @ T)) => (finite1 @ (gspec @ ^[GENR_PVARR_93:(q55099 > q55096)]:?[F:(q55099 > q55096)]:(setspec @ GENR_PVARR_93 @ (![X:q55099]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:q55099]:(~ ((in @ X @ S)) => ((F @ X) = D))) @ F))))).
