%   ORIGINAL: FINITE_POWERSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HAS_SIZE_POWERSET: !s n. s HAS_SIZE n ==> {t | t SUBSET s} HAS_SIZE 2 EXP n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. FINITE s ==> FINITE {t | t SUBSET s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s n. s HAS_SIZE n ==> {t | t SUBSET s} HAS_SIZE 2 EXP n
% Assm: ~F <=> T
% Assm: T
% Goal: !s. FINITE s ==> FINITE {t | t SUBSET s}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cexp, type, exp : (num > num > num)).
thf(chasuu_size0, type, hasu_size0 : ((a > $o) > num > $o)).
thf(chasuu_size, type, hasu_size : (((a > $o) > $o) > num > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cfinite0, type, finite0 : (((a > $o) > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((a > $o) > num)).
thf(ccard, type, card : (((a > $o) > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_SIZEu_monomorphized1, axiom, ![S:((a > $o) > $o),N:num]:((hasu_size @ S @ N) <=> ((finite0 @ S) & ((card @ S) = N)))).
thf(aHASu_SIZEu_monomorphized0, axiom, ![S:(a > $o),N:num]:((hasu_size0 @ S @ N) <=> ((finite @ S) & ((card0 @ S) = N)))).
thf(aHASu_SIZEu_POWERSET, axiom, ![S:(a > $o),N:num]:((hasu_size0 @ S @ N) => (hasu_size @ (gspec @ ^[GENR_PVARR_96:(a > $o)]:?[T:(a > $o)]:(setspec @ GENR_PVARR_96 @ (subset @ T @ S) @ T)) @ (exp @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o)]:((finite @ S) => (finite0 @ (gspec @ ^[GENR_PVARR_98:(a > $o)]:?[T:(a > $o)]:(setspec @ GENR_PVARR_98 @ (subset @ T @ S) @ T))))).
