%   ORIGINAL: FINITE_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_FINITE_UNIONS: !s. FINITE s ==> (FINITE (UNIONS s) <=> (!t. t IN s ==> FINITE t))
% Assm: FINITE_POWERSET: !s. FINITE s ==> FINITE {t | t SUBSET s}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. FINITE (UNIONS s) <=> FINITE s /\ (!t. t IN s ==> FINITE t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. FINITE s ==> (FINITE (UNIONS s) <=> (!t. t IN s ==> FINITE t))
% Assm: !s. FINITE s ==> FINITE {t | t SUBSET s}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. FINITE (UNIONS s) <=> FINITE s /\ (!t. t IN s ==> FINITE t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (((a > $o) > $o) > (((a > $o) > $o) > $o) > $o)).
thf(cunions0, type, unions0 : ((((a > $o) > $o) > $o) > (a > $o) > $o)).
thf(csubset0, type, subset0 : (((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(ci, type, i : ($o > $o)).
thf(cfinite0, type, finite0 : (((a > $o) > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_FINITEu_UNIONS, axiom, ![S:((a > $o) > $o)]:((finite0 @ S) => ((finite @ (unions @ S)) <=> ![T:(a > $o)]:((in @ T @ S) => (finite @ T))))).
thf(aFINITEu_POWERSET, axiom, ![S:(a > $o)]:((finite @ S) => (finite0 @ (gspec @ ^[GENR_PVARR_98:(a > $o)]:?[T:(a > $o)]:(setspec @ GENR_PVARR_98 @ (subset @ T @ S) @ T))))).
thf(aFINITEu_SUBSETu_monomorphized1, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:(((finite0 @ T) & (subset0 @ S @ T)) => (finite0 @ S))).
thf(aFINITEu_SUBSETu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aIN, axiom, ![P:((a > $o) > $o),X:(a > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((a > $o) > $o),X:(a > $o)]:((in @ X @ (gspec @ ^[V:(a > $o)]:?[Y:(a > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIONS, axiom, ![S:(((a > $o) > $o) > $o),X:(a > $o)]:((in @ X @ (unions0 @ S)) <=> ?[T:((a > $o) > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((subset0 @ S @ T) <=> ![X:(a > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:((a > $o) > $o)]:((finite @ (unions @ S)) <=> ((finite0 @ S) & ![T:(a > $o)]:((in @ T @ S) => (finite @ T))))).
