%   ORIGINAL: num_FINITE_AVOID
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LT_conjunct0: !m. m < 0 <=> F
% Assm: LT_conjunct1: !m n. m < SUC n <=> m = n \/ m < n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: TRUTH: T
% Assm: num_FINITE: !s. FINITE s <=> (?a. !x. x IN s ==> x <= a)
% Goal: !s. FINITE s ==> (?a. ~(a IN s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !m. m < 0 <=> F
% Assm: !m n. m < SUC n <=> m = n \/ m < n
% Assm: ~F <=> T
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: T
% Assm: !s. FINITE s <=> (?a. !x. x IN s ==> x <= a)
% Goal: !s. FINITE s ==> (?a. ~(a IN s))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLTu_conjunct0, axiom, ![M:num]:((l_ @ M @ (numeral @ u_0)) <=> $false)).
thf(aLTu_conjunct1, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> ((M = N) | (l_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(anumu_FINITE, axiom, ![S:(num > $o)]:((finite @ S) <=> ?[A:num]:![X:num]:((in @ X @ S) => (l_a_ @ X @ A)))).
thf(conjecture, conjecture, ![S:(num > $o)]:((finite @ S) => ?[A:num]:~ ((in @ A @ S)))).
