%   ORIGINAL: LIST_OF_SET_PROPERTIES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_CLAUSES_conjunct0: CARD {} = 0
% Assm: CARD_CLAUSES_conjunct1: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: LENGTH_conjunct0: LENGTH [] = 0
% Assm: LENGTH_conjunct1: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: TRUTH: T
% Assm: list_of_set: !s. list_of_set s = (@l. set_of_list l = s /\ LENGTH l = CARD s)
% Assm: set_of_list_conjunct0: set_of_list [] = {}
% Assm: set_of_list_conjunct1: set_of_list (CONS h t) = h INSERT set_of_list t
% Goal: !s. FINITE s ==> set_of_list (list_of_set s) = s /\ LENGTH (list_of_set s) = CARD s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: CARD {} = 0
% Assm: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: (?) = (\P. P ((@) P))
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: LENGTH [] = 0
% Assm: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: T
% Assm: !s. list_of_set s = (@l. set_of_list l = s /\ LENGTH l = CARD s)
% Assm: set_of_list [] = {}
% Assm: !h t. set_of_list (CONS h t) = h INSERT set_of_list t
% Goal: !s. FINITE s ==> set_of_list (list_of_set s) = s /\ LENGTH (list_of_set s) = CARD s
%  TYPES
thf(tnum, type, num : $tType).
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetuu_ofuu_list, type, setu_ofu_list : (lista > a > $o)).
thf(ccons, type, cons : (a > lista > lista)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccond0, type, cond0 : ($o > (a > $o) > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(chu_0, type, h_0 : ((lista > $o) > lista)).
thf(clistuu_ofuu_set, type, listu_ofu_set : ((a > $o) > lista)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(clength, type, length : (lista > num)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnil, type, nil : lista).
thf(cempty, type, empty : (a > $o)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_CLAUSESu_conjunct0, axiom, ((card @ empty) = (numeral @ u_0))).
thf(aCARDu_CLAUSESu_conjunct1, axiom, ![X:a,S:(a > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:(a > $o),T2:(a > $o)]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aLENGTHu_conjunct0, axiom, ((length @ nil) = (numeral @ u_0))).
thf(aLENGTHu_conjunct1, axiom, ![H:a,T:lista]:((length @ (cons @ H @ T)) = (suc @ (length @ T)))).
thf(aTRUTH, axiom, $true).
thf(alistu_ofu_set, axiom, ![S:(a > $o)]:((listu_ofu_set @ S) = (h_0 @ ^[L:lista]:(((setu_ofu_list @ L) = S) & ((length @ L) = (card @ S)))))).
thf(asetu_ofu_listu_conjunct0, axiom, ((setu_ofu_list @ nil) = empty)).
thf(asetu_ofu_listu_conjunct1, axiom, ![H:a,T:lista]:((setu_ofu_list @ (cons @ H @ T)) = (insert @ H @ (setu_ofu_list @ T)))).
thf(conjecture, conjecture, ![S:(a > $o)]:((finite @ S) => (((setu_ofu_list @ (listu_ofu_set @ S)) = S) & ((length @ (listu_ofu_set @ S)) = (card @ S))))).
