%   ORIGINAL: MEM_LIST_OF_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: MEM_conjunct0: MEM x [] <=> F
% Assm: MEM_conjunct1: MEM x (CONS h t) <=> x = h \/ MEM x t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SET_OF_LIST_OF_SET: !s. FINITE s ==> set_of_list (list_of_set s) = s
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: set_of_list_conjunct0: set_of_list [] = {}
% Assm: set_of_list_conjunct1: set_of_list (CONS h t) = h INSERT set_of_list t
% Goal: !s. FINITE s ==> (!x. MEM x (list_of_set s) <=> x IN s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. MEM x [] <=> F
% Assm: !h x t. MEM x (CONS h t) <=> x = h \/ MEM x t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. FINITE s ==> set_of_list (list_of_set s) = s
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: set_of_list [] = {}
% Assm: !h t. set_of_list (CONS h t) = h INSERT set_of_list t
% Goal: !s. FINITE s ==> (!x. MEM x (list_of_set s) <=> x IN s)
%  TYPES
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(csetuu_ofuu_list, type, setu_ofu_list : (lista > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cmem, type, mem : (a > lista > $o)).
thf(ccons, type, cons : (a > lista > lista)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(clistuu_ofuu_set, type, listu_ofu_set : ((a > $o) > lista)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cnil, type, nil : lista).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aMEMu_conjunct0, axiom, ![X:a]:((mem @ X @ nil) <=> $false)).
thf(aMEMu_conjunct1, axiom, ![H:a,X:a,T:lista]:((mem @ X @ (cons @ H @ T)) <=> ((X = H) | (mem @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSETu_OFu_LISTu_OFu_SET, axiom, ![S:(a > $o)]:((finite @ S) => ((setu_ofu_list @ (listu_ofu_set @ S)) = S))).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(asetu_ofu_listu_conjunct0, axiom, ((setu_ofu_list @ nil) = empty)).
thf(asetu_ofu_listu_conjunct1, axiom, ![H:a,T:lista]:((setu_ofu_list @ (cons @ H @ T)) = (insert @ H @ (setu_ofu_list @ T)))).
thf(conjecture, conjecture, ![S:(a > $o)]:((finite @ S) => ![X:a]:((mem @ X @ (listu_ofu_set @ S)) <=> (in @ X @ S)))).
