%   ORIGINAL: IN_SET_OF_LIST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: MEM_conjunct0: MEM x [] <=> F
% Assm: MEM_conjunct1: MEM x (CONS h t) <=> x = h \/ MEM x t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: set_of_list_conjunct0: set_of_list [] = {}
% Assm: set_of_list_conjunct1: set_of_list (CONS h t) = h INSERT set_of_list t
% Goal: !x l. x IN set_of_list l <=> MEM x l
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. MEM x [] <=> F
% Assm: !h x t. MEM x (CONS h t) <=> x = h \/ MEM x t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: set_of_list [] = {}
% Assm: !h t. set_of_list (CONS h t) = h INSERT set_of_list t
% Goal: !x l. x IN set_of_list l <=> MEM x l
%  TYPES
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tq56644, type, q56644 : $tType).
thf(tlistq56644, type, listq56644 : $tType).
%  CONSTS
thf(cnil, type, nil : listq56644).
thf(cmem, type, mem : (q56644 > listq56644 > $o)).
thf(csetuu_ofuu_list, type, setu_ofu_list : (listq56644 > q56644 > $o)).
thf(cin, type, in : (q56644 > (q56644 > $o) > $o)).
thf(ccons0, type, cons0 : (a > lista > lista)).
thf(ccons, type, cons : (q56644 > listq56644 > listq56644)).
thf(cinsert, type, insert : (q56644 > (q56644 > $o) > q56644 > $o)).
thf(cnil0, type, nil0 : lista).
thf(cempty, type, empty : (q56644 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINu_INSERT, axiom, ![X:q56644,Y:q56644,S:(q56644 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aMEMu_conjunct0, axiom, ![X:q56644]:((mem @ X @ nil) <=> $false)).
thf(aMEMu_conjunct1, axiom, ![H:q56644,X:q56644,T:listq56644]:((mem @ X @ (cons @ H @ T)) <=> ((X = H) | (mem @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q56644]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil0) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons0 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(asetu_ofu_listu_conjunct0, axiom, ((setu_ofu_list @ nil) = empty)).
thf(asetu_ofu_listu_conjunct1, axiom, ![H:q56644,T:listq56644]:((setu_ofu_list @ (cons @ H @ T)) = (insert @ H @ (setu_ofu_list @ T)))).
thf(conjecture, conjecture, ![X:q56644,L:listq56644]:((in @ X @ (setu_ofu_list @ L)) <=> (mem @ X @ L))).
