%   ORIGINAL: IMAGE_IMP_INJECTIVE_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: SURJECTIVE_IFF_INJECTIVE_GEN: !s t f. FINITE s /\ FINITE t /\ CARD s = CARD t /\ IMAGE f s SUBSET t ==> ((!y. y IN t ==> (?x. x IN s /\ f x = y)) <=> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: TRUTH: T
% Goal: !s t f. FINITE s /\ CARD s = CARD t /\ IMAGE f s = t ==> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s. s SUBSET s
% Assm: !s t f. FINITE s /\ FINITE t /\ CARD s = CARD t /\ IMAGE f s SUBSET t ==> ((!y. y IN t ==> (?x. x IN s /\ f x = y)) <=> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: T
% Goal: !s t f. FINITE s /\ CARD s = CARD t /\ IMAGE f s = t ==> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(ci0, type, i0 : ((b > $o) > b > $o)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cimage0, type, image0 : ((a > a) > (a > $o) > a > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((b > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(ci2, type, i2 : (a > a)).
thf(ci1, type, i1 : (b > b)).
thf(ci, type, i : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized3, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > b > $o),G:(a > b > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(b > $o)]:(^[X:b]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(b > $o),T:(b > $o)]:((S = T) <=> ![X:b]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (finite @ (image0 @ F @ S)))).
thf(aINu_IMAGE, axiom, ![Y:a,S:(a > $o),F:(a > a)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_THMu_monomorphized3, axiom, ![X:num]:((i @ X) = X)).
thf(aIu_THMu_monomorphized2, axiom, ![X:(b > $o)]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:b]:((i1 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i2 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset @ S @ S)).
thf(aSURJECTIVEu_IFFu_INJECTIVEu_GEN, axiom, ![S:(a > $o),T:(a > $o),F:(a > a)]:(((finite @ S) & (finite @ T) & ((card @ S) = (card @ T)) & (subset @ (image0 @ F @ S) @ T)) => (![Y:a]:((in @ Y @ T) => ?[X:a]:((in @ X @ S) & ((F @ X) = Y))) <=> ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),T:(b > $o),F:(a > b)]:(((finite @ S) & ((card @ S) = (card0 @ T)) & ((image @ F @ S) = T)) => ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)))).
