%   ORIGINAL: IMAGE_INJECTIVE_IMAGE_OF_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SURJECTIVE_ON_RIGHT_INVERSE: !f t. (!y. y IN t ==> (?x. x IN s /\ f x = y)) <=> (?g. !y. y IN t ==> g y IN s /\ f (g y) = y)
% Assm: TRUTH: T
% Goal: !f s. ?t. t SUBSET s /\ IMAGE f s = IMAGE f t /\ (!x y. x IN t /\ y IN t /\ f x = f y ==> x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s f t. (!y. y IN t ==> (?x. x IN s /\ f x = y)) <=> (?g. !y. y IN t ==> g y IN s /\ f (g y) = y)
% Assm: T
% Goal: !f s. ?t. t SUBSET s /\ IMAGE f s = IMAGE f t /\ (!x y. x IN t /\ y IN t /\ f x = f y ==> x = y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cimage0, type, image0 : ((a > a) > (a > $o) > a > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > b > $o),G:(a > b > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(b > $o)]:(^[X:b]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(b > $o),T:(b > $o)]:((S = T) <=> ![X:b]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:a,S:(a > $o),F:(a > a)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSURJECTIVEu_ONu_RIGHTu_INVERSE, axiom, ![S:(a > $o),F:(a > a),T:(a > $o)]:(![Y:a]:((in @ Y @ T) => ?[X:a]:((in @ X @ S) & ((F @ X) = Y))) <=> ?[G:(a > a)]:![Y:a]:((in @ Y @ T) => ((in @ (G @ Y) @ S) & ((F @ (G @ Y)) = Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),S:(a > $o)]:?[T:(a > $o)]:((subset @ T @ S) & ((image @ F @ S) = (image @ F @ T)) & ![X:a,Y:a]:(((in @ X @ T) & (in @ Y @ T) & ((F @ X) = (F @ Y))) => (X = Y)))).
