%   ORIGINAL: WF_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: INFINITE_IMAGE_INJ: !f. (!x y. f x = f y ==> x = y) ==> (!s. INFINITE s ==> INFINITE (IMAGE f s))
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LT_0: !n. 0 < SUC n
% Assm: LT_CASES: !m n. m < n \/ n < m \/ m = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRANSITIVE_STEPWISE_LT: !R. (!x y z. R x y /\ R y z ==> R x z) /\ (!n. R n (SUC n)) ==> (!m n. m < n ==> R m n)
% Assm: TRUTH: T
% Assm: WF_DCHAIN: WF (<<) <=> ~(?s. !n. s (SUC n) << s n)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: num_INFINITE: INFINITE (:num)
% Goal: !(<<). (!x. ~(x << x)) /\ (!x y z. x << y /\ y << z ==> x << z) /\ (!x. FINITE {y | y << x}) ==> WF (<<)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: !f. (!x y. f x = f y ==> x = y) ==> (!s. INFINITE s ==> INFINITE (IMAGE f s))
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. x IN (:A)
% Assm: !x. I x = x
% Assm: !n. 0 < SUC n
% Assm: !m n. m < n \/ n < m \/ m = n
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !R. (!x y z. R x y /\ R y z ==> R x z) /\ (!n. R n (SUC n)) ==> (!m n. m < n ==> R m n)
% Assm: T
% Assm: !(<<). WF (<<) <=> ~(?s. !n. s (SUC n) << s n)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: INFINITE (:num)
% Goal: !(<<). (!x. ~(x << x)) /\ (!x y z. x << y /\ y << z ==> x << z) /\ (!x. FINITE {y | y << x}) ==> WF (<<)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq47565, type, q47565 : $tType).
thf(tb, type, b : $tType).
thf(tq47566, type, q47566 : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (q47566 > (q47566 > $o) > $o)).
thf(cin, type, in : (q47565 > (q47565 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(cimage, type, image : ((q47566 > q47565) > (q47566 > $o) > q47565 > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cuniv0, type, univ0 : (num > $o)).
thf(cinfinite1, type, infinite1 : ((num > $o) > $o)).
thf(cinfinite0, type, infinite0 : ((b > $o) > $o)).
thf(cinfinite, type, infinite : ((a > $o) > $o)).
thf(cwf, type, wf : ((a > a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (a > $o)).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INSERT, axiom, ![S:(a > $o),X:a]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(q47565 > $o),F:(q47566 > q47565),S:(q47566 > $o)]:(![Y:q47565]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:q47566]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINFINITE, axiom, ![S:(a > $o)]:((infinite @ S) <=> ~ ((finite @ S)))).
thf(aINFINITEu_IMAGEu_INJ, axiom, ![F:(a > b)]:(![X:a,Y:a]:(((F @ X) = (F @ Y)) => (X = Y)) => ![S:(a > $o)]:((infinite @ S) => (infinite0 @ (image0 @ F @ S))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in1 @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in1 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in1 @ X @ S)))).
thf(aINu_UNIV, axiom, ![X:a]:(in1 @ X @ univ)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLTu_0, axiom, ![N:num]:(l_ @ (numeral @ u_0) @ (suc @ N))).
thf(aLTu_CASES, axiom, ![M:num,N:num]:((l_ @ M @ N) | (l_ @ N @ M) | (M = N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRANSITIVEu_STEPWISEu_LT, axiom, ![R:(num > num > $o)]:((![X:num,Y:num,Z:num]:(((R @ X @ Y) & (R @ Y @ Z)) => (R @ X @ Z)) & ![N:num]:(R @ N @ (suc @ N))) => ![M:num,N:num]:((l_ @ M @ N) => (R @ M @ N)))).
thf(aTRUTH, axiom, $true).
thf(aWFu_DCHAIN, axiom, ![L_L_:(a > a > $o)]:((wf @ L_L_) <=> ~ (?[S:(num > a)]:![N:num]:(L_L_ @ (S @ (suc @ N)) @ (S @ N))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(anumu_INFINITE, axiom, (infinite1 @ univ0)).
thf(conjecture, conjecture, ![L_L_:(a > a > $o)]:((![X:a]:~ ((L_L_ @ X @ X)) & ![X:a,Y:a,Z:a]:(((L_L_ @ X @ Y) & (L_L_ @ Y @ Z)) => (L_L_ @ X @ Z)) & ![X:a]:(finite @ (gspec @ ^[GENR_PVARR_134:a]:?[Y:a]:(setspec @ GENR_PVARR_134 @ (L_L_ @ Y @ X) @ Y)))) => (wf @ L_L_))).
