%   ORIGINAL: REAL_SUP_LT_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: SUP_FINITE: !s. FINITE s /\ ~(s = {}) ==> sup s IN s /\ (!x. x IN s ==> x <= sup s)
% Assm: TRUTH: T
% Goal: !s a. FINITE s /\ ~(s = {}) ==> (sup s < a <=> (!x. x IN s ==> x < a))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !s. FINITE s /\ ~(s = {}) ==> sup s IN s /\ (!x. x IN s ==> x <= sup s)
% Assm: T
% Goal: !s a. FINITE s /\ ~(s = {}) ==> (sup s < a <=> (!x. x IN s ==> x < a))
%  TYPES
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cfinite, type, finite : ((real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(real > $o),G:(real > $o)]:(![X:real]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aSUPu_FINITE, axiom, ![S:(real > $o)]:(((finite @ S) & ~ ((S = empty))) => ((in @ (sup @ S) @ S) & ![X:real]:((in @ X @ S) => (realu_le @ X @ (sup @ S)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),A:real]:(((finite @ S) & ~ ((S = empty))) => ((realu_lt @ (sup @ S) @ A) <=> ![X:real]:((in @ X @ S) => (realu_lt @ X @ A))))).
