%   ORIGINAL: REAL_SUP_LE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_SUP_LE: !b. ~(s = {}) /\ (!x. x IN s ==> x <= b) ==> sup s <= b
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUP: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: TRUTH: T
% Goal: !s t. ~(s = {}) /\ s SUBSET t /\ (?b. !x. x IN t ==> x <= b) ==> sup s <= sup t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s b. ~(s = {}) /\ (!x. x IN s ==> x <= b) ==> sup s <= b
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: T
% Goal: !s t. ~(s = {}) /\ s SUBSET t /\ (?b. !x. x IN t ==> x <= b) ==> sup s <= sup t
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(ci, type, i : ((real > $o) > real > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(real > $o),T:(real > $o)]:((S = T) <=> ![X:real]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(real > $o),X:real]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:(real > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:real]:~ ((in @ X @ empty))).
thf(aREALu_SUPu_LE, axiom, ![S:(real > $o),B:real]:((~ ((S = empty)) & ![X:real]:((in @ X @ S) => (realu_le @ X @ B))) => (realu_le @ (sup @ S) @ B))).
thf(aSUBSET, axiom, ![S:(real > $o),T:(real > $o)]:((subset @ S @ T) <=> ![X:real]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUP, axiom, ![S:(real > $o)]:((~ ((S = empty)) & ?[B:real]:![X:real]:((in @ X @ S) => (realu_le @ X @ B))) => (![X:real]:((in @ X @ S) => (realu_le @ X @ (sup @ S))) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ X @ B)) => (realu_le @ (sup @ S) @ B))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:((~ ((S = empty)) & (subset @ S @ T) & ?[B:real]:![X:real]:((in @ X @ T) => (realu_le @ X @ B))) => (realu_le @ (sup @ S) @ (sup @ T)))).
