%   ORIGINAL: INF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: SUP: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: TRUTH: T
% Assm: inf: !s. inf s = (@a. (!x. x IN s ==> a <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= a))
% Goal: !s. ~(s = {}) /\ (?b. !x. x IN s ==> b <= x) ==> (!x. x IN s ==> inf s <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= inf s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x. -- --x = x
% Assm: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: T
% Assm: !s. inf s = (@a. (!x. x IN s ==> a <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= a))
% Goal: !s. ~(s = {}) /\ (?b. !x. x IN s ==> b <= x) ==> (!x. x IN s ==> inf s <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= inf s)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chu_0, type, h_0 : ((real > $o) > real)).
thf(csup, type, sup : ((real > $o) > real)).
thf(ci, type, i : ((real > $o) > real > $o)).
thf(cinf, type, inf : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aINu_IMAGE, axiom, ![Y:real,S:(real > $o),F:(real > real)]:((in @ Y @ (image @ F @ S)) <=> ?[X:real]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:(real > $o)]:((i @ X) = X)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(real > $o)]:(?[X:real]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aSUP, axiom, ![S:(real > $o)]:((~ ((S = empty)) & ?[B:real]:![X:real]:((in @ X @ S) => (realu_le @ X @ B))) => (![X:real]:((in @ X @ S) => (realu_le @ X @ (sup @ S))) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ X @ B)) => (realu_le @ (sup @ S) @ B))))).
thf(aTRUTH, axiom, $true).
thf(ainf, axiom, ![S:(real > $o)]:((inf @ S) = (h_0 @ ^[A:real]:(![X:real]:((in @ X @ S) => (realu_le @ A @ X)) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ B @ X)) => (realu_le @ B @ A)))))).
thf(conjecture, conjecture, ![S:(real > $o)]:((~ ((S = empty)) & ?[B:real]:![X:real]:((in @ X @ S) => (realu_le @ B @ X))) => (![X:real]:((in @ X @ S) => (realu_le @ (inf @ S) @ X)) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ B @ X)) => (realu_le @ B @ (inf @ S)))))).
