%   ORIGINAL: REAL_LE_INF_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INF: !s. ~(s = {}) /\ (?b. !x. x IN s ==> b <= x) ==> (!x. x IN s ==> inf s <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= inf s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_INF: !b. ~(s = {}) /\ (!x. x IN s ==> b <= x) ==> b <= inf s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. ~(t = {}) /\ t SUBSET s /\ (?b. !x. x IN s ==> b <= x) ==> inf s <= inf t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s. ~(s = {}) /\ (?b. !x. x IN s ==> b <= x) ==> (!x. x IN s ==> inf s <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= inf s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s b. ~(s = {}) /\ (!x. x IN s ==> b <= x) ==> b <= inf s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. ~(t = {}) /\ t SUBSET s /\ (?b. !x. x IN s ==> b <= x) ==> inf s <= inf t
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(ci, type, i : ((real > $o) > real > $o)).
thf(cinf, type, inf : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(real > $o),T:(real > $o)]:((S = T) <=> ![X:real]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(real > $o),X:real]:((in @ X @ P) <=> (P @ X))).
thf(aINF, axiom, ![S:(real > $o)]:((~ ((S = empty)) & ?[B:real]:![X:real]:((in @ X @ S) => (realu_le @ B @ X))) => (![X:real]:((in @ X @ S) => (realu_le @ (inf @ S) @ X)) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ B @ X)) => (realu_le @ B @ (inf @ S)))))).
thf(aIu_THM, axiom, ![X:(real > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:real]:~ ((in @ X @ empty))).
thf(aREALu_LEu_INF, axiom, ![S:(real > $o),B:real]:((~ ((S = empty)) & ![X:real]:((in @ X @ S) => (realu_le @ B @ X))) => (realu_le @ B @ (inf @ S)))).
thf(aSUBSET, axiom, ![S:(real > $o),T:(real > $o)]:((subset @ S @ T) <=> ![X:real]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:((~ ((T = empty)) & (subset @ T @ S) & ?[B:real]:![X:real]:((in @ X @ S) => (realu_le @ B @ X))) => (realu_le @ (inf @ S) @ (inf @ T)))).
