%   ORIGINAL: REAL_INF_BOUNDS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INF: !s. ~(s = {}) /\ (?b. !x. x IN s ==> b <= x) ==> (!x. x IN s ==> inf s <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= inf s)
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Goal: !s a b. ~(s = {}) /\ (!x. x IN s ==> a <= x /\ x <= b) ==> a <= inf s /\ inf s <= b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. ~(s = {}) /\ (?b. !x. x IN s ==> b <= x) ==> (!x. x IN s ==> inf s <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= inf s)
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Goal: !s a b. ~(s = {}) /\ (!x. x IN s ==> a <= x /\ x <= b) ==> a <= inf s /\ inf s <= b
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cinf, type, inf : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aINF, axiom, ![S:(real > $o)]:((~ ((S = empty)) & ?[B:real]:![X:real]:((in @ X @ S) => (realu_le @ B @ X))) => (![X:real]:((in @ X @ S) => (realu_le @ (inf @ S) @ X)) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ B @ X)) => (realu_le @ B @ (inf @ S)))))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(real > $o)]:(?[X:real]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),A:real,B:real]:((~ ((S = empty)) & ![X:real]:((in @ X @ S) => ((realu_le @ A @ X) & (realu_le @ X @ B)))) => ((realu_le @ A @ (inf @ S)) & (realu_le @ (inf @ S) @ B)))).
