%   ORIGINAL: SUP_UNIQUE_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_SUP_FINITE: !s a. FINITE s /\ ~(s = {}) ==> (a <= sup s <=> (?x. x IN s /\ a <= x))
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_SUP_LE_FINITE: !s a. FINITE s /\ ~(s = {}) ==> (sup s <= a <=> (!x. x IN s ==> x <= a))
% Assm: TRUTH: T
% Goal: !s. FINITE s /\ ~(s = {}) ==> (sup s = a <=> a IN s /\ (!y. y IN s ==> y <= a))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x. x <= x
% Assm: !s a. FINITE s /\ ~(s = {}) ==> (a <= sup s <=> (?x. x IN s /\ a <= x))
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !s a. FINITE s /\ ~(s = {}) ==> (sup s <= a <=> (!x. x IN s ==> x <= a))
% Assm: T
% Goal: !a s. FINITE s /\ ~(s = {}) ==> (sup s = a <=> a IN s /\ (!y. y IN s ==> y <= a))
%  TYPES
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(cfinite, type, finite : ((real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(real > $o),G:(real > $o)]:(![X:real]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_SUPu_FINITE, axiom, ![S:(real > $o),A:real]:(((finite @ S) & ~ ((S = empty))) => ((realu_le @ A @ (sup @ S)) <=> ?[X:real]:((in @ X @ S) & (realu_le @ A @ X))))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_SUPu_LEu_FINITE, axiom, ![S:(real > $o),A:real]:(((finite @ S) & ~ ((S = empty))) => ((realu_le @ (sup @ S) @ A) <=> ![X:real]:((in @ X @ S) => (realu_le @ X @ A))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,S:(real > $o)]:(((finite @ S) & ~ ((S = empty))) => (((sup @ S) = A) <=> ((in @ A @ S) & ![Y:real]:((in @ Y @ S) => (realu_le @ Y @ A)))))).
