%   ORIGINAL: SUP_INSERT_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FORALL_IN_INSERT: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_INSERT_EMPTY: !x s. ~(x INSERT s = {})
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SUP_FINITE: !s. FINITE s /\ ~(s = {}) ==> sup s IN s /\ (!x. x IN s ==> x <= sup s)
% Assm: SUP_UNIQUE_FINITE: !s. FINITE s /\ ~(s = {}) ==> (sup s = a <=> a IN s /\ (!y. y IN s ==> y <= a))
% Assm: TRUTH: T
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Goal: !x s. FINITE s ==> sup (x INSERT s) = (if s = {} then x else max x (sup s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !x s. ~(x INSERT s = {})
% Assm: !x. ~(x IN {})
% Assm: !x. x <= x
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !s. FINITE s /\ ~(s = {}) ==> sup s IN s /\ (!x. x IN s ==> x <= sup s)
% Assm: !a s. FINITE s /\ ~(s = {}) ==> (sup s = a <=> a IN s /\ (!y. y IN s ==> y <= a))
% Assm: T
% Assm: !n m. max m n = (if m <= n then n else m)
% Goal: !x s. FINITE s ==> sup (x INSERT s) = (if s = {} then x else max x (sup s))
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(csup, type, sup : ((real > $o) > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(cfinite, type, finite : ((real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aFINITEu_INSERT, axiom, ![S:(real > $o),X:real]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aFORALLu_INu_INSERT, axiom, ![P:(real > $o),A:real,S:(real > $o)]:(![X:real]:((in @ X @ (insert @ A @ S)) => (P @ X)) <=> ((P @ A) & ![X:real]:((in @ X @ S) => (P @ X))))).
thf(aINu_INSERT, axiom, ![X:real,Y:real,S:(real > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:real,Y:real]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INSERTu_EMPTY, axiom, ![X:real,S:(real > $o)]:~ (((insert @ X @ S) = empty))).
thf(aNOTu_INu_EMPTY, axiom, ![X:real]:~ ((in @ X @ empty))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSUPu_FINITE, axiom, ![S:(real > $o)]:(((finite @ S) & ~ ((S = empty))) => ((in @ (sup @ S) @ S) & ![X:real]:((in @ X @ S) => (realu_le @ X @ (sup @ S)))))).
thf(aSUPu_UNIQUEu_FINITE, axiom, ![A:real,S:(real > $o)]:(((finite @ S) & ~ ((S = empty))) => (((sup @ S) = A) <=> ((in @ A @ S) & ![Y:real]:((in @ Y @ S) => (realu_le @ Y @ A)))))).
thf(aTRUTH, axiom, $true).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond @ (realu_le @ M @ N) @ N @ M))).
thf(conjecture, conjecture, ![X:real,S:(real > $o)]:((finite @ S) => ((sup @ (insert @ X @ S)) = (cond @ (S = empty) @ X @ (realu_max @ X @ (sup @ S)))))).
