%   ORIGINAL: REAL_SUP_EQ_INF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_EMPTY: FINITE {}
% Assm: IN: !P x. x IN P <=> P x
% Assm: INF: !s. ~(s = {}) /\ (?b. !x. x IN s ==> b <= x) ==> (!x. x IN s ==> inf s <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= inf s)
% Assm: INF_INSERT_FINITE: !x s. FINITE s ==> inf (x INSERT s) = (if s = {} then x else min x (inf s))
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: SUP: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: SUP_INSERT_FINITE: !x s. FINITE s ==> sup (x INSERT s) = (if s = {} then x else max x (sup s))
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_BOUNDS: !x k. abs x <= k <=> --k <= x /\ x <= k
% Goal: !s. ~(s = {}) /\ (?B. !x. x IN s ==> abs x <= B) ==> (sup s = inf s <=> (?a. s = {a}))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE {}
% Assm: !P x. x IN P <=> P x
% Assm: !s. ~(s = {}) /\ (?b. !x. x IN s ==> b <= x) ==> (!x. x IN s ==> inf s <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= inf s)
% Assm: !x s. FINITE s ==> inf (x INSERT s) = (if s = {} then x else min x (inf s))
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: !x s. FINITE s ==> sup (x INSERT s) = (if s = {} then x else max x (sup s))
% Assm: T
% Assm: !x k. abs x <= k <=> --k <= x /\ x <= k
% Goal: !s. ~(s = {}) /\ (?B. !x. x IN s ==> abs x <= B) ==> (sup s = inf s <=> (?a. s = {a}))
%  TYPES
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cinf, type, inf : ((real > $o) > real)).
thf(csup, type, sup : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccond1, type, cond1 : ($o > $o > $o > $o)).
thf(ccond0, type, cond0 : ($o > (real > $o) > (real > $o) > real > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(cfinite, type, finite : ((real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(real > $o),G:(real > $o)]:(![X:real]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized2, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:(real > $o),T2:(real > $o)]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:$o,T2:$o]:(((cond1 @ $true @ T1 @ T2) <=> T1) & ((cond1 @ $false @ T1 @ T2) <=> T2))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(real > $o),T:(real > $o)]:((S = T) <=> ![X:real]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_EMPTY, axiom, (finite @ empty)).
thf(aIN, axiom, ![P:(real > $o),X:real]:((in @ X @ P) <=> (P @ X))).
thf(aINF, axiom, ![S:(real > $o)]:((~ ((S = empty)) & ?[B:real]:![X:real]:((in @ X @ S) => (realu_le @ B @ X))) => (![X:real]:((in @ X @ S) => (realu_le @ (inf @ S) @ X)) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ B @ X)) => (realu_le @ B @ (inf @ S)))))).
thf(aINFu_INSERTu_FINITE, axiom, ![X:real,S:(real > $o)]:((finite @ S) => ((inf @ (insert @ X @ S)) = (cond @ (S = empty) @ X @ (realu_min @ X @ (inf @ S)))))).
thf(aINu_INSERT, axiom, ![X:real,Y:real,S:(real > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:real]:~ ((in @ X @ empty))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aSUP, axiom, ![S:(real > $o)]:((~ ((S = empty)) & ?[B:real]:![X:real]:((in @ X @ S) => (realu_le @ X @ B))) => (![X:real]:((in @ X @ S) => (realu_le @ X @ (sup @ S))) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ X @ B)) => (realu_le @ (sup @ S) @ B))))).
thf(aSUPu_INSERTu_FINITE, axiom, ![X:real,S:(real > $o)]:((finite @ S) => ((sup @ (insert @ X @ S)) = (cond @ (S = empty) @ X @ (realu_max @ X @ (sup @ S)))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_BOUNDS, axiom, ![X:real,K:real]:((realu_le @ (realu_abs @ X) @ K) <=> ((realu_le @ (realu_neg @ K) @ X) & (realu_le @ X @ K)))).
thf(conjecture, conjecture, ![S:(real > $o)]:((~ ((S = empty)) & ?[B:real]:![X:real]:((in @ X @ S) => (realu_le @ (realu_abs @ X) @ B))) => (((sup @ S) = (inf @ S)) <=> ?[A:real]:(S = (insert @ A @ empty))))).
