%   ORIGINAL: FINITE_INDEX_NUMBERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_INDEX_NUMSEG: !s. FINITE s <=> (?f. (!i j. i IN 1..CARD s /\ j IN 1..CARD s /\ f i = f j ==> i = j) /\ s = IMAGE f (1..CARD s))
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. FINITE s <=> (?k f. (!i j. i IN k /\ j IN k /\ f i = f j ==> i = j) /\ FINITE k /\ s = IMAGE f k)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !s. FINITE s <=> (?f. (!i j. i IN 1..CARD s /\ j IN 1..CARD s /\ f i = f j ==> i = j) /\ s = IMAGE f (1..CARD s))
% Assm: !m n. FINITE (m..n)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !s. FINITE s <=> (?k f. (!i j. i IN k /\ j IN k /\ f i = f j ==> i = j) /\ FINITE k /\ s = IMAGE f k)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ci0, type, i0 : ((a > $o) > a > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage, type, image : ((num > a) > (num > $o) > a > $o)).
thf(ci1, type, i1 : ($o > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci2, type, i2 : (a > a)).
thf(ci, type, i : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGE, axiom, ![F:(num > a),S:(num > $o)]:((finite0 @ S) => (finite @ (image @ F @ S)))).
thf(aFINITEu_INDEXu_NUMSEG, axiom, ![S:(a > $o)]:((finite @ S) <=> ?[F:(num > a)]:(![I:num,J:num]:(((in @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (card @ S))) & (in @ J @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (card @ S))) & ((F @ I) = (F @ J))) => (I = J)) & (S = (image @ F @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (card @ S))))))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aIu_THMu_monomorphized3, axiom, ![X:num]:((i @ X) = X)).
thf(aIu_THMu_monomorphized2, axiom, ![X:(a > $o)]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i2 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o)]:((finite @ S) <=> ?[K:(num > $o),F:(num > a)]:(![I:num,J:num]:(((in @ I @ K) & (in @ J @ K) & ((F @ I) = (F @ J))) => (I = J)) & (finite0 @ K) & (S = (image @ F @ K))))).
