%   ORIGINAL: MONOIDAL_AC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: monoidal: !op. monoidal op <=> (!x y. op x y = op y x) /\ (!x y z. op x (op y z) = op (op x y) z) /\ (!x. op (neutral op) x = x)
% Goal: !op. monoidal op ==> (!a. op (neutral op) a = a) /\ (!a. op a (neutral op) = a) /\ (!a b. op a b = op b a) /\ (!a b c. op (op a b) c = op a (op b c)) /\ (!a b c. op a (op b c) = op b (op a c))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !op. monoidal op <=> (!x y. op x y = op y x) /\ (!x y z. op x (op y z) = op (op x y) z) /\ (!x. op (neutral op) x = x)
% Goal: !op. monoidal op ==> (!a. op (neutral op) a = a) /\ (!a. op a (neutral op) = a) /\ (!a b. op a b = op b a) /\ (!a b c. op (op a b) c = op a (op b c)) /\ (!a b c. op a (op b c) = op b (op a c))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq62645, type, q62645 : $tType).
%  CONSTS
thf(ci, type, i : (q62645 > q62645)).
thf(cneutral, type, neutral : ((q62645 > q62645 > q62645) > q62645)).
thf(cmonoidal, type, monoidal : ((q62645 > q62645 > q62645) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q62645),G:(a > q62645)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:q62645]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(amonoidal, axiom, ![OP:(q62645 > q62645 > q62645)]:((monoidal @ OP) <=> (![X:q62645,Y:q62645]:((OP @ X @ Y) = (OP @ Y @ X)) & ![X:q62645,Y:q62645,Z:q62645]:((OP @ X @ (OP @ Y @ Z)) = (OP @ (OP @ X @ Y) @ Z)) & ![X:q62645]:((OP @ (neutral @ OP) @ X) = X)))).
thf(conjecture, conjecture, ![OP:(q62645 > q62645 > q62645)]:((monoidal @ OP) => (![A:q62645]:((OP @ (neutral @ OP) @ A) = A) & ![A:q62645]:((OP @ A @ (neutral @ OP)) = A) & ![A:q62645,B:q62645]:((OP @ A @ B) = (OP @ B @ A)) & ![A:q62645,B:q62645,C:q62645]:((OP @ (OP @ A @ B) @ C) = (OP @ A @ (OP @ B @ C))) & ![A:q62645,B:q62645,C:q62645]:((OP @ A @ (OP @ B @ C)) = (OP @ B @ (OP @ A @ C)))))).
