%   ORIGINAL: ITERATE_SUPPORT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUPPORT_SUPPORT: !op f s. support op f (support op f s) = support op f s
% Assm: TRUTH: T
% Assm: iterate: !f s op. iterate op s f = (if FINITE (support op f s) then ITSET (\x a. op (f x) a) (support op f s) (neutral op) else neutral op)
% Goal: !op f s. iterate op (support op f s) f = iterate op s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !op f s. support op f (support op f s) = support op f s
% Assm: T
% Assm: !f s op. iterate op s f = (if FINITE (support op f s) then ITSET (\x a. op (f x) a) (support op f s) (neutral op) else neutral op)
% Goal: !op f s. iterate op (support op f s) f = iterate op s f
%  TYPES
thf(ta, type, a : $tType).
thf(tq63220, type, q63220 : $tType).
thf(tq63232, type, q63232 : $tType).
%  CONSTS
thf(cneutral, type, neutral : ((q63220 > q63220 > q63220) > q63220)).
thf(citset, type, itset : ((q63232 > q63220 > q63220) > (q63232 > $o) > q63220 > q63220)).
thf(ccond, type, cond : ($o > q63220 > q63220 > q63220)).
thf(csupport, type, support : ((q63220 > q63220 > q63220) > (q63232 > q63220) > (q63232 > $o) > q63232 > $o)).
thf(citerate, type, iterate : ((q63220 > q63220 > q63220) > (q63232 > $o) > (q63232 > q63220) > q63220)).
thf(cfinite, type, finite : ((q63232 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q63220),G:(a > q63220)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:q63220,T2:q63220]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUPPORTu_SUPPORT, axiom, ![OP:(q63220 > q63220 > q63220),F:(q63232 > q63220),S:(q63232 > $o)]:((support @ OP @ F @ (support @ OP @ F @ S)) = (support @ OP @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(aiterate, axiom, ![F:(q63232 > q63220),S:(q63232 > $o),OP:(q63220 > q63220 > q63220)]:((iterate @ OP @ S @ F) = (cond @ (finite @ (support @ OP @ F @ S)) @ (itset @ ^[X:q63232,A:q63220]:(OP @ (F @ X) @ A) @ (support @ OP @ F @ S) @ (neutral @ OP)) @ (neutral @ OP)))).
thf(conjecture, conjecture, ![OP:(q63220 > q63220 > q63220),F:(q63232 > q63220),S:(q63232 > $o)]:((iterate @ OP @ (support @ OP @ F @ S) @ F) = (iterate @ OP @ S @ F))).
