%   ORIGINAL: ITERATE_EXPAND_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUPPORT_SUPPORT: !op f s. support op f (support op f s) = support op f s
% Assm: TRUTH: T
% Assm: iterate: !f s op. iterate op s f = (if FINITE (support op f s) then ITSET (\x a. op (f x) a) (support op f s) (neutral op) else neutral op)
% Goal: !op f s. iterate op s f = (if FINITE (support op f s) then iterate op (support op f s) f else neutral op)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !op f s. support op f (support op f s) = support op f s
% Assm: T
% Assm: !f s op. iterate op s f = (if FINITE (support op f s) then ITSET (\x a. op (f x) a) (support op f s) (neutral op) else neutral op)
% Goal: !op f s. iterate op s f = (if FINITE (support op f s) then iterate op (support op f s) f else neutral op)
%  TYPES
thf(ta, type, a : $tType).
thf(tq63251, type, q63251 : $tType).
thf(tq63257, type, q63257 : $tType).
%  CONSTS
thf(cneutral, type, neutral : ((q63251 > q63251 > q63251) > q63251)).
thf(citset, type, itset : ((q63257 > q63251 > q63251) > (q63257 > $o) > q63251 > q63251)).
thf(csupport, type, support : ((q63251 > q63251 > q63251) > (q63257 > q63251) > (q63257 > $o) > q63257 > $o)).
thf(ccond, type, cond : ($o > q63251 > q63251 > q63251)).
thf(citerate, type, iterate : ((q63251 > q63251 > q63251) > (q63257 > $o) > (q63257 > q63251) > q63251)).
thf(cfinite, type, finite : ((q63257 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q63251),G:(a > q63251)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:q63251,T2:q63251]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUPPORTu_SUPPORT, axiom, ![OP:(q63251 > q63251 > q63251),F:(q63257 > q63251),S:(q63257 > $o)]:((support @ OP @ F @ (support @ OP @ F @ S)) = (support @ OP @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(aiterate, axiom, ![F:(q63257 > q63251),S:(q63257 > $o),OP:(q63251 > q63251 > q63251)]:((iterate @ OP @ S @ F) = (cond @ (finite @ (support @ OP @ F @ S)) @ (itset @ ^[X:q63257,A:q63251]:(OP @ (F @ X) @ A) @ (support @ OP @ F @ S) @ (neutral @ OP)) @ (neutral @ OP)))).
thf(conjecture, conjecture, ![OP:(q63251 > q63251 > q63251),F:(q63257 > q63251),S:(q63257 > $o)]:((iterate @ OP @ S @ F) = (cond @ (finite @ (support @ OP @ F @ S)) @ (iterate @ OP @ (support @ OP @ F @ S) @ F) @ (neutral @ OP)))).
