%   ORIGINAL: ITERATE_CLAUSES_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: COND_ID: !b t. (if b then t else t) = t
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE_RECURSION: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> ITSET f {} b = b /\ (!x s. FINITE s ==> ITSET f (x INSERT s) b = (if x IN s then ITSET f s b else f x (ITSET f s b)))
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_SUPPORT: !op f x s. x IN support op f s <=> x IN s /\ ~(f x = neutral op)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUPPORT_CLAUSES_conjunct0: !f. support op f {} = {}
% Assm: SUPPORT_CLAUSES_conjunct1: !f x s. support op f (x INSERT s) = (if f x = neutral op then support op f s else x INSERT support op f s)
% Assm: TRUTH: T
% Assm: iterate: !f s op. iterate op s f = (if FINITE (support op f s) then ITSET (\x a. op (f x) a) (support op f s) (neutral op) else neutral op)
% Assm: monoidal: !op. monoidal op <=> (!x y. op x y = op y x) /\ (!x y z. op x (op y z) = op (op x y) z) /\ (!x. op (neutral op) x = x)
% Goal: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. monoidal op /\ FINITE (support op f s) ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !b t. (if b then t else t) = t
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !t. (\x. t x) = t
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !f b. (!x y s. ~(x = y) ==> f x (f y s) = f y (f x s)) ==> ITSET f {} b = b /\ (!x s. FINITE s ==> ITSET f (x INSERT s) b = (if x IN s then ITSET f s b else f x (ITSET f s b)))
% Assm: FINITE {}
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !op f x s. x IN support op f s <=> x IN s /\ ~(f x = neutral op)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !op f. support op f {} = {}
% Assm: !op f x s. support op f (x INSERT s) = (if f x = neutral op then support op f s else x INSERT support op f s)
% Assm: T
% Assm: !f s op. iterate op s f = (if FINITE (support op f s) then ITSET (\x a. op (f x) a) (support op f s) (neutral op) else neutral op)
% Assm: !op. monoidal op <=> (!x y. op x y = op y x) /\ (!x y z. op x (op y z) = op (op x y) z) /\ (!x. op (neutral op) x = x)
% Goal: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. monoidal op /\ FINITE (support op f s) ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cempty0, type, empty0 : (b > $o)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(citset0, type, itset0 : ((a > b > b) > (a > $o) > b > b)).
thf(ccond0, type, cond0 : ($o > (a > $o) > (a > $o) > a > $o)).
thf(cinsert0, type, insert0 : (b > (b > $o) > b > $o)).
thf(citset, type, itset : ((b > b > b) > (b > $o) > b > b)).
thf(ccond, type, cond : ($o > b > b > b)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(csupport, type, support : ((b > b > b) > (a > b) > (a > $o) > a > $o)).
thf(citerate, type, iterate : ((b > b > b) > (a > $o) > (a > b) > b)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cmonoidal, type, monoidal : ((b > b > b) > $o)).
thf(cneutral, type, neutral : ((b > b > b) > b)).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (b > b)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:b,T2:b]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:b,C:$o,P:(b > $o),Y:b]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONDu_ID, axiom, ![B:$o,T:b]:((cond @ B @ T @ T) = T)).
thf(aCONDu_RAND, axiom, ![B:$o,F:(b > b),X:b,Y:b]:((F @ (cond @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INSERT, axiom, ![S:(a > $o),X:a]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aFINITEu_RECURSION, axiom, ![F:(b > b > b),B:b]:(![X:b,Y:b,S:b]:(~ ((X = Y)) => ((F @ X @ (F @ Y @ S)) = (F @ Y @ (F @ X @ S)))) => (((itset @ F @ empty0 @ B) = B) & ![X:b,S:(b > $o)]:((finite0 @ S) => ((itset @ F @ (insert0 @ X @ S) @ B) = (cond @ (in0 @ X @ S) @ (itset @ F @ S @ B) @ (F @ X @ (itset @ F @ S @ B)))))))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_SUPPORT, axiom, ![OP:(b > b > b),F:(a > b),X:a,S:(a > $o)]:((in @ X @ (support @ OP @ F @ S)) <=> ((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))))).
thf(aIu_THM, axiom, ![X:b]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUPPORTu_CLAUSESu_conjunct0, axiom, ![OP:(b > b > b),F:(a > b)]:((support @ OP @ F @ empty) = empty)).
thf(aSUPPORTu_CLAUSESu_conjunct1, axiom, ![OP:(b > b > b),F:(a > b),X:a,S:(a > $o)]:((support @ OP @ F @ (insert @ X @ S)) = (cond0 @ ((F @ X) = (neutral @ OP)) @ (support @ OP @ F @ S) @ (insert @ X @ (support @ OP @ F @ S))))).
thf(aTRUTH, axiom, $true).
thf(aiterate, axiom, ![F:(a > b),S:(a > $o),OP:(b > b > b)]:((iterate @ OP @ S @ F) = (cond @ (finite @ (support @ OP @ F @ S)) @ (itset0 @ ^[X:a,A:b]:(OP @ (F @ X) @ A) @ (support @ OP @ F @ S) @ (neutral @ OP)) @ (neutral @ OP)))).
thf(amonoidal, axiom, ![OP:(b > b > b)]:((monoidal @ OP) <=> (![X:b,Y:b]:((OP @ X @ Y) = (OP @ Y @ X)) & ![X:b,Y:b,Z:b]:((OP @ X @ (OP @ Y @ Z)) = (OP @ (OP @ X @ Y) @ Z)) & ![X:b]:((OP @ (neutral @ OP) @ X) = X)))).
thf(conjecture, conjecture, ![OP:(b > b > b)]:((monoidal @ OP) => (![F:(a > b)]:((iterate @ OP @ empty @ F) = (neutral @ OP)) & ![F:(a > b),X:a,S:(a > $o)]:(((monoidal @ OP) & (finite @ (support @ OP @ F @ S))) => ((iterate @ OP @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (iterate @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate @ OP @ S @ F)))))))).
