%   ORIGINAL: ITERATE_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: UNION_EMPTY_conjunct1: !s. s UNION {} = s
% Assm: monoidal: !op. monoidal op <=> (!x y. op x y = op y x) /\ (!x y z. op x (op y z) = op (op x y) z) /\ (!x. op (neutral op) x = x)
% Goal: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. s UNION {} = s
% Assm: !op. monoidal op <=> (!x y. op x y = op y x) /\ (!x y z. op x (op y z) = op (op x y) z) /\ (!x. op (neutral op) x = x)
% Goal: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq63520, type, q63520 : $tType).
thf(tq63535, type, q63535 : $tType).
%  CONSTS
thf(cneutral, type, neutral : ((q63535 > q63535 > q63535) > q63535)).
thf(cin1, type, in1 : (q63535 > (q63535 > $o) > $o)).
thf(cin0, type, in0 : (q63520 > (q63520 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdisjoint, type, disjoint : ((q63520 > $o) > (q63520 > $o) > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinsert0, type, insert0 : (q63535 > (q63535 > $o) > q63535 > $o)).
thf(cinsert, type, insert : (q63520 > (q63520 > $o) > q63520 > $o)).
thf(cinter, type, inter : ((q63520 > $o) > (q63520 > $o) > q63520 > $o)).
thf(ccond, type, cond : ($o > q63535 > q63535 > q63535)).
thf(cunion, type, union : ((q63520 > $o) > (q63520 > $o) > q63520 > $o)).
thf(citerate, type, iterate : ((q63535 > q63535 > q63535) > (q63520 > $o) > (q63520 > q63535) > q63535)).
thf(cfinite, type, finite : ((q63520 > $o) > $o)).
thf(cmonoidal, type, monoidal : ((q63535 > q63535 > q63535) > $o)).
thf(ci, type, i : (q63535 > q63535)).
thf(cempty, type, empty : (q63520 > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q63535),G:(a > q63535)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:q63535,T2:q63535]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDISJOINT, axiom, ![S:(q63520 > $o),T:(q63520 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q63520 > $o) > $o)]:(((P @ empty) & ![X:q63520,S:(q63520 > $o)]:(((P @ S) & ~ ((in0 @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q63520 > $o)]:((finite @ S) => (P @ S)))).
thf(aFINITEu_UNION, axiom, ![S:(q63520 > $o),T:(q63520 > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:q63535,Y:q63535,S:(q63535 > $o)]:((in1 @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in1 @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(q63520 > $o),T:(q63520 > $o),X:q63520]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aITERATEu_CLAUSES, axiom, ![OP:(q63535 > q63535 > q63535)]:((monoidal @ OP) => (![F:(q63520 > q63535)]:((iterate @ OP @ empty @ F) = (neutral @ OP)) & ![F:(q63520 > q63535),X:q63520,S:(q63520 > $o)]:((finite @ S) => ((iterate @ OP @ (insert @ X @ S) @ F) = (cond @ (in0 @ X @ S) @ (iterate @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate @ OP @ S @ F)))))))).
thf(aIu_THM, axiom, ![X:q63535]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_EMPTYu_conjunct1, axiom, ![S:(q63520 > $o)]:((union @ S @ empty) = S)).
thf(amonoidal, axiom, ![OP:(q63535 > q63535 > q63535)]:((monoidal @ OP) <=> (![X:q63535,Y:q63535]:((OP @ X @ Y) = (OP @ Y @ X)) & ![X:q63535,Y:q63535,Z:q63535]:((OP @ X @ (OP @ Y @ Z)) = (OP @ (OP @ X @ Y) @ Z)) & ![X:q63535]:((OP @ (neutral @ OP) @ X) = X)))).
thf(conjecture, conjecture, ![OP:(q63535 > q63535 > q63535)]:((monoidal @ OP) => ![F:(q63520 > q63535),S:(q63520 > $o),T:(q63520 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((iterate @ OP @ (union @ S @ T) @ F) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)))))).
