%   ORIGINAL: ITERATE_UNION_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_SUPPORT: !op f s. iterate op (support op f s) f = iterate op s f
% Assm: ITERATE_UNION: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: SUPPORT_CLAUSES_conjunct3: !f s t. support op f (s UNION t) = support op f s UNION support op f t
% Assm: TRUTH: T
% Goal: !op. monoidal op ==> (!f s t. FINITE (support op f s) /\ FINITE (support op f t) /\ DISJOINT (support op f s) (support op f t) ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op f s. iterate op (support op f s) f = iterate op s f
% Assm: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: !op f s t. support op f (s UNION t) = support op f s UNION support op f t
% Assm: T
% Goal: !op. monoidal op ==> (!f s t. FINITE (support op f s) /\ FINITE (support op f t) /\ DISJOINT (support op f s) (support op f t) ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cdisjoint, type, disjoint : ((a > $o) > (a > $o) > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(citerate, type, iterate : ((b > b > b) > (a > $o) > (a > b) > b)).
thf(csupport, type, support : ((b > b > b) > (a > b) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cmonoidal, type, monoidal : ((b > b > b) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_SUPPORT, axiom, ![OP:(b > b > b),F:(a > b),S:(a > $o)]:((iterate @ OP @ (support @ OP @ F @ S) @ F) = (iterate @ OP @ S @ F))).
thf(aITERATEu_UNION, axiom, ![OP:(b > b > b)]:((monoidal @ OP) => ![F:(a > b),S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((iterate @ OP @ (union @ S @ T) @ F) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)))))).
thf(aSUPPORTu_CLAUSESu_conjunct3, axiom, ![OP:(b > b > b),F:(a > b),S:(a > $o),T:(a > $o)]:((support @ OP @ F @ (union @ S @ T)) = (union @ (support @ OP @ F @ S) @ (support @ OP @ F @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![OP:(b > b > b)]:((monoidal @ OP) => ![F:(a > b),S:(a > $o),T:(a > $o)]:(((finite @ (support @ OP @ F @ S)) & (finite @ (support @ OP @ F @ T)) & (disjoint @ (support @ OP @ F @ S) @ (support @ OP @ F @ T))) => ((iterate @ OP @ (union @ S @ T) @ F) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)))))).
