%   ORIGINAL: ITERATE_DIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ITERATE_UNION: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_DIFF: !s t. s DIFF t SUBSET s
% Assm: TRUTH: T
% Goal: !op. monoidal op ==> (!f s t. FINITE s /\ t SUBSET s ==> op (iterate op (s DIFF t) f) (iterate op t f) = iterate op s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s DIFF t SUBSET s
% Assm: T
% Goal: !op. monoidal op ==> (!f s t. FINITE s /\ t SUBSET s ==> op (iterate op (s DIFF t) f) (iterate op t f) = iterate op s f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq63673, type, q63673 : $tType).
thf(tq63677, type, q63677 : $tType).
%  CONSTS
thf(cdisjoint0, type, disjoint0 : ((q63673 > $o) > (q63673 > $o) > $o)).
thf(cin0, type, in0 : (q63673 > (q63673 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdisjoint, type, disjoint : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((q63673 > $o) > (q63673 > $o) > $o)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((q63673 > $o) > (q63673 > $o) > q63673 > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((q63673 > $o) > (q63673 > $o) > q63673 > $o)).
thf(citerate, type, iterate : ((q63677 > q63677 > q63677) > (q63673 > $o) > (q63673 > q63677) > q63677)).
thf(ci, type, i : (q63677 > q63677)).
thf(cfinite, type, finite : ((q63673 > $o) > $o)).
thf(cmonoidal, type, monoidal : ((q63677 > q63677 > q63677) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q63677),G:(a > q63677)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(a > $o),T:(a > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_SUBSET, axiom, ![S:(q63673 > $o),T:(q63673 > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFINITEu_UNION, axiom, ![S:(q63673 > $o),T:(q63673 > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(q63673 > $o),T:(q63673 > $o),X:q63673]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aITERATEu_UNION, axiom, ![OP:(q63677 > q63677 > q63677)]:((monoidal @ OP) => ![F:(q63673 > q63677),S:(q63673 > $o),T:(q63673 > $o)]:(((finite @ S) & (finite @ T) & (disjoint0 @ S @ T)) => ((iterate @ OP @ (union @ S @ T) @ F) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)))))).
thf(aIu_THM, axiom, ![X:q63677]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(q63673 > $o),T:(q63673 > $o)]:((subset @ S @ T) <=> ![X:q63673]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_DIFF, axiom, ![S:(q63673 > $o),T:(q63673 > $o)]:(subset @ (diff @ S @ T) @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![OP:(q63677 > q63677 > q63677)]:((monoidal @ OP) => ![F:(q63673 > q63677),S:(q63673 > $o),T:(q63673 > $o)]:(((finite @ S) & (subset @ T @ S)) => ((OP @ (iterate @ OP @ (diff @ S @ T) @ F) @ (iterate @ OP @ T @ F)) = (iterate @ OP @ S @ F))))).
