%   ORIGINAL: ITERATE_DIFF_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_DIFF: !op. monoidal op ==> (!f s t. FINITE s /\ t SUBSET s ==> op (iterate op (s DIFF t) f) (iterate op t f) = iterate op s f)
% Assm: ITERATE_SUPPORT: !op f s. iterate op (support op f s) f = iterate op s f
% Assm: SUPPORT_CLAUSES_conjunct5: !f s t. support op f (s DIFF t) = support op f s DIFF support op f t
% Assm: TRUTH: T
% Goal: !op. monoidal op ==> (!f s t. FINITE (support op f s) /\ support op f t SUBSET support op f s ==> op (iterate op (s DIFF t) f) (iterate op t f) = iterate op s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f s t. FINITE s /\ t SUBSET s ==> op (iterate op (s DIFF t) f) (iterate op t f) = iterate op s f)
% Assm: !op f s. iterate op (support op f s) f = iterate op s f
% Assm: !op f s t. support op f (s DIFF t) = support op f s DIFF support op f t
% Assm: T
% Goal: !op. monoidal op ==> (!f s t. FINITE (support op f s) /\ support op f t SUBSET support op f s ==> op (iterate op (s DIFF t) f) (iterate op t f) = iterate op s f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(citerate, type, iterate : ((b > b > b) > (a > $o) > (a > b) > b)).
thf(csupport, type, support : ((b > b > b) > (a > b) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cmonoidal, type, monoidal : ((b > b > b) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_DIFF, axiom, ![OP:(b > b > b)]:((monoidal @ OP) => ![F:(a > b),S:(a > $o),T:(a > $o)]:(((finite @ S) & (subset @ T @ S)) => ((OP @ (iterate @ OP @ (diff @ S @ T) @ F) @ (iterate @ OP @ T @ F)) = (iterate @ OP @ S @ F))))).
thf(aITERATEu_SUPPORT, axiom, ![OP:(b > b > b),F:(a > b),S:(a > $o)]:((iterate @ OP @ (support @ OP @ F @ S) @ F) = (iterate @ OP @ S @ F))).
thf(aSUPPORTu_CLAUSESu_conjunct5, axiom, ![OP:(b > b > b),F:(a > b),S:(a > $o),T:(a > $o)]:((support @ OP @ F @ (diff @ S @ T)) = (diff @ (support @ OP @ F @ S) @ (support @ OP @ F @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![OP:(b > b > b)]:((monoidal @ OP) => ![F:(a > b),S:(a > $o),T:(a > $o)]:(((finite @ (support @ OP @ F @ S)) & (subset @ (support @ OP @ F @ T) @ (support @ OP @ F @ S))) => ((OP @ (iterate @ OP @ (diff @ S @ T) @ F) @ (iterate @ OP @ T @ F)) = (iterate @ OP @ S @ F))))).
