%   ORIGINAL: ITERATE_INCL_EXCL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_DIFF: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: FINITE_INTER: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ITERATE_UNION: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: MONOIDAL_AC: !op. monoidal op ==> (!a. op (neutral op) a = a) /\ (!a. op a (neutral op) = a) /\ (!a b. op a b = op b a) /\ (!a b c. op (op a b) c = op a (op b c)) /\ (!a b c. op a (op b c) = op b (op a c))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !op. monoidal op ==> (!s t f. FINITE s /\ FINITE t ==> op (iterate op s f) (iterate op t f) = op (iterate op (s UNION t) f) (iterate op (s INTER t) f))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: !op. monoidal op ==> (!a. op (neutral op) a = a) /\ (!a. op a (neutral op) = a) /\ (!a b. op a b = op b a) /\ (!a b c. op (op a b) c = op a (op b c)) /\ (!a b c. op a (op b c) = op b (op a c))
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !op. monoidal op ==> (!s t f. FINITE s /\ FINITE t ==> op (iterate op s f) (iterate op t f) = op (iterate op (s UNION t) f) (iterate op (s INTER t) f))
%  TYPES
thf(tq63906, type, q63906 : $tType).
thf(ta, type, a : $tType).
thf(tq63888, type, q63888 : $tType).
%  CONSTS
thf(cin0, type, in0 : (q63888 > (q63888 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdisjoint, type, disjoint : ((q63888 > $o) > (q63888 > $o) > $o)).
thf(cneutral, type, neutral : ((q63906 > q63906 > q63906) > q63906)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((q63888 > $o) > (q63888 > $o) > q63888 > $o)).
thf(cinter, type, inter : ((q63888 > $o) > (q63888 > $o) > q63888 > $o)).
thf(cunion, type, union : ((q63888 > $o) > (q63888 > $o) > q63888 > $o)).
thf(citerate, type, iterate : ((q63906 > q63906 > q63906) > (q63888 > $o) > (q63888 > q63906) > q63906)).
thf(cfinite, type, finite : ((q63888 > $o) > $o)).
thf(cmonoidal, type, monoidal : ((q63906 > q63906 > q63906) > $o)).
thf(cempty, type, empty : (q63888 > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q63906),G:(a > q63906)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(q63888 > $o),T:(q63888 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_DIFF, axiom, ![S:(q63888 > $o),T:(q63888 > $o)]:((finite @ S) => (finite @ (diff @ S @ T)))).
thf(aFINITEu_INTER, axiom, ![S:(q63888 > $o),T:(q63888 > $o)]:(((finite @ S) | (finite @ T)) => (finite @ (inter @ S @ T)))).
thf(aFINITEu_UNION, axiom, ![S:(q63888 > $o),T:(q63888 > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(q63888 > $o),T:(q63888 > $o),X:q63888]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(q63888 > $o),T:(q63888 > $o),X:q63888]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aITERATEu_UNION, axiom, ![OP:(q63906 > q63906 > q63906)]:((monoidal @ OP) => ![F:(q63888 > q63906),S:(q63888 > $o),T:(q63888 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((iterate @ OP @ (union @ S @ T) @ F) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)))))).
thf(aMONOIDALu_AC, axiom, ![OP:(q63906 > q63906 > q63906)]:((monoidal @ OP) => (![A:q63906]:((OP @ (neutral @ OP) @ A) = A) & ![A:q63906]:((OP @ A @ (neutral @ OP)) = A) & ![A:q63906,B:q63906]:((OP @ A @ B) = (OP @ B @ A)) & ![A:q63906,B:q63906,C:q63906]:((OP @ (OP @ A @ B) @ C) = (OP @ A @ (OP @ B @ C))) & ![A:q63906,B:q63906,C:q63906]:((OP @ A @ (OP @ B @ C)) = (OP @ B @ (OP @ A @ C)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![OP:(q63906 > q63906 > q63906)]:((monoidal @ OP) => ![S:(q63888 > $o),T:(q63888 > $o),F:(q63888 > q63906)]:(((finite @ S) & (finite @ T)) => ((OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)) = (OP @ (iterate @ OP @ (union @ S @ T) @ F) @ (iterate @ OP @ (inter @ S @ T) @ F)))))).
