%   ORIGINAL: ITERATE_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SUPPORT: !op f x s. x IN support op f s <=> x IN s /\ ~(f x = neutral op)
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: ITERATE_EXPAND_CASES: !op f s. iterate op s f = (if FINITE (support op f s) then iterate op (support op f s) f else neutral op)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !op. monoidal op ==> (!P. P (neutral op) /\ (!x y. P x /\ P y ==> P (op x y)) ==> (!f s. (!x. x IN s /\ ~(f x = neutral op) ==> P (f x)) ==> P (iterate op s f)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !op f x s. x IN support op f s <=> x IN s /\ ~(f x = neutral op)
% Assm: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: !op f s. iterate op s f = (if FINITE (support op f s) then iterate op (support op f s) f else neutral op)
% Assm: ~F <=> T
% Assm: T
% Goal: !op. monoidal op ==> (!P. P (neutral op) /\ (!x y. P x /\ P y ==> P (op x y)) ==> (!f s. (!x. x IN s /\ ~(f x = neutral op) ==> P (f x)) ==> P (iterate op s f)))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csupport, type, support : ((b > b > b) > (a > b) > (a > $o) > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > b > b > b)).
thf(citerate, type, iterate : ((b > b > b) > (a > $o) > (a > b) > b)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cmonoidal, type, monoidal : ((b > b > b) > $o)).
thf(cneutral, type, neutral : ((b > b > b) > b)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:b,T2:b]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SUPPORT, axiom, ![OP:(b > b > b),F:(a > b),X:a,S:(a > $o)]:((in @ X @ (support @ OP @ F @ S)) <=> ((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))))).
thf(aITERATEu_CLAUSES, axiom, ![OP:(b > b > b)]:((monoidal @ OP) => (![F:(a > b)]:((iterate @ OP @ empty @ F) = (neutral @ OP)) & ![F:(a > b),X:a,S:(a > $o)]:((finite @ S) => ((iterate @ OP @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (iterate @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate @ OP @ S @ F)))))))).
thf(aITERATEu_EXPANDu_CASES, axiom, ![OP:(b > b > b),F:(a > b),S:(a > $o)]:((iterate @ OP @ S @ F) = (cond @ (finite @ (support @ OP @ F @ S)) @ (iterate @ OP @ (support @ OP @ F @ S) @ F) @ (neutral @ OP)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![OP:(b > b > b)]:((monoidal @ OP) => ![P:(b > $o)]:(((P @ (neutral @ OP)) & ![X:b,Y:b]:(((P @ X) & (P @ Y)) => (P @ (OP @ X @ Y)))) => ![F:(a > b),S:(a > $o)]:(![X:a]:(((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))) => (P @ (F @ X))) => (P @ (iterate @ OP @ S @ F)))))).
