%   ORIGINAL: ITERATE_DELETE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_DELETE: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: INSERT_DELETE: !x s. x IN s ==> x INSERT (s DELETE x) = s
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !op. monoidal op ==> (!f s a. FINITE s /\ a IN s ==> op (f a) (iterate op (s DELETE a) f) = iterate op s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: !x s. x IN s ==> x INSERT (s DELETE x) = s
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !op. monoidal op ==> (!f s a. FINITE s /\ a IN s ==> op (f a) (iterate op (s DELETE a) f) = iterate op s f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > b > b > b)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(citerate, type, iterate : ((b > b > b) > (a > $o) > (a > b) > b)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cmonoidal, type, monoidal : ((b > b > b) > $o)).
thf(cneutral, type, neutral : ((b > b > b) > b)).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (b > b)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:b,T2:b]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_DELETE, axiom, ![S:(a > $o),X:a]:((finite @ (delete @ S @ X)) <=> (finite @ S))).
thf(aINSERTu_DELETE, axiom, ![X:a,S:(a > $o)]:((in @ X @ S) => ((insert @ X @ (delete @ S @ X)) = S))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aITERATEu_CLAUSES, axiom, ![OP:(b > b > b)]:((monoidal @ OP) => (![F:(a > b)]:((iterate @ OP @ empty @ F) = (neutral @ OP)) & ![F:(a > b),X:a,S:(a > $o)]:((finite @ S) => ((iterate @ OP @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (iterate @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate @ OP @ S @ F)))))))).
thf(aIu_THM, axiom, ![X:b]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![OP:(b > b > b)]:((monoidal @ OP) => ![F:(a > b),S:(a > $o),A:a]:(((finite @ S) & (in @ A @ S)) => ((OP @ (F @ A) @ (iterate @ OP @ (delete @ S @ A) @ F)) = (iterate @ OP @ S @ F))))).
