%   ORIGINAL: ITERATE_DELTA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: ITERATE_SING: !op. monoidal op ==> (!f x. iterate op {x} f = f x)
% Assm: ITERATE_SUPPORT: !op f s. iterate op (support op f s) f = iterate op s f
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUPPORT_CLAUSES_conjunct0: !f. support op f {} = {}
% Assm: SUPPORT_CLAUSES_conjunct1: !f x s. support op f (x INSERT s) = (if f x = neutral op then support op f s else x INSERT support op f s)
% Assm: SUPPORT_DELTA: !op s f a. support op (\x. if x = a then f x else neutral op) s = (if a IN s then support op f {a} else {})
% Assm: TRUTH: T
% Goal: !op. monoidal op ==> (!f a s. iterate op s (\x. if x = a then f x else neutral op) = (if a IN s then f a else neutral op))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: !op. monoidal op ==> (!f x. iterate op {x} f = f x)
% Assm: !op f s. iterate op (support op f s) f = iterate op s f
% Assm: ~F <=> T
% Assm: !op f. support op f {} = {}
% Assm: !op f x s. support op f (x INSERT s) = (if f x = neutral op then support op f s else x INSERT support op f s)
% Assm: !op s f a. support op (\x. if x = a then f x else neutral op) s = (if a IN s then support op f {a} else {})
% Assm: T
% Goal: !op. monoidal op ==> (!f a s. iterate op s (\x. if x = a then f x else neutral op) = (if a IN s then f a else neutral op))
%  TYPES
thf(tq62935, type, q62935 : $tType).
thf(tq64281, type, q64281 : $tType).
thf(ta, type, a : $tType).
thf(tq64262, type, q64262 : $tType).
thf(tq63120, type, q63120 : $tType).
thf(tq62887, type, q62887 : $tType).
%  CONSTS
thf(cneutral, type, neutral : ((q64262 > q64262 > q64262) > q64262)).
thf(cempty, type, empty : (q64281 > $o)).
thf(cin, type, in : (q64281 > (q64281 > $o) > $o)).
thf(ccond1, type, cond1 : ($o > (q64281 > $o) > (q64281 > $o) > q64281 > $o)).
thf(ccond0, type, cond0 : ($o > (q62935 > $o) > (q62935 > $o) > q62935 > $o)).
thf(cinsert0, type, insert0 : (q62935 > (q62935 > $o) > q62935 > $o)).
thf(csupport1, type, support1 : ((q64262 > q64262 > q64262) > (q62935 > q64262) > (q62935 > $o) > q62935 > $o)).
thf(csupport0, type, support0 : ((q63120 > q63120 > q63120) > (q62887 > q63120) > (q62887 > $o) > q62887 > $o)).
thf(csupport, type, support : ((q64262 > q64262 > q64262) > (q64281 > q64262) > (q64281 > $o) > q64281 > $o)).
thf(cinsert, type, insert : (q64281 > (q64281 > $o) > q64281 > $o)).
thf(ccond, type, cond : ($o > q64262 > q64262 > q64262)).
thf(citerate, type, iterate : ((q64262 > q64262 > q64262) > (q64281 > $o) > (q64281 > q64262) > q64262)).
thf(cfinite, type, finite : ((q64281 > $o) > $o)).
thf(cmonoidal, type, monoidal : ((q64262 > q64262 > q64262) > $o)).
thf(cempty0, type, empty0 : (q62887 > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > q64281),G:(a > q64281)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q64262),G:(a > q64262)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:q64262,T2:q64262]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:q64262,C:$o,P:(q64262 > $o),Y:q64262]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aITERATEu_CLAUSES, axiom, ![OP:(q64262 > q64262 > q64262)]:((monoidal @ OP) => (![F:(q64281 > q64262)]:((iterate @ OP @ empty @ F) = (neutral @ OP)) & ![F:(q64281 > q64262),X:q64281,S:(q64281 > $o)]:((finite @ S) => ((iterate @ OP @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (iterate @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate @ OP @ S @ F)))))))).
thf(aITERATEu_SING, axiom, ![OP:(q64262 > q64262 > q64262)]:((monoidal @ OP) => ![F:(q64281 > q64262),X:q64281]:((iterate @ OP @ (insert @ X @ empty) @ F) = (F @ X)))).
thf(aITERATEu_SUPPORT, axiom, ![OP:(q64262 > q64262 > q64262),F:(q64281 > q64262),S:(q64281 > $o)]:((iterate @ OP @ (support @ OP @ F @ S) @ F) = (iterate @ OP @ S @ F))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUPPORTu_CLAUSESu_conjunct0, axiom, ![OP:(q63120 > q63120 > q63120),F:(q62887 > q63120)]:((support0 @ OP @ F @ empty0) = empty0)).
thf(aSUPPORTu_CLAUSESu_conjunct1, axiom, ![OP:(q64262 > q64262 > q64262),F:(q62935 > q64262),X:q62935,S:(q62935 > $o)]:((support1 @ OP @ F @ (insert0 @ X @ S)) = (cond0 @ ((F @ X) = (neutral @ OP)) @ (support1 @ OP @ F @ S) @ (insert0 @ X @ (support1 @ OP @ F @ S))))).
thf(aSUPPORTu_DELTA, axiom, ![OP:(q64262 > q64262 > q64262),S:(q64281 > $o),F:(q64281 > q64262),A:q64281]:((support @ OP @ ^[X:q64281]:(cond @ (X = A) @ (F @ X) @ (neutral @ OP)) @ S) = (cond1 @ (in @ A @ S) @ (support @ OP @ F @ (insert @ A @ empty)) @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![OP:(q64262 > q64262 > q64262)]:((monoidal @ OP) => ![F:(q64281 > q64262),A:q64281,S:(q64281 > $o)]:((iterate @ OP @ S @ ^[X:q64281]:(cond @ (X = A) @ (F @ X) @ (neutral @ OP))) = (cond @ (in @ A @ S) @ (F @ A) @ (neutral @ OP))))).
