%   ORIGINAL: ITERATE_EQ_GENERAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ITERATE_EQ: !op. monoidal op ==> (!f g s. (!x. x IN s ==> f x = g x) ==> iterate op s f = iterate op s g)
% Assm: ITERATE_IMAGE: !op. monoidal op ==> (!f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> iterate op (IMAGE f s) g = iterate op s (g o f))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !op. monoidal op ==> (!s t f g h. (!y. y IN t ==> (?!x. x IN s /\ h x = y)) /\ (!x. x IN s ==> h x IN t /\ g (h x) = f x) ==> iterate op s f = iterate op t g)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !op. monoidal op ==> (!f g s. (!x. x IN s ==> f x = g x) ==> iterate op s f = iterate op s g)
% Assm: !op. monoidal op ==> (!f g s. (!x. x IN s ==> f x = g x) ==> iterate op s f = iterate op s g)
% Assm: !op. monoidal op ==> (!f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> iterate op (IMAGE f s) g = iterate op s (g o f))
% Assm: !op. monoidal op ==> (!f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> iterate op (IMAGE f s) g = iterate op s (g o f))
% Assm: !op. monoidal op ==> (!f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> iterate op (IMAGE f s) g = iterate op s (g o f))
% Assm: !op. monoidal op ==> (!f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> iterate op (IMAGE f s) g = iterate op s (g o f))
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !op. monoidal op ==> (!s t f g h. (!y. y IN t ==> (?x. x IN s /\ h x = y) /\ (!x x'. (x IN s /\ h x = y) /\ x' IN s /\ h x' = y ==> x = x')) /\ (!x. x IN s ==> h x IN t /\ g (h x) = f x) ==> iterate op s f = iterate op t g)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(ci, type, i : (c > c)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(co4, type, o4 : ((b > a) > (a > b) > a > a)).
thf(co3, type, o3 : ((b > b) > (a > b) > a > b)).
thf(co2, type, o2 : ((a > c) > (a > a) > a > c)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(co0, type, o0 : ((a > c) > (b > a) > b > c)).
thf(co, type, o : ((b > c) > (b > b) > b > c)).
thf(cimage2, type, image2 : ((a > a) > (a > $o) > a > $o)).
thf(cimage1, type, image1 : ((b > a) > (b > $o) > a > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(cimage, type, image : ((b > b) > (b > $o) > b > $o)).
thf(citerate0, type, iterate0 : ((c > c > c) > (b > $o) > (b > c) > c)).
thf(citerate, type, iterate : ((c > c > c) > (a > $o) > (a > c) > c)).
thf(cmonoidal, type, monoidal : ((c > c > c) > $o)).
thf(ci1, type, i1 : (a > a)).
thf(ci0, type, i0 : (b > b)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > c),G:(a > c)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSIONu_monomorphized1, axiom, ![S:(b > $o),T:(b > $o)]:((S = T) <=> ![X:b]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aEXTENSIONu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aINu_IMAGEu_monomorphized3, axiom, ![Y:b,S:(b > $o),F:(b > b)]:((in @ Y @ (image @ F @ S)) <=> ?[X:b]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized2, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized1, axiom, ![Y:a,S:(b > $o),F:(b > a)]:((in0 @ Y @ (image1 @ F @ S)) <=> ?[X:b]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized0, axiom, ![Y:a,S:(a > $o),F:(a > a)]:((in0 @ Y @ (image2 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aITERATEu_EQu_monomorphized1, axiom, ![OP:(c > c > c)]:((monoidal @ OP) => ![F:(b > c),G:(b > c),S:(b > $o)]:(![X:b]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((iterate0 @ OP @ S @ F) = (iterate0 @ OP @ S @ G))))).
thf(aITERATEu_EQu_monomorphized0, axiom, ![OP:(c > c > c)]:((monoidal @ OP) => ![F:(a > c),G:(a > c),S:(a > $o)]:(![X:a]:((in0 @ X @ S) => ((F @ X) = (G @ X))) => ((iterate @ OP @ S @ F) = (iterate @ OP @ S @ G))))).
thf(aITERATEu_IMAGEu_monomorphized3, axiom, ![OP:(c > c > c)]:((monoidal @ OP) => ![F:(b > b),G:(b > c),S:(b > $o)]:(![X:b,Y:b]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((iterate0 @ OP @ (image @ F @ S) @ G) = (iterate0 @ OP @ S @ (o @ G @ F)))))).
thf(aITERATEu_IMAGEu_monomorphized2, axiom, ![OP:(c > c > c)]:((monoidal @ OP) => ![F:(b > a),G:(a > c),S:(b > $o)]:(![X:b,Y:b]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((iterate @ OP @ (image1 @ F @ S) @ G) = (iterate0 @ OP @ S @ (o0 @ G @ F)))))).
thf(aITERATEu_IMAGEu_monomorphized1, axiom, ![OP:(c > c > c)]:((monoidal @ OP) => ![F:(a > b),G:(b > c),S:(a > $o)]:(![X:a,Y:a]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((iterate0 @ OP @ (image0 @ F @ S) @ G) = (iterate @ OP @ S @ (o1 @ G @ F)))))).
thf(aITERATEu_IMAGEu_monomorphized0, axiom, ![OP:(c > c > c)]:((monoidal @ OP) => ![F:(a > a),G:(a > c),S:(a > $o)]:(![X:a,Y:a]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((iterate @ OP @ (image2 @ F @ S) @ G) = (iterate @ OP @ S @ (o2 @ G @ F)))))).
thf(aIu_THMu_monomorphized2, axiom, ![X:c]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:b]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i1 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THMu_monomorphized2, axiom, ![F:(b > c),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > b),G:(a > b),X:a]:((o3 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > a),G:(a > b),X:a]:((o4 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![OP:(c > c > c)]:((monoidal @ OP) => ![S:(a > $o),T:(b > $o),F:(a > c),G:(b > c),H:(a > b)]:((![Y:b]:((in @ Y @ T) => (?[X:a]:((in0 @ X @ S) & ((H @ X) = Y)) & ![X:a,XI_:a]:(((in0 @ X @ S) & ((H @ X) = Y) & (in0 @ XI_ @ S) & ((H @ XI_) = Y)) => (X = XI_)))) & ![X:a]:((in0 @ X @ S) => ((in @ (H @ X) @ T) & ((G @ (H @ X)) = (F @ X))))) => ((iterate @ OP @ S @ F) = (iterate0 @ OP @ T @ G))))).
