%   ORIGINAL: ITERATE_UNION_NONZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_SUPPORT: !op f s. FINITE s ==> FINITE (support op f s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_SUPPORT: !op f x s. x IN support op f s <=> x IN s /\ ~(f x = neutral op)
% Assm: ITERATE_SUPPORT: !op f s. iterate op (support op f s) f = iterate op s f
% Assm: ITERATE_UNION: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUPPORT_CLAUSES_conjunct3: !f s t. support op f (s UNION t) = support op f s UNION support op f t
% Assm: TRUTH: T
% Goal: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ (!x. x IN s INTER t ==> f x = neutral op) ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !op f s. FINITE s ==> FINITE (support op f s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !op f x s. x IN support op f s <=> x IN s /\ ~(f x = neutral op)
% Assm: !op f s. iterate op (support op f s) f = iterate op s f
% Assm: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !op f s t. support op f (s UNION t) = support op f s UNION support op f t
% Assm: T
% Goal: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ (!x. x IN s INTER t ==> f x = neutral op) ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
%  TYPES
thf(tq62869, type, q62869 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq63120, type, q63120 : $tType).
%  CONSTS
thf(cdisjoint, type, disjoint : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csupport1, type, support1 : ((q63120 > q63120 > q63120) > (a > q63120) > (a > $o) > a > $o)).
thf(csupport0, type, support0 : ((b > b > b) > (a > b) > (a > $o) > a > $o)).
thf(csupport, type, support : ((q62869 > q62869 > q62869) > (a > q62869) > (a > $o) > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(citerate, type, iterate : ((b > b > b) > (a > $o) > (a > b) > b)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cmonoidal, type, monoidal : ((b > b > b) > $o)).
thf(cneutral, type, neutral : ((b > b > b) > b)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(a > $o),T:(a > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_SUPPORT, axiom, ![OP:(q62869 > q62869 > q62869),F:(a > q62869),S:(a > $o)]:((finite @ S) => (finite @ (support @ OP @ F @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_SUPPORT, axiom, ![OP:(b > b > b),F:(a > b),X:a,S:(a > $o)]:((in @ X @ (support0 @ OP @ F @ S)) <=> ((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))))).
thf(aITERATEu_SUPPORT, axiom, ![OP:(b > b > b),F:(a > b),S:(a > $o)]:((iterate @ OP @ (support0 @ OP @ F @ S) @ F) = (iterate @ OP @ S @ F))).
thf(aITERATEu_UNION, axiom, ![OP:(b > b > b)]:((monoidal @ OP) => ![F:(a > b),S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((iterate @ OP @ (union @ S @ T) @ F) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSUPPORTu_CLAUSESu_conjunct3, axiom, ![OP:(q63120 > q63120 > q63120),F:(a > q63120),S:(a > $o),T:(a > $o)]:((support1 @ OP @ F @ (union @ S @ T)) = (union @ (support1 @ OP @ F @ S) @ (support1 @ OP @ F @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![OP:(b > b > b)]:((monoidal @ OP) => ![F:(a > b),S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T) & ![X:a]:((in @ X @ (inter @ S @ T)) => ((F @ X) = (neutral @ OP)))) => ((iterate @ OP @ (union @ S @ T) @ F) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)))))).
