%   ORIGINAL: ITERATE_OP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: MONOIDAL_AC: !op. monoidal op ==> (!a. op (neutral op) a = a) /\ (!a. op a (neutral op) = a) /\ (!a b. op a b = op b a) /\ (!a b c. op (op a b) c = op a (op b c)) /\ (!a b c. op a (op b c) = op b (op a c))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !op. monoidal op ==> (!f g s. FINITE s ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: !op. monoidal op ==> (!a. op (neutral op) a = a) /\ (!a. op a (neutral op) = a) /\ (!a b. op a b = op b a) /\ (!a b c. op (op a b) c = op a (op b c)) /\ (!a b c. op a (op b c) = op b (op a c))
% Assm: ~F <=> T
% Assm: T
% Goal: !op. monoidal op ==> (!f g s. FINITE s ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
%  TYPES
thf(ta, type, a : $tType).
thf(tq65238, type, q65238 : $tType).
thf(tq65239, type, q65239 : $tType).
%  CONSTS
thf(cin, type, in : (q65238 > (q65238 > $o) > $o)).
thf(cinsert, type, insert : (q65238 > (q65238 > $o) > q65238 > $o)).
thf(ccond, type, cond : ($o > q65239 > q65239 > q65239)).
thf(citerate, type, iterate : ((q65239 > q65239 > q65239) > (q65238 > $o) > (q65238 > q65239) > q65239)).
thf(cfinite, type, finite : ((q65238 > $o) > $o)).
thf(cmonoidal, type, monoidal : ((q65239 > q65239 > q65239) > $o)).
thf(cneutral, type, neutral : ((q65239 > q65239 > q65239) > q65239)).
thf(cempty, type, empty : (q65238 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q65239),G:(a > q65239)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:q65239,T2:q65239]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q65238 > $o) > $o)]:(((P @ empty) & ![X:q65238,S:(q65238 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q65238 > $o)]:((finite @ S) => (P @ S)))).
thf(aITERATEu_CLAUSES, axiom, ![OP:(q65239 > q65239 > q65239)]:((monoidal @ OP) => (![F:(q65238 > q65239)]:((iterate @ OP @ empty @ F) = (neutral @ OP)) & ![F:(q65238 > q65239),X:q65238,S:(q65238 > $o)]:((finite @ S) => ((iterate @ OP @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (iterate @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate @ OP @ S @ F)))))))).
thf(aMONOIDALu_AC, axiom, ![OP:(q65239 > q65239 > q65239)]:((monoidal @ OP) => (![A:q65239]:((OP @ (neutral @ OP) @ A) = A) & ![A:q65239]:((OP @ A @ (neutral @ OP)) = A) & ![A:q65239,B:q65239]:((OP @ A @ B) = (OP @ B @ A)) & ![A:q65239,B:q65239,C:q65239]:((OP @ (OP @ A @ B) @ C) = (OP @ A @ (OP @ B @ C))) & ![A:q65239,B:q65239,C:q65239]:((OP @ A @ (OP @ B @ C)) = (OP @ B @ (OP @ A @ C)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![OP:(q65239 > q65239 > q65239)]:((monoidal @ OP) => ![F:(q65238 > q65239),G:(q65238 > q65239),S:(q65238 > $o)]:((finite @ S) => ((iterate @ OP @ S @ ^[X:q65238]:(OP @ (F @ X) @ (G @ X))) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ S @ G)))))).
