%   ORIGINAL: ITERATE_OP_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ITERATE_OP: !op. monoidal op ==> (!f g s. FINITE s ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
% Assm: ITERATE_SUPERSET: !op. monoidal op ==> (!f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = neutral op) ==> iterate op v f = iterate op u f)
% Assm: ITERATE_SUPPORT: !op f s. iterate op (support op f s) f = iterate op s f
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: monoidal: !op. monoidal op <=> (!x y. op x y = op y x) /\ (!x y z. op x (op y z) = op (op x y) z) /\ (!x. op (neutral op) x = x)
% Assm: support: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !op. monoidal op ==> (!f g s. FINITE (support op f s) /\ FINITE (support op g s) ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !op. monoidal op ==> (!f g s. FINITE s ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
% Assm: !op. monoidal op ==> (!f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = neutral op) ==> iterate op v f = iterate op u f)
% Assm: !op f s. iterate op (support op f s) f = iterate op s f
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !op. monoidal op <=> (!x y. op x y = op y x) /\ (!x y z. op x (op y z) = op (op x y) z) /\ (!x. op (neutral op) x = x)
% Assm: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !op. monoidal op ==> (!f g s. FINITE (support op f s) /\ FINITE (support op g s) ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(citerate, type, iterate : ((b > b > b) > (a > $o) > (a > b) > b)).
thf(csupport, type, support : ((b > b > b) > (a > b) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cmonoidal, type, monoidal : ((b > b > b) > $o)).
thf(cneutral, type, neutral : ((b > b > b) > b)).
thf(ci, type, i : (b > b)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_UNION, axiom, ![S:(a > $o),T:(a > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aITERATEu_OP, axiom, ![OP:(b > b > b)]:((monoidal @ OP) => ![F:(a > b),G:(a > b),S:(a > $o)]:((finite @ S) => ((iterate @ OP @ S @ ^[X:a]:(OP @ (F @ X) @ (G @ X))) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ S @ G)))))).
thf(aITERATEu_SUPERSET, axiom, ![OP:(b > b > b)]:((monoidal @ OP) => ![F:(a > b),U:(a > $o),V:(a > $o)]:(((subset @ U @ V) & ![X:a]:(((in0 @ X @ V) & ~ ((in0 @ X @ U))) => ((F @ X) = (neutral @ OP)))) => ((iterate @ OP @ V @ F) = (iterate @ OP @ U @ F))))).
thf(aITERATEu_SUPPORT, axiom, ![OP:(b > b > b),F:(a > b),S:(a > $o)]:((iterate @ OP @ (support @ OP @ F @ S) @ F) = (iterate @ OP @ S @ F))).
thf(aIu_THM, axiom, ![X:b]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(amonoidal, axiom, ![OP:(b > b > b)]:((monoidal @ OP) <=> (![X:b,Y:b]:((OP @ X @ Y) = (OP @ Y @ X)) & ![X:b,Y:b,Z:b]:((OP @ X @ (OP @ Y @ Z)) = (OP @ (OP @ X @ Y) @ Z)) & ![X:b]:((OP @ (neutral @ OP) @ X) = X)))).
thf(asupport, axiom, ![S:(a > $o),F:(a > b),OP:(b > b > b)]:((support @ OP @ F @ S) = (gspec0 @ ^[GENR_PVARR_143:a]:?[X:a]:(setspec0 @ GENR_PVARR_143 @ ((in0 @ X @ S) & ~ (((F @ X) = (neutral @ OP)))) @ X)))).
thf(conjecture, conjecture, ![OP:(b > b > b)]:((monoidal @ OP) => ![F:(a > b),G:(a > b),S:(a > $o)]:(((finite @ (support @ OP @ F @ S)) & (finite @ (support @ OP @ G @ S))) => ((iterate @ OP @ S @ ^[X:a]:(OP @ (F @ X) @ (G @ X))) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ S @ G)))))).
