%   ORIGINAL: NSUM_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_UNION: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> nsum (s UNION t) f = nsum s f + nsum t f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: monoidal (+)
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> nsum (s UNION t) f = nsum s f + nsum t f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq66132, type, q66132 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((q66132 > $o) > (q66132 > num) > num)).
thf(cdisjoint, type, disjoint : ((q66132 > $o) > (q66132 > $o) > $o)).
thf(citerate, type, iterate : ((num > num > num) > (q66132 > $o) > (q66132 > num) > num)).
thf(cunion, type, union : ((q66132 > $o) > (q66132 > $o) > q66132 > $o)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cfinite, type, finite : ((q66132 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_UNION, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(q66132 > num),S:(q66132 > $o),T:(q66132 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((iterate @ OP @ (union @ S @ T) @ F) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![F:(q66132 > num),S:(q66132 > $o),T:(q66132 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((nsum @ (union @ S @ T) @ F) = (p_ @ (nsum @ S @ F) @ (nsum @ T @ F))))).
