%   ORIGINAL: NSUM_SUPPORT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUPPORT_SUPPORT: !op f s. support op f (support op f s) = support op f s
% Assm: TRUTH: T
% Assm: iterate: !f s op. iterate op s f = (if FINITE (support op f s) then ITSET (\x a. op (f x) a) (support op f s) (neutral op) else neutral op)
% Assm: nsum: nsum = iterate (+)
% Goal: !f s. nsum (support (+) f s) f = nsum s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !op f s. support op f (support op f s) = support op f s
% Assm: T
% Assm: !f s op. iterate op s f = (if FINITE (support op f s) then ITSET (\x a. op (f x) a) (support op f s) (neutral op) else neutral op)
% Assm: nsum = iterate (+)
% Goal: !f s. nsum (support (+) f s) f = nsum s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq66276, type, q66276 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((q66276 > $o) > (q66276 > num) > num)).
thf(citset, type, itset : ((q66276 > num > num) > (q66276 > $o) > num > num)).
thf(citerate, type, iterate : ((num > num > num) > (q66276 > $o) > (q66276 > num) > num)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(csupport, type, support : ((num > num > num) > (q66276 > num) > (q66276 > $o) > q66276 > $o)).
thf(cfinite, type, finite : ((q66276 > $o) > $o)).
thf(cneutral, type, neutral : ((num > num > num) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUPPORTu_SUPPORT, axiom, ![OP:(num > num > num),F:(q66276 > num),S:(q66276 > $o)]:((support @ OP @ F @ (support @ OP @ F @ S)) = (support @ OP @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(aiterate, axiom, ![F:(q66276 > num),S:(q66276 > $o),OP:(num > num > num)]:((iterate @ OP @ S @ F) = (cond @ (finite @ (support @ OP @ F @ S)) @ (itset @ ^[X:q66276,A:num]:(OP @ (F @ X) @ A) @ (support @ OP @ F @ S) @ (neutral @ OP)) @ (neutral @ OP)))).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![F:(q66276 > num),S:(q66276 > $o)]:((nsum @ (support @ p_ @ F @ S) @ F) = (nsum @ S @ F))).
