%   ORIGINAL: NSUM_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_OP: !op. monoidal op ==> (!f g s. FINITE s ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !f g s. FINITE s ==> nsum s (\x. f x + g x) = nsum s f + nsum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f g s. FINITE s ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
% Assm: monoidal (+)
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !f g s. FINITE s ==> nsum s (\x. f x + g x) = nsum s f + nsum s g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq66310, type, q66310 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((q66310 > $o) > (q66310 > num) > num)).
thf(citerate, type, iterate : ((num > num > num) > (q66310 > $o) > (q66310 > num) > num)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cfinite, type, finite : ((q66310 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_OP, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(q66310 > num),G:(q66310 > num),S:(q66310 > $o)]:((finite @ S) => ((iterate @ OP @ S @ ^[X:q66310]:(OP @ (F @ X) @ (G @ X))) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ S @ G)))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![F:(q66310 > num),G:(q66310 > num),S:(q66310 > $o)]:((finite @ S) => ((nsum @ S @ ^[X:q66310]:(p_ @ (F @ X) @ (G @ X))) = (p_ @ (nsum @ S @ F) @ (nsum @ S @ G))))).
