%   ORIGINAL: NSUM_ADD_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_OP_GEN: !op. monoidal op ==> (!f g s. FINITE (support op f s) /\ FINITE (support op g s) ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: NEUTRAL_ADD: neutral (+) = 0
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Assm: support: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !f g s. FINITE {x | x IN s /\ ~(f x = 0)} /\ FINITE {x | x IN s /\ ~(g x = 0)} ==> nsum s (\x. f x + g x) = nsum s f + nsum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f g s. FINITE (support op f s) /\ FINITE (support op g s) ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
% Assm: monoidal (+)
% Assm: neutral (+) = 0
% Assm: T
% Assm: nsum = iterate (+)
% Assm: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !f g s. FINITE {x | x IN s /\ ~(f x = 0)} /\ FINITE {x | x IN s /\ ~(g x = 0)} ==> nsum s (\x. f x + g x) = nsum s f + nsum s g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq66397, type, q66397 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((q66397 > $o) > (q66397 > num) > num)).
thf(cin, type, in : (q66397 > (q66397 > $o) > $o)).
thf(cgspec, type, gspec : ((q66397 > $o) > q66397 > $o)).
thf(citerate, type, iterate : ((num > num > num) > (q66397 > $o) > (q66397 > num) > num)).
thf(csupport, type, support : ((num > num > num) > (q66397 > num) > (q66397 > $o) > q66397 > $o)).
thf(csetspec, type, setspec : (q66397 > $o > q66397 > $o)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cfinite, type, finite : ((q66397 > $o) > $o)).
thf(cneutral, type, neutral : ((num > num > num) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_OPu_GEN, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(q66397 > num),G:(q66397 > num),S:(q66397 > $o)]:(((finite @ (support @ OP @ F @ S)) & (finite @ (support @ OP @ G @ S))) => ((iterate @ OP @ S @ ^[X:q66397]:(OP @ (F @ X) @ (G @ X))) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ S @ G)))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aNEUTRALu_ADD, axiom, ((neutral @ p_) = (numeral @ u_0))).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(asupport, axiom, ![S:(q66397 > $o),F:(q66397 > num),OP:(num > num > num)]:((support @ OP @ F @ S) = (gspec @ ^[GENR_PVARR_143:q66397]:?[X:q66397]:(setspec @ GENR_PVARR_143 @ ((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))) @ X)))).
thf(conjecture, conjecture, ![F:(q66397 > num),G:(q66397 > num),S:(q66397 > $o)]:(((finite @ (gspec @ ^[GENR_PVARR_156:q66397]:?[X:q66397]:(setspec @ GENR_PVARR_156 @ ((in @ X @ S) & ~ (((F @ X) = (numeral @ u_0)))) @ X))) & (finite @ (gspec @ ^[GENR_PVARR_157:q66397]:?[X:q66397]:(setspec @ GENR_PVARR_157 @ ((in @ X @ S) & ~ (((G @ X) = (numeral @ u_0)))) @ X)))) => ((nsum @ S @ ^[X:q66397]:(p_ @ (F @ X) @ (G @ X))) = (p_ @ (nsum @ S @ F) @ (nsum @ S @ G))))).
