%   ORIGINAL: NSUM_CLAUSES_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: NEUTRAL_ADD: neutral (+) = 0
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: monoidal (+)
% Assm: neutral (+) = 0
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq66106, type, q66106 : $tType).
thf(tq63405, type, q63405 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : (q66106 > (q66106 > $o) > $o)).
thf(cnsum, type, nsum : ((q66106 > $o) > (q66106 > num) > num)).
thf(citerate0, type, iterate0 : ((num > num > num) > (q66106 > $o) > (q66106 > num) > num)).
thf(citerate, type, iterate : ((num > num > num) > (q63405 > $o) > (q63405 > num) > num)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (q66106 > (q66106 > $o) > q66106 > $o)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cfinite, type, finite : ((q66106 > $o) > $o)).
thf(cneutral, type, neutral : ((num > num > num) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (q63405 > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_CLAUSES, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => (![F:(q63405 > num)]:((iterate @ OP @ empty @ F) = (neutral @ OP)) & ![F:(q66106 > num),X:q66106,S:(q66106 > $o)]:((finite @ S) => ((iterate0 @ OP @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (iterate0 @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate0 @ OP @ S @ F)))))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aNEUTRALu_ADD, axiom, ((neutral @ p_) = (numeral @ u_0))).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate0 @ p_))).
thf(conjecture, conjecture, ![X:q66106,F:(q66106 > num),S:(q66106 > $o)]:((finite @ S) => ((nsum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (nsum @ S @ F) @ (p_ @ (F @ X) @ (nsum @ S @ F)))))).
