%   ORIGINAL: NSUM_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ITERATE_EXPAND_CASES: !op f s. iterate op s f = (if FINITE (support op f s) then iterate op (support op f s) f else neutral op)
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_EQ_0: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: NEUTRAL_ADD: neutral (+) = 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_0: !s. nsum s (\n. 0) = 0
% Assm: NSUM_CLAUSES_conjunct0: !f. nsum {} f = 0
% Assm: NSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Assm: support: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !f c s. nsum s (\x. c * f x) = c * nsum s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !op f s. iterate op s f = (if FINITE (support op f s) then iterate op (support op f s) f else neutral op)
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: neutral (+) = 0
% Assm: ~F <=> T
% Assm: !s. nsum s (\n. 0) = 0
% Assm: !f. nsum {} f = 0
% Assm: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: T
% Assm: nsum = iterate (+)
% Assm: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !f c s. nsum s (\x. c * f x) = c * nsum s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq63257, type, q63257 : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(csupport0, type, support0 : ((num > num > num) > (a > num) > (a > $o) > a > $o)).
thf(citerate0, type, iterate0 : ((num > num > num) > (a > $o) > (a > num) > num)).
thf(csupport, type, support : ((num > num > num) > (q63257 > num) > (q63257 > $o) > q63257 > $o)).
thf(citerate, type, iterate : ((num > num > num) > (q63257 > $o) > (q63257 > num) > num)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cfinite0, type, finite0 : ((q63257 > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cneutral, type, neutral : ((num > num > num) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aITERATEu_EXPANDu_CASES, axiom, ![OP:(num > num > num),F:(q63257 > num),S:(q63257 > $o)]:((iterate @ OP @ S @ F) = (cond @ (finite0 @ (support @ OP @ F @ S)) @ (iterate @ OP @ (support @ OP @ F @ S) @ F) @ (neutral @ OP)))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_EQu_0, axiom, ![M:num,N:num]:(((t_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) | (N = (numeral @ u_0))))).
thf(aNEUTRALu_ADD, axiom, ((neutral @ p_) = (numeral @ u_0))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_0, axiom, ![S:(a > $o)]:((nsum @ S @ ^[N:a]:(numeral @ u_0)) = (numeral @ u_0))).
thf(aNSUMu_CLAUSESu_conjunct0, axiom, ![F:(a > num)]:((nsum @ empty @ F) = (numeral @ u_0))).
thf(aNSUMu_CLAUSESu_conjunct1, axiom, ![X:a,F:(a > num),S:(a > $o)]:((finite @ S) => ((nsum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (nsum @ S @ F) @ (p_ @ (F @ X) @ (nsum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate0 @ p_))).
thf(asupport, axiom, ![S:(a > $o),F:(a > num),OP:(num > num > num)]:((support0 @ OP @ F @ S) = (gspec @ ^[GENR_PVARR_143:a]:?[X:a]:(setspec @ GENR_PVARR_143 @ ((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))) @ X)))).
thf(conjecture, conjecture, ![F:(a > num),C:num,S:(a > $o)]:((nsum @ S @ ^[X:a]:(t_ @ C @ (F @ X))) = (t_ @ C @ (nsum @ S @ F)))).
