%   ORIGINAL: NSUM_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_DELETE: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: LTE_ADD2: !m n p q. m < p /\ n <= q ==> m + n < p + q
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: NSUM_LE: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> nsum s f <= nsum s g
% Assm: TRUTH: T
% Goal: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) /\ (?x. x IN s /\ f x < g x) ==> nsum s f < nsum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !m n p q. m < p /\ n <= q ==> m + n < p + q
% Assm: ~F <=> T
% Assm: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> nsum s f <= nsum s g
% Assm: T
% Goal: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) /\ (?x. x IN s /\ f x < g x) ==> nsum s f < nsum s g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccond0, type, cond0 : ($o > num > num > num)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_DELETE, axiom, ![S:(a > $o),X:a]:((finite @ (delete @ S @ X)) <=> (finite @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aLTEu_ADD2, axiom, ![M:num,N:num,P:num,Q:num]:(((l_ @ M @ P) & (l_a_ @ N @ Q)) => (l_ @ (p_ @ M @ N) @ (p_ @ P @ Q)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_CLAUSESu_conjunct1, axiom, ![X:a,F:(a > num),S:(a > $o)]:((finite @ S) => ((nsum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (nsum @ S @ F) @ (p_ @ (F @ X) @ (nsum @ S @ F)))))).
thf(aNSUMu_LE, axiom, ![F:(a > num),G:(a > num),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (l_a_ @ (F @ X) @ (G @ X)))) => (l_a_ @ (nsum @ S @ F) @ (nsum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > num),G:(a > num),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (l_a_ @ (F @ X) @ (G @ X))) & ?[X:a]:((in @ X @ S) & (l_ @ (F @ X) @ (G @ X)))) => (l_ @ (nsum @ S @ F) @ (nsum @ S @ G)))).
