%   ORIGINAL: NSUM_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_EQ: !op. monoidal op ==> (!f g s. (!x. x IN s ==> f x = g x) ==> iterate op s f = iterate op s g)
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> nsum s f = nsum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f g s. (!x. x IN s ==> f x = g x) ==> iterate op s f = iterate op s g)
% Assm: monoidal (+)
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> nsum s f = nsum s g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq66747, type, q66747 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((q66747 > $o) > (q66747 > num) > num)).
thf(cin, type, in : (q66747 > (q66747 > $o) > $o)).
thf(citerate, type, iterate : ((num > num > num) > (q66747 > $o) > (q66747 > num) > num)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_EQ, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(q66747 > num),G:(q66747 > num),S:(q66747 > $o)]:(![X:q66747]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((iterate @ OP @ S @ F) = (iterate @ OP @ S @ G))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![F:(q66747 > num),G:(q66747 > num),S:(q66747 > $o)]:(![X:q66747]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((nsum @ S @ F) = (nsum @ S @ G)))).
