%   ORIGINAL: NSUM_DELTA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_DELTA: !op. monoidal op ==> (!f a s. iterate op s (\x. if x = a then f x else neutral op) = (if a IN s then f a else neutral op))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: NEUTRAL_ADD: neutral (+) = 0
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !s a. nsum s (\x. if x = a then b else 0) = (if a IN s then b else 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f a s. iterate op s (\x. if x = a then f x else neutral op) = (if a IN s then f a else neutral op))
% Assm: monoidal (+)
% Assm: neutral (+) = 0
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !b s a. nsum s (\x. if x = a then b else 0) = (if a IN s then b else 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(citerate, type, iterate : ((num > num > num) > (a > $o) > (a > num) > num)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cneutral, type, neutral : ((num > num > num) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_DELTA, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(a > num),A:a,S:(a > $o)]:((iterate @ OP @ S @ ^[X:a]:(cond @ (X = A) @ (F @ X) @ (neutral @ OP))) = (cond @ (in @ A @ S) @ (F @ A) @ (neutral @ OP))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aNEUTRALu_ADD, axiom, ((neutral @ p_) = (numeral @ u_0))).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![B:num,S:(a > $o),A:a]:((nsum @ S @ ^[X:a]:(cond @ (X = A) @ B @ (numeral @ u_0))) = (cond @ (in @ A @ S) @ B @ (numeral @ u_0)))).
