%   ORIGINAL: NSUM_SWAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_0: !s. nsum s (\n. 0) = 0
% Assm: NSUM_ADD: !f g s. FINITE s ==> nsum s (\x. f x + g x) = nsum s f + nsum s g
% Assm: NSUM_CLAUSES_conjunct0: !f. nsum {} f = 0
% Assm: NSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: TRUTH: T
% Goal: !f s t. FINITE s /\ FINITE t ==> nsum s (\i. nsum t (f i)) = nsum t (\j. nsum s (\i. f i j))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: !s. nsum s (\n. 0) = 0
% Assm: !s. nsum s (\n. 0) = 0
% Assm: !f g s. FINITE s ==> nsum s (\x. f x + g x) = nsum s f + nsum s g
% Assm: !f g s. FINITE s ==> nsum s (\x. f x + g x) = nsum s f + nsum s g
% Assm: !f. nsum {} f = 0
% Assm: !f. nsum {} f = 0
% Assm: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: T
% Goal: !f s t. FINITE s /\ FINITE t ==> nsum s (\i. nsum t (f i)) = nsum t (\j. nsum s (\i. f i j))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cempty, type, empty : (b > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(cnsum0, type, nsum0 : ((b > $o) > (b > num) > num)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(cinsert, type, insert : (b > (b > $o) > b > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONGu_monomorphized1, axiom, ![P:((b > $o) > $o)]:(((P @ empty) & ![X:b,S:(b > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite0 @ S)) => (P @ (insert @ X @ S)))) => ![S:(b > $o)]:((finite0 @ S) => (P @ S)))).
thf(aFINITEu_INDUCTu_STRONGu_monomorphized0, axiom, ![P:((a > $o) > $o)]:(((P @ empty0) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in0 @ X @ S)) & (finite @ S)) => (P @ (insert0 @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_0u_monomorphized1, axiom, ![S:(b > $o)]:((nsum0 @ S @ ^[N:b]:(numeral @ u_0)) = (numeral @ u_0))).
thf(aNSUMu_0u_monomorphized0, axiom, ![S:(a > $o)]:((nsum @ S @ ^[N:a]:(numeral @ u_0)) = (numeral @ u_0))).
thf(aNSUMu_ADDu_monomorphized1, axiom, ![F:(b > num),G:(b > num),S:(b > $o)]:((finite0 @ S) => ((nsum0 @ S @ ^[X:b]:(p_ @ (F @ X) @ (G @ X))) = (p_ @ (nsum0 @ S @ F) @ (nsum0 @ S @ G))))).
thf(aNSUMu_ADDu_monomorphized0, axiom, ![F:(a > num),G:(a > num),S:(a > $o)]:((finite @ S) => ((nsum @ S @ ^[X:a]:(p_ @ (F @ X) @ (G @ X))) = (p_ @ (nsum @ S @ F) @ (nsum @ S @ G))))).
thf(aNSUMu_CLAUSESu_conjunct0u_monomorphized1, axiom, ![F:(b > num)]:((nsum0 @ empty @ F) = (numeral @ u_0))).
thf(aNSUMu_CLAUSESu_conjunct0u_monomorphized0, axiom, ![F:(a > num)]:((nsum @ empty0 @ F) = (numeral @ u_0))).
thf(aNSUMu_CLAUSESu_conjunct1u_monomorphized1, axiom, ![X:b,F:(b > num),S:(b > $o)]:((finite0 @ S) => ((nsum0 @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (nsum0 @ S @ F) @ (p_ @ (F @ X) @ (nsum0 @ S @ F)))))).
thf(aNSUMu_CLAUSESu_conjunct1u_monomorphized0, axiom, ![X:a,F:(a > num),S:(a > $o)]:((finite @ S) => ((nsum @ (insert0 @ X @ S) @ F) = (cond @ (in0 @ X @ S) @ (nsum @ S @ F) @ (p_ @ (F @ X) @ (nsum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b > num),S:(a > $o),T:(b > $o)]:(((finite @ S) & (finite0 @ T)) => ((nsum @ S @ ^[I:a]:(nsum0 @ T @ (F @ I))) = (nsum0 @ T @ ^[J:b]:(nsum @ S @ ^[I:a]:(F @ I @ J)))))).
