%   ORIGINAL: NSUM_SUPERSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ITERATE_SUPERSET: !op. monoidal op ==> (!f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = neutral op) ==> iterate op v f = iterate op u f)
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: NEUTRAL_ADD: neutral (+) = 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = 0) ==> nsum v f = nsum u f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !op. monoidal op ==> (!f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = neutral op) ==> iterate op v f = iterate op u f)
% Assm: monoidal (+)
% Assm: neutral (+) = 0
% Assm: ~F <=> T
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = 0) ==> nsum v f = nsum u f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(citerate, type, iterate : ((num > num > num) > (a > $o) > (a > num) > num)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cneutral, type, neutral : ((num > num > num) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aITERATEu_SUPERSET, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(a > num),U:(a > $o),V:(a > $o)]:(((subset @ U @ V) & ![X:a]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (neutral @ OP)))) => ((iterate @ OP @ V @ F) = (iterate @ OP @ U @ F))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aNEUTRALu_ADD, axiom, ((neutral @ p_) = (numeral @ u_0))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![F:(a > num),U:(a > $o),V:(a > $o)]:(((subset @ U @ V) & ![X:a]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (numeral @ u_0)))) => ((nsum @ V @ F) = (nsum @ U @ F)))).
