%   ORIGINAL: NSUM_BOUND_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_EQ_0: !s. FINITE s ==> (CARD s = 0 <=> s = {})
% Assm: LE_MULT_LCANCEL: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: LE_RDIV_EQ: !a b n. ~(a = 0) ==> (n <= b DIV a <=> a * n <= b)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_BOUND: !s f b. FINITE s /\ (!x. x IN s ==> f x <= b) ==> nsum s f <= CARD s * b
% Assm: NSUM_LMUL: !f c s. nsum s (\x. c * f x) = c * nsum s f
% Assm: TRUTH: T
% Goal: !s f b. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x <= b DIV CARD s) ==> nsum s f <= b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. FINITE s ==> (CARD s = 0 <=> s = {})
% Assm: !m n p. m * n <= m * p <=> m = 0 \/ n <= p
% Assm: !a b n. ~(a = 0) ==> (n <= b DIV a <=> a * n <= b)
% Assm: ~F <=> T
% Assm: !s f b. FINITE s /\ (!x. x IN s ==> f x <= b) ==> nsum s f <= CARD s * b
% Assm: !f c s. nsum s (\x. c * f x) = c * nsum s f
% Assm: T
% Goal: !s f b. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x <= b DIV CARD s) ==> nsum s f <= b
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cdiv, type, div : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_EQu_0, axiom, ![S:(a > $o)]:((finite @ S) => (((card @ S) = (numeral @ u_0)) <=> (S = empty)))).
thf(aLEu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (t_ @ M @ N) @ (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (l_a_ @ N @ P)))).
thf(aLEu_RDIVu_EQ, axiom, ![A:num,B:num,N:num]:(~ ((A = (numeral @ u_0))) => ((l_a_ @ N @ (div @ B @ A)) <=> (l_a_ @ (t_ @ A @ N) @ B)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_BOUND, axiom, ![S:(a > $o),F:(a > num),B:num]:(((finite @ S) & ![X:a]:((in @ X @ S) => (l_a_ @ (F @ X) @ B))) => (l_a_ @ (nsum @ S @ F) @ (t_ @ (card @ S) @ B)))).
thf(aNSUMu_LMUL, axiom, ![F:(a > num),C:num,S:(a > $o)]:((nsum @ S @ ^[X:a]:(t_ @ C @ (F @ X))) = (t_ @ C @ (nsum @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > num),B:num]:(((finite @ S) & ~ ((S = empty)) & ![X:a]:((in @ X @ S) => (l_a_ @ (F @ X) @ (div @ B @ (card @ S))))) => (l_a_ @ (nsum @ S @ F) @ B))).
