%   ORIGINAL: NSUM_BOUND_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LE_REFL: !n. n <= n
% Assm: LTE_TRANS: !m n p. m < n /\ n <= p ==> m < p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_CONST: !c s. FINITE s ==> nsum s (\n. c) = CARD s * c
% Assm: NSUM_LT: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) /\ (?x. x IN s /\ f x < g x) ==> nsum s f < nsum s g
% Assm: TRUTH: T
% Goal: !s f b. FINITE s /\ (!x. x IN s ==> f x <= b) /\ (?x. x IN s /\ f x < b) ==> nsum s f < CARD s * b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !n. n <= n
% Assm: !m n p. m < n /\ n <= p ==> m < p
% Assm: ~F <=> T
% Assm: !c s. FINITE s ==> nsum s (\n. c) = CARD s * c
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) /\ (?x. x IN s /\ f x < g x) ==> nsum s f < nsum s g
% Assm: T
% Goal: !s f b. FINITE s /\ (!x. x IN s ==> f x <= b) /\ (?x. x IN s /\ f x < b) ==> nsum s f < CARD s * b
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLTEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_a_ @ N @ P)) => (l_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_CONST, axiom, ![C:num,S:(a > $o)]:((finite @ S) => ((nsum @ S @ ^[N:a]:C) = (t_ @ (card @ S) @ C)))).
thf(aNSUMu_LT, axiom, ![F:(a > num),G:(a > num),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (l_a_ @ (F @ X) @ (G @ X))) & ?[X:a]:((in @ X @ S) & (l_ @ (F @ X) @ (G @ X)))) => (l_ @ (nsum @ S @ F) @ (nsum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > num),B:num]:(((finite @ S) & ![X:a]:((in @ X @ S) => (l_a_ @ (F @ X) @ B)) & ?[X:a]:((in @ X @ S) & (l_ @ (F @ X) @ B))) => (l_ @ (nsum @ S @ F) @ (t_ @ (card @ S) @ B)))).
