%   ORIGINAL: NSUM_UNION_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_UNION: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> nsum (s UNION t) f = nsum s f + nsum t f
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> nsum s f + nsum t f = nsum u f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> nsum (s UNION t) f = nsum s f + nsum t f
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> nsum s f + nsum t f = nsum u f
%  TYPES
thf(tq67590, type, q67590 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cempty, type, empty : (q67590 > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (q67590 > (q67590 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((q67590 > $o) > (q67590 > $o) > $o)).
thf(cdisjoint, type, disjoint : ((q67590 > $o) > (q67590 > $o) > $o)).
thf(cnsum, type, nsum : ((q67590 > $o) > (q67590 > num) > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cunion, type, union : ((q67590 > $o) > (q67590 > $o) > q67590 > $o)).
thf(cinter, type, inter : ((q67590 > $o) > (q67590 > $o) > q67590 > $o)).
thf(cfinite, type, finite : ((q67590 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q67590 > $o),G:(a > q67590 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(q67590 > $o),T:(q67590 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(q67590 > $o)]:(^[X:q67590]:(T @ X) = T)).
thf(aFINITEu_SUBSET, axiom, ![S:(q67590 > $o),T:(q67590 > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(q67590 > $o),T:(q67590 > $o),X:q67590]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_UNION, axiom, ![F:(q67590 > num),S:(q67590 > $o),T:(q67590 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((nsum @ (union @ S @ T) @ F) = (p_ @ (nsum @ S @ F) @ (nsum @ T @ F))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q67590 > num),S:(q67590 > $o),T:(q67590 > $o),U:(q67590 > $o)]:(((finite @ U) & ((inter @ S @ T) = empty) & ((union @ S @ T) = U)) => ((p_ @ (nsum @ S @ F) @ (nsum @ T @ F)) = (nsum @ U @ F)))).
