%   ORIGINAL: NSUM_EQ_SUPERSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> nsum s f = nsum s g
% Assm: NSUM_SUPERSET: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = 0) ==> nsum v f = nsum u f
% Assm: TRUTH: T
% Goal: !f s t. FINITE t /\ t SUBSET s /\ (!x. x IN t ==> f x = g x) /\ (!x. x IN s /\ ~(x IN t) ==> f x = 0) ==> nsum s f = nsum t g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> nsum s f = nsum s g
% Assm: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = 0) ==> nsum v f = nsum u f
% Assm: T
% Goal: !g f s t. FINITE t /\ t SUBSET s /\ (!x. x IN t ==> f x = g x) /\ (!x. x IN s /\ ~(x IN t) ==> f x = 0) ==> nsum s f = nsum t g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:num]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_EQ, axiom, ![F:(a > num),G:(a > num),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((nsum @ S @ F) = (nsum @ S @ G)))).
thf(aNSUMu_SUPERSET, axiom, ![F:(a > num),U:(a > $o),V:(a > $o)]:(((subset @ U @ V) & ![X:a]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (numeral @ u_0)))) => ((nsum @ V @ F) = (nsum @ U @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![G:(a > num),F:(a > num),S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ T @ S) & ![X:a]:((in @ X @ T) => ((F @ X) = (G @ X))) & ![X:a]:(((in @ X @ S) & ~ ((in @ X @ T))) => ((F @ X) = (numeral @ u_0)))) => ((nsum @ S @ F) = (nsum @ T @ G)))).
