%   ORIGINAL: NSUM_RESTRICT_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NEUTRAL_ADD: neutral (+) = 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> nsum s f = nsum s g
% Assm: NSUM_SUPPORT: !f s. nsum (support (+) f s) f = nsum s f
% Assm: TRUTH: T
% Assm: support: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !P s f. nsum {x | x IN s /\ P x} f = nsum s (\x. if P x then f x else 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: neutral (+) = 0
% Assm: ~F <=> T
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> nsum s f = nsum s g
% Assm: !f s. nsum (support (+) f s) f = nsum s f
% Assm: T
% Assm: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !P s f. nsum {x | x IN s /\ P x} f = nsum s (\x. if P x then f x else 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(csupport, type, support : ((num > num > num) > (a > num) > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cneutral, type, neutral : ((num > num > num) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNEUTRALu_ADD, axiom, ((neutral @ p_) = (numeral @ u_0))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_EQ, axiom, ![F:(a > num),G:(a > num),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((nsum @ S @ F) = (nsum @ S @ G)))).
thf(aNSUMu_SUPPORT, axiom, ![F:(a > num),S:(a > $o)]:((nsum @ (support @ p_ @ F @ S) @ F) = (nsum @ S @ F))).
thf(aTRUTH, axiom, $true).
thf(asupport, axiom, ![S:(a > $o),F:(a > num),OP:(num > num > num)]:((support @ OP @ F @ S) = (gspec @ ^[GENR_PVARR_143:a]:?[X:a]:(setspec @ GENR_PVARR_143 @ ((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))) @ X)))).
thf(conjecture, conjecture, ![P:(a > $o),S:(a > $o),F:(a > num)]:((nsum @ (gspec @ ^[GENR_PVARR_158:a]:?[X:a]:(setspec @ GENR_PVARR_158 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) = (nsum @ S @ ^[X:a]:(cond @ (P @ X) @ (F @ X) @ (numeral @ u_0))))).
