%   ORIGINAL: NSUM_NSUM_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_RESTRICT_SET: !P s f. nsum {x | x IN s /\ P x} f = nsum s (\x. if P x then f x else 0)
% Assm: NSUM_SWAP: !f s t. FINITE s /\ FINITE t ==> nsum s (\i. nsum t (f i)) = nsum t (\j. nsum s (\i. f i j))
% Assm: TRUTH: T
% Goal: !R f s t. FINITE s /\ FINITE t ==> nsum s (\x. nsum {y | y IN t /\ R x y} (\y. f x y)) = nsum t (\y. nsum {x | x IN s /\ R x y} (\x. f x y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !P s f. nsum {x | x IN s /\ P x} f = nsum s (\x. if P x then f x else 0)
% Assm: !P s f. nsum {x | x IN s /\ P x} f = nsum s (\x. if P x then f x else 0)
% Assm: !f s t. FINITE s /\ FINITE t ==> nsum s (\i. nsum t (f i)) = nsum t (\j. nsum s (\i. f i j))
% Assm: !f s t. FINITE s /\ FINITE t ==> nsum s (\i. nsum t (f i)) = nsum t (\j. nsum s (\i. f i j))
% Assm: !f s t. FINITE s /\ FINITE t ==> nsum s (\i. nsum t (f i)) = nsum t (\j. nsum s (\i. f i j))
% Assm: !f s t. FINITE s /\ FINITE t ==> nsum s (\i. nsum t (f i)) = nsum t (\j. nsum s (\i. f i j))
% Assm: T
% Goal: !R f s t. FINITE s /\ FINITE t ==> nsum s (\x. nsum {y | y IN t /\ R x y} (\y. f x y)) = nsum t (\y. nsum {x | x IN s /\ R x y} (\x. f x y))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq67846, type, q67846 : $tType).
thf(tq67847, type, q67847 : $tType).
%  CONSTS
thf(cin0, type, in0 : (q67847 > (q67847 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q67847 > $o) > q67847 > $o)).
thf(cin, type, in : (q67846 > (q67846 > $o) > $o)).
thf(cgspec, type, gspec : ((q67846 > $o) > q67846 > $o)).
thf(cnsum0, type, nsum0 : ((q67846 > $o) > (q67846 > num) > num)).
thf(cnsum, type, nsum : ((q67847 > $o) > (q67847 > num) > num)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(csetspec0, type, setspec0 : (q67847 > $o > q67847 > $o)).
thf(csetspec, type, setspec : (q67846 > $o > q67846 > $o)).
thf(cfinite0, type, finite0 : ((q67846 > $o) > $o)).
thf(cfinite, type, finite : ((q67847 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_RESTRICTu_SETu_monomorphized1, axiom, ![P:(q67847 > $o),S:(q67847 > $o),F:(q67847 > num)]:((nsum @ (gspec0 @ ^[GENR_PVARR_158:q67847]:?[X:q67847]:(setspec0 @ GENR_PVARR_158 @ ((in0 @ X @ S) & (P @ X)) @ X)) @ F) = (nsum @ S @ ^[X:q67847]:(cond @ (P @ X) @ (F @ X) @ (numeral @ u_0))))).
thf(aNSUMu_RESTRICTu_SETu_monomorphized0, axiom, ![P:(q67846 > $o),S:(q67846 > $o),F:(q67846 > num)]:((nsum0 @ (gspec @ ^[GENR_PVARR_158:q67846]:?[X:q67846]:(setspec @ GENR_PVARR_158 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) = (nsum0 @ S @ ^[X:q67846]:(cond @ (P @ X) @ (F @ X) @ (numeral @ u_0))))).
thf(aNSUMu_SWAPu_monomorphized3, axiom, ![F:(q67847 > q67847 > num),S:(q67847 > $o),T:(q67847 > $o)]:(((finite @ S) & (finite @ T)) => ((nsum @ S @ ^[I:q67847]:(nsum @ T @ (F @ I))) = (nsum @ T @ ^[J:q67847]:(nsum @ S @ ^[I:q67847]:(F @ I @ J)))))).
thf(aNSUMu_SWAPu_monomorphized2, axiom, ![F:(q67847 > q67846 > num),S:(q67847 > $o),T:(q67846 > $o)]:(((finite @ S) & (finite0 @ T)) => ((nsum @ S @ ^[I:q67847]:(nsum0 @ T @ (F @ I))) = (nsum0 @ T @ ^[J:q67846]:(nsum @ S @ ^[I:q67847]:(F @ I @ J)))))).
thf(aNSUMu_SWAPu_monomorphized1, axiom, ![F:(q67846 > q67847 > num),S:(q67846 > $o),T:(q67847 > $o)]:(((finite0 @ S) & (finite @ T)) => ((nsum0 @ S @ ^[I:q67846]:(nsum @ T @ (F @ I))) = (nsum @ T @ ^[J:q67847]:(nsum0 @ S @ ^[I:q67846]:(F @ I @ J)))))).
thf(aNSUMu_SWAPu_monomorphized0, axiom, ![F:(q67846 > q67846 > num),S:(q67846 > $o),T:(q67846 > $o)]:(((finite0 @ S) & (finite0 @ T)) => ((nsum0 @ S @ ^[I:q67846]:(nsum0 @ T @ (F @ I))) = (nsum0 @ T @ ^[J:q67846]:(nsum0 @ S @ ^[I:q67846]:(F @ I @ J)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(q67847 > q67846 > $o),F:(q67847 > q67846 > num),S:(q67847 > $o),T:(q67846 > $o)]:(((finite @ S) & (finite0 @ T)) => ((nsum @ S @ ^[X:q67847]:(nsum0 @ (gspec @ ^[GENR_PVARR_159:q67846]:?[Y:q67846]:(setspec @ GENR_PVARR_159 @ ((in @ Y @ T) & (R @ X @ Y)) @ Y)) @ ^[Y:q67846]:(F @ X @ Y))) = (nsum0 @ T @ ^[Y:q67846]:(nsum @ (gspec0 @ ^[GENR_PVARR_160:q67847]:?[X:q67847]:(setspec0 @ GENR_PVARR_160 @ ((in0 @ X @ S) & (R @ X @ Y)) @ X)) @ ^[X:q67847]:(F @ X @ Y)))))).
