%   ORIGINAL: NSUM_MULTICOUNT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: NSUM_CONST: !c s. FINITE s ==> nsum s (\n. c) = CARD s * c
% Assm: NSUM_MULTICOUNT_GEN: !R s t k. FINITE s /\ FINITE t /\ (!j. j IN t ==> CARD {i | i IN s /\ R i j} = k j) ==> nsum s (\i. CARD {j | j IN t /\ R i j}) = nsum t (\i. k i)
% Assm: TRUTH: T
% Goal: !R s t k. FINITE s /\ FINITE t /\ (!j. j IN t ==> CARD {i | i IN s /\ R i j} = k) ==> nsum s (\i. CARD {j | j IN t /\ R i j}) = k * CARD t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m * n = n * m
% Assm: !c s. FINITE s ==> nsum s (\n. c) = CARD s * c
% Assm: !R s t k. FINITE s /\ FINITE t /\ (!j. j IN t ==> CARD {i | i IN s /\ R i j} = k j) ==> nsum s (\i. CARD {j | j IN t /\ R i j}) = nsum t (\i. k i)
% Assm: T
% Goal: !R s t k. FINITE s /\ FINITE t /\ (!j. j IN t ==> CARD {i | i IN s /\ R i j} = k) ==> nsum s (\i. CARD {j | j IN t /\ R i j}) = k * CARD t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cgspec0, type, gspec0 : ((b > $o) > b > $o)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(csetspec0, type, setspec0 : (b > $o > b > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((b > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aNSUMu_CONST, axiom, ![C:num,S:(a > $o)]:((finite @ S) => ((nsum @ S @ ^[N:a]:C) = (t_ @ (card @ S) @ C)))).
thf(aNSUMu_MULTICOUNTu_GEN, axiom, ![R:(a > a > $o),S:(a > $o),T:(a > $o),K:(a > num)]:(((finite @ S) & (finite @ T) & ![J:a]:((in0 @ J @ T) => ((card @ (gspec @ ^[GENR_PVARR_162:a]:?[I:a]:(setspec @ GENR_PVARR_162 @ ((in0 @ I @ S) & (R @ I @ J)) @ I))) = (K @ J)))) => ((nsum @ S @ ^[I:a]:(card @ (gspec @ ^[GENR_PVARR_163:a]:?[J:a]:(setspec @ GENR_PVARR_163 @ ((in0 @ J @ T) & (R @ I @ J)) @ J)))) = (nsum @ T @ ^[I:a]:(K @ I))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > b > $o),S:(a > $o),T:(b > $o),K:num]:(((finite @ S) & (finite0 @ T) & ![J:b]:((in @ J @ T) => ((card @ (gspec @ ^[GENR_PVARR_164:a]:?[I:a]:(setspec @ GENR_PVARR_164 @ ((in0 @ I @ S) & (R @ I @ J)) @ I))) = K))) => ((nsum @ S @ ^[I:a]:(card0 @ (gspec0 @ ^[GENR_PVARR_165:b]:?[J:b]:(setspec0 @ GENR_PVARR_165 @ ((in @ J @ T) & (R @ I @ J)) @ J)))) = (t_ @ K @ (card0 @ T))))).
