%   ORIGINAL: NSUM_IMAGE_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> nsum s f = nsum s g
% Assm: NSUM_NSUM_RESTRICT: !R f s t. FINITE s /\ FINITE t ==> nsum s (\x. nsum {y | y IN t /\ R x y} (\y. f x y)) = nsum t (\y. nsum {x | x IN s /\ R x y} (\x. f x y))
% Assm: NSUM_SING: !f x. nsum {x} f = f x
% Assm: TRUTH: T
% Goal: !f g s. FINITE s ==> nsum s g = nsum (IMAGE f s) (\y. nsum {x | x IN s /\ f x = y} g)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> nsum s f = nsum s g
% Assm: !R f s t. FINITE s /\ FINITE t ==> nsum s (\x. nsum {y | y IN t /\ R x y} (\y. f x y)) = nsum t (\y. nsum {x | x IN s /\ R x y} (\x. f x y))
% Assm: !f x. nsum {x} f = f x
% Assm: !f x. nsum {x} f = f x
% Assm: T
% Goal: !f g s. FINITE s ==> nsum s g = nsum (IMAGE f s) (\y. nsum {x | x IN s /\ f x = y} g)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cempty0, type, empty0 : (b > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cnsum0, type, nsum0 : ((b > $o) > (b > num) > num)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cinsert0, type, insert0 : (b > (b > $o) > b > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cimage0, type, image0 : ((a > a) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (finite @ (image0 @ F @ S)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:a,S:(a > $o),F:(a > a)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_EQ, axiom, ![F:(a > num),G:(a > num),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((nsum @ S @ F) = (nsum @ S @ G)))).
thf(aNSUMu_NSUMu_RESTRICT, axiom, ![R:(a > a > $o),F:(a > a > num),S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T)) => ((nsum @ S @ ^[X:a]:(nsum @ (gspec @ ^[GENR_PVARR_159:a]:?[Y:a]:(setspec @ GENR_PVARR_159 @ ((in @ Y @ T) & (R @ X @ Y)) @ Y)) @ ^[Y:a]:(F @ X @ Y))) = (nsum @ T @ ^[Y:a]:(nsum @ (gspec @ ^[GENR_PVARR_160:a]:?[X:a]:(setspec @ GENR_PVARR_160 @ ((in @ X @ S) & (R @ X @ Y)) @ X)) @ ^[X:a]:(F @ X @ Y)))))).
thf(aNSUMu_SINGu_monomorphized1, axiom, ![F:(b > num),X:b]:((nsum0 @ (insert0 @ X @ empty0) @ F) = (F @ X))).
thf(aNSUMu_SINGu_monomorphized0, axiom, ![F:(a > num),X:a]:((nsum @ (insert @ X @ empty) @ F) = (F @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),G:(a > num),S:(a > $o)]:((finite @ S) => ((nsum @ S @ G) = (nsum0 @ (image @ F @ S) @ ^[Y:b]:(nsum @ (gspec @ ^[GENR_PVARR_168:a]:?[X:a]:(setspec @ GENR_PVARR_168 @ ((in @ X @ S) & ((F @ X) = Y)) @ X)) @ G))))).
