%   ORIGINAL: NSUM_GROUP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_EQ_0: !f s. (!x. x IN s ==> f x = 0) ==> nsum s f = 0
% Assm: NSUM_IMAGE_GEN: !f g s. FINITE s ==> nsum s g = nsum (IMAGE f s) (\y. nsum {x | x IN s /\ f x = y} g)
% Assm: NSUM_SUPERSET: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = 0) ==> nsum v f = nsum u f
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f g s t. FINITE s /\ IMAGE f s SUBSET t ==> nsum t (\y. nsum {x | x IN s /\ f x = y} g) = nsum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f s. (!x. x IN s ==> f x = 0) ==> nsum s f = 0
% Assm: !f g s. FINITE s ==> nsum s g = nsum (IMAGE f s) (\y. nsum {x | x IN s /\ f x = y} g)
% Assm: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = 0) ==> nsum v f = nsum u f
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f g s t. FINITE s /\ IMAGE f s SUBSET t ==> nsum t (\y. nsum {x | x IN s /\ f x = y} g) = nsum s g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cnsum0, type, nsum0 : ((a > $o) > (a > num) > num)).
thf(cnsum, type, nsum : ((b > $o) > (b > num) > num)).
thf(csubset, type, subset : ((b > $o) > (b > $o) > $o)).
thf(cimage0, type, image0 : ((a > a) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(ci0, type, i0 : (b > b)).
thf(ci, type, i : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:a,S:(a > $o),F:(a > a)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:num]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:b]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_EQu_0, axiom, ![F:(a > num),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (numeral @ u_0))) => ((nsum0 @ S @ F) = (numeral @ u_0)))).
thf(aNSUMu_IMAGEu_GEN, axiom, ![F:(a > b),G:(a > num),S:(a > $o)]:((finite @ S) => ((nsum0 @ S @ G) = (nsum @ (image @ F @ S) @ ^[Y:b]:(nsum0 @ (gspec @ ^[GENR_PVARR_168:a]:?[X:a]:(setspec @ GENR_PVARR_168 @ ((in @ X @ S) & ((F @ X) = Y)) @ X)) @ G))))).
thf(aNSUMu_SUPERSET, axiom, ![F:(b > num),U:(b > $o),V:(b > $o)]:(((subset @ U @ V) & ![X:b]:(((in0 @ X @ V) & ~ ((in0 @ X @ U))) => ((F @ X) = (numeral @ u_0)))) => ((nsum @ V @ F) = (nsum @ U @ F)))).
thf(aSUBSET, axiom, ![S:(b > $o),T:(b > $o)]:((subset @ S @ T) <=> ![X:b]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),G:(a > num),S:(a > $o),T:(b > $o)]:(((finite @ S) & (subset @ (image @ F @ S) @ T)) => ((nsum @ T @ ^[Y:b]:(nsum0 @ (gspec @ ^[GENR_PVARR_169:a]:?[X:a]:(setspec @ GENR_PVARR_169 @ ((in @ X @ S) & ((F @ X) = Y)) @ X)) @ G)) = (nsum0 @ S @ G)))).
