%   ORIGINAL: NSUM_IMAGE_NONZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_IMAGE_NONZERO: !op. monoidal op ==> (!g f s. FINITE s /\ (!x y. x IN s /\ y IN s /\ ~(x = y) /\ f x = f y ==> g (f x) = neutral op) ==> iterate op (IMAGE f s) g = iterate op s (g o f))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: NEUTRAL_ADD: neutral (+) = 0
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !d i s. FINITE s /\ (!x y. x IN s /\ y IN s /\ ~(x = y) /\ i x = i y ==> d (i x) = 0) ==> nsum (IMAGE i s) d = nsum s (d o i)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!g f s. FINITE s /\ (!x y. x IN s /\ y IN s /\ ~(x = y) /\ f x = f y ==> g (f x) = neutral op) ==> iterate op (IMAGE f s) g = iterate op s (g o f))
% Assm: monoidal (+)
% Assm: neutral (+) = 0
% Assm: T
% Assm: nsum = iterate (+)
% Assm: nsum = iterate (+)
% Goal: !d i s. FINITE s /\ (!x y. x IN s /\ y IN s /\ ~(x = y) /\ i x = i y ==> d (i x) = 0) ==> nsum (IMAGE i s) d = nsum s (d o i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum0, type, nsum0 : ((a > $o) > (a > num) > num)).
thf(cnsum, type, nsum : ((b > $o) > (b > num) > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(citerate0, type, iterate0 : ((num > num > num) > (a > $o) > (a > num) > num)).
thf(citerate, type, iterate : ((num > num > num) > (b > $o) > (b > num) > num)).
thf(co, type, o : ((b > num) > (a > b) > a > num)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cneutral, type, neutral : ((num > num > num) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_IMAGEu_NONZERO, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![G:(b > num),F:(a > b),S:(a > $o)]:(((finite @ S) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y)) & ((F @ X) = (F @ Y))) => ((G @ (F @ X)) = (neutral @ OP)))) => ((iterate @ OP @ (image @ F @ S) @ G) = (iterate0 @ OP @ S @ (o @ G @ F)))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aNEUTRALu_ADD, axiom, ((neutral @ p_) = (numeral @ u_0))).
thf(aTRUTH, axiom, $true).
thf(ansumu_monomorphized1, axiom, (nsum = (iterate @ p_))).
thf(ansumu_monomorphized0, axiom, (nsum0 = (iterate0 @ p_))).
thf(conjecture, conjecture, ![D:(b > num),I:(a > b),S:(a > $o)]:(((finite @ S) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y)) & ((I @ X) = (I @ Y))) => ((D @ (I @ X)) = (numeral @ u_0)))) => ((nsum @ (image @ I @ S) @ D) = (nsum0 @ S @ (o @ D @ I))))).
