%   ORIGINAL: NSUM_BIJECTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_BIJECTION: !op. monoidal op ==> (!f p s. (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?!x. x IN s /\ p x = y)) ==> iterate op s f = iterate op s (f o p))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !f p s. (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?!x. x IN s /\ p x = y)) ==> nsum s f = nsum s (f o p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f p s. (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?x. x IN s /\ p x = y) /\ (!x x'. (x IN s /\ p x = y) /\ x' IN s /\ p x' = y ==> x = x')) ==> iterate op s f = iterate op s (f o p))
% Assm: monoidal (+)
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !f p s. (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?x. x IN s /\ p x = y) /\ (!x x'. (x IN s /\ p x = y) /\ x' IN s /\ p x' = y ==> x = x')) ==> nsum s f = nsum s (f o p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(citerate, type, iterate : ((num > num > num) > (a > $o) > (a > num) > num)).
thf(co, type, o : ((a > num) > (a > a) > a > num)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_BIJECTION, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(a > num),P:(a > a),S:(a > $o)]:((![X:a]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![Y:a]:((in @ Y @ S) => (?[X:a]:((in @ X @ S) & ((P @ X) = Y)) & ![X:a,XI_:a]:(((in @ X @ S) & ((P @ X) = Y) & (in @ XI_ @ S) & ((P @ XI_) = Y)) => (X = XI_))))) => ((iterate @ OP @ S @ F) = (iterate @ OP @ S @ (o @ F @ P)))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![F:(a > num),P:(a > a),S:(a > $o)]:((![X:a]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![Y:a]:((in @ Y @ S) => (?[X:a]:((in @ X @ S) & ((P @ X) = Y)) & ![X:a,XI_:a]:(((in @ X @ S) & ((P @ X) = Y) & (in @ XI_ @ S) & ((P @ XI_) = Y)) => (X = XI_))))) => ((nsum @ S @ F) = (nsum @ S @ (o @ F @ P))))).
