%   ORIGINAL: NSUM_NSUM_PRODUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_ITERATE_PRODUCT: !op. monoidal op ==> (!s t x. FINITE s /\ (!i. i IN s ==> FINITE (t i)) ==> iterate op s (\i. iterate op (t i) (x i)) = iterate op {i,j | i IN s /\ j IN t i} (\(i,j). x i j))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !s t x. FINITE s /\ (!i. i IN s ==> FINITE (t i)) ==> nsum s (\i. nsum (t i) (x i)) = nsum {i,j | i IN s /\ j IN t i} (\(i,j). x i j)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!s t x. FINITE s /\ (!i. i IN s ==> FINITE (t i)) ==> iterate op s (\i. iterate op (t i) (x i)) = iterate op {i,j | i IN s /\ j IN t i} (\(i,j). x i j))
% Assm: monoidal (+)
% Assm: T
% Assm: nsum = iterate (+)
% Assm: nsum = iterate (+)
% Assm: nsum = iterate (+)
% Goal: !s t x. FINITE s /\ (!i. i IN s ==> FINITE (t i)) ==> nsum s (\i. nsum (t i) (x i)) = nsum {i,j | i IN s /\ j IN t i} (\(i,j). x i j)
%  TYPES
thf(tnum, type, num : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cgeq, type, geq : (num > num > $o)).
thf(cgabs, type, gabs : (((prodab > num) > $o) > prodab > num)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cgspec, type, gspec : ((prodab > $o) > prodab > $o)).
thf(cnsum1, type, nsum1 : ((prodab > $o) > (prodab > num) > num)).
thf(cnsum0, type, nsum0 : ((b > $o) > (b > num) > num)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(citerate1, type, iterate1 : ((num > num > num) > (prodab > $o) > (prodab > num) > num)).
thf(citerate0, type, iterate0 : ((num > num > num) > (b > $o) > (b > num) > num)).
thf(citerate, type, iterate : ((num > num > num) > (a > $o) > (a > num) > num)).
thf(ccu_, type, c_ : (a > b > prodab)).
thf(csetspec, type, setspec : (prodab > $o > prodab > $o)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_ITERATEu_PRODUCT, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![S:(a > $o),T:(a > b > $o),X:(a > b > num)]:(((finite @ S) & ![I:a]:((in @ I @ S) => (finite0 @ (T @ I)))) => ((iterate @ OP @ S @ ^[I:a]:(iterate0 @ OP @ (T @ I) @ (X @ I))) = (iterate1 @ OP @ (gspec @ ^[GENR_PVARR_147:prodab]:?[I:a,J:b]:(setspec @ GENR_PVARR_147 @ ((in @ I @ S) & (in0 @ J @ (T @ I))) @ (c_ @ I @ J))) @ (gabs @ ^[F:(prodab > num)]:![I:a,J:b]:(geq @ (F @ (c_ @ I @ J)) @ (X @ I @ J)))))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aTRUTH, axiom, $true).
thf(ansumu_monomorphized2, axiom, (nsum1 = (iterate1 @ p_))).
thf(ansumu_monomorphized1, axiom, (nsum0 = (iterate0 @ p_))).
thf(ansumu_monomorphized0, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > b > $o),X:(a > b > num)]:(((finite @ S) & ![I:a]:((in @ I @ S) => (finite0 @ (T @ I)))) => ((nsum @ S @ ^[I:a]:(nsum0 @ (T @ I) @ (X @ I))) = (nsum1 @ (gspec @ ^[GENR_PVARR_170:prodab]:?[I:a,J:b]:(setspec @ GENR_PVARR_170 @ ((in @ I @ S) & (in0 @ J @ (T @ I))) @ (c_ @ I @ J))) @ (gabs @ ^[F:(prodab > num)]:![I:a,J:b]:(geq @ (F @ (c_ @ I @ J)) @ (X @ I @ J))))))).
