%   ORIGINAL: NSUM_INJECTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_INJECTION: !op. monoidal op ==> (!f p s. FINITE s /\ (!x. x IN s ==> p x IN s) /\ (!x y. x IN s /\ y IN s /\ p x = p y ==> x = y) ==> iterate op s (f o p) = iterate op s f)
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !f p s. FINITE s /\ (!x. x IN s ==> p x IN s) /\ (!x y. x IN s /\ y IN s /\ p x = p y ==> x = y) ==> nsum s (f o p) = nsum s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f p s. FINITE s /\ (!x. x IN s ==> p x IN s) /\ (!x y. x IN s /\ y IN s /\ p x = p y ==> x = y) ==> iterate op s (f o p) = iterate op s f)
% Assm: monoidal (+)
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !f p s. FINITE s /\ (!x. x IN s ==> p x IN s) /\ (!x y. x IN s /\ y IN s /\ p x = p y ==> x = y) ==> nsum s (f o p) = nsum s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq68864, type, q68864 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((q68864 > $o) > (q68864 > num) > num)).
thf(cin, type, in : (q68864 > (q68864 > $o) > $o)).
thf(citerate, type, iterate : ((num > num > num) > (q68864 > $o) > (q68864 > num) > num)).
thf(co, type, o : ((q68864 > num) > (q68864 > q68864) > q68864 > num)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cfinite, type, finite : ((q68864 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q68864),G:(a > q68864)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_INJECTION, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(q68864 > num),P:(q68864 > q68864),S:(q68864 > $o)]:(((finite @ S) & ![X:q68864]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![X:q68864,Y:q68864]:(((in @ X @ S) & (in @ Y @ S) & ((P @ X) = (P @ Y))) => (X = Y))) => ((iterate @ OP @ S @ (o @ F @ P)) = (iterate @ OP @ S @ F))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![F:(q68864 > num),P:(q68864 > q68864),S:(q68864 > $o)]:(((finite @ S) & ![X:q68864]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![X:q68864,Y:q68864]:(((in @ X @ S) & (in @ Y @ S) & ((P @ X) = (P @ Y))) => (X = Y))) => ((nsum @ S @ (o @ F @ P)) = (nsum @ S @ F)))).
