%   ORIGINAL: NSUM_UNION_NONZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_UNION_NONZERO: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ (!x. x IN s INTER t ==> f x = neutral op) ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: NEUTRAL_ADD: neutral (+) = 0
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !f s t. FINITE s /\ FINITE t /\ (!x. x IN s INTER t ==> f x = 0) ==> nsum (s UNION t) f = nsum s f + nsum t f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ (!x. x IN s INTER t ==> f x = neutral op) ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: monoidal (+)
% Assm: neutral (+) = 0
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !f s t. FINITE s /\ FINITE t /\ (!x. x IN s INTER t ==> f x = 0) ==> nsum (s UNION t) f = nsum s f + nsum t f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq68907, type, q68907 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((q68907 > $o) > (q68907 > num) > num)).
thf(cin, type, in : (q68907 > (q68907 > $o) > $o)).
thf(citerate, type, iterate : ((num > num > num) > (q68907 > $o) > (q68907 > num) > num)).
thf(cunion, type, union : ((q68907 > $o) > (q68907 > $o) > q68907 > $o)).
thf(cinter, type, inter : ((q68907 > $o) > (q68907 > $o) > q68907 > $o)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cfinite, type, finite : ((q68907 > $o) > $o)).
thf(cneutral, type, neutral : ((num > num > num) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_UNIONu_NONZERO, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(q68907 > num),S:(q68907 > $o),T:(q68907 > $o)]:(((finite @ S) & (finite @ T) & ![X:q68907]:((in @ X @ (inter @ S @ T)) => ((F @ X) = (neutral @ OP)))) => ((iterate @ OP @ (union @ S @ T) @ F) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aNEUTRALu_ADD, axiom, ((neutral @ p_) = (numeral @ u_0))).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![F:(q68907 > num),S:(q68907 > $o),T:(q68907 > $o)]:(((finite @ S) & (finite @ T) & ![X:q68907]:((in @ X @ (inter @ S @ T)) => ((F @ X) = (numeral @ u_0)))) => ((nsum @ (union @ S @ T) @ F) = (p_ @ (nsum @ S @ F) @ (nsum @ T @ F))))).
