%   ORIGINAL: NSUM_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_CASES: !op. monoidal op ==> (!s P f g. FINITE s ==> iterate op s (\x. if P x then f x else g x) = op (iterate op {x | x IN s /\ P x} f) (iterate op {x | x IN s /\ ~P x} g))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !s P f g. FINITE s ==> nsum s (\x. if P x then f x else g x) = nsum {x | x IN s /\ P x} f + nsum {x | x IN s /\ ~P x} g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!s P f g. FINITE s ==> iterate op s (\x. if P x then f x else g x) = op (iterate op {x | x IN s /\ P x} f) (iterate op {x | x IN s /\ ~P x} g))
% Assm: monoidal (+)
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !s P f g. FINITE s ==> nsum s (\x. if P x then f x else g x) = nsum {x | x IN s /\ P x} f + nsum {x | x IN s /\ ~P x} g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(citerate, type, iterate : ((num > num > num) > (a > $o) > (a > num) > num)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_CASES, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![S:(a > $o),P:(a > $o),F:(a > num),G:(a > num)]:((finite @ S) => ((iterate @ OP @ S @ ^[X:a]:(cond @ (P @ X) @ (F @ X) @ (G @ X))) = (OP @ (iterate @ OP @ (gspec @ ^[GENR_PVARR_150:a]:?[X:a]:(setspec @ GENR_PVARR_150 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) @ (iterate @ OP @ (gspec @ ^[GENR_PVARR_151:a]:?[X:a]:(setspec @ GENR_PVARR_151 @ ((in @ X @ S) & ~ ((P @ X))) @ X)) @ G)))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > $o),F:(a > num),G:(a > num)]:((finite @ S) => ((nsum @ S @ ^[X:a]:(cond @ (P @ X) @ (F @ X) @ (G @ X))) = (p_ @ (nsum @ (gspec @ ^[GENR_PVARR_171:a]:?[X:a]:(setspec @ GENR_PVARR_171 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) @ (nsum @ (gspec @ ^[GENR_PVARR_172:a]:?[X:a]:(setspec @ GENR_PVARR_172 @ ((in @ X @ S) & ~ ((P @ X))) @ X)) @ G))))).
