%   ORIGINAL: NSUM_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_CLOSED: !op. monoidal op ==> (!P. P (neutral op) /\ (!x y. P x /\ P y ==> P (op x y)) ==> (!f s. (!x. x IN s /\ ~(f x = neutral op) ==> P (f x)) ==> P (iterate op s f)))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: NEUTRAL_ADD: neutral (+) = 0
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !P f s. P 0 /\ (!x y. P x /\ P y ==> P (x + y)) /\ (!a. a IN s ==> P (f a)) ==> P (nsum s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!P. P (neutral op) /\ (!x y. P x /\ P y ==> P (op x y)) ==> (!f s. (!x. x IN s /\ ~(f x = neutral op) ==> P (f x)) ==> P (iterate op s f)))
% Assm: monoidal (+)
% Assm: neutral (+) = 0
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !P f s. P 0 /\ (!x y. P x /\ P y ==> P (x + y)) /\ (!a. a IN s ==> P (f a)) ==> P (nsum s f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(citerate0, type, iterate0 : ((num > num > num) > (a > $o) > (a > num) > num)).
thf(citerate, type, iterate : ((b > b > b) > (a > $o) > (a > b) > b)).
thf(cmonoidal0, type, monoidal0 : ((num > num > num) > $o)).
thf(cmonoidal, type, monoidal : ((b > b > b) > $o)).
thf(cneutral0, type, neutral0 : ((num > num > num) > num)).
thf(cneutral, type, neutral : ((b > b > b) > b)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_CLOSED, axiom, ![OP:(b > b > b)]:((monoidal @ OP) => ![P:(b > $o)]:(((P @ (neutral @ OP)) & ![X:b,Y:b]:(((P @ X) & (P @ Y)) => (P @ (OP @ X @ Y)))) => ![F:(a > b),S:(a > $o)]:(![X:a]:(((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))) => (P @ (F @ X))) => (P @ (iterate @ OP @ S @ F)))))).
thf(aMONOIDALu_ADD, axiom, (monoidal0 @ p_)).
thf(aNEUTRALu_ADD, axiom, ((neutral0 @ p_) = (numeral @ u_0))).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate0 @ p_))).
thf(conjecture, conjecture, ![P:(num > $o),F:(a > num),S:(a > $o)]:(((P @ (numeral @ u_0)) & ![X:num,Y:num]:(((P @ X) & (P @ Y)) => (P @ (p_ @ X @ Y))) & ![A:a]:((in @ A @ S) => (P @ (F @ A)))) => (P @ (nsum @ S @ F)))).
