%   ORIGINAL: NSUM_LE_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: NSUM_LE: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> nsum s f <= nsum s g
% Assm: TRUTH: T
% Goal: !f g m n. (!i. m <= i /\ i <= n ==> f i <= g i) ==> nsum (m..n) f <= nsum (m..n) g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. FINITE (m..n)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> nsum s f <= nsum s g
% Assm: T
% Goal: !f g m n. (!i. m <= i /\ i <= n ==> f i <= g i) ==> nsum (m..n) f <= nsum (m..n) g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cnsum, type, nsum : ((num > $o) > (num > num) > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aNSUMu_LE, axiom, ![F:(num > num),G:(num > num),S:(num > $o)]:(((finite @ S) & ![X:num]:((in @ X @ S) => (l_a_ @ (F @ X) @ (G @ X)))) => (l_a_ @ (nsum @ S @ F) @ (nsum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > num),G:(num > num),M:num,N:num]:(![I:num]:(((l_a_ @ M @ I) & (l_a_ @ I @ N)) => (l_a_ @ (F @ I) @ (G @ I))) => (l_a_ @ (nsum @ (o_o_ @ M @ N) @ F) @ (nsum @ (o_o_ @ M @ N) @ G)))).
