%   ORIGINAL: NSUM_CONST_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_NUMSEG: !m n. CARD (m..n) = (n + 1) - m
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: NSUM_CONST: !c s. FINITE s ==> nsum s (\n. c) = CARD s * c
% Assm: TRUTH: T
% Goal: !c m n. nsum (m..n) (\n. c) = ((n + 1) - m) * c
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. CARD (m..n) = (n + 1) - m
% Assm: !m n. FINITE (m..n)
% Assm: !c s. FINITE s ==> nsum s (\n. c) = CARD s * c
% Assm: T
% Goal: !c m n. nsum (m..n) (\n. c) = ((n + 1) - m) * c
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cnsum, type, nsum : ((num > $o) > (num > num) > num)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(ccard, type, card : ((num > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_NUMSEG, axiom, ![M:num,N:num]:((card @ (o_o_ @ M @ N)) = (m_ @ (p_ @ N @ (numeral @ (bit1 @ u_0))) @ M))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aNSUMu_CONST, axiom, ![C:num,S:(num > $o)]:((finite @ S) => ((nsum @ S @ ^[N:num]:C) = (t_ @ (card @ S) @ C)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:num,M:num,N:num]:((nsum @ (o_o_ @ M @ N) @ ^[N:num]:C) = (t_ @ (m_ @ (p_ @ N @ (numeral @ (bit1 @ u_0))) @ M) @ C))).
