%   ORIGINAL: NSUM_PAIR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_PAIR: !op. monoidal op ==> (!f m n. iterate op (2 * m..2 * n + 1) f = iterate op (m..n) (\i. op (f (2 * i)) (f (2 * i + 1))))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !f m n. nsum (2 * m..2 * n + 1) f = nsum (m..n) (\i. f (2 * i) + f (2 * i + 1))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f m n. iterate op (2 * m..2 * n + 1) f = iterate op (m..n) (\i. op (f (2 * i)) (f (2 * i + 1))))
% Assm: monoidal (+)
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !f m n. nsum (2 * m..2 * n + 1) f = nsum (m..n) (\i. f (2 * i) + f (2 * i + 1))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cnsum, type, nsum : ((num > $o) > (num > num) > num)).
thf(citerate, type, iterate : ((num > num > num) > (num > $o) > (num > num) > num)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_PAIR, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(num > num),M:num,N:num]:((iterate @ OP @ (o_o_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ M) @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N) @ (numeral @ (bit1 @ u_0)))) @ F) = (iterate @ OP @ (o_o_ @ M @ N) @ ^[I:num]:(OP @ (F @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I)) @ (F @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I) @ (numeral @ (bit1 @ u_0))))))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![F:(num > num),M:num,N:num]:((nsum @ (o_o_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ M) @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N) @ (numeral @ (bit1 @ u_0)))) @ F) = (nsum @ (o_o_ @ M @ N) @ ^[I:num]:(p_ @ (F @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I)) @ (F @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I) @ (numeral @ (bit1 @ u_0)))))))).
