%   ORIGINAL: MOD_NSUM_MOD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: Hypermap.MOD_REFL: !m n. ~(n = 0) ==> m MOD n MOD n = m MOD n
% Assm: MOD_ADD_MOD: !a b n. ~(n = 0) ==> (a MOD n + b MOD n) MOD n = (a + b) MOD n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_CLAUSES_conjunct0: !f. nsum {} f = 0
% Assm: NSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: TRUTH: T
% Goal: !f n s. FINITE s /\ ~(n = 0) ==> nsum s f MOD n = nsum s (\i. f i MOD n) MOD n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !m n. ~(n = 0) ==> m MOD n MOD n = m MOD n
% Assm: !a b n. ~(n = 0) ==> (a MOD n + b MOD n) MOD n = (a + b) MOD n
% Assm: ~F <=> T
% Assm: !f. nsum {} f = 0
% Assm: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: T
% Goal: !f n s. FINITE s /\ ~(n = 0) ==> nsum s f MOD n = nsum s (\i. f i MOD n) MOD n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cmod, type, mod : (num > num > num)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aHypermapo_MODu_REFL, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((mod @ (mod @ M @ N) @ N) = (mod @ M @ N)))).
thf(aMODu_ADDu_MOD, axiom, ![A:num,B:num,N:num]:(~ ((N = (numeral @ u_0))) => ((mod @ (p_ @ (mod @ A @ N) @ (mod @ B @ N)) @ N) = (mod @ (p_ @ A @ B) @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_CLAUSESu_conjunct0, axiom, ![F:(a > num)]:((nsum @ empty @ F) = (numeral @ u_0))).
thf(aNSUMu_CLAUSESu_conjunct1, axiom, ![X:a,F:(a > num),S:(a > $o)]:((finite @ S) => ((nsum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (nsum @ S @ F) @ (p_ @ (F @ X) @ (nsum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > num),N:num,S:(a > $o)]:(((finite @ S) & ~ ((N = (numeral @ u_0)))) => ((mod @ (nsum @ S @ F) @ N) = (mod @ (nsum @ S @ ^[I:a]:(mod @ (F @ I) @ N)) @ N)))).
