%   ORIGINAL: NEUTRAL_REAL_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: SELECT_UNIQUE: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: TRUTH: T
% Assm: neutral: !op. neutral op = (@x. !y. op x y = y /\ op y x = y)
% Goal: neutral (*) = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x. &1 * x = x
% Assm: !x. x * &1 = x
% Assm: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: T
% Assm: !op. neutral op = (@x. !y. op x y = y /\ op y x = y)
% Goal: neutral (*) = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aSELECTu_UNIQUE, axiom, ![P:(real > $o),X:real]:(![Y:real]:((P @ Y) <=> (Y = X)) => ((h_ @ P) = X))).
thf(aTRUTH, axiom, $true).
thf(aneutral, axiom, ![OP:(real > real > real)]:((neutral @ OP) = (h_ @ ^[X:real]:![Y:real]:(((OP @ X @ Y) = Y) & ((OP @ Y @ X) = Y))))).
thf(conjecture, conjecture, ((neutral @ realu_mul) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
