%   ORIGINAL: SUM_DIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_DIFF: !op. monoidal op ==> (!f s t. FINITE s /\ t SUBSET s ==> op (iterate op (s DIFF t) f) (iterate op t f) = iterate op s f)
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: REAL_EQ_SUB_LADD: !x y z. x = y - z <=> x + z = y
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !f s t. FINITE s /\ t SUBSET s ==> sum (s DIFF t) f = sum s f - sum t f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f s t. FINITE s /\ t SUBSET s ==> op (iterate op (s DIFF t) f) (iterate op t f) = iterate op s f)
% Assm: monoidal (+)
% Assm: !x y z. x = y - z <=> x + z = y
% Assm: T
% Assm: sum = iterate (+)
% Goal: !f s t. FINITE s /\ t SUBSET s ==> sum (s DIFF t) f = sum s f - sum t f
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq70321, type, q70321 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(csum, type, sum : ((q70321 > $o) > (q70321 > real) > real)).
thf(csubset, type, subset : ((q70321 > $o) > (q70321 > $o) > $o)).
thf(citerate, type, iterate : ((real > real > real) > (q70321 > $o) > (q70321 > real) > real)).
thf(cdiff, type, diff : ((q70321 > $o) > (q70321 > $o) > q70321 > $o)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite, type, finite : ((q70321 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_DIFF, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(q70321 > real),S:(q70321 > $o),T:(q70321 > $o)]:(((finite @ S) & (subset @ T @ S)) => ((OP @ (iterate @ OP @ (diff @ S @ T) @ F) @ (iterate @ OP @ T @ F)) = (iterate @ OP @ S @ F))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aREALu_EQu_SUBu_LADD, axiom, ![X:real,Y:real,Z:real]:((X = (realu_sub @ Y @ Z)) <=> ((realu_add @ X @ Z) = Y))).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![F:(q70321 > real),S:(q70321 > $o),T:(q70321 > $o)]:(((finite @ S) & (subset @ T @ S)) => ((sum @ (diff @ S @ T) @ F) = (realu_sub @ (sum @ S @ F) @ (sum @ T @ F))))).
