%   ORIGINAL: SUM_INCL_EXCL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_INCL_EXCL: !op. monoidal op ==> (!s t f. FINITE s /\ FINITE t ==> op (iterate op s f) (iterate op t f) = op (iterate op (s UNION t) f) (iterate op (s INTER t) f))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !s t f. FINITE s /\ FINITE t ==> sum s f + sum t f = sum (s UNION t) f + sum (s INTER t) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!s t f. FINITE s /\ FINITE t ==> op (iterate op s f) (iterate op t f) = op (iterate op (s UNION t) f) (iterate op (s INTER t) f))
% Assm: monoidal (+)
% Assm: T
% Assm: sum = iterate (+)
% Goal: !s t f. FINITE s /\ FINITE t ==> sum s f + sum t f = sum (s UNION t) f + sum (s INTER t) f
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(citerate, type, iterate : ((real > real > real) > (a > $o) > (a > real) > real)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_INCLu_EXCL, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![S:(a > $o),T:(a > $o),F:(a > real)]:(((finite @ S) & (finite @ T)) => ((OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)) = (OP @ (iterate @ OP @ (union @ S @ T) @ F) @ (iterate @ OP @ (inter @ S @ T) @ F)))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > $o),F:(a > real)]:(((finite @ S) & (finite @ T)) => ((realu_add @ (sum @ S @ F) @ (sum @ T @ F)) = (realu_add @ (sum @ (union @ S @ T) @ F) @ (sum @ (inter @ S @ T) @ F))))).
