%   ORIGINAL: SUM_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_OP: !op. monoidal op ==> (!f g s. FINITE s ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f g s. FINITE s ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
% Assm: monoidal (+)
% Assm: T
% Assm: sum = iterate (+)
% Goal: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq70444, type, q70444 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q70444 > $o) > (q70444 > real) > real)).
thf(citerate, type, iterate : ((real > real > real) > (q70444 > $o) > (q70444 > real) > real)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite, type, finite : ((q70444 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_OP, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(q70444 > real),G:(q70444 > real),S:(q70444 > $o)]:((finite @ S) => ((iterate @ OP @ S @ ^[X:q70444]:(OP @ (F @ X) @ (G @ X))) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ S @ G)))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![F:(q70444 > real),G:(q70444 > real),S:(q70444 > $o)]:((finite @ S) => ((sum @ S @ ^[X:q70444]:(realu_add @ (F @ X) @ (G @ X))) = (realu_add @ (sum @ S @ F) @ (sum @ S @ G))))).
