%   ORIGINAL: SUM_ADD_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_OP_GEN: !op. monoidal op ==> (!f g s. FINITE (support op f s) /\ FINITE (support op g s) ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: NEUTRAL_REAL_ADD: neutral (+) = &0
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Assm: support: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !f g s. FINITE {x | x IN s /\ ~(f x = &0)} /\ FINITE {x | x IN s /\ ~(g x = &0)} ==> sum s (\x. f x + g x) = sum s f + sum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f g s. FINITE (support op f s) /\ FINITE (support op g s) ==> iterate op s (\x. op (f x) (g x)) = op (iterate op s f) (iterate op s g))
% Assm: monoidal (+)
% Assm: neutral (+) = &0
% Assm: T
% Assm: sum = iterate (+)
% Assm: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !f g s. FINITE {x | x IN s /\ ~(f x = &0)} /\ FINITE {x | x IN s /\ ~(g x = &0)} ==> sum s (\x. f x + g x) = sum s f + sum s g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq70535, type, q70535 : $tType).
%  CONSTS
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q70535 > $o) > (q70535 > real) > real)).
thf(cin, type, in : (q70535 > (q70535 > $o) > $o)).
thf(cgspec, type, gspec : ((q70535 > $o) > q70535 > $o)).
thf(citerate, type, iterate : ((real > real > real) > (q70535 > $o) > (q70535 > real) > real)).
thf(csupport, type, support : ((real > real > real) > (q70535 > real) > (q70535 > $o) > q70535 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (q70535 > $o > q70535 > $o)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite, type, finite : ((q70535 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_OPu_GEN, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(q70535 > real),G:(q70535 > real),S:(q70535 > $o)]:(((finite @ (support @ OP @ F @ S)) & (finite @ (support @ OP @ G @ S))) => ((iterate @ OP @ S @ ^[X:q70535]:(OP @ (F @ X) @ (G @ X))) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ S @ G)))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aNEUTRALu_REALu_ADD, axiom, ((neutral @ realu_add) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(asupport, axiom, ![S:(q70535 > $o),F:(q70535 > real),OP:(real > real > real)]:((support @ OP @ F @ S) = (gspec @ ^[GENR_PVARR_143:q70535]:?[X:q70535]:(setspec @ GENR_PVARR_143 @ ((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))) @ X)))).
thf(conjecture, conjecture, ![F:(q70535 > real),G:(q70535 > real),S:(q70535 > $o)]:(((finite @ (gspec @ ^[GENR_PVARR_175:q70535]:?[X:q70535]:(setspec @ GENR_PVARR_175 @ ((in @ X @ S) & ~ (((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) @ X))) & (finite @ (gspec @ ^[GENR_PVARR_176:q70535]:?[X:q70535]:(setspec @ GENR_PVARR_176 @ ((in @ X @ S) & ~ (((G @ X) = (realu_ofu_num @ (numeral @ u_0))))) @ X)))) => ((sum @ S @ ^[X:q70535]:(realu_add @ (F @ X) @ (G @ X))) = (realu_add @ (sum @ S @ F) @ (sum @ S @ G))))).
