%   ORIGINAL: SUM_CLAUSES_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: NEUTRAL_REAL_ADD: neutral (+) = &0
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: monoidal (+)
% Assm: neutral (+) = &0
% Assm: T
% Assm: sum = iterate (+)
% Goal: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq70255, type, q70255 : $tType).
thf(tq63405, type, q63405 : $tType).
%  CONSTS
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin, type, in : (q70255 > (q70255 > $o) > $o)).
thf(csum, type, sum : ((q70255 > $o) > (q70255 > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(citerate0, type, iterate0 : ((real > real > real) > (q70255 > $o) > (q70255 > real) > real)).
thf(citerate, type, iterate : ((real > real > real) > (q63405 > $o) > (q63405 > real) > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cinsert, type, insert : (q70255 > (q70255 > $o) > q70255 > $o)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite, type, finite : ((q70255 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (q63405 > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_CLAUSES, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => (![F:(q63405 > real)]:((iterate @ OP @ empty @ F) = (neutral @ OP)) & ![F:(q70255 > real),X:q70255,S:(q70255 > $o)]:((finite @ S) => ((iterate0 @ OP @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (iterate0 @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate0 @ OP @ S @ F)))))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aNEUTRALu_REALu_ADD, axiom, ((neutral @ realu_add) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate0 @ realu_add))).
thf(conjecture, conjecture, ![X:q70255,F:(q70255 > real),S:(q70255 > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
