%   ORIGINAL: SUM_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ITERATE_EXPAND_CASES: !op f s. iterate op s f = (if FINITE (support op f s) then iterate op (support op f s) f else neutral op)
% Assm: NEUTRAL_REAL_ADD: neutral (+) = &0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUM_0: !s. sum s (\n. &0) = &0
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Assm: support: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !f c s. sum s (\x. c * f x) = c * sum s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !op f s. iterate op s f = (if FINITE (support op f s) then iterate op (support op f s) f else neutral op)
% Assm: neutral (+) = &0
% Assm: ~F <=> T
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x * &0 = &0
% Assm: !s. sum s (\n. &0) = &0
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Assm: sum = iterate (+)
% Assm: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !f c s. sum s (\x. c * f x) = c * sum s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq63257, type, q63257 : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(csupport0, type, support0 : ((real > real > real) > (a > real) > (a > $o) > a > $o)).
thf(citerate0, type, iterate0 : ((real > real > real) > (a > $o) > (a > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csupport, type, support : ((real > real > real) > (q63257 > real) > (q63257 > $o) > q63257 > $o)).
thf(citerate, type, iterate : ((real > real > real) > (q63257 > $o) > (q63257 > real) > real)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cfinite0, type, finite0 : ((q63257 > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aITERATEu_EXPANDu_CASES, axiom, ![OP:(real > real > real),F:(q63257 > real),S:(q63257 > $o)]:((iterate @ OP @ S @ F) = (cond @ (finite0 @ (support @ OP @ F @ S)) @ (iterate @ OP @ (support @ OP @ F @ S) @ F) @ (neutral @ OP)))).
thf(aNEUTRALu_REALu_ADD, axiom, ((neutral @ realu_add) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_0, axiom, ![S:(a > $o)]:((sum @ S @ ^[N:a]:(realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(a > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:a,F:(a > real),S:(a > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate0 @ realu_add))).
thf(asupport, axiom, ![S:(a > $o),F:(a > real),OP:(real > real > real)]:((support0 @ OP @ F @ S) = (gspec @ ^[GENR_PVARR_143:a]:?[X:a]:(setspec @ GENR_PVARR_143 @ ((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))) @ X)))).
thf(conjecture, conjecture, ![F:(a > real),C:real,S:(a > $o)]:((sum @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum @ S @ F)))).
