%   ORIGINAL: SUM_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: TRUTH: T
% Goal: !f c s. sum s (\x. f x * c) = sum s f * c
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x * y = y * x
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: T
% Goal: !f c s. sum s (\x. f x * c) = sum s f * c
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > real),C:real,S:(a > $o)]:((sum @ S @ ^[X:a]:(realu_mul @ (F @ X) @ C)) = (realu_mul @ (sum @ S @ F) @ C))).
