%   ORIGINAL: SUM_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_ADD: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: SUM_NEG: !f s. sum s (\x. --f x) = --sum s f
% Assm: TRUTH: T
% Assm: real_sub: !x y. x - y = x + --y
% Goal: !f g s. FINITE s ==> sum s (\x. f x - g x) = sum s f - sum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: !f s. sum s (\x. --f x) = --sum s f
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !f g s. FINITE s ==> sum s (\x. f x - g x) = sum s f - sum s g
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq70770, type, q70770 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(csum, type, sum : ((q70770 > $o) > (q70770 > real) > real)).
thf(cfinite, type, finite : ((q70770 > $o) > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_ADD, axiom, ![F:(q70770 > real),G:(q70770 > real),S:(q70770 > $o)]:((finite @ S) => ((sum @ S @ ^[X:q70770]:(realu_add @ (F @ X) @ (G @ X))) = (realu_add @ (sum @ S @ F) @ (sum @ S @ G))))).
thf(aSUMu_NEG, axiom, ![F:(q70770 > real),S:(q70770 > $o)]:((sum @ S @ ^[X:q70770]:(realu_neg @ (F @ X))) = (realu_neg @ (sum @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(arealu_sub, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_neg @ Y)))).
thf(conjecture, conjecture, ![F:(q70770 > real),G:(q70770 > real),S:(q70770 > $o)]:((finite @ S) => ((sum @ S @ ^[X:q70770]:(realu_sub @ (F @ X) @ (G @ X))) = (realu_sub @ (sum @ S @ F) @ (sum @ S @ G))))).
