%   ORIGINAL: SUM_ABS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SUM_ABS: !f s. FINITE s ==> abs (sum s f) <= sum s (\x. abs (f x))
% Assm: SUM_LE: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> sum s f <= sum s g
% Assm: TRUTH: T
% Goal: !f g s. FINITE s /\ (!x. x IN s ==> abs (f x) <= g x) ==> abs (sum s f) <= sum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !f s. FINITE s ==> abs (sum s f) <= sum s (\x. abs (f x))
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> sum s f <= sum s g
% Assm: T
% Goal: !f g s. FINITE s /\ (!x. x IN s ==> abs (f x) <= g x) ==> abs (sum s f) <= sum s g
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSUMu_ABS, axiom, ![F:(a > real),S:(a > $o)]:((finite @ S) => (realu_le @ (realu_abs @ (sum @ S @ F)) @ (sum @ S @ ^[X:a]:(realu_abs @ (F @ X)))))).
thf(aSUMu_LE, axiom, ![F:(a > real),G:(a > real),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (F @ X) @ (G @ X)))) => (realu_le @ (sum @ S @ F) @ (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > real),G:(a > real),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (realu_abs @ (F @ X)) @ (G @ X)))) => (realu_le @ (realu_abs @ (sum @ S @ F)) @ (sum @ S @ G)))).
