%   ORIGINAL: SUM_DELETE_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_DELETE: !f s a. FINITE s /\ a IN s ==> sum (s DELETE a) f = sum s f - f a
% Assm: TRUTH: T
% Goal: !f s a. FINITE s ==> sum (s DELETE a) f = (if a IN s then sum s f - f a else sum s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: ~F <=> T
% Assm: !f s a. FINITE s /\ a IN s ==> sum (s DELETE a) f = sum s f - f a
% Assm: T
% Goal: !f s a. FINITE s ==> sum (s DELETE a) f = (if a IN s then sum s f - f a else sum s f)
%  TYPES
thf(ta, type, a : $tType).
thf(tq71591, type, q71591 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cin, type, in : (q71591 > (q71591 > $o) > $o)).
thf(csum, type, sum : ((q71591 > $o) > (q71591 > real) > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cdelete, type, delete : ((q71591 > $o) > q71591 > q71591 > $o)).
thf(cfinite, type, finite : ((q71591 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aEXTENSION, axiom, ![S:(q71591 > $o),T:(q71591 > $o)]:((S = T) <=> ![X:q71591]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(q71591 > $o),X:q71591]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(q71591 > $o),X:q71591,Y:q71591]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_DELETE, axiom, ![F:(q71591 > real),S:(q71591 > $o),A:q71591]:(((finite @ S) & (in @ A @ S)) => ((sum @ (delete @ S @ A) @ F) = (realu_sub @ (sum @ S @ F) @ (F @ A))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q71591 > real),S:(q71591 > $o),A:q71591]:((finite @ S) => ((sum @ (delete @ S @ A) @ F) = (cond @ (in @ A @ S) @ (realu_sub @ (sum @ S @ F) @ (F @ A)) @ (sum @ S @ F))))).
