%   ORIGINAL: SUM_DELTA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_DELTA: !op. monoidal op ==> (!f a s. iterate op s (\x. if x = a then f x else neutral op) = (if a IN s then f a else neutral op))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: NEUTRAL_REAL_ADD: neutral (+) = &0
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f a s. iterate op s (\x. if x = a then f x else neutral op) = (if a IN s then f a else neutral op))
% Assm: monoidal (+)
% Assm: neutral (+) = &0
% Assm: T
% Assm: sum = iterate (+)
% Goal: !b s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(citerate, type, iterate : ((real > real > real) > (a > $o) > (a > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_DELTA, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(a > real),A:a,S:(a > $o)]:((iterate @ OP @ S @ ^[X:a]:(cond @ (X = A) @ (F @ X) @ (neutral @ OP))) = (cond @ (in @ A @ S) @ (F @ A) @ (neutral @ OP))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aNEUTRALu_REALu_ADD, axiom, ((neutral @ realu_add) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![B:real,S:(a > $o),A:a]:((sum @ S @ ^[X:a]:(cond @ (X = A) @ B @ (realu_ofu_num @ (numeral @ u_0)))) = (cond @ (in @ A @ S) @ B @ (realu_ofu_num @ (numeral @ u_0))))).
