%   ORIGINAL: SUM_SWAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_0: !s. sum s (\n. &0) = &0
% Assm: SUM_ADD: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Goal: !f s t. FINITE s /\ FINITE t ==> sum s (\i. sum t (f i)) = sum t (\j. sum s (\i. f i j))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: !s. sum s (\n. &0) = &0
% Assm: !s. sum s (\n. &0) = &0
% Assm: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: !f. sum {} f = &0
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Goal: !f s t. FINITE s /\ FINITE t ==> sum s (\i. sum t (f i)) = sum t (\j. sum s (\i. f i j))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cempty, type, empty : (b > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(csum0, type, sum0 : ((b > $o) > (b > real) > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(cinsert, type, insert : (b > (b > $o) > b > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONGu_monomorphized1, axiom, ![P:((b > $o) > $o)]:(((P @ empty) & ![X:b,S:(b > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite0 @ S)) => (P @ (insert @ X @ S)))) => ![S:(b > $o)]:((finite0 @ S) => (P @ S)))).
thf(aFINITEu_INDUCTu_STRONGu_monomorphized0, axiom, ![P:((a > $o) > $o)]:(((P @ empty0) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in0 @ X @ S)) & (finite @ S)) => (P @ (insert0 @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_0u_monomorphized1, axiom, ![S:(b > $o)]:((sum0 @ S @ ^[N:b]:(realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_0u_monomorphized0, axiom, ![S:(a > $o)]:((sum @ S @ ^[N:a]:(realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_ADDu_monomorphized1, axiom, ![F:(b > real),G:(b > real),S:(b > $o)]:((finite0 @ S) => ((sum0 @ S @ ^[X:b]:(realu_add @ (F @ X) @ (G @ X))) = (realu_add @ (sum0 @ S @ F) @ (sum0 @ S @ G))))).
thf(aSUMu_ADDu_monomorphized0, axiom, ![F:(a > real),G:(a > real),S:(a > $o)]:((finite @ S) => ((sum @ S @ ^[X:a]:(realu_add @ (F @ X) @ (G @ X))) = (realu_add @ (sum @ S @ F) @ (sum @ S @ G))))).
thf(aSUMu_CLAUSESu_conjunct0u_monomorphized1, axiom, ![F:(b > real)]:((sum0 @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct0u_monomorphized0, axiom, ![F:(a > real)]:((sum @ empty0 @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1u_monomorphized1, axiom, ![X:b,F:(b > real),S:(b > $o)]:((finite0 @ S) => ((sum0 @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (sum0 @ S @ F) @ (realu_add @ (F @ X) @ (sum0 @ S @ F)))))).
thf(aSUMu_CLAUSESu_conjunct1u_monomorphized0, axiom, ![X:a,F:(a > real),S:(a > $o)]:((finite @ S) => ((sum @ (insert0 @ X @ S) @ F) = (cond @ (in0 @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b > real),S:(a > $o),T:(b > $o)]:(((finite @ S) & (finite0 @ T)) => ((sum @ S @ ^[I:a]:(sum0 @ T @ (F @ I))) = (sum0 @ T @ ^[J:b]:(sum @ S @ ^[I:a]:(F @ I @ J)))))).
