%   ORIGINAL: SUM_UNION_RZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_SUPERSET: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum v f = sum u f
% Assm: TRUTH: T
% Goal: !f u v. FINITE u /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum (u UNION v) f = sum u f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum v f = sum u f
% Assm: T
% Goal: !f u v. FINITE u /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum (u UNION v) f = sum u f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUMu_SUPERSET, axiom, ![F:(a > real),U:(a > $o),V:(a > $o)]:(((subset @ U @ V) & ![X:a]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) => ((sum @ V @ F) = (sum @ U @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > real),U:(a > $o),V:(a > $o)]:(((finite @ U) & ![X:a]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) => ((sum @ (union @ U @ V) @ F) = (sum @ U @ F)))).
