%   ORIGINAL: SUM_BOUND_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HAS_SIZE_0: !s. s HAS_SIZE 0 <=> s = {}
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIV_LMUL: !x y. ~(y = &0) ==> y * x / y = x
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: SUM_BOUND: !s f b. FINITE s /\ (!x. x IN s ==> f x <= b) ==> sum s f <= &(CARD s) * b
% Assm: TRUTH: T
% Goal: !s f b. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x <= b / &(CARD s)) ==> sum s f <= b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s. s HAS_SIZE 0 <=> s = {}
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x y. ~(y = &0) ==> y * x / y = x
% Assm: !m n. &m = &n <=> m = n
% Assm: !s f b. FINITE s /\ (!x. x IN s ==> f x <= b) ==> sum s f <= &(CARD s) * b
% Assm: T
% Goal: !s f b. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x <= b / &(CARD s)) ==> sum s f <= b
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ci, type, i : ((a > $o) > a > $o)).
thf(chasuu_size, type, hasu_size : ((a > $o) > num > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_SIZE, axiom, ![S:(a > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aHASu_SIZEu_0, axiom, ![S:(a > $o)]:((hasu_size @ S @ (numeral @ u_0)) <=> (S = empty))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIVu_LMUL, axiom, ![X:real,Y:real]:(~ ((Y = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ Y @ (realu_div @ X @ Y)) = X))).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aSUMu_BOUND, axiom, ![S:(a > $o),F:(a > real),B:real]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (F @ X) @ B))) => (realu_le @ (sum @ S @ F) @ (realu_mul @ (realu_ofu_num @ (card @ S)) @ B)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > real),B:real]:(((finite @ S) & ~ ((S = empty)) & ![X:a]:((in @ X @ S) => (realu_le @ (F @ X) @ (realu_div @ B @ (realu_ofu_num @ (card @ S)))))) => (realu_le @ (sum @ S @ F) @ B))).
