%   ORIGINAL: SUM_BOUND_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LTE_TRANS: !x y z. x < y /\ y <= z ==> x < z
% Assm: SUM_CONST: !c s. FINITE s ==> sum s (\n. c) = &(CARD s) * c
% Assm: SUM_LT: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) /\ (?x. x IN s /\ f x < g x) ==> sum s f < sum s g
% Assm: TRUTH: T
% Goal: !s f b. FINITE s /\ (!x. x IN s ==> f x <= b) /\ (?x. x IN s /\ f x < b) ==> sum s f < &(CARD s) * b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !x y z. x < y /\ y <= z ==> x < z
% Assm: !c s. FINITE s ==> sum s (\n. c) = &(CARD s) * c
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) /\ (?x. x IN s /\ f x < g x) ==> sum s f < sum s g
% Assm: T
% Goal: !s f b. FINITE s /\ (!x. x IN s ==> f x <= b) /\ (?x. x IN s /\ f x < b) ==> sum s f < &(CARD s) * b
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LTEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_le @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aSUMu_CONST, axiom, ![C:real,S:(a > $o)]:((finite @ S) => ((sum @ S @ ^[N:a]:C) = (realu_mul @ (realu_ofu_num @ (card @ S)) @ C)))).
thf(aSUMu_LT, axiom, ![F:(a > real),G:(a > real),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (F @ X) @ (G @ X))) & ?[X:a]:((in @ X @ S) & (realu_lt @ (F @ X) @ (G @ X)))) => (realu_lt @ (sum @ S @ F) @ (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > real),B:real]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (F @ X) @ B)) & ?[X:a]:((in @ X @ S) & (realu_lt @ (F @ X) @ B))) => (realu_lt @ (sum @ S @ F) @ (realu_mul @ (realu_ofu_num @ (card @ S)) @ B)))).
