%   ORIGINAL: SUM_UNION_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_UNION: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: TRUTH: T
% Goal: !s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> sum s f + sum t f = sum u f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: T
% Goal: !f s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> sum s f + sum t f = sum u f
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq72298, type, q72298 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (q72298 > (q72298 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((q72298 > $o) > (q72298 > $o) > $o)).
thf(cdisjoint, type, disjoint : ((q72298 > $o) > (q72298 > $o) > $o)).
thf(csum, type, sum : ((q72298 > $o) > (q72298 > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cunion, type, union : ((q72298 > $o) > (q72298 > $o) > q72298 > $o)).
thf(cinter, type, inter : ((q72298 > $o) > (q72298 > $o) > q72298 > $o)).
thf(cfinite, type, finite : ((q72298 > $o) > $o)).
thf(cempty, type, empty : (q72298 > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q72298 > $o),G:(a > q72298 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(q72298 > $o),T:(q72298 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(q72298 > $o)]:(^[X:q72298]:(T @ X) = T)).
thf(aFINITEu_SUBSET, axiom, ![S:(q72298 > $o),T:(q72298 > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(q72298 > $o),T:(q72298 > $o),X:q72298]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUMu_UNION, axiom, ![F:(q72298 > real),S:(q72298 > $o),T:(q72298 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((sum @ (union @ S @ T) @ F) = (realu_add @ (sum @ S @ F) @ (sum @ T @ F))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q72298 > real),S:(q72298 > $o),T:(q72298 > $o),U:(q72298 > $o)]:(((finite @ U) & ((inter @ S @ T) = empty) & ((union @ S @ T) = U)) => ((realu_add @ (sum @ S @ F) @ (sum @ T @ F)) = (sum @ U @ F)))).
