%   ORIGINAL: SUM_RESTRICT_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NEUTRAL_REAL_ADD: neutral (+) = &0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_SUPPORT: !f s. sum (support (+) f s) f = sum s f
% Assm: TRUTH: T
% Assm: support: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: neutral (+) = &0
% Assm: ~F <=> T
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f s. sum (support (+) f s) f = sum s f
% Assm: T
% Assm: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq72467, type, q72467 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(cin, type, in : (q72467 > (q72467 > $o) > $o)).
thf(cgspec, type, gspec : ((q72467 > $o) > q72467 > $o)).
thf(csum, type, sum : ((q72467 > $o) > (q72467 > real) > real)).
thf(csupport, type, support : ((real > real > real) > (q72467 > real) > (q72467 > $o) > q72467 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(csetspec, type, setspec : (q72467 > $o > q72467 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q72467 > $o),X:q72467]:((in @ X @ (gspec @ ^[V:q72467]:?[Y:q72467]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNEUTRALu_REALu_ADD, axiom, ((neutral @ realu_add) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_EQ, axiom, ![F:(q72467 > real),G:(q72467 > real),S:(q72467 > $o)]:(![X:q72467]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_SUPPORT, axiom, ![F:(q72467 > real),S:(q72467 > $o)]:((sum @ (support @ realu_add @ F @ S) @ F) = (sum @ S @ F))).
thf(aTRUTH, axiom, $true).
thf(asupport, axiom, ![S:(q72467 > $o),F:(q72467 > real),OP:(real > real > real)]:((support @ OP @ F @ S) = (gspec @ ^[GENR_PVARR_143:q72467]:?[X:q72467]:(setspec @ GENR_PVARR_143 @ ((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))) @ X)))).
thf(conjecture, conjecture, ![P:(q72467 > $o),S:(q72467 > $o),F:(q72467 > real)]:((sum @ (gspec @ ^[GENR_PVARR_177:q72467]:?[X:q72467]:(setspec @ GENR_PVARR_177 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) = (sum @ S @ ^[X:q72467]:(cond @ (P @ X) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0)))))).
