%   ORIGINAL: SUM_SUM_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_RESTRICT_SET: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
% Assm: SUM_SWAP: !f s t. FINITE s /\ FINITE t ==> sum s (\i. sum t (f i)) = sum t (\j. sum s (\i. f i j))
% Assm: TRUTH: T
% Goal: !R f s t. FINITE s /\ FINITE t ==> sum s (\x. sum {y | y IN t /\ R x y} (\y. f x y)) = sum t (\y. sum {x | x IN s /\ R x y} (\x. f x y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
% Assm: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
% Assm: !f s t. FINITE s /\ FINITE t ==> sum s (\i. sum t (f i)) = sum t (\j. sum s (\i. f i j))
% Assm: !f s t. FINITE s /\ FINITE t ==> sum s (\i. sum t (f i)) = sum t (\j. sum s (\i. f i j))
% Assm: !f s t. FINITE s /\ FINITE t ==> sum s (\i. sum t (f i)) = sum t (\j. sum s (\i. f i j))
% Assm: !f s t. FINITE s /\ FINITE t ==> sum s (\i. sum t (f i)) = sum t (\j. sum s (\i. f i j))
% Assm: T
% Goal: !R f s t. FINITE s /\ FINITE t ==> sum s (\x. sum {y | y IN t /\ R x y} (\y. f x y)) = sum t (\y. sum {x | x IN s /\ R x y} (\x. f x y))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq72558, type, q72558 : $tType).
thf(tq72559, type, q72559 : $tType).
%  CONSTS
thf(cin0, type, in0 : (q72559 > (q72559 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q72559 > $o) > q72559 > $o)).
thf(cin, type, in : (q72558 > (q72558 > $o) > $o)).
thf(cgspec, type, gspec : ((q72558 > $o) > q72558 > $o)).
thf(csum0, type, sum0 : ((q72558 > $o) > (q72558 > real) > real)).
thf(csum, type, sum : ((q72559 > $o) > (q72559 > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(csetspec0, type, setspec0 : (q72559 > $o > q72559 > $o)).
thf(csetspec, type, setspec : (q72558 > $o > q72558 > $o)).
thf(cfinite0, type, finite0 : ((q72558 > $o) > $o)).
thf(cfinite, type, finite : ((q72559 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_RESTRICTu_SETu_monomorphized1, axiom, ![P:(q72559 > $o),S:(q72559 > $o),F:(q72559 > real)]:((sum @ (gspec0 @ ^[GENR_PVARR_177:q72559]:?[X:q72559]:(setspec0 @ GENR_PVARR_177 @ ((in0 @ X @ S) & (P @ X)) @ X)) @ F) = (sum @ S @ ^[X:q72559]:(cond @ (P @ X) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aSUMu_RESTRICTu_SETu_monomorphized0, axiom, ![P:(q72558 > $o),S:(q72558 > $o),F:(q72558 > real)]:((sum0 @ (gspec @ ^[GENR_PVARR_177:q72558]:?[X:q72558]:(setspec @ GENR_PVARR_177 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) = (sum0 @ S @ ^[X:q72558]:(cond @ (P @ X) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aSUMu_SWAPu_monomorphized3, axiom, ![F:(q72559 > q72559 > real),S:(q72559 > $o),T:(q72559 > $o)]:(((finite @ S) & (finite @ T)) => ((sum @ S @ ^[I:q72559]:(sum @ T @ (F @ I))) = (sum @ T @ ^[J:q72559]:(sum @ S @ ^[I:q72559]:(F @ I @ J)))))).
thf(aSUMu_SWAPu_monomorphized2, axiom, ![F:(q72559 > q72558 > real),S:(q72559 > $o),T:(q72558 > $o)]:(((finite @ S) & (finite0 @ T)) => ((sum @ S @ ^[I:q72559]:(sum0 @ T @ (F @ I))) = (sum0 @ T @ ^[J:q72558]:(sum @ S @ ^[I:q72559]:(F @ I @ J)))))).
thf(aSUMu_SWAPu_monomorphized1, axiom, ![F:(q72558 > q72559 > real),S:(q72558 > $o),T:(q72559 > $o)]:(((finite0 @ S) & (finite @ T)) => ((sum0 @ S @ ^[I:q72558]:(sum @ T @ (F @ I))) = (sum @ T @ ^[J:q72559]:(sum0 @ S @ ^[I:q72558]:(F @ I @ J)))))).
thf(aSUMu_SWAPu_monomorphized0, axiom, ![F:(q72558 > q72558 > real),S:(q72558 > $o),T:(q72558 > $o)]:(((finite0 @ S) & (finite0 @ T)) => ((sum0 @ S @ ^[I:q72558]:(sum0 @ T @ (F @ I))) = (sum0 @ T @ ^[J:q72558]:(sum0 @ S @ ^[I:q72558]:(F @ I @ J)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(q72559 > q72558 > $o),F:(q72559 > q72558 > real),S:(q72559 > $o),T:(q72558 > $o)]:(((finite @ S) & (finite0 @ T)) => ((sum @ S @ ^[X:q72559]:(sum0 @ (gspec @ ^[GENR_PVARR_178:q72558]:?[Y:q72558]:(setspec @ GENR_PVARR_178 @ ((in @ Y @ T) & (R @ X @ Y)) @ Y)) @ ^[Y:q72558]:(F @ X @ Y))) = (sum0 @ T @ ^[Y:q72558]:(sum @ (gspec0 @ ^[GENR_PVARR_179:q72559]:?[X:q72559]:(setspec0 @ GENR_PVARR_179 @ ((in0 @ X @ S) & (R @ X @ Y)) @ X)) @ ^[X:q72559]:(F @ X @ Y)))))).
