%   ORIGINAL: CARD_EQ_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: SUM_CONST: !c s. FINITE s ==> sum s (\n. c) = &(CARD s) * c
% Assm: TRUTH: T
% Goal: !s. FINITE s ==> &(CARD s) = sum s (\x. &1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x * &1 = x
% Assm: !c s. FINITE s ==> sum s (\n. c) = &(CARD s) * c
% Assm: T
% Goal: !s. FINITE s ==> &(CARD s) = sum s (\x. &1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq72580, type, q72580 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum, type, sum : ((q72580 > $o) > (q72580 > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((q72580 > $o) > $o)).
thf(ccard, type, card : ((q72580 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aSUMu_CONST, axiom, ![C:real,S:(q72580 > $o)]:((finite @ S) => ((sum @ S @ ^[N:q72580]:C) = (realu_mul @ (realu_ofu_num @ (card @ S)) @ C)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q72580 > $o)]:((finite @ S) => ((realu_ofu_num @ (card @ S)) = (sum @ S @ ^[X:q72580]:(realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
