%   ORIGINAL: SUM_MULTICOUNT_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_EQ_SUM: !s. FINITE s ==> &(CARD s) = sum s (\x. &1)
% Assm: FINITE_RESTRICT: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: SUM_CONST: !c s. FINITE s ==> sum s (\n. c) = &(CARD s) * c
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_SUM_RESTRICT: !R f s t. FINITE s /\ FINITE t ==> sum s (\x. sum {y | y IN t /\ R x y} (\y. f x y)) = sum t (\y. sum {x | x IN s /\ R x y} (\x. f x y))
% Assm: TRUTH: T
% Goal: !R s t k. FINITE s /\ FINITE t /\ (!j. j IN t ==> CARD {i | i IN s /\ R i j} = k j) ==> sum s (\i. &(CARD {j | j IN t /\ R i j})) = sum t (\i. &(k i))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. FINITE s ==> &(CARD s) = sum s (\x. &1)
% Assm: !s. FINITE s ==> &(CARD s) = sum s (\x. &1)
% Assm: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: !x. x * &1 = x
% Assm: !c s. FINITE s ==> sum s (\n. c) = &(CARD s) * c
% Assm: !c s. FINITE s ==> sum s (\n. c) = &(CARD s) * c
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !R f s t. FINITE s /\ FINITE t ==> sum s (\x. sum {y | y IN t /\ R x y} (\y. f x y)) = sum t (\y. sum {x | x IN s /\ R x y} (\x. f x y))
% Assm: !R f s t. FINITE s /\ FINITE t ==> sum s (\x. sum {y | y IN t /\ R x y} (\y. f x y)) = sum t (\y. sum {x | x IN s /\ R x y} (\x. f x y))
% Assm: !R f s t. FINITE s /\ FINITE t ==> sum s (\x. sum {y | y IN t /\ R x y} (\y. f x y)) = sum t (\y. sum {x | x IN s /\ R x y} (\x. f x y))
% Assm: !R f s t. FINITE s /\ FINITE t ==> sum s (\x. sum {y | y IN t /\ R x y} (\y. f x y)) = sum t (\y. sum {x | x IN s /\ R x y} (\x. f x y))
% Assm: T
% Goal: !R s t k. FINITE s /\ FINITE t /\ (!j. j IN t ==> CARD {i | i IN s /\ R i j} = k j) ==> sum s (\i. &(CARD {j | j IN t /\ R i j})) = sum t (\i. &(k i))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum0, type, sum0 : ((b > $o) > (b > real) > real)).
thf(cgspec0, type, gspec0 : ((b > $o) > b > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(csetspec0, type, setspec0 : (b > $o > b > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((b > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_EQu_SUMu_monomorphized1, axiom, ![S:(b > $o)]:((finite0 @ S) => ((realu_ofu_num @ (card0 @ S)) = (sum0 @ S @ ^[X:b]:(realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aCARDu_EQu_SUMu_monomorphized0, axiom, ![S:(a > $o)]:((finite @ S) => ((realu_ofu_num @ (card @ S)) = (sum @ S @ ^[X:a]:(realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aFINITEu_RESTRICTu_monomorphized1, axiom, ![S:(b > $o),P:(b > $o)]:((finite0 @ S) => (finite0 @ (gspec0 @ ^[GENR_PVARR_66:b]:?[X:b]:(setspec0 @ GENR_PVARR_66 @ ((in @ X @ S) & (P @ X)) @ X))))).
thf(aFINITEu_RESTRICTu_monomorphized0, axiom, ![S:(a > $o),P:(a > $o)]:((finite @ S) => (finite @ (gspec @ ^[GENR_PVARR_66:a]:?[X:a]:(setspec @ GENR_PVARR_66 @ ((in0 @ X @ S) & (P @ X)) @ X))))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aSUMu_CONSTu_monomorphized1, axiom, ![C:real,S:(b > $o)]:((finite0 @ S) => ((sum0 @ S @ ^[N:b]:C) = (realu_mul @ (realu_ofu_num @ (card0 @ S)) @ C)))).
thf(aSUMu_CONSTu_monomorphized0, axiom, ![C:real,S:(a > $o)]:((finite @ S) => ((sum @ S @ ^[N:a]:C) = (realu_mul @ (realu_ofu_num @ (card @ S)) @ C)))).
thf(aSUMu_EQu_monomorphized1, axiom, ![F:(b > real),G:(b > real),S:(b > $o)]:(![X:b]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum0 @ S @ F) = (sum0 @ S @ G)))).
thf(aSUMu_EQu_monomorphized0, axiom, ![F:(a > real),G:(a > real),S:(a > $o)]:(![X:a]:((in0 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_SUMu_RESTRICTu_monomorphized3, axiom, ![R:(b > b > $o),F:(b > b > real),S:(b > $o),T:(b > $o)]:(((finite0 @ S) & (finite0 @ T)) => ((sum0 @ S @ ^[X:b]:(sum0 @ (gspec0 @ ^[GENR_PVARR_178:b]:?[Y:b]:(setspec0 @ GENR_PVARR_178 @ ((in @ Y @ T) & (R @ X @ Y)) @ Y)) @ ^[Y:b]:(F @ X @ Y))) = (sum0 @ T @ ^[Y:b]:(sum0 @ (gspec0 @ ^[GENR_PVARR_179:b]:?[X:b]:(setspec0 @ GENR_PVARR_179 @ ((in @ X @ S) & (R @ X @ Y)) @ X)) @ ^[X:b]:(F @ X @ Y)))))).
thf(aSUMu_SUMu_RESTRICTu_monomorphized2, axiom, ![R:(b > a > $o),F:(b > a > real),S:(b > $o),T:(a > $o)]:(((finite0 @ S) & (finite @ T)) => ((sum0 @ S @ ^[X:b]:(sum @ (gspec @ ^[GENR_PVARR_178:a]:?[Y:a]:(setspec @ GENR_PVARR_178 @ ((in0 @ Y @ T) & (R @ X @ Y)) @ Y)) @ ^[Y:a]:(F @ X @ Y))) = (sum @ T @ ^[Y:a]:(sum0 @ (gspec0 @ ^[GENR_PVARR_179:b]:?[X:b]:(setspec0 @ GENR_PVARR_179 @ ((in @ X @ S) & (R @ X @ Y)) @ X)) @ ^[X:b]:(F @ X @ Y)))))).
thf(aSUMu_SUMu_RESTRICTu_monomorphized1, axiom, ![R:(a > b > $o),F:(a > b > real),S:(a > $o),T:(b > $o)]:(((finite @ S) & (finite0 @ T)) => ((sum @ S @ ^[X:a]:(sum0 @ (gspec0 @ ^[GENR_PVARR_178:b]:?[Y:b]:(setspec0 @ GENR_PVARR_178 @ ((in @ Y @ T) & (R @ X @ Y)) @ Y)) @ ^[Y:b]:(F @ X @ Y))) = (sum0 @ T @ ^[Y:b]:(sum @ (gspec @ ^[GENR_PVARR_179:a]:?[X:a]:(setspec @ GENR_PVARR_179 @ ((in0 @ X @ S) & (R @ X @ Y)) @ X)) @ ^[X:a]:(F @ X @ Y)))))).
thf(aSUMu_SUMu_RESTRICTu_monomorphized0, axiom, ![R:(a > a > $o),F:(a > a > real),S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T)) => ((sum @ S @ ^[X:a]:(sum @ (gspec @ ^[GENR_PVARR_178:a]:?[Y:a]:(setspec @ GENR_PVARR_178 @ ((in0 @ Y @ T) & (R @ X @ Y)) @ Y)) @ ^[Y:a]:(F @ X @ Y))) = (sum @ T @ ^[Y:a]:(sum @ (gspec @ ^[GENR_PVARR_179:a]:?[X:a]:(setspec @ GENR_PVARR_179 @ ((in0 @ X @ S) & (R @ X @ Y)) @ X)) @ ^[X:a]:(F @ X @ Y)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > b > $o),S:(a > $o),T:(b > $o),K:(b > num)]:(((finite @ S) & (finite0 @ T) & ![J:b]:((in @ J @ T) => ((card @ (gspec @ ^[GENR_PVARR_181:a]:?[I:a]:(setspec @ GENR_PVARR_181 @ ((in0 @ I @ S) & (R @ I @ J)) @ I))) = (K @ J)))) => ((sum @ S @ ^[I:a]:(realu_ofu_num @ (card0 @ (gspec0 @ ^[GENR_PVARR_182:b]:?[J:b]:(setspec0 @ GENR_PVARR_182 @ ((in @ J @ T) & (R @ I @ J)) @ J))))) = (sum0 @ T @ ^[I:b]:(realu_ofu_num @ (K @ I)))))).
