%   ORIGINAL: SUM_MULTICOUNT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: SUM_CONST: !c s. FINITE s ==> sum s (\n. c) = &(CARD s) * c
% Assm: SUM_MULTICOUNT_GEN: !R s t k. FINITE s /\ FINITE t /\ (!j. j IN t ==> CARD {i | i IN s /\ R i j} = k j) ==> sum s (\i. &(CARD {j | j IN t /\ R i j})) = sum t (\i. &(k i))
% Assm: TRUTH: T
% Goal: !R s t k. FINITE s /\ FINITE t /\ (!j. j IN t ==> CARD {i | i IN s /\ R i j} = k) ==> sum s (\i. &(CARD {j | j IN t /\ R i j})) = &(k * CARD t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m * n = n * m
% Assm: !m n. &m * &n = &(m * n)
% Assm: !c s. FINITE s ==> sum s (\n. c) = &(CARD s) * c
% Assm: !R s t k. FINITE s /\ FINITE t /\ (!j. j IN t ==> CARD {i | i IN s /\ R i j} = k j) ==> sum s (\i. &(CARD {j | j IN t /\ R i j})) = sum t (\i. &(k i))
% Assm: T
% Goal: !R s t k. FINITE s /\ FINITE t /\ (!j. j IN t ==> CARD {i | i IN s /\ R i j} = k) ==> sum s (\i. &(CARD {j | j IN t /\ R i j})) = &(k * CARD t)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cgspec0, type, gspec0 : ((b > $o) > b > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(csetspec0, type, setspec0 : (b > $o > b > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((b > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aSUMu_CONST, axiom, ![C:real,S:(a > $o)]:((finite @ S) => ((sum @ S @ ^[N:a]:C) = (realu_mul @ (realu_ofu_num @ (card @ S)) @ C)))).
thf(aSUMu_MULTICOUNTu_GEN, axiom, ![R:(a > a > $o),S:(a > $o),T:(a > $o),K:(a > num)]:(((finite @ S) & (finite @ T) & ![J:a]:((in0 @ J @ T) => ((card @ (gspec @ ^[GENR_PVARR_181:a]:?[I:a]:(setspec @ GENR_PVARR_181 @ ((in0 @ I @ S) & (R @ I @ J)) @ I))) = (K @ J)))) => ((sum @ S @ ^[I:a]:(realu_ofu_num @ (card @ (gspec @ ^[GENR_PVARR_182:a]:?[J:a]:(setspec @ GENR_PVARR_182 @ ((in0 @ J @ T) & (R @ I @ J)) @ J))))) = (sum @ T @ ^[I:a]:(realu_ofu_num @ (K @ I)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > b > $o),S:(a > $o),T:(b > $o),K:num]:(((finite @ S) & (finite0 @ T) & ![J:b]:((in @ J @ T) => ((card @ (gspec @ ^[GENR_PVARR_183:a]:?[I:a]:(setspec @ GENR_PVARR_183 @ ((in0 @ I @ S) & (R @ I @ J)) @ I))) = K))) => ((sum @ S @ ^[I:a]:(realu_ofu_num @ (card0 @ (gspec0 @ ^[GENR_PVARR_184:b]:?[J:b]:(setspec0 @ GENR_PVARR_184 @ ((in @ J @ T) & (R @ I @ J)) @ J))))) = (realu_ofu_num @ (t_ @ K @ (card0 @ T)))))).
