%   ORIGINAL: REAL_OF_NUM_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_CLAUSES_conjunct0: !f. nsum {} f = 0
% Assm: NSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Goal: !f s. FINITE s ==> &(nsum s f) = sum s (\x. &(f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !f. nsum {} f = 0
% Assm: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Goal: !f s. FINITE s ==> &(nsum s f) = sum s (\x. &(f x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq73045, type, q73045 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin, type, in : (q73045 > (q73045 > $o) > $o)).
thf(csum, type, sum : ((q73045 > $o) > (q73045 > real) > real)).
thf(cnsum, type, nsum : ((q73045 > $o) > (q73045 > num) > num)).
thf(ccond0, type, cond0 : ($o > num > num > num)).
thf(cinsert, type, insert : (q73045 > (q73045 > $o) > q73045 > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((q73045 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (q73045 > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q73045 > $o) > $o)]:(((P @ empty) & ![X:q73045,S:(q73045 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q73045 > $o)]:((finite @ S) => (P @ S)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_CLAUSESu_conjunct0, axiom, ![F:(q73045 > num)]:((nsum @ empty @ F) = (numeral @ u_0))).
thf(aNSUMu_CLAUSESu_conjunct1, axiom, ![X:q73045,F:(q73045 > num),S:(q73045 > $o)]:((finite @ S) => ((nsum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (nsum @ S @ F) @ (p_ @ (F @ X) @ (nsum @ S @ F)))))).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(q73045 > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:q73045,F:(q73045 > real),S:(q73045 > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q73045 > num),S:(q73045 > $o)]:((finite @ S) => ((realu_ofu_num @ (nsum @ S @ F)) = (sum @ S @ ^[X:q73045]:(realu_ofu_num @ (F @ X)))))).
