%   ORIGINAL: SUM_IMAGE_NONZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_IMAGE_NONZERO: !op. monoidal op ==> (!g f s. FINITE s /\ (!x y. x IN s /\ y IN s /\ ~(x = y) /\ f x = f y ==> g (f x) = neutral op) ==> iterate op (IMAGE f s) g = iterate op s (g o f))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: NEUTRAL_REAL_ADD: neutral (+) = &0
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !d i s. FINITE s /\ (!x y. x IN s /\ y IN s /\ ~(x = y) /\ i x = i y ==> d (i x) = &0) ==> sum (IMAGE i s) d = sum s (d o i)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!g f s. FINITE s /\ (!x y. x IN s /\ y IN s /\ ~(x = y) /\ f x = f y ==> g (f x) = neutral op) ==> iterate op (IMAGE f s) g = iterate op s (g o f))
% Assm: monoidal (+)
% Assm: neutral (+) = &0
% Assm: T
% Assm: sum = iterate (+)
% Assm: sum = iterate (+)
% Goal: !d i s. FINITE s /\ (!x y. x IN s /\ y IN s /\ ~(x = y) /\ i x = i y ==> d (i x) = &0) ==> sum (IMAGE i s) d = sum s (d o i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(csum, type, sum : ((b > $o) > (b > real) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(citerate0, type, iterate0 : ((real > real > real) > (a > $o) > (a > real) > real)).
thf(citerate, type, iterate : ((real > real > real) > (b > $o) > (b > real) > real)).
thf(co, type, o : ((b > real) > (a > b) > a > real)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_IMAGEu_NONZERO, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![G:(b > real),F:(a > b),S:(a > $o)]:(((finite @ S) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y)) & ((F @ X) = (F @ Y))) => ((G @ (F @ X)) = (neutral @ OP)))) => ((iterate @ OP @ (image @ F @ S) @ G) = (iterate0 @ OP @ S @ (o @ G @ F)))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aNEUTRALu_REALu_ADD, axiom, ((neutral @ realu_add) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(asumu_monomorphized1, axiom, (sum = (iterate @ realu_add))).
thf(asumu_monomorphized0, axiom, (sum0 = (iterate0 @ realu_add))).
thf(conjecture, conjecture, ![D:(b > real),I:(a > b),S:(a > $o)]:(((finite @ S) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y)) & ((I @ X) = (I @ Y))) => ((D @ (I @ X)) = (realu_ofu_num @ (numeral @ u_0))))) => ((sum @ (image @ I @ S) @ D) = (sum0 @ S @ (o @ D @ I))))).
