%   ORIGINAL: SUM_BIJECTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_BIJECTION: !op. monoidal op ==> (!f p s. (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?!x. x IN s /\ p x = y)) ==> iterate op s f = iterate op s (f o p))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !f p s. (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?!x. x IN s /\ p x = y)) ==> sum s f = sum s (f o p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f p s. (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?x. x IN s /\ p x = y) /\ (!x x'. (x IN s /\ p x = y) /\ x' IN s /\ p x' = y ==> x = x')) ==> iterate op s f = iterate op s (f o p))
% Assm: monoidal (+)
% Assm: T
% Assm: sum = iterate (+)
% Goal: !f p s. (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?x. x IN s /\ p x = y) /\ (!x x'. (x IN s /\ p x = y) /\ x' IN s /\ p x' = y ==> x = x')) ==> sum s f = sum s (f o p)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(citerate, type, iterate : ((real > real > real) > (a > $o) > (a > real) > real)).
thf(co, type, o : ((a > real) > (a > a) > a > real)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_BIJECTION, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(a > real),P:(a > a),S:(a > $o)]:((![X:a]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![Y:a]:((in @ Y @ S) => (?[X:a]:((in @ X @ S) & ((P @ X) = Y)) & ![X:a,XI_:a]:(((in @ X @ S) & ((P @ X) = Y) & (in @ XI_ @ S) & ((P @ XI_) = Y)) => (X = XI_))))) => ((iterate @ OP @ S @ F) = (iterate @ OP @ S @ (o @ F @ P)))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![F:(a > real),P:(a > a),S:(a > $o)]:((![X:a]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![Y:a]:((in @ Y @ S) => (?[X:a]:((in @ X @ S) & ((P @ X) = Y)) & ![X:a,XI_:a]:(((in @ X @ S) & ((P @ X) = Y) & (in @ XI_ @ S) & ((P @ XI_) = Y)) => (X = XI_))))) => ((sum @ S @ F) = (sum @ S @ (o @ F @ P))))).
