%   ORIGINAL: SUM_SUM_PRODUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_ITERATE_PRODUCT: !op. monoidal op ==> (!s t x. FINITE s /\ (!i. i IN s ==> FINITE (t i)) ==> iterate op s (\i. iterate op (t i) (x i)) = iterate op {i,j | i IN s /\ j IN t i} (\(i,j). x i j))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !s t x. FINITE s /\ (!i. i IN s ==> FINITE (t i)) ==> sum s (\i. sum (t i) (x i)) = sum {i,j | i IN s /\ j IN t i} (\(i,j). x i j)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!s t x. FINITE s /\ (!i. i IN s ==> FINITE (t i)) ==> iterate op s (\i. iterate op (t i) (x i)) = iterate op {i,j | i IN s /\ j IN t i} (\(i,j). x i j))
% Assm: monoidal (+)
% Assm: T
% Assm: sum = iterate (+)
% Assm: sum = iterate (+)
% Assm: sum = iterate (+)
% Goal: !s t x. FINITE s /\ (!i. i IN s ==> FINITE (t i)) ==> sum s (\i. sum (t i) (x i)) = sum {i,j | i IN s /\ j IN t i} (\(i,j). x i j)
%  TYPES
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cgeq, type, geq : (real > real > $o)).
thf(cgabs, type, gabs : (((prodab > real) > $o) > prodab > real)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cgspec, type, gspec : ((prodab > $o) > prodab > $o)).
thf(csum1, type, sum1 : ((prodab > $o) > (prodab > real) > real)).
thf(csum0, type, sum0 : ((b > $o) > (b > real) > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(citerate1, type, iterate1 : ((real > real > real) > (prodab > $o) > (prodab > real) > real)).
thf(citerate0, type, iterate0 : ((real > real > real) > (b > $o) > (b > real) > real)).
thf(citerate, type, iterate : ((real > real > real) > (a > $o) > (a > real) > real)).
thf(ccu_, type, c_ : (a > b > prodab)).
thf(csetspec, type, setspec : (prodab > $o > prodab > $o)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_ITERATEu_PRODUCT, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![S:(a > $o),T:(a > b > $o),X:(a > b > real)]:(((finite @ S) & ![I:a]:((in @ I @ S) => (finite0 @ (T @ I)))) => ((iterate @ OP @ S @ ^[I:a]:(iterate0 @ OP @ (T @ I) @ (X @ I))) = (iterate1 @ OP @ (gspec @ ^[GENR_PVARR_147:prodab]:?[I:a,J:b]:(setspec @ GENR_PVARR_147 @ ((in @ I @ S) & (in0 @ J @ (T @ I))) @ (c_ @ I @ J))) @ (gabs @ ^[F:(prodab > real)]:![I:a,J:b]:(geq @ (F @ (c_ @ I @ J)) @ (X @ I @ J)))))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aTRUTH, axiom, $true).
thf(asumu_monomorphized2, axiom, (sum1 = (iterate1 @ realu_add))).
thf(asumu_monomorphized1, axiom, (sum0 = (iterate0 @ realu_add))).
thf(asumu_monomorphized0, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > b > $o),X:(a > b > real)]:(((finite @ S) & ![I:a]:((in @ I @ S) => (finite0 @ (T @ I)))) => ((sum @ S @ ^[I:a]:(sum0 @ (T @ I) @ (X @ I))) = (sum1 @ (gspec @ ^[GENR_PVARR_189:prodab]:?[I:a,J:b]:(setspec @ GENR_PVARR_189 @ ((in @ I @ S) & (in0 @ J @ (T @ I))) @ (c_ @ I @ J))) @ (gabs @ ^[F:(prodab > real)]:![I:a,J:b]:(geq @ (F @ (c_ @ I @ J)) @ (X @ I @ J))))))).
