%   ORIGINAL: SUM_INJECTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_INJECTION: !op. monoidal op ==> (!f p s. FINITE s /\ (!x. x IN s ==> p x IN s) /\ (!x y. x IN s /\ y IN s /\ p x = p y ==> x = y) ==> iterate op s (f o p) = iterate op s f)
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !f p s. FINITE s /\ (!x. x IN s ==> p x IN s) /\ (!x y. x IN s /\ y IN s /\ p x = p y ==> x = y) ==> sum s (f o p) = sum s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f p s. FINITE s /\ (!x. x IN s ==> p x IN s) /\ (!x y. x IN s /\ y IN s /\ p x = p y ==> x = y) ==> iterate op s (f o p) = iterate op s f)
% Assm: monoidal (+)
% Assm: T
% Assm: sum = iterate (+)
% Goal: !f p s. FINITE s /\ (!x. x IN s ==> p x IN s) /\ (!x y. x IN s /\ y IN s /\ p x = p y ==> x = y) ==> sum s (f o p) = sum s f
%  TYPES
thf(ta, type, a : $tType).
thf(tq73691, type, q73691 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q73691 > $o) > (q73691 > real) > real)).
thf(cin, type, in : (q73691 > (q73691 > $o) > $o)).
thf(citerate, type, iterate : ((real > real > real) > (q73691 > $o) > (q73691 > real) > real)).
thf(co, type, o : ((q73691 > real) > (q73691 > q73691) > q73691 > real)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite, type, finite : ((q73691 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q73691),G:(a > q73691)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_INJECTION, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(q73691 > real),P:(q73691 > q73691),S:(q73691 > $o)]:(((finite @ S) & ![X:q73691]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![X:q73691,Y:q73691]:(((in @ X @ S) & (in @ Y @ S) & ((P @ X) = (P @ Y))) => (X = Y))) => ((iterate @ OP @ S @ (o @ F @ P)) = (iterate @ OP @ S @ F))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![F:(q73691 > real),P:(q73691 > q73691),S:(q73691 > $o)]:(((finite @ S) & ![X:q73691]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![X:q73691,Y:q73691]:(((in @ X @ S) & (in @ Y @ S) & ((P @ X) = (P @ Y))) => (X = Y))) => ((sum @ S @ (o @ F @ P)) = (sum @ S @ F)))).
