%   ORIGINAL: SUM_UNION_NONZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_UNION_NONZERO: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ (!x. x IN s INTER t ==> f x = neutral op) ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: NEUTRAL_REAL_ADD: neutral (+) = &0
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !f s t. FINITE s /\ FINITE t /\ (!x. x IN s INTER t ==> f x = &0) ==> sum (s UNION t) f = sum s f + sum t f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ (!x. x IN s INTER t ==> f x = neutral op) ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: monoidal (+)
% Assm: neutral (+) = &0
% Assm: T
% Assm: sum = iterate (+)
% Goal: !f s t. FINITE s /\ FINITE t /\ (!x. x IN s INTER t ==> f x = &0) ==> sum (s UNION t) f = sum s f + sum t f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq73734, type, q73734 : $tType).
%  CONSTS
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q73734 > $o) > (q73734 > real) > real)).
thf(cin, type, in : (q73734 > (q73734 > $o) > $o)).
thf(citerate, type, iterate : ((real > real > real) > (q73734 > $o) > (q73734 > real) > real)).
thf(cunion, type, union : ((q73734 > $o) > (q73734 > $o) > q73734 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinter, type, inter : ((q73734 > $o) > (q73734 > $o) > q73734 > $o)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite, type, finite : ((q73734 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_UNIONu_NONZERO, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(q73734 > real),S:(q73734 > $o),T:(q73734 > $o)]:(((finite @ S) & (finite @ T) & ![X:q73734]:((in @ X @ (inter @ S @ T)) => ((F @ X) = (neutral @ OP)))) => ((iterate @ OP @ (union @ S @ T) @ F) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aNEUTRALu_REALu_ADD, axiom, ((neutral @ realu_add) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![F:(q73734 > real),S:(q73734 > $o),T:(q73734 > $o)]:(((finite @ S) & (finite @ T) & ![X:q73734]:((in @ X @ (inter @ S @ T)) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) => ((sum @ (union @ S @ T) @ F) = (realu_add @ (sum @ S @ F) @ (sum @ T @ F))))).
