%   ORIGINAL: SUM_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_CASES: !op. monoidal op ==> (!s P f g. FINITE s ==> iterate op s (\x. if P x then f x else g x) = op (iterate op {x | x IN s /\ P x} f) (iterate op {x | x IN s /\ ~P x} g))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !s P f g. FINITE s ==> sum s (\x. if P x then f x else g x) = sum {x | x IN s /\ P x} f + sum {x | x IN s /\ ~P x} g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!s P f g. FINITE s ==> iterate op s (\x. if P x then f x else g x) = op (iterate op {x | x IN s /\ P x} f) (iterate op {x | x IN s /\ ~P x} g))
% Assm: monoidal (+)
% Assm: T
% Assm: sum = iterate (+)
% Goal: !s P f g. FINITE s ==> sum s (\x. if P x then f x else g x) = sum {x | x IN s /\ P x} f + sum {x | x IN s /\ ~P x} g
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(citerate, type, iterate : ((real > real > real) > (a > $o) > (a > real) > real)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_CASES, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![S:(a > $o),P:(a > $o),F:(a > real),G:(a > real)]:((finite @ S) => ((iterate @ OP @ S @ ^[X:a]:(cond @ (P @ X) @ (F @ X) @ (G @ X))) = (OP @ (iterate @ OP @ (gspec @ ^[GENR_PVARR_150:a]:?[X:a]:(setspec @ GENR_PVARR_150 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) @ (iterate @ OP @ (gspec @ ^[GENR_PVARR_151:a]:?[X:a]:(setspec @ GENR_PVARR_151 @ ((in @ X @ S) & ~ ((P @ X))) @ X)) @ G)))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > $o),F:(a > real),G:(a > real)]:((finite @ S) => ((sum @ S @ ^[X:a]:(cond @ (P @ X) @ (F @ X) @ (G @ X))) = (realu_add @ (sum @ (gspec @ ^[GENR_PVARR_190:a]:?[X:a]:(setspec @ GENR_PVARR_190 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) @ (sum @ (gspec @ ^[GENR_PVARR_191:a]:?[X:a]:(setspec @ GENR_PVARR_191 @ ((in @ X @ S) & ~ ((P @ X))) @ X)) @ G))))).
