%   ORIGINAL: SUM_IMAGE_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: SUM_LE_INCLUDED: !f g s t i. FINITE s /\ FINITE t /\ (!y. y IN t ==> &0 <= g y) /\ (!x. x IN s ==> (?y. y IN t /\ i y = x /\ f x <= g y)) ==> sum s f <= sum t g
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g s. FINITE s /\ (!x. x IN s ==> &0 <= g (f x)) ==> sum (IMAGE f s) g <= sum s (g o f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !f g s t i. FINITE s /\ FINITE t /\ (!y. y IN t ==> &0 <= g y) /\ (!x. x IN s ==> (?y. y IN t /\ i y = x /\ f x <= g y)) ==> sum s f <= sum t g
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g s. FINITE s /\ (!x. x IN s ==> &0 <= g (f x)) ==> sum (IMAGE f s) g <= sum s (g o f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(csum, type, sum : ((b > $o) > (b > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cimage0, type, image0 : ((a > a) > (a > $o) > a > $o)).
thf(co, type, o : ((b > real) > (a > b) > a > real)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGE, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (finite @ (image0 @ F @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(a > $o),F:(a > a),S:(a > $o)]:(![Y:a]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:a]:((in @ X @ S) => (P @ (F @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSUMu_LEu_INCLUDED, axiom, ![F:(a > real),G:(a > real),S:(a > $o),T:(a > $o),I:(a > a)]:(((finite @ S) & (finite @ T) & ![Y:a]:((in @ Y @ T) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (G @ Y))) & ![X:a]:((in @ X @ S) => ?[Y:a]:((in @ Y @ T) & ((I @ Y) = X) & (realu_le @ (F @ X) @ (G @ Y))))) => (realu_le @ (sum0 @ S @ F) @ (sum0 @ T @ G)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(a > b),G:(b > real),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (G @ (F @ X))))) => (realu_le @ (sum @ (image @ F @ S) @ G) @ (sum0 @ S @ (o @ G @ F))))).
