%   ORIGINAL: SUM_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_CLOSED: !op. monoidal op ==> (!P. P (neutral op) /\ (!x y. P x /\ P y ==> P (op x y)) ==> (!f s. (!x. x IN s /\ ~(f x = neutral op) ==> P (f x)) ==> P (iterate op s f)))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: NEUTRAL_REAL_ADD: neutral (+) = &0
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !P f s. P (&0) /\ (!x y. P x /\ P y ==> P (x + y)) /\ (!a. a IN s ==> P (f a)) ==> P (sum s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!P. P (neutral op) /\ (!x y. P x /\ P y ==> P (op x y)) ==> (!f s. (!x. x IN s /\ ~(f x = neutral op) ==> P (f x)) ==> P (iterate op s f)))
% Assm: monoidal (+)
% Assm: neutral (+) = &0
% Assm: T
% Assm: sum = iterate (+)
% Goal: !P f s. P (&0) /\ (!x y. P x /\ P y ==> P (x + y)) /\ (!a. a IN s ==> P (f a)) ==> P (sum s f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cneutral0, type, neutral0 : ((real > real > real) > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(citerate0, type, iterate0 : ((real > real > real) > (a > $o) > (a > real) > real)).
thf(citerate, type, iterate : ((b > b > b) > (a > $o) > (a > b) > b)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmonoidal0, type, monoidal0 : ((real > real > real) > $o)).
thf(cmonoidal, type, monoidal : ((b > b > b) > $o)).
thf(cneutral, type, neutral : ((b > b > b) > b)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_CLOSED, axiom, ![OP:(b > b > b)]:((monoidal @ OP) => ![P:(b > $o)]:(((P @ (neutral @ OP)) & ![X:b,Y:b]:(((P @ X) & (P @ Y)) => (P @ (OP @ X @ Y)))) => ![F:(a > b),S:(a > $o)]:(![X:a]:(((in @ X @ S) & ~ (((F @ X) = (neutral @ OP)))) => (P @ (F @ X))) => (P @ (iterate @ OP @ S @ F)))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal0 @ realu_add)).
thf(aNEUTRALu_REALu_ADD, axiom, ((neutral0 @ realu_add) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate0 @ realu_add))).
thf(conjecture, conjecture, ![P:(real > $o),F:(a > real),S:(a > $o)]:(((P @ (realu_ofu_num @ (numeral @ u_0))) & ![X:real,Y:real]:(((P @ X) & (P @ Y)) => (P @ (realu_add @ X @ Y))) & ![A:a]:((in @ A @ S) => (P @ (F @ A)))) => (P @ (sum @ S @ F)))).
