%   ORIGINAL: SUM_ADD_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: SUM_ADD: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: TRUTH: T
% Goal: !f g m n. sum (m..n) (\i. f i + g i) = sum (m..n) f + sum (m..n) g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. FINITE (m..n)
% Assm: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: T
% Goal: !f g m n. sum (m..n) (\i. f i + g i) = sum (m..n) f + sum (m..n) g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aSUMu_ADD, axiom, ![F:(num > real),G:(num > real),S:(num > $o)]:((finite @ S) => ((sum @ S @ ^[X:num]:(realu_add @ (F @ X) @ (G @ X))) = (realu_add @ (sum @ S @ F) @ (sum @ S @ G))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),G:(num > real),M:num,N:num]:((sum @ (o_o_ @ M @ N) @ ^[I:num]:(realu_add @ (F @ I) @ (G @ I))) = (realu_add @ (sum @ (o_o_ @ M @ N) @ F) @ (sum @ (o_o_ @ M @ N) @ G)))).
