%   ORIGINAL: SUM_POS_EQ_0_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_POS_EQ_0: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) /\ sum s f = &0 ==> (!x. x IN s ==> f x = &0)
% Assm: TRUTH: T
% Goal: !f m n. (!p. m <= p /\ p <= n ==> &0 <= f p) /\ sum (m..n) f = &0 ==> (!p. m <= p /\ p <= n ==> f p = &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !m n. FINITE (m..n)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) /\ sum s f = &0 ==> (!x. x IN s ==> f x = &0)
% Assm: T
% Goal: !f m n. (!p. m <= p /\ p <= n ==> &0 <= f p) /\ sum (m..n) f = &0 ==> (!p. m <= p /\ p <= n ==> f p = &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_POSu_EQu_0, axiom, ![F:(num > real),S:(num > $o)]:(((finite @ S) & ![X:num]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X))) & ((sum @ S @ F) = (realu_ofu_num @ (numeral @ u_0)))) => ![X:num]:((in @ X @ S) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),M:num,N:num]:((![P:num]:(((l_a_ @ M @ P) & (l_a_ @ P @ N)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ P))) & ((sum @ (o_o_ @ M @ N) @ F) = (realu_ofu_num @ (numeral @ u_0)))) => ![P:num]:(((l_a_ @ M @ P) & (l_a_ @ P @ N)) => ((F @ P) = (realu_ofu_num @ (numeral @ u_0)))))).
