%   ORIGINAL: SUM_PAIR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_PAIR: !op. monoidal op ==> (!f m n. iterate op (2 * m..2 * n + 1) f = iterate op (m..n) (\i. op (f (2 * i)) (f (2 * i + 1))))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !f m n. sum (2 * m..2 * n + 1) f = sum (m..n) (\i. f (2 * i) + f (2 * i + 1))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f m n. iterate op (2 * m..2 * n + 1) f = iterate op (m..n) (\i. op (f (2 * i)) (f (2 * i + 1))))
% Assm: monoidal (+)
% Assm: T
% Assm: sum = iterate (+)
% Goal: !f m n. sum (2 * m..2 * n + 1) f = sum (m..n) (\i. f (2 * i) + f (2 * i + 1))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(citerate, type, iterate : ((real > real > real) > (num > $o) > (num > real) > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_PAIR, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(num > real),M:num,N:num]:((iterate @ OP @ (o_o_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ M) @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N) @ (numeral @ (bit1 @ u_0)))) @ F) = (iterate @ OP @ (o_o_ @ M @ N) @ ^[I:num]:(OP @ (F @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I)) @ (F @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I) @ (numeral @ (bit1 @ u_0))))))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![F:(num > real),M:num,N:num]:((sum @ (o_o_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ M) @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N) @ (numeral @ (bit1 @ u_0)))) @ F) = (sum @ (o_o_ @ M @ N) @ ^[I:num]:(realu_add @ (F @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I)) @ (F @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I) @ (numeral @ (bit1 @ u_0)))))))).
