%   ORIGINAL: REAL_OF_NUM_SUM_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: REAL_OF_NUM_SUM: !f s. FINITE s ==> &(nsum s f) = sum s (\x. &(f x))
% Assm: TRUTH: T
% Goal: !f m n. &(nsum (m..n) f) = sum (m..n) (\i. &(f i))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. FINITE (m..n)
% Assm: !f s. FINITE s ==> &(nsum s f) = sum s (\x. &(f x))
% Assm: T
% Goal: !f m n. &(nsum (m..n) f) = sum (m..n) (\i. &(f i))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cnsum, type, nsum : ((num > $o) > (num > num) > num)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aREALu_OFu_NUMu_SUM, axiom, ![F:(num > num),S:(num > $o)]:((finite @ S) => ((realu_ofu_num @ (nsum @ S @ F)) = (sum @ S @ ^[X:num]:(realu_ofu_num @ (F @ X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > num),M:num,N:num]:((realu_ofu_num @ (nsum @ (o_o_ @ M @ N) @ F)) = (sum @ (o_o_ @ M @ N) @ ^[I:num]:(realu_ofu_num @ (F @ I))))).
