%   ORIGINAL: SUM_DIFFS_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: SUM_DIFFS: !m n. sum (m..n) (\k. f k - f (k + 1)) = (if m <= n then f m - f (n + 1) else &0)
% Assm: SUM_NEG: !f s. sum s (\x. --f x) = --sum s f
% Assm: TRUTH: T
% Goal: !m n. sum (m..n) (\k. f (k + 1) - f k) = (if m <= n then f (n + 1) - f m else &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x y. --(x - y) = y - x
% Assm: -- &0 = &0
% Assm: !f m n. sum (m..n) (\k. f k - f (k + 1)) = (if m <= n then f m - f (n + 1) else &0)
% Assm: !f s. sum s (\x. --f x) = --sum s f
% Assm: T
% Goal: !f m n. sum (m..n) (\k. f (k + 1) - f k) = (if m <= n then f (n + 1) - f m else &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_DIFFS, axiom, ![F:(num > real),M:num,N:num]:((sum @ (o_o_ @ M @ N) @ ^[K:num]:(realu_sub @ (F @ K) @ (F @ (p_ @ K @ (numeral @ (bit1 @ u_0)))))) = (cond @ (l_a_ @ M @ N) @ (realu_sub @ (F @ M) @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0))))) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSUMu_NEG, axiom, ![F:(num > real),S:(num > $o)]:((sum @ S @ ^[X:num]:(realu_neg @ (F @ X))) = (realu_neg @ (sum @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),M:num,N:num]:((sum @ (o_o_ @ M @ N) @ ^[K:num]:(realu_sub @ (F @ (p_ @ K @ (numeral @ (bit1 @ u_0)))) @ (F @ K))) = (cond @ (l_a_ @ M @ N) @ (realu_sub @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) @ (F @ M)) @ (realu_ofu_num @ (numeral @ u_0))))).
