%   ORIGINAL: REAL_SUB_POW_R1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_POW_ONE: !n. &1 pow n = &1
% Assm: REAL_SUB_POW: !x y n. 1 <= n ==> x pow n - y pow n = (x - y) * sum (0..n - 1) (\i. x pow i * y pow (n - 1 - i))
% Assm: TRUTH: T
% Goal: !x n. 1 <= n ==> x pow n - &1 = (x - &1) * sum (0..n - 1) (\i. x pow i)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x * &1 = x
% Assm: !n. &1 pow n = &1
% Assm: !x y n. 1 <= n ==> x pow n - y pow n = (x - y) * sum (0..n - 1) (\i. x pow i * y pow (n - 1 - i))
% Assm: T
% Goal: !x n. 1 <= n ==> x pow n - &1 = (x - &1) * sum (0..n - 1) (\i. x pow i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_POWu_ONE, axiom, ![N:num]:((realu_pow @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ N) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_SUBu_POW, axiom, ![X:real,Y:real,N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((realu_sub @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)) = (realu_mul @ (realu_sub @ X @ Y) @ (sum @ (o_o_ @ (numeral @ u_0) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ ^[I:num]:(realu_mul @ (realu_pow @ X @ I) @ (realu_pow @ Y @ (m_ @ (m_ @ N @ (numeral @ (bit1 @ u_0))) @ I)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((realu_sub @ (realu_pow @ X @ N) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_mul @ (realu_sub @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (sum @ (o_o_ @ (numeral @ u_0) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ ^[I:num]:(realu_pow @ X @ I)))))).
