%   ORIGINAL: REAL_POLYFUN_FINITE_ROOTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POLYFUN_ROOTBOUND: !n c. ~(!i. i IN 0..n ==> c i = &0) ==> FINITE {x | sum (0..n) (\i. c i * x pow i) = &0} /\ CARD {x | sum (0..n) (\i. c i * x pow i) = &0} <= n
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: SUM_0: !s. sum s (\n. &0) = &0
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: real_INFINITE: INFINITE (:real)
% Goal: !n c. FINITE {x | sum (0..n) (\i. c i * x pow i) = &0} <=> (?i. i IN 0..n /\ ~(c i = &0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. x IN (:num)
% Assm: ~F <=> T
% Assm: !n c. ~(!i. i IN 0..n ==> c i = &0) ==> FINITE {x | sum (0..n) (\i. c i * x pow i) = &0} /\ CARD {x | sum (0..n) (\i. c i * x pow i) = &0} <= n
% Assm: !x. &0 * x = &0
% Assm: !s. sum s (\n. &0) = &0
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: INFINITE (:real)
% Goal: !n c. FINITE {x | sum (0..n) (\i. c i * x pow i) = &0} <=> (?i. i IN 0..n /\ ~(c i = &0))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cinfinite, type, infinite : ((real > $o) > $o)).
thf(cfinite, type, finite : ((real > $o) > $o)).
thf(ccard, type, card : ((real > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(num > $o),T:(num > $o)]:((S = T) <=> ![X:num]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINFINITE, axiom, ![S:(real > $o)]:((infinite @ S) <=> ~ ((finite @ S)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(num > $o),X:num]:((in @ X @ (gspec0 @ ^[V:num]:?[Y:num]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aINu_UNIV, axiom, ![X:num]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POLYFUNu_ROOTBOUND, axiom, ![N:num,C:(num > real)]:(~ (![I:num]:((in @ I @ (o_o_ @ (numeral @ u_0) @ N)) => ((C @ I) = (realu_ofu_num @ (numeral @ u_0))))) => ((finite @ (gspec @ ^[GENR_PVARR_200:real]:?[X:real]:(setspec @ GENR_PVARR_200 @ ((sum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(realu_mul @ (C @ I) @ (realu_pow @ X @ I))) = (realu_ofu_num @ (numeral @ u_0))) @ X))) & (l_a_ @ (card @ (gspec @ ^[GENR_PVARR_201:real]:?[X:real]:(setspec @ GENR_PVARR_201 @ ((sum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(realu_mul @ (C @ I) @ (realu_pow @ X @ I))) = (realu_ofu_num @ (numeral @ u_0))) @ X))) @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_0, axiom, ![S:(num > $o)]:((sum @ S @ ^[N:num]:(realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_EQ, axiom, ![F:(num > real),G:(num > real),S:(num > $o)]:(![X:num]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(arealu_INFINITE, axiom, (infinite @ univ0)).
thf(conjecture, conjecture, ![N:num,C:(num > real)]:((finite @ (gspec @ ^[GENR_PVARR_203:real]:?[X:real]:(setspec @ GENR_PVARR_203 @ ((sum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(realu_mul @ (C @ I) @ (realu_pow @ X @ I))) = (realu_ofu_num @ (numeral @ u_0))) @ X))) <=> ?[I:num]:((in @ I @ (o_o_ @ (numeral @ u_0) @ N)) & ~ (((C @ I) = (realu_ofu_num @ (numeral @ u_0))))))).
