%   ORIGINAL: DIMINDEX_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: dimindex: !s. dimindex s = (if FINITE (:A) then CARD (:A) else 1)
% Goal: (:A) HAS_SIZE n ==> dimindex (:A) = n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: ~F <=> T
% Assm: T
% Assm: !s. dimindex s = (if FINITE (:A) then CARD (:A) else 1)
% Goal: !n. (:A) HAS_SIZE n ==> dimindex (:A) = n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(chasuu_size, type, hasu_size : ((a > $o) > num > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cdimindex, type, dimindex : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_SIZE, axiom, ![S:(a > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adimindex, axiom, ![S:(a > $o)]:((dimindex @ S) = (cond @ (finite @ univ) @ (card @ univ) @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![N:num]:((hasu_size @ univ @ N) => ((dimindex @ univ) = N))).
