%   ORIGINAL: FINITE_INDEX_INJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDEX_WORKS: !i. ?!n. 1 <= n /\ n <= dimindex (:A) /\ finite_index n = i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !i j. 1 <= i /\ i <= dimindex (:A) /\ 1 <= j /\ j <= dimindex (:A) ==> (finite_index i = finite_index j <=> i = j)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !i. (?n. 1 <= n /\ n <= dimindex (:A) /\ finite_index n = i) /\ (!n x'. (1 <= n /\ n <= dimindex (:A) /\ finite_index n = i) /\ 1 <= x' /\ x' <= dimindex (:A) /\ finite_index x' = i ==> n = x')
% Assm: ~F <=> T
% Assm: T
% Goal: !i j. 1 <= i /\ i <= dimindex (:A) /\ 1 <= j /\ j <= dimindex (:A) ==> (finite_index i = finite_index j <=> i = j)
%  TYPES
thf(tfiniteu_imagea, type, finite_imagea : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdimindex, type, dimindex : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (a > $o)).
thf(cfiniteuu_index, type, finiteu_index : (num > finite_imagea)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > finite_imagea),G:(a > finite_imagea)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDEXu_WORKS, axiom, ![I:finite_imagea]:(?[N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) & (l_a_ @ N @ (dimindex @ univ)) & ((finiteu_index @ N) = I)) & ![N:num,XI_:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) & (l_a_ @ N @ (dimindex @ univ)) & ((finiteu_index @ N) = I) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ XI_) & (l_a_ @ XI_ @ (dimindex @ univ)) & ((finiteu_index @ XI_) = I)) => (N = XI_)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ))) => (((finiteu_index @ I) = (finiteu_index @ J)) <=> (I = J)))).
