%   ORIGINAL: FORALL_FINITE_INDEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDEX_WORKS: !i. ?!n. 1 <= n /\ n <= dimindex (:A) /\ finite_index n = i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: (!k. P k) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> P (finite_index i))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !i. (?n. 1 <= n /\ n <= dimindex (:N) /\ finite_index n = i) /\ (!n x'. (1 <= n /\ n <= dimindex (:N) /\ finite_index n = i) /\ 1 <= x' /\ x' <= dimindex (:N) /\ finite_index x' = i ==> n = x')
% Assm: ~F <=> T
% Assm: T
% Goal: !P. (!k. P k) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> P (finite_index i))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tfiniteu_imagen, type, finite_imagen : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cfiniteuu_index, type, finiteu_index : (num > finite_imagen)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDEXu_WORKS, axiom, ![I:finite_imagen]:(?[N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) & (l_a_ @ N @ (dimindex @ univ)) & ((finiteu_index @ N) = I)) & ![N:num,XI_:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) & (l_a_ @ N @ (dimindex @ univ)) & ((finiteu_index @ N) = I) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ XI_) & (l_a_ @ XI_ @ (dimindex @ univ)) & ((finiteu_index @ XI_) = I)) => (N = XI_)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(finite_imagen > $o)]:(![K:finite_imagen]:(P @ K) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (P @ (finiteu_index @ I))))).
