%   ORIGINAL: CART_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_FINITE_INDEX: (!k. P k) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> P (finite_index i))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: cart_tybij_conjunct0: !a. mk_cart (dest_cart a) = a
% Assm: cart_tybij_conjunct1: !r. T <=> dest_cart (mk_cart r) = r
% Assm: finite_index: !x i. x$i = dest_cart x (finite_index i)
% Goal: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (!k. P k) <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> P (finite_index i))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: T
% Assm: !a. mk_cart (dest_cart a) = a
% Assm: !r. T <=> dest_cart (mk_cart r) = r
% Assm: !x i. x$i = dest_cart x (finite_index i)
% Goal: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartab, type, cartab : $tType).
thf(tfiniteu_imageb, type, finite_imageb : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdestuu_cart, type, destu_cart : (cartab > finite_imageb > a)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(cmkuu_cart, type, mku_cart : ((finite_imageb > a) > cartab)).
thf(cfiniteuu_index, type, finiteu_index : (num > finite_imageb)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartab),G:(a > cartab)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_FINITEu_INDEX, axiom, ![P:(finite_imageb > $o)]:(![K:finite_imageb]:(P @ K) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (P @ (finiteu_index @ I))))).
thf(aFUNu_EQu_THMu_monomorphized2, axiom, ![F:(a > cartab),G:(a > cartab)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acartu_tybiju_conjunct0, axiom, ![A:cartab]:((mku_cart @ (destu_cart @ A)) = A)).
thf(acartu_tybiju_conjunct1, axiom, ![R:(finite_imageb > a)]:($true <=> ((destu_cart @ (mku_cart @ R)) = R))).
thf(afiniteu_index, axiom, ![X:cartab,I:num]:((d_ @ X @ I) = (destu_cart @ X @ (finiteu_index @ I)))).
thf(conjecture, conjecture, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
