%   ORIGINAL: LAMBDA_BETA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_FINITE_IMAGE: !s t. dimindex s = dimindex t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: FINITE_INDEX_INJ: !i j. 1 <= i /\ i <= dimindex (:A) /\ 1 <= j /\ j <= dimindex (:A) ==> (finite_index i = finite_index j <=> i = j)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_UNIQUE: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: TRUTH: T
% Assm: cart_tybij_conjunct0: !a. mk_cart (dest_cart a) = a
% Assm: cart_tybij_conjunct1: !r. T <=> dest_cart (mk_cart r) = r
% Assm: finite_index: !x i. x$i = dest_cart x (finite_index i)
% Assm: lambda: !g. (lambda) g = (@f. !i. 1 <= i /\ i <= dimindex (:B) ==> f$i = g i)
% Goal: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. dimindex s = dimindex t
% Assm: (?) = (\P. P ((@) P))
% Assm: !i j. 1 <= i /\ i <= dimindex (:B) /\ 1 <= j /\ j <= dimindex (:B) ==> (finite_index i = finite_index j <=> i = j)
% Assm: ~F <=> T
% Assm: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: T
% Assm: !a. mk_cart (dest_cart a) = a
% Assm: !r. T <=> dest_cart (mk_cart r) = r
% Assm: !x i. x$i = dest_cart x (finite_index i)
% Assm: !g. (lambda) g = (@f. !i. 1 <= i /\ i <= dimindex (:B) ==> f$i = g i)
% Goal: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartab, type, cartab : $tType).
thf(tfiniteu_imageb, type, finite_imageb : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdestuu_cart, type, destu_cart : (cartab > finite_imageb > a)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(chu_0, type, h_0 : ((cartab > $o) > cartab)).
thf(cmkuu_cart, type, mku_cart : ((finite_imageb > a) > cartab)).
thf(clambda0, type, lambda0 : ((num > a) > cartab)).
thf(cfiniteuu_index, type, finiteu_index : (num > finite_imageb)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((finite_imageb > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_FINITEu_IMAGE, axiom, ![S:(finite_imageb > $o),T:(b > $o)]:((dimindex0 @ S) = (dimindex @ T))).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aFINITEu_INDEXu_INJ, axiom, ![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ))) => (((finiteu_index @ I) = (finiteu_index @ J)) <=> (I = J)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_UNIQUE, axiom, ![P:(a > $o),X:a]:(![Y:a]:((P @ Y) <=> (Y = X)) => ((h_ @ P) = X))).
thf(aTRUTH, axiom, $true).
thf(acartu_tybiju_conjunct0, axiom, ![A:cartab]:((mku_cart @ (destu_cart @ A)) = A)).
thf(acartu_tybiju_conjunct1, axiom, ![R:(finite_imageb > a)]:($true <=> ((destu_cart @ (mku_cart @ R)) = R))).
thf(afiniteu_index, axiom, ![X:cartab,I:num]:((d_ @ X @ I) = (destu_cart @ X @ (finiteu_index @ I)))).
thf(alambda, axiom, ![G:(num > a)]:((lambda0 @ G) = (h_0 @ ^[F:cartab]:![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ F @ I) = (G @ I)))))).
thf(conjecture, conjecture, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
