%   ORIGINAL: FINITE_INDEX_INRANGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDEX_WORKS: !i. ?!n. 1 <= n /\ n <= dimindex (:A) /\ finite_index n = i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: finite_index: !x i. x$i = dest_cart x (finite_index i)
% Goal: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !i. (?n. 1 <= n /\ n <= dimindex (:N) /\ finite_index n = i) /\ (!n x'. (1 <= n /\ n <= dimindex (:N) /\ finite_index n = i) /\ 1 <= x' /\ x' <= dimindex (:N) /\ finite_index x' = i ==> n = x')
% Assm: ~F <=> T
% Assm: T
% Assm: !x i. x$i = dest_cart x (finite_index i)
% Goal: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
%  TYPES
thf(tcartan, type, cartan : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tfiniteu_imagen, type, finite_imagen : $tType).
thf(tb, type, b : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdestuu_cart, type, destu_cart : (cartan > finite_imagen > a)).
thf(cdu_, type, d_ : (cartan > num > a)).
thf(cfiniteuu_index, type, finiteu_index : (num > finite_imagen)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDEXu_WORKS, axiom, ![I:finite_imagen]:(?[N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) & (l_a_ @ N @ (dimindex @ univ)) & ((finiteu_index @ N) = I)) & ![N:num,XI_:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) & (l_a_ @ N @ (dimindex @ univ)) & ((finiteu_index @ N) = I) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ XI_) & (l_a_ @ XI_ @ (dimindex @ univ)) & ((finiteu_index @ XI_) = I)) => (N = XI_)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(afiniteu_index, axiom, ![X:cartan,I:num]:((d_ @ X @ I) = (destu_cart @ X @ (finiteu_index @ I)))).
thf(conjecture, conjecture, ![I:num]:?[K:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartan]:((d_ @ X @ I) = (d_ @ X @ K)))).
