%   ORIGINAL: DIMINDEX_HAS_SIZE_FINITE_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_UNIV: !s. dimindex s = dimindex (:A)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_SUM_IMAGE: (:(A,B)finite_sum) = IMAGE mk_finite_sum (1..dimindex (:A) + dimindex (:B))
% Assm: HAS_SIZE_IMAGE_INJ: !f s n. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ s HAS_SIZE n ==> IMAGE f s HAS_SIZE n
% Assm: HAS_SIZE_NUMSEG_1: !n. 1..n HAS_SIZE n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: finite_sum_tybij_conjunct0: !a. mk_finite_sum (dest_finite_sum a) = a
% Assm: finite_sum_tybij_conjunct1: !r. r IN 1..dimindex (:A) + dimindex (:B) <=> dest_finite_sum (mk_finite_sum r) = r
% Goal: (:(M,N)finite_sum) HAS_SIZE dimindex (:M) + dimindex (:N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. dimindex s = dimindex (:N)
% Assm: !s. dimindex s = dimindex (:M)
% Assm: !t. (\x. t x) = t
% Assm: (:(M,N)finite_sum) = IMAGE mk_finite_sum (1..dimindex (:M) + dimindex (:N))
% Assm: !f s n. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ s HAS_SIZE n ==> IMAGE f s HAS_SIZE n
% Assm: !n. 1..n HAS_SIZE n
% Assm: ~F <=> T
% Assm: T
% Assm: !a. mk_finite_sum (dest_finite_sum a) = a
% Assm: !r. r IN 1..dimindex (:N) + dimindex (:N) <=> dest_finite_sum (mk_finite_sum r) = r
% Assm: !r. r IN 1..dimindex (:N) + dimindex (:M) <=> dest_finite_sum (mk_finite_sum r) = r
% Assm: !r. r IN 1..dimindex (:M) + dimindex (:N) <=> dest_finite_sum (mk_finite_sum r) = r
% Assm: !r. r IN 1..dimindex (:M) + dimindex (:M) <=> dest_finite_sum (mk_finite_sum r) = r
% Goal: (:(M,N)finite_sum) HAS_SIZE dimindex (:M) + dimindex (:N)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tfiniteu_summm, type, finite_summm : $tType).
thf(tfiniteu_sumnm, type, finite_sumnm : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(tfiniteu_sumnn, type, finite_sumnn : $tType).
thf(tfiniteu_sumab, type, finite_sumab : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (m > $o)).
thf(cuniv1, type, univ1 : (n > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(chasuu_size0, type, hasu_size0 : ((num > $o) > num > $o)).
thf(cin, type, in : (finite_summn > (finite_summn > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(chasuu_size, type, hasu_size : ((finite_summn > $o) > num > $o)).
thf(cmkuu_finiteuu_sum0, type, mku_finiteu_sum0 : (num > finite_sumab)).
thf(cimage0, type, image0 : ((finite_summn > finite_summn) > (finite_summn > $o) > finite_summn > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage, type, image : ((num > finite_summn) > (num > $o) > finite_summn > $o)).
thf(cuniv, type, univ : (finite_summn > $o)).
thf(cmkuu_finiteuu_sum3, type, mku_finiteu_sum3 : (num > finite_summm)).
thf(cmkuu_finiteuu_sum2, type, mku_finiteu_sum2 : (num > finite_sumnm)).
thf(cmkuu_finiteuu_sum1, type, mku_finiteu_sum1 : (num > finite_sumnn)).
thf(cmkuu_finiteuu_sum, type, mku_finiteu_sum : (num > finite_summn)).
thf(cdestuu_finiteuu_sum3, type, destu_finiteu_sum3 : (finite_summm > num)).
thf(cdestuu_finiteuu_sum2, type, destu_finiteu_sum2 : (finite_summn > num)).
thf(cdestuu_finiteuu_sum1, type, destu_finiteu_sum1 : (finite_sumnm > num)).
thf(cdestuu_finiteuu_sum0, type, destu_finiteu_sum0 : (finite_sumnn > num)).
thf(cdestuu_finiteuu_sum, type, destu_finiteu_sum : (finite_sumab > num)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_UNIVu_monomorphized1, axiom, ![S:(n > $o)]:((dimindex0 @ S) = (dimindex0 @ univ1))).
thf(aDIMINDEXu_UNIVu_monomorphized0, axiom, ![S:(m > $o)]:((dimindex @ S) = (dimindex @ univ0))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_SUMu_IMAGE, axiom, (univ = (image @ mku_finiteu_sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (p_ @ (dimindex @ univ0) @ (dimindex0 @ univ1)))))).
thf(aHASu_SIZEu_IMAGEu_INJ, axiom, ![F:(finite_summn > finite_summn),S:(finite_summn > $o),N:num]:((![X:finite_summn,Y:finite_summn]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (hasu_size @ S @ N)) => (hasu_size @ (image0 @ F @ S) @ N))).
thf(aHASu_SIZEu_NUMSEGu_1, axiom, ![N:num]:(hasu_size0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N) @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(afiniteu_sumu_tybiju_conjunct0, axiom, ![A:finite_sumab]:((mku_finiteu_sum0 @ (destu_finiteu_sum @ A)) = A)).
thf(afiniteu_sumu_tybiju_conjunct1u_monomorphized3, axiom, ![R:num]:((in0 @ R @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (p_ @ (dimindex0 @ univ1) @ (dimindex0 @ univ1)))) <=> ((destu_finiteu_sum0 @ (mku_finiteu_sum1 @ R)) = R))).
thf(afiniteu_sumu_tybiju_conjunct1u_monomorphized2, axiom, ![R:num]:((in0 @ R @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (p_ @ (dimindex0 @ univ1) @ (dimindex @ univ0)))) <=> ((destu_finiteu_sum1 @ (mku_finiteu_sum2 @ R)) = R))).
thf(afiniteu_sumu_tybiju_conjunct1u_monomorphized1, axiom, ![R:num]:((in0 @ R @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (p_ @ (dimindex @ univ0) @ (dimindex0 @ univ1)))) <=> ((destu_finiteu_sum2 @ (mku_finiteu_sum @ R)) = R))).
thf(afiniteu_sumu_tybiju_conjunct1u_monomorphized0, axiom, ![R:num]:((in0 @ R @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (p_ @ (dimindex @ univ0) @ (dimindex @ univ0)))) <=> ((destu_finiteu_sum3 @ (mku_finiteu_sum3 @ R)) = R))).
thf(conjecture, conjecture, (hasu_size @ univ @ (p_ @ (dimindex @ univ0) @ (dimindex0 @ univ1)))).
