%   ORIGINAL: DIMINDEX_FINITE_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DIMINDEX_HAS_SIZE_FINITE_SUM: (:(M,N)finite_sum) HAS_SIZE dimindex (:M) + dimindex (:N)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: TRUTH: T
% Assm: dimindex: !s. dimindex s = (if FINITE (:A) then CARD (:A) else 1)
% Goal: dimindex (:(M,N)finite_sum) = dimindex (:M) + dimindex (:N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: (:(M,N)finite_sum) HAS_SIZE dimindex (:M) + dimindex (:N)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: T
% Assm: !s. dimindex s = (if FINITE (:(M,N)finite_sum) then CARD (:(M,N)finite_sum) else 1)
% Assm: !s. dimindex s = (if FINITE (:N) then CARD (:N) else 1)
% Assm: !s. dimindex s = (if FINITE (:M) then CARD (:M) else 1)
% Goal: dimindex (:(M,N)finite_sum) = dimindex (:M) + dimindex (:N)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(tq52112, type, q52112 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (m > $o)).
thf(cuniv1, type, univ1 : (n > $o)).
thf(chasuu_size0, type, hasu_size0 : ((q52112 > $o) > num > $o)).
thf(chasuu_size, type, hasu_size : ((finite_summn > $o) > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cfinite2, type, finite2 : ((m > $o) > $o)).
thf(cfinite1, type, finite1 : ((n > $o) > $o)).
thf(cfinite0, type, finite0 : ((finite_summn > $o) > $o)).
thf(cfinite, type, finite : ((q52112 > $o) > $o)).
thf(cuniv, type, univ : (finite_summn > $o)).
thf(ccard2, type, card2 : ((m > $o) > num)).
thf(ccard1, type, card1 : ((n > $o) > num)).
thf(ccard0, type, card0 : ((finite_summn > $o) > num)).
thf(ccard, type, card : ((q52112 > $o) > num)).
thf(cdimindex1, type, dimindex1 : ((n > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((m > $o) > num)).
thf(cdimindex, type, dimindex : ((finite_summn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDIMINDEXu_HASu_SIZEu_FINITEu_SUM, axiom, (hasu_size @ univ @ (p_ @ (dimindex0 @ univ0) @ (dimindex1 @ univ1)))).
thf(aHASu_SIZE, axiom, ![S:(q52112 > $o),N:num]:((hasu_size0 @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aTRUTH, axiom, $true).
thf(adimindexu_monomorphized2, axiom, ![S:(finite_summn > $o)]:((dimindex @ S) = (cond @ (finite0 @ univ) @ (card0 @ univ) @ (numeral @ (bit1 @ u_0))))).
thf(adimindexu_monomorphized1, axiom, ![S:(n > $o)]:((dimindex1 @ S) = (cond @ (finite1 @ univ1) @ (card1 @ univ1) @ (numeral @ (bit1 @ u_0))))).
thf(adimindexu_monomorphized0, axiom, ![S:(m > $o)]:((dimindex0 @ S) = (cond @ (finite2 @ univ0) @ (card2 @ univ0) @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ((dimindex @ univ) = (p_ @ (dimindex0 @ univ0) @ (dimindex1 @ univ1)))).
