%   ORIGINAL: MATCH_SEQPATTERN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: _FUNCTION: _FUNCTION = (\r x. if (?!) (r x) then (@) (r x) else @z. F)
% Assm: _MATCH: _MATCH = (\e r. if (?!) (r e) then (@) (r e) else @z. F)
% Assm: _SEQPATTERN: _SEQPATTERN = (\r s x. if ?y. r x y then r x else s x)
% Goal: _MATCH x (_SEQPATTERN r s) = (if ?y. r x y then _MATCH x r else _MATCH x s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: _FUNCTION = (\r x. if (\P. (?) P /\ (!x y. P x /\ P y ==> x = y)) (r x) then (@) (r x) else @z. F)
% Assm: _MATCH = (\e r. if (\P. (?) P /\ (!x y. P x /\ P y ==> x = y)) (r e) then (@) (r e) else @z. F)
% Assm: _SEQPATTERN = (\r s x. if ?y. r x y then r x else s x)
% Goal: !s x r. _MATCH x (_SEQPATTERN r s) = (if ?y. r x y then _MATCH x r else _MATCH x s)
%  TYPES
thf(tq4069, type, q4069 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq78932, type, q78932 : $tType).
thf(tq78939, type, q78939 : $tType).
%  CONSTS
thf(ccond0, type, cond0 : ($o > (q78932 > $o) > (q78932 > $o) > q78932 > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccond, type, cond : ($o > q78932 > q78932 > q78932)).
thf(cuu_seqpattern, type, u_seqpattern : ((q78939 > q78932 > $o) > (q78939 > q78932 > $o) > q78939 > q78932 > $o)).
thf(cqu_, type, q_ : ((q78932 > $o) > $o)).
thf(ci, type, i : (q78932 > q78932)).
thf(cuu_function, type, u_function : ((q4069 > q78932 > $o) > q4069 > q78932)).
thf(cuu_match, type, u_match : (q78939 > (q78939 > q78932 > $o) > q78932)).
thf(chu_0, type, h_0 : ((q78932 > $o) > q78932)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q78932),G:(a > q78932)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:q78932,T2:q78932]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:q78932]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aTRUTH, axiom, $true).
thf(au_FUNCTION, axiom, (u_function = ^[R:(q4069 > q78932 > $o),X:q4069]:(cond @ (^[P:(q78932 > $o)]:((q_ @ P) & ![X0:q78932,Y:q78932]:(((P @ X0) & (P @ Y)) => (X0 = Y))) @ (R @ X)) @ (h_0 @ (R @ X)) @ (h_0 @ ^[Z:q78932]:$false)))).
thf(au_MATCH, axiom, (u_match = ^[E:q78939,R:(q78939 > q78932 > $o)]:(cond @ (^[P:(q78932 > $o)]:((q_ @ P) & ![X:q78932,Y:q78932]:(((P @ X) & (P @ Y)) => (X = Y))) @ (R @ E)) @ (h_0 @ (R @ E)) @ (h_0 @ ^[Z:q78932]:$false)))).
thf(au_SEQPATTERN, axiom, (u_seqpattern = ^[R:(q78939 > q78932 > $o),S:(q78939 > q78932 > $o),X:q78939]:(cond0 @ ?[Y:q78932]:(R @ X @ Y) @ (R @ X) @ (S @ X)))).
thf(conjecture, conjecture, ![S:(q78939 > q78932 > $o),X:q78939,R:(q78939 > q78932 > $o)]:((u_match @ X @ (u_seqpattern @ R @ S)) = (cond @ ?[Y:q78932]:(R @ X @ Y) @ (u_match @ X @ R) @ (u_match @ X @ S)))).
