%   ORIGINAL: ADMISSIBLE_LAMBDA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: admissible: !p (<<) s t. admissible (<<) p s t <=> (!f g a. p f a /\ p g a /\ (!z. z << s a ==> f z = g z) ==> t f a = t g a)
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !(<<) p s t. admissible (<<) (\f (u,x). p f x) (\(u,x). s x) (\f (u,x). t f u x) ==> admissible (<<) p s (\f x u. t f u x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P. GABS P = (@) P
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: !a b. GEQ a b <=> a = b
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !p (<<) s t. admissible (<<) p s t <=> (!f g a. p f a /\ p g a /\ (!z. z << s a ==> f z = g z) ==> (t f a <=> t g a))
% Assm: !p (<<) s t. admissible (<<) p s t <=> (!f g a. p f a /\ p g a /\ (!z. z << s a ==> f z = g z) ==> t f a = t g a)
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !(<<) p s t. admissible (<<) (\f (u,x). p f x) (\(u,x). s x) (\f (u,x). t f u x) ==> admissible (<<) p s (\f x u. t f u x)
%  TYPES
thf(tp, type, p : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tprodcp, type, prodcp : $tType).
%  CONSTS
thf(chu_, type, h_ : (((prodcp > $o) > $o) > prodcp > $o)).
thf(cgeq0, type, geq0 : (a > a > $o)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodcp > $o) > $o) > prodcp > $o)).
thf(chu_0, type, h_0 : (((prodcp > a) > $o) > prodcp > a)).
thf(cgabs0, type, gabs0 : (((prodcp > a) > $o) > prodcp > a)).
thf(chu_1, type, h_1 : ((a > $o) > a)).
thf(cadmissible0, type, admissible0 : ((a > a > $o) > ((a > b) > p > $o) > (p > a) > ((a > b) > p > c > $o) > $o)).
thf(ccu_, type, c_ : (c > p > prodcp)).
thf(cadmissible, type, admissible : ((a > a > $o) > ((a > b) > prodcp > $o) > (prodcp > a) > ((a > b) > prodcp > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_PAIRu_THM, axiom, ![P:(prodcp > $o)]:(![P0:prodcp]:(P @ P0) <=> ![P1:c,P2:p]:(P @ (c_ @ P1 @ P2)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aGABSu_DEFu_monomorphized1, axiom, ![P:((prodcp > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGABSu_DEFu_monomorphized0, axiom, ![P:((prodcp > a) > $o)]:((gabs0 @ P) = (h_0 @ P))).
thf(aGEQu_DEFu_monomorphized1, axiom, ![A:$o,B:$o]:((geq @ A @ B) <=> (A <=> B))).
thf(aGEQu_DEFu_monomorphized0, axiom, ![A:a,B:a]:((geq0 @ A @ B) <=> (A = B))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_1 @ P)))).
thf(aTRUTH, axiom, $true).
thf(aadmissibleu_monomorphized1, axiom, ![P:((a > b) > prodcp > $o),L_L_:(a > a > $o),S:(prodcp > a),T:((a > b) > prodcp > $o)]:((admissible @ L_L_ @ P @ S @ T) <=> ![F:(a > b),G:(a > b),A:prodcp]:(((P @ F @ A) & (P @ G @ A) & ![Z:a]:((L_L_ @ Z @ (S @ A)) => ((F @ Z) = (G @ Z)))) => ((T @ F @ A) <=> (T @ G @ A))))).
thf(aadmissibleu_monomorphized0, axiom, ![P:((a > b) > p > $o),L_L_:(a > a > $o),S:(p > a),T:((a > b) > p > c > $o)]:((admissible0 @ L_L_ @ P @ S @ T) <=> ![F:(a > b),G:(a > b),A:p]:(((P @ F @ A) & (P @ G @ A) & ![Z:a]:((L_L_ @ Z @ (S @ A)) => ((F @ Z) = (G @ Z)))) => ((T @ F @ A) = (T @ G @ A))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(c > p > c)]:?[FN:(prodcp > c)]:![A0:c,A1:p]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![L_L_:(a > a > $o),P:((a > b) > p > $o),S:(p > a),T:((a > b) > c > p > $o)]:((admissible @ L_L_ @ ^[F:(a > b)]:(gabs @ ^[F0:(prodcp > $o)]:![U:c,X:p]:(geq @ (F0 @ (c_ @ U @ X)) @ (P @ F @ X))) @ (gabs0 @ ^[F:(prodcp > a)]:![U:c,X:p]:(geq0 @ (F @ (c_ @ U @ X)) @ (S @ X))) @ ^[F:(a > b)]:(gabs @ ^[F0:(prodcp > $o)]:![U:c,X:p]:(geq @ (F0 @ (c_ @ U @ X)) @ (T @ F @ U @ X)))) => (admissible0 @ L_L_ @ P @ S @ ^[F:(a > b),X:p,U:c]:(T @ F @ U @ X)))).
