%   ORIGINAL: ADMISSIBLE_SEQPATTERN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: _SEQPATTERN: _SEQPATTERN = (\r s x. if ?y. r x y then r x else s x)
% Assm: admissible: !p (<<) s t. admissible (<<) p s t <=> (!f g a. p f a /\ p g a /\ (!z. z << s a ==> f z = g z) ==> t f a = t g a)
% Goal: !(<<) p s c1 c2 e. admissible (<<) p s (\f x. ?y. c1 f x (e f x) y) /\ admissible (<<) (\f x. p f x /\ (?y. c1 f x (e f x) y)) s (\f x. c1 f x (e f x)) /\ admissible (<<) (\f x. p f x /\ ~(?y. c1 f x (e f x) y)) s (\f x. c2 f x (e f x)) ==> admissible (<<) p s (\f x. _SEQPATTERN (c1 f x) (c2 f x) (e f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: _SEQPATTERN = (\r s x. if ?y. r x y then r x else s x)
% Assm: !p (<<) s t. admissible (<<) p s t <=> (!f g a. p f a /\ p g a /\ (!z. z << s a ==> f z = g z) ==> t f a = t g a)
% Assm: !p (<<) s t. admissible (<<) p s t <=> (!f g a. p f a /\ p g a /\ (!z. z << s a ==> f z = g z) ==> (t f a <=> t g a))
% Goal: !(<<) p s c1 c2 e. admissible (<<) p s (\f x. ?y. c1 f x (e f x) y) /\ admissible (<<) (\f x. p f x /\ (?y. c1 f x (e f x) y)) s (\f x. c1 f x (e f x)) /\ admissible (<<) (\f x. p f x /\ ~(?y. c1 f x (e f x) y)) s (\f x. c2 f x (e f x)) ==> admissible (<<) p s (\f x. _SEQPATTERN (c1 f x) (c2 f x) (e f x))
%  TYPES
thf(tp, type, p : $tType).
thf(tq79471, type, q79471 : $tType).
thf(tq79560, type, q79560 : $tType).
thf(tq79472, type, q79472 : $tType).
thf(tq79550, type, q79550 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq79534, type, q79534 : $tType).
%  CONSTS
thf(ccond0, type, cond0 : ($o > (q79550 > $o) > (q79550 > $o) > q79550 > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cuu_seqpattern, type, u_seqpattern : ((q79560 > q79550 > $o) > (q79560 > q79550 > $o) > q79560 > q79550 > $o)).
thf(cadmissible0, type, admissible0 : ((q79472 > q79471 > $o) > ((q79472 > q79534) > p > $o) > (p > q79471) > ((q79472 > q79534) > p > q79550 > $o) > $o)).
thf(cadmissible, type, admissible : ((q79472 > q79471 > $o) > ((q79472 > q79534) > p > $o) > (p > q79471) > ((q79472 > q79534) > p > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(au_SEQPATTERN, axiom, (u_seqpattern = ^[R:(q79560 > q79550 > $o),S:(q79560 > q79550 > $o),X:q79560]:(cond0 @ ?[Y:q79550]:(R @ X @ Y) @ (R @ X) @ (S @ X)))).
thf(aadmissibleu_monomorphized1, axiom, ![P:((q79472 > q79534) > p > $o),L_L_:(q79472 > q79471 > $o),S:(p > q79471),T:((q79472 > q79534) > p > q79550 > $o)]:((admissible0 @ L_L_ @ P @ S @ T) <=> ![F:(q79472 > q79534),G:(q79472 > q79534),A:p]:(((P @ F @ A) & (P @ G @ A) & ![Z:q79472]:((L_L_ @ Z @ (S @ A)) => ((F @ Z) = (G @ Z)))) => ((T @ F @ A) = (T @ G @ A))))).
thf(aadmissibleu_monomorphized0, axiom, ![P:((q79472 > q79534) > p > $o),L_L_:(q79472 > q79471 > $o),S:(p > q79471),T:((q79472 > q79534) > p > $o)]:((admissible @ L_L_ @ P @ S @ T) <=> ![F:(q79472 > q79534),G:(q79472 > q79534),A:p]:(((P @ F @ A) & (P @ G @ A) & ![Z:q79472]:((L_L_ @ Z @ (S @ A)) => ((F @ Z) = (G @ Z)))) => ((T @ F @ A) <=> (T @ G @ A))))).
thf(conjecture, conjecture, ![L_L_:(q79472 > q79471 > $o),P:((q79472 > q79534) > p > $o),S:(p > q79471),C1:((q79472 > q79534) > p > q79560 > q79550 > $o),C2:((q79472 > q79534) > p > q79560 > q79550 > $o),E:((q79472 > q79534) > p > q79560)]:(((admissible @ L_L_ @ P @ S @ ^[F:(q79472 > q79534),X:p]:?[Y:q79550]:(C1 @ F @ X @ (E @ F @ X) @ Y)) & (admissible0 @ L_L_ @ ^[F:(q79472 > q79534),X:p]:((P @ F @ X) & ?[Y:q79550]:(C1 @ F @ X @ (E @ F @ X) @ Y)) @ S @ ^[F:(q79472 > q79534),X:p]:(C1 @ F @ X @ (E @ F @ X))) & (admissible0 @ L_L_ @ ^[F:(q79472 > q79534),X:p]:((P @ F @ X) & ~ (?[Y:q79550]:(C1 @ F @ X @ (E @ F @ X) @ Y))) @ S @ ^[F:(q79472 > q79534),X:p]:(C2 @ F @ X @ (E @ F @ X)))) => (admissible0 @ L_L_ @ P @ S @ ^[F:(q79472 > q79534),X:p]:(u_seqpattern @ (C1 @ F @ X) @ (C2 @ F @ X) @ (E @ F @ X))))).
