%   ORIGINAL: ADMISSIBLE_IMP_SUPERADMISSIBLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: admissible: !p (<<) s t. admissible (<<) p s t <=> (!f g a. p f a /\ p g a /\ (!z. z << s a ==> f z = g z) ==> t f a = t g a)
% Assm: superadmissible: !(<<) p s t. superadmissible (<<) p s t <=> admissible (<<) (\f a. T) s p ==> tailadmissible (<<) p s t
% Assm: tailadmissible: !(<<) s p t. tailadmissible (<<) p s t <=> (?P G H. (!f a y. P f a /\ y << G f a ==> y << s a) /\ (!f g a. (!z. z << s a ==> f z = g z) ==> (P f a <=> P g a) /\ G f a = G g a /\ H f a = H g a) /\ (!f a. p f a ==> t f a = (if P f a then f (G f a) else H f a)))
% Goal: !(<<) p s t. admissible (<<) p s t ==> superadmissible (<<) p s t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !p (<<) s t. admissible (<<) p s t <=> (!f g a. p f a /\ p g a /\ (!z. z << s a ==> f z = g z) ==> t f a = t g a)
% Assm: !(<<) p s t. superadmissible (<<) p s t <=> admissible (<<) (\f a. T) s p ==> tailadmissible (<<) p s t
% Assm: !(<<) s p t. tailadmissible (<<) p s t <=> (?P G H. (!f a y. P f a /\ y << G f a ==> y << s a) /\ (!f g a. (!z. z << s a ==> f z = g z) ==> (P f a <=> P g a) /\ G f a = G g a /\ H f a = H g a) /\ (!f a. p f a ==> t f a = (if P f a then f (G f a) else H f a)))
% Goal: !(<<) p s t. admissible (<<) p s t ==> superadmissible (<<) p s t
%  TYPES
thf(tp, type, p : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ccond0, type, cond0 : ($o > b > b > b)).
thf(ctailadmissible, type, tailadmissible : ((a > a > $o) > ((a > b) > p > $o) > (p > a) > ((a > b) > p > b) > $o)).
thf(cadmissible0, type, admissible0 : ((a > a > $o) > ((a > b) > p > $o) > (p > a) > ((a > b) > p > $o) > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(csuperadmissible, type, superadmissible : ((a > a > $o) > ((a > b) > p > $o) > (p > a) > ((a > b) > p > b) > $o)).
thf(cadmissible, type, admissible : ((a > a > $o) > ((a > b) > p > $o) > (p > a) > ((a > b) > p > b) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aadmissible, axiom, ![P:((a > b) > p > $o),L_L_:(a > a > $o),S:(p > a),T:((a > b) > p > b)]:((admissible @ L_L_ @ P @ S @ T) <=> ![F:(a > b),G:(a > b),A:p]:(((P @ F @ A) & (P @ G @ A) & ![Z:a]:((L_L_ @ Z @ (S @ A)) => ((F @ Z) = (G @ Z)))) => ((T @ F @ A) = (T @ G @ A))))).
thf(asuperadmissible, axiom, ![L_L_:(a > a > $o),P:((a > b) > p > $o),S:(p > a),T:((a > b) > p > b)]:((superadmissible @ L_L_ @ P @ S @ T) <=> ((admissible0 @ L_L_ @ ^[F:(a > b),A:p]:$true @ S @ P) => (tailadmissible @ L_L_ @ P @ S @ T)))).
thf(atailadmissible, axiom, ![L_L_:(a > a > $o),S:(p > a),P:((a > b) > p > $o),T:((a > b) > p > b)]:((tailadmissible @ L_L_ @ P @ S @ T) <=> ?[P0:((a > b) > p > $o),G:((a > b) > p > a),H:((a > b) > p > b)]:(![F:(a > b),A:p,Y:a]:(((P0 @ F @ A) & (L_L_ @ Y @ (G @ F @ A))) => (L_L_ @ Y @ (S @ A))) & ![F:(a > b),G0:(a > b),A:p]:(![Z:a]:((L_L_ @ Z @ (S @ A)) => ((F @ Z) = (G0 @ Z))) => (((P0 @ F @ A) <=> (P0 @ G0 @ A)) & ((G @ F @ A) = (G @ G0 @ A)) & ((H @ F @ A) = (H @ G0 @ A)))) & ![F:(a > b),A:p]:((P @ F @ A) => ((T @ F @ A) = (cond0 @ (P0 @ F @ A) @ (F @ (G @ F @ A)) @ (H @ F @ A))))))).
thf(conjecture, conjecture, ![L_L_:(a > a > $o),P:((a > b) > p > $o),S:(p > a),T:((a > b) > p > b)]:((admissible @ L_L_ @ P @ S @ T) => (superadmissible @ L_L_ @ P @ S @ T))).
