%   ORIGINAL: SUPERADMISSIBLE_MATCH_SEQPATTERN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MATCH_SEQPATTERN: _MATCH x (_SEQPATTERN r s) = (if ?y. r x y then _MATCH x r else _MATCH x s)
% Assm: SUPERADMISSIBLE_COND: !(<<) p P s h k. admissible (<<) p s P /\ superadmissible (<<) (\f x. p f x /\ P f x) s h /\ superadmissible (<<) (\f x. p f x /\ ~P f x) s k ==> superadmissible (<<) p s (\f x. if P f x then h f x else k f x)
% Assm: TRUTH: T
% Goal: !(<<) p s c1 c2 e. admissible (<<) p s (\f x. ?y. c1 f x (e f x) y) /\ superadmissible (<<) (\f x. p f x /\ (?y. c1 f x (e f x) y)) s (\f x. _MATCH (e f x) (c1 f x)) /\ superadmissible (<<) (\f x. p f x /\ ~(?y. c1 f x (e f x) y)) s (\f x. _MATCH (e f x) (c2 f x)) ==> superadmissible (<<) p s (\f x. _MATCH (e f x) (_SEQPATTERN (c1 f x) (c2 f x)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !r x s. _MATCH x (_SEQPATTERN r s) = (if ?y. r x y then _MATCH x r else _MATCH x s)
% Assm: !(<<) p P s h k. admissible (<<) p s P /\ superadmissible (<<) (\f x. p f x /\ P f x) s h /\ superadmissible (<<) (\f x. p f x /\ ~P f x) s k ==> superadmissible (<<) p s (\f x. if P f x then h f x else k f x)
% Assm: T
% Goal: !(<<) p s c1 c2 e. admissible (<<) p s (\f x. ?y. c1 f x (e f x) y) /\ superadmissible (<<) (\f x. p f x /\ (?y. c1 f x (e f x) y)) s (\f x. _MATCH (e f x) (c1 f x)) /\ superadmissible (<<) (\f x. p f x /\ ~(?y. c1 f x (e f x) y)) s (\f x. _MATCH (e f x) (c2 f x)) ==> superadmissible (<<) p s (\f x. _MATCH (e f x) (_SEQPATTERN (c1 f x) (c2 f x)))
%  TYPES
thf(tp, type, p : $tType).
thf(tq80945, type, q80945 : $tType).
thf(tq80946, type, q80946 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq80830, type, q80830 : $tType).
%  CONSTS
thf(cuu_match, type, u_match : (q80945 > (q80945 > q80946 > $o) > q80946)).
thf(ccond, type, cond : ($o > q80946 > q80946 > q80946)).
thf(cuu_seqpattern, type, u_seqpattern : ((q80945 > q80946 > $o) > (q80945 > q80946 > $o) > q80945 > q80946 > $o)).
thf(csuperadmissible, type, superadmissible : ((q80830 > q80830 > $o) > ((q80830 > q80946) > p > $o) > (p > q80830) > ((q80830 > q80946) > p > q80946) > $o)).
thf(cadmissible, type, admissible : ((q80830 > q80830 > $o) > ((q80830 > q80946) > p > $o) > (p > q80830) > ((q80830 > q80946) > p > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMATCHu_SEQPATTERN, axiom, ![R:(q80945 > q80946 > $o),X:q80945,S:(q80945 > q80946 > $o)]:((u_match @ X @ (u_seqpattern @ R @ S)) = (cond @ ?[Y:q80946]:(R @ X @ Y) @ (u_match @ X @ R) @ (u_match @ X @ S)))).
thf(aSUPERADMISSIBLEu_COND, axiom, ![L_L_:(q80830 > q80830 > $o),P:((q80830 > q80946) > p > $o),P0:((q80830 > q80946) > p > $o),S:(p > q80830),H:((q80830 > q80946) > p > q80946),K:((q80830 > q80946) > p > q80946)]:(((admissible @ L_L_ @ P @ S @ P0) & (superadmissible @ L_L_ @ ^[F:(q80830 > q80946),X:p]:((P @ F @ X) & (P0 @ F @ X)) @ S @ H) & (superadmissible @ L_L_ @ ^[F:(q80830 > q80946),X:p]:((P @ F @ X) & ~ ((P0 @ F @ X))) @ S @ K)) => (superadmissible @ L_L_ @ P @ S @ ^[F:(q80830 > q80946),X:p]:(cond @ (P0 @ F @ X) @ (H @ F @ X) @ (K @ F @ X))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L_L_:(q80830 > q80830 > $o),P:((q80830 > q80946) > p > $o),S:(p > q80830),C1:((q80830 > q80946) > p > q80945 > q80946 > $o),C2:((q80830 > q80946) > p > q80945 > q80946 > $o),E:((q80830 > q80946) > p > q80945)]:(((admissible @ L_L_ @ P @ S @ ^[F:(q80830 > q80946),X:p]:?[Y:q80946]:(C1 @ F @ X @ (E @ F @ X) @ Y)) & (superadmissible @ L_L_ @ ^[F:(q80830 > q80946),X:p]:((P @ F @ X) & ?[Y:q80946]:(C1 @ F @ X @ (E @ F @ X) @ Y)) @ S @ ^[F:(q80830 > q80946),X:p]:(u_match @ (E @ F @ X) @ (C1 @ F @ X))) & (superadmissible @ L_L_ @ ^[F:(q80830 > q80946),X:p]:((P @ F @ X) & ~ (?[Y:q80946]:(C1 @ F @ X @ (E @ F @ X) @ Y))) @ S @ ^[F:(q80830 > q80946),X:p]:(u_match @ (E @ F @ X) @ (C2 @ F @ X)))) => (superadmissible @ L_L_ @ P @ S @ ^[F:(q80830 > q80946),X:p]:(u_match @ (E @ F @ X) @ (u_seqpattern @ (C1 @ F @ X) @ (C2 @ F @ X)))))).
