%   ORIGINAL: WOSET_WELL_CONTRAPOS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: WOSET_TRANS_LE: !l. woset l ==> (!x y z. l (x,y) /\ less l (y,z) ==> less l (x,z))
% Assm: WOSET_WELL: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: less: !l x y. less l (x,y) <=> l (x,y) /\ ~(x = y)
% Goal: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. less l (z,y) ==> ~P z)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !l. woset l ==> (!x y z. l (x,y) /\ less l (y,z) ==> less l (x,z))
% Assm: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: !l x y. less l (x,y) <=> l (x,y) /\ ~(x = y)
% Goal: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. less l (z,y) ==> ~P z)))
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cless, type, less : ((prodaa > $o) > prodaa > $o)).
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWOSETu_TRANSu_LE, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![X:a,Y:a,Z:a]:(((L @ (c_ @ X @ Y)) & (less @ L @ (c_ @ Y @ Z))) => (less @ L @ (c_ @ X @ Z))))).
thf(aWOSETu_WELL, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![P:(a > $o)]:((![X:a]:((P @ X) => (fl @ L @ X)) & ?[X:a]:(P @ X)) => ?[Y:a]:((P @ Y) & ![Z:a]:((P @ Z) => (L @ (c_ @ Y @ Z))))))).
thf(aless, axiom, ![L:(prodaa > $o),X:a,Y:a]:((less @ L @ (c_ @ X @ Y)) <=> ((L @ (c_ @ X @ Y)) & ~ ((X = Y))))).
thf(conjecture, conjecture, ![L:(prodaa > $o)]:((woset @ L) => ![P:(a > $o)]:((![X:a]:((P @ X) => (fl @ L @ X)) & ?[X:a]:(P @ X)) => ?[Y:a]:((P @ Y) & ![Z:a]:((less @ L @ (c_ @ Z @ Y)) => ~ ((P @ Z))))))).
