%   ORIGINAL: INSEG_WOSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: WOSET: !l. woset l <=> (!x y. l (x,y) /\ l (y,x) ==> x = y) /\ (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: WOSET_ANTISYM: !l. woset l ==> (!x y. l (x,y) /\ l (y,x) ==> x = y)
% Assm: WOSET_WELL: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: fl: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: inseg: !m l. l inseg m <=> (!x y. l (x,y) <=> m (x,y) /\ fl l y)
% Goal: !l m. m inseg l /\ woset l ==> woset m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !l. woset l <=> (!x y. l (x,y) /\ l (y,x) ==> x = y) /\ (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: !l. woset l ==> (!x y. l (x,y) /\ l (y,x) ==> x = y)
% Assm: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: !m l. l inseg m <=> (!x y. l (x,y) <=> m (x,y) /\ fl l y)
% Goal: !l m. m inseg l /\ woset l ==> woset m
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(cinseg, type, inseg : ((prodaa > $o) > (prodaa > $o) > $o)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWOSET, axiom, ![L:(prodaa > $o)]:((woset @ L) <=> (![X:a,Y:a]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ X))) => (X = Y)) & ![P:(a > $o)]:((![X:a]:((P @ X) => (fl @ L @ X)) & ?[X:a]:(P @ X)) => ?[Y:a]:((P @ Y) & ![Z:a]:((P @ Z) => (L @ (c_ @ Y @ Z)))))))).
thf(aWOSETu_ANTISYM, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![X:a,Y:a]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ X))) => (X = Y)))).
thf(aWOSETu_WELL, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![P:(a > $o)]:((![X:a]:((P @ X) => (fl @ L @ X)) & ?[X:a]:(P @ X)) => ?[Y:a]:((P @ Y) & ![Z:a]:((P @ Z) => (L @ (c_ @ Y @ Z))))))).
thf(afl, axiom, ![L:(prodaa > $o),X:a]:((fl @ L @ X) <=> ?[Y:a]:((L @ (c_ @ X @ Y)) | (L @ (c_ @ Y @ X))))).
thf(ainseg, axiom, ![M:(prodaa > $o),L:(prodaa > $o)]:((inseg @ L @ M) <=> ![X:a,Y:a]:((L @ (c_ @ X @ Y)) <=> ((M @ (c_ @ X @ Y)) & (fl @ L @ Y))))).
thf(conjecture, conjecture, ![L:(prodaa > $o),M:(prodaa > $o)]:(((inseg @ M @ L) & (woset @ L)) => (woset @ M))).
