%   ORIGINAL: LINSEG_INSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: WOSET_TRANS_LE: !l. woset l ==> (!x y z. l (x,y) /\ less l (y,z) ==> less l (x,z))
% Assm: fl: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: inseg: !m l. l inseg m <=> (!x y. l (x,y) <=> m (x,y) /\ fl l y)
% Assm: linseg: !l a. linseg l a = (\(x,y). l (x,y) /\ less l (y,a))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !l a. woset l ==> linseg l a inseg l
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !l. woset l ==> (!x y z. l (x,y) /\ less l (y,z) ==> less l (x,z))
% Assm: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: !m l. l inseg m <=> (!x y. l (x,y) <=> m (x,y) /\ fl l y)
% Assm: !l a. linseg l a = (\(x,y). l (x,y) /\ less l (y,a))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !l a. woset l ==> linseg l a inseg l
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(cgeq0, type, geq0 : ($o > $o > $o)).
thf(cgabs0, type, gabs0 : (((prodaa > $o) > $o) > prodaa > $o)).
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(cless, type, less : ((prodaa > $o) > prodaa > $o)).
thf(cgeq, type, geq : (a > a > $o)).
thf(cinseg, type, inseg : ((prodaa > $o) > (prodaa > $o) > $o)).
thf(ccu_0, type, c_0 : (a > b > prodab)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cgabs, type, gabs : ((a > $o) > a)).
thf(clinseg, type, linseg : ((prodaa > $o) > a > prodaa > $o)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGABSu_DEF, axiom, ![P:(a > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:a,B:a]:((geq @ A @ B) <=> (A = B))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aTRUTH, axiom, $true).
thf(aWOSETu_TRANSu_LE, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![X:a,Y:a,Z:a]:(((L @ (c_ @ X @ Y)) & (less @ L @ (c_ @ Y @ Z))) => (less @ L @ (c_ @ X @ Z))))).
thf(afl, axiom, ![L:(prodaa > $o),X:a]:((fl @ L @ X) <=> ?[Y:a]:((L @ (c_ @ X @ Y)) | (L @ (c_ @ Y @ X))))).
thf(ainseg, axiom, ![M:(prodaa > $o),L:(prodaa > $o)]:((inseg @ L @ M) <=> ![X:a,Y:a]:((L @ (c_ @ X @ Y)) <=> ((M @ (c_ @ X @ Y)) & (fl @ L @ Y))))).
thf(alinseg, axiom, ![L:(prodaa > $o),A:a]:((linseg @ L @ A) = (gabs0 @ ^[F:(prodaa > $o)]:![X:a,Y:a]:(geq0 @ (F @ (c_ @ X @ Y)) @ ((L @ (c_ @ X @ Y)) & (less @ L @ (c_ @ Y @ A))))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > b > c)]:?[FN:(prodab > c)]:![A0:a,A1:b]:((FN @ (c_0 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![L:(prodaa > $o),A:a]:((woset @ L) => (inseg @ (linseg @ L @ A) @ L))).
