%   ORIGINAL: LINSEG_WOSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INSEG_WOSET: !l m. m inseg l /\ woset l ==> woset m
% Assm: LINSEG_INSEG: !l a. woset l ==> linseg l a inseg l
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !l a. woset l ==> woset (linseg l a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !l m. m inseg l /\ woset l ==> woset m
% Assm: !l a. woset l ==> linseg l a inseg l
% Assm: ~F <=> T
% Assm: T
% Goal: !l a. woset l ==> woset (linseg l a)
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cinseg, type, inseg : ((prodaa > $o) > (prodaa > $o) > $o)).
thf(clinseg, type, linseg : ((prodaa > $o) > a > prodaa > $o)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINSEGu_WOSET, axiom, ![L:(prodaa > $o),M:(prodaa > $o)]:(((inseg @ M @ L) & (woset @ L)) => (woset @ M))).
thf(aLINSEGu_INSEG, axiom, ![L:(prodaa > $o),A:a]:((woset @ L) => (inseg @ (linseg @ L @ A) @ L))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:(prodaa > $o),A:a]:((woset @ L) => (woset @ (linseg @ L @ A)))).
