%   ORIGINAL: EXTEND_FL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: WOSET_REFL: !l. woset l ==> (!x. fl l x ==> l (x,x))
% Assm: WOSET_TRANS: !l. woset l ==> (!x y z. l (x,y) /\ l (y,z) ==> l (x,z))
% Assm: fl: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !l x. woset l ==> (fl (\(x,y). l (x,y) /\ l (y,a)) x <=> l (x,a))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !l. woset l ==> (!x. fl l x ==> l (x,x))
% Assm: !l. woset l ==> (!x y z. l (x,y) /\ l (y,z) ==> l (x,z))
% Assm: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) <=> PAIR' a0 a1
% Goal: !a l x. woset l ==> (fl (\(x,y). l (x,y) /\ l (y,a)) x <=> l (x,a))
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(chu_, type, h_ : (((prodaa > $o) > $o) > prodaa > $o)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodaa > $o) > $o) > prodaa > $o)).
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(ci, type, i : ($o > $o)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGABSu_DEF, axiom, ![P:((prodaa > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:$o,B:$o]:((geq @ A @ B) <=> (A <=> B))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(aWOSETu_REFL, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![X:a]:((fl @ L @ X) => (L @ (c_ @ X @ X))))).
thf(aWOSETu_TRANS, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![X:a,Y:a,Z:a]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ Z))) => (L @ (c_ @ X @ Z))))).
thf(afl, axiom, ![L:(prodaa > $o),X:a]:((fl @ L @ X) <=> ?[Y:a]:((L @ (c_ @ X @ Y)) | (L @ (c_ @ Y @ X))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > a > $o)]:?[FN:(prodaa > $o)]:![A0:a,A1:a]:((FN @ (c_ @ A0 @ A1)) <=> (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![A:a,L:(prodaa > $o),X:a]:((woset @ L) => ((fl @ (gabs @ ^[F:(prodaa > $o)]:![X:a,Y:a]:(geq @ (F @ (c_ @ X @ Y)) @ ((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ A))))) @ X) <=> (L @ (c_ @ X @ A))))).
