%   ORIGINAL: EXTEND_LINSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTEND_INSEG: !l a. woset l /\ fl l a ==> (\(x,y). l (x,y) /\ l (y,a)) inseg l
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: I_THM: !x. I x = x
% Assm: LINSEG_FL: !l a x. woset l ==> (fl (linseg l a) x <=> less l (x,a))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PAIRED_EXT: !l m. (!x y. l (x,y) = m (x,y)) <=> l = m
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: WOSET_REFL: !l. woset l ==> (!x. fl l x ==> l (x,x))
% Assm: less: !l x y. less l (x,y) <=> l (x,y) /\ ~(x = y)
% Assm: linseg: !l a. linseg l a = (\(x,y). l (x,y) /\ less l (y,a))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !l a. woset l /\ fl l a ==> (\(x,y). linseg l a (x,y) \/ y = a /\ (fl (linseg l a) x \/ x = a)) inseg l
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !l a. woset l /\ fl l a ==> (\(x,y). l (x,y) /\ l (y,a)) inseg l
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: !x. I x = x
% Assm: !l a x. woset l ==> (fl (linseg l a) x <=> less l (x,a))
% Assm: ~F <=> T
% Assm: !l m. (!x y. l (x,y) = m (x,y)) <=> l = m
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !l. woset l ==> (!x. fl l x ==> l (x,x))
% Assm: !l x y. less l (x,y) <=> l (x,y) /\ ~(x = y)
% Assm: !l a. linseg l a = (\(x,y). l (x,y) /\ less l (y,a))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !l a. woset l /\ fl l a ==> (\(x,y). linseg l a (x,y) \/ y = a /\ (fl (linseg l a) x \/ x = a)) inseg l
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cless, type, less : ((prodaa > $o) > prodaa > $o)).
thf(chu_, type, h_ : (((prodaa > $o) > $o) > prodaa > $o)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodaa > $o) > $o) > prodaa > $o)).
thf(cinseg, type, inseg : ((prodaa > $o) > (prodaa > $o) > $o)).
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(clinseg, type, linseg : ((prodaa > $o) > a > prodaa > $o)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENDu_INSEG, axiom, ![L:(prodaa > $o),A:a]:(((woset @ L) & (fl @ L @ A)) => (inseg @ (gabs @ ^[F:(prodaa > $o)]:![X:a,Y:a]:(geq @ (F @ (c_ @ X @ Y)) @ ((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ A))))) @ L))).
thf(aGABSu_DEF, axiom, ![P:((prodaa > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:$o,B:$o]:((geq @ A @ B) <=> (A <=> B))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLINSEGu_FL, axiom, ![L:(prodaa > $o),A:a,X:a]:((woset @ L) => ((fl @ (linseg @ L @ A) @ X) <=> (less @ L @ (c_ @ X @ A))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPAIREDu_EXT, axiom, ![L:(prodaa > a),M:(prodaa > a)]:(![X:a,Y:a]:((L @ (c_ @ X @ Y)) = (M @ (c_ @ X @ Y))) <=> (L = M))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(aWOSETu_REFL, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![X:a]:((fl @ L @ X) => (L @ (c_ @ X @ X))))).
thf(aless, axiom, ![L:(prodaa > $o),X:a,Y:a]:((less @ L @ (c_ @ X @ Y)) <=> ((L @ (c_ @ X @ Y)) & ~ ((X = Y))))).
thf(alinseg, axiom, ![L:(prodaa > $o),A:a]:((linseg @ L @ A) = (gabs @ ^[F:(prodaa > $o)]:![X:a,Y:a]:(geq @ (F @ (c_ @ X @ Y)) @ ((L @ (c_ @ X @ Y)) & (less @ L @ (c_ @ Y @ A))))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > a > a)]:?[FN:(prodaa > a)]:![A0:a,A1:a]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![L:(prodaa > $o),A:a]:(((woset @ L) & (fl @ L @ A)) => (inseg @ (gabs @ ^[F:(prodaa > $o)]:![X:a,Y:a]:(geq @ (F @ (c_ @ X @ Y)) @ ((linseg @ L @ A @ (c_ @ X @ Y)) | ((Y = A) & ((fl @ (linseg @ L @ A) @ X) | (X = A)))))) @ L))).
