%   ORIGINAL: ORDINAL_CHAINED_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: INSEG_LINSEG: !l m. woset l ==> (m inseg l <=> m = l \/ (?a. fl l a /\ m = linseg l a))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PAIRED_EXT: !l m. (!x y. l (x,y) = m (x,y)) <=> l = m
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: WOSET_REFL: !l. woset l ==> (!x. fl l x ==> l (x,x))
% Assm: fl: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: less: !l x y. less l (x,y) <=> l (x,y) /\ ~(x = y)
% Assm: linseg: !l a. linseg l a = (\(x,y). l (x,y) /\ less l (y,a))
% Assm: ordinal: !l. ordinal l <=> woset l /\ (!x. fl l x ==> x = (@y. ~less l (y,x)))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !k l m. ordinal l /\ ordinal m ==> k inseg l /\ k inseg m ==> k = l \/ k = m \/ (?a. fl l a /\ fl m a /\ k = linseg l a /\ k = linseg m a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !l m. woset l ==> (m inseg l <=> m = l \/ (?a. fl l a /\ m = linseg l a))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !l m. (!x y. l (x,y) = m (x,y)) <=> l = m
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !l. woset l ==> (!x. fl l x ==> l (x,x))
% Assm: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: !l x y. less l (x,y) <=> l (x,y) /\ ~(x = y)
% Assm: !l a. linseg l a = (\(x,y). l (x,y) /\ less l (y,a))
% Assm: !l. ordinal l <=> woset l /\ (!x. fl l x ==> x = (@y. ~less l (y,x)))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !k l m. ordinal l /\ ordinal m ==> k inseg l /\ k inseg m ==> k = l \/ k = m \/ (?a. fl l a /\ fl m a /\ k = linseg l a /\ k = linseg m a)
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodfunprodaaboolfunprodaabool, type, prodfunprodaaboolfunprodaabool : $tType).
thf(tfunprodaabool, type, funprodaabool : $tType).
%  CONSTS
thf(cless0, type, less0 : ((prodaa > $o) > prodaa > $o)).
thf(cgeq0, type, geq0 : ($o > $o > $o)).
thf(cless, type, less : ((prodfunprodaaboolfunprodaabool > $o) > prodfunprodaaboolfunprodaabool > $o)).
thf(ci, type, i : ((prodaa > $o) > prodaa > $o)).
thf(cgeq, type, geq : ((prodaa > $o) > (prodaa > $o) > $o)).
thf(chu_, type, h_ : (((prodaa > $o) > $o) > prodaa > $o)).
thf(cgabs, type, gabs : (((prodaa > $o) > $o) > prodaa > $o)).
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(cinseg, type, inseg : ((prodaa > $o) > (prodaa > $o) > $o)).
thf(ccu_1, type, c_1 : ((prodaa > $o) > (prodaa > $o) > prodfunprodaaboolfunprodaabool)).
thf(ccu_0, type, c_0 : (a > a > prodaa)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(ccu_, type, c_ : (a > b > prodab)).
thf(clinseg, type, linseg : ((prodaa > $o) > a > prodaa > $o)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
thf(cordinal, type, ordinal : ((prodaa > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > prodaa > $o),G:(a > prodaa > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(prodaa > $o)]:(^[X:prodaa]:(T @ X) = T)).
thf(aGABSu_DEF, axiom, ![P:((prodaa > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:(prodaa > $o),B:(prodaa > $o)]:((geq @ A @ B) <=> (A = B))).
thf(aINSEGu_LINSEG, axiom, ![L:(prodaa > $o),M:(prodaa > $o)]:((woset @ L) => ((inseg @ M @ L) <=> ((M = L) | ?[A:a]:((fl @ L @ A) & (M = (linseg @ L @ A))))))).
thf(aIu_THM, axiom, ![X:(prodaa > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPAIREDu_EXT, axiom, ![L:(prodab > prodaa > $o),M:(prodab > prodaa > $o)]:(![X:a,Y:b]:((L @ (c_ @ X @ Y)) = (M @ (c_ @ X @ Y))) <=> (L = M))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(aWOSETu_REFL, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![X:a]:((fl @ L @ X) => (L @ (c_0 @ X @ X))))).
thf(afl, axiom, ![L:(prodaa > $o),X:a]:((fl @ L @ X) <=> ?[Y:a]:((L @ (c_0 @ X @ Y)) | (L @ (c_0 @ Y @ X))))).
thf(aless, axiom, ![L:(prodfunprodaaboolfunprodaabool > $o),X:(prodaa > $o),Y:(prodaa > $o)]:((less @ L @ (c_1 @ X @ Y)) <=> ((L @ (c_1 @ X @ Y)) & ~ ((X = Y))))).
thf(alinseg, axiom, ![L:(prodaa > $o),A:a]:((linseg @ L @ A) = (gabs @ ^[F:(prodaa > $o)]:![X:a,Y:a]:(geq0 @ (F @ (c_0 @ X @ Y)) @ ((L @ (c_0 @ X @ Y)) & (less0 @ L @ (c_0 @ Y @ A))))))).
thf(aordinal, axiom, ![L:(prodaa > $o)]:((ordinal @ L) <=> ((woset @ L) & ![X:a]:((fl @ L @ X) => (X = (h_0 @ ^[Y:a]:~ ((less0 @ L @ (c_0 @ Y @ X))))))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > b > prodaa > $o)]:?[FN:(prodab > prodaa > $o)]:![A0:a,A1:b]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![K:(prodaa > $o),L:(prodaa > $o),M:(prodaa > $o)]:(((ordinal @ L) & (ordinal @ M)) => (((inseg @ K @ L) & (inseg @ K @ M)) => ((K = L) | (K = M) | ?[A:a]:((fl @ L @ A) & (fl @ M @ A) & (K = (linseg @ L @ A)) & (K = (linseg @ M @ A))))))).
