%   ORIGINAL: ORDINAL_SUC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: FL_SUC: !l a. fl (\(x,y). l (x,y) \/ y = a /\ (fl l x \/ x = a)) x <=> fl l x \/ x = a
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: WOSET: !l. woset l <=> (!x y. l (x,y) /\ l (y,x) ==> x = y) /\ (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: WOSET_ANTISYM: !l. woset l ==> (!x y. l (x,y) /\ l (y,x) ==> x = y)
% Assm: WOSET_WELL: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: fl: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: less: !l x y. less l (x,y) <=> l (x,y) /\ ~(x = y)
% Assm: ordinal: !l. ordinal l <=> woset l /\ (!x. fl l x ==> x = (@y. ~less l (y,x)))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !l. ordinal l /\ (?x. ~fl l x) ==> ordinal (\(x,y). l (x,y) \/ y = (@y. ~fl l y) /\ (fl l x \/ x = (@y. ~fl l y)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: !x l a. fl (\(x,y). l (x,y) \/ y = a /\ (fl l x \/ x = a)) x <=> fl l x \/ x = a
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !l. woset l <=> (!x y. l (x,y) /\ l (y,x) ==> x = y) /\ (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: !l. woset l ==> (!x y. l (x,y) /\ l (y,x) ==> x = y)
% Assm: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: !l x y. less l (x,y) <=> l (x,y) /\ ~(x = y)
% Assm: !l. ordinal l <=> woset l /\ (!x. fl l x ==> x = (@y. ~less l (y,x)))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !l. ordinal l /\ (?x. ~fl l x) ==> ordinal (\(x,y). l (x,y) \/ y = (@y. ~fl l y) /\ (fl l x \/ x = (@y. ~fl l y)))
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cless, type, less : ((prodaa > $o) > prodaa > $o)).
thf(chu_0, type, h_0 : (((prodaa > $o) > $o) > prodaa > $o)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodaa > $o) > $o) > prodaa > $o)).
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(cordinal, type, ordinal : ((prodaa > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aFLu_SUC, axiom, ![X:a,L:(prodaa > $o),A:a]:((fl @ (gabs @ ^[F:(prodaa > $o)]:![X:a,Y:a]:(geq @ (F @ (c_ @ X @ Y)) @ ((L @ (c_ @ X @ Y)) | ((Y = A) & ((fl @ L @ X) | (X = A)))))) @ X) <=> ((fl @ L @ X) | (X = A)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > a),G:(a > a)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aGABSu_DEF, axiom, ![P:((prodaa > $o) > $o)]:((gabs @ P) = (h_0 @ P))).
thf(aGEQu_DEF, axiom, ![A:$o,B:$o]:((geq @ A @ B) <=> (A <=> B))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aTRUTH, axiom, $true).
thf(aWOSET, axiom, ![L:(prodaa > $o)]:((woset @ L) <=> (![X:a,Y:a]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ X))) => (X = Y)) & ![P:(a > $o)]:((![X:a]:((P @ X) => (fl @ L @ X)) & ?[X:a]:(P @ X)) => ?[Y:a]:((P @ Y) & ![Z:a]:((P @ Z) => (L @ (c_ @ Y @ Z)))))))).
thf(aWOSETu_ANTISYM, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![X:a,Y:a]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ X))) => (X = Y)))).
thf(aWOSETu_WELL, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![P:(a > $o)]:((![X:a]:((P @ X) => (fl @ L @ X)) & ?[X:a]:(P @ X)) => ?[Y:a]:((P @ Y) & ![Z:a]:((P @ Z) => (L @ (c_ @ Y @ Z))))))).
thf(afl, axiom, ![L:(prodaa > $o),X:a]:((fl @ L @ X) <=> ?[Y:a]:((L @ (c_ @ X @ Y)) | (L @ (c_ @ Y @ X))))).
thf(aless, axiom, ![L:(prodaa > $o),X:a,Y:a]:((less @ L @ (c_ @ X @ Y)) <=> ((L @ (c_ @ X @ Y)) & ~ ((X = Y))))).
thf(aordinal, axiom, ![L:(prodaa > $o)]:((ordinal @ L) <=> ((woset @ L) & ![X:a]:((fl @ L @ X) => (X = (h_ @ ^[Y:a]:~ ((less @ L @ (c_ @ Y @ X))))))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > a > a)]:?[FN:(prodaa > a)]:![A0:a,A1:a]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![L:(prodaa > $o)]:(((ordinal @ L) & ?[X:a]:~ ((fl @ L @ X))) => (ordinal @ (gabs @ ^[F:(prodaa > $o)]:![X:a,Y:a]:(geq @ (F @ (c_ @ X @ Y)) @ ((L @ (c_ @ X @ Y)) | ((Y = (h_ @ ^[Y:a]:~ ((fl @ L @ Y)))) & ((fl @ L @ X) | (X = (h_ @ ^[Y:a]:~ ((fl @ L @ Y)))))))))))).
