%   ORIGINAL: ORDINAL_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: INSEG_SUBSET: !l m. m inseg l ==> (!x y. m (x,y) ==> l (x,y))
% Assm: INSEG_SUBSET_FL: !l m. m inseg l ==> (!x. fl m x ==> fl l x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORDINAL_CHAINED: !l m. ordinal l /\ ordinal m ==> m inseg l \/ l inseg m
% Assm: TRUTH: T
% Assm: UNIONS_PRED: UNIONS P = (\x. ?p. P p /\ p x)
% Assm: UNION_FL: !P l. fl (UNIONS P) x <=> (?l. P l /\ fl l x)
% Assm: WOSET: !l. woset l <=> (!x y. l (x,y) /\ l (y,x) ==> x = y) /\ (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: WOSET_ANTISYM: !l. woset l ==> (!x y. l (x,y) /\ l (y,x) ==> x = y)
% Assm: WOSET_TOTAL: !l. woset l ==> (!x y. fl l x /\ fl l y ==> l (x,y) \/ l (y,x))
% Assm: WOSET_WELL: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: fl: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: inseg: !m l. l inseg m <=> (!x y. l (x,y) <=> m (x,y) /\ fl l y)
% Assm: less: !l x y. less l (x,y) <=> l (x,y) /\ ~(x = y)
% Assm: ordinal: !l. ordinal l <=> woset l /\ (!x. fl l x ==> x = (@y. ~less l (y,x)))
% Goal: !P. (!l. P l ==> ordinal l) ==> ordinal (UNIONS P)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !l m. m inseg l ==> (!x y. m (x,y) ==> l (x,y))
% Assm: !l m. m inseg l ==> (!x. fl m x ==> fl l x)
% Assm: ~F <=> T
% Assm: !l m. ordinal l /\ ordinal m ==> m inseg l \/ l inseg m
% Assm: T
% Assm: !P. UNIONS P = (\x. ?p. P p /\ p x)
% Assm: !x P l. fl (UNIONS P) x <=> (?l. P l /\ fl l x)
% Assm: !l. woset l <=> (!x y. l (x,y) /\ l (y,x) ==> x = y) /\ (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: !l. woset l ==> (!x y. l (x,y) /\ l (y,x) ==> x = y)
% Assm: !l. woset l ==> (!x y. fl l x /\ fl l y ==> l (x,y) \/ l (y,x))
% Assm: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Assm: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: !m l. l inseg m <=> (!x y. l (x,y) <=> m (x,y) /\ fl l y)
% Assm: !l x y. less l (x,y) <=> l (x,y) /\ ~(x = y)
% Assm: !l. ordinal l <=> woset l /\ (!x. fl l x ==> x = (@y. ~less l (y,x)))
% Goal: !P. (!l. P l ==> ordinal l) ==> ordinal (UNIONS P)
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cless, type, less : ((prodaa > $o) > prodaa > $o)).
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(cinseg, type, inseg : ((prodaa > $o) > (prodaa > $o) > $o)).
thf(cunions, type, unions : (((prodaa > $o) > $o) > prodaa > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
thf(cordinal, type, ordinal : ((prodaa > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINSEGu_SUBSET, axiom, ![L:(prodaa > $o),M:(prodaa > $o)]:((inseg @ M @ L) => ![X:a,Y:a]:((M @ (c_ @ X @ Y)) => (L @ (c_ @ X @ Y))))).
thf(aINSEGu_SUBSETu_FL, axiom, ![L:(prodaa > $o),M:(prodaa > $o)]:((inseg @ M @ L) => ![X:a]:((fl @ M @ X) => (fl @ L @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORDINALu_CHAINED, axiom, ![L:(prodaa > $o),M:(prodaa > $o)]:(((ordinal @ L) & (ordinal @ M)) => ((inseg @ M @ L) | (inseg @ L @ M)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_PRED, axiom, ![P:((prodaa > $o) > $o)]:((unions @ P) = ^[X:prodaa]:?[P0:(prodaa > $o)]:((P @ P0) & (P0 @ X)))).
thf(aUNIONu_FL, axiom, ![X:a,P:((prodaa > $o) > $o),L:(prodaa > $o)]:((fl @ (unions @ P) @ X) <=> ?[L:(prodaa > $o)]:((P @ L) & (fl @ L @ X)))).
thf(aWOSET, axiom, ![L:(prodaa > $o)]:((woset @ L) <=> (![X:a,Y:a]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ X))) => (X = Y)) & ![P:(a > $o)]:((![X:a]:((P @ X) => (fl @ L @ X)) & ?[X:a]:(P @ X)) => ?[Y:a]:((P @ Y) & ![Z:a]:((P @ Z) => (L @ (c_ @ Y @ Z)))))))).
thf(aWOSETu_ANTISYM, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![X:a,Y:a]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ X))) => (X = Y)))).
thf(aWOSETu_TOTAL, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![X:a,Y:a]:(((fl @ L @ X) & (fl @ L @ Y)) => ((L @ (c_ @ X @ Y)) | (L @ (c_ @ Y @ X)))))).
thf(aWOSETu_WELL, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![P:(a > $o)]:((![X:a]:((P @ X) => (fl @ L @ X)) & ?[X:a]:(P @ X)) => ?[Y:a]:((P @ Y) & ![Z:a]:((P @ Z) => (L @ (c_ @ Y @ Z))))))).
thf(afl, axiom, ![L:(prodaa > $o),X:a]:((fl @ L @ X) <=> ?[Y:a]:((L @ (c_ @ X @ Y)) | (L @ (c_ @ Y @ X))))).
thf(ainseg, axiom, ![M:(prodaa > $o),L:(prodaa > $o)]:((inseg @ L @ M) <=> ![X:a,Y:a]:((L @ (c_ @ X @ Y)) <=> ((M @ (c_ @ X @ Y)) & (fl @ L @ Y))))).
thf(aless, axiom, ![L:(prodaa > $o),X:a,Y:a]:((less @ L @ (c_ @ X @ Y)) <=> ((L @ (c_ @ X @ Y)) & ~ ((X = Y))))).
thf(aordinal, axiom, ![L:(prodaa > $o)]:((ordinal @ L) <=> ((woset @ L) & ![X:a]:((fl @ L @ X) => (X = (h_ @ ^[Y:a]:~ ((less @ L @ (c_ @ Y @ X))))))))).
thf(conjecture, conjecture, ![P:((prodaa > $o) > $o)]:(![L:(prodaa > $o)]:((P @ L) => (ordinal @ L)) => (ordinal @ (unions @ P)))).
