%   ORIGINAL: FL_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: WOSET_REFL: !l. woset l ==> (!x. fl l x ==> l (x,x))
% Assm: fl: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !l. woset l ==> (!P. fl (\(x,y). P x /\ P y /\ l (x,y)) x <=> P x /\ fl l x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !l. woset l ==> (!x. fl l x ==> l (x,x))
% Assm: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) <=> PAIR' a0 a1
% Goal: !x l. woset l ==> (!P. fl (\(x,y). P x /\ P y /\ l (x,y)) x <=> P x /\ fl l x)
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(chu_, type, h_ : (((prodaa > $o) > $o) > prodaa > $o)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodaa > $o) > $o) > prodaa > $o)).
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGABSu_DEF, axiom, ![P:((prodaa > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:$o,B:$o]:((geq @ A @ B) <=> (A <=> B))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(aWOSETu_REFL, axiom, ![L:(prodaa > $o)]:((woset @ L) => ![X:a]:((fl @ L @ X) => (L @ (c_ @ X @ X))))).
thf(afl, axiom, ![L:(prodaa > $o),X:a]:((fl @ L @ X) <=> ?[Y:a]:((L @ (c_ @ X @ Y)) | (L @ (c_ @ Y @ X))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > a > $o)]:?[FN:(prodaa > $o)]:![A0:a,A1:a]:((FN @ (c_ @ A0 @ A1)) <=> (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![X:a,L:(prodaa > $o)]:((woset @ L) => ![P:(a > $o)]:((fl @ (gabs @ ^[F:(prodaa > $o)]:![X:a,Y:a]:(geq @ (F @ (c_ @ X @ Y)) @ ((P @ X) & (P @ Y) & (L @ (c_ @ X @ Y))))) @ X) <=> ((P @ X) & (fl @ L @ X))))).
