%   ORIGINAL: KL_POSET_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CHAIN_SUBSET: !l P Q. chain l P /\ Q SUBSET P ==> chain l Q
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: fl: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: poset: !l. poset l <=> (!x. fl l x ==> l (x,x)) /\ (!x y z. l (x,y) /\ l (y,z) ==> l (x,z)) /\ (!x y. l (x,y) /\ l (y,x) ==> x = y)
% Goal: poset (\(c1,c2). C SUBSET c1 /\ c1 SUBSET c2 /\ chain l c2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !l P Q. chain l P /\ Q SUBSET P ==> chain l Q
% Assm: !t. (\x. t x) = t
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: !P x. P x ==> P ((@) P)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s. s SUBSET s
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !l. poset l <=> (!x. fl l x ==> l (x,x)) /\ (!x y z. l (x,y) /\ l (y,z) ==> l (x,z)) /\ (!x y. l (x,y) /\ l (y,x) ==> x = y)
% Goal: !l C. poset (\(c1,c2). C SUBSET c1 /\ c1 SUBSET c2 /\ chain l c2)
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tprodfunaboolfunabool, type, prodfunaboolfunabool : $tType).
%  CONSTS
thf(cfl, type, fl : ((prodfunaboolfunabool > $o) > (a > $o) > $o)).
thf(chu_, type, h_ : (((prodfunaboolfunabool > $o) > $o) > prodfunaboolfunabool > $o)).
thf(cchain, type, chain : ((prodaa > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodfunaboolfunabool > $o) > $o) > prodfunaboolfunabool > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(ccu_, type, c_ : ((a > $o) > (a > $o) > prodfunaboolfunabool)).
thf(cposet, type, poset : ((prodfunaboolfunabool > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCHAINu_SUBSET, axiom, ![L:(prodaa > $o),P:(a > $o),Q:(a > $o)]:(((chain @ L @ P) & (subset @ Q @ P)) => (chain @ L @ Q))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGABSu_DEF, axiom, ![P:((prodfunaboolfunabool > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:$o,B:$o]:((geq @ A @ B) <=> (A <=> B))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(a > $o),T:(a > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset @ S @ S)).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(afl, axiom, ![L:(prodfunaboolfunabool > $o),X:(a > $o)]:((fl @ L @ X) <=> ?[Y:(a > $o)]:((L @ (c_ @ X @ Y)) | (L @ (c_ @ Y @ X))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:((a > $o) > (a > $o) > c)]:?[FN:(prodfunaboolfunabool > c)]:![A0:(a > $o),A1:(a > $o)]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(aposet, axiom, ![L:(prodfunaboolfunabool > $o)]:((poset @ L) <=> (![X:(a > $o)]:((fl @ L @ X) => (L @ (c_ @ X @ X))) & ![X:(a > $o),Y:(a > $o),Z:(a > $o)]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ Z))) => (L @ (c_ @ X @ Z))) & ![X:(a > $o),Y:(a > $o)]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ X))) => (X = Y))))).
thf(conjecture, conjecture, ![L:(prodaa > $o),C:(a > $o)]:(poset @ (gabs @ ^[F:(prodfunaboolfunabool > $o)]:![C1:(a > $o),C2:(a > $o)]:(geq @ (F @ (c_ @ C1 @ C2)) @ ((subset @ C @ C1) & (subset @ C1 @ C2) & (chain @ L @ C2)))))).
