%   ORIGINAL: KL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: KL_POSET_LEMMA: poset (\(c1,c2). C SUBSET c1 /\ c1 SUBSET c2 /\ chain l c2)
% Assm: POSET_FLEQ: !l. poset l ==> (!x. fl l x <=> l (x,x))
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SUBSET_PRED: !P Q. P SUBSET Q <=> (!x. P x ==> Q x)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Assm: UNIONS_PRED: UNIONS P = (\x. ?p. P p /\ p x)
% Assm: ZL: !l. poset l /\ (!P. chain l P ==> (?y. fl l y /\ (!x. P x ==> l (x,y)))) ==> (?y. fl l y /\ (!x. l (y,x) ==> y = x))
% Assm: chain: !P l. chain l P <=> (!x y. P x /\ P y ==> l (x,y) \/ l (y,x))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !l. poset l ==> (!C. chain l C ==> (?P. (chain l P /\ C SUBSET P) /\ (!R. chain l R /\ P SUBSET R ==> R = P)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !C l. poset (\(c1,c2). C SUBSET c1 /\ c1 SUBSET c2 /\ chain l c2)
% Assm: !l. poset l ==> (!x. fl l x <=> l (x,x))
% Assm: !P x. P x ==> P ((@) P)
% Assm: !P Q. P SUBSET Q <=> (!x. P x ==> Q x)
% Assm: !s. s SUBSET s
% Assm: T
% Assm: !P. UNIONS P = (\x. ?p. P p /\ p x)
% Assm: !l. poset l /\ (!P. chain l P ==> (?y. fl l y /\ (!x. P x ==> l (x,y)))) ==> (?y. fl l y /\ (!x. l (y,x) ==> y = x))
% Assm: !P l. chain l P <=> (!x y. P x /\ P y ==> l (x,y) \/ l (y,x))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !l. poset l ==> (!C. chain l C ==> (?P. (chain l P /\ C SUBSET P) /\ (!R. chain l R /\ P SUBSET R ==> R = P)))
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tprodfunaboolfunabool, type, prodfunaboolfunabool : $tType).
%  CONSTS
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(cgeq0, type, geq0 : ($o > $o > $o)).
thf(cgabs0, type, gabs0 : (((prodfunaboolfunabool > $o) > $o) > prodfunaboolfunabool > $o)).
thf(cgeq, type, geq : ((a > $o) > (a > $o) > $o)).
thf(chu_, type, h_ : (((a > $o) > $o) > a > $o)).
thf(cgabs, type, gabs : (((a > $o) > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cchain, type, chain : ((prodaa > $o) > (a > $o) > $o)).
thf(ccu_1, type, c_1 : (a > b > prodab)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(ccu_0, type, c_0 : (a > a > prodaa)).
thf(ccu_, type, c_ : ((a > $o) > (a > $o) > prodfunaboolfunabool)).
thf(cposet0, type, poset0 : ((prodfunaboolfunabool > $o) > $o)).
thf(cposet, type, poset : ((prodaa > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aGABSu_DEF, axiom, ![P:((a > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:(a > $o),B:(a > $o)]:((geq @ A @ B) <=> (A = B))).
thf(aKLu_POSETu_LEMMA, axiom, ![C:(a > $o),L:(prodaa > $o)]:(poset0 @ (gabs0 @ ^[F:(prodfunaboolfunabool > $o)]:![C1:(a > $o),C2:(a > $o)]:(geq0 @ (F @ (c_ @ C1 @ C2)) @ ((subset @ C @ C1) & (subset @ C1 @ C2) & (chain @ L @ C2)))))).
thf(aPOSETu_FLEQ, axiom, ![L:(prodaa > $o)]:((poset @ L) => ![X:a]:((fl @ L @ X) <=> (L @ (c_0 @ X @ X))))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aSUBSETu_PRED, axiom, ![P:(a > $o),Q:(a > $o)]:((subset @ P @ Q) <=> ![X:a]:((P @ X) => (Q @ X)))).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_PRED, axiom, ![P:((a > $o) > $o)]:((unions @ P) = ^[X:a]:?[P0:(a > $o)]:((P @ P0) & (P0 @ X)))).
thf(aZL, axiom, ![L:(prodaa > $o)]:(((poset @ L) & ![P:(a > $o)]:((chain @ L @ P) => ?[Y:a]:((fl @ L @ Y) & ![X:a]:((P @ X) => (L @ (c_0 @ X @ Y)))))) => ?[Y:a]:((fl @ L @ Y) & ![X:a]:((L @ (c_0 @ Y @ X)) => (Y = X))))).
thf(achain, axiom, ![P:(a > $o),L:(prodaa > $o)]:((chain @ L @ P) <=> ![X:a,Y:a]:(((P @ X) & (P @ Y)) => ((L @ (c_0 @ X @ Y)) | (L @ (c_0 @ Y @ X)))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > b > a > $o)]:?[FN:(prodab > a > $o)]:![A0:a,A1:b]:((FN @ (c_1 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![L:(prodaa > $o)]:((poset @ L) => ![C:(a > $o)]:((chain @ L @ C) => ?[P:(a > $o)]:((chain @ L @ P) & (subset @ C @ P) & ![R:(a > $o)]:(((chain @ L @ R) & (subset @ P @ R)) => (R = P)))))).
