%   ORIGINAL: POSET_RESTRICTED_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: fl: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: poset: !l. poset l <=> (!x. fl l x ==> l (x,x)) /\ (!x y z. l (x,y) /\ l (y,z) ==> l (x,z)) /\ (!x y. l (x,y) /\ l (y,x) ==> x = y)
% Goal: !P. poset (\(x,y). P x /\ P y /\ x SUBSET y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !l x. fl l x <=> (?y. l (x,y) \/ l (y,x))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !l. poset l <=> (!x. fl l x ==> l (x,x)) /\ (!x y z. l (x,y) /\ l (y,z) ==> l (x,z)) /\ (!x y. l (x,y) /\ l (y,x) ==> x = y)
% Goal: !P. poset (\(x,y). P x /\ P y /\ x SUBSET y)
%  TYPES
thf(tq86030, type, q86030 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tfunq86030bool, type, funq86030bool : $tType).
thf(tprodfunq86030boolfunq86030bool, type, prodfunq86030boolfunq86030bool : $tType).
%  CONSTS
thf(cfl, type, fl : ((prodfunq86030boolfunq86030bool > $o) > (q86030 > $o) > $o)).
thf(cin0, type, in0 : (q86030 > (q86030 > $o) > $o)).
thf(chu_, type, h_ : (((prodfunq86030boolfunq86030bool > $o) > $o) > prodfunq86030boolfunq86030bool > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((q86030 > $o) > (q86030 > $o) > $o)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodfunq86030boolfunq86030bool > $o) > $o) > prodfunq86030boolfunq86030bool > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(ccu_, type, c_ : ((q86030 > $o) > (q86030 > $o) > prodfunq86030boolfunq86030bool)).
thf(cposet, type, poset : ((prodfunq86030boolfunq86030bool > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aGABSu_DEF, axiom, ![P:((prodfunq86030boolfunq86030bool > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:$o,B:$o]:((geq @ A @ B) <=> (A <=> B))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aSUBSET, axiom, ![S:(q86030 > $o),T:(q86030 > $o)]:((subset @ S @ T) <=> ![X:q86030]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(afl, axiom, ![L:(prodfunq86030boolfunq86030bool > $o),X:(q86030 > $o)]:((fl @ L @ X) <=> ?[Y:(q86030 > $o)]:((L @ (c_ @ X @ Y)) | (L @ (c_ @ Y @ X))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:((q86030 > $o) > (q86030 > $o) > c)]:?[FN:(prodfunq86030boolfunq86030bool > c)]:![A0:(q86030 > $o),A1:(q86030 > $o)]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(aposet, axiom, ![L:(prodfunq86030boolfunq86030bool > $o)]:((poset @ L) <=> (![X:(q86030 > $o)]:((fl @ L @ X) => (L @ (c_ @ X @ X))) & ![X:(q86030 > $o),Y:(q86030 > $o),Z:(q86030 > $o)]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ Z))) => (L @ (c_ @ X @ Z))) & ![X:(q86030 > $o),Y:(q86030 > $o)]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ X))) => (X = Y))))).
thf(conjecture, conjecture, ![P:((q86030 > $o) > $o)]:(poset @ (gabs @ ^[F:(prodfunq86030boolfunq86030bool > $o)]:![X:(q86030 > $o),Y:(q86030 > $o)]:(geq @ (F @ (c_ @ X @ Y)) @ ((P @ X) & (P @ Y) & (subset @ X @ Y)))))).
