%   ORIGINAL: ZL_SUBSETS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FL_RESTRICTED_SUBSET: !P. fl (\(x,y). P x /\ P y /\ x SUBSET y) = P
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POSET_RESTRICTED_SUBSET: !P. poset (\(x,y). P x /\ P y /\ x SUBSET y)
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: ZL: !l. poset l /\ (!P. chain l P ==> (?y. fl l y /\ (!x. P x ==> l (x,y)))) ==> (?y. fl l y /\ (!x. l (y,x) ==> y = x))
% Assm: chain: !P l. chain l P <=> (!x y. P x /\ P y ==> l (x,y) \/ l (y,x))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !P. (!c. (!x. x IN c ==> P x) /\ (!x y. x IN c /\ y IN c ==> x SUBSET y \/ y SUBSET x) ==> (?z. P z /\ (!x. x IN c ==> x SUBSET z))) ==> (?a. P a /\ (!x. P x /\ a SUBSET x ==> a = x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. fl (\(x,y). P x /\ P y /\ x SUBSET y) = P
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !P. poset (\(x,y). P x /\ P y /\ x SUBSET y)
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !l. poset l /\ (!P. chain l P ==> (?y. fl l y /\ (!x. P x ==> l (x,y)))) ==> (?y. fl l y /\ (!x. l (y,x) ==> y = x))
% Assm: !P l. chain l P <=> (!x y. P x /\ P y ==> l (x,y) \/ l (y,x))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !P. (!c. (!x. x IN c ==> P x) /\ (!x y. x IN c /\ y IN c ==> x SUBSET y \/ y SUBSET x) ==> (?z. P z /\ (!x. x IN c ==> x SUBSET z))) ==> (?a. P a /\ (!x. P x /\ a SUBSET x ==> a = x))
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tprodfunaboolfunabool, type, prodfunaboolfunabool : $tType).
%  CONSTS
thf(cchain0, type, chain0 : ((prodaa > $o) > (a > $o) > $o)).
thf(cchain, type, chain : ((prodfunaboolfunabool > $o) > ((a > $o) > $o) > $o)).
thf(cgeq0, type, geq0 : ((a > $o) > (a > $o) > $o)).
thf(chu_, type, h_ : (((a > $o) > $o) > a > $o)).
thf(cgabs0, type, gabs0 : (((a > $o) > $o) > a > $o)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodfunaboolfunabool > $o) > $o) > prodfunaboolfunabool > $o)).
thf(cfl, type, fl : ((prodfunaboolfunabool > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(ccu_1, type, c_1 : (a > b > prodab)).
thf(ccu_0, type, c_0 : (a > a > prodaa)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(ccu_, type, c_ : ((a > $o) > (a > $o) > prodfunaboolfunabool)).
thf(cposet, type, poset : ((prodfunaboolfunabool > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aFLu_RESTRICTEDu_SUBSET, axiom, ![P:((a > $o) > $o)]:((fl @ (gabs @ ^[F:(prodfunaboolfunabool > $o)]:![X:(a > $o),Y:(a > $o)]:(geq @ (F @ (c_ @ X @ Y)) @ ((P @ X) & (P @ Y) & (subset @ X @ Y))))) = P)).
thf(aGABSu_DEF, axiom, ![P:((a > $o) > $o)]:((gabs0 @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:(a > $o),B:(a > $o)]:((geq0 @ A @ B) <=> (A = B))).
thf(aIN, axiom, ![P:((a > $o) > $o),X:(a > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOSETu_RESTRICTEDu_SUBSET, axiom, ![P:((a > $o) > $o)]:(poset @ (gabs @ ^[F:(prodfunaboolfunabool > $o)]:![X:(a > $o),Y:(a > $o)]:(geq @ (F @ (c_ @ X @ Y)) @ ((P @ X) & (P @ Y) & (subset @ X @ Y)))))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(aZL, axiom, ![L:(prodfunaboolfunabool > $o)]:(((poset @ L) & ![P:((a > $o) > $o)]:((chain @ L @ P) => ?[Y:(a > $o)]:((fl @ L @ Y) & ![X:(a > $o)]:((P @ X) => (L @ (c_ @ X @ Y)))))) => ?[Y:(a > $o)]:((fl @ L @ Y) & ![X:(a > $o)]:((L @ (c_ @ Y @ X)) => (Y = X))))).
thf(achain, axiom, ![P:(a > $o),L:(prodaa > $o)]:((chain0 @ L @ P) <=> ![X:a,Y:a]:(((P @ X) & (P @ Y)) => ((L @ (c_0 @ X @ Y)) | (L @ (c_0 @ Y @ X)))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > b > a > $o)]:?[FN:(prodab > a > $o)]:![A0:a,A1:b]:((FN @ (c_1 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![P:((a > $o) > $o)]:(![C:((a > $o) > $o)]:((![X:(a > $o)]:((in @ X @ C) => (P @ X)) & ![X:(a > $o),Y:(a > $o)]:(((in @ X @ C) & (in @ Y @ C)) => ((subset @ X @ Y) | (subset @ Y @ X)))) => ?[Z:(a > $o)]:((P @ Z) & ![X:(a > $o)]:((in @ X @ C) => (subset @ X @ Z)))) => ?[A:(a > $o)]:((P @ A) & ![X:(a > $o)]:(((P @ X) & (subset @ A @ X)) => (A = X))))).
