%   ORIGINAL: CARD_LT_CONG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_LE_CONG: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <=_c t <=> s' <=_c t')
% Assm: CARD_NOT_LE: !s t. ~(s <=_c t) <=> t <_c s
% Assm: TRUTH: T
% Goal: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <_c t <=> s' <_c t')
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <=_c t <=> s' <=_c t')
% Assm: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <=_c t <=> s' <=_c t')
% Assm: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <=_c t <=> s' <=_c t')
% Assm: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <=_c t <=> s' <=_c t')
% Assm: !s t. ~(s <=_c t) <=> t <_c s
% Assm: !s t. ~(s <=_c t) <=> t <_c s
% Assm: T
% Goal: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <_c t <=> s' <_c t')
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(td, type, d : $tType).
%  CONSTS
thf(clu_au_uu_c6, type, l_a_u_c6 : ((b > $o) > (b > $o) > $o)).
thf(clu_au_uu_c5, type, l_a_u_c5 : ((a > $o) > (a > $o) > $o)).
thf(clu_au_uu_c4, type, l_a_u_c4 : ((b > $o) > (d > $o) > $o)).
thf(clu_au_uu_c3, type, l_a_u_c3 : ((a > $o) > (c > $o) > $o)).
thf(clu_au_uu_c2, type, l_a_u_c2 : ((d > $o) > (b > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((c > $o) > (a > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((d > $o) > (d > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((c > $o) > (c > $o) > $o)).
thf(clu_uu_c0, type, l_u_c0 : ((b > $o) > (d > $o) > $o)).
thf(clu_uu_c, type, l_u_c : ((a > $o) > (c > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((c > $o) > (d > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((a > $o) > (b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_LEu_CONGu_monomorphized3, axiom, ![S:(c > $o),SI_:(d > $o),T:(c > $o),TI_:(d > $o)]:(((a_u_c0 @ S @ SI_) & (a_u_c0 @ T @ TI_)) => ((l_a_u_c @ S @ T) <=> (l_a_u_c0 @ SI_ @ TI_)))).
thf(aCARDu_LEu_CONGu_monomorphized2, axiom, ![S:(c > $o),SI_:(d > $o),T:(a > $o),TI_:(b > $o)]:(((a_u_c0 @ S @ SI_) & (a_u_c @ T @ TI_)) => ((l_a_u_c1 @ S @ T) <=> (l_a_u_c2 @ SI_ @ TI_)))).
thf(aCARDu_LEu_CONGu_monomorphized1, axiom, ![S:(a > $o),SI_:(b > $o),T:(c > $o),TI_:(d > $o)]:(((a_u_c @ S @ SI_) & (a_u_c0 @ T @ TI_)) => ((l_a_u_c3 @ S @ T) <=> (l_a_u_c4 @ SI_ @ TI_)))).
thf(aCARDu_LEu_CONGu_monomorphized0, axiom, ![S:(a > $o),SI_:(b > $o),T:(a > $o),TI_:(b > $o)]:(((a_u_c @ S @ SI_) & (a_u_c @ T @ TI_)) => ((l_a_u_c5 @ S @ T) <=> (l_a_u_c6 @ SI_ @ TI_)))).
thf(aCARDu_NOTu_LEu_monomorphized1, axiom, ![S:(d > $o),T:(b > $o)]:(~ ((l_a_u_c2 @ S @ T)) <=> (l_u_c0 @ T @ S))).
thf(aCARDu_NOTu_LEu_monomorphized0, axiom, ![S:(c > $o),T:(a > $o)]:(~ ((l_a_u_c1 @ S @ T)) <=> (l_u_c @ T @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),SI_:(b > $o),T:(c > $o),TI_:(d > $o)]:(((a_u_c @ S @ SI_) & (a_u_c0 @ T @ TI_)) => ((l_u_c @ S @ T) <=> (l_u_c0 @ SI_ @ TI_)))).
