%   ORIGINAL: CARD_EQ_CONG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_EQ_SYM: !s t. s =_c t <=> t =_c s
% Assm: CARD_EQ_TRANS: !s t u. s =_c t /\ t =_c u ==> s =_c u
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s s' t t'. s =_c s' /\ t =_c t' ==> (s =_c t <=> s' =_c t')
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s =_c t <=> t =_c s
% Assm: !s t. s =_c t <=> t =_c s
% Assm: !s t. s =_c t <=> t =_c s
% Assm: !s t. s =_c t <=> t =_c s
% Assm: !s t u. s =_c t /\ t =_c u ==> s =_c u
% Assm: !s t u. s =_c t /\ t =_c u ==> s =_c u
% Assm: ~F <=> T
% Assm: T
% Goal: !s s' t t'. s =_c s' /\ t =_c t' ==> (s =_c t <=> s' =_c t')
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(td, type, d : $tType).
%  CONSTS
thf(cau_uu_c7, type, a_u_c7 : ((a > $o) > (d > $o) > $o)).
thf(cau_uu_c6, type, a_u_c6 : ((b > $o) > (a > $o) > $o)).
thf(cau_uu_c5, type, a_u_c5 : ((c > $o) > (a > $o) > $o)).
thf(cau_uu_c4, type, a_u_c4 : ((d > $o) > (b > $o) > $o)).
thf(cau_uu_c3, type, a_u_c3 : ((d > $o) > (c > $o) > $o)).
thf(cau_uu_c2, type, a_u_c2 : ((b > $o) > (d > $o) > $o)).
thf(cau_uu_c1, type, a_u_c1 : ((a > $o) > (c > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((c > $o) > (d > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((a > $o) > (b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_EQu_SYMu_monomorphized3, axiom, ![S:(c > $o),T:(d > $o)]:((a_u_c0 @ S @ T) <=> (a_u_c3 @ T @ S))).
thf(aCARDu_EQu_SYMu_monomorphized2, axiom, ![S:(b > $o),T:(d > $o)]:((a_u_c2 @ S @ T) <=> (a_u_c4 @ T @ S))).
thf(aCARDu_EQu_SYMu_monomorphized1, axiom, ![S:(a > $o),T:(c > $o)]:((a_u_c1 @ S @ T) <=> (a_u_c5 @ T @ S))).
thf(aCARDu_EQu_SYMu_monomorphized0, axiom, ![S:(a > $o),T:(b > $o)]:((a_u_c @ S @ T) <=> (a_u_c6 @ T @ S))).
thf(aCARDu_EQu_TRANSu_monomorphized1, axiom, ![S:(a > $o),T:(c > $o),U:(d > $o)]:(((a_u_c1 @ S @ T) & (a_u_c0 @ T @ U)) => (a_u_c7 @ S @ U))).
thf(aCARDu_EQu_TRANSu_monomorphized0, axiom, ![S:(a > $o),T:(b > $o),U:(d > $o)]:(((a_u_c @ S @ T) & (a_u_c2 @ T @ U)) => (a_u_c7 @ S @ U))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),SI_:(b > $o),T:(c > $o),TI_:(d > $o)]:(((a_u_c @ S @ SI_) & (a_u_c0 @ T @ TI_)) => ((a_u_c1 @ S @ T) <=> (a_u_c2 @ SI_ @ TI_)))).
