%   ORIGINAL: CARD_LE_EQ_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_EQ_REFL: !s. s =_c s
% Assm: CARD_LE_CONG: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <=_c t <=> s' <=_c t')
% Assm: CARD_LE_SUBSET: !s t. s SUBSET t ==> s <=_c t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: eq_c: !t s. s =_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?!x. x IN s /\ f x = y)))
% Assm: le_c: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Goal: !s t. s <=_c t <=> (?u. u SUBSET t /\ s =_c u)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. s =_c s
% Assm: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <=_c t <=> s' <=_c t')
% Assm: !s t. s SUBSET t ==> s <=_c t
% Assm: !t. (\x. t x) = t
% Assm: !y s f. y IN IMAGE f s <=> (?x. (y <=> f x) /\ x IN s)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !t s. s =_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')))
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Goal: !s t. s <=_c t <=> (?u. u SUBSET t /\ s =_c u)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin1, type, in1 : (b > (b > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : ($o > ($o > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((b > $o) > (b > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((a > $o) > (a > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((a > $o) > (a > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((a > $o) > (b > $o) > $o)).
thf(csubset, type, subset : ((b > $o) > (b > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((a > $o) > (b > $o) > $o)).
thf(cimage, type, image : ((a > $o) > (a > $o) > $o > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_EQu_REFL, axiom, ![S:(a > $o)]:(a_u_c0 @ S @ S)).
thf(aCARDu_LEu_CONG, axiom, ![S:(a > $o),SI_:(b > $o),T:(a > $o),TI_:(b > $o)]:(((a_u_c @ S @ SI_) & (a_u_c @ T @ TI_)) => ((l_a_u_c0 @ S @ T) <=> (l_a_u_c1 @ SI_ @ TI_)))).
thf(aCARDu_LEu_SUBSET, axiom, ![S:(b > $o),T:(b > $o)]:((subset @ S @ T) => (l_a_u_c1 @ S @ T))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_IMAGE, axiom, ![Y:$o,S:(a > $o),F:(a > $o)]:((in @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y <=> (F @ X)) & (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(b > $o),T:(b > $o)]:((subset @ S @ T) <=> ![X:b]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aequ_c, axiom, ![T:(b > $o),S:(a > $o)]:((a_u_c @ S @ T) <=> ?[F:(a > b)]:(![X:a]:((in0 @ X @ S) => (in1 @ (F @ X) @ T)) & ![Y:b]:((in1 @ Y @ T) => (?[X:a]:((in0 @ X @ S) & ((F @ X) = Y)) & ![X:a,XI_:a]:(((in0 @ X @ S) & ((F @ X) = Y) & (in0 @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))))).
thf(aleu_c, axiom, ![T:(b > $o),S:(a > $o)]:((l_a_u_c @ S @ T) <=> ?[F:(a > b)]:(![X:a]:((in0 @ X @ S) => (in1 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(conjecture, conjecture, ![S:(a > $o),T:(b > $o)]:((l_a_u_c @ S @ T) <=> ?[U:(b > $o)]:((subset @ U @ T) & (a_u_c @ S @ U)))).
