%   ORIGINAL: CARD_LE_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_FINITE_CONG: !s t. s =_c t ==> (FINITE s <=> FINITE t)
% Assm: CARD_LE_EQ_SUBSET: !s t. s <=_c t <=> (?u. u SUBSET t /\ s =_c u)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. FINITE t /\ s <=_c t ==> FINITE s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s =_c t ==> (FINITE s <=> FINITE t)
% Assm: !s t. s =_c t ==> (FINITE s <=> FINITE t)
% Assm: !s t. s =_c t ==> (FINITE s <=> FINITE t)
% Assm: !s t. s =_c t ==> (FINITE s <=> FINITE t)
% Assm: !s t. s <=_c t <=> (?u. u SUBSET t /\ s =_c u)
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: ~F <=> T
% Assm: T
% Goal: !s t. FINITE t /\ s <=_c t ==> FINITE s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((b > $o) > (b > $o) > $o)).
thf(cau_uu_c2, type, a_u_c2 : ((a > $o) > (a > $o) > $o)).
thf(cau_uu_c1, type, a_u_c1 : ((a > $o) > (b > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((b > $o) > (a > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((b > $o) > (b > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((a > $o) > (b > $o) > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_FINITEu_CONGu_monomorphized3, axiom, ![S:(b > $o),T:(b > $o)]:((a_u_c @ S @ T) => ((finite @ S) <=> (finite @ T)))).
thf(aCARDu_FINITEu_CONGu_monomorphized2, axiom, ![S:(b > $o),T:(a > $o)]:((a_u_c0 @ S @ T) => ((finite @ S) <=> (finite0 @ T)))).
thf(aCARDu_FINITEu_CONGu_monomorphized1, axiom, ![S:(a > $o),T:(b > $o)]:((a_u_c1 @ S @ T) => ((finite0 @ S) <=> (finite @ T)))).
thf(aCARDu_FINITEu_CONGu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:((a_u_c2 @ S @ T) => ((finite0 @ S) <=> (finite0 @ T)))).
thf(aCARDu_LEu_EQu_SUBSET, axiom, ![S:(a > $o),T:(b > $o)]:((l_a_u_c @ S @ T) <=> ?[U:(b > $o)]:((subset @ U @ T) & (a_u_c1 @ S @ U)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_SUBSETu_monomorphized1, axiom, ![S:(b > $o),T:(b > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFINITEu_SUBSETu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:(((finite0 @ T) & (subset0 @ S @ T)) => (finite0 @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),T:(b > $o)]:(((finite @ T) & (l_a_u_c @ S @ T)) => (finite0 @ S))).
