%   ORIGINAL: CARD_HAS_SIZE_CONG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_EQ_CARD: !s t. FINITE s /\ FINITE t ==> (s =_c t <=> CARD s = CARD t)
% Assm: CARD_FINITE_CONG: !s t. s =_c t ==> (FINITE s <=> FINITE t)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t n. s HAS_SIZE n /\ s =_c t ==> t HAS_SIZE n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. FINITE s /\ FINITE t ==> (s =_c t <=> CARD s = CARD t)
% Assm: !s t. s =_c t ==> (FINITE s <=> FINITE t)
% Assm: !t. (\x. t x) = t
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: ~F <=> T
% Assm: T
% Goal: !s t n. s HAS_SIZE n /\ s =_c t ==> t HAS_SIZE n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(chasuu_size0, type, hasu_size0 : ((b > $o) > num > $o)).
thf(cau_uu_c, type, a_u_c : ((a > $o) > (b > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((a > $o) > num > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((b > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_EQu_CARD, axiom, ![S:(a > $o),T:(b > $o)]:(((finite @ S) & (finite0 @ T)) => ((a_u_c @ S @ T) <=> ((card @ S) = (card0 @ T))))).
thf(aCARDu_FINITEu_CONG, axiom, ![S:(a > $o),T:(b > $o)]:((a_u_c @ S @ T) => ((finite @ S) <=> (finite0 @ T)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_SIZEu_monomorphized1, axiom, ![S:(b > $o),N:num]:((hasu_size0 @ S @ N) <=> ((finite0 @ S) & ((card0 @ S) = N)))).
thf(aHASu_SIZEu_monomorphized0, axiom, ![S:(a > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),T:(b > $o),N:num]:(((hasu_size @ S @ N) & (a_u_c @ S @ T)) => (hasu_size0 @ T @ N))).
