%   ORIGINAL: CARD_ADD_LE_MUL_INFINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INFINITE_CARD_LE: !s. INFINITE s <=> (:num) <=_c s
% Assm: IN_CARD_ADD_conjunct0: !x. INL x IN s +_c t <=> x IN s
% Assm: IN_CARD_ADD_conjunct1: !y. INR y IN s +_c t <=> y IN t
% Assm: IN_CARD_MUL: !s t x y. x,y IN s *_c t <=> x IN s /\ y IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: TRUTH: T
% Assm: le_c: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: sum_INDUCT: !P. (!a. P (INL a)) /\ (!a. P (INR a)) ==> (!x. P x)
% Assm: sum_RECURSION: !INL' INR'. ?fn. (!a. fn (INL a) = INL' a) /\ (!a. fn (INR a) = INR' a)
% Goal: !s. INFINITE s ==> s +_c s <=_c s *_c s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. INFINITE s <=> (:num) <=_c s
% Assm: !t s x. INL x IN s +_c t <=> x IN s
% Assm: !s t y. INR y IN s +_c t <=> y IN t
% Assm: !s t x y. x,y IN s *_c t <=> x IN s /\ y IN t
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: T
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: !P. (!a. P (INL a)) /\ (!a. P (INR a)) ==> (!x. P x)
% Assm: !INL' INR'. ?fn. (!a. fn (INL a) = INL' a) /\ (!a. fn (INR a) = INR' a)
% Goal: !s. INFINITE s ==> s +_c s <=_c s *_c s
%  TYPES
thf(tnum, type, num : $tType).
thf(tprodaa, type, prodaa : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tsumab, type, sumab : $tType).
thf(tz, type, z : $tType).
thf(tsumaa, type, sumaa : $tType).
%  CONSTS
thf(cin1, type, in1 : (prodaa > (prodaa > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (sumaa > (sumaa > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((num > $o) > (a > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((sumaa > $o) > (prodaa > $o) > $o)).
thf(cinr, type, inr : (a > sumaa)).
thf(cinl, type, inl : (a > sumaa)).
thf(cinr0, type, inr0 : (b > sumab)).
thf(cinl0, type, inl0 : (a > sumab)).
thf(ccu_0, type, c_0 : (a > b > prodab)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(ctu_uu_c, type, t_u_c : ((a > $o) > (a > $o) > prodaa > $o)).
thf(cpu_uu_c, type, p_u_c : ((a > $o) > (a > $o) > sumaa > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cinfinite, type, infinite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINFINITEu_CARDu_LE, axiom, ![S:(a > $o)]:((infinite @ S) <=> (l_a_u_c0 @ univ @ S))).
thf(aINu_CARDu_ADDu_conjunct0, axiom, ![T:(a > $o),S:(a > $o),X:a]:((in @ (inl @ X) @ (p_u_c @ S @ T)) <=> (in0 @ X @ S))).
thf(aINu_CARDu_ADDu_conjunct1, axiom, ![S:(a > $o),T:(a > $o),Y:a]:((in @ (inr @ Y) @ (p_u_c @ S @ T)) <=> (in0 @ Y @ T))).
thf(aINu_CARDu_MUL, axiom, ![S:(a > $o),T:(a > $o),X:a,Y:a]:((in1 @ (c_ @ X @ Y) @ (t_u_c @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ Y @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ0)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPAIRu_EQ, axiom, ![X:a,Y:b,A:a,B:b]:(((c_0 @ X @ Y) = (c_0 @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aTRUTH, axiom, $true).
thf(aleu_c, axiom, ![T:(prodaa > $o),S:(sumaa > $o)]:((l_a_u_c @ S @ T) <=> ?[F:(sumaa > prodaa)]:(![X:sumaa]:((in @ X @ S) => (in1 @ (F @ X) @ T)) & ![X:sumaa,Y:sumaa]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(asumu_INDUCT, axiom, ![P:(sumab > $o)]:((![A:a]:(P @ (inl0 @ A)) & ![A:b]:(P @ (inr0 @ A))) => ![X:sumab]:(P @ X))).
thf(asumu_RECURSION, axiom, ![INLI_:(a > z),INRI_:(b > z)]:?[FN:(sumab > z)]:(![A:a]:((FN @ (inl0 @ A)) = (INLI_ @ A)) & ![A:b]:((FN @ (inr0 @ A)) = (INRI_ @ A)))).
thf(conjecture, conjecture, ![S:(a > $o)]:((infinite @ S) => (l_a_u_c @ (p_u_c @ S @ S) @ (t_u_c @ S @ S)))).
