%   ORIGINAL: CARD_DISJOINT_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: COND_RATOR: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_SUM_THM: (!z. P z) <=> (!x. P (INL x)) /\ (!x. P (INR x))
% Assm: IN_CARD_ADD_conjunct0: !x. INL x IN s +_c t <=> x IN s
% Assm: IN_CARD_ADD_conjunct1: !y. INR y IN s +_c t <=> y IN t
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: eq_c: !t s. s =_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?!x. x IN s /\ f x = y)))
% Assm: sum_DISTINCT: !a a'. ~(INL a = INR a')
% Assm: sum_INJECTIVE_conjunct0: !a a'. INL a = INL a' <=> a = a'
% Assm: sum_INJECTIVE_conjunct1: !a a'. INR a = INR a' <=> a = a'
% Goal: !s t. s INTER t = {} ==> s UNION t =_c s +_c t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. (!z. P z) <=> (!x. P (INL x)) /\ (!x. P (INR x))
% Assm: !t s x. INL x IN s +_c t <=> x IN s
% Assm: !s t y. INR y IN s +_c t <=> y IN t
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !t s. s =_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')))
% Assm: !a a'. ~(INL a = INR a')
% Assm: !a a'. INL a = INL a' <=> a = a'
% Assm: !a a'. INR a = INR a' <=> a = a'
% Goal: !s t. s INTER t = {} ==> s UNION t =_c s +_c t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tsumab, type, sumab : $tType).
thf(tq85980, type, q85980 : $tType).
thf(tq85981, type, q85981 : $tType).
thf(tsumaa, type, sumaa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tsumafunabool, type, sumafunabool : $tType).
thf(tsumfunaboolb, type, sumfunaboolb : $tType).
thf(tsumq85981q85980, type, sumq85981q85980 : $tType).
%  CONSTS
thf(cin0, type, in0 : (sumaa > (sumaa > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((a > $o) > (sumaa > $o) > $o)).
thf(cinr0, type, inr0 : (a > sumaa)).
thf(cinl0, type, inl0 : (a > sumaa)).
thf(cinl2, type, inl2 : ((a > $o) > sumfunaboolb)).
thf(cinr1, type, inr1 : (b > sumab)).
thf(cinl1, type, inl1 : (a > sumab)).
thf(cinr2, type, inr2 : ((a > $o) > sumafunabool)).
thf(ccond1, type, cond1 : ($o > (a > a > $o) > (a > a > $o) > a > a > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > (a > $o) > (a > $o) > a > $o)).
thf(cpu_uu_c, type, p_u_c : ((a > $o) > (a > $o) > sumaa > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cinr, type, inr : (q85980 > sumq85981q85980)).
thf(cinl, type, inl : (q85981 > sumq85981q85980)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:(a > $o),T2:(a > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_RAND, axiom, ![B:$o,F:(a > a > $o),X:a,Y:a]:((F @ (cond0 @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RATOR, axiom, ![B:$o,F:(a > a > $o),G:(a > a > $o),X:a]:((cond1 @ B @ F @ G @ X) = (cond @ B @ (F @ X) @ (G @ X)))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_SUMu_THM, axiom, ![P:(sumq85981q85980 > $o)]:(![Z:sumq85981q85980]:(P @ Z) <=> (![X:q85981]:(P @ (inl @ X)) & ![X:q85980]:(P @ (inr @ X))))).
thf(aINu_CARDu_ADDu_conjunct0, axiom, ![T:(a > $o),S:(a > $o),X:a]:((in0 @ (inl0 @ X) @ (p_u_c @ S @ T)) <=> (in @ X @ S))).
thf(aINu_CARDu_ADDu_conjunct1, axiom, ![S:(a > $o),T:(a > $o),Y:a]:((in0 @ (inr0 @ Y) @ (p_u_c @ S @ T)) <=> (in @ Y @ T))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aequ_c, axiom, ![T:(sumaa > $o),S:(a > $o)]:((a_u_c @ S @ T) <=> ?[F:(a > sumaa)]:(![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![Y:sumaa]:((in0 @ Y @ T) => (?[X:a]:((in @ X @ S) & ((F @ X) = Y)) & ![X:a,XI_:a]:(((in @ X @ S) & ((F @ X) = Y) & (in @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))))).
thf(asumu_DISTINCT, axiom, ![A:a,AI_:b]:~ (((inl1 @ A) = (inr1 @ AI_)))).
thf(asumu_INJECTIVEu_conjunct0, axiom, ![A:(a > $o),AI_:(a > $o)]:(((inl2 @ A) = (inl2 @ AI_)) <=> (A = AI_))).
thf(asumu_INJECTIVEu_conjunct1, axiom, ![A:(a > $o),AI_:(a > $o)]:(((inr2 @ A) = (inr2 @ AI_)) <=> (A = AI_))).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > $o)]:(((inter @ S @ T) = empty) => (a_u_c @ (union @ S @ T) @ (p_u_c @ S @ T)))).
