%   ORIGINAL: CARD_MUL_ABSORB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_LE_ANTISYM: !s t. s <=_c t /\ t <=_c s <=> s =_c t
% Assm: CARD_MUL_ABSORB_LE: !s t. INFINITE t /\ s <=_c t ==> s *_c t <=_c t
% Assm: IN_CARD_MUL: !s t x y. x,y IN s *_c t <=> x IN s /\ y IN t
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: TRUTH: T
% Assm: le_c: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Goal: !s t. INFINITE t /\ ~(s = {}) /\ s <=_c t ==> s *_c t =_c t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s <=_c t /\ t <=_c s <=> s =_c t
% Assm: !s t. INFINITE t /\ s <=_c t ==> s *_c t <=_c t
% Assm: !s t x y. x,y IN s *_c t <=> x IN s /\ y IN t
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: T
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Goal: !s t. INFINITE t /\ ~(s = {}) /\ s <=_c t ==> s *_c t =_c t
%  TYPES
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tprodfunaboolfunabool, type, prodfunaboolfunabool : $tType).
%  CONSTS
thf(cin1, type, in1 : (b > (b > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (prodab > (prodab > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((prodab > $o) > (b > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((a > $o) > (b > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((b > $o) > (a > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((prodab > $o) > (b > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((a > $o) > (b > $o) > $o)).
thf(ccu_0, type, c_0 : ((a > $o) > (a > $o) > prodfunaboolfunabool)).
thf(ccu_, type, c_ : (a > b > prodab)).
thf(ctu_uu_c, type, t_u_c : ((a > $o) > (b > $o) > prodab > $o)).
thf(cinfinite, type, infinite : ((b > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_LEu_ANTISYM, axiom, ![S:(a > $o),T:(b > $o)]:(((l_a_u_c @ S @ T) & (l_a_u_c0 @ T @ S)) <=> (a_u_c0 @ S @ T))).
thf(aCARDu_MULu_ABSORBu_LE, axiom, ![S:(a > $o),T:(b > $o)]:(((infinite @ T) & (l_a_u_c @ S @ T)) => (l_a_u_c1 @ (t_u_c @ S @ T) @ T))).
thf(aINu_CARDu_MUL, axiom, ![S:(a > $o),T:(b > $o),X:a,Y:b]:((in @ (c_ @ X @ Y) @ (t_u_c @ S @ T)) <=> ((in0 @ X @ S) & (in1 @ Y @ T)))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(a > $o)]:(?[X:a]:(in0 @ X @ S) <=> ~ ((S = empty)))).
thf(aPAIRu_EQ, axiom, ![X:(a > $o),Y:(a > $o),A:(a > $o),B:(a > $o)]:(((c_0 @ X @ Y) = (c_0 @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aTRUTH, axiom, $true).
thf(aleu_c, axiom, ![T:(b > $o),S:(a > $o)]:((l_a_u_c @ S @ T) <=> ?[F:(a > b)]:(![X:a]:((in0 @ X @ S) => (in1 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(conjecture, conjecture, ![S:(a > $o),T:(b > $o)]:(((infinite @ T) & ~ ((S = empty)) & (l_a_u_c @ S @ T)) => (a_u_c @ (t_u_c @ S @ T) @ T))).
