%   ORIGINAL: CARD_MUL_LT_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_LET_TRANS: !s t u. s <=_c t /\ t <_c u ==> s <_c u
% Assm: CARD_LE_FINITE: !s t. FINITE t /\ s <=_c t ==> FINITE s
% Assm: CARD_MUL_ABSORB_LE: !s t. INFINITE t /\ s <=_c t ==> s *_c t <=_c t
% Assm: CARD_MUL_FINITE: !s t. FINITE s /\ FINITE t ==> FINITE (s *_c t)
% Assm: CARD_NOT_LT: !s t. ~(s <_c t) <=> t <=_c s
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t u. s <=_c t /\ t <_c u /\ INFINITE u ==> s *_c t <_c u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t u. s <=_c t /\ t <_c u ==> s <_c u
% Assm: !s t. FINITE t /\ s <=_c t ==> FINITE s
% Assm: !s t. INFINITE t /\ s <=_c t ==> s *_c t <=_c t
% Assm: !s t. FINITE s /\ FINITE t ==> FINITE (s *_c t)
% Assm: !s t. ~(s <_c t) <=> t <=_c s
% Assm: !s t. ~(s <_c t) <=> t <=_c s
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: ~F <=> T
% Assm: T
% Goal: !s t u. s <=_c t /\ t <_c u /\ INFINITE u ==> s *_c t <_c u
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq91060, type, q91060 : $tType).
thf(tq91067, type, q91067 : $tType).
thf(tprodaq91067, type, prodaq91067 : $tType).
thf(tprodq91060b, type, prodq91060b : $tType).
%  CONSTS
thf(clu_au_uu_c3, type, l_a_u_c3 : ((q91067 > $o) > (b > $o) > $o)).
thf(clu_au_uu_c2, type, l_a_u_c2 : ((q91067 > $o) > (prodq91060b > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((prodaq91067 > $o) > (q91067 > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((a > $o) > (q91067 > $o) > $o)).
thf(clu_uu_c1, type, l_u_c1 : ((q91060 > $o) > (q91067 > $o) > $o)).
thf(clu_uu_c0, type, l_u_c0 : ((prodq91060b > $o) > (q91067 > $o) > $o)).
thf(clu_uu_c, type, l_u_c : ((b > $o) > (q91067 > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((q91060 > $o) > (b > $o) > $o)).
thf(ctu_uu_c0, type, t_u_c0 : ((a > $o) > (q91067 > $o) > prodaq91067 > $o)).
thf(ctu_uu_c, type, t_u_c : ((q91060 > $o) > (b > $o) > prodq91060b > $o)).
thf(cfinite2, type, finite2 : ((q91067 > $o) > $o)).
thf(cfinite1, type, finite1 : ((prodq91060b > $o) > $o)).
thf(cfinite0, type, finite0 : ((q91060 > $o) > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
thf(cinfinite, type, infinite : ((q91067 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_LETu_TRANS, axiom, ![S:(q91060 > $o),T:(b > $o),U:(q91067 > $o)]:(((l_a_u_c @ S @ T) & (l_u_c @ T @ U)) => (l_u_c1 @ S @ U))).
thf(aCARDu_LEu_FINITE, axiom, ![S:(q91060 > $o),T:(b > $o)]:(((finite @ T) & (l_a_u_c @ S @ T)) => (finite0 @ S))).
thf(aCARDu_MULu_ABSORBu_LE, axiom, ![S:(a > $o),T:(q91067 > $o)]:(((infinite @ T) & (l_a_u_c0 @ S @ T)) => (l_a_u_c1 @ (t_u_c0 @ S @ T) @ T))).
thf(aCARDu_MULu_FINITE, axiom, ![S:(q91060 > $o),T:(b > $o)]:(((finite0 @ S) & (finite @ T)) => (finite1 @ (t_u_c @ S @ T)))).
thf(aCARDu_NOTu_LTu_monomorphized1, axiom, ![S:(prodq91060b > $o),T:(q91067 > $o)]:(~ ((l_u_c0 @ S @ T)) <=> (l_a_u_c2 @ T @ S))).
thf(aCARDu_NOTu_LTu_monomorphized0, axiom, ![S:(b > $o),T:(q91067 > $o)]:(~ ((l_u_c @ S @ T)) <=> (l_a_u_c3 @ T @ S))).
thf(aINFINITE, axiom, ![S:(q91067 > $o)]:((infinite @ S) <=> ~ ((finite2 @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q91060 > $o),T:(b > $o),U:(q91067 > $o)]:(((l_a_u_c @ S @ T) & (l_u_c @ T @ U) & (infinite @ U)) => (l_u_c0 @ (t_u_c @ S @ T) @ U))).
