%   ORIGINAL: CANTOR_THM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: LE_C: !s t. s <=_c t <=> (?g. !x. x IN s ==> (?y. y IN t /\ g y = x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: le_c: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: lt_c: !t s. s <_c t <=> s <=_c t /\ ~(t <=_c s)
% Goal: !s. s <_c {t | t SUBSET s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t. s <=_c t <=> (?g. !x. x IN s ==> (?y. y IN t /\ g y = x))
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: !t s. s <_c t <=> s <=_c t /\ ~(t <=_c s)
% Goal: !s. s <_c {t | t SUBSET s}
%  TYPES
thf(tq59330, type, q59330 : $tType).
thf(tq59202, type, q59202 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq59327, type, q59327 : $tType).
thf(tq59207, type, q59207 : $tType).
%  CONSTS
thf(clu_au_uu_c2, type, l_a_u_c2 : (((a > $o) > $o) > (a > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cin4, type, in4 : (q59202 > (q59202 > $o) > $o)).
thf(cin3, type, in3 : (q59207 > (q59207 > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((q59207 > $o) > (q59202 > $o) > $o)).
thf(cin2, type, in2 : (q59330 > (q59330 > $o) > $o)).
thf(cin1, type, in1 : (q59327 > (q59327 > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((q59327 > $o) > (q59330 > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(clu_uu_c, type, l_u_c : ((a > $o) > ((a > $o) > $o) > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((a > $o) > $o),X:(a > $o)]:((in0 @ X @ (gspec @ ^[V:(a > $o)]:?[Y:(a > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLEu_C, axiom, ![S:(q59327 > $o),T:(q59330 > $o)]:((l_a_u_c @ S @ T) <=> ?[G:(q59330 > q59327)]:![X:q59327]:((in1 @ X @ S) => ?[Y:q59330]:((in2 @ Y @ T) & ((G @ Y) = X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aleu_c, axiom, ![T:(q59202 > $o),S:(q59207 > $o)]:((l_a_u_c0 @ S @ T) <=> ?[F:(q59207 > q59202)]:(![X:q59207]:((in3 @ X @ S) => (in4 @ (F @ X) @ T)) & ![X:q59207,Y:q59207]:(((in3 @ X @ S) & (in3 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(altu_c, axiom, ![T:((a > $o) > $o),S:(a > $o)]:((l_u_c @ S @ T) <=> ((l_a_u_c1 @ S @ T) & ~ ((l_a_u_c2 @ T @ S))))).
thf(conjecture, conjecture, ![S:(a > $o)]:(l_u_c @ S @ (gspec @ ^[GENR_PVARR_226:(a > $o)]:?[T:(a > $o)]:(setspec @ GENR_PVARR_226 @ (subset @ T @ S) @ T)))).
