%   ORIGINAL: COUNTABLE_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COUNTABLE_SUBSET: !s t. COUNTABLE t /\ s SUBSET t ==> COUNTABLE s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s P. COUNTABLE s ==> COUNTABLE {x | x IN s /\ P x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. COUNTABLE t /\ s SUBSET t ==> COUNTABLE s
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s P. COUNTABLE s ==> COUNTABLE {x | x IN s /\ P x}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq91311, type, q91311 : $tType).
%  CONSTS
thf(csubset, type, subset : ((q91311 > $o) > (q91311 > $o) > $o)).
thf(cin, type, in : (q91311 > (q91311 > $o) > $o)).
thf(cgspec, type, gspec : ((q91311 > $o) > q91311 > $o)).
thf(csetspec, type, setspec : (q91311 > $o > q91311 > $o)).
thf(ccountable, type, countable : ((q91311 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOUNTABLEu_SUBSET, axiom, ![S:(q91311 > $o),T:(q91311 > $o)]:(((countable @ T) & (subset @ S @ T)) => (countable @ S))).
thf(aIN, axiom, ![P:(q91311 > $o),X:q91311]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q91311 > $o),X:q91311]:((in @ X @ (gspec @ ^[V:q91311]:?[Y:q91311]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(q91311 > $o),T:(q91311 > $o)]:((subset @ S @ T) <=> ![X:q91311]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q91311 > $o),P:(q91311 > $o)]:((countable @ S) => (countable @ (gspec @ ^[GENR_PVARR_227:q91311]:?[X:q91311]:(setspec @ GENR_PVARR_227 @ ((in @ X @ S) & (P @ X)) @ X))))).
