%   ORIGINAL: COUNTABLE_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COUNTABLE_SUBSET: !s t. COUNTABLE t /\ s SUBSET t ==> COUNTABLE s
% Assm: COUNTABLE_UNION_IMP: !s t. COUNTABLE s /\ COUNTABLE t ==> COUNTABLE (s UNION t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. COUNTABLE (s UNION t) <=> COUNTABLE s /\ COUNTABLE t
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. COUNTABLE t /\ s SUBSET t ==> COUNTABLE s
% Assm: !s t. COUNTABLE s /\ COUNTABLE t ==> COUNTABLE (s UNION t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. COUNTABLE (s UNION t) <=> COUNTABLE s /\ COUNTABLE t
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(ccountable, type, countable : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOUNTABLEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((countable @ T) & (subset @ S @ T)) => (countable @ S))).
thf(aCOUNTABLEu_UNIONu_IMP, axiom, ![S:(a > $o),T:(a > $o)]:(((countable @ S) & (countable @ T)) => (countable @ (union @ S @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > $o)]:((countable @ (union @ S @ T)) <=> ((countable @ S) & (countable @ T)))).
