%   ORIGINAL: COUNTABLE_DIFF_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COUNTABLE_DELETE: !x s. COUNTABLE (s DELETE x) <=> COUNTABLE s
% Assm: DIFF_EMPTY: !s. s DIFF {} = s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. FINITE s ==> (COUNTABLE (t DIFF s) <=> COUNTABLE t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x s. COUNTABLE (s DELETE x) <=> COUNTABLE s
% Assm: !s. s DIFF {} = s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x <=> y)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x y s. x IN y INSERT s <=> (x <=> y) \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Goal: !s t. FINITE s ==> (COUNTABLE (t DIFF s) <=> COUNTABLE t)
%  TYPES
thf(ta, type, a : $tType).
thf(tq91555, type, q91555 : $tType).
%  CONSTS
thf(cempty, type, empty : (q91555 > $o)).
thf(cin1, type, in1 : ($o > ($o > $o) > $o)).
thf(cin0, type, in0 : (q91555 > (q91555 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert0, type, insert0 : ($o > ($o > $o) > $o > $o)).
thf(cdelete0, type, delete0 : (($o > $o) > $o > $o > $o)).
thf(cinsert, type, insert : (q91555 > (q91555 > $o) > q91555 > $o)).
thf(cdelete, type, delete : ((q91555 > $o) > q91555 > q91555 > $o)).
thf(cdiff, type, diff : ((q91555 > $o) > (q91555 > $o) > q91555 > $o)).
thf(ccountable, type, countable : ((q91555 > $o) > $o)).
thf(cfinite, type, finite : ((q91555 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOUNTABLEu_DELETE, axiom, ![X:q91555,S:(q91555 > $o)]:((countable @ (delete @ S @ X)) <=> (countable @ S))).
thf(aDIFFu_EMPTY, axiom, ![S:(q91555 > $o)]:((diff @ S @ empty) = S)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q91555 > $o) > $o)]:(((P @ empty) & ![X:q91555,S:(q91555 > $o)]:(((P @ S) & ~ ((in0 @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q91555 > $o)]:((finite @ S) => (P @ S)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:($o > $o),X:$o,Y:$o]:((in1 @ X @ (delete0 @ S @ Y)) <=> ((in1 @ X @ S) & ~ ((X <=> Y))))).
thf(aINu_DIFF, axiom, ![S:(q91555 > $o),T:(q91555 > $o),X:q91555]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INSERT, axiom, ![X:$o,Y:$o,S:($o > $o)]:((in1 @ X @ (insert0 @ Y @ S)) <=> ((X <=> Y) | (in1 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q91555 > $o),T:(q91555 > $o)]:((finite @ S) => ((countable @ (diff @ T @ S)) <=> (countable @ T)))).
