%   ORIGINAL: REAL_CONVEX_BOUND_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_ADD2: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: REAL_LE_LMUL: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: TRUTH: T
% Assm: Tactics_jordan.REAL_RDISTRIB: !x y z. (x + y) * z = x * z + y * z
% Goal: !x y a u v. x <= a /\ y <= a /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u * x + v * y <= a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: !x. x <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x. &1 * x = x
% Assm: T
% Assm: !x y z. (x + y) * z = x * z + y * z
% Goal: !x y a u v. x <= a /\ y <= a /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u * x + v * y <= a
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_ADD2, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ W @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_add @ W @ Y) @ (realu_add @ X @ Z)))).
thf(aREALu_LEu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(aTacticsu_jordano_REALu_RDISTRIB, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ (realu_add @ X @ Y) @ Z) = (realu_add @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(conjecture, conjecture, ![X:real,Y:real,A:real,U:real,V:real]:(((realu_le @ X @ A) & (realu_le @ Y @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_le @ (realu_add @ (realu_mul @ U @ X) @ (realu_mul @ V @ Y)) @ A))).
