%   ORIGINAL: INFINITE_ENUMERATE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: LT_TRANS: !m n p. m < n /\ n < p ==> m < p
% Assm: LT_conjunct0: !m. m < 0 <=> F
% Assm: LT_conjunct1: !m n. m < SUC n <=> m = n \/ m < n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Assm: num_FINITE: !s. FINITE s <=> (?a. !x. x IN s ==> x <= a)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: num_RECURSION: !e f. ?fn. fn 0 = e /\ (!n. fn (SUC n) = f (fn n) n)
% Goal: !s. INFINITE s ==> (?r. (!m n. m < n ==> r m < r n) /\ (!n. r n IN s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: !m n p. m < n /\ n < p ==> m < p
% Assm: !m. m < 0 <=> F
% Assm: !m n. m < SUC n <=> m = n \/ m < n
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Assm: !s. FINITE s <=> (?a. !x. x IN s ==> x <= a)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !e f. ?fn. fn 0 = e /\ (!n. fn (SUC n) = f (fn n) n)
% Goal: !s. INFINITE s ==> (?r. (!m n. m < n ==> r m < r n) /\ (!n. r n IN s))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cinfinite, type, infinite : ((num > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINFINITE, axiom, ![S:(num > $o)]:((infinite @ S) <=> ~ ((finite @ S)))).
thf(aLTu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_ @ N @ P)) => (l_ @ M @ P))).
thf(aLTu_conjunct0, axiom, ![M:num]:((l_ @ M @ (numeral @ u_0)) <=> $false)).
thf(aLTu_conjunct1, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> ((M = N) | (l_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(anumu_FINITE, axiom, ![S:(num > $o)]:((finite @ S) <=> ?[A:num]:![X:num]:((in @ X @ S) => (l_a_ @ X @ A)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(anumu_RECURSION, axiom, ![E:a,F:(a > num > a)]:?[FN:(num > a)]:(((FN @ (numeral @ u_0)) = E) & ![N:num]:((FN @ (suc @ N)) = (F @ (FN @ N) @ N)))).
thf(conjecture, conjecture, ![S:(num > $o)]:((infinite @ S) => ?[R:(num > num)]:(![M:num,N:num]:((l_ @ M @ N) => (l_ @ (R @ M) @ (R @ N))) & ![N:num]:(in @ (R @ N) @ S)))).
