%   ORIGINAL: P_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Assm: hull: !P s. P hull s = INTERS {t | P t /\ s SUBSET t}
% Goal: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> P (P hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Assm: !P s. P hull s = INTERS {t | P t /\ s SUBSET t}
% Goal: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> P (P hull s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq94512, type, q94512 : $tType).
%  CONSTS
thf(csubset, type, subset : ((q94512 > $o) > (q94512 > $o) > $o)).
thf(cgspec, type, gspec : (((q94512 > $o) > $o) > (q94512 > $o) > $o)).
thf(cinters, type, inters : (((q94512 > $o) > $o) > q94512 > $o)).
thf(cin, type, in : ((q94512 > $o) > ((q94512 > $o) > $o) > $o)).
thf(csetspec, type, setspec : ((q94512 > $o) > $o > (q94512 > $o) > $o)).
thf(chull, type, hull : (((q94512 > $o) > $o) > (q94512 > $o) > q94512 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((q94512 > $o) > $o),X:(q94512 > $o)]:((in @ X @ (gspec @ ^[V:(q94512 > $o)]:?[Y:(q94512 > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(ahull, axiom, ![P:((q94512 > $o) > $o),S:(q94512 > $o)]:((hull @ P @ S) = (inters @ (gspec @ ^[GENR_PVARR_246:(q94512 > $o)]:?[T:(q94512 > $o)]:(setspec @ GENR_PVARR_246 @ ((P @ T) & (subset @ S @ T)) @ T))))).
thf(conjecture, conjecture, ![P:((q94512 > $o) > $o),S:(q94512 > $o)]:(![F:((q94512 > $o) > $o)]:(![S:(q94512 > $o)]:((in @ S @ F) => (P @ S)) => (P @ (inters @ F))) => (P @ (hull @ P @ S)))).
