%   ORIGINAL: HULL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_P: !P s. P s ==> P hull s = s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: P_HULL: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> P (P hull s)
% Assm: TRUTH: T
% Goal: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> (P hull s = s <=> P s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P s. P s ==> P hull s = s
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> P (P hull s)
% Assm: T
% Goal: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> (P hull s = s <=> P s)
%  TYPES
thf(tq94550, type, q94550 : $tType).
%  CONSTS
thf(ci, type, i : ((q94550 > $o) > q94550 > $o)).
thf(cinters, type, inters : (((q94550 > $o) > $o) > q94550 > $o)).
thf(cin, type, in : ((q94550 > $o) > ((q94550 > $o) > $o) > $o)).
thf(chull, type, hull : (((q94550 > $o) > $o) > (q94550 > $o) > q94550 > $o)).
thf(ci0, type, i0 : ($o > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(q94550 > $o),G:(q94550 > $o)]:(![X:q94550]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q94550 > $o)]:(^[X:q94550]:(T @ X) = T)).
thf(aHULLu_P, axiom, ![P:((q94550 > $o) > $o),S:(q94550 > $o)]:((P @ S) => ((hull @ P @ S) = S))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(q94550 > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPu_HULL, axiom, ![P:((q94550 > $o) > $o),S:(q94550 > $o)]:(![F:((q94550 > $o) > $o)]:(![S:(q94550 > $o)]:((in @ S @ F) => (P @ S)) => (P @ (inters @ F))) => (P @ (hull @ P @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((q94550 > $o) > $o),S:(q94550 > $o)]:(![F:((q94550 > $o) > $o)]:(![S:(q94550 > $o)]:((in @ S @ F) => (P @ S)) => (P @ (inters @ F))) => (((hull @ P @ S) = S) <=> (P @ S)))).
