%   ORIGINAL: HULL_ANTIMONO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: hull: !P s. P hull s = INTERS {t | P t /\ s SUBSET t}
% Goal: !P Q s. P SUBSET Q ==> Q hull s SUBSET P hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !P s. P hull s = INTERS {t | P t /\ s SUBSET t}
% Goal: !P Q s. P SUBSET Q ==> Q hull s SUBSET P hull s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq94641, type, q94641 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((q94641 > $o) > $o) > (q94641 > $o) > $o)).
thf(cinters0, type, inters0 : (((q94641 > $o) > $o) > q94641 > $o)).
thf(cin3, type, in3 : (q94641 > (q94641 > $o) > $o)).
thf(cin2, type, in2 : ((q94641 > $o) > ((q94641 > $o) > $o) > $o)).
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cinters, type, inters : (((a > $o) > $o) > a > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((q94641 > $o) > (q94641 > $o) > $o)).
thf(csubset, type, subset : (((q94641 > $o) > $o) > ((q94641 > $o) > $o) > $o)).
thf(csetspec0, type, setspec0 : ((q94641 > $o) > $o > (q94641 > $o) > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(chull, type, hull : (((q94641 > $o) > $o) > (q94641 > $o) > q94641 > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTERS, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (inters @ S)) <=> ![T:(a > $o)]:((in1 @ T @ S) => (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_monomorphized1, axiom, ![S:((q94641 > $o) > $o),T:((q94641 > $o) > $o)]:((subset @ S @ T) <=> ![X:(q94641 > $o)]:((in2 @ X @ S) => (in2 @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(q94641 > $o),T:(q94641 > $o)]:((subset0 @ S @ T) <=> ![X:q94641]:((in3 @ X @ S) => (in3 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(ahull, axiom, ![P:((q94641 > $o) > $o),S:(q94641 > $o)]:((hull @ P @ S) = (inters0 @ (gspec0 @ ^[GENR_PVARR_246:(q94641 > $o)]:?[T:(q94641 > $o)]:(setspec0 @ GENR_PVARR_246 @ ((P @ T) & (subset0 @ S @ T)) @ T))))).
thf(conjecture, conjecture, ![P:((q94641 > $o) > $o),Q:((q94641 > $o) > $o),S:(q94641 > $o)]:((subset @ P @ Q) => (subset0 @ (hull @ Q @ S) @ (hull @ P @ S)))).
