%   ORIGINAL: HULL_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_HULL: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: TRUTH: T
% Assm: hull: !P s. P hull s = INTERS {t | P t /\ s SUBSET t}
% Goal: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: T
% Assm: !P s. P hull s = INTERS {t | P t /\ s SUBSET t}
% Goal: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
%  TYPES
thf(tq94739, type, q94739 : $tType).
thf(ta, type, a : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((q94739 > $o) > $o) > (q94739 > $o) > $o)).
thf(cinters0, type, inters0 : (((q94739 > $o) > $o) > q94739 > $o)).
thf(cin2, type, in2 : (q94739 > (q94739 > $o) > $o)).
thf(ci, type, i : ((q94739 > $o) > q94739 > $o)).
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cinters, type, inters : (((a > $o) > $o) > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(csubset, type, subset : ((q94739 > $o) > (q94739 > $o) > $o)).
thf(csetspec0, type, setspec0 : ((q94739 > $o) > $o > (q94739 > $o) > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(chull, type, hull : (((q94739 > $o) > $o) > (q94739 > $o) > q94739 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q94739 > $o),G:(a > q94739 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q94739 > $o)]:(^[X:q94739]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTERS, axiom, ![S:((a > $o) > $o),X:a]:((in0 @ X @ (inters @ S)) <=> ![T:(a > $o)]:((in1 @ T @ S) => (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:(q94739 > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(q94739 > $o),T:(q94739 > $o)]:((subset @ S @ T) <=> ![X:q94739]:((in2 @ X @ S) => (in2 @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(q94739 > $o),T:(q94739 > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_HULL, axiom, ![P:((q94739 > $o) > $o),S:(q94739 > $o),T:(q94739 > $o)]:((P @ T) => ((subset @ (hull @ P @ S) @ T) <=> (subset @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(ahull, axiom, ![P:((q94739 > $o) > $o),S:(q94739 > $o)]:((hull @ P @ S) = (inters0 @ (gspec0 @ ^[GENR_PVARR_246:(q94739 > $o)]:?[T:(q94739 > $o)]:(setspec0 @ GENR_PVARR_246 @ ((P @ T) & (subset @ S @ T)) @ T))))).
thf(conjecture, conjecture, ![P:((q94739 > $o) > $o),S:(q94739 > $o),T:(q94739 > $o)]:(((subset @ S @ T) & (P @ T) & ![TI_:(q94739 > $o)]:(((subset @ S @ TI_) & (P @ TI_)) => (subset @ T @ TI_))) => ((hull @ P @ S) = T))).
