%   ORIGINAL: HULL_UNION_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: SUBSET_UNION_conjunct0: !s t. s SUBSET s UNION t
% Assm: SUBSET_UNION_conjunct1: !s t. s SUBSET t UNION s
% Assm: TRUTH: T
% Assm: UNION_SUBSET: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Goal: !P s t. P hull s UNION P hull t SUBSET P hull (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !s t. s SUBSET s UNION t
% Assm: !s t. s SUBSET t UNION s
% Assm: T
% Assm: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Goal: !P s t. P hull s UNION P hull t SUBSET P hull (s UNION t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq94770, type, q94770 : $tType).
%  CONSTS
thf(csubset, type, subset : ((q94770 > $o) > (q94770 > $o) > $o)).
thf(chull, type, hull : (((q94770 > $o) > $o) > (q94770 > $o) > q94770 > $o)).
thf(cunion, type, union : ((q94770 > $o) > (q94770 > $o) > q94770 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHULLu_MONO, axiom, ![P:((q94770 > $o) > $o),S:(q94770 > $o),T:(q94770 > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aSUBSETu_UNIONu_conjunct0, axiom, ![S:(q94770 > $o),T:(q94770 > $o)]:(subset @ S @ (union @ S @ T))).
thf(aSUBSETu_UNIONu_conjunct1, axiom, ![S:(q94770 > $o),T:(q94770 > $o)]:(subset @ S @ (union @ T @ S))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_SUBSET, axiom, ![S:(q94770 > $o),T:(q94770 > $o),U:(q94770 > $o)]:((subset @ (union @ S @ T) @ U) <=> ((subset @ S @ U) & (subset @ T @ U)))).
thf(conjecture, conjecture, ![P:((q94770 > $o) > $o),S:(q94770 > $o),T:(q94770 > $o)]:(subset @ (union @ (hull @ P @ S) @ (hull @ P @ T)) @ (hull @ P @ (union @ S @ T)))).
