%   ORIGINAL: HULL_REDUNDANT_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: hull: !P s. P hull s = INTERS {t | P t /\ s SUBSET t}
% Goal: !P a s. a IN P hull s <=> P hull (a INSERT s) = P hull s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !P s. P hull s = INTERS {t | P t /\ s SUBSET t}
% Goal: !P a s. a IN P hull s <=> P hull (a INSERT s) = P hull s
%  TYPES
thf(tq94899, type, q94899 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((q94899 > $o) > $o) > (q94899 > $o) > $o)).
thf(csubset, type, subset : ((q94899 > $o) > (q94899 > $o) > $o)).
thf(ci, type, i : ((q94899 > $o) > q94899 > $o)).
thf(cin0, type, in0 : ((q94899 > $o) > ((q94899 > $o) > $o) > $o)).
thf(cinters, type, inters : (((q94899 > $o) > $o) > q94899 > $o)).
thf(cgspec, type, gspec : ((q94899 > $o) > q94899 > $o)).
thf(cin, type, in : (q94899 > (q94899 > $o) > $o)).
thf(csetspec0, type, setspec0 : ((q94899 > $o) > $o > (q94899 > $o) > $o)).
thf(csetspec, type, setspec : (q94899 > $o > q94899 > $o)).
thf(cinsert, type, insert : (q94899 > (q94899 > $o) > q94899 > $o)).
thf(chull, type, hull : (((q94899 > $o) > $o) > (q94899 > $o) > q94899 > $o)).
thf(ci0, type, i0 : ($o > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(q94899 > $o),G:(q94899 > $o)]:(![X:q94899]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q94899 > $o)]:(^[X:q94899]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(q94899 > $o),T:(q94899 > $o)]:((S = T) <=> ![X:q94899]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(q94899 > $o),X:q94899]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q94899 > $o),X:q94899]:((in @ X @ (gspec @ ^[V:q94899]:?[Y:q94899]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:q94899,Y:q94899,S:(q94899 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTERS, axiom, ![S:((q94899 > $o) > $o),X:q94899]:((in @ X @ (inters @ S)) <=> ![T:(q94899 > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(q94899 > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(q94899 > $o),T:(q94899 > $o)]:((subset @ S @ T) <=> ![X:q94899]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(ahull, axiom, ![P:((q94899 > $o) > $o),S:(q94899 > $o)]:((hull @ P @ S) = (inters @ (gspec0 @ ^[GENR_PVARR_246:(q94899 > $o)]:?[T:(q94899 > $o)]:(setspec0 @ GENR_PVARR_246 @ ((P @ T) & (subset @ S @ T)) @ T))))).
thf(conjecture, conjecture, ![P:((q94899 > $o) > $o),A:q94899,S:(q94899 > $o)]:((in @ A @ (hull @ P @ S)) <=> ((hull @ P @ (insert @ A @ S)) = (hull @ P @ S)))).
