%   ORIGINAL: HULL_INC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !P s x. x IN s ==> x IN P hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P s. s SUBSET P hull s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !P s x. x IN s ==> x IN P hull s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq95026, type, q95026 : $tType).
%  CONSTS
thf(csubset, type, subset : ((q95026 > $o) > (q95026 > $o) > $o)).
thf(cin, type, in : (q95026 > (q95026 > $o) > $o)).
thf(chull, type, hull : (((q95026 > $o) > $o) > (q95026 > $o) > q95026 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHULLu_SUBSET, axiom, ![P:((q95026 > $o) > $o),S:(q95026 > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aSUBSET, axiom, ![S:(q95026 > $o),T:(q95026 > $o)]:((subset @ S @ T) <=> ![X:q95026]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((q95026 > $o) > $o),S:(q95026 > $o),X:q95026]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
