%   ORIGINAL: HULL_IMAGE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IMAGE_SUBSET: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: TRUTH: T
% Goal: !P f s. P (P hull s) /\ (!s. P s ==> P (IMAGE f s)) ==> P hull IMAGE f s SUBSET IMAGE f (P hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: !P s. s SUBSET P hull s
% Assm: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: T
% Goal: !P f s. P (P hull s) /\ (!s. P s ==> P (IMAGE f s)) ==> P hull IMAGE f s SUBSET IMAGE f (P hull s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq95076, type, q95076 : $tType).
%  CONSTS
thf(csubset, type, subset : ((q95076 > $o) > (q95076 > $o) > $o)).
thf(cimage, type, image : ((q95076 > q95076) > (q95076 > $o) > q95076 > $o)).
thf(chull, type, hull : (((q95076 > $o) > $o) > (q95076 > $o) > q95076 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHULLu_MINIMAL, axiom, ![P:((q95076 > $o) > $o),S:(q95076 > $o),T:(q95076 > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aHULLu_SUBSET, axiom, ![P:((q95076 > $o) > $o),S:(q95076 > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aIMAGEu_SUBSET, axiom, ![F:(q95076 > q95076),S:(q95076 > $o),T:(q95076 > $o)]:((subset @ S @ T) => (subset @ (image @ F @ S) @ (image @ F @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((q95076 > $o) > $o),F:(q95076 > q95076),S:(q95076 > $o)]:(((P @ (hull @ P @ S)) & ![S:(q95076 > $o)]:((P @ S) => (P @ (image @ F @ S)))) => (subset @ (hull @ P @ (image @ F @ S)) @ (image @ F @ (hull @ P @ S))))).
