%   ORIGINAL: HULL_IMAGE_GALOIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HULL_IMAGE_SUBSET: !P f s. P (P hull s) /\ (!s. P s ==> P (IMAGE f s)) ==> P hull IMAGE f s SUBSET IMAGE f (P hull s)
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !P f g s. (!s. P (P hull s)) /\ (!s. P s ==> P (IMAGE f s)) /\ (!s. P s ==> P (IMAGE g s)) /\ (!s t. s SUBSET IMAGE g t <=> IMAGE f s SUBSET t) ==> P hull IMAGE f s = IMAGE f (P hull s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P f s. P (P hull s) /\ (!s. P s ==> P (IMAGE f s)) ==> P hull IMAGE f s SUBSET IMAGE f (P hull s)
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: !P s. s SUBSET P hull s
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !P f g s. (!s. P (P hull s)) /\ (!s. P s ==> P (IMAGE f s)) /\ (!s. P s ==> P (IMAGE g s)) /\ (!s t. s SUBSET IMAGE g t <=> IMAGE f s SUBSET t) ==> P hull IMAGE f s = IMAGE f (P hull s)
%  TYPES
thf(tq95174, type, q95174 : $tType).
%  CONSTS
thf(csubset, type, subset : ((q95174 > $o) > (q95174 > $o) > $o)).
thf(cimage, type, image : ((q95174 > q95174) > (q95174 > $o) > q95174 > $o)).
thf(chull, type, hull : (((q95174 > $o) > $o) > (q95174 > $o) > q95174 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(q95174 > $o),G:(q95174 > $o)]:(![X:q95174]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHULLu_IMAGEu_SUBSET, axiom, ![P:((q95174 > $o) > $o),F:(q95174 > q95174),S:(q95174 > $o)]:(((P @ (hull @ P @ S)) & ![S:(q95174 > $o)]:((P @ S) => (P @ (image @ F @ S)))) => (subset @ (hull @ P @ (image @ F @ S)) @ (image @ F @ (hull @ P @ S))))).
thf(aHULLu_MINIMAL, axiom, ![P:((q95174 > $o) > $o),S:(q95174 > $o),T:(q95174 > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aHULLu_SUBSET, axiom, ![P:((q95174 > $o) > $o),S:(q95174 > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(q95174 > $o),T:(q95174 > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((q95174 > $o) > $o),F:(q95174 > q95174),G:(q95174 > q95174),S:(q95174 > $o)]:((![S:(q95174 > $o)]:(P @ (hull @ P @ S)) & ![S:(q95174 > $o)]:((P @ S) => (P @ (image @ F @ S))) & ![S:(q95174 > $o)]:((P @ S) => (P @ (image @ G @ S))) & ![S:(q95174 > $o),T:(q95174 > $o)]:((subset @ S @ (image @ G @ T)) <=> (subset @ (image @ F @ S) @ T))) => ((hull @ P @ (image @ F @ S)) = (image @ F @ (hull @ P @ S))))).
