%   ORIGINAL: HULL_P_AND_Q
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: HULL_UNIQUE: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: P_HULL: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> P (P hull s)
% Assm: SUBSET_HULL: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !P Q. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) /\ (!f. (!s. s IN f ==> Q s) ==> Q (INTERS f)) /\ (!s. Q s ==> Q (P hull s)) ==> (\x. P x /\ Q x) hull s = P hull (Q hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P s. s SUBSET P hull s
% Assm: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> P (P hull s)
% Assm: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !s P Q. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) /\ (!f. (!s. s IN f ==> Q s) ==> Q (INTERS f)) /\ (!s. Q s ==> Q (P hull s)) ==> (\x. P x /\ Q x) hull s = P hull (Q hull s)
%  TYPES
thf(ta, type, a : $tType).
thf(tq95449, type, q95449 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(ci, type, i : ((q95449 > $o) > q95449 > $o)).
thf(csubset, type, subset : ((q95449 > $o) > (q95449 > $o) > $o)).
thf(cinters, type, inters : (((q95449 > $o) > $o) > q95449 > $o)).
thf(cin, type, in : ((q95449 > $o) > ((q95449 > $o) > $o) > $o)).
thf(chull, type, hull : (((q95449 > $o) > $o) > (q95449 > $o) > q95449 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q95449 > $o),G:(a > q95449 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q95449 > $o)]:(^[X:q95449]:(T @ X) = T)).
thf(aHULLu_SUBSET, axiom, ![P:((q95449 > $o) > $o),S:(q95449 > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aHULLu_UNIQUE, axiom, ![P:((q95449 > $o) > $o),S:(q95449 > $o),T:(q95449 > $o)]:(((subset @ S @ T) & (P @ T) & ![TI_:(q95449 > $o)]:(((subset @ S @ TI_) & (P @ TI_)) => (subset @ T @ TI_))) => ((hull @ P @ S) = T))).
thf(aIu_THM, axiom, ![X:(q95449 > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPu_HULL, axiom, ![P:((q95449 > $o) > $o),S:(q95449 > $o)]:(![F:((q95449 > $o) > $o)]:(![S:(q95449 > $o)]:((in @ S @ F) => (P @ S)) => (P @ (inters @ F))) => (P @ (hull @ P @ S)))).
thf(aSUBSETu_HULL, axiom, ![P:((q95449 > $o) > $o),S:(q95449 > $o),T:(q95449 > $o)]:((P @ T) => ((subset @ (hull @ P @ S) @ T) <=> (subset @ S @ T)))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q95449 > $o),P:((q95449 > $o) > $o),Q:((q95449 > $o) > $o)]:((![F:((q95449 > $o) > $o)]:(![S:(q95449 > $o)]:((in @ S @ F) => (P @ S)) => (P @ (inters @ F))) & ![F:((q95449 > $o) > $o)]:(![S:(q95449 > $o)]:((in @ S @ F) => (Q @ S)) => (Q @ (inters @ F))) & ![S:(q95449 > $o)]:((Q @ S) => (Q @ (hull @ P @ S)))) => ((hull @ ^[X:(q95449 > $o)]:((P @ X) & (Q @ X)) @ S) = (hull @ P @ (hull @ Q @ S))))).
