%   ORIGINAL: REAL_ARCH_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ARCH_LT: !x. ?n. x < &n
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_LT_ANTISYM: !x y. ~(x < y /\ y < x)
% Assm: REAL_LT_INV2: !x y. &0 < x /\ x < y ==> inv y < inv x
% Assm: REAL_LT_INV_EQ: !x. &0 < inv x <=> &0 < x
% Assm: REAL_LT_TRANS: !x y z. x < y /\ y < z ==> x < z
% Assm: TRUTH: T
% Goal: !e. &0 < e <=> (?n. ~(n = 0) /\ &0 < inv (&n) /\ inv (&n) < e)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x. ?n. x < &n
% Assm: !x. inv (inv x) = x
% Assm: !x y. ~(x < y /\ y < x)
% Assm: !x y. &0 < x /\ x < y ==> inv y < inv x
% Assm: !x. &0 < inv x <=> &0 < x
% Assm: !x y z. x < y /\ y < z ==> x < z
% Assm: T
% Goal: !e. &0 < e <=> (?n. ~(n = 0) /\ &0 < inv (&n) /\ inv (&n) < e)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ARCHu_LT, axiom, ![X:real]:?[N:num]:(realu_lt @ X @ (realu_ofu_num @ N))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_LTu_ANTISYM, axiom, ![X:real,Y:real]:~ (((realu_lt @ X @ Y) & (realu_lt @ Y @ X)))).
thf(aREALu_LTu_INV2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ Y)) => (realu_lt @ (realu_inv @ Y) @ (realu_inv @ X)))).
thf(aREALu_LTu_INVu_EQ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aREALu_LTu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) <=> ?[N:num]:(~ ((N = (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ (realu_ofu_num @ N))) & (realu_lt @ (realu_inv @ (realu_ofu_num @ N)) @ E)))).
