%   ORIGINAL: REAL_ARCH_POW2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_LT_conjunct8: !m n. BIT1 m < BIT0 n <=> m < n
% Assm: REAL_ARCH_POW: !x y. &1 < x ==> (?n. y < x pow n)
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: TRUTH: T
% Goal: !x. ?n. x < &2 pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. BIT1 m < BIT0 n <=> m < n
% Assm: !x y. &1 < x ==> (?n. y < x pow n)
% Assm: !m n. &m < &n <=> m < n
% Assm: T
% Goal: !x. ?n. x < &2 pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_LTu_conjunct8, axiom, ![M:num,N:num]:((l_ @ (bit1 @ M) @ (bit0 @ N)) <=> (l_ @ M @ N))).
thf(aREALu_ARCHu_POW, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) => ?[N:num]:(realu_lt @ Y @ (realu_pow @ X @ N)))).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:?[N:num]:(realu_lt @ X @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N))).
