%   ORIGINAL: REAL_ARCH_POW_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Float.POW_1: !x. x pow 1 = x
% Assm: Float.REAL_INV_POS: !x. &0 < x ==> &0 < inv x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ARCH_POW: !x y. &1 < x ==> (?n. y < x pow n)
% Assm: REAL_INV_1: inv (&1) = &1
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_POW: !x n. inv (x pow n) = inv x pow n
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LT_INV2: !x y. &0 < x /\ x < y ==> inv y < inv x
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: TRUTH: T
% Goal: !x y. &0 < y /\ x < &1 ==> (?n. x pow n < y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. x pow 1 = x
% Assm: !x. &0 < x ==> &0 < inv x
% Assm: ~F <=> T
% Assm: !x y. &1 < x ==> (?n. y < x pow n)
% Assm: inv (&1) = &1
% Assm: !x. inv (inv x) = x
% Assm: !x n. inv (x pow n) = inv x pow n
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y. &0 < x /\ x < y ==> inv y < inv x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: T
% Goal: !x y. &0 < y /\ x < &1 ==> (?n. x pow n < y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFloato_POWu_1, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit1 @ u_0))) = X)).
thf(aFloato_REALu_INVu_POS, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ARCHu_POW, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) => ?[N:num]:(realu_lt @ Y @ (realu_pow @ X @ N)))).
thf(aREALu_INVu_1, axiom, ((realu_inv @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_POW, axiom, ![X:real,N:num]:((realu_inv @ (realu_pow @ X @ N)) = (realu_pow @ (realu_inv @ X) @ N))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LTu_INV2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ Y)) => (realu_lt @ (realu_inv @ Y) @ (realu_inv @ X)))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & (realu_lt @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ?[N:num]:(realu_lt @ (realu_pow @ X @ N) @ Y))).
