%   ORIGINAL: REAL_ARCH_RDIV_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ARCH: !x. &0 < x ==> (!y. ?n. y < &n * x)
% Assm: REAL_LET_ANTISYM: !x y. ~(x <= y /\ y < x)
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: TRUTH: T
% Goal: !x c. &0 <= x /\ &0 <= c /\ (!m. 0 < m ==> &m * x <= c) ==> x = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: ~F <=> T
% Assm: !x. &0 < x ==> (!y. ?n. y < &n * x)
% Assm: !x y. ~(x <= y /\ y < x)
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. x * y = y * x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !x. &0 * x = &0
% Assm: T
% Goal: !x c. &0 <= x /\ &0 <= c /\ (!m. 0 < m ==> &m * x <= c) ==> x = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ARCH, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ![Y:real]:?[N:num]:(realu_lt @ Y @ (realu_mul @ (realu_ofu_num @ N) @ X)))).
thf(aREALu_LETu_ANTISYM, axiom, ![X:real,Y:real]:~ (((realu_le @ X @ Y) & (realu_lt @ Y @ X)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,C:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & ![M:num]:((l_ @ (numeral @ u_0) @ M) => (realu_le @ (realu_mul @ (realu_ofu_num @ M) @ X) @ C))) => (X = (realu_ofu_num @ (numeral @ u_0))))).
