%   ORIGINAL: REAL_MAX_SUP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FINITE_RULES_conjunct1: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_INSERT_EMPTY: !x s. ~(x INSERT s = {})
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_MAX: !x y z. z <= max x y <=> z <= x \/ z <= y
% Assm: REAL_LE_SUP_FINITE: !s a. FINITE s /\ ~(s = {}) ==> (a <= sup s <=> (?x. x IN s /\ a <= x))
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_MAX_LE: !x y z. max x y <= z <=> x <= z /\ y <= z
% Assm: REAL_SUP_LE_FINITE: !s a. FINITE s /\ ~(s = {}) ==> (sup s <= a <=> (!x. x IN s ==> x <= a))
% Assm: TRUTH: T
% Goal: !x y. max x y = sup {x, y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: FINITE {}
% Assm: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x s. ~(x INSERT s = {})
% Assm: !x. ~(x IN {})
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y z. z <= max x y <=> z <= x \/ z <= y
% Assm: !s a. FINITE s /\ ~(s = {}) ==> (a <= sup s <=> (?x. x IN s /\ a <= x))
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y z. max x y <= z <=> x <= z /\ y <= z
% Assm: !s a. FINITE s /\ ~(s = {}) ==> (sup s <= a <=> (!x. x IN s ==> x <= a))
% Assm: T
% Goal: !x y. max x y = sup {x, y}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(cfinite, type, finite : ((real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aFINITEu_RULESu_conjunct1, axiom, ![X:real,S:(real > $o)]:((finite @ S) => (finite @ (insert @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:real,Y:real,S:(real > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INSERTu_EMPTY, axiom, ![X:real,S:(real > $o)]:~ (((insert @ X @ S) = empty))).
thf(aNOTu_INu_EMPTY, axiom, ![X:real]:~ ((in @ X @ empty))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_MAX, axiom, ![X:real,Y:real,Z:real]:((realu_le @ Z @ (realu_max @ X @ Y)) <=> ((realu_le @ Z @ X) | (realu_le @ Z @ Y)))).
thf(aREALu_LEu_SUPu_FINITE, axiom, ![S:(real > $o),A:real]:(((finite @ S) & ~ ((S = empty))) => ((realu_le @ A @ (sup @ S)) <=> ?[X:real]:((in @ X @ S) & (realu_le @ A @ X))))).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_MAXu_LE, axiom, ![X:real,Y:real,Z:real]:((realu_le @ (realu_max @ X @ Y) @ Z) <=> ((realu_le @ X @ Z) & (realu_le @ Y @ Z)))).
thf(aREALu_SUPu_LEu_FINITE, axiom, ![S:(real > $o),A:real]:(((finite @ S) & ~ ((S = empty))) => ((realu_le @ (sup @ S) @ A) <=> ![X:real]:((in @ X @ S) => (realu_le @ X @ A))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:((realu_max @ X @ Y) = (sup @ (insert @ X @ (insert @ Y @ empty))))).
