%   ORIGINAL: POW_2_SQRT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SQRT_UNIQUE: !x y. &0 <= y /\ y pow 2 = x ==> sqrt x = y
% Assm: TRUTH: T
% Goal: !x. &0 <= x ==> sqrt (x pow 2) = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. &0 <= y /\ y pow 2 = x ==> sqrt x = y
% Assm: T
% Goal: !x. &0 <= x ==> sqrt (x pow 2) = x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSQRTu_UNIQUE, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & ((realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X)) => ((sqrt @ X) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((sqrt @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))) = X))).
