%   ORIGINAL: DOT_3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: SUM_3: !t. sum (1..3) t = t 1 + t 2 + t 3
% Assm: TRUTH: T
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Goal: x dot y = x$1 * y$1 + x$2 * y$2 + x$3 * y$3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: dimindex (:3) = 3
% Assm: !t. sum (1..3) t = t 1 + t 2 + t 3
% Assm: T
% Assm: !x y. x dot y = sum (1..dimindex (:3)) (\i. x$i * y$i)
% Goal: !y x. x dot y = x$1 * y$1 + x$2 * y$2 + x$3 * y$3
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cuniv, type, univ : (n3 > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMINDEXu_3, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aSUMu_3, axiom, ![T:(num > real)]:((sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ T) = (realu_add @ (T @ (numeral @ (bit1 @ u_0))) @ (realu_add @ (T @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (T @ (numeral @ (bit1 @ (bit1 @ u_0)))))))).
thf(aTRUTH, axiom, $true).
thf(adot, axiom, ![X:cartrealn3,Y:cartrealn3]:((dot @ X @ Y) = (sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_mul @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, ![Y:cartrealn3,X:cartrealn3]:((dot @ X @ Y) = (realu_add @ (realu_mul @ (d_ @ X @ (numeral @ (bit1 @ u_0))) @ (d_ @ Y @ (numeral @ (bit1 @ u_0)))) @ (realu_add @ (realu_mul @ (d_ @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ (d_ @ X @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ Y @ (numeral @ (bit1 @ (bit1 @ u_0))))))))).
