%   ORIGINAL: VEC_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INDEX_INRANGE: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: vec: !n. vec n = (lambda i. &n)
% Goal: !k i. vec k$i = &k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: T
% Assm: !n. vec n = (lambda i. &n)
% Goal: !k i. vec k$i = &k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INDEXu_INRANGE, axiom, ![I:num]:?[K:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealn]:((d_ @ X @ I) = (d_ @ X @ K)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(avec, axiom, ![N:num]:((vec @ N) = (lambda0 @ ^[I:num]:(realu_ofu_num @ N)))).
thf(conjecture, conjecture, ![K:num,I:num]:((d_ @ (vec @ K) @ I) = (realu_ofu_num @ K))).
