%   ORIGINAL: VEC_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DIMINDEX_GE_1: !s. 1 <= dimindex s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LE_REFL: !n. n <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: TRUTH: T
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Goal: !m n. vec m = vec n <=> m = n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?97754) ==> x$i = y$i)
% Assm: !s. 1 <= dimindex s
% Assm: !t. (\x. t x) = t
% Assm: !n. n <= n
% Assm: ~F <=> T
% Assm: !m n. &m = &n <=> m = n
% Assm: T
% Assm: !k i. vec k$i = &k
% Goal: !m n. vec m = vec n <=> m = n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq97754, type, q97754 : $tType).
thf(tcartrealq97754, type, cartrealq97754 : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealq97754 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdimindex0, type, dimindex0 : ((a > $o) > num)).
thf(cdimindex, type, dimindex : ((q97754 > $o) > num)).
thf(cuniv, type, univ : (q97754 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq97754)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq97754),G:(a > cartrealq97754)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealq97754,Y:cartrealq97754]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDIMINDEXu_GEu_1, axiom, ![S:(a > $o)]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_ @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(conjecture, conjecture, ![M:num,N:num]:(((vec @ M) = (vec @ N)) <=> (M = N))).
