%   ORIGINAL: EUCLIDEAN_SPACE_INFINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE_INJ: !f A. (!x y. f x = f y ==> x = y) /\ FINITE A ==> FINITE {x | f x IN A}
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: Misc_defs_and_lemmas.num_infinite: ~FINITE (:num)
% Assm: TRUTH: T
% Assm: VEC_EQ: !m n. vec m = vec n <=> m = n
% Goal: INFINITE (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f A. (!x y. f x = f y ==> x = y) /\ FINITE A ==> FINITE {x | f x IN A}
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:real^N)
% Assm: ~FINITE (:num)
% Assm: T
% Assm: !m n. vec m = vec n <=> m = n
% Goal: INFINITE (:real^N)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq97754, type, q97754 : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq97754, type, cartrealq97754 : $tType).
%  CONSTS
thf(cin2, type, in2 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cuniv0, type, univ0 : (num > $o)).
thf(cfinite2, type, finite2 : ((num > $o) > $o)).
thf(cfinite1, type, finite1 : ((cartrealn > $o) > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cinfinite, type, infinite : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealq97754)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGEu_INJ, axiom, ![F:(a > b),A:(b > $o)]:((![X:a,Y:a]:(((F @ X) = (F @ Y)) => (X = Y)) & (finite @ A)) => (finite0 @ (gspec @ ^[GENR_PVARR_63:a]:?[X:a]:(setspec @ GENR_PVARR_63 @ (in0 @ (F @ X) @ A) @ X))))).
thf(aINFINITE, axiom, ![S:(cartrealn > $o)]:((infinite @ S) <=> ~ ((finite1 @ S)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in2 @ X @ univ)).
thf(aMiscu_defsu_andu_lemmaso_numu_infinite, axiom, ~ ((finite2 @ univ0))).
thf(aTRUTH, axiom, $true).
thf(aVECu_EQ, axiom, ![M:num,N:num]:(((vec @ M) = (vec @ N)) <=> (M = N))).
thf(conjecture, conjecture, (infinite @ univ)).
