%   ORIGINAL: NORM_REAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: POW_2_SQRT_ABS: !x. sqrt (x pow 2) = abs x
% Assm: SUM_SING_NUMSEG: !f n. sum (n..n) f = f n
% Assm: TRUTH: T
% Assm: Trigonometry.XHVXJVB: !x. norm x = sqrt (x dot x)
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Goal: !x. norm x = abs (x$1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x pow 2 = x * x
% Assm: dimindex (:1) = 1
% Assm: !x. sqrt (x pow 2) = abs x
% Assm: !f n. sum (n..n) f = f n
% Assm: T
% Assm: !x. norm x = sqrt (x dot x)
% Assm: !x y. x dot y = sum (1..dimindex (:1)) (\i. x$i * y$i)
% Goal: !x. norm x = abs (x$1)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn1 > cartrealn1 > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aPOWu_2u_SQRTu_ABS, axiom, ![X:real]:((sqrt @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_abs @ X))).
thf(aSUMu_SINGu_NUMSEG, axiom, ![F:(num > real),N:num]:((sum @ (o_o_ @ N @ N) @ F) = (F @ N))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_XHVXJVB, axiom, ![X:cartrealn1]:((vectoru_norm @ X) = (sqrt @ (dot @ X @ X)))).
thf(adot, axiom, ![X:cartrealn1,Y:cartrealn1]:((dot @ X @ Y) = (sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_mul @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, ![X:cartrealn1]:((vectoru_norm @ X) = (realu_abs @ (d_ @ X @ (numeral @ (bit1 @ u_0)))))).
