%   ORIGINAL: DIST_REAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_REFL: !n. n <= n
% Assm: NORM_REAL: !x. norm x = abs (x$1)
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !x y. dist (x,y) = abs (x$1 - y$1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: dimindex (:1) = 1
% Assm: !g i. 1 <= i /\ i <= dimindex (:1) ==> (lambda) g$i = g i
% Assm: !n. n <= n
% Assm: !x. norm x = abs (x$1)
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !x y. dist (x,y) = abs (x$1 - y$1)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn1)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aNORMu_REAL, axiom, ![X:cartrealn1]:((vectoru_norm @ X) = (realu_abs @ (d_ @ X @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealn1,Y:cartrealn1]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(avectoru_sub, axiom, ![X:cartrealn1,Y:cartrealn1]:((vectoru_sub @ X @ Y) = (lambda0 @ ^[I:num]:(realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, ![X:cartrealn1,Y:cartrealn1]:((distance @ (c_ @ X @ Y)) = (realu_abs @ (realu_sub @ (d_ @ X @ (numeral @ (bit1 @ u_0))) @ (d_ @ Y @ (numeral @ (bit1 @ u_0))))))).
