%   ORIGINAL: SQRT_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Real_ext.REAL_PROP_NN_INV: !x. &0 <= inv x <=> &0 <= x
% Assm: SQRT_INV: !x. &0 <= x ==> sqrt (inv x) = inv (sqrt x)
% Assm: SQRT_MUL: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !x y. &0 <= x /\ &0 <= y ==> sqrt (x / y) = sqrt x / sqrt y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 <= inv x <=> &0 <= x
% Assm: !x. &0 <= x ==> sqrt (inv x) = inv (sqrt x)
% Assm: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: T
% Assm: !x y. x / y = x * inv y
% Goal: !x y. &0 <= x /\ &0 <= y ==> sqrt (x / y) = sqrt x / sqrt y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRealu_exto_REALu_PROPu_NNu_INV, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aSQRTu_INV, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((sqrt @ (realu_inv @ X)) = (realu_inv @ (sqrt @ X))))).
thf(aSQRTu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((sqrt @ (realu_mul @ X @ Y)) = (realu_mul @ (sqrt @ X) @ (sqrt @ Y))))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((sqrt @ (realu_div @ X @ Y)) = (realu_div @ (sqrt @ X) @ (sqrt @ Y))))).
