%   ORIGINAL: SQRT_MONO_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: SQRT_MONO_LT: !x y. &0 <= x /\ x < y ==> sqrt x < sqrt y
% Assm: TRUTH: T
% Goal: !x y. &0 <= x /\ x <= y ==> sqrt x <= sqrt y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ x < y ==> sqrt x < sqrt y
% Assm: T
% Goal: !x y. &0 <= x /\ x <= y ==> sqrt x <= sqrt y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aSQRTu_MONOu_LT, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ Y)) => (realu_lt @ (sqrt @ X) @ (sqrt @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (sqrt @ X) @ (sqrt @ Y)))).
