%   ORIGINAL: SQRT_LT_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: Real_ext.REAL_SV_SQRT_0: sqrt (&0) = &0
% Assm: SQRT_MONO_LT_EQ: !x y. &0 <= x /\ &0 <= y ==> (sqrt x < sqrt y <=> x < y)
% Assm: TRUTH: T
% Goal: !x. &0 <= x ==> (&0 < sqrt x <=> &0 < x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: sqrt (&0) = &0
% Assm: !x y. &0 <= x /\ &0 <= y ==> (sqrt x < sqrt y <=> x < y)
% Assm: T
% Goal: !x. &0 <= x ==> (&0 < sqrt x <=> &0 < x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aRealu_exto_REALu_SVu_SQRTu_0, axiom, ((sqrt @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSQRTu_MONOu_LTu_EQ, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((realu_lt @ (sqrt @ X) @ (sqrt @ Y)) <=> (realu_lt @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ X)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X)))).
