%   ORIGINAL: REAL_LE_RSQRT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POW_2_SQRT: !x. &0 <= x ==> sqrt (x pow 2) = x
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: Real_ext.REAL_MK_NN_SQUARE: !x. &0 <= x * x
% Assm: SQRT_MONO_LE: !x y. &0 <= x /\ x <= y ==> sqrt x <= sqrt y
% Assm: SQRT_POS_LE: !x. &0 <= x ==> &0 <= sqrt x
% Assm: TRUTH: T
% Goal: !x y. x pow 2 <= y ==> x <= sqrt y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x pow 2 = x * x
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x. &0 <= x ==> sqrt (x pow 2) = x
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x. &0 <= x * x
% Assm: !x y. &0 <= x /\ x <= y ==> sqrt x <= sqrt y
% Assm: !x. &0 <= x ==> &0 <= sqrt x
% Assm: T
% Goal: !x y. x pow 2 <= y ==> x <= sqrt y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOWu_2u_SQRT, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((sqrt @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))) = X))).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aRealu_exto_REALu_MKu_NNu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ X))).
thf(aSQRTu_MONOu_LE, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (sqrt @ X) @ (sqrt @ Y)))).
thf(aSQRTu_POSu_LE, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:((realu_le @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ Y) => (realu_le @ X @ (sqrt @ Y)))).
