%   ORIGINAL: SQRT_EVEN_POW2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIV_MULT: !m n. ~(m = 0) ==> (m * n) DIV m = n
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVEN_EXISTS: !n. EVEN n <=> (?m. n = 2 * m)
% Assm: MULT_SYM: !m n. m * n = n * m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POS: !n. &0 <= &n
% Assm: REAL_POW_POW: !x m n. x pow m pow n = x pow (m * n)
% Assm: Real_ext.REAL_PROP_NN_POW: !x n. &0 <= x ==> &0 <= x pow n
% Assm: SQRT_UNIQUE: !x y. &0 <= y /\ y pow 2 = x ==> sqrt x = y
% Assm: TRUTH: T
% Goal: !n. EVEN n ==> sqrt (&2 pow n) = &2 pow (n DIV 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. ~(m = 0) ==> (m * n) DIV m = n
% Assm: !t. (\x. t x) = t
% Assm: !n. EVEN n <=> (?m. n = 2 * m)
% Assm: !m n. m * n = n * m
% Assm: ~F <=> T
% Assm: !n. &0 <= &n
% Assm: !x m n. x pow m pow n = x pow (m * n)
% Assm: !x n. &0 <= x ==> &0 <= x pow n
% Assm: !x y. &0 <= y /\ y pow 2 = x ==> sqrt x = y
% Assm: T
% Goal: !n. EVEN n ==> sqrt (&2 pow n) = &2 pow (n DIV 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cdiv, type, div : (num > num > num)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ceven, type, even : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIVu_MULT, axiom, ![M:num,N:num]:(~ ((M = (numeral @ u_0))) => ((div @ (t_ @ M @ N) @ M) = N))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEVENu_EXISTS, axiom, ![N:num]:((even @ N) <=> ?[M:num]:(N = (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ M)))).
thf(aMULTu_SYM, axiom, ![M:num,N:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aREALu_POWu_POW, axiom, ![X:real,M:num,N:num]:((realu_pow @ (realu_pow @ X @ M) @ N) = (realu_pow @ X @ (t_ @ M @ N)))).
thf(aRealu_exto_REALu_PROPu_NNu_POW, axiom, ![X:real,N:num]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aSQRTu_UNIQUE, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & ((realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X)) => ((sqrt @ X) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:((even @ N) => ((sqrt @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N)) = (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (div @ N @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
