%   ORIGINAL: NORM_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: DOT_LMUL: !c x y. c % x dot y = c * (x dot y)
% Assm: DOT_POS_LE: !x. &0 <= x dot x
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: POW_2_SQRT_ABS: !x. sqrt (x pow 2) = abs x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: Real_ext.REAL_MK_NN_SQUARE: !x. &0 <= x * x
% Assm: SQRT_MUL: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: TRUTH: T
% Assm: Trigonometry.XHVXJVB: !x. norm x = sqrt (x dot x)
% Goal: !a x. norm (a % x) = abs a * norm x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x pow 2 = x * x
% Assm: !c x y. c % x dot y = c * (x dot y)
% Assm: !x. &0 <= x dot x
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x. sqrt (x pow 2) = abs x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 <= x * x
% Assm: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: T
% Assm: !x. norm x = sqrt (x dot x)
% Goal: !a x. norm (a % x) = abs a * norm x
%  TYPES
thf(tq98082, type, q98082 : $tType).
thf(tcartrealq99791, type, cartrealq99791 : $tType).
thf(tnum, type, num : $tType).
thf(tq99791, type, q99791 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq98082, type, cartrealq98082 : $tType).
%  CONSTS
thf(cdot0, type, dot0 : (cartrealq98082 > cartrealq98082 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdot, type, dot : (cartrealq99791 > cartrealq99791 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq99791 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealq99791 > cartrealq99791)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aDOTu_LMUL, axiom, ![C:real,X:cartrealq99791,Y:cartrealq99791]:((dot @ (r_ @ C @ X) @ Y) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_POSu_LE, axiom, ![X:cartrealq98082]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (dot0 @ X @ X))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealq99791,Y:cartrealq99791]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aPOWu_2u_SQRTu_ABS, axiom, ![X:real]:((sqrt @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_abs @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aRealu_exto_REALu_MKu_NNu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ X))).
thf(aSQRTu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((sqrt @ (realu_mul @ X @ Y)) = (realu_mul @ (sqrt @ X) @ (sqrt @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_XHVXJVB, axiom, ![X:cartrealq99791]:((vectoru_norm @ X) = (sqrt @ (dot @ X @ X)))).
thf(conjecture, conjecture, ![A:real,X:cartrealq99791]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
