%   ORIGINAL: VECTOR_MUL_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: REAL_ABS_ZERO: !x. abs x = &0 <=> x = &0
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: TRUTH: T
% Goal: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. abs x = &0 <=> x = &0
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: T
% Goal: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq99960, type, q99960 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq99960, type, cartrealq99960 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq99960 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealq99960 > cartrealq99960)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
thf(cvec, type, vec : (num > cartrealq99960)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq99960),G:(a > cartrealq99960)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_EQu_0, axiom, ![X:cartrealq99960]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealq99960]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aREALu_ABSu_ZERO, axiom, ![X:real]:(((realu_abs @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,X:cartrealq99960]:(((r_ @ A @ X) = (vec @ (numeral @ u_0))) <=> ((A = (realu_ofu_num @ (numeral @ u_0))) | (X = (vec @ (numeral @ u_0)))))).
