%   ORIGINAL: VECTOR_MUL_RCANCEL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: TRUTH: T
% Assm: VECTOR_MUL_EQ_0: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: VECTOR_SUB_RDISTRIB: (a - b) % x = a % x - b % x
% Goal: !a b x. a % x = b % x <=> a = b \/ x = vec 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. x - y = &0 <=> x = y
% Assm: T
% Assm: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !a b x. (a - b) % x = a % x - b % x
% Goal: !a b x. a % x = b % x <=> a = b \/ x = vec 0
%  TYPES
thf(tq100028, type, q100028 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq100028, type, cartrealq100028 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq100028 > cartrealq100028 > cartrealq100028)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealq100028 > cartrealq100028)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cvec, type, vec : (num > cartrealq100028)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq100028),G:(a > cartrealq100028)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_EQu_0, axiom, ![A:real,X:cartrealq100028]:(((r_ @ A @ X) = (vec @ (numeral @ u_0))) <=> ((A = (realu_ofu_num @ (numeral @ u_0))) | (X = (vec @ (numeral @ u_0)))))).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealq100028,Y:cartrealq100028]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(aVECTORu_SUBu_RDISTRIB, axiom, ![A:real,B:real,X:cartrealq100028]:((r_ @ (realu_sub @ A @ B) @ X) = (vectoru_sub @ (r_ @ A @ X) @ (r_ @ B @ X)))).
thf(conjecture, conjecture, ![A:real,B:real,X:cartrealq100028]:(((r_ @ A @ X) = (r_ @ B @ X)) <=> ((A = B) | (X = (vec @ (numeral @ u_0)))))).
