%   ORIGINAL: NORM_CAUCHY_SCHWARZ_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: Float.ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NORM_CAUCHY_SCHWARZ_ABS: !x y. abs (x dot y) <= norm x * norm y
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_INV: !x. abs (inv x) = inv (abs x)
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: REAL_LE_LDIV_EQ: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POS: !n. &0 <= &n
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_ABS_0: abs (&0) = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !x y. abs ((x dot y) / (norm x * norm y)) <= &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. vec 0 dot x = &0
% Assm: !x. x dot vec 0 = &0
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: norm (vec 0) = &0
% Assm: !x y. abs (x dot y) <= norm x * norm y
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~F <=> T
% Assm: !x. abs (inv x) = inv (abs x)
% Assm: !x. abs (norm x) = norm x
% Assm: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: !x. &1 * x = x
% Assm: !x. &0 * x = &0
% Assm: !n. &0 <= &n
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: abs (&0) = &0
% Assm: !x. x * &0 = &0
% Assm: T
% Assm: !x y. x / y = x * inv y
% Goal: !x y. abs ((x dot y) / (norm x * norm y)) <= &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_LZERO, axiom, ![X:cartrealn]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDOTu_RZERO, axiom, ![X:cartrealn]:((dot @ X @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aFloato_ABSu_MUL, axiom, ![X:real,Y:real]:((realu_abs @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_CAUCHYu_SCHWARZu_ABS, axiom, ![X:cartrealn,Y:cartrealn]:(realu_le @ (realu_abs @ (dot @ X @ Y)) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealn]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X)) <=> ~ ((X = (vec @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_INV, axiom, ![X:real]:((realu_abs @ (realu_inv @ X)) = (realu_inv @ (realu_abs @ X)))).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealn]:((realu_abs @ (vectoru_norm @ X)) = (vectoru_norm @ X))).
thf(aREALu_LEu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_div @ X @ Z) @ Y) <=> (realu_le @ X @ (realu_mul @ Y @ Z))))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_ABSu_0, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn]:(realu_le @ (realu_abs @ (realu_div @ (dot @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
