%   ORIGINAL: NORM_TRIANGLE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry.OIPLPTM1: !x y. norm (x + y) <= norm x + norm y
% Assm: VECTOR_SUB_ADD2: y + x - y = x
% Goal: !x y. norm x <= norm y + norm (x - y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. norm (x + y) <= norm x + norm y
% Assm: !y x. y + x - y = x
% Goal: !x y. norm x <= norm y + norm (x - y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_OIPLPTM1, axiom, ![X:cartrealn,Y:cartrealn]:(realu_le @ (vectoru_norm @ (vectoru_add @ X @ Y)) @ (realu_add @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))).
thf(aVECTORu_SUBu_ADD2, axiom, ![Y:cartrealn,X:cartrealn]:((vectoru_add @ Y @ (vectoru_sub @ X @ Y)) = X)).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn]:(realu_le @ (vectoru_norm @ X) @ (realu_add @ (vectoru_norm @ Y) @ (vectoru_norm @ (vectoru_sub @ X @ Y))))).
