%   ORIGINAL: COMPONENT_LE_NORM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: REAL_ABS_POW: !x n. abs (x pow n) = abs x pow n
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_RSQRT: !x y. x pow 2 <= y ==> x <= sqrt y
% Assm: Real_ext.REAL_MK_NN_SQUARE: !x. &0 <= x * x
% Assm: SUM_DELTA: !s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
% Assm: SUM_LE: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> sum s f <= sum s g
% Assm: TRUTH: T
% Assm: Trigonometry.XHVXJVB: !x. norm x = sqrt (x dot x)
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Goal: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x. x pow 2 = x * x
% Assm: !m n. FINITE (m..n)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x n. abs (x pow n) = abs x pow n
% Assm: !x. x <= x
% Assm: !x y. x pow 2 <= y ==> x <= sqrt y
% Assm: !x. &0 <= x * x
% Assm: !b s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> sum s f <= sum s g
% Assm: T
% Assm: !x. norm x = sqrt (x dot x)
% Assm: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Goal: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
%  TYPES
thf(tq70812, type, q70812 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csum1, type, sum1 : ((num > $o) > (num > real) > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(csum0, type, sum0 : ((q70812 > $o) > (q70812 > real) > real)).
thf(cin1, type, in1 : (q70812 > (q70812 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cfinite0, type, finite0 : ((q70812 > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aREALu_ABSu_POW, axiom, ![X:real,N:num]:((realu_abs @ (realu_pow @ X @ N)) = (realu_pow @ (realu_abs @ X) @ N))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_RSQRT, axiom, ![X:real,Y:real]:((realu_le @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ Y) => (realu_le @ X @ (sqrt @ Y)))).
thf(aRealu_exto_REALu_MKu_NNu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ X))).
thf(aSUMu_DELTA, axiom, ![B:real,S:(a > $o),A:a]:((sum @ S @ ^[X:a]:(cond0 @ (X = A) @ B @ (realu_ofu_num @ (numeral @ u_0)))) = (cond0 @ (in0 @ A @ S) @ B @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSUMu_LE, axiom, ![F:(q70812 > real),G:(q70812 > real),S:(q70812 > $o)]:(((finite0 @ S) & ![X:q70812]:((in1 @ X @ S) => (realu_le @ (F @ X) @ (G @ X)))) => (realu_le @ (sum0 @ S @ F) @ (sum0 @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_XHVXJVB, axiom, ![X:cartrealn]:((vectoru_norm @ X) = (sqrt @ (dot @ X @ X)))).
thf(adot, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (sum1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_mul @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond0 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(conjecture, conjecture, ![X:cartrealn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (realu_abs @ (d_ @ X @ I)) @ (vectoru_norm @ X)))).
