%   ORIGINAL: NORM_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_LE: !x y. norm x <= norm y <=> x dot x <= y dot y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: TRUTH: T
% Goal: !x y. norm x = norm y <=> x dot x = y dot y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. norm x <= norm y <=> x dot x <= y dot y
% Assm: !x y. norm x <= norm y <=> x dot x <= y dot y
% Assm: !x y. norm x <= norm y <=> x dot x <= y dot y
% Assm: !x y. norm x <= norm y <=> x dot x <= y dot y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: T
% Goal: !x y. norm x = norm y <=> x dot x = y dot y
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq100871, type, cartrealq100871 : $tType).
thf(tq100871, type, q100871 : $tType).
thf(tcartrealq100873, type, cartrealq100873 : $tType).
thf(tq100873, type, q100873 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdot0, type, dot0 : (cartrealq100873 > cartrealq100873 > real)).
thf(cdot, type, dot : (cartrealq100871 > cartrealq100871 > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq100873 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq100871 > real)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_LEu_monomorphized3, axiom, ![X:cartrealq100873,Y:cartrealq100873]:((realu_le @ (vectoru_norm0 @ X) @ (vectoru_norm0 @ Y)) <=> (realu_le @ (dot0 @ X @ X) @ (dot0 @ Y @ Y)))).
thf(aNORMu_LEu_monomorphized2, axiom, ![X:cartrealq100873,Y:cartrealq100871]:((realu_le @ (vectoru_norm0 @ X) @ (vectoru_norm @ Y)) <=> (realu_le @ (dot0 @ X @ X) @ (dot @ Y @ Y)))).
thf(aNORMu_LEu_monomorphized1, axiom, ![X:cartrealq100871,Y:cartrealq100873]:((realu_le @ (vectoru_norm @ X) @ (vectoru_norm0 @ Y)) <=> (realu_le @ (dot @ X @ X) @ (dot0 @ Y @ Y)))).
thf(aNORMu_LEu_monomorphized0, axiom, ![X:cartrealq100871,Y:cartrealq100871]:((realu_le @ (vectoru_norm @ X) @ (vectoru_norm @ Y)) <=> (realu_le @ (dot @ X @ X) @ (dot @ Y @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq100871,Y:cartrealq100873]:(((vectoru_norm @ X) = (vectoru_norm0 @ Y)) <=> ((dot @ X @ X) = (dot0 @ Y @ Y)))).
