%   ORIGINAL: NORM_LE_COMPONENTWISE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: NORM_LE: !x y. norm x <= norm y <=> x dot x <= y dot y
% Assm: REAL_LE_SQUARE_ABS: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
% Assm: SUM_LE_NUMSEG: !f g m n. (!i. m <= i /\ i <= n ==> f i <= g i) ==> sum (m..n) f <= sum (m..n) g
% Assm: TRUTH: T
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Goal: !x y. (!i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= abs (y$i)) ==> norm x <= norm y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x pow 2 = x * x
% Assm: !x y. norm x <= norm y <=> x dot x <= y dot y
% Assm: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
% Assm: !f g m n. (!i. m <= i /\ i <= n ==> f i <= g i) ==> sum (m..n) f <= sum (m..n) g
% Assm: T
% Assm: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Goal: !x y. (!i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= abs (y$i)) ==> norm x <= norm y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aNORMu_LE, axiom, ![X:cartrealn,Y:cartrealn]:((realu_le @ (vectoru_norm @ X) @ (vectoru_norm @ Y)) <=> (realu_le @ (dot @ X @ X) @ (dot @ Y @ Y)))).
thf(aREALu_LEu_SQUAREu_ABS, axiom, ![X:real,Y:real]:((realu_le @ (realu_abs @ X) @ (realu_abs @ Y)) <=> (realu_le @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aSUMu_LEu_NUMSEG, axiom, ![F:(num > real),G:(num > real),M:num,N:num]:(![I:num]:(((l_a_ @ M @ I) & (l_a_ @ I @ N)) => (realu_le @ (F @ I) @ (G @ I))) => (realu_le @ (sum @ (o_o_ @ M @ N) @ F) @ (sum @ (o_o_ @ M @ N) @ G)))).
thf(aTRUTH, axiom, $true).
thf(adot, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_mul @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (realu_abs @ (d_ @ X @ I)) @ (realu_abs @ (d_ @ Y @ I)))) => (realu_le @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))).
