%   ORIGINAL: DOT_SQUARE_NORM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_POS_LE: !x. &0 <= x dot x
% Assm: SQRT_POW_2: !x. &0 <= x ==> sqrt x pow 2 = x
% Assm: TRUTH: T
% Assm: Trigonometry.XHVXJVB: !x. norm x = sqrt (x dot x)
% Goal: !x. x dot x = norm x pow 2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 <= x dot x
% Assm: !x. &0 <= x ==> sqrt x pow 2 = x
% Assm: T
% Assm: !x. norm x = sqrt (x dot x)
% Goal: !x. x dot x = norm x pow 2
%  TYPES
thf(tq100975, type, q100975 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq100975, type, cartrealq100975 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq100975 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cdot, type, dot : (cartrealq100975 > cartrealq100975 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_POSu_LE, axiom, ![X:cartrealq100975]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ X @ X))).
thf(aSQRTu_POWu_2, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((realu_pow @ (sqrt @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_XHVXJVB, axiom, ![X:cartrealq100975]:((vectoru_norm @ X) = (sqrt @ (dot @ X @ X)))).
thf(conjecture, conjecture, ![X:cartrealq100975]:((dot @ X @ X) = (realu_pow @ (vectoru_norm @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
