%   ORIGINAL: DIST_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: TRUTH: T
% Assm: VECTOR_SUB_LDISTRIB: c % (x - y) = c % x - c % y
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !x y c. dist (c % x,c % y) = abs c * dist (x,y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: T
% Assm: !x c y. c % (x - y) = c % x - c % y
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !x y c. dist (c % x,c % y) = abs c * dist (x,y)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq102750, type, cartrealq102750 : $tType).
thf(tq102750, type, q102750 : $tType).
thf(tprodcartrealq102750cartrealq102750, type, prodcartrealq102750cartrealq102750 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq102750 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealq102750cartrealq102750 > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq102750 > cartrealq102750 > cartrealq102750)).
thf(cru_, type, r_ : (real > cartrealq102750 > cartrealq102750)).
thf(ccu_, type, c_ : (cartrealq102750 > cartrealq102750 > prodcartrealq102750cartrealq102750)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealq102750]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_LDISTRIB, axiom, ![X:cartrealq102750,C:real,Y:cartrealq102750]:((r_ @ C @ (vectoru_sub @ X @ Y)) = (vectoru_sub @ (r_ @ C @ X) @ (r_ @ C @ Y)))).
thf(adist, axiom, ![X:cartrealq102750,Y:cartrealq102750]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(conjecture, conjecture, ![X:cartrealq102750,Y:cartrealq102750,C:real]:((distance @ (c_ @ (r_ @ C @ X) @ (r_ @ C @ Y))) = (realu_mul @ (realu_abs @ C) @ (distance @ (c_ @ X @ Y))))).
