%   ORIGINAL: DIST_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_EQ: !x y. norm x = norm y <=> x dot x = y dot y
% Assm: NORM_POW_2: !x. norm x pow 2 = x dot x
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !w x y z. dist (w,x) = dist (y,z) <=> dist (w,x) pow 2 = dist (y,z) pow 2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. norm x = norm y <=> x dot x = y dot y
% Assm: !x. norm x pow 2 = x dot x
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !w x y z. dist (w,x) = dist (y,z) <=> dist (w,x) pow 2 = dist (y,z) pow 2
%  TYPES
thf(tq102888, type, q102888 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq99882, type, q99882 : $tType).
thf(tcartrealq102894, type, cartrealq102894 : $tType).
thf(tcartrealq102888, type, cartrealq102888 : $tType).
thf(tcartrealq99882, type, cartrealq99882 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq102888cartrealq102888, type, prodcartrealq102888cartrealq102888 : $tType).
thf(tcartrealq100871, type, cartrealq100871 : $tType).
thf(tq102894, type, q102894 : $tType).
thf(tq100871, type, q100871 : $tType).
thf(tprodcartrealq102894cartrealq102894, type, prodcartrealq102894cartrealq102894 : $tType).
thf(tcartrealq100873, type, cartrealq100873 : $tType).
thf(tq100873, type, q100873 : $tType).
%  CONSTS
thf(cvectoruu_norm3, type, vectoru_norm3 : (cartrealq102888 > real)).
thf(cvectoruu_norm2, type, vectoru_norm2 : (cartrealq102894 > real)).
thf(cdot1, type, dot1 : (cartrealq99882 > cartrealq99882 > real)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq99882 > real)).
thf(cdot0, type, dot0 : (cartrealq100873 > cartrealq100873 > real)).
thf(cdot, type, dot : (cartrealq100871 > cartrealq100871 > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq100873 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq100871 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cdistance0, type, distance0 : (prodcartrealq102894cartrealq102894 > real)).
thf(cdistance, type, distance : (prodcartrealq102888cartrealq102888 > real)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq102888 > cartrealq102888 > cartrealq102888)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq102894 > cartrealq102894 > cartrealq102894)).
thf(ccu_0, type, c_0 : (cartrealq102894 > cartrealq102894 > prodcartrealq102894cartrealq102894)).
thf(ccu_, type, c_ : (cartrealq102888 > cartrealq102888 > prodcartrealq102888cartrealq102888)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_EQ, axiom, ![X:cartrealq100871,Y:cartrealq100873]:(((vectoru_norm @ X) = (vectoru_norm0 @ Y)) <=> ((dot @ X @ X) = (dot0 @ Y @ Y)))).
thf(aNORMu_POWu_2, axiom, ![X:cartrealq99882]:((realu_pow @ (vectoru_norm1 @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (dot1 @ X @ X))).
thf(aTRUTH, axiom, $true).
thf(adistu_monomorphized1, axiom, ![X:cartrealq102894,Y:cartrealq102894]:((distance0 @ (c_0 @ X @ Y)) = (vectoru_norm2 @ (vectoru_sub @ X @ Y)))).
thf(adistu_monomorphized0, axiom, ![X:cartrealq102888,Y:cartrealq102888]:((distance @ (c_ @ X @ Y)) = (vectoru_norm3 @ (vectoru_sub0 @ X @ Y)))).
thf(conjecture, conjecture, ![W:cartrealq102888,X:cartrealq102888,Y:cartrealq102894,Z:cartrealq102894]:(((distance @ (c_ @ W @ X)) = (distance0 @ (c_0 @ Y @ Z))) <=> ((realu_pow @ (distance @ (c_ @ W @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ (distance0 @ (c_0 @ Y @ Z)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
