%   ORIGINAL: VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: MONOIDAL_VECTOR_ADD: monoidal (+)
% Assm: NEUTRAL_VECTOR_ADD: neutral (+) = vec 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !f s. FINITE s ==> vsum s f = iterate (+) s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: monoidal (+)
% Assm: neutral (+) = vec 0
% Assm: ~F <=> T
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !f s. FINITE s ==> vsum s f = iterate (+) s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq103129, type, cartrealq103129 : $tType).
thf(tq103115, type, q103115 : $tType).
thf(tq103129, type, q103129 : $tType).
%  CONSTS
thf(cin, type, in : (q103115 > (q103115 > $o) > $o)).
thf(cinsert, type, insert : (q103115 > (q103115 > $o) > q103115 > $o)).
thf(ccond, type, cond : ($o > cartrealq103129 > cartrealq103129 > cartrealq103129)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq103129 > cartrealq103129 > cartrealq103129)).
thf(citerate, type, iterate : ((cartrealq103129 > cartrealq103129 > cartrealq103129) > (q103115 > $o) > (q103115 > cartrealq103129) > cartrealq103129)).
thf(cvsum, type, vsum : ((q103115 > $o) > (q103115 > cartrealq103129) > cartrealq103129)).
thf(cmonoidal, type, monoidal : ((cartrealq103129 > cartrealq103129 > cartrealq103129) > $o)).
thf(cfinite, type, finite : ((q103115 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq103129)).
thf(cneutral, type, neutral : ((cartrealq103129 > cartrealq103129 > cartrealq103129) > cartrealq103129)).
thf(cempty, type, empty : (q103115 > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq103129),G:(a > cartrealq103129)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealq103129,T2:cartrealq103129]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q103115 > $o) > $o)]:(((P @ empty) & ![X:q103115,S:(q103115 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q103115 > $o)]:((finite @ S) => (P @ S)))).
thf(aITERATEu_CLAUSES, axiom, ![OP:(cartrealq103129 > cartrealq103129 > cartrealq103129)]:((monoidal @ OP) => (![F:(q103115 > cartrealq103129)]:((iterate @ OP @ empty @ F) = (neutral @ OP)) & ![F:(q103115 > cartrealq103129),X:q103115,S:(q103115 > $o)]:((finite @ S) => ((iterate @ OP @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (iterate @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate @ OP @ S @ F)))))))).
thf(aMONOIDALu_VECTORu_ADD, axiom, (monoidal @ vectoru_add)).
thf(aNEUTRALu_VECTORu_ADD, axiom, ((neutral @ vectoru_add) = (vec @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q103115 > cartrealq103129)]:((vsum @ empty @ F) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q103115,F:(q103115 > cartrealq103129),S:(q103115 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(conjecture, conjecture, ![F:(q103115 > cartrealq103129),S:(q103115 > $o)]:((finite @ S) => ((vsum @ S @ F) = (iterate @ vectoru_add @ S @ F)))).
