%   ORIGINAL: VSUM_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: TRUTH: T
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: vsum: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !f c s. vsum s (\x. c % f x) = c % vsum s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?103212) ==> x$i = y$i)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: T
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !f c s. vsum s (\x. c % f x) = c % vsum s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq103212, type, cartrealq103212 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq103212, type, q103212 : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tcartcartrealq103212b, type, cartcartrealq103212b : $tType).
thf(tq103205, type, q103205 : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(csum1, type, sum1 : ((q103205 > $o) > (q103205 > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealq103212 > num > real)).
thf(cuniv, type, univ : (q103212 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealq103212) > cartcartrealq103212b)).
thf(cdu_0, type, d_0 : (cartcartrealq103212b > num > cartrealq103212)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cru_, type, r_ : (real > cartrealq103212 > cartrealq103212)).
thf(cvsum, type, vsum : ((q103205 > $o) > (q103205 > cartrealq103212) > cartrealq103212)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealq103212)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q103212 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq103212),G:(a > cartrealq103212)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealq103212,Y:cartrealq103212]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealq103212),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum0 @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum0 @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealq103212,I:num]:((d_ @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(avsum, axiom, ![S:(q103205 > $o),F:(q103205 > cartrealq103212)]:((vsum @ S @ F) = (lambda1 @ ^[I:num]:(sum1 @ S @ ^[X:q103205]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![F:(q103205 > cartrealq103212),C:real,S:(q103205 > $o)]:((vsum @ S @ ^[X:q103205]:(r_ @ C @ (F @ X))) = (r_ @ C @ (vsum @ S @ F)))).
