%   ORIGINAL: VSUM_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_RMUL: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: TRUTH: T
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: vsum: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !c s v. vsum s (\x. c x % v) = sum s c % v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?103241) ==> x$i = y$i)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: T
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !c s v. vsum s (\x. c x % v) = sum s c % v
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq103241, type, cartrealq103241 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq103241, type, q103241 : $tType).
thf(tcartcartrealq103241b, type, cartcartrealq103241b : $tType).
thf(tq103238, type, q103238 : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin1, type, in1 : (q103238 > (q103238 > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealq103241 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csum, type, sum : ((q103238 > $o) > (q103238 > real) > real)).
thf(clambda0, type, lambda0 : ((num > cartrealq103241) > cartcartrealq103241b)).
thf(cuniv, type, univ : (q103241 > $o)).
thf(cdu_0, type, d_0 : (cartcartrealq103241b > num > cartrealq103241)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cru_, type, r_ : (real > cartrealq103241 > cartrealq103241)).
thf(cvsum, type, vsum : ((q103238 > $o) > (q103238 > cartrealq103241) > cartrealq103241)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q103241 > $o) > num)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealq103241)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq103241),G:(a > cartrealq103241)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealq103241,Y:cartrealq103241]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealq103241),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aSUMu_EQ, axiom, ![F:(q103238 > real),G:(q103238 > real),S:(q103238 > $o)]:(![X:q103238]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_RMUL, axiom, ![F:(q103238 > real),C:real,S:(q103238 > $o)]:((sum @ S @ ^[X:q103238]:(realu_mul @ (F @ X) @ C)) = (realu_mul @ (sum @ S @ F) @ C))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealq103241,I:num]:((d_ @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(avsum, axiom, ![S:(q103238 > $o),F:(q103238 > cartrealq103241)]:((vsum @ S @ F) = (lambda1 @ ^[I:num]:(sum @ S @ ^[X:q103238]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![C:(q103238 > real),S:(q103238 > $o),V:cartrealq103241]:((vsum @ S @ ^[X:q103238]:(r_ @ (C @ X) @ V)) = (r_ @ (sum @ S @ C) @ V))).
