%   ORIGINAL: VSUM_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_UNION: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: vsum: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> vsum (s UNION t) f = vsum s f + vsum t f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?103527) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> vsum (s UNION t) f = vsum s f + vsum t f
%  TYPES
thf(tq103527, type, q103527 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq103527, type, cartrealq103527 : $tType).
thf(tcartcartrealq103527b, type, cartcartrealq103527b : $tType).
thf(tq103502, type, q103502 : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q103502 > $o) > (q103502 > real) > real)).
thf(cdu_, type, d_ : (cartrealq103527 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdisjoint, type, disjoint : ((q103502 > $o) > (q103502 > $o) > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealq103527) > cartcartrealq103527b)).
thf(cdu_0, type, d_0 : (cartcartrealq103527b > num > cartrealq103527)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq103527 > cartrealq103527 > cartrealq103527)).
thf(cunion, type, union : ((q103502 > $o) > (q103502 > $o) > q103502 > $o)).
thf(cvsum, type, vsum : ((q103502 > $o) > (q103502 > cartrealq103527) > cartrealq103527)).
thf(cfinite, type, finite : ((q103502 > $o) > $o)).
thf(cuniv, type, univ : (q103527 > $o)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q103527 > $o) > num)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealq103527)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq103527),G:(a > cartrealq103527)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealq103527,Y:cartrealq103527]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealq103527),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aSUMu_UNION, axiom, ![F:(q103502 > real),S:(q103502 > $o),T:(q103502 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((sum @ (union @ S @ T) @ F) = (realu_add @ (sum @ S @ F) @ (sum @ T @ F))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealq103527,Y:cartrealq103527,I:num]:((d_ @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(avsum, axiom, ![S:(q103502 > $o),F:(q103502 > cartrealq103527)]:((vsum @ S @ F) = (lambda1 @ ^[I:num]:(sum @ S @ ^[X:q103502]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![F:(q103502 > cartrealq103527),S:(q103502 > $o),T:(q103502 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((vsum @ (union @ S @ T) @ F) = (vectoru_add @ (vsum @ S @ F) @ (vsum @ T @ F))))).
