%   ORIGINAL: VSUM_INCL_EXCL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_INCL_EXCL: !s t f. FINITE s /\ FINITE t ==> sum s f + sum t f = sum (s UNION t) f + sum (s INTER t) f
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: vsum: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !s t f. FINITE s /\ FINITE t ==> vsum s f + vsum t f = vsum (s UNION t) f + vsum (s INTER t) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !s t f. FINITE s /\ FINITE t ==> sum s f + sum t f = sum (s UNION t) f + sum (s INTER t) f
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !s t f. FINITE s /\ FINITE t ==> vsum s f + vsum t f = vsum (s UNION t) f + vsum (s INTER t) f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnb, type, cartcartrealnb : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnb)).
thf(cdu_0, type, d_0 : (cartcartrealnb > num > cartrealn)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cvsum, type, vsum : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aSUMu_INCLu_EXCL, axiom, ![S:(a > $o),T:(a > $o),F:(a > real)]:(((finite @ S) & (finite @ T)) => ((realu_add @ (sum @ S @ F) @ (sum @ T @ F)) = (realu_add @ (sum @ (union @ S @ T) @ F) @ (sum @ (inter @ S @ T) @ F))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_ @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(avsum, axiom, ![S:(a > $o),F:(a > cartrealn)]:((vsum @ S @ F) = (lambda1 @ ^[I:num]:(sum @ S @ ^[X:a]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > $o),F:(a > cartrealn)]:(((finite @ S) & (finite @ T)) => ((vectoru_add @ (vsum @ S @ F) @ (vsum @ T @ F)) = (vectoru_add @ (vsum @ (union @ S @ T) @ F) @ (vsum @ (inter @ S @ T) @ F))))).
