%   ORIGINAL: VSUM_EQ_SUPERSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: VSUM_SUPERSET: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = vec 0) ==> vsum v f = vsum u f
% Goal: !f s t. FINITE t /\ t SUBSET s /\ (!x. x IN t ==> f x = g x) /\ (!x. x IN s /\ ~(x IN t) ==> f x = vec 0) ==> vsum s f = vsum t g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = vec 0) ==> vsum v f = vsum u f
% Goal: !g f s t. FINITE t /\ t SUBSET s /\ (!x. x IN t ==> f x = g x) /\ (!x. x IN s /\ ~(x IN t) ==> f x = vec 0) ==> vsum s f = vsum t g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq103866, type, cartrealq103866 : $tType).
thf(tq103866, type, q103866 : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cvsum, type, vsum : ((a > $o) > (a > cartrealq103866) > cartrealq103866)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (cartrealq103866 > cartrealq103866)).
thf(cvec, type, vec : (num > cartrealq103866)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq103866),G:(a > cartrealq103866)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:cartrealq103866]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_EQ, axiom, ![F:(a > cartrealq103866),G:(a > cartrealq103866),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((vsum @ S @ F) = (vsum @ S @ G)))).
thf(aVSUMu_SUPERSET, axiom, ![F:(a > cartrealq103866),U:(a > $o),V:(a > $o)]:(((subset @ U @ V) & ![X:a]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (vec @ (numeral @ u_0))))) => ((vsum @ V @ F) = (vsum @ U @ F)))).
thf(conjecture, conjecture, ![G:(a > cartrealq103866),F:(a > cartrealq103866),S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ T @ S) & ![X:a]:((in @ X @ T) => ((F @ X) = (G @ X))) & ![X:a]:(((in @ X @ S) & ~ ((in @ X @ T))) => ((F @ X) = (vec @ (numeral @ u_0))))) => ((vsum @ S @ F) = (vsum @ T @ G)))).
