%   ORIGINAL: VSUM_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Goal: !f s. FINITE s ==> vsum s (\x. if x IN s then f x else vec 0) = vsum s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: T
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Goal: !f s. FINITE s ==> vsum s (\x. if x IN s then f x else vec 0) = vsum s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq104010, type, cartrealq104010 : $tType).
thf(tq104010, type, q104010 : $tType).
thf(treal, type, real : $tType).
thf(tq104004, type, q104004 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq104010)).
thf(cin, type, in : (q104004 > (q104004 > $o) > $o)).
thf(ccond, type, cond : ($o > cartrealq104010 > cartrealq104010 > cartrealq104010)).
thf(cvsum, type, vsum : ((q104004 > $o) > (q104004 > cartrealq104010) > cartrealq104010)).
thf(cfinite, type, finite : ((q104004 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq104010),G:(a > cartrealq104010)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealq104010,T2:cartrealq104010]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_EQ, axiom, ![F:(q104004 > cartrealq104010),G:(q104004 > cartrealq104010),S:(q104004 > $o)]:(![X:q104004]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((vsum @ S @ F) = (vsum @ S @ G)))).
thf(conjecture, conjecture, ![F:(q104004 > cartrealq104010),S:(q104004 > $o)]:((finite @ S) => ((vsum @ S @ ^[X:q104004]:(cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0)))) = (vsum @ S @ F)))).
