%   ORIGINAL: VSUM_RESTRICT_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_COMPONENT: (if b then x else y)$i = (if b then x$i else y$i)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_RESTRICT_SET: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
% Assm: TRUTH: T
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Assm: vsum: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !P s f. vsum {x | x IN s /\ P x} f = vsum s (\x. if P x then f x else vec 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?104062) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !b x y i. (if b then x else y)$i = (if b then x$i else y$i)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
% Assm: T
% Assm: !k i. vec k$i = &k
% Assm: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !P s f. vsum {x | x IN s /\ P x} f = vsum s (\x. if P x then f x else vec 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(tq104060, type, q104060 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq104062, type, q104062 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq104062, type, cartrealq104062 : $tType).
thf(tcartcartrealq104062b, type, cartcartrealq104062b : $tType).
%  CONSTS
thf(cuniv, type, univ : (q104062 > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealq104062)).
thf(cvec, type, vec : (num > cartrealq104062)).
thf(csum, type, sum : ((q104060 > $o) > (q104060 > real) > real)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cdu_, type, d_ : (cartrealq104062 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (q104060 > (q104060 > $o) > $o)).
thf(cgspec, type, gspec : ((q104060 > $o) > q104060 > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealq104062) > cartcartrealq104062b)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdu_0, type, d_0 : (cartcartrealq104062b > num > cartrealq104062)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > cartrealq104062 > cartrealq104062 > cartrealq104062)).
thf(csetspec, type, setspec : (q104060 > $o > q104060 > $o)).
thf(cvsum, type, vsum : ((q104060 > $o) > (q104060 > cartrealq104062) > cartrealq104062)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q104062 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq104062),G:(a > cartrealq104062)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealq104062,Y:cartrealq104062]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealq104062,T2:cartrealq104062]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_COMPONENT, axiom, ![B:$o,X:cartrealq104062,Y:cartrealq104062,I:num]:((d_ @ (cond @ B @ X @ Y) @ I) = (cond0 @ B @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q104060 > $o),X:q104060]:((in @ X @ (gspec @ ^[V:q104060]:?[Y:q104060]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealq104062),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_EQ, axiom, ![F:(q104060 > real),G:(q104060 > real),S:(q104060 > $o)]:(![X:q104060]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_RESTRICTu_SET, axiom, ![P:(q104060 > $o),S:(q104060 > $o),F:(q104060 > real)]:((sum @ (gspec @ ^[GENR_PVARR_177:q104060]:?[X:q104060]:(setspec @ GENR_PVARR_177 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) = (sum @ S @ ^[X:q104060]:(cond0 @ (P @ X) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_ @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(avsum, axiom, ![S:(q104060 > $o),F:(q104060 > cartrealq104062)]:((vsum @ S @ F) = (lambda1 @ ^[I:num]:(sum @ S @ ^[X:q104060]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![P:(q104060 > $o),S:(q104060 > $o),F:(q104060 > cartrealq104062)]:((vsum @ (gspec @ ^[GENR_PVARR_252:q104060]:?[X:q104060]:(setspec @ GENR_PVARR_252 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) = (vsum @ S @ ^[X:q104060]:(cond @ (P @ X) @ (F @ X) @ (vec @ (numeral @ u_0)))))).
