%   ORIGINAL: VSUM_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_COMPONENT: (if b then x else y)$i = (if b then x$i else y$i)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_CASES: !s P f g. FINITE s ==> sum s (\x. if P x then f x else g x) = sum {x | x IN s /\ P x} f + sum {x | x IN s /\ ~P x} g
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: vsum: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !s P f g. FINITE s ==> vsum s (\x. if P x then f x else g x) = vsum {x | x IN s /\ P x} f + vsum {x | x IN s /\ ~P x} g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !b x y i. (if b then x else y)$i = (if b then x$i else y$i)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !s P f g. FINITE s ==> sum s (\x. if P x then f x else g x) = sum {x | x IN s /\ P x} f + sum {x | x IN s /\ ~P x} g
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !s P f g. FINITE s ==> vsum s (\x. if P x then f x else g x) = vsum {x | x IN s /\ P x} f + vsum {x | x IN s /\ ~P x} g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnb, type, cartcartrealnb : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnb)).
thf(cdu_0, type, d_0 : (cartcartrealnb > num > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_COMPONENT, axiom, ![B:$o,X:cartrealn,Y:cartrealn,I:num]:((d_ @ (cond @ B @ X @ Y) @ I) = (cond0 @ B @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aSUMu_CASES, axiom, ![S:(a > $o),P:(a > $o),F:(a > real),G:(a > real)]:((finite @ S) => ((sum @ S @ ^[X:a]:(cond0 @ (P @ X) @ (F @ X) @ (G @ X))) = (realu_add @ (sum @ (gspec @ ^[GENR_PVARR_190:a]:?[X:a]:(setspec @ GENR_PVARR_190 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) @ (sum @ (gspec @ ^[GENR_PVARR_191:a]:?[X:a]:(setspec @ GENR_PVARR_191 @ ((in @ X @ S) & ~ ((P @ X))) @ X)) @ G))))).
thf(aSUMu_EQ, axiom, ![F:(a > real),G:(a > real),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_ @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(avsum, axiom, ![S:(a > $o),F:(a > cartrealn)]:((vsum @ S @ F) = (lambda1 @ ^[I:num]:(sum @ S @ ^[X:a]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > $o),F:(a > cartrealn),G:(a > cartrealn)]:((finite @ S) => ((vsum @ S @ ^[X:a]:(cond @ (P @ X) @ (F @ X) @ (G @ X))) = (vectoru_add @ (vsum @ (gspec @ ^[GENR_PVARR_253:a]:?[X:a]:(setspec @ GENR_PVARR_253 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) @ (vsum @ (gspec @ ^[GENR_PVARR_254:a]:?[X:a]:(setspec @ GENR_PVARR_254 @ ((in @ X @ S) & ~ ((P @ X))) @ X)) @ G))))).
