%   ORIGINAL: VSUM_NORM_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SUM_LE: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> sum s f <= sum s g
% Assm: TRUTH: T
% Assm: VSUM_NORM: !f s. FINITE s ==> norm (vsum s f) <= sum s (\x. norm (f x))
% Goal: !s f g. FINITE s /\ (!x. x IN s ==> norm (f x) <= g x) ==> norm (vsum s f) <= sum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> sum s f <= sum s g
% Assm: T
% Assm: !f s. FINITE s ==> norm (vsum s f) <= sum s (\x. norm (f x))
% Goal: !s f g. FINITE s /\ (!x. x IN s ==> norm (f x) <= g x) ==> norm (vsum s f) <= sum s g
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cvsum, type, vsum : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSUMu_LE, axiom, ![F:(a > real),G:(a > real),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (F @ X) @ (G @ X)))) => (realu_le @ (sum @ S @ F) @ (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_NORM, axiom, ![F:(a > cartrealn),S:(a > $o)]:((finite @ S) => (realu_le @ (vectoru_norm @ (vsum @ S @ F)) @ (sum @ S @ ^[X:a]:(vectoru_norm @ (F @ X)))))).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > cartrealn),G:(a > real)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (G @ X)))) => (realu_le @ (vectoru_norm @ (vsum @ S @ F)) @ (sum @ S @ G)))).
