%   ORIGINAL: VSUM_NORM_TRIANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Assm: VSUM_NORM: !f s. FINITE s ==> norm (vsum s f) <= sum s (\x. norm (f x))
% Goal: !s f b. FINITE s /\ sum s (\a. norm (f a)) <= b ==> norm (vsum s f) <= b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Assm: !f s. FINITE s ==> norm (vsum s f) <= sum s (\x. norm (f x))
% Goal: !s f b. FINITE s /\ sum s (\a. norm (f a)) <= b ==> norm (vsum s f) <= b
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq104296, type, q104296 : $tType).
thf(tcartrealq104305, type, cartrealq104305 : $tType).
thf(tq104305, type, q104305 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq104305 > real)).
thf(csum, type, sum : ((q104296 > $o) > (q104296 > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvsum, type, vsum : ((q104296 > $o) > (q104296 > cartrealq104305) > cartrealq104305)).
thf(cfinite, type, finite : ((q104296 > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_NORM, axiom, ![F:(q104296 > cartrealq104305),S:(q104296 > $o)]:((finite @ S) => (realu_le @ (vectoru_norm @ (vsum @ S @ F)) @ (sum @ S @ ^[X:q104296]:(vectoru_norm @ (F @ X)))))).
thf(conjecture, conjecture, ![S:(q104296 > $o),F:(q104296 > cartrealq104305),B:real]:(((finite @ S) & (realu_le @ (sum @ S @ ^[A:q104296]:(vectoru_norm @ (F @ A))) @ B)) => (realu_le @ (vectoru_norm @ (vsum @ S @ F)) @ B))).
