%   ORIGINAL: VSUM_NORM_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_CONST: !c s. FINITE s ==> sum s (\n. c) = &(CARD s) * c
% Assm: TRUTH: T
% Assm: VSUM_NORM_LE: !s f g. FINITE s /\ (!x. x IN s ==> norm (f x) <= g x) ==> norm (vsum s f) <= sum s g
% Goal: !s f b. FINITE s /\ (!x. x IN s ==> norm (f x) <= b) ==> norm (vsum s f) <= &(CARD s) * b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c s. FINITE s ==> sum s (\n. c) = &(CARD s) * c
% Assm: T
% Assm: !s f g. FINITE s /\ (!x. x IN s ==> norm (f x) <= g x) ==> norm (vsum s f) <= sum s g
% Goal: !s f b. FINITE s /\ (!x. x IN s ==> norm (f x) <= b) ==> norm (vsum s f) <= &(CARD s) * b
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq104352, type, q104352 : $tType).
thf(tcartrealq104352, type, cartrealq104352 : $tType).
%  CONSTS
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq104352 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvsum, type, vsum : ((a > $o) > (a > cartrealq104352) > cartrealq104352)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_CONST, axiom, ![C:real,S:(a > $o)]:((finite @ S) => ((sum @ S @ ^[N:a]:C) = (realu_mul @ (realu_ofu_num @ (card @ S)) @ C)))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_NORMu_LE, axiom, ![S:(a > $o),F:(a > cartrealq104352),G:(a > real)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (G @ X)))) => (realu_le @ (vectoru_norm @ (vsum @ S @ F)) @ (sum @ S @ G)))).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > cartrealq104352),B:real]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ B))) => (realu_le @ (vectoru_norm @ (vsum @ S @ F)) @ (realu_mul @ (realu_ofu_num @ (card @ S)) @ B)))).
