%   ORIGINAL: VSUM_CLAUSES_RIGHT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: LT_REFL: !n. ~(n < n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUC_SUB1: !n. SUC n - 1 = n
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_NUMSEG_conjunct0: !m. vsum (m..0) f = (if m = 0 then f 0 else vec 0)
% Assm: VSUM_CLAUSES_NUMSEG_conjunct1: !m n. vsum (m..SUC n) f = (if m <= SUC n then vsum (m..n) f + f (SUC n) else vsum (m..n) f)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f m n. 0 < n /\ m <= n ==> vsum (m..n) f = vsum (m..n - 1) f + f n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !n. ~(n < n)
% Assm: ~F <=> T
% Assm: !n. SUC n - 1 = n
% Assm: T
% Assm: !f m. vsum (m..0) f = (if m = 0 then f 0 else vec 0)
% Assm: !f m n. vsum (m..SUC n) f = (if m <= SUC n then vsum (m..n) f + f (SUC n) else vsum (m..n) f)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f m n. 0 < n /\ m <= n ==> vsum (m..n) f = vsum (m..n - 1) f + f n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aLTu_REFL, axiom, ![N:num]:~ ((l_ @ N @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUCu_SUB1, axiom, ![N:num]:((m_ @ (suc @ N) @ (numeral @ (bit1 @ u_0))) = N)).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_NUMSEGu_conjunct0, axiom, ![F:(num > cartrealn),M:num]:((vsum @ (o_o_ @ M @ (numeral @ u_0)) @ F) = (cond @ (M = (numeral @ u_0)) @ (F @ (numeral @ u_0)) @ (vec @ (numeral @ u_0))))).
thf(aVSUMu_CLAUSESu_NUMSEGu_conjunct1, axiom, ![F:(num > cartrealn),M:num,N:num]:((vsum @ (o_o_ @ M @ (suc @ N)) @ F) = (cond @ (l_a_ @ M @ (suc @ N)) @ (vectoru_add @ (vsum @ (o_o_ @ M @ N) @ F) @ (F @ (suc @ N))) @ (vsum @ (o_o_ @ M @ N) @ F)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![F:(num > cartrealn),M:num,N:num]:(((l_ @ (numeral @ u_0) @ N) & (l_a_ @ M @ N)) => ((vsum @ (o_o_ @ M @ N) @ F) = (vectoru_add @ (vsum @ (o_o_ @ M @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ F) @ (F @ N))))).
