%   ORIGINAL: VSUM_DIFFS_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: TRUTH: T
% Assm: VECTOR_NEG_0: --vec 0 = vec 0
% Assm: VECTOR_NEG_SUB: !x y. --(x - y) = y - x
% Assm: VSUM_DIFFS: !m n. vsum (m..n) (\k. f k - f (k + 1)) = (if m <= n then f m - f (n + 1) else vec 0)
% Assm: VSUM_NEG: !f s. vsum s (\x. --f x) = --vsum s f
% Goal: !m n. vsum (m..n) (\k. f (k + 1) - f k) = (if m <= n then f (n + 1) - f m else vec 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: T
% Assm: --vec 0 = vec 0
% Assm: !x y. --(x - y) = y - x
% Assm: !f m n. vsum (m..n) (\k. f k - f (k + 1)) = (if m <= n then f m - f (n + 1) else vec 0)
% Assm: !f s. vsum s (\x. --f x) = --vsum s f
% Goal: !f m n. vsum (m..n) (\k. f (k + 1) - f k) = (if m <= n then f (n + 1) - f m else vec 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq105470, type, q105470 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq105470, type, cartrealq105470 : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ccond, type, cond : ($o > cartrealq105470 > cartrealq105470 > cartrealq105470)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq105470 > cartrealq105470 > cartrealq105470)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealq105470) > cartrealq105470)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq105470 > cartrealq105470)).
thf(cvec, type, vec : (num > cartrealq105470)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq105470),G:(a > cartrealq105470)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealq105470,T2:cartrealq105470]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:cartrealq105470,C:$o,P:(cartrealq105470 > $o),Y:cartrealq105470]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_0, axiom, ((vectoru_neg @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aVECTORu_NEGu_SUB, axiom, ![X:cartrealq105470,Y:cartrealq105470]:((vectoru_neg @ (vectoru_sub @ X @ Y)) = (vectoru_sub @ Y @ X))).
thf(aVSUMu_DIFFS, axiom, ![F:(num > cartrealq105470),M:num,N:num]:((vsum @ (o_o_ @ M @ N) @ ^[K:num]:(vectoru_sub @ (F @ K) @ (F @ (p_ @ K @ (numeral @ (bit1 @ u_0)))))) = (cond @ (l_a_ @ M @ N) @ (vectoru_sub @ (F @ M) @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0))))) @ (vec @ (numeral @ u_0))))).
thf(aVSUMu_NEG, axiom, ![F:(num > cartrealq105470),S:(num > $o)]:((vsum @ S @ ^[X:num]:(vectoru_neg @ (F @ X))) = (vectoru_neg @ (vsum @ S @ F)))).
thf(conjecture, conjecture, ![F:(num > cartrealq105470),M:num,N:num]:((vsum @ (o_o_ @ M @ N) @ ^[K:num]:(vectoru_sub @ (F @ (p_ @ K @ (numeral @ (bit1 @ u_0)))) @ (F @ K))) = (cond @ (l_a_ @ M @ N) @ (vectoru_sub @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) @ (F @ M)) @ (vec @ (numeral @ u_0))))).
