%   ORIGINAL: DOT_LSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DOT_LADD: !x y z. (x + y) dot z = x dot z + y dot z
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !s f y. FINITE s ==> vsum s f dot y = sum s (\x. f x dot y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x y z. (x + y) dot z = x dot z + y dot z
% Assm: !x. vec 0 dot x = &0
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !s f y. FINITE s ==> vsum s f dot y = sum s (\x. f x dot y)
%  TYPES
thf(tcartrealq106088, type, cartrealq106088 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq106097, type, q106097 : $tType).
thf(tq106088, type, q106088 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (q106097 > (q106097 > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q106097 > $o) > (q106097 > real) > real)).
thf(cdot, type, dot : (cartrealq106088 > cartrealq106088 > real)).
thf(cvec, type, vec : (num > cartrealq106088)).
thf(ccond0, type, cond0 : ($o > cartrealq106088 > cartrealq106088 > cartrealq106088)).
thf(cinsert, type, insert : (q106097 > (q106097 > $o) > q106097 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq106088 > cartrealq106088 > cartrealq106088)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cvsum, type, vsum : ((q106097 > $o) > (q106097 > cartrealq106088) > cartrealq106088)).
thf(cempty, type, empty : (q106097 > $o)).
thf(cfinite, type, finite : ((q106097 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDOTu_LADD, axiom, ![X:cartrealq106088,Y:cartrealq106088,Z:cartrealq106088]:((dot @ (vectoru_add @ X @ Y) @ Z) = (realu_add @ (dot @ X @ Z) @ (dot @ Y @ Z)))).
thf(aDOTu_LZERO, axiom, ![X:cartrealq106088]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q106097 > $o) > $o)]:(((P @ empty) & ![X:q106097,S:(q106097 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q106097 > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(q106097 > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:q106097,F:(q106097 > real),S:(q106097 > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q106097 > cartrealq106088)]:((vsum @ empty @ F) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q106097,F:(q106097 > cartrealq106088),S:(q106097 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(conjecture, conjecture, ![S:(q106097 > $o),F:(q106097 > cartrealq106088),Y:cartrealq106088]:((finite @ S) => ((dot @ (vsum @ S @ F) @ Y) = (sum @ S @ ^[X:q106097]:(dot @ (F @ X) @ Y))))).
