%   ORIGINAL: DOT_RSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !s f x. FINITE s ==> x dot vsum s f = sum s (\y. x dot f y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !x. x dot vec 0 = &0
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !s f x. FINITE s ==> x dot vsum s f = sum s (\y. x dot f y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq106133, type, q106133 : $tType).
thf(tcartrealq106124, type, cartrealq106124 : $tType).
thf(tq106124, type, q106124 : $tType).
%  CONSTS
thf(cempty, type, empty : (q106133 > $o)).
thf(cvec, type, vec : (num > cartrealq106124)).
thf(cin, type, in : (q106133 > (q106133 > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q106133 > $o) > (q106133 > real) > real)).
thf(cdot, type, dot : (cartrealq106124 > cartrealq106124 > real)).
thf(ccond0, type, cond0 : ($o > cartrealq106124 > cartrealq106124 > cartrealq106124)).
thf(cinsert, type, insert : (q106133 > (q106133 > $o) > q106133 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq106124 > cartrealq106124 > cartrealq106124)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cvsum, type, vsum : ((q106133 > $o) > (q106133 > cartrealq106124) > cartrealq106124)).
thf(cfinite, type, finite : ((q106133 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDOTu_RADD, axiom, ![X:cartrealq106124,Y:cartrealq106124,Z:cartrealq106124]:((dot @ X @ (vectoru_add @ Y @ Z)) = (realu_add @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RZERO, axiom, ![X:cartrealq106124]:((dot @ X @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q106133 > $o) > $o)]:(((P @ empty) & ![X:q106133,S:(q106133 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q106133 > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(q106133 > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:q106133,F:(q106133 > real),S:(q106133 > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q106133 > cartrealq106124)]:((vsum @ empty @ F) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q106133,F:(q106133 > cartrealq106124),S:(q106133 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(conjecture, conjecture, ![S:(q106133 > $o),F:(q106133 > cartrealq106124),X:cartrealq106124]:((finite @ S) => ((dot @ X @ (vsum @ S @ F)) = (sum @ S @ ^[Y:q106133]:(dot @ X @ (F @ Y)))))).
