%   ORIGINAL: VSUM_COMBINE_R
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: SUM_COMBINE_R: !f m n p. m <= n + 1 /\ n <= p ==> sum (m..n) f + sum (n + 1..p) f = sum (m..p) f
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: VSUM_COMPONENT: !s f i. 1 <= i /\ i <= dimindex (:N) ==> vsum s f$i = sum s (\x. f x$i)
% Goal: !f m n p. m <= n + 1 /\ n <= p ==> vsum (m..n) f + vsum (n + 1..p) f = vsum (m..p) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?106770) ==> x$i = y$i)
% Assm: !f m n p. m <= n + 1 /\ n <= p ==> sum (m..n) f + sum (n + 1..p) f = sum (m..p) f
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !s f i. 1 <= i /\ i <= dimindex (:?106770) ==> vsum s f$i = sum s (\x. f x$i)
% Goal: !f m n p. m <= n + 1 /\ n <= p ==> vsum (m..n) f + vsum (n + 1..p) f = vsum (m..p) f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq106770, type, cartrealq106770 : $tType).
thf(tq106770, type, q106770 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cuniv, type, univ : (q106770 > $o)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdu_, type, d_ : (cartrealq106770 > num > real)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealq106770) > cartrealq106770)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq106770 > cartrealq106770 > cartrealq106770)).
thf(cdimindex, type, dimindex : ((q106770 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq106770),G:(a > cartrealq106770)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealq106770,Y:cartrealq106770]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aSUMu_COMBINEu_R, axiom, ![F:(num > real),M:num,N:num,P:num]:(((l_a_ @ M @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) & (l_a_ @ N @ P)) => ((realu_add @ (sum @ (o_o_ @ M @ N) @ F) @ (sum @ (o_o_ @ (p_ @ N @ (numeral @ (bit1 @ u_0))) @ P) @ F)) = (sum @ (o_o_ @ M @ P) @ F)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealq106770,Y:cartrealq106770,I:num]:((d_ @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aVSUMu_COMPONENT, axiom, ![S:(num > $o),F:(num > cartrealq106770),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (vsum @ S @ F) @ I) = (sum @ S @ ^[X:num]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![F:(num > cartrealq106770),M:num,N:num,P:num]:(((l_a_ @ M @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) & (l_a_ @ N @ P)) => ((vectoru_add @ (vsum @ (o_o_ @ M @ N) @ F) @ (vsum @ (o_o_ @ (p_ @ N @ (numeral @ (bit1 @ u_0))) @ P) @ F)) = (vsum @ (o_o_ @ M @ P) @ F)))).
