%   ORIGINAL: VSUM_PAIR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_PAIR: !f m n. sum (2 * m..2 * n + 1) f = sum (m..n) (\i. f (2 * i) + f (2 * i + 1))
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: VSUM_COMPONENT: !s f i. 1 <= i /\ i <= dimindex (:N) ==> vsum s f$i = sum s (\x. f x$i)
% Goal: !f m n. vsum (2 * m..2 * n + 1) f = vsum (m..n) (\i. f (2 * i) + f (2 * i + 1))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f m n. sum (2 * m..2 * n + 1) f = sum (m..n) (\i. f (2 * i) + f (2 * i + 1))
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !s f i. 1 <= i /\ i <= dimindex (:N) ==> vsum s f$i = sum s (\x. f x$i)
% Goal: !f m n. vsum (2 * m..2 * n + 1) f = vsum (m..n) (\i. f (2 * i) + f (2 * i + 1))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_PAIR, axiom, ![F:(num > real),M:num,N:num]:((sum0 @ (o_o_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ M) @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N) @ (numeral @ (bit1 @ u_0)))) @ F) = (sum0 @ (o_o_ @ M @ N) @ ^[I:num]:(realu_add @ (F @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I)) @ (F @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I) @ (numeral @ (bit1 @ u_0)))))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_ @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aVSUMu_COMPONENT, axiom, ![S:(num > $o),F:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (vsum @ S @ F) @ I) = (sum0 @ S @ ^[X:num]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![F:(num > cartrealn),M:num,N:num]:((vsum @ (o_o_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ M) @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N) @ (numeral @ (bit1 @ u_0)))) @ F) = (vsum @ (o_o_ @ M @ N) @ ^[I:num]:(vectoru_add @ (F @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I)) @ (F @ (p_ @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ I) @ (numeral @ (bit1 @ u_0)))))))).
