%   ORIGINAL: VECTOR_CHOOSE_SIZE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NORM_BASIS_1: norm (basis 1) = &1
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: TRUTH: T
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Goal: !c. &0 <= c ==> (?x. norm x = c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: norm (basis 1) = &1
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. x * &1 = x
% Assm: T
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Goal: !c. &0 <= c ==> (?x. norm x = c)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNORMu_BASISu_1, axiom, ((vectoru_norm @ (basis @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealn]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aTRUTH, axiom, $true).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(conjecture, conjecture, ![C:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) => ?[X:cartrealn]:((vectoru_norm @ X) = C))).
