%   ORIGINAL: BASIS_INJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: TRUTH: T
% Assm: basis: !k. basis k = (lambda i. if i = k then &1 else &0)
% Goal: !i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ basis i = basis j ==> i = j
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: !m n. &m = &n <=> m = n
% Assm: T
% Assm: !k. basis k = (lambda i. if i = k then &1 else &0)
% Goal: !i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ basis i = basis j ==> i = j
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartnumn, type, cartnumn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdu_0, type, d_0 : (cartnumn > num > num)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccond1, type, cond1 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdu_1, type, d_1 : (cartcartrealnn > num > cartrealn)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnn)).
thf(clambda0, type, lambda0 : ((num > num) > cartnumn)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > num),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_1 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(abasis, axiom, ![K:num]:((basis @ K) = (lambda2 @ ^[I:num]:(cond1 @ (I = K) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(conjecture, conjecture, ![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ)) & ((basis @ I) = (basis @ J))) => (I = J))).
