%   ORIGINAL: DOT_BASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: COND_RATOR: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUM_DELTA: !s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: basis: !k. basis k = (lambda i. if i = k then &1 else &0)
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Goal: !x i. 1 <= i /\ i <= dimindex (:N) ==> basis i dot x = x$i /\ x dot basis i = x$i
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: !x. &1 * x = x
% Assm: !x. x * &1 = x
% Assm: !x. &0 * x = &0
% Assm: !x. x * &0 = &0
% Assm: !b s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !k. basis k = (lambda i. if i = k then &1 else &0)
% Assm: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Goal: !x i. 1 <= i /\ i <= dimindex (:N) ==> basis i dot x = x$i /\ x dot basis i = x$i
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csum1, type, sum1 : ((num > $o) > (num > real) > real)).
thf(csum0, type, sum0 : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin2, type, in2 : (q70972 > (q70972 > $o) > $o)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(csum, type, sum : ((real > $o) > (real > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(ccond1, type, cond1 : ($o > (a > real) > (a > real) > a > real)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_RAND, axiom, ![B:$o,F:(a > real),X:a,Y:a]:((F @ (cond0 @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RATOR, axiom, ![B:$o,F:(a > real),G:(a > real),X:a]:((cond1 @ B @ F @ G @ X) = (cond @ B @ (F @ X) @ (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_DELTA, axiom, ![B:real,S:(real > $o),A:real]:((sum @ S @ ^[X:real]:(cond @ (X = A) @ B @ (realu_ofu_num @ (numeral @ u_0)))) = (cond @ (in1 @ A @ S) @ B @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in2 @ X @ S) => ((F @ X) = (G @ X))) => ((sum0 @ S @ F) = (sum0 @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(abasis, axiom, ![K:num]:((basis @ K) = (lambda0 @ ^[I:num]:(cond @ (I = K) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(adot, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (sum1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_mul @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, ![X:cartrealn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (((dot @ (basis @ I) @ X) = (d_ @ X @ I)) & ((dot @ X @ (basis @ I)) = (d_ @ X @ I))))).
