%   ORIGINAL: VECTOR_EQ_RDOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DOT_BASIS: !x i. 1 <= i /\ i <= dimindex (:N) ==> basis i dot x = x$i /\ x dot basis i = x$i
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x y. (!z. x dot z = y dot z) <=> x = y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?108176) ==> x$i = y$i)
% Assm: !x i. 1 <= i /\ i <= dimindex (:?108176) ==> basis i dot x = x$i /\ x dot basis i = x$i
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !x y. (!z. x dot z = y dot z) <=> x = y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq108176, type, q108176 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq108176, type, cartrealq108176 : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealq108176 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdot, type, dot : (cartrealq108176 > cartrealq108176 > real)).
thf(cbasis, type, basis : (num > cartrealq108176)).
thf(cdimindex, type, dimindex : ((q108176 > $o) > num)).
thf(cuniv, type, univ : (q108176 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq108176),G:(a > cartrealq108176)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealq108176,Y:cartrealq108176]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDOTu_BASIS, axiom, ![X:cartrealq108176,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (((dot @ (basis @ I) @ X) = (d_ @ X @ I)) & ((dot @ X @ (basis @ I)) = (d_ @ X @ I))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq108176,Y:cartrealq108176]:(![Z:cartrealq108176]:((dot @ X @ Z) = (dot @ Y @ Z)) <=> (X = Y))).
