%   ORIGINAL: ORTHOGONAL_LNEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_LNEG: !x y. --x dot y = --(x dot y)
% Assm: REAL_NEG_EQ_0: !x. --x = &0 <=> x = &0
% Assm: TRUTH: T
% Assm: orthogonal: !x y. orthogonal x y <=> x dot y = &0
% Goal: !x y. orthogonal (--x) y <=> orthogonal x y
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. --x dot y = --(x dot y)
% Assm: !x. --x = &0 <=> x = &0
% Assm: T
% Assm: !x y. orthogonal x y <=> x dot y = &0
% Goal: !x y. orthogonal (--x) y <=> orthogonal x y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq108264, type, q108264 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq108264, type, cartrealq108264 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealq108264 > cartrealq108264 > real)).
thf(corthogonal, type, orthogonal : (cartrealq108264 > cartrealq108264 > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq108264 > cartrealq108264)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_LNEG, axiom, ![X:cartrealq108264,Y:cartrealq108264]:((dot @ (vectoru_neg @ X) @ Y) = (realu_neg @ (dot @ X @ Y)))).
thf(aREALu_NEGu_EQu_0, axiom, ![X:real]:(((realu_neg @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aorthogonal, axiom, ![X:cartrealq108264,Y:cartrealq108264]:((orthogonal @ X @ Y) <=> ((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![X:cartrealq108264,Y:cartrealq108264]:((orthogonal @ (vectoru_neg @ X) @ Y) <=> (orthogonal @ X @ Y))).
