%   ORIGINAL: FORALL_VECTOR_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DIMINDEX_2: dimindex (:2) = 2
% Assm: FORALL_2: !P. (!i. 1 <= i /\ i <= 2 ==> P i) <=> P 1 /\ P 2
% Assm: TRUTH: T
% Assm: VECTOR_2_conjunct0: vector [x; y]$1 = x
% Assm: VECTOR_2_conjunct1: vector [x; y]$2 = y
% Goal: (!v. P v) <=> (!x y. P (vector [x; y]))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> (x$i <=> y$i))
% Assm: dimindex (:2) = 2
% Assm: !P. (!i. 1 <= i /\ i <= 2 ==> P i) <=> P 1 /\ P 2
% Assm: T
% Assm: !y x. vector [x; y]$1 = x
% Assm: !x y. vector [x; y]$2 = y
% Goal: !P. (!v. P v) <=> (!x y. P (vector [x; y]))
%  TYPES
thf(tcartboolb, type, cartboolb : $tType).
thf(tnum, type, num : $tType).
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartan2, type, cartan2 : $tType).
thf(tn2, type, n2 : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cdu_, type, d_ : (cartboolb > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvector, type, vector : (lista > cartan2)).
thf(cdu_0, type, d_0 : (cartan2 > num > a)).
thf(ccons, type, cons : (a > lista > lista)).
thf(cuniv0, type, univ0 : (n2 > $o)).
thf(cdimindex0, type, dimindex0 : ((n2 > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnil, type, nil : lista).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartboolb,Y:cartboolb]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) <=> (d_ @ Y @ I))))).
thf(aDIMINDEXu_2, axiom, ((dimindex0 @ univ0) = (numeral @ (bit0 @ (bit1 @ u_0))))).
thf(aFORALLu_2, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit0 @ (bit1 @ u_0))))) => (P @ I)) <=> ((P @ (numeral @ (bit1 @ u_0))) & (P @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_2u_conjunct0, axiom, ![Y:a,X:a]:((d_0 @ (vector @ (cons @ X @ (cons @ Y @ nil))) @ (numeral @ (bit1 @ u_0))) = X)).
thf(aVECTORu_2u_conjunct1, axiom, ![X:a,Y:a]:((d_0 @ (vector @ (cons @ X @ (cons @ Y @ nil))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = Y)).
thf(conjecture, conjecture, ![P:(cartan2 > $o)]:(![V:cartan2]:(P @ V) <=> ![X:a,Y:a]:(P @ (vector @ (cons @ X @ (cons @ Y @ nil)))))).
