%   ORIGINAL: EXISTS_VECTOR_3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_VECTOR_3: (!v. P v) <=> (!x y z. P (vector [x; y; z]))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: (?v. P v) <=> (?x y z. P (vector [x; y; z]))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (!v. P v) <=> (!x y z. P (vector [x; y; z]))
% Assm: ~F <=> T
% Assm: T
% Goal: !P. (?v. P v) <=> (?x y z. P (vector [x; y; z]))
%  TYPES
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartan3, type, cartan3 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvector, type, vector : (lista > cartan3)).
thf(ccons, type, cons : (a > lista > lista)).
thf(cnil, type, nil : lista).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_VECTORu_3, axiom, ![P:(cartan3 > $o)]:(![V:cartan3]:(P @ V) <=> ![X:a,Y:a,Z:a]:(P @ (vector @ (cons @ X @ (cons @ Y @ (cons @ Z @ nil))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartan3 > $o)]:(?[V:cartan3]:(P @ V) <=> ?[X:a,Y:a,Z:a]:(P @ (vector @ (cons @ X @ (cons @ Y @ (cons @ Z @ nil))))))).
