%   ORIGINAL: LINEAR_COMPOSE_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: LINEAR_COMPOSE_ADD: !f g. linear f /\ linear g ==> linear (\x. f x + g x)
% Assm: LINEAR_ZERO: linear (\x. vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !f s. FINITE s /\ (!a. a IN s ==> linear (f a)) ==> linear (\x. vsum s (\a. f a x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !f g. linear f /\ linear g ==> linear (\x. f x + g x)
% Assm: linear (\x. vec 0)
% Assm: ~F <=> T
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !f s. FINITE s /\ (!a. a IN s ==> linear (f a)) ==> linear (\x. vsum s (\a. f a x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq109218, type, cartrealq109218 : $tType).
thf(tq109215, type, q109215 : $tType).
thf(tq109218, type, q109218 : $tType).
thf(tq109229, type, q109229 : $tType).
thf(tcartrealq109215, type, cartrealq109215 : $tType).
%  CONSTS
thf(cin, type, in : (q109229 > (q109229 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealq109215 > cartrealq109215 > cartrealq109215)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq109215 > cartrealq109215 > cartrealq109215)).
thf(cinsert, type, insert : (q109229 > (q109229 > $o) > q109229 > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cvsum, type, vsum : ((q109229 > $o) > (q109229 > cartrealq109215) > cartrealq109215)).
thf(clinear, type, linear : ((cartrealq109218 > cartrealq109215) > $o)).
thf(cfinite, type, finite : ((q109229 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealq109215)).
thf(cempty, type, empty : (q109229 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q109229 > $o) > $o)]:(((P @ empty) & ![X:q109229,S:(q109229 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q109229 > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:q109229,Y:q109229,S:(q109229 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aLINEARu_COMPOSEu_ADD, axiom, ![F:(cartrealq109218 > cartrealq109215),G:(cartrealq109218 > cartrealq109215)]:(((linear @ F) & (linear @ G)) => (linear @ ^[X:cartrealq109218]:(vectoru_add @ (F @ X) @ (G @ X))))).
thf(aLINEARu_ZERO, axiom, (linear @ ^[X:cartrealq109218]:(vec @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q109229 > cartrealq109215)]:((vsum @ empty @ F) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q109229,F:(q109229 > cartrealq109215),S:(q109229 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(conjecture, conjecture, ![F:(q109229 > cartrealq109218 > cartrealq109215),S:(q109229 > $o)]:(((finite @ S) & ![A:q109229]:((in @ A @ S) => (linear @ (F @ A)))) => (linear @ ^[X:cartrealq109218]:(vsum @ S @ ^[A:q109229]:(F @ A @ X))))).
