%   ORIGINAL: LINEAR_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: LINEAR_0: !f. linear f ==> f (vec 0) = vec 0
% Assm: LINEAR_ADD: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g s. linear f /\ FINITE s ==> f (vsum s g) = vsum s (f o g)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !f. linear f ==> f (vec 0) = vec 0
% Assm: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: ~F <=> T
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g s. linear f /\ FINITE s ==> f (vsum s g) = vsum s (f o g)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq109449, type, cartrealq109449 : $tType).
thf(tq109453, type, q109453 : $tType).
thf(treal, type, real : $tType).
thf(tq109445, type, q109445 : $tType).
thf(tq109449, type, q109449 : $tType).
thf(tcartrealq109445, type, cartrealq109445 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq109445)).
thf(cin, type, in : (q109453 > (q109453 > $o) > $o)).
thf(cvec0, type, vec0 : (num > cartrealq109449)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq109449 > cartrealq109449 > cartrealq109449)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq109445 > cartrealq109445 > cartrealq109445)).
thf(cinsert, type, insert : (q109453 > (q109453 > $o) > q109453 > $o)).
thf(ccond, type, cond : ($o > cartrealq109449 > cartrealq109449 > cartrealq109449)).
thf(co, type, o : ((cartrealq109445 > cartrealq109449) > (q109453 > cartrealq109445) > q109453 > cartrealq109449)).
thf(cvsum0, type, vsum0 : ((q109453 > $o) > (q109453 > cartrealq109449) > cartrealq109449)).
thf(cvsum, type, vsum : ((q109453 > $o) > (q109453 > cartrealq109445) > cartrealq109445)).
thf(cfinite, type, finite : ((q109453 > $o) > $o)).
thf(clinear, type, linear : ((cartrealq109445 > cartrealq109449) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (q109453 > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq109449),G:(a > cartrealq109449)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealq109449,T2:cartrealq109449]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q109453 > $o) > $o)]:(((P @ empty) & ![X:q109453,S:(q109453 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q109453 > $o)]:((finite @ S) => (P @ S)))).
thf(aLINEARu_0, axiom, ![F:(cartrealq109445 > cartrealq109449)]:((linear @ F) => ((F @ (vec @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0))))).
thf(aLINEARu_ADD, axiom, ![F:(cartrealq109445 > cartrealq109449),X:cartrealq109445,Y:cartrealq109445]:((linear @ F) => ((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q109453 > cartrealq109449)]:((vsum0 @ empty @ F) = (vec0 @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q109453,F:(q109453 > cartrealq109449),S:(q109453 > $o)]:((finite @ S) => ((vsum0 @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (vsum0 @ S @ F) @ (vectoru_add0 @ (F @ X) @ (vsum0 @ S @ F)))))).
thf(aou_THM, axiom, ![F:(cartrealq109445 > cartrealq109449),G:(q109453 > cartrealq109445),X:q109453]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealq109445 > cartrealq109449),G:(q109453 > cartrealq109445),S:(q109453 > $o)]:(((linear @ F) & (finite @ S)) => ((F @ (vsum @ S @ G)) = (vsum0 @ S @ (o @ F @ G))))).
