%   ORIGINAL: LINEAR_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BASIS_EXPANSION: !x. vsum (1..dimindex (:N)) (\i. x$i % basis i) = x
% Assm: COMPONENT_LE_NORM: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LINEAR_CMUL: !f c x. linear f ==> f (c % x) = c % f x
% Assm: LINEAR_VSUM: !f g s. linear f /\ FINITE s ==> f (vsum s g) = vsum s (f o g)
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: REAL_LE_RMUL: !x y z. x <= y /\ &0 <= z ==> x * z <= y * z
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: TRUTH: T
% Assm: VSUM_NORM_LE: !s f g. FINITE s /\ (!x. x IN s ==> norm (f x) <= g x) ==> norm (vsum s f) <= sum s g
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f. linear f ==> (?B. !x. norm (f x) <= B * norm x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. vsum (1..dimindex (:N)) (\i. x$i % basis i) = x
% Assm: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
% Assm: !x i. 1 <= i /\ i <= dimindex (:M) ==> abs (x$i) <= norm x
% Assm: !m n. FINITE (m..n)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !f c x. linear f ==> f (c % x) = c % f x
% Assm: !f g s. linear f /\ FINITE s ==> f (vsum s g) = vsum s (f o g)
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. &0 <= norm x
% Assm: !x. &0 <= norm x
% Assm: !x y z. x <= y /\ &0 <= z ==> x * z <= y * z
% Assm: !x y. x * y = y * x
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: T
% Assm: !s f g. FINITE s /\ (!x. x IN s ==> norm (f x) <= g x) ==> norm (vsum s f) <= sum s g
% Assm: !s f g. FINITE s /\ (!x. x IN s ==> norm (f x) <= g x) ==> norm (vsum s f) <= sum s g
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f. linear f ==> (?B. !x. norm (f x) <= B * norm x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tq109453, type, q109453 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (m > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cdu_0, type, d_0 : (cartrealm > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cvsum3, type, vsum3 : ((a > $o) > (a > cartrealm) > cartrealm)).
thf(cvsum2, type, vsum2 : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(co, type, o : ((cartrealm > cartrealn) > (q109453 > cartrealm) > q109453 > cartrealn)).
thf(cvsum1, type, vsum1 : ((q109453 > $o) > (q109453 > cartrealn) > cartrealn)).
thf(cvsum0, type, vsum0 : ((q109453 > $o) > (q109453 > cartrealm) > cartrealm)).
thf(cru_0, type, r_0 : (real > cartrealm > cartrealm)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cfinite1, type, finite1 : ((a > $o) > $o)).
thf(cfinite0, type, finite0 : ((q109453 > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((m > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBASISu_EXPANSION, axiom, ![X:cartrealn]:((vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(r_ @ (d_ @ X @ I) @ (basis @ I))) = X)).
thf(aCOMPONENTu_LEu_NORMu_monomorphized1, axiom, ![X:cartrealn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (realu_abs @ (d_ @ X @ I)) @ (vectoru_norm @ X)))).
thf(aCOMPONENTu_LEu_NORMu_monomorphized0, axiom, ![X:cartrealm,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => (realu_le @ (realu_abs @ (d_0 @ X @ I)) @ (vectoru_norm0 @ X)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLINEARu_CMUL, axiom, ![F:(cartrealm > cartrealn),C:real,X:cartrealm]:((linear @ F) => ((F @ (r_0 @ C @ X)) = (r_ @ C @ (F @ X))))).
thf(aLINEARu_VSUM, axiom, ![F:(cartrealm > cartrealn),G:(q109453 > cartrealm),S:(q109453 > $o)]:(((linear @ F) & (finite0 @ S)) => ((F @ (vsum0 @ S @ G)) = (vsum1 @ S @ (o @ F @ G))))).
thf(aNORMu_MULu_monomorphized1, axiom, ![A:real,X:cartrealn]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aNORMu_MULu_monomorphized0, axiom, ![A:real,X:cartrealm]:((vectoru_norm0 @ (r_0 @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm0 @ X)))).
thf(aNORMu_POSu_LEu_monomorphized1, axiom, ![X:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNORMu_POSu_LEu_monomorphized0, axiom, ![X:cartrealm]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm0 @ X))).
thf(aREALu_LEu_RMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Z)) => (realu_le @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_NORMu_LEu_monomorphized1, axiom, ![S:(a > $o),F:(a > cartrealn),G:(a > real)]:(((finite1 @ S) & ![X:a]:((in0 @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (G @ X)))) => (realu_le @ (vectoru_norm @ (vsum2 @ S @ F)) @ (sum @ S @ G)))).
thf(aVSUMu_NORMu_LEu_monomorphized0, axiom, ![S:(a > $o),F:(a > cartrealm),G:(a > real)]:(((finite1 @ S) & ![X:a]:((in0 @ X @ S) => (realu_le @ (vectoru_norm0 @ (F @ X)) @ (G @ X)))) => (realu_le @ (vectoru_norm0 @ (vsum3 @ S @ F)) @ (sum @ S @ G)))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => ?[B:real]:![X:cartrealm]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm0 @ X))))).
