%   ORIGINAL: SYMMETRIC_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_NEG: !f x. linear f ==> f (--x) = --f x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. (!x. x IN s ==> --x IN s) /\ linear f ==> (!x. x IN IMAGE f s ==> --x IN IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !f x. linear f ==> f (--x) = --f x
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. (!x. x IN s ==> --x IN s) /\ linear f ==> (!x. x IN IMAGE f s ==> --x IN IMAGE f s)
%  TYPES
thf(tcartrealq109721, type, cartrealq109721 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq109721, type, q109721 : $tType).
thf(tq109722, type, q109722 : $tType).
thf(tcartrealq109722, type, cartrealq109722 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq109721 > cartrealq109721)).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealq109722 > cartrealq109722)).
thf(cin0, type, in0 : (cartrealq109722 > (cartrealq109722 > $o) > $o)).
thf(cin, type, in : (cartrealq109721 > (cartrealq109721 > $o) > $o)).
thf(cimage, type, image : ((cartrealq109721 > cartrealq109722) > (cartrealq109721 > $o) > cartrealq109722 > $o)).
thf(clinear, type, linear : ((cartrealq109721 > cartrealq109722) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealq109722 > $o),F:(cartrealq109721 > cartrealq109722),S:(cartrealq109721 > $o)]:(![Y:cartrealq109722]:((in0 @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealq109721]:((in @ X @ S) => (P @ (F @ X))))).
thf(aINu_monomorphized1, axiom, ![P:(cartrealq109722 > $o),X:cartrealq109722]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealq109721 > $o),X:cartrealq109721]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealq109722,S:(cartrealq109721 > $o),F:(cartrealq109721 > cartrealq109722)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:cartrealq109721]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLINEARu_NEG, axiom, ![F:(cartrealq109721 > cartrealq109722),X:cartrealq109721]:((linear @ F) => ((F @ (vectoru_neg @ X)) = (vectoru_neg0 @ (F @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq109721 > cartrealq109722),S:(cartrealq109721 > $o)]:((![X:cartrealq109721]:((in @ X @ S) => (in @ (vectoru_neg @ X) @ S)) & (linear @ F)) => ![X:cartrealq109722]:((in0 @ X @ (image @ F @ S)) => (in0 @ (vectoru_neg0 @ X) @ (image @ F @ S))))).
