%   ORIGINAL: BILINEAR_LADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: bilinear: !f. bilinear f <=> (!x. linear (\y. f x y)) /\ (!y. linear (\x. f x y))
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !h x y z. bilinear h ==> h (x + y) z = h x z + h y z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !f. bilinear f <=> (!x. linear (\y. f x y)) /\ (!y. linear (\x. f x y))
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !h x y z. bilinear h ==> h (x + y) z = h x z + h y z
%  TYPES
thf(tcartrealq109791, type, cartrealq109791 : $tType).
thf(tq109791, type, q109791 : $tType).
thf(ta, type, a : $tType).
thf(tq109792, type, q109792 : $tType).
thf(tq109774, type, q109774 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq109792, type, cartrealq109792 : $tType).
thf(tcartrealq109774, type, cartrealq109774 : $tType).
%  CONSTS
thf(cru_0, type, r_0 : (real > cartrealq109791 > cartrealq109791)).
thf(cru_, type, r_ : (real > cartrealq109792 > cartrealq109792)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq109792 > cartrealq109792 > cartrealq109792)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq109791 > cartrealq109791 > cartrealq109791)).
thf(clinear1, type, linear1 : ((cartrealq109792 > cartrealq109792) > $o)).
thf(clinear0, type, linear0 : ((cartrealq109791 > cartrealq109792) > $o)).
thf(clinear, type, linear : ((cartrealq109774 > cartrealq109792) > $o)).
thf(cbilinear, type, bilinear : ((cartrealq109791 > cartrealq109774 > cartrealq109792) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq109792),G:(a > cartrealq109792)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(abilinear, axiom, ![F:(cartrealq109791 > cartrealq109774 > cartrealq109792)]:((bilinear @ F) <=> (![X:cartrealq109791]:(linear @ ^[Y:cartrealq109774]:(F @ X @ Y)) & ![Y:cartrealq109774]:(linear0 @ ^[X:cartrealq109791]:(F @ X @ Y))))).
thf(alinearu_monomorphized1, axiom, ![F:(cartrealq109792 > cartrealq109792)]:((linear1 @ F) <=> (![X:cartrealq109792,Y:cartrealq109792]:((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq109792]:((F @ (r_ @ C @ X)) = (r_ @ C @ (F @ X)))))).
thf(alinearu_monomorphized0, axiom, ![F:(cartrealq109791 > cartrealq109792)]:((linear0 @ F) <=> (![X:cartrealq109791,Y:cartrealq109791]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq109791]:((F @ (r_0 @ C @ X)) = (r_ @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![H:(cartrealq109791 > cartrealq109774 > cartrealq109792),X:cartrealq109791,Y:cartrealq109791,Z:cartrealq109774]:((bilinear @ H) => ((H @ (vectoru_add @ X @ Y) @ Z) = (vectoru_add0 @ (H @ X @ Z) @ (H @ Y @ Z))))).
