%   ORIGINAL: BILINEAR_RADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: bilinear: !f. bilinear f <=> (!x. linear (\y. f x y)) /\ (!y. linear (\x. f x y))
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !h x y z. bilinear h ==> h x (y + z) = h x y + h x z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !f. bilinear f <=> (!x. linear (\y. f x y)) /\ (!y. linear (\x. f x y))
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !h x y z. bilinear h ==> h x (y + z) = h x y + h x z
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq109833, type, cartrealq109833 : $tType).
thf(tcartrealq109815, type, cartrealq109815 : $tType).
thf(treal, type, real : $tType).
thf(tq109833, type, q109833 : $tType).
thf(tq109834, type, q109834 : $tType).
thf(tq109815, type, q109815 : $tType).
thf(tcartrealq109834, type, cartrealq109834 : $tType).
%  CONSTS
thf(cru_0, type, r_0 : (real > cartrealq109833 > cartrealq109833)).
thf(cru_, type, r_ : (real > cartrealq109834 > cartrealq109834)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq109834 > cartrealq109834 > cartrealq109834)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq109833 > cartrealq109833 > cartrealq109833)).
thf(clinear1, type, linear1 : ((cartrealq109834 > cartrealq109834) > $o)).
thf(clinear0, type, linear0 : ((cartrealq109815 > cartrealq109834) > $o)).
thf(clinear, type, linear : ((cartrealq109833 > cartrealq109834) > $o)).
thf(cbilinear, type, bilinear : ((cartrealq109815 > cartrealq109833 > cartrealq109834) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq109834),G:(a > cartrealq109834)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(abilinear, axiom, ![F:(cartrealq109815 > cartrealq109833 > cartrealq109834)]:((bilinear @ F) <=> (![X:cartrealq109815]:(linear @ ^[Y:cartrealq109833]:(F @ X @ Y)) & ![Y:cartrealq109833]:(linear0 @ ^[X:cartrealq109815]:(F @ X @ Y))))).
thf(alinearu_monomorphized1, axiom, ![F:(cartrealq109834 > cartrealq109834)]:((linear1 @ F) <=> (![X:cartrealq109834,Y:cartrealq109834]:((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq109834]:((F @ (r_ @ C @ X)) = (r_ @ C @ (F @ X)))))).
thf(alinearu_monomorphized0, axiom, ![F:(cartrealq109833 > cartrealq109834)]:((linear @ F) <=> (![X:cartrealq109833,Y:cartrealq109833]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq109833]:((F @ (r_0 @ C @ X)) = (r_ @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![H:(cartrealq109815 > cartrealq109833 > cartrealq109834),X:cartrealq109815,Y:cartrealq109833,Z:cartrealq109833]:((bilinear @ H) => ((H @ X @ (vectoru_add @ Y @ Z)) = (vectoru_add0 @ (H @ X @ Y) @ (H @ X @ Z))))).
