%   ORIGINAL: BILINEAR_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: bilinear: !f. bilinear f <=> (!x. linear (\y. f x y)) /\ (!y. linear (\x. f x y))
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !h c x y. bilinear h ==> h (c % x) y = c % h x y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !f. bilinear f <=> (!x. linear (\y. f x y)) /\ (!y. linear (\x. f x y))
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !h c x y. bilinear h ==> h (c % x) y = c % h x y
%  TYPES
thf(ta, type, a : $tType).
thf(tq109870, type, q109870 : $tType).
thf(tcartrealq109867, type, cartrealq109867 : $tType).
thf(tcartrealq109858, type, cartrealq109858 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq109870, type, cartrealq109870 : $tType).
thf(tq109867, type, q109867 : $tType).
thf(tq109858, type, q109858 : $tType).
%  CONSTS
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq109867 > cartrealq109867 > cartrealq109867)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq109870 > cartrealq109870 > cartrealq109870)).
thf(cru_0, type, r_0 : (real > cartrealq109870 > cartrealq109870)).
thf(cru_, type, r_ : (real > cartrealq109867 > cartrealq109867)).
thf(clinear1, type, linear1 : ((cartrealq109870 > cartrealq109870) > $o)).
thf(clinear0, type, linear0 : ((cartrealq109867 > cartrealq109870) > $o)).
thf(clinear, type, linear : ((cartrealq109858 > cartrealq109870) > $o)).
thf(cbilinear, type, bilinear : ((cartrealq109867 > cartrealq109858 > cartrealq109870) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq109870),G:(a > cartrealq109870)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(abilinear, axiom, ![F:(cartrealq109867 > cartrealq109858 > cartrealq109870)]:((bilinear @ F) <=> (![X:cartrealq109867]:(linear @ ^[Y:cartrealq109858]:(F @ X @ Y)) & ![Y:cartrealq109858]:(linear0 @ ^[X:cartrealq109867]:(F @ X @ Y))))).
thf(alinearu_monomorphized1, axiom, ![F:(cartrealq109870 > cartrealq109870)]:((linear1 @ F) <=> (![X:cartrealq109870,Y:cartrealq109870]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq109870]:((F @ (r_0 @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(alinearu_monomorphized0, axiom, ![F:(cartrealq109867 > cartrealq109870)]:((linear0 @ F) <=> (![X:cartrealq109867,Y:cartrealq109867]:((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq109867]:((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![H:(cartrealq109867 > cartrealq109858 > cartrealq109870),C:real,X:cartrealq109867,Y:cartrealq109858]:((bilinear @ H) => ((H @ (r_ @ C @ X) @ Y) = (r_0 @ C @ (H @ X @ Y))))).
