%   ORIGINAL: BILINEAR_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: bilinear: !f. bilinear f <=> (!x. linear (\y. f x y)) /\ (!y. linear (\x. f x y))
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !h c x y. bilinear h ==> h x (c % y) = c % h x y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !f. bilinear f <=> (!x. linear (\y. f x y)) /\ (!y. linear (\x. f x y))
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !h c x y. bilinear h ==> h x (c % y) = c % h x y
%  TYPES
thf(tq109906, type, q109906 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq109893, type, cartrealq109893 : $tType).
thf(tq109893, type, q109893 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq109906, type, cartrealq109906 : $tType).
thf(tcartrealq109903, type, cartrealq109903 : $tType).
thf(tq109903, type, q109903 : $tType).
%  CONSTS
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq109903 > cartrealq109903 > cartrealq109903)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq109906 > cartrealq109906 > cartrealq109906)).
thf(cru_0, type, r_0 : (real > cartrealq109906 > cartrealq109906)).
thf(cru_, type, r_ : (real > cartrealq109903 > cartrealq109903)).
thf(clinear1, type, linear1 : ((cartrealq109906 > cartrealq109906) > $o)).
thf(clinear0, type, linear0 : ((cartrealq109893 > cartrealq109906) > $o)).
thf(clinear, type, linear : ((cartrealq109903 > cartrealq109906) > $o)).
thf(cbilinear, type, bilinear : ((cartrealq109893 > cartrealq109903 > cartrealq109906) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq109906),G:(a > cartrealq109906)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(abilinear, axiom, ![F:(cartrealq109893 > cartrealq109903 > cartrealq109906)]:((bilinear @ F) <=> (![X:cartrealq109893]:(linear @ ^[Y:cartrealq109903]:(F @ X @ Y)) & ![Y:cartrealq109903]:(linear0 @ ^[X:cartrealq109893]:(F @ X @ Y))))).
thf(alinearu_monomorphized1, axiom, ![F:(cartrealq109906 > cartrealq109906)]:((linear1 @ F) <=> (![X:cartrealq109906,Y:cartrealq109906]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq109906]:((F @ (r_0 @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(alinearu_monomorphized0, axiom, ![F:(cartrealq109903 > cartrealq109906)]:((linear @ F) <=> (![X:cartrealq109903,Y:cartrealq109903]:((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq109903]:((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![H:(cartrealq109893 > cartrealq109903 > cartrealq109906),C:real,X:cartrealq109893,Y:cartrealq109903]:((bilinear @ H) => ((H @ X @ (r_ @ C @ Y)) = (r_0 @ C @ (H @ X @ Y))))).
