%   ORIGINAL: BILINEAR_LSUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BILINEAR_LADD: !h x y z. bilinear h ==> h (x + y) z = h x z + h y z
% Assm: BILINEAR_LNEG: !h x y. bilinear h ==> h (--x) y = --h x y
% Assm: TRUTH: T
% Assm: VECTOR_SUB: x - y = x + --y
% Goal: !h x y z. bilinear h ==> h (x - y) z = h x z - h y z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !h x y z. bilinear h ==> h (x + y) z = h x z + h y z
% Assm: !h x y. bilinear h ==> h (--x) y = --h x y
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !h x y z. bilinear h ==> h (x - y) z = h x z - h y z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq110095, type, q110095 : $tType).
thf(tcartrealq110096, type, cartrealq110096 : $tType).
thf(tq110096, type, q110096 : $tType).
thf(tcartrealq110078, type, cartrealq110078 : $tType).
thf(tq110078, type, q110078 : $tType).
thf(tcartrealq110095, type, cartrealq110095 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq110095 > cartrealq110095)).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealq110096 > cartrealq110096)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq110096 > cartrealq110096 > cartrealq110096)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq110095 > cartrealq110095 > cartrealq110095)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq110096 > cartrealq110096 > cartrealq110096)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq110095 > cartrealq110095 > cartrealq110095)).
thf(cbilinear, type, bilinear : ((cartrealq110095 > cartrealq110078 > cartrealq110096) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq110096),G:(a > cartrealq110096)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBILINEARu_LADD, axiom, ![H:(cartrealq110095 > cartrealq110078 > cartrealq110096),X:cartrealq110095,Y:cartrealq110095,Z:cartrealq110078]:((bilinear @ H) => ((H @ (vectoru_add @ X @ Y) @ Z) = (vectoru_add0 @ (H @ X @ Z) @ (H @ Y @ Z))))).
thf(aBILINEARu_LNEG, axiom, ![H:(cartrealq110095 > cartrealq110078 > cartrealq110096),X:cartrealq110095,Y:cartrealq110078]:((bilinear @ H) => ((H @ (vectoru_neg @ X) @ Y) = (vectoru_neg0 @ (H @ X @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUB, axiom, ![X:cartrealq110096,Y:cartrealq110096]:((vectoru_sub0 @ X @ Y) = (vectoru_add0 @ X @ (vectoru_neg0 @ Y)))).
thf(conjecture, conjecture, ![H:(cartrealq110095 > cartrealq110078 > cartrealq110096),X:cartrealq110095,Y:cartrealq110095,Z:cartrealq110078]:((bilinear @ H) => ((H @ (vectoru_sub @ X @ Y) @ Z) = (vectoru_sub0 @ (H @ X @ Z) @ (H @ Y @ Z))))).
