%   ORIGINAL: BILINEAR_RSUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BILINEAR_RADD: !h x y z. bilinear h ==> h x (y + z) = h x y + h x z
% Assm: BILINEAR_RNEG: !h x y. bilinear h ==> h x (--y) = --h x y
% Assm: TRUTH: T
% Assm: VECTOR_SUB: x - y = x + --y
% Goal: !h x y z. bilinear h ==> h x (y - z) = h x y - h x z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !h x y z. bilinear h ==> h x (y + z) = h x y + h x z
% Assm: !h x y. bilinear h ==> h x (--y) = --h x y
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !h x y z. bilinear h ==> h x (y - z) = h x y - h x z
%  TYPES
thf(tq110137, type, q110137 : $tType).
thf(tq110138, type, q110138 : $tType).
thf(tcartrealq110137, type, cartrealq110137 : $tType).
thf(tq110119, type, q110119 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq110119, type, cartrealq110119 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq110138, type, cartrealq110138 : $tType).
%  CONSTS
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealq110138 > cartrealq110138)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq110138 > cartrealq110138 > cartrealq110138)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq110137 > cartrealq110137 > cartrealq110137)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq110138 > cartrealq110138 > cartrealq110138)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq110137 > cartrealq110137 > cartrealq110137)).
thf(cbilinear, type, bilinear : ((cartrealq110119 > cartrealq110137 > cartrealq110138) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq110137 > cartrealq110137)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq110138),G:(a > cartrealq110138)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBILINEARu_RADD, axiom, ![H:(cartrealq110119 > cartrealq110137 > cartrealq110138),X:cartrealq110119,Y:cartrealq110137,Z:cartrealq110137]:((bilinear @ H) => ((H @ X @ (vectoru_add @ Y @ Z)) = (vectoru_add0 @ (H @ X @ Y) @ (H @ X @ Z))))).
thf(aBILINEARu_RNEG, axiom, ![H:(cartrealq110119 > cartrealq110137 > cartrealq110138),X:cartrealq110119,Y:cartrealq110137]:((bilinear @ H) => ((H @ X @ (vectoru_neg @ Y)) = (vectoru_neg0 @ (H @ X @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUB, axiom, ![X:cartrealq110138,Y:cartrealq110138]:((vectoru_sub0 @ X @ Y) = (vectoru_add0 @ X @ (vectoru_neg0 @ Y)))).
thf(conjecture, conjecture, ![H:(cartrealq110119 > cartrealq110137 > cartrealq110138),X:cartrealq110119,Y:cartrealq110137,Z:cartrealq110137]:((bilinear @ H) => ((H @ X @ (vectoru_sub @ Y @ Z)) = (vectoru_sub0 @ (H @ X @ Y) @ (H @ X @ Z))))).
