%   ORIGINAL: BILINEAR_VSUM_PARTIAL_PRE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_SUB: !m n. (m + n) - n = m
% Assm: BILINEAR_VSUM_PARTIAL_SUC: !f g h m n. bilinear h ==> vsum (m..n) (\k. h (f k) (g (k + 1) - g k)) = (if m <= n then h (f (n + 1)) (g (n + 1)) - h (f m) (g m) - vsum (m..n) (\k. h (f (k + 1) - f k) (g (k + 1))) else vec 0)
% Assm: TRUTH: T
% Goal: !f g h m n. bilinear h ==> vsum (m..n) (\k. h (f k) (g k - g (k - 1))) = (if m <= n then h (f (n + 1)) (g n) - h (f m) (g (m - 1)) - vsum (m..n) (\k. h (f (k + 1) - f k) (g k)) else vec 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. (m + n) - n = m
% Assm: !f g h m n. bilinear h ==> vsum (m..n) (\k. h (f k) (g (k + 1) - g k)) = (if m <= n then h (f (n + 1)) (g (n + 1)) - h (f m) (g m) - vsum (m..n) (\k. h (f (k + 1) - f k) (g (k + 1))) else vec 0)
% Assm: T
% Goal: !f g h m n. bilinear h ==> vsum (m..n) (\k. h (f k) (g k - g (k - 1))) = (if m <= n then h (f (n + 1)) (g n) - h (f m) (g (m - 1)) - vsum (m..n) (\k. h (f (k + 1) - f k) (g k)) else vec 0)
%  TYPES
thf(tp, type, p : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cvectoruu_sub1, type, vectoru_sub1 : (cartrealm > cartrealm > cartrealm)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealp > cartrealp > cartrealp)).
thf(ccond, type, cond : ($o > cartrealp > cartrealp > cartrealp)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealp) > cartrealp)).
thf(cbilinear, type, bilinear : ((cartrealm > cartrealn > cartrealp) > $o)).
thf(cvec, type, vec : (num > cartrealp)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealp),G:(a > cartrealp)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_SUB, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ N) = M)).
thf(aBILINEARu_VSUMu_PARTIALu_SUC, axiom, ![F:(num > cartrealm),G:(num > cartrealn),H:(cartrealm > cartrealn > cartrealp),M:num,N:num]:((bilinear @ H) => ((vsum @ (o_o_ @ M @ N) @ ^[K:num]:(H @ (F @ K) @ (vectoru_sub @ (G @ (p_ @ K @ (numeral @ (bit1 @ u_0)))) @ (G @ K)))) = (cond @ (l_a_ @ M @ N) @ (vectoru_sub0 @ (vectoru_sub0 @ (H @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) @ (G @ (p_ @ N @ (numeral @ (bit1 @ u_0))))) @ (H @ (F @ M) @ (G @ M))) @ (vsum @ (o_o_ @ M @ N) @ ^[K:num]:(H @ (vectoru_sub1 @ (F @ (p_ @ K @ (numeral @ (bit1 @ u_0)))) @ (F @ K)) @ (G @ (p_ @ K @ (numeral @ (bit1 @ u_0))))))) @ (vec @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > cartrealm),G:(num > cartrealn),H:(cartrealm > cartrealn > cartrealp),M:num,N:num]:((bilinear @ H) => ((vsum @ (o_o_ @ M @ N) @ ^[K:num]:(H @ (F @ K) @ (vectoru_sub @ (G @ K) @ (G @ (m_ @ K @ (numeral @ (bit1 @ u_0))))))) = (cond @ (l_a_ @ M @ N) @ (vectoru_sub0 @ (vectoru_sub0 @ (H @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) @ (G @ N)) @ (H @ (F @ M) @ (G @ (m_ @ M @ (numeral @ (bit1 @ u_0)))))) @ (vsum @ (o_o_ @ M @ N) @ ^[K:num]:(H @ (vectoru_sub1 @ (F @ (p_ @ K @ (numeral @ (bit1 @ u_0)))) @ (F @ K)) @ (G @ K)))) @ (vec @ (numeral @ u_0)))))).
