%   ORIGINAL: ADJOINT_WORKS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BASIS_EXPANSION: !x. vsum (1..dimindex (:N)) (\i. x$i % basis i) = x
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LINEAR_CMUL: !f c x. linear f ==> f (c % x) = c % f x
% Assm: LINEAR_VSUM: !f g s. linear f /\ FINITE s ==> f (vsum s g) = vsum s (f o g)
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: SUM_RMUL: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: SUM_SWAP_NUMSEG: !a b c d f. sum (a..b) (\i. sum (c..d) (f i)) = sum (c..d) (\j. sum (a..b) (\i. f i j))
% Assm: TRUTH: T
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: VSUM_COMPONENT: !s f i. 1 <= i /\ i <= dimindex (:N) ==> vsum s f$i = sum s (\x. f x$i)
% Assm: adjoint: !f. adjoint f = (@f'. !x y. f x dot y = x dot f' y)
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f. linear f ==> (!x y. f x dot y = x dot adjoint f y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. vsum (1..dimindex (:N)) (\i. x$i % basis i) = x
% Assm: (?) = (\P. P ((@) P))
% Assm: !m n. FINITE (m..n)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f c x. linear f ==> f (c % x) = c % f x
% Assm: !f g s. linear f /\ FINITE s ==> f (vsum s g) = vsum s (f o g)
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: !a b c d f. sum (a..b) (\i. sum (c..d) (f i)) = sum (c..d) (\j. sum (a..b) (\i. f i j))
% Assm: T
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !s f i. 1 <= i /\ i <= dimindex (:N) ==> vsum s f$i = sum s (\x. f x$i)
% Assm: !f. adjoint f = (@f'. !x y. f x dot y = x dot f' y)
% Assm: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: !x y. x dot y = sum (1..dimindex (:M)) (\i. x$i * y$i)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f. linear f ==> (!x y. f x dot y = x dot adjoint f y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq109453, type, q109453 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tm, type, m : $tType).
thf(tcartrealb, type, cartrealb : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv1, type, univ1 : (m > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(cdu_1, type, d_1 : (cartrealm > num > real)).
thf(csum1, type, sum1 : ((num > $o) > (num > real) > real)).
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdu_0, type, d_0 : (cartrealb > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cdot0, type, dot0 : (cartrealm > cartrealm > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealb)).
thf(co0, type, o0 : ((b > real) > (a > b) > a > real)).
thf(chu_0, type, h_0 : (((cartrealn > cartrealm) > $o) > cartrealn > cartrealm)).
thf(cvsum2, type, vsum2 : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(co, type, o : ((cartrealm > cartrealn) > (q109453 > cartrealm) > q109453 > cartrealn)).
thf(cvsum1, type, vsum1 : ((q109453 > $o) > (q109453 > cartrealn) > cartrealn)).
thf(cvsum0, type, vsum0 : ((q109453 > $o) > (q109453 > cartrealm) > cartrealm)).
thf(cru_0, type, r_0 : (real > cartrealm > cartrealm)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cadjoint, type, adjoint : ((cartrealm > cartrealn) > cartrealn > cartrealm)).
thf(cfinite0, type, finite0 : ((q109453 > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cdimindex1, type, dimindex1 : ((m > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBASISu_EXPANSION, axiom, ![X:cartrealn]:((vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(r_ @ (d_ @ X @ I) @ (basis @ I))) = X)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLINEARu_CMUL, axiom, ![F:(cartrealm > cartrealn),C:real,X:cartrealm]:((linear @ F) => ((F @ (r_0 @ C @ X)) = (r_ @ C @ (F @ X))))).
thf(aLINEARu_VSUM, axiom, ![F:(cartrealm > cartrealn),G:(q109453 > cartrealm),S:(q109453 > $o)]:(((linear @ F) & (finite0 @ S)) => ((F @ (vsum0 @ S @ G)) = (vsum1 @ S @ (o @ F @ G))))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum0 @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum0 @ S @ F)))).
thf(aSUMu_RMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum0 @ S @ ^[X:a]:(realu_mul @ (F @ X) @ C)) = (realu_mul @ (sum0 @ S @ F) @ C))).
thf(aSUMu_SWAPu_NUMSEG, axiom, ![A:num,B:num,C:num,D:num,F:(num > num > real)]:((sum1 @ (o_o_ @ A @ B) @ ^[I:num]:(sum1 @ (o_o_ @ C @ D) @ (F @ I))) = (sum1 @ (o_o_ @ C @ D) @ ^[J:num]:(sum1 @ (o_o_ @ A @ B) @ ^[I:num]:(F @ I @ J))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealn,I:num]:((d_ @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(aVSUMu_COMPONENT, axiom, ![S:(a > $o),F:(a > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (vsum2 @ S @ F) @ I) = (sum0 @ S @ ^[X:a]:(d_ @ (F @ X) @ I))))).
thf(aadjoint, axiom, ![F:(cartrealm > cartrealn)]:((adjoint @ F) = (h_0 @ ^[FI_:(cartrealn > cartrealm)]:![X:cartrealm,Y:cartrealn]:((dot @ (F @ X) @ Y) = (dot0 @ X @ (FI_ @ Y)))))).
thf(adotu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (sum1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_mul @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(adotu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm]:((dot0 @ X @ Y) = (sum1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[I:num]:(realu_mul @ (d_1 @ X @ I) @ (d_1 @ Y @ I))))).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => ![X:cartrealm,Y:cartrealn]:((dot @ (F @ X) @ Y) = (dot0 @ X @ (adjoint @ F @ Y))))).
