%   ORIGINAL: ADJOINT_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADJOINT_WORKS: !f. linear f ==> (!x y. f x dot y = x dot adjoint f y)
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: TRUTH: T
% Assm: VECTOR_EQ_LDOT: !y z. (!x. x dot y = x dot z) <=> y = z
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !f. linear f ==> linear (adjoint f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. linear f ==> (!x y. f x dot y = x dot adjoint f y)
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: T
% Assm: !y z. (!x. x dot y = x dot z) <=> y = z
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !f. linear f ==> linear (adjoint f)
%  TYPES
thf(tcartrealq97868, type, cartrealq97868 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq97985, type, cartrealq97985 : $tType).
thf(tcartrealq108149, type, cartrealq108149 : $tType).
thf(tq108149, type, q108149 : $tType).
thf(tq97985, type, q97985 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq97868, type, q97868 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdot3, type, dot3 : (cartrealq108149 > cartrealq108149 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot2, type, dot2 : (cartrealq97985 > cartrealq97985 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdot1, type, dot1 : (cartrealq97868 > cartrealq97868 > real)).
thf(cdot0, type, dot0 : (cartrealm > cartrealm > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cru_1, type, r_1 : (real > cartrealm > cartrealm)).
thf(cru_0, type, r_0 : (real > cartrealn > cartrealn)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealm > cartrealm > cartrealm)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealq97985 > cartrealq97985)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq97868 > cartrealq97868 > cartrealq97868)).
thf(cadjoint, type, adjoint : ((cartrealm > cartrealn) > cartrealn > cartrealm)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADJOINTu_WORKS, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => ![X:cartrealm,Y:cartrealn]:((dot @ (F @ X) @ Y) = (dot0 @ X @ (adjoint @ F @ Y))))).
thf(aDOTu_RADD, axiom, ![X:cartrealq97868,Y:cartrealq97868,Z:cartrealq97868]:((dot1 @ X @ (vectoru_add @ Y @ Z)) = (realu_add @ (dot1 @ X @ Y) @ (dot1 @ X @ Z)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealq97985,Y:cartrealq97985]:((dot2 @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot2 @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_EQu_LDOT, axiom, ![Y:cartrealq108149,Z:cartrealq108149]:(![X:cartrealq108149]:((dot3 @ X @ Y) = (dot3 @ X @ Z)) <=> (Y = Z))).
thf(alinearu_monomorphized1, axiom, ![F:(cartrealn > cartrealm)]:((linear0 @ F) <=> (![X:cartrealn,Y:cartrealn]:((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add1 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealn]:((F @ (r_0 @ C @ X)) = (r_1 @ C @ (F @ X)))))).
thf(alinearu_monomorphized0, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) <=> (![X:cartrealm,Y:cartrealm]:((F @ (vectoru_add1 @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealm]:((F @ (r_1 @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => (linear0 @ (adjoint @ F)))).
