%   ORIGINAL: ADJOINT_CLAUSES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADJOINT_WORKS: !f. linear f ==> (!x y. f x dot y = x dot adjoint f y)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f. linear f ==> (!x y. x dot adjoint f y = f x dot y) /\ (!x y. adjoint f y dot x = y dot f x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f. linear f ==> (!x y. f x dot y = x dot adjoint f y)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x dot y = y dot x
% Assm: !x y. x dot y = y dot x
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f. linear f ==> (!x y. x dot adjoint f y = f x dot y) /\ (!x y. adjoint f y dot x = y dot f x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdot0, type, dot0 : (cartrealn > cartrealn > real)).
thf(cdot, type, dot : (cartrealm > cartrealm > real)).
thf(cadjoint, type, adjoint : ((cartrealm > cartrealn) > cartrealn > cartrealm)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADJOINTu_WORKS, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => ![X:cartrealm,Y:cartrealn]:((dot0 @ (F @ X) @ Y) = (dot @ X @ (adjoint @ F @ Y))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_SYMu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:((dot0 @ X @ Y) = (dot0 @ Y @ X))).
thf(aDOTu_SYMu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => (![X:cartrealm,Y:cartrealn]:((dot @ X @ (adjoint @ F @ Y)) = (dot0 @ (F @ X) @ Y)) & ![X:cartrealm,Y:cartrealn]:((dot @ (adjoint @ F @ Y) @ X) = (dot0 @ Y @ (F @ X)))))).
