%   ORIGINAL: ADJOINT_ADJOINT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADJOINT_CLAUSES: !f. linear f ==> (!x y. x dot adjoint f y = f x dot y) /\ (!x y. adjoint f y dot x = y dot f x)
% Assm: ADJOINT_LINEAR: !f. linear f ==> linear (adjoint f)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: TRUTH: T
% Assm: VECTOR_EQ_LDOT: !y z. (!x. x dot y = x dot z) <=> y = z
% Goal: !f. linear f ==> adjoint (adjoint f) = f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. linear f ==> (!x y. x dot adjoint f y = f x dot y) /\ (!x y. adjoint f y dot x = y dot f x)
% Assm: !f. linear f ==> linear (adjoint f)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: T
% Assm: !y z. (!x. x dot y = x dot z) <=> y = z
% Goal: !f. linear f ==> adjoint (adjoint f) = f
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq108149, type, cartrealq108149 : $tType).
thf(tq108149, type, q108149 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdot1, type, dot1 : (cartrealq108149 > cartrealq108149 > real)).
thf(cdot0, type, dot0 : (cartrealn > cartrealn > real)).
thf(cdot, type, dot : (cartrealm > cartrealm > real)).
thf(cadjoint0, type, adjoint0 : ((cartrealm > cartrealn) > cartrealn > cartrealm)).
thf(cadjoint, type, adjoint : ((cartrealn > cartrealm) > cartrealm > cartrealn)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm > cartrealn),G:(a > cartrealm > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADJOINTu_CLAUSES, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (![X:cartrealm,Y:cartrealn]:((dot @ X @ (adjoint0 @ F @ Y)) = (dot0 @ (F @ X) @ Y)) & ![X:cartrealm,Y:cartrealn]:((dot @ (adjoint0 @ F @ Y) @ X) = (dot0 @ Y @ (F @ X)))))).
thf(aADJOINTu_LINEAR, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (linear0 @ (adjoint0 @ F)))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:((F = G) <=> ![X:cartrealm]:((F @ X) = (G @ X)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_EQu_LDOT, axiom, ![Y:cartrealq108149,Z:cartrealq108149]:(![X:cartrealq108149]:((dot1 @ X @ Y) = (dot1 @ X @ Z)) <=> (Y = Z))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => ((adjoint @ (adjoint0 @ F)) = F))).
