%   ORIGINAL: MATRIX_ADD_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INDEX_INRANGE: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: matrix_add: !A B. A + B = (lambda i j. A$i$j + B$i$j)
% Goal: !A B i j. (A + B)$i$j = A$i$j + B$i$j
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: T
% Assm: !A B. A + B = (lambda i j. A$i$j + B$i$j)
% Goal: !A B i j. (A + B)$i$j = A$i$j + B$i$j
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cmatrixuu_add, type, matrixu_add : (cartcartrealnm > cartcartrealnm > cartcartrealnm)).
thf(cdu_0, type, d_0 : (cartcartrealnm > num > cartrealn)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnm)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INDEXu_INRANGE, axiom, ![I:num]:?[K:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealn]:((d_ @ X @ I) = (d_ @ X @ K)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(amatrixu_add, axiom, ![A:cartcartrealnm,B:cartcartrealnm]:((matrixu_add @ A @ B) = (lambda1 @ ^[I:num]:(lambda0 @ ^[J:num]:(realu_add @ (d_ @ (d_0 @ A @ I) @ J) @ (d_ @ (d_0 @ B @ I) @ J)))))).
thf(conjecture, conjecture, ![A:cartcartrealnm,B:cartcartrealnm,I:num,J:num]:((d_ @ (d_0 @ (matrixu_add @ A @ B) @ I) @ J) = (realu_add @ (d_ @ (d_0 @ A @ I) @ J) @ (d_ @ (d_0 @ B @ I) @ J)))).
