%   ORIGINAL: TRANSP_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INDEX_INRANGE_2: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k) /\ (!y. y$i = y$k)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A i j. transp A$i$j = A$j$i
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k) /\ (!y. y$i = y$k)
% Assm: !i. ?k. 1 <= k /\ k <= dimindex (:M) /\ (!x. x$i = x$k) /\ (!y. y$i = y$k)
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:M) ==> (lambda) g$i = g i
% Assm: T
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A i j. transp A$i$j = A$j$i
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (m > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(cdu_, type, d_ : (cartrealm > num > real)).
thf(cdu_2, type, d_2 : (cartcartrealnm > num > cartrealn)).
thf(cdu_0, type, d_0 : (cartcartrealmn > num > cartrealm)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealm)).
thf(clambda2, type, lambda2 : ((num > cartrealm) > cartcartrealmn)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(ctransp, type, transp : (cartcartrealnm > cartcartrealmn)).
thf(cdimindex0, type, dimindex0 : ((m > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INDEXu_INRANGEu_2u_monomorphized1, axiom, ![I:num]:?[K:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealn]:((d_1 @ X @ I) = (d_1 @ X @ K)) & ![Y:cartrealn]:((d_1 @ Y @ I) = (d_1 @ Y @ K)))).
thf(aFINITEu_INDEXu_INRANGEu_2u_monomorphized0, axiom, ![I:num]:?[K:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & ![X:cartrealm]:((d_ @ X @ I) = (d_ @ X @ K)) & ![Y:cartrealm]:((d_ @ Y @ I) = (d_ @ Y @ K)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_1 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_ @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(atransp, axiom, ![A:cartcartrealnm]:((transp @ A) = (lambda2 @ ^[I:num]:(lambda1 @ ^[J:num]:(d_1 @ (d_2 @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealnm,I:num,J:num]:((d_ @ (d_0 @ (transp @ A) @ I) @ J) = (d_1 @ (d_2 @ A @ J) @ I))).
