%   ORIGINAL: MATRIX_CMUL_LID
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: TRUTH: T
% Assm: matrix_cmul: !c A. %% c A = (lambda i j. c * A$i$j)
% Goal: !X. %% (&1) X = X
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !x. &1 * x = x
% Assm: T
% Assm: !c A. %% c A = (lambda i j. c * A$i$j)
% Goal: !X. %% (&1) X = X
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartcartrealmnb, type, cartcartcartrealmnb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(cdu_1, type, d_1 : (cartrealm > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartcartrealmn) > cartcartcartrealmnb)).
thf(cdu_0, type, d_0 : (cartcartcartrealmnb > num > cartcartrealmn)).
thf(cdu_, type, d_ : (cartcartrealmn > num > cartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_ru_, type, r_r_ : (real > cartcartrealmn > cartcartrealmn)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealm)).
thf(clambda1, type, lambda1 : ((num > cartrealm) > cartcartrealmn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealmn),G:(a > cartcartrealmn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealmn,Y:cartcartrealmn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealmn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(amatrixu_cmul, axiom, ![C:real,A:cartcartrealmn]:((r_r_ @ C @ A) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(realu_mul @ C @ (d_1 @ (d_ @ A @ I) @ J)))))).
thf(conjecture, conjecture, ![X:cartcartrealmn]:((r_r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
