%   ORIGINAL: MATRIX_ADD_RNEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_ID: !b t. (if b then t else t) = t
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: TRUTH: T
% Assm: mat: !k. mat k = (lambda i j. if i = j then &k else &0)
% Assm: matrix_add: !A B. A + B = (lambda i j. A$i$j + B$i$j)
% Assm: matrix_neg: !A. --A = (lambda i j. --(A$i$j))
% Goal: !A. A + --A = mat 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?112150) ==> x$i = y$i)
% Assm: !b t. (if b then t else t) = t
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !x. x + --x = &0
% Assm: T
% Assm: !k. mat k = (lambda i j. if i = j then &k else &0)
% Assm: !A B. A + B = (lambda i j. A$i$j + B$i$j)
% Assm: !A. --A = (lambda i j. --(A$i$j))
% Goal: !A. A + --A = mat 0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq112150, type, q112150 : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealq112149q112150, type, cartcartrealq112149q112150 : $tType).
thf(tcartcartcartrealq112149q112150b, type, cartcartcartrealq112149q112150b : $tType).
thf(tcartrealq112149, type, cartrealq112149 : $tType).
thf(tq112149, type, q112149 : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cdu_1, type, d_1 : (cartrealq112149 > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cuniv, type, univ : (q112150 > $o)).
thf(clambda0, type, lambda0 : ((num > cartcartrealq112149q112150) > cartcartcartrealq112149q112150b)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdu_0, type, d_0 : (cartcartcartrealq112149q112150b > num > cartcartrealq112149q112150)).
thf(ccond, type, cond : ($o > cartcartrealq112149q112150 > cartcartrealq112149q112150 > cartcartrealq112149q112150)).
thf(cdu_, type, d_ : (cartcartrealq112149q112150 > num > cartrealq112149)).
thf(cmatrixuu_add, type, matrixu_add : (cartcartrealq112149q112150 > cartcartrealq112149q112150 > cartcartrealq112149q112150)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q112150 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(clambda2, type, lambda2 : ((num > real) > cartrealq112149)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(clambda1, type, lambda1 : ((num > cartrealq112149) > cartcartrealq112149q112150)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cmat, type, mat : (num > cartcartrealq112149q112150)).
thf(cmatrixuu_neg, type, matrixu_neg : (cartcartrealq112149q112150 > cartcartrealq112149q112150)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealq112149q112150),G:(a > cartcartrealq112149q112150)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealq112149q112150,Y:cartcartrealq112149q112150]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_ID, axiom, ![B:$o,T:cartcartrealq112149q112150]:((cond @ B @ T @ T) = T)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealq112149q112150),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(amat, axiom, ![K:num]:((mat @ K) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(cond0 @ (I = J) @ (realu_ofu_num @ K) @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(amatrixu_add, axiom, ![A:cartcartrealq112149q112150,B:cartcartrealq112149q112150]:((matrixu_add @ A @ B) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(realu_add @ (d_1 @ (d_ @ A @ I) @ J) @ (d_1 @ (d_ @ B @ I) @ J)))))).
thf(amatrixu_neg, axiom, ![A:cartcartrealq112149q112150]:((matrixu_neg @ A) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(realu_neg @ (d_1 @ (d_ @ A @ I) @ J)))))).
thf(conjecture, conjecture, ![A:cartcartrealq112149q112150]:((matrixu_add @ A @ (matrixu_neg @ A)) = (mat @ (numeral @ u_0)))).
