%   ORIGINAL: MATRIX_ADD_LDISTRIB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: SUM_ADD_NUMSEG: !f g m n. sum (m..n) (\i. f i + g i) = sum (m..n) f + sum (m..n) g
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_EQ_NUMSEG: !f g m n. (!i. m <= i /\ i <= n ==> f i = g i) ==> sum (m..n) f = sum (m..n) g
% Assm: TRUTH: T
% Assm: matrix_add: !A B. A + B = (lambda i j. A$i$j + B$i$j)
% Assm: matrix_mul: !A B. A ** B = (lambda i j. sum (1..dimindex (:N)) (\k. A$i$k * B$k$j))
% Goal: !A B C. A ** (B + C) = A ** B + A ** C
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !f g m n. sum (m..n) (\i. f i + g i) = sum (m..n) f + sum (m..n) g
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f g m n. (!i. m <= i /\ i <= n ==> f i = g i) ==> sum (m..n) f = sum (m..n) g
% Assm: T
% Assm: !A B. A + B = (lambda i j. A$i$j + B$i$j)
% Assm: !A B. A ** B = (lambda i j. sum (1..dimindex (:N)) (\k. A$i$k * B$k$j))
% Goal: !A B C. A ** (B + C) = A ** B + A ** C
%  TYPES
thf(tcartcartrealpn, type, cartcartrealpn : $tType).
thf(tp, type, p : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartcartrealpm, type, cartcartrealpm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tcartcartcartrealpmb, type, cartcartcartrealpmb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv1, type, univ1 : (n > $o)).
thf(cdu_2, type, d_2 : (cartrealn > num > real)).
thf(cdu_1, type, d_1 : (cartrealp > num > real)).
thf(csum0, type, sum0 : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartcartrealpm) > cartcartcartrealpmb)).
thf(cdu_4, type, d_4 : (cartcartrealpn > num > cartrealp)).
thf(cdu_3, type, d_3 : (cartcartrealnm > num > cartrealn)).
thf(cdu_0, type, d_0 : (cartcartcartrealpmb > num > cartcartrealpm)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cdu_, type, d_ : (cartcartrealpm > num > cartrealp)).
thf(cmatrixuu_add0, type, matrixu_add0 : (cartcartrealpm > cartcartrealpm > cartcartrealpm)).
thf(cmatrixuu_add, type, matrixu_add : (cartcartrealpn > cartcartrealpn > cartcartrealpn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnm > cartcartrealpn > cartcartrealpm)).
thf(clambda1, type, lambda1 : ((num > cartrealp) > cartcartrealpm)).
thf(cdimindex1, type, dimindex1 : ((n > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealp)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealpm),G:(a > cartcartrealpm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealpm,Y:cartcartrealpm]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealpm),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aSUMu_ADDu_NUMSEG, axiom, ![F:(num > real),G:(num > real),M:num,N:num]:((sum @ (o_o_ @ M @ N) @ ^[I:num]:(realu_add @ (F @ I) @ (G @ I))) = (realu_add @ (sum @ (o_o_ @ M @ N) @ F) @ (sum @ (o_o_ @ M @ N) @ G)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum0 @ S @ F) = (sum0 @ S @ G)))).
thf(aSUMu_EQu_NUMSEG, axiom, ![F:(num > real),G:(num > real),M:num,N:num]:(![I:num]:(((l_a_ @ M @ I) & (l_a_ @ I @ N)) => ((F @ I) = (G @ I))) => ((sum @ (o_o_ @ M @ N) @ F) = (sum @ (o_o_ @ M @ N) @ G)))).
thf(aTRUTH, axiom, $true).
thf(amatrixu_add, axiom, ![A:cartcartrealpm,B:cartcartrealpm]:((matrixu_add0 @ A @ B) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(realu_add @ (d_1 @ (d_ @ A @ I) @ J) @ (d_1 @ (d_ @ B @ I) @ J)))))).
thf(amatrixu_mul, axiom, ![A:cartcartrealnm,B:cartcartrealpn]:((matrixu_mul @ A @ B) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[K:num]:(realu_mul @ (d_2 @ (d_3 @ A @ I) @ K) @ (d_1 @ (d_4 @ B @ K) @ J))))))).
thf(conjecture, conjecture, ![A:cartcartrealnm,B:cartcartrealpn,C:cartcartrealpn]:((matrixu_mul @ A @ (matrixu_add @ B @ C)) = (matrixu_add0 @ (matrixu_mul @ A @ B) @ (matrixu_mul @ A @ C)))).
