%   ORIGINAL: MATRIX_MUL_ASSOC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: SUM_RMUL: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: SUM_SWAP_NUMSEG: !a b c d f. sum (a..b) (\i. sum (c..d) (f i)) = sum (c..d) (\j. sum (a..b) (\i. f i j))
% Assm: TRUTH: T
% Assm: matrix_mul: !A B. A ** B = (lambda i j. sum (1..dimindex (:N)) (\k. A$i$k * B$k$j))
% Goal: !A B C. A ** B ** C = (A ** B) ** C
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: !a b c d f. sum (a..b) (\i. sum (c..d) (f i)) = sum (c..d) (\j. sum (a..b) (\i. f i j))
% Assm: T
% Assm: !A B. A ** B = (lambda i j. sum (1..dimindex (:P)) (\k. A$i$k * B$k$j))
% Assm: !A B. A ** B = (lambda i j. sum (1..dimindex (:N)) (\k. A$i$k * B$k$j))
% Goal: !A B C. A ** B ** C = (A ** B) ** C
%  TYPES
thf(tcartcartrealqn, type, cartcartrealqn : $tType).
thf(tcartcartrealpn, type, cartcartrealpn : $tType).
thf(tp, type, p : $tType).
thf(tcartrealq, type, cartrealq : $tType).
thf(tq, type, q : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartcartrealpm, type, cartcartrealpm : $tType).
thf(tcartcartrealqm, type, cartcartrealqm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartcartrealqp, type, cartcartrealqp : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tcartcartcartrealqmb, type, cartcartcartrealqmb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv2, type, univ2 : (n > $o)).
thf(cdu_5, type, d_5 : (cartrealn > num > real)).
thf(cdu_3, type, d_3 : (cartrealq > num > real)).
thf(cdu_1, type, d_1 : (cartrealp > num > real)).
thf(csum1, type, sum1 : ((num > $o) > (num > real) > real)).
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartcartrealqm) > cartcartcartrealqmb)).
thf(cdu_7, type, d_7 : (cartcartrealqn > num > cartrealq)).
thf(cdu_6, type, d_6 : (cartcartrealnm > num > cartrealn)).
thf(cdu_4, type, d_4 : (cartcartrealqp > num > cartrealq)).
thf(cdu_2, type, d_2 : (cartcartrealpm > num > cartrealp)).
thf(cdu_0, type, d_0 : (cartcartcartrealqmb > num > cartcartrealqm)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cdu_, type, d_ : (cartcartrealqm > num > cartrealq)).
thf(cmatrixuu_mul2, type, matrixu_mul2 : (cartcartrealnm > cartcartrealpn > cartcartrealpm)).
thf(cmatrixuu_mul1, type, matrixu_mul1 : (cartcartrealpm > cartcartrealqp > cartcartrealqm)).
thf(cmatrixuu_mul0, type, matrixu_mul0 : (cartcartrealpn > cartcartrealqp > cartcartrealqn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnm > cartcartrealqn > cartcartrealqm)).
thf(clambda1, type, lambda1 : ((num > cartrealq) > cartcartrealqm)).
thf(cdimindex2, type, dimindex2 : ((n > $o) > num)).
thf(cuniv1, type, univ1 : (p > $o)).
thf(cdimindex1, type, dimindex1 : ((p > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealq)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealqm),G:(a > cartcartrealqm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealqm,Y:cartcartrealqm]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealqm),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum0 @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum0 @ S @ F)))).
thf(aSUMu_RMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum0 @ S @ ^[X:a]:(realu_mul @ (F @ X) @ C)) = (realu_mul @ (sum0 @ S @ F) @ C))).
thf(aSUMu_SWAPu_NUMSEG, axiom, ![A:num,B:num,C:num,D:num,F:(num > num > real)]:((sum1 @ (o_o_ @ A @ B) @ ^[I:num]:(sum1 @ (o_o_ @ C @ D) @ (F @ I))) = (sum1 @ (o_o_ @ C @ D) @ ^[J:num]:(sum1 @ (o_o_ @ A @ B) @ ^[I:num]:(F @ I @ J))))).
thf(aTRUTH, axiom, $true).
thf(amatrixu_mulu_monomorphized1, axiom, ![A:cartcartrealpm,B:cartcartrealqp]:((matrixu_mul1 @ A @ B) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(sum1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[K:num]:(realu_mul @ (d_1 @ (d_2 @ A @ I) @ K) @ (d_3 @ (d_4 @ B @ K) @ J))))))).
thf(amatrixu_mulu_monomorphized0, axiom, ![A:cartcartrealnm,B:cartcartrealqn]:((matrixu_mul @ A @ B) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(sum1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex2 @ univ2)) @ ^[K:num]:(realu_mul @ (d_5 @ (d_6 @ A @ I) @ K) @ (d_3 @ (d_7 @ B @ K) @ J))))))).
thf(conjecture, conjecture, ![A:cartcartrealnm,B:cartcartrealpn,C:cartcartrealqp]:((matrixu_mul @ A @ (matrixu_mul0 @ B @ C)) = (matrixu_mul1 @ (matrixu_mul2 @ A @ B) @ C))).
