%   ORIGINAL: MATRIX_CMUL_ADD_RDISTRIB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: Tactics_jordan.REAL_RDISTRIB: !x y z. (x + y) * z = x * z + y * z
% Assm: matrix_add: !A B. A + B = (lambda i j. A$i$j + B$i$j)
% Assm: matrix_cmul: !c A. %% c A = (lambda i j. c * A$i$j)
% Goal: !A b c. %% (b + c) A = %% b A + %% c A
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: T
% Assm: !x y z. (x + y) * z = x * z + y * z
% Assm: !A B. A + B = (lambda i j. A$i$j + B$i$j)
% Assm: !c A. %% c A = (lambda i j. c * A$i$j)
% Goal: !A b c. %% (b + c) A = %% b A + %% c A
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartcartcartrealnmb, type, cartcartcartrealnmb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clambda0, type, lambda0 : ((num > cartcartrealnm) > cartcartcartrealnmb)).
thf(cdu_0, type, d_0 : (cartcartcartrealnmb > num > cartcartrealnm)).
thf(cdu_, type, d_ : (cartcartrealnm > num > cartrealn)).
thf(cmatrixuu_add, type, matrixu_add : (cartcartrealnm > cartcartrealnm > cartcartrealnm)).
thf(cru_ru_, type, r_r_ : (real > cartcartrealnm > cartcartrealnm)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnm)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealnm),G:(a > cartcartrealnm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealnm,Y:cartcartrealnm]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealnm),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(aTacticsu_jordano_REALu_RDISTRIB, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ (realu_add @ X @ Y) @ Z) = (realu_add @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(amatrixu_add, axiom, ![A:cartcartrealnm,B:cartcartrealnm]:((matrixu_add @ A @ B) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(realu_add @ (d_1 @ (d_ @ A @ I) @ J) @ (d_1 @ (d_ @ B @ I) @ J)))))).
thf(amatrixu_cmul, axiom, ![C:real,A:cartcartrealnm]:((r_r_ @ C @ A) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(realu_mul @ C @ (d_1 @ (d_ @ A @ I) @ J)))))).
thf(conjecture, conjecture, ![A:cartcartrealnm,B:real,C:real]:((r_r_ @ (realu_add @ B @ C) @ A) = (matrixu_add @ (r_r_ @ B @ A) @ (r_r_ @ C @ A)))).
