%   ORIGINAL: MATRIX_ADD_AC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: MATRIX_ADD_ASSOC: !A B C. A + B + C = (A + B) + C
% Assm: MATRIX_ADD_SYM: !A B. A + B = B + A
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: A + B = B + A /\ (A + B) + C = A + B + C /\ A + B + C = B + A + C
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !A B C. A + B + C = (A + B) + C
% Assm: !A B. A + B = B + A
% Assm: ~F <=> T
% Assm: T
% Goal: !C A B. A + B = B + A /\ (A + B) + C = A + B + C /\ A + B + C = B + A + C
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_add, type, matrixu_add : (cartcartrealnm > cartcartrealnm > cartcartrealnm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealnm),G:(a > cartcartrealnm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aMATRIXu_ADDu_ASSOC, axiom, ![A:cartcartrealnm,B:cartcartrealnm,C:cartcartrealnm]:((matrixu_add @ A @ (matrixu_add @ B @ C)) = (matrixu_add @ (matrixu_add @ A @ B) @ C))).
thf(aMATRIXu_ADDu_SYM, axiom, ![A:cartcartrealnm,B:cartcartrealnm]:((matrixu_add @ A @ B) = (matrixu_add @ B @ A))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:cartcartrealnm,A:cartcartrealnm,B:cartcartrealnm]:(((matrixu_add @ A @ B) = (matrixu_add @ B @ A)) & ((matrixu_add @ (matrixu_add @ A @ B) @ C) = (matrixu_add @ A @ (matrixu_add @ B @ C))) & ((matrixu_add @ A @ (matrixu_add @ B @ C)) = (matrixu_add @ B @ (matrixu_add @ A @ C))))).
