%   ORIGINAL: MATRIX_NEG_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: TRUTH: T
% Assm: matrix_neg: !A. --A = (lambda i j. --(A$i$j))
% Assm: matrix_sub: !A B. A - B = (lambda i j. A$i$j - B$i$j)
% Goal: !A B. --(A - B) = B - A
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !x y. --(x - y) = y - x
% Assm: T
% Assm: !A. --A = (lambda i j. --(A$i$j))
% Assm: !A B. A - B = (lambda i j. A$i$j - B$i$j)
% Goal: !A B. --(A - B) = B - A
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartcartcartrealnmb, type, cartcartcartrealnmb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartcartrealnm) > cartcartcartrealnmb)).
thf(cdu_0, type, d_0 : (cartcartcartrealnmb > num > cartcartrealnm)).
thf(cdu_, type, d_ : (cartcartrealnm > num > cartrealn)).
thf(cmatrixuu_sub, type, matrixu_sub : (cartcartrealnm > cartcartrealnm > cartcartrealnm)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnm)).
thf(cmatrixuu_neg, type, matrixu_neg : (cartcartrealnm > cartcartrealnm)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealnm),G:(a > cartcartrealnm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealnm,Y:cartcartrealnm]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealnm),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(amatrixu_neg, axiom, ![A:cartcartrealnm]:((matrixu_neg @ A) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(realu_neg @ (d_1 @ (d_ @ A @ I) @ J)))))).
thf(amatrixu_sub, axiom, ![A:cartcartrealnm,B:cartcartrealnm]:((matrixu_sub @ A @ B) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(realu_sub @ (d_1 @ (d_ @ A @ I) @ J) @ (d_1 @ (d_ @ B @ I) @ J)))))).
thf(conjecture, conjecture, ![A:cartcartrealnm,B:cartcartrealnm]:((matrixu_neg @ (matrixu_sub @ A @ B)) = (matrixu_sub @ B @ A))).
