%   ORIGINAL: MATRIX_VECTOR_MUL_SUB_RDISTRIB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: REAL_SUB_RDISTRIB: !x y z. (x - y) * z = x * z - y * z
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_SUB_NUMSEG: !f g m n. sum (m..n) (\i. f i - g i) = sum (m..n) f - sum (m..n) g
% Assm: TRUTH: T
% Assm: VECTOR_SUB_COMPONENT: !x y i. (x - y)$i = x$i - y$i
% Assm: matrix_sub: !A B. A - B = (lambda i j. A$i$j - B$i$j)
% Assm: matrix_vector_mul: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Goal: !A B x. (A - B) ** x = A ** x - B ** x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !x y z. (x - y) * z = x * z - y * z
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f g m n. sum (m..n) (\i. f i - g i) = sum (m..n) f - sum (m..n) g
% Assm: T
% Assm: !x y i. (x - y)$i = x$i - y$i
% Assm: !A B. A - B = (lambda i j. A$i$j - B$i$j)
% Assm: !A x. A ** x = (lambda i. sum (1..dimindex (:M)) (\j. A$i$j * x$j))
% Goal: !A B x. (A - B) ** x = A ** x - B ** x
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tcartcartrealnb, type, cartcartrealnb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv1, type, univ1 : (m > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(cdu_1, type, d_1 : (cartrealm > num > real)).
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnb)).
thf(cdu_2, type, d_2 : (cartcartrealmn > num > cartrealm)).
thf(cdu_0, type, d_0 : (cartcartrealnb > num > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cmatrixuu_sub, type, matrixu_sub : (cartcartrealmn > cartcartrealmn > cartcartrealmn)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealm)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealn)).
thf(clambda1, type, lambda1 : ((num > cartrealm) > cartcartrealmn)).
thf(cdimindex1, type, dimindex1 : ((m > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aREALu_SUBu_RDISTRIB, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ (realu_sub @ X @ Y) @ Z) = (realu_sub @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_SUBu_NUMSEG, axiom, ![F:(num > real),G:(num > real),M:num,N:num]:((sum0 @ (o_o_ @ M @ N) @ ^[I:num]:(realu_sub @ (F @ I) @ (G @ I))) = (realu_sub @ (sum0 @ (o_o_ @ M @ N) @ F) @ (sum0 @ (o_o_ @ M @ N) @ G)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_ @ (vectoru_sub @ X @ Y) @ I) = (realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(amatrixu_sub, axiom, ![A:cartcartrealmn,B:cartcartrealmn]:((matrixu_sub @ A @ B) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(realu_sub @ (d_1 @ (d_2 @ A @ I) @ J) @ (d_1 @ (d_2 @ B @ I) @ J)))))).
thf(amatrixu_vectoru_mul, axiom, ![A:cartcartrealmn,X:cartrealm]:((matrixu_vectoru_mul @ A @ X) = (lambda3 @ ^[I:num]:(sum0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[J:num]:(realu_mul @ (d_1 @ (d_2 @ A @ I) @ J) @ (d_1 @ X @ J)))))).
thf(conjecture, conjecture, ![A:cartcartrealmn,B:cartcartrealmn,X:cartrealm]:((matrixu_vectoru_mul @ (matrixu_sub @ A @ B) @ X) = (vectoru_sub @ (matrixu_vectoru_mul @ A @ X) @ (matrixu_vectoru_mul @ B @ X)))).
