%   ORIGINAL: MATRIX_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUM_DELTA: !s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: basis: !k. basis k = (lambda i. if i = k then &1 else &0)
% Assm: matrix_vector_mul: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Goal: !A B. A = B <=> (!x. A ** x = B ** x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f x y. f (if b then x else y) <=> (if b then f x else f y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> ((lambda) g$i <=> g i)
% Assm: ~F <=> T
% Assm: !x. x * &1 = x
% Assm: !x. x * &0 = &0
% Assm: !b s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
% Assm: !b s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
% Assm: !b s a. sum s (\x. if x <=> a then b else &0) = (if a IN s then b else &0)
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !k. basis k = (lambda i. if i = k then &1 else &0)
% Assm: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Goal: !A B. A = B <=> (!x. A ** x = B ** x)
%  TYPES
thf(tcartboolb, type, cartboolb : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tcartcartcartrealnmb, type, cartcartcartrealnmb : $tType).
thf(tcartcartrealmb, type, cartcartrealmb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv1, type, univ1 : (n > $o)).
thf(cdu_4, type, d_4 : (cartrealn > num > real)).
thf(csum3, type, sum3 : ((num > $o) > (num > real) > real)).
thf(csum2, type, sum2 : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin4, type, in4 : (q70972 > (q70972 > $o) > $o)).
thf(cin3, type, in3 : ($o > ($o > $o) > $o)).
thf(csum1, type, sum1 : (($o > $o) > ($o > real) > real)).
thf(cin2, type, in2 : (cartcartrealnm > (cartcartrealnm > $o) > $o)).
thf(csum0, type, sum0 : ((cartcartrealnm > $o) > (cartcartrealnm > real) > real)).
thf(cin1, type, in1 : (cartrealm > (cartrealm > $o) > $o)).
thf(csum, type, sum : ((cartrealm > $o) > (cartrealm > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdu_3, type, d_3 : (cartboolb > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealm > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda2, type, lambda2 : ((num > $o) > cartboolb)).
thf(clambda1, type, lambda1 : ((num > cartcartrealnm) > cartcartcartrealnmb)).
thf(clambda0, type, lambda0 : ((num > cartrealm) > cartcartrealmb)).
thf(ccond3, type, cond3 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdu_2, type, d_2 : (cartcartcartrealnmb > num > cartcartrealnm)).
thf(cdu_1, type, d_1 : (cartcartrealmb > num > cartrealm)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(ccond2, type, cond2 : ($o > a > a > a)).
thf(ccond1, type, cond1 : ($o > $o > $o > $o)).
thf(ccond0, type, cond0 : ($o > cartcartrealnm > cartcartrealnm > cartcartrealnm)).
thf(ccond, type, cond : ($o > cartrealm > cartrealm > cartrealm)).
thf(cdu_0, type, d_0 : (cartcartrealnm > num > cartrealn)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnm > cartrealn > cartrealm)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealm)).
thf(cbasis, type, basis : (num > cartrealm)).
thf(cdimindex1, type, dimindex1 : ((n > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnm),G:(a > cartcartrealnm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQu_monomorphized1, axiom, ![X:cartrealm,Y:cartrealm]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCARTu_EQu_monomorphized0, axiom, ![X:cartcartrealnm,Y:cartcartrealnm]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ X @ I) = (d_0 @ Y @ I))))).
thf(aCONDu_CLAUSESu_monomorphized2, axiom, ![T1:cartrealm,T2:cartrealm]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:cartcartrealnm,T2:cartcartrealnm]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:$o,T2:$o]:(((cond1 @ $true @ T1 @ T2) <=> T1) & ((cond1 @ $false @ T1 @ T2) <=> T2))).
thf(aCONDu_RANDu_monomorphized2, axiom, ![B:$o,F:(a > cartrealm),X:a,Y:a]:((F @ (cond2 @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RANDu_monomorphized1, axiom, ![B:$o,F:(a > cartcartrealnm),X:a,Y:a]:((F @ (cond2 @ B @ X @ Y)) = (cond0 @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RANDu_monomorphized0, axiom, ![B:$o,F:(a > $o),X:a,Y:a]:((F @ (cond2 @ B @ X @ Y)) <=> (cond1 @ B @ (F @ X) @ (F @ Y)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETAu_monomorphized2, axiom, ![G:(num > cartrealm),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_1 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > cartcartrealnm),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_2 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_3 @ (lambda2 @ G) @ I) <=> (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_DELTAu_monomorphized2, axiom, ![B:real,S:(cartrealm > $o),A:cartrealm]:((sum @ S @ ^[X:cartrealm]:(cond3 @ (X = A) @ B @ (realu_ofu_num @ (numeral @ u_0)))) = (cond3 @ (in1 @ A @ S) @ B @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSUMu_DELTAu_monomorphized1, axiom, ![B:real,S:(cartcartrealnm > $o),A:cartcartrealnm]:((sum0 @ S @ ^[X:cartcartrealnm]:(cond3 @ (X = A) @ B @ (realu_ofu_num @ (numeral @ u_0)))) = (cond3 @ (in2 @ A @ S) @ B @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSUMu_DELTAu_monomorphized0, axiom, ![B:real,S:($o > $o),A:$o]:((sum1 @ S @ ^[X:$o]:(cond3 @ (X <=> A) @ B @ (realu_ofu_num @ (numeral @ u_0)))) = (cond3 @ (in3 @ A @ S) @ B @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in4 @ X @ S) => ((F @ X) = (G @ X))) => ((sum2 @ S @ F) = (sum2 @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(abasis, axiom, ![K:num]:((basis @ K) = (lambda3 @ ^[I:num]:(cond3 @ (I = K) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(amatrixu_vectoru_mul, axiom, ![A:cartcartrealnm,X:cartrealn]:((matrixu_vectoru_mul @ A @ X) = (lambda3 @ ^[I:num]:(sum3 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[J:num]:(realu_mul @ (d_4 @ (d_0 @ A @ I) @ J) @ (d_4 @ X @ J)))))).
thf(conjecture, conjecture, ![A:cartcartrealnm,B:cartcartrealnm]:((A = B) <=> ![X:cartrealn]:((matrixu_vectoru_mul @ A @ X) = (matrixu_vectoru_mul @ B @ X)))).
