%   ORIGINAL: MATRIX_VECTOR_MUL_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: matrix_vector_mul: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Goal: !A x k. 1 <= k /\ k <= dimindex (:M) ==> (A ** x)$k = A$k dot x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !g i. 1 <= i /\ i <= dimindex (:M) ==> (lambda) g$i = g i
% Assm: T
% Assm: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Goal: !A x k. 1 <= k /\ k <= dimindex (:M) ==> (A ** x)$k = A$k dot x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cdu_, type, d_ : (cartrealm > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cdu_0, type, d_0 : (cartcartrealnm > num > cartrealn)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnm > cartrealn > cartrealm)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealm)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(adot, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[I:num]:(realu_mul @ (d_1 @ X @ I) @ (d_1 @ Y @ I))))).
thf(amatrixu_vectoru_mul, axiom, ![A:cartcartrealnm,X:cartrealn]:((matrixu_vectoru_mul @ A @ X) = (lambda0 @ ^[I:num]:(sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[J:num]:(realu_mul @ (d_1 @ (d_0 @ A @ I) @ J) @ (d_1 @ X @ J)))))).
thf(conjecture, conjecture, ![A:cartcartrealnm,X:cartrealn,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => ((d_ @ (matrixu_vectoru_mul @ A @ X) @ K) = (dot @ (d_0 @ A @ K) @ X)))).
