%   ORIGINAL: TRANSP_MATRIX_CMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_CMUL_COMPONENT: !c A i. %% c A$i$j = c * A$i$j
% Assm: TRUTH: T
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A c. transp (%% c A) = %% c (transp A)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !j c A i. %% c A$i$j = c * A$i$j
% Assm: !j c A i. %% c A$i$j = c * A$i$j
% Assm: T
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A c. transp (%% c A) = %% c (transp A)
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartcartrealnmb, type, cartcartcartrealnmb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cdu_2, type, d_2 : (cartrealm > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartcartrealnm) > cartcartcartrealnmb)).
thf(cdu_3, type, d_3 : (cartcartrealmn > num > cartrealm)).
thf(cdu_0, type, d_0 : (cartcartcartrealnmb > num > cartcartrealnm)).
thf(cdu_, type, d_ : (cartcartrealnm > num > cartrealn)).
thf(cru_ru_0, type, r_r_0 : (real > cartcartrealnm > cartcartrealnm)).
thf(cru_ru_, type, r_r_ : (real > cartcartrealmn > cartcartrealmn)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnm)).
thf(ctransp, type, transp : (cartcartrealmn > cartcartrealnm)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealnm),G:(a > cartcartrealnm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealnm,Y:cartcartrealnm]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealnm),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aMATRIXu_CMULu_COMPONENTu_monomorphized1, axiom, ![J:num,C:real,A:cartcartrealnm,I:num]:((d_1 @ (d_ @ (r_r_0 @ C @ A) @ I) @ J) = (realu_mul @ C @ (d_1 @ (d_ @ A @ I) @ J)))).
thf(aMATRIXu_CMULu_COMPONENTu_monomorphized0, axiom, ![J:num,C:real,A:cartcartrealmn,I:num]:((d_2 @ (d_3 @ (r_r_ @ C @ A) @ I) @ J) = (realu_mul @ C @ (d_2 @ (d_3 @ A @ I) @ J)))).
thf(aTRUTH, axiom, $true).
thf(atransp, axiom, ![A:cartcartrealmn]:((transp @ A) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(d_2 @ (d_3 @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealmn,C:real]:((transp @ (r_r_ @ C @ A)) = (r_r_0 @ C @ (transp @ A)))).
