%   ORIGINAL: COLUMN_TRANSP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: column: !A j. column j A = (lambda i. A$i$j)
% Assm: row: !A i. row i A = (lambda j. A$i$j)
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A i. 1 <= i /\ i <= dimindex (:M) ==> column i (transp A) = row i A
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:M) ==> (lambda) g$i = g i
% Assm: T
% Assm: !A j. column j A = (lambda i. A$i$j)
% Assm: !A i. row i A = (lambda j. A$i$j)
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A i. 1 <= i /\ i <= dimindex (:M) ==> column i (transp A) = row i A
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_1, type, d_1 : (cartrealm > num > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_2, type, d_2 : (cartcartrealmn > num > cartrealm)).
thf(cdu_0, type, d_0 : (cartcartrealnm > num > cartrealn)).
thf(crow, type, row : (num > cartcartrealnm > cartrealn)).
thf(ccolumn, type, column : (num > cartcartrealmn > cartrealn)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealm)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnm)).
thf(clambda2, type, lambda2 : ((num > cartrealm) > cartcartrealmn)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(ctransp, type, transp : (cartcartrealnm > cartcartrealmn)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(acolumn, axiom, ![A:cartcartrealmn,J:num]:((column @ J @ A) = (lambda1 @ ^[I:num]:(d_1 @ (d_2 @ A @ I) @ J)))).
thf(arow, axiom, ![A:cartcartrealnm,I:num]:((row @ I @ A) = (lambda1 @ ^[J:num]:(d_ @ (d_0 @ A @ I) @ J)))).
thf(atransp, axiom, ![A:cartcartrealnm]:((transp @ A) = (lambda2 @ ^[I:num]:(lambda3 @ ^[J:num]:(d_ @ (d_0 @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealnm,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((column @ I @ (transp @ A)) = (row @ I @ A)))).
