%   ORIGINAL: VECTOR_MATRIX_MUL_TRANSP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: matrix_vector_mul: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Assm: vector_matrix_mul: !A x. x ** A = (lambda j. sum (1..dimindex (:M)) (\i. A$i$j * x$i))
% Goal: !A x. x ** A = transp A ** x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Assm: !A. transp A = (lambda i j. A$j$i)
% Assm: !A x. x ** A = (lambda j. sum (1..dimindex (:N)) (\i. A$i$j * x$i))
% Goal: !A x. x ** A = transp A ** x
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tcartcartrealmb, type, cartcartrealmb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv1, type, univ1 : (n > $o)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealm > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealm) > cartcartrealmb)).
thf(cdu_3, type, d_3 : (cartcartrealmn > num > cartrealm)).
thf(cdu_2, type, d_2 : (cartcartrealnm > num > cartrealn)).
thf(cdu_0, type, d_0 : (cartcartrealmb > num > cartrealm)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnm > cartrealn > cartrealm)).
thf(cvectoruu_matrixuu_mul, type, vectoru_matrixu_mul : (cartrealn > cartcartrealmn > cartrealm)).
thf(clambda2, type, lambda2 : ((num > cartrealn) > cartcartrealnm)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealm)).
thf(ctransp, type, transp : (cartcartrealmn > cartcartrealnm)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealn)).
thf(cdimindex1, type, dimindex1 : ((n > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealm,Y:cartrealm]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealm),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(amatrixu_vectoru_mul, axiom, ![A:cartcartrealnm,X:cartrealn]:((matrixu_vectoru_mul @ A @ X) = (lambda1 @ ^[I:num]:(sum0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[J:num]:(realu_mul @ (d_1 @ (d_2 @ A @ I) @ J) @ (d_1 @ X @ J)))))).
thf(atransp, axiom, ![A:cartcartrealmn]:((transp @ A) = (lambda2 @ ^[I:num]:(lambda3 @ ^[J:num]:(d_ @ (d_3 @ A @ J) @ I))))).
thf(avectoru_matrixu_mul, axiom, ![A:cartcartrealmn,X:cartrealn]:((vectoru_matrixu_mul @ X @ A) = (lambda1 @ ^[J:num]:(sum0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[I:num]:(realu_mul @ (d_ @ (d_3 @ A @ I) @ J) @ (d_1 @ X @ I)))))).
thf(conjecture, conjecture, ![A:cartcartrealmn,X:cartrealn]:((vectoru_matrixu_mul @ X @ A) = (matrixu_vectoru_mul @ (transp @ A) @ X))).
