%   ORIGINAL: MATRIX_VECTOR_MUL_TRANSP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRANSP_TRANSP: !A. transp (transp A) = A
% Assm: TRUTH: T
% Assm: VECTOR_MATRIX_MUL_TRANSP: !A x. x ** A = transp A ** x
% Goal: !A x. A ** x = x ** transp A
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A. transp (transp A) = A
% Assm: T
% Assm: !A x. x ** A = transp A ** x
% Goal: !A x. A ** x = x ** transp A
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_matrixuu_mul, type, vectoru_matrixu_mul : (cartrealm > cartcartrealnm > cartrealn)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(ctransp, type, transp : (cartcartrealmn > cartcartrealnm)).
thf(ctransp0, type, transp0 : (cartcartrealnm > cartcartrealmn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRANSPu_TRANSP, axiom, ![A:cartcartrealnm]:((transp @ (transp0 @ A)) = A)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MATRIXu_MULu_TRANSP, axiom, ![A:cartcartrealnm,X:cartrealm]:((vectoru_matrixu_mul @ X @ A) = (matrixu_vectoru_mul @ (transp0 @ A) @ X))).
thf(conjecture, conjecture, ![A:cartcartrealmn,X:cartrealm]:((matrixu_vectoru_mul @ A @ X) = (vectoru_matrixu_mul @ X @ (transp @ A)))).
