%   ORIGINAL: FINITE_ROWS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: SIMPLE_IMAGE_GEN: !f P. {f x | P x} = IMAGE f {x | P x}
% Assm: TRUTH: T
% Assm: numseg: !m n. m..n = {x | m <= x /\ x <= n}
% Assm: rows: !A. rows A = {row i A | 1 <= i /\ i <= dimindex (:M)}
% Goal: !A. FINITE (rows A)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !m n. FINITE (m..n)
% Assm: !f P. {f x | P x} = IMAGE f {x | P x}
% Assm: T
% Assm: !m n. m..n = {x | m <= x /\ x <= n}
% Assm: !A. rows A = {row i A | 1 <= i /\ i <= dimindex (:M)}
% Goal: !A. FINITE (rows A)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq47841, type, q47841 : $tType).
thf(tq47854, type, q47854 : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cgspec2, type, gspec2 : ((cartrealn > $o) > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec1, type, gspec1 : ((num > $o) > num > $o)).
thf(cgspec0, type, gspec0 : ((q47854 > $o) > q47854 > $o)).
thf(cgspec, type, gspec : ((q47841 > $o) > q47841 > $o)).
thf(crows, type, rows : (cartcartrealnm > cartrealn > $o)).
thf(crow, type, row : (num > cartcartrealnm > cartrealn)).
thf(csetspec2, type, setspec2 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec1, type, setspec1 : (num > $o > num > $o)).
thf(csetspec0, type, setspec0 : (q47854 > $o > q47854 > $o)).
thf(cimage0, type, image0 : ((q47854 > q47841) > (q47854 > $o) > q47841 > $o)).
thf(csetspec, type, setspec : (q47841 > $o > q47841 > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aSIMPLEu_IMAGEu_GEN, axiom, ![F:(q47854 > q47841),P:(q47854 > $o)]:((gspec @ ^[GENR_PVARR_12:q47841]:?[X:q47854]:(setspec @ GENR_PVARR_12 @ (P @ X) @ (F @ X))) = (image0 @ F @ (gspec0 @ ^[GENR_PVARR_13:q47854]:?[X:q47854]:(setspec0 @ GENR_PVARR_13 @ (P @ X) @ X))))).
thf(aTRUTH, axiom, $true).
thf(anumseg, axiom, ![M:num,N:num]:((o_o_ @ M @ N) = (gspec1 @ ^[GENR_PVARR_135:num]:?[X:num]:(setspec1 @ GENR_PVARR_135 @ ((l_a_ @ M @ X) & (l_a_ @ X @ N)) @ X)))).
thf(arows, axiom, ![A:cartcartrealnm]:((rows @ A) = (gspec2 @ ^[GENR_PVARR_265:cartrealn]:?[I:num]:(setspec2 @ GENR_PVARR_265 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (row @ I @ A))))).
thf(conjecture, conjecture, ![A:cartcartrealnm]:(finite @ (rows @ A))).
