%   ORIGINAL: MATRIX_EQUAL_ROWS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: row: !A i. row i A = (lambda j. A$i$j)
% Goal: !A B. A = B <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> row i A = row i B)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:M) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:M) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:M) ==> ((lambda) g$i <=> g i)
% Assm: T
% Assm: !A i. row i A = (lambda j. A$i$j)
% Goal: !A B. A = B <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> row i A = row i B)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartcartrealnmm, type, cartcartcartrealnmm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartboolm, type, cartboolm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cdu_2, type, d_2 : (cartrealn > num > real)).
thf(cdu_1, type, d_1 : (cartboolm > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_0, type, d_0 : (cartcartcartrealnmm > num > cartcartrealnm)).
thf(cdu_, type, d_ : (cartcartrealnm > num > cartrealn)).
thf(crow, type, row : (num > cartcartrealnm > cartrealn)).
thf(clambda2, type, lambda2 : ((num > $o) > cartboolm)).
thf(clambda1, type, lambda1 : ((num > cartcartrealnm) > cartcartcartrealnmm)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnm)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealn)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnm),G:(a > cartcartrealnm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealnm,Y:cartcartrealnm]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETAu_monomorphized2, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > cartcartrealnm),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_1 @ (lambda2 @ G) @ I) <=> (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(arow, axiom, ![A:cartcartrealnm,I:num]:((row @ I @ A) = (lambda3 @ ^[J:num]:(d_2 @ (d_ @ A @ I) @ J)))).
thf(conjecture, conjecture, ![A:cartcartrealnm,B:cartcartrealnm]:((A = B) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((row @ I @ A) = (row @ I @ B))))).
