%   ORIGINAL: MATRIX_EQUAL_COLUMNS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: column: !A j. column j A = (lambda i. A$i$j)
% Goal: !A B. A = B <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> column i A = column i B)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !t. (\x. t x) = t
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> ((lambda) g$i <=> g i)
% Assm: ~F <=> T
% Assm: T
% Assm: !A j. column j A = (lambda i. A$i$j)
% Goal: !A B. A = B <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> column i A = column i B)
%  TYPES
thf(tcartcartcartrealnmn, type, cartcartcartrealnmn : $tType).
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartbooln, type, cartbooln : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (m > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(cdu_4, type, d_4 : (cartrealn > num > real)).
thf(cdu_3, type, d_3 : (cartbooln > num > $o)).
thf(cdu_, type, d_ : (cartrealm > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_2, type, d_2 : (cartcartcartrealnmn > num > cartcartrealnm)).
thf(cdu_1, type, d_1 : (cartcartrealmn > num > cartrealm)).
thf(cdu_0, type, d_0 : (cartcartrealnm > num > cartrealn)).
thf(ccolumn, type, column : (num > cartcartrealnm > cartrealm)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealm)).
thf(clambda2, type, lambda2 : ((num > $o) > cartbooln)).
thf(clambda1, type, lambda1 : ((num > cartcartrealnm) > cartcartcartrealnmn)).
thf(clambda0, type, lambda0 : ((num > cartrealm) > cartcartrealmn)).
thf(cdimindex0, type, dimindex0 : ((m > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnm),G:(a > cartcartrealnm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQu_monomorphized1, axiom, ![X:cartrealm,Y:cartrealm]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCARTu_EQu_monomorphized0, axiom, ![X:cartcartrealnm,Y:cartcartrealnm]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ X @ I) = (d_0 @ Y @ I))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLAMBDAu_BETAu_monomorphized2, axiom, ![G:(num > cartrealm),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_1 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > cartcartrealnm),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_2 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_3 @ (lambda2 @ G) @ I) <=> (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acolumn, axiom, ![A:cartcartrealnm,J:num]:((column @ J @ A) = (lambda3 @ ^[I:num]:(d_4 @ (d_0 @ A @ I) @ J)))).
thf(conjecture, conjecture, ![A:cartcartrealnm,B:cartcartrealnm]:((A = B) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((column @ I @ A) = (column @ I @ B))))).
