%   ORIGINAL: MATRIX_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: TRUTH: T
% Assm: invertible: !A. invertible A <=> (?A'. A ** A' = mat 1 /\ A' ** A = mat 1)
% Assm: matrix_inv: !A. matrix_inv A = (@A'. A ** A' = mat 1 /\ A' ** A = mat 1)
% Goal: !A. invertible A ==> A ** matrix_inv A = mat 1 /\ matrix_inv A ** A = mat 1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: (?) = (\P. P ((@) P))
% Assm: T
% Assm: !A. invertible A <=> (?A'. A ** A' = mat 1 /\ A' ** A = mat 1)
% Assm: !A. matrix_inv A = (@A'. A ** A' = mat 1 /\ A' ** A = mat 1)
% Goal: !A. invertible A ==> A ** matrix_inv A = mat 1 /\ matrix_inv A ** A = mat 1
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealmm, type, cartcartrealmm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cmatrixuu_mul0, type, matrixu_mul0 : (cartcartrealmn > cartcartrealnm > cartcartrealnn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnm > cartcartrealmn > cartcartrealmm)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(cinvertible, type, invertible : (cartcartrealnm > $o)).
thf(cmat, type, mat : (num > cartcartrealmm)).
thf(chu_0, type, h_0 : ((cartcartrealmn > $o) > cartcartrealmn)).
thf(cmat0, type, mat0 : (num > cartcartrealnn)).
thf(cmatrixuu_inv, type, matrixu_inv : (cartcartrealnm > cartcartrealmn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartcartrealmm),G:(a > cartcartrealmm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aTRUTH, axiom, $true).
thf(ainvertible, axiom, ![A:cartcartrealnm]:((invertible @ A) <=> ?[AI_:cartcartrealmn]:(((matrixu_mul @ A @ AI_) = (mat @ (numeral @ (bit1 @ u_0)))) & ((matrixu_mul0 @ AI_ @ A) = (mat0 @ (numeral @ (bit1 @ u_0))))))).
thf(amatrixu_inv, axiom, ![A:cartcartrealnm]:((matrixu_inv @ A) = (h_0 @ ^[AI_:cartcartrealmn]:(((matrixu_mul @ A @ AI_) = (mat @ (numeral @ (bit1 @ u_0)))) & ((matrixu_mul0 @ AI_ @ A) = (mat0 @ (numeral @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![A:cartcartrealnm]:((invertible @ A) => (((matrixu_mul @ A @ (matrixu_inv @ A)) = (mat @ (numeral @ (bit1 @ u_0)))) & ((matrixu_mul0 @ (matrixu_inv @ A) @ A) = (mat0 @ (numeral @ (bit1 @ u_0))))))).
