%   ORIGINAL: MATRIX_WORKS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LINEAR_COMPONENTWISE: !f. linear f ==> (!x j. 1 <= j /\ j <= dimindex (:N) ==> f x$j = sum (1..dimindex (:M)) (\i. x$i * f (basis i)$j))
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: matrix: !f. matrix f = (lambda i j. f (basis j)$i)
% Assm: matrix_vector_mul: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Goal: !f. linear f ==> (!x. matrix f ** x = f x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f. linear f ==> (!x j. 1 <= j /\ j <= dimindex (:N) ==> f x$j = sum (1..dimindex (:M)) (\i. x$i * f (basis i)$j))
% Assm: !x y. x * y = y * x
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !f. matrix f = (lambda i j. f (basis j)$i)
% Assm: !A x. A ** x = (lambda i. sum (1..dimindex (:M)) (\j. A$i$j * x$j))
% Goal: !f. linear f ==> (!x. matrix f ** x = f x)
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tcartcartrealnb, type, cartcartrealnb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv1, type, univ1 : (m > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(csum0, type, sum0 : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(cdu_1, type, d_1 : (cartrealm > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnb)).
thf(cdu_2, type, d_2 : (cartcartrealmn > num > cartrealm)).
thf(cdu_0, type, d_0 : (cartcartrealnb > num > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealm)).
thf(cbasis, type, basis : (num > cartrealm)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealn)).
thf(clambda1, type, lambda1 : ((num > cartrealm) > cartcartrealmn)).
thf(cmatrix, type, matrix : ((cartrealm > cartrealn) > cartcartrealmn)).
thf(cdimindex1, type, dimindex1 : ((m > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLINEARu_COMPONENTWISE, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => ![X:cartrealm,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ))) => ((d_ @ (F @ X) @ J) = (sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[I:num]:(realu_mul @ (d_1 @ X @ I) @ (d_ @ (F @ (basis @ I)) @ J))))))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum0 @ S @ F) = (sum0 @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(amatrix, axiom, ![F:(cartrealm > cartrealn)]:((matrix @ F) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(d_ @ (F @ (basis @ J)) @ I))))).
thf(amatrixu_vectoru_mul, axiom, ![A:cartcartrealmn,X:cartrealm]:((matrixu_vectoru_mul @ A @ X) = (lambda3 @ ^[I:num]:(sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[J:num]:(realu_mul @ (d_1 @ (d_2 @ A @ I) @ J) @ (d_1 @ X @ J)))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => ![X:cartrealm]:((matrixu_vectoru_mul @ (matrix @ F) @ X) = (F @ X)))).
