%   ORIGINAL: MATRIX_VECTOR_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: MATRIX_WORKS: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: TRUTH: T
% Goal: !f. linear f ==> f = (\x. matrix f ** x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: T
% Goal: !f. linear f ==> f = (\x. matrix f ** x)
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cmatrix, type, matrix : ((cartrealm > cartrealn) > cartcartrealmn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm > cartrealn),G:(a > cartrealm > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:((F = G) <=> ![X:cartrealm]:((F @ X) = (G @ X)))).
thf(aMATRIXu_WORKS, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => ![X:cartrealm]:((matrixu_vectoru_mul @ (matrix @ F) @ X) = (F @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => (F = ^[X:cartrealm]:(matrixu_vectoru_mul @ (matrix @ F) @ X)))).
