%   ORIGINAL: MATRIX_OF_MATRIX_VECTOR_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MATRIX_EQ: !A B. A = B <=> (!x. A ** x = B ** x)
% Assm: MATRIX_VECTOR_MUL_LINEAR: !A. linear (\x. A ** x)
% Assm: MATRIX_WORKS: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: TRUTH: T
% Goal: !A. matrix (\x. A ** x) = A
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A B. A = B <=> (!x. A ** x = B ** x)
% Assm: !A. linear (\x. A ** x)
% Assm: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: T
% Goal: !A. matrix (\x. A ** x) = A
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnm > cartrealn > cartrealm)).
thf(clinear, type, linear : ((cartrealn > cartrealm) > $o)).
thf(cmatrix, type, matrix : ((cartrealn > cartrealm) > cartcartrealnm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealnm),G:(a > cartcartrealnm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMATRIXu_EQ, axiom, ![A:cartcartrealnm,B:cartcartrealnm]:((A = B) <=> ![X:cartrealn]:((matrixu_vectoru_mul @ A @ X) = (matrixu_vectoru_mul @ B @ X)))).
thf(aMATRIXu_VECTORu_MULu_LINEAR, axiom, ![A:cartcartrealnm]:(linear @ ^[X:cartrealn]:(matrixu_vectoru_mul @ A @ X))).
thf(aMATRIXu_WORKS, axiom, ![F:(cartrealn > cartrealm)]:((linear @ F) => ![X:cartrealn]:((matrixu_vectoru_mul @ (matrix @ F) @ X) = (F @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnm]:((matrix @ ^[X:cartrealn]:(matrixu_vectoru_mul @ A @ X)) = A)).
