%   ORIGINAL: MATRIX_COMPOSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LINEAR_COMPOSE: !f g. linear f /\ linear g ==> linear (g o f)
% Assm: MATRIX_EQ: !A B. A = B <=> (!x. A ** x = B ** x)
% Assm: MATRIX_VECTOR_MUL_ASSOC: !A B x. A ** B ** x = (A ** B) ** x
% Assm: MATRIX_WORKS: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g. linear f /\ linear g ==> matrix (g o f) = matrix g ** matrix f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. linear f /\ linear g ==> linear (g o f)
% Assm: !A B. A = B <=> (!x. A ** x = B ** x)
% Assm: !A B x. A ** B ** x = (A ** B) ** x
% Assm: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g. linear f /\ linear g ==> matrix (g o f) = matrix g ** matrix f
%  TYPES
thf(tcartrealq115134, type, cartrealq115134 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq115136, type, cartrealq115136 : $tType).
thf(tcartcartrealq115134q115136, type, cartcartrealq115134q115136 : $tType).
thf(tcartcartrealq115135q115136, type, cartcartrealq115135q115136 : $tType).
thf(treal, type, real : $tType).
thf(tq115134, type, q115134 : $tType).
thf(tcartrealq115135, type, cartrealq115135 : $tType).
thf(tq115135, type, q115135 : $tType).
thf(tcartcartrealq115135q115134, type, cartcartrealq115135q115134 : $tType).
thf(tq115136, type, q115136 : $tType).
%  CONSTS
thf(cmatrixuu_vectoruu_mul1, type, matrixu_vectoru_mul1 : (cartcartrealq115135q115134 > cartrealq115135 > cartrealq115134)).
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealq115134q115136 > cartrealq115134 > cartrealq115136)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealq115135q115136 > cartrealq115135 > cartrealq115136)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealq115134q115136 > cartcartrealq115135q115134 > cartcartrealq115135q115136)).
thf(co, type, o : ((cartrealq115134 > cartrealq115136) > (cartrealq115135 > cartrealq115134) > cartrealq115135 > cartrealq115136)).
thf(clinear1, type, linear1 : ((cartrealq115135 > cartrealq115136) > $o)).
thf(clinear0, type, linear0 : ((cartrealq115134 > cartrealq115136) > $o)).
thf(clinear, type, linear : ((cartrealq115135 > cartrealq115134) > $o)).
thf(cmatrix1, type, matrix1 : ((cartrealq115135 > cartrealq115134) > cartcartrealq115135q115134)).
thf(cmatrix0, type, matrix0 : ((cartrealq115134 > cartrealq115136) > cartcartrealq115134q115136)).
thf(cmatrix, type, matrix : ((cartrealq115135 > cartrealq115136) > cartcartrealq115135q115136)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealq115135q115136),G:(a > cartcartrealq115135q115136)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLINEARu_COMPOSE, axiom, ![F:(cartrealq115135 > cartrealq115134),G:(cartrealq115134 > cartrealq115136)]:(((linear @ F) & (linear0 @ G)) => (linear1 @ (o @ G @ F)))).
thf(aMATRIXu_EQ, axiom, ![A:cartcartrealq115135q115136,B:cartcartrealq115135q115136]:((A = B) <=> ![X:cartrealq115135]:((matrixu_vectoru_mul @ A @ X) = (matrixu_vectoru_mul @ B @ X)))).
thf(aMATRIXu_VECTORu_MULu_ASSOC, axiom, ![A:cartcartrealq115134q115136,B:cartcartrealq115135q115134,X:cartrealq115135]:((matrixu_vectoru_mul0 @ A @ (matrixu_vectoru_mul1 @ B @ X)) = (matrixu_vectoru_mul @ (matrixu_mul @ A @ B) @ X))).
thf(aMATRIXu_WORKSu_monomorphized1, axiom, ![F:(cartrealq115135 > cartrealq115134)]:((linear @ F) => ![X:cartrealq115135]:((matrixu_vectoru_mul1 @ (matrix1 @ F) @ X) = (F @ X)))).
thf(aMATRIXu_WORKSu_monomorphized0, axiom, ![F:(cartrealq115134 > cartrealq115136)]:((linear0 @ F) => ![X:cartrealq115134]:((matrixu_vectoru_mul0 @ (matrix0 @ F) @ X) = (F @ X)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(cartrealq115134 > cartrealq115136),G:(cartrealq115135 > cartrealq115134),X:cartrealq115135]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealq115135 > cartrealq115134),G:(cartrealq115134 > cartrealq115136)]:(((linear @ F) & (linear0 @ G)) => ((matrix @ (o @ G @ F)) = (matrixu_mul @ (matrix0 @ G) @ (matrix1 @ F))))).
