%   ORIGINAL: ADJOINT_MATRIX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADJOINT_UNIQUE: !f f'. linear f /\ (!x y. f' x dot y = x dot f y) ==> f' = adjoint f
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_VECTOR_MUL_LINEAR: !A. linear (\x. A ** x)
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: SUM_RMUL: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: SUM_SWAP_NUMSEG: !a b c d f. sum (a..b) (\i. sum (c..d) (f i)) = sum (c..d) (\j. sum (a..b) (\i. f i j))
% Assm: TRUTH: T
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: matrix_vector_mul: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A. adjoint (\x. A ** x) = (\x. transp A ** x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f'. linear f /\ (!x y. f' x dot y = x dot f y) ==> f' = adjoint f
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !A. linear (\x. A ** x)
% Assm: !A. linear (\x. A ** x)
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: !a b c d f. sum (a..b) (\i. sum (c..d) (f i)) = sum (c..d) (\j. sum (a..b) (\i. f i j))
% Assm: T
% Assm: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Assm: !A x. A ** x = (lambda i. sum (1..dimindex (:M)) (\j. A$i$j * x$j))
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A. adjoint (\x. A ** x) = (\x. transp A ** x)
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tfuncartrealmcartrealn, type, funcartrealmcartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tcartfuncartrealmcartrealnb, type, cartfuncartrealmcartrealnb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv1, type, univ1 : (m > $o)).
thf(cuniv, type, univ : (b > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_2, type, d_2 : (cartrealm > num > real)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(csum1, type, sum1 : ((num > $o) > (num > real) > real)).
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdot0, type, dot0 : (cartrealm > cartrealm > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(clambda0, type, lambda0 : ((num > cartrealm > cartrealn) > cartfuncartrealmcartrealnb)).
thf(cdu_3, type, d_3 : (cartcartrealmn > num > cartrealm)).
thf(cdu_1, type, d_1 : (cartcartrealnm > num > cartrealn)).
thf(cdu_, type, d_ : (cartfuncartrealmcartrealnb > num > cartrealm > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealmn > cartrealm > cartrealn)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnm > cartrealn > cartrealm)).
thf(cadjoint, type, adjoint : ((cartrealn > cartrealm) > cartrealm > cartrealn)).
thf(clinear0, type, linear0 : ((cartrealm > cartrealn) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealm) > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealm)).
thf(clambda3, type, lambda3 : ((num > cartrealm) > cartcartrealmn)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(ctransp, type, transp : (cartcartrealnm > cartcartrealmn)).
thf(cdimindex1, type, dimindex1 : ((m > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm > cartrealn),G:(a > cartrealm > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADJOINTu_UNIQUE, axiom, ![F:(cartrealn > cartrealm),FI_:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm,Y:cartrealn]:((dot @ (FI_ @ X) @ Y) = (dot0 @ X @ (F @ Y)))) => (FI_ = (adjoint @ F)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealm > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aMATRIXu_VECTORu_MULu_LINEARu_monomorphized1, axiom, ![A:cartcartrealnm]:(linear @ ^[X:cartrealn]:(matrixu_vectoru_mul @ A @ X))).
thf(aMATRIXu_VECTORu_MULu_LINEARu_monomorphized0, axiom, ![A:cartcartrealmn]:(linear0 @ ^[X:cartrealm]:(matrixu_vectoru_mul0 @ A @ X))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum0 @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum0 @ S @ F)))).
thf(aSUMu_RMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum0 @ S @ ^[X:a]:(realu_mul @ (F @ X) @ C)) = (realu_mul @ (sum0 @ S @ F) @ C))).
thf(aSUMu_SWAPu_NUMSEG, axiom, ![A:num,B:num,C:num,D:num,F:(num > num > real)]:((sum1 @ (o_o_ @ A @ B) @ ^[I:num]:(sum1 @ (o_o_ @ C @ D) @ (F @ I))) = (sum1 @ (o_o_ @ C @ D) @ ^[J:num]:(sum1 @ (o_o_ @ A @ B) @ ^[I:num]:(F @ I @ J))))).
thf(aTRUTH, axiom, $true).
thf(adot, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (sum1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[I:num]:(realu_mul @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(amatrixu_vectoru_mulu_monomorphized1, axiom, ![A:cartcartrealnm,X:cartrealn]:((matrixu_vectoru_mul @ A @ X) = (lambda1 @ ^[I:num]:(sum1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[J:num]:(realu_mul @ (d_0 @ (d_1 @ A @ I) @ J) @ (d_0 @ X @ J)))))).
thf(amatrixu_vectoru_mulu_monomorphized0, axiom, ![A:cartcartrealmn,X:cartrealm]:((matrixu_vectoru_mul0 @ A @ X) = (lambda2 @ ^[I:num]:(sum1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[J:num]:(realu_mul @ (d_2 @ (d_3 @ A @ I) @ J) @ (d_2 @ X @ J)))))).
thf(atransp, axiom, ![A:cartcartrealnm]:((transp @ A) = (lambda3 @ ^[I:num]:(lambda1 @ ^[J:num]:(d_0 @ (d_1 @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealnm]:((adjoint @ ^[X:cartrealn]:(matrixu_vectoru_mul @ A @ X)) = ^[X:cartrealm]:(matrixu_vectoru_mul0 @ (transp @ A) @ X))).
