%   ORIGINAL: MATRIX_ADJOINT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADJOINT_MATRIX: !A. adjoint (\x. A ** x) = (\x. transp A ** x)
% Assm: MATRIX_OF_MATRIX_VECTOR_MUL: !A. matrix (\x. A ** x) = A
% Assm: MATRIX_VECTOR_MUL: !f. linear f ==> f = (\x. matrix f ** x)
% Assm: TRUTH: T
% Goal: !f. linear f ==> matrix (adjoint f) = transp (matrix f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A. adjoint (\x. A ** x) = (\x. transp A ** x)
% Assm: !A. matrix (\x. A ** x) = A
% Assm: !f. linear f ==> f = (\x. matrix f ** x)
% Assm: T
% Goal: !f. linear f ==> matrix (adjoint f) = transp (matrix f)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq115326, type, cartrealq115326 : $tType).
thf(tcartcartrealq115326q115325, type, cartcartrealq115326q115325 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq115325, type, cartrealq115325 : $tType).
thf(tq115325, type, q115325 : $tType).
thf(tcartcartrealq115325q115326, type, cartcartrealq115325q115326 : $tType).
thf(tq115326, type, q115326 : $tType).
%  CONSTS
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealq115326q115325 > cartrealq115326 > cartrealq115325)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealq115325q115326 > cartrealq115325 > cartrealq115326)).
thf(cadjoint, type, adjoint : ((cartrealq115325 > cartrealq115326) > cartrealq115326 > cartrealq115325)).
thf(clinear, type, linear : ((cartrealq115325 > cartrealq115326) > $o)).
thf(ctransp, type, transp : (cartcartrealq115325q115326 > cartcartrealq115326q115325)).
thf(cmatrix, type, matrix : ((cartrealq115326 > cartrealq115325) > cartcartrealq115326q115325)).
thf(cmatrix0, type, matrix0 : ((cartrealq115325 > cartrealq115326) > cartcartrealq115325q115326)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealq115326q115325),G:(a > cartcartrealq115326q115325)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADJOINTu_MATRIX, axiom, ![A:cartcartrealq115325q115326]:((adjoint @ ^[X:cartrealq115325]:(matrixu_vectoru_mul @ A @ X)) = ^[X:cartrealq115326]:(matrixu_vectoru_mul0 @ (transp @ A) @ X))).
thf(aMATRIXu_OFu_MATRIXu_VECTORu_MUL, axiom, ![A:cartcartrealq115326q115325]:((matrix @ ^[X:cartrealq115326]:(matrixu_vectoru_mul0 @ A @ X)) = A)).
thf(aMATRIXu_VECTORu_MUL, axiom, ![F:(cartrealq115325 > cartrealq115326)]:((linear @ F) => (F = ^[X:cartrealq115325]:(matrixu_vectoru_mul @ (matrix0 @ F) @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq115325 > cartrealq115326)]:((linear @ F) => ((matrix @ (adjoint @ F)) = (transp @ (matrix0 @ F))))).
