%   ORIGINAL: MATRIX_SELF_ADJOINT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADJOINT_LINEAR: !f. linear f ==> linear (adjoint f)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LINEAR_EQ_MATRIX: !f g. linear f /\ linear g /\ matrix f = matrix g ==> f = g
% Assm: MATRIX_ADJOINT: !f. linear f ==> matrix (adjoint f) = transp (matrix f)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f. linear f ==> (adjoint f = f <=> transp (matrix f) = matrix f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f. linear f ==> linear (adjoint f)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. linear f /\ linear g /\ matrix f = matrix g ==> f = g
% Assm: !f. linear f ==> matrix (adjoint f) = transp (matrix f)
% Assm: ~F <=> T
% Assm: T
% Goal: !f. linear f ==> (adjoint f = f <=> transp (matrix f) = matrix f)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealq115412q115412, type, cartcartrealq115412q115412 : $tType).
thf(tcartrealq115412, type, cartrealq115412 : $tType).
thf(tq115412, type, q115412 : $tType).
%  CONSTS
thf(cadjoint, type, adjoint : ((cartrealq115412 > cartrealq115412) > cartrealq115412 > cartrealq115412)).
thf(clinear, type, linear : ((cartrealq115412 > cartrealq115412) > $o)).
thf(cmatrix, type, matrix : ((cartrealq115412 > cartrealq115412) > cartcartrealq115412q115412)).
thf(ctransp, type, transp : (cartcartrealq115412q115412 > cartcartrealq115412q115412)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealq115412 > cartrealq115412),G:(a > cartrealq115412 > cartrealq115412)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealq115412q115412),G:(a > cartcartrealq115412q115412)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aADJOINTu_LINEAR, axiom, ![F:(cartrealq115412 > cartrealq115412)]:((linear @ F) => (linear @ (adjoint @ F)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq115412 > cartrealq115412)]:(^[X:cartrealq115412]:(T @ X) = T)).
thf(aLINEARu_EQu_MATRIX, axiom, ![F:(cartrealq115412 > cartrealq115412),G:(cartrealq115412 > cartrealq115412)]:(((linear @ F) & (linear @ G) & ((matrix @ F) = (matrix @ G))) => (F = G))).
thf(aMATRIXu_ADJOINT, axiom, ![F:(cartrealq115412 > cartrealq115412)]:((linear @ F) => ((matrix @ (adjoint @ F)) = (transp @ (matrix @ F))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq115412 > cartrealq115412)]:((linear @ F) => (((adjoint @ F) = F) <=> ((transp @ (matrix @ F)) = (matrix @ F))))).
