%   ORIGINAL: ONORM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_BOUNDED: !f. linear f ==> (?B. !x. norm (f x) <= B * norm x)
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NORM_BOUND_GENERALIZE: !f b. linear f ==> ((!x. norm x = &1 ==> norm (f x) <= b) <=> (!x. norm (f x) <= b * norm x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POS: !n. &0 <= &n
% Assm: SUP: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: TRUTH: T
% Assm: VECTOR_CHOOSE_SIZE: !c. &0 <= c ==> (?x. norm x = c)
% Assm: onorm: !f. onorm f = sup {norm (f x) | norm x = &1}
% Goal: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. I x = x
% Assm: !f. linear f ==> (?B. !x. norm (f x) <= B * norm x)
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: !f b. linear f ==> ((!x. norm x = &1 ==> norm (f x) <= b) <=> (!x. norm (f x) <= b * norm x))
% Assm: ~F <=> T
% Assm: !n. &0 <= &n
% Assm: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: T
% Assm: !c. &0 <= c ==> (?x. norm x = c)
% Assm: !c. &0 <= c ==> (?x. norm x = c)
% Assm: !f. onorm f = sup {norm (f x) | norm x = &1}
% Goal: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43820, type, q43820 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((real > $o) > real > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((q43820 > $o) > q43820 > $o)).
thf(cin, type, in : (q43820 > (q43820 > $o) > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(conorm, type, onorm : ((cartrealm > cartrealn) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csetspec0, type, setspec0 : (real > $o > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (q43820 > $o > q43820 > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (real > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in @ X @ (gspec @ ^[V:q43820]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLINEARu_BOUNDED, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => ?[B:real]:![X:cartrealm]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm0 @ X))))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(a > $o)]:(?[X:a]:(in0 @ X @ S) <=> ~ ((S = empty)))).
thf(aNORMu_BOUNDu_GENERALIZE, axiom, ![F:(cartrealm > cartrealn),B:real]:((linear @ F) => (![X:cartrealm]:(((vectoru_norm0 @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (realu_le @ (vectoru_norm @ (F @ X)) @ B)) <=> ![X:cartrealm]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm0 @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aSUP, axiom, ![S:(real > $o)]:((~ ((S = empty0)) & ?[B:real]:![X:real]:((in1 @ X @ S) => (realu_le @ X @ B))) => (![X:real]:((in1 @ X @ S) => (realu_le @ X @ (sup @ S))) & ![B:real]:(![X:real]:((in1 @ X @ S) => (realu_le @ X @ B)) => (realu_le @ (sup @ S) @ B))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_CHOOSEu_SIZEu_monomorphized1, axiom, ![C:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) => ?[X:cartrealn]:((vectoru_norm @ X) = C))).
thf(aVECTORu_CHOOSEu_SIZEu_monomorphized0, axiom, ![C:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) => ?[X:cartrealm]:((vectoru_norm0 @ X) = C))).
thf(aonorm, axiom, ![F:(cartrealm > cartrealn)]:((onorm @ F) = (sup @ (gspec0 @ ^[GENR_PVARR_267:real]:?[X:cartrealm]:(setspec0 @ GENR_PVARR_267 @ ((vectoru_norm0 @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (vectoru_norm @ (F @ X))))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => (![X:cartrealm]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ (onorm @ F) @ (vectoru_norm0 @ X))) & ![B:real]:(![X:cartrealm]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm0 @ X))) => (realu_le @ (onorm @ F) @ B))))).
