%   ORIGINAL: ONORM_POS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ONORM: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_POS: !n. &0 <= &n
% Assm: TRUTH: T
% Assm: VECTOR_CHOOSE_SIZE: !c. &0 <= c ==> (?x. norm x = c)
% Goal: !f. linear f ==> &0 <= onorm f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. &0 <= norm x
% Assm: ~F <=> T
% Assm: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x. x * &1 = x
% Assm: !n. &0 <= &n
% Assm: T
% Assm: !c. &0 <= c ==> (?x. norm x = c)
% Goal: !f. linear f ==> &0 <= onorm f
%  TYPES
thf(tq115627, type, q115627 : $tType).
thf(tq115628, type, q115628 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq115628, type, cartrealq115628 : $tType).
thf(treal, type, real : $tType).
thf(tq99722, type, q99722 : $tType).
thf(tcartrealq115627, type, cartrealq115627 : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq99722, type, cartrealq99722 : $tType).
%  CONSTS
thf(cvectoruu_norm2, type, vectoru_norm2 : (cartrealn > real)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq115627 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq115628 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq99722 > real)).
thf(conorm, type, onorm : ((cartrealq115627 > cartrealq115628) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clinear, type, linear : ((cartrealq115627 > cartrealq115628) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealq99722]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aONORM, axiom, ![F:(cartrealq115627 > cartrealq115628)]:((linear @ F) => (![X:cartrealq115627]:(realu_le @ (vectoru_norm0 @ (F @ X)) @ (realu_mul @ (onorm @ F) @ (vectoru_norm1 @ X))) & ![B:real]:(![X:cartrealq115627]:(realu_le @ (vectoru_norm0 @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm1 @ X))) => (realu_le @ (onorm @ F) @ B))))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_CHOOSEu_SIZE, axiom, ![C:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) => ?[X:cartrealn]:((vectoru_norm2 @ X) = C))).
thf(conjecture, conjecture, ![F:(cartrealq115627 > cartrealq115628)]:((linear @ F) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (onorm @ F)))).
