%   ORIGINAL: ONORM_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NORM_LE_0: !x. norm x <= &0 <=> x = vec 0
% Assm: ONORM: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: ONORM_POS_LE: !f. linear f ==> &0 <= onorm f
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: TRUTH: T
% Goal: !f. linear f ==> (onorm f = &0 <=> (!x. f x = vec 0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: norm (vec 0) = &0
% Assm: !x. norm x <= &0 <=> x = vec 0
% Assm: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: !f. linear f ==> &0 <= onorm f
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x. x <= x
% Assm: !x. &0 * x = &0
% Assm: T
% Goal: !f. linear f ==> (onorm f = &0 <=> (!x. f x = vec 0))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(conorm, type, onorm : ((cartrealm > cartrealn) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_LEu_0, axiom, ![X:cartrealn]:((realu_le @ (vectoru_norm @ X) @ (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aONORM, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (![X:cartrealm]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ (onorm @ F) @ (vectoru_norm0 @ X))) & ![B:real]:(![X:cartrealm]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm0 @ X))) => (realu_le @ (onorm @ F) @ B))))).
thf(aONORMu_POSu_LE, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (onorm @ F)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => (((onorm @ F) = (realu_ofu_num @ (numeral @ u_0))) <=> ![X:cartrealm]:((F @ X) = (vec @ (numeral @ u_0)))))).
