%   ORIGINAL: ONORM_CONST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_GE_1: !s. 1 <= dimindex s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: LE_REFL: !n. n <= n
% Assm: NORM_BASIS: !k. 1 <= k /\ k <= dimindex (:N) ==> norm (basis k) = &1
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_SUP_UNIQUE: !s b. (!x. x IN s ==> x <= b) /\ (!b'. b' < b ==> (?x. x IN s /\ b' < x)) ==> sup s = b
% Assm: TRUTH: T
% Assm: onorm: !f. onorm f = sup {norm (f x) | norm x = &1}
% Goal: !y. onorm (\x. y) = norm y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. 1 <= dimindex s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !n. n <= n
% Assm: !k. 1 <= k /\ k <= dimindex (:N) ==> norm (basis k) = &1
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. x <= x
% Assm: !s b. (!x. x IN s ==> x <= b) /\ (!b'. b' < b ==> (?x. x IN s /\ b' < x)) ==> sup s = b
% Assm: T
% Assm: !f. onorm f = sup {norm (f x) | norm x = &1}
% Goal: !y. onorm (\x. y) = norm y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(csup, type, sup : ((real > $o) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(conorm, type, onorm : ((cartrealm > cartrealn) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_GEu_1, axiom, ![S:(a > $o)]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > real > $o) > $o),X:real]:((in0 @ X @ (gspec @ ^[V:real]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:real]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:real,Y:real,S:(real > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aNORMu_BASIS, axiom, ![K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ))) => ((vectoru_norm @ (basis @ K)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_SUPu_UNIQUE, axiom, ![S:(real > $o),B:real]:((![X:real]:((in0 @ X @ S) => (realu_le @ X @ B)) & ![BI_:real]:((realu_lt @ BI_ @ B) => ?[X:real]:((in0 @ X @ S) & (realu_lt @ BI_ @ X)))) => ((sup @ S) = B))).
thf(aTRUTH, axiom, $true).
thf(aonorm, axiom, ![F:(cartrealm > cartrealn)]:((onorm @ F) = (sup @ (gspec @ ^[GENR_PVARR_267:real]:?[X:cartrealm]:(setspec @ GENR_PVARR_267 @ ((vectoru_norm0 @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (vectoru_norm @ (F @ X))))))).
thf(conjecture, conjecture, ![Y:cartrealn]:((onorm @ ^[X:cartrealm]:Y) = (vectoru_norm @ Y))).
