%   ORIGINAL: ONORM_COMPOSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_COMPOSE: !f g. linear f /\ linear g ==> linear (g o f)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ONORM: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: ONORM_POS_LE: !f. linear f ==> &0 <= onorm f
% Assm: REAL_LE_LMUL: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g. linear f /\ linear g ==> onorm (f o g) <= onorm f * onorm g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !f g. linear f /\ linear g ==> linear (g o f)
% Assm: ~F <=> T
% Assm: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: !f. linear f ==> &0 <= onorm f
% Assm: !f. linear f ==> &0 <= onorm f
% Assm: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g. linear f /\ linear g ==> onorm (f o g) <= onorm f * onorm g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq115798, type, cartrealq115798 : $tType).
thf(tcartrealq115795, type, cartrealq115795 : $tType).
thf(treal, type, real : $tType).
thf(tq115795, type, q115795 : $tType).
thf(tcartrealq115797, type, cartrealq115797 : $tType).
thf(tq115797, type, q115797 : $tType).
thf(tq115798, type, q115798 : $tType).
%  CONSTS
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq115797 > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq115798 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq115795 > real)).
thf(conorm1, type, onorm1 : ((cartrealq115797 > cartrealq115798) > real)).
thf(conorm0, type, onorm0 : ((cartrealq115798 > cartrealq115795) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(conorm, type, onorm : ((cartrealq115797 > cartrealq115795) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(co, type, o : ((cartrealq115798 > cartrealq115795) > (cartrealq115797 > cartrealq115798) > cartrealq115797 > cartrealq115795)).
thf(clinear1, type, linear1 : ((cartrealq115797 > cartrealq115795) > $o)).
thf(clinear0, type, linear0 : ((cartrealq115797 > cartrealq115798) > $o)).
thf(clinear, type, linear : ((cartrealq115798 > cartrealq115795) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLINEARu_COMPOSE, axiom, ![F:(cartrealq115797 > cartrealq115798),G:(cartrealq115798 > cartrealq115795)]:(((linear0 @ F) & (linear @ G)) => (linear1 @ (o @ G @ F)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aONORMu_monomorphized1, axiom, ![F:(cartrealq115798 > cartrealq115795)]:((linear @ F) => (![X:cartrealq115798]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ (onorm0 @ F) @ (vectoru_norm0 @ X))) & ![B:real]:(![X:cartrealq115798]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm0 @ X))) => (realu_le @ (onorm0 @ F) @ B))))).
thf(aONORMu_monomorphized0, axiom, ![F:(cartrealq115797 > cartrealq115798)]:((linear0 @ F) => (![X:cartrealq115797]:(realu_le @ (vectoru_norm0 @ (F @ X)) @ (realu_mul @ (onorm1 @ F) @ (vectoru_norm1 @ X))) & ![B:real]:(![X:cartrealq115797]:(realu_le @ (vectoru_norm0 @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm1 @ X))) => (realu_le @ (onorm1 @ F) @ B))))).
thf(aONORMu_POSu_LEu_monomorphized1, axiom, ![F:(cartrealq115798 > cartrealq115795)]:((linear @ F) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (onorm0 @ F)))).
thf(aONORMu_POSu_LEu_monomorphized0, axiom, ![F:(cartrealq115797 > cartrealq115798)]:((linear0 @ F) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (onorm1 @ F)))).
thf(aREALu_LEu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(cartrealq115798 > cartrealq115795),G:(cartrealq115797 > cartrealq115798),X:cartrealq115797]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealq115798 > cartrealq115795),G:(cartrealq115797 > cartrealq115798)]:(((linear @ F) & (linear0 @ G)) => (realu_le @ (onorm @ (o @ F @ G)) @ (realu_mul @ (onorm0 @ F) @ (onorm1 @ G))))).
