%   ORIGINAL: ONORM_NEG_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LINEAR_COMPOSE_NEG: !f. linear f ==> linear (\x. --f x)
% Assm: NORM_NEG: !x. norm (--x) = norm x
% Assm: ONORM: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: TRUTH: T
% Goal: !f. linear f ==> onorm (\x. --f x) <= onorm f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. linear f ==> linear (\x. --f x)
% Assm: !x. norm (--x) = norm x
% Assm: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: T
% Goal: !f. linear f ==> onorm (\x. --f x) <= onorm f
%  TYPES
thf(tcartrealq115845, type, cartrealq115845 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq115833, type, cartrealq115833 : $tType).
thf(treal, type, real : $tType).
thf(tq115833, type, q115833 : $tType).
thf(tq115845, type, q115845 : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq115833 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq115845 > real)).
thf(conorm, type, onorm : ((cartrealq115833 > cartrealq115845) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clinear, type, linear : ((cartrealq115833 > cartrealq115845) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq115845 > cartrealq115845)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLINEARu_COMPOSEu_NEG, axiom, ![F:(cartrealq115833 > cartrealq115845)]:((linear @ F) => (linear @ ^[X:cartrealq115833]:(vectoru_neg @ (F @ X))))).
thf(aNORMu_NEG, axiom, ![X:cartrealq115845]:((vectoru_norm @ (vectoru_neg @ X)) = (vectoru_norm @ X))).
thf(aONORM, axiom, ![F:(cartrealq115833 > cartrealq115845)]:((linear @ F) => (![X:cartrealq115833]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ (onorm @ F) @ (vectoru_norm0 @ X))) & ![B:real]:(![X:cartrealq115833]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm0 @ X))) => (realu_le @ (onorm @ F) @ B))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq115833 > cartrealq115845)]:((linear @ F) => (realu_le @ (onorm @ ^[X:cartrealq115833]:(vectoru_neg @ (F @ X))) @ (onorm @ F)))).
