%   ORIGINAL: ONORM_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LINEAR_COMPOSE_NEG: !f. linear f ==> linear (\x. --f x)
% Assm: ONORM_NEG_LEMMA: !f. linear f ==> onorm (\x. --f x) <= onorm f
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: TRUTH: T
% Assm: VECTOR_NEG_NEG: -- --x = x
% Goal: !f. linear f ==> onorm (\x. --f x) = onorm f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !f. linear f ==> linear (\x. --f x)
% Assm: !f. linear f ==> onorm (\x. --f x) <= onorm f
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: T
% Assm: !x. -- --x = x
% Goal: !f. linear f ==> onorm (\x. --f x) = onorm f
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(conorm, type, onorm : ((cartrealm > cartrealn) > real)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLINEARu_COMPOSEu_NEG, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (linear @ ^[X:cartrealm]:(vectoru_neg @ (F @ X))))).
thf(aONORMu_NEGu_LEMMA, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (realu_le @ (onorm @ ^[X:cartrealm]:(vectoru_neg @ (F @ X))) @ (onorm @ F)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_NEG, axiom, ![X:cartrealn]:((vectoru_neg @ (vectoru_neg @ X)) = X)).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => ((onorm @ ^[X:cartrealm]:(vectoru_neg @ (F @ X))) = (onorm @ F)))).
