%   ORIGINAL: ONORM_TRIANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_COMPOSE_ADD: !f g. linear f /\ linear g ==> linear (\x. f x + g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ONORM: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: REAL_LE_ADD2: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Assm: Tactics_jordan.REAL_RDISTRIB: !x y z. (x + y) * z = x * z + y * z
% Assm: Trigonometry.OIPLPTM1: !x y. norm (x + y) <= norm x + norm y
% Goal: !f g. linear f /\ linear g ==> onorm (\x. f x + g x) <= onorm f + onorm g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !f g. linear f /\ linear g ==> linear (\x. f x + g x)
% Assm: ~F <=> T
% Assm: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Assm: !x y z. (x + y) * z = x * z + y * z
% Assm: !x y. norm (x + y) <= norm x + norm y
% Goal: !f g. linear f /\ linear g ==> onorm (\x. f x + g x) <= onorm f + onorm g
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(conorm, type, onorm : ((cartrealm > cartrealn) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLINEARu_COMPOSEu_ADD, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:(((linear @ F) & (linear @ G)) => (linear @ ^[X:cartrealm]:(vectoru_add @ (F @ X) @ (G @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aONORM, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (![X:cartrealm]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ (onorm @ F) @ (vectoru_norm0 @ X))) & ![B:real]:(![X:cartrealm]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm0 @ X))) => (realu_le @ (onorm @ F) @ B))))).
thf(aREALu_LEu_ADD2, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ W @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_add @ W @ Y) @ (realu_add @ X @ Z)))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(aTacticsu_jordano_REALu_RDISTRIB, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ (realu_add @ X @ Y) @ Z) = (realu_add @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aTrigonometryo_OIPLPTM1, axiom, ![X:cartrealn,Y:cartrealn]:(realu_le @ (vectoru_norm @ (vectoru_add @ X @ Y)) @ (realu_add @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:(((linear @ F) & (linear @ G)) => (realu_le @ (onorm @ ^[X:cartrealm]:(vectoru_add @ (F @ X) @ (G @ X))) @ (realu_add @ (onorm @ F) @ (onorm @ G))))).
