%   ORIGINAL: LIFT_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: TRUTH: T
% Assm: lift: !x. lift x = (lambda i. x)
% Goal: !x. lift x$1 = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: dimindex (:1) = 1
% Assm: !g i. 1 <= i /\ i <= dimindex (:1) ==> (lambda) g$i = g i
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: T
% Assm: !x. lift x = (lambda i. x)
% Goal: !x. lift x$1 = x
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(clambda0, type, lambda0 : ((num > real) > cartrealn1)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(alift, axiom, ![X:real]:((lift @ X) = (lambda0 @ ^[I:num]:X))).
thf(conjecture, conjecture, ![X:real]:((d_ @ (lift @ X) @ (numeral @ (bit1 @ u_0))) = X)).
