%   ORIGINAL: LIFT_DROP_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Assm: lift: !x. lift x = (lambda i. x)
% Goal: !x. drop (lift x) = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: dimindex (:1) = 1
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: T
% Assm: !x. drop x = x$1
% Assm: !x. lift x = (lambda i. x)
% Goal: !x. drop (lift x) = x
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealb, type, cartrealb : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn1)).
thf(cdu_0, type, d_0 : (cartrealn1 > num > real)).
thf(cdu_, type, d_ : (cartrealb > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealb)).
thf(cuniv0, type, univ0 : (n1 > $o)).
thf(cdimindex0, type, dimindex0 : ((n1 > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealb,Y:cartrealb]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDIMINDEXu_1, axiom, ((dimindex0 @ univ0) = (numeral @ (bit1 @ u_0)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_0 @ X @ (numeral @ (bit1 @ u_0))))).
thf(alift, axiom, ![X:real]:((lift @ X) = (lambda1 @ ^[I:num]:X))).
thf(conjecture, conjecture, ![X:real]:((drop @ (lift @ X)) = X)).
