%   ORIGINAL: LIFT_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: VECTOR_NEG_COMPONENT: !x i. --x$i = --(x$i)
% Assm: lift: !x. lift x = (lambda i. x)
% Goal: !x. lift (--x) = --lift x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:1) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: T
% Assm: !x i. --x$i = --(x$i)
% Assm: !x. lift x = (lambda i. x)
% Goal: !x. lift (--x) = --lift x
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartcartrealn1b, type, cartcartrealn1b : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn1)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn1 > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(clambda0, type, lambda0 : ((num > cartrealn1) > cartcartrealn1b)).
thf(cdu_0, type, d_0 : (cartcartrealn1b > num > cartrealn1)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn1),G:(a > cartrealn1)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn1,Y:cartrealn1]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn1),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_COMPONENT, axiom, ![X:cartrealn1,I:num]:((d_ @ (vectoru_neg @ X) @ I) = (realu_neg @ (d_ @ X @ I)))).
thf(alift, axiom, ![X:real]:((lift @ X) = (lambda1 @ ^[I:num]:X))).
thf(conjecture, conjecture, ![X:real]:((lift @ (realu_neg @ X)) = (vectoru_neg @ (lift @ X)))).
