%   ORIGINAL: LIFT_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: LIFT_ADD: !x y. lift (x + y) = lift x + lift y
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !k x. FINITE k ==> lift (sum k x) = vsum k (lift o x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y. lift (x + y) = lift x + lift y
% Assm: !n. lift (&n) = vec n
% Assm: ~F <=> T
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !k x. FINITE k ==> lift (sum k x) = vsum k (lift o x)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq116579, type, q116579 : $tType).
%  CONSTS
thf(cempty, type, empty : (q116579 > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin, type, in : (q116579 > (q116579 > $o) > $o)).
thf(csum, type, sum : ((q116579 > $o) > (q116579 > real) > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cinsert, type, insert : (q116579 > (q116579 > $o) > q116579 > $o)).
thf(ccond, type, cond : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(co, type, o : ((real > cartrealn1) > (q116579 > real) > q116579 > cartrealn1)).
thf(cvsum, type, vsum : ((q116579 > $o) > (q116579 > cartrealn1) > cartrealn1)).
thf(cfinite, type, finite : ((q116579 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn1),G:(a > cartrealn1)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn1,T2:cartrealn1]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q116579 > $o) > $o)]:(((P @ empty) & ![X:q116579,S:(q116579 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q116579 > $o)]:((finite @ S) => (P @ S)))).
thf(aLIFTu_ADD, axiom, ![X:real,Y:real]:((lift @ (realu_add @ X @ Y)) = (vectoru_add @ (lift @ X) @ (lift @ Y)))).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(q116579 > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:q116579,F:(q116579 > real),S:(q116579 > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q116579 > cartrealn1)]:((vsum @ empty @ F) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q116579,F:(q116579 > cartrealn1),S:(q116579 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(aou_THM, axiom, ![F:(real > cartrealn1),G:(q116579 > real),X:q116579]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![K:(q116579 > $o),X:(q116579 > real)]:((finite @ K) => ((lift @ (sum @ K @ X)) = (vsum @ K @ (o @ lift @ X))))).
