%   ORIGINAL: DROP_VEC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !n. drop (vec n) = &n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !n. lift (&n) = vec n
% Assm: ~F <=> T
% Assm: T
% Goal: !n. drop (vec n) = &n
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:((drop @ (vec @ N)) = (realu_ofu_num @ N))).
