%   ORIGINAL: DROP_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIFT_SUB: !x y. lift (x - y) = lift x - lift y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x y. drop (x - y) = drop x - drop y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !x y. lift (x - y) = lift x - lift y
% Assm: ~F <=> T
% Assm: T
% Goal: !x y. drop (x - y) = drop x - drop y
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIFTu_SUB, axiom, ![X:real,Y:real]:((lift @ (realu_sub @ X @ Y)) = (vectoru_sub @ (lift @ X) @ (lift @ Y)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn1,Y:cartrealn1]:((drop @ (vectoru_sub @ X @ Y)) = (realu_sub @ (drop @ X) @ (drop @ Y)))).
