%   ORIGINAL: DROP_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DROP_ADD: !x y. drop (x + y) = drop x + drop y
% Assm: DROP_VEC: !n. drop (vec n) = &n
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !k x. FINITE k ==> drop (vsum k x) = sum k (drop o x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x y. drop (x + y) = drop x + drop y
% Assm: !n. drop (vec n) = &n
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !k x. FINITE k ==> drop (vsum k x) = sum k (drop o x)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq116731, type, q116731 : $tType).
%  CONSTS
thf(cin, type, in : (q116731 > (q116731 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q116731 > $o) > (q116731 > real) > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccond0, type, cond0 : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cinsert, type, insert : (q116731 > (q116731 > $o) > q116731 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(co, type, o : ((cartrealn1 > real) > (q116731 > cartrealn1) > q116731 > real)).
thf(cvsum, type, vsum : ((q116731 > $o) > (q116731 > cartrealn1) > cartrealn1)).
thf(cfinite, type, finite : ((q116731 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cempty, type, empty : (q116731 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDROPu_ADD, axiom, ![X:cartrealn1,Y:cartrealn1]:((drop @ (vectoru_add @ X @ Y)) = (realu_add @ (drop @ X) @ (drop @ Y)))).
thf(aDROPu_VEC, axiom, ![N:num]:((drop @ (vec @ N)) = (realu_ofu_num @ N))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q116731 > $o) > $o)]:(((P @ empty) & ![X:q116731,S:(q116731 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q116731 > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(q116731 > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:q116731,F:(q116731 > real),S:(q116731 > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q116731 > cartrealn1)]:((vsum @ empty @ F) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q116731,F:(q116731 > cartrealn1),S:(q116731 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(aou_THM, axiom, ![F:(cartrealn1 > real),G:(q116731 > cartrealn1),X:q116731]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![K:(q116731 > $o),X:(q116731 > cartrealn1)]:((finite @ K) => ((drop @ (vsum @ K @ X)) = (sum @ K @ (o @ drop @ X))))).
