%   ORIGINAL: NORM_LIFT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_COMPONENT: !x. lift x$1 = x
% Assm: NORM_REAL: !x. norm x = abs (x$1)
% Assm: TRUTH: T
% Goal: !x. norm (lift x) = abs x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. lift x$1 = x
% Assm: !x. norm x = abs (x$1)
% Assm: T
% Goal: !x. norm (lift x) = abs x
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_COMPONENT, axiom, ![X:real]:((d_ @ (lift @ X) @ (numeral @ (bit1 @ u_0))) = X)).
thf(aNORMu_REAL, axiom, ![X:cartrealn1]:((vectoru_norm @ X) = (realu_abs @ (d_ @ X @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((vectoru_norm @ (lift @ X)) = (realu_abs @ X))).
