%   ORIGINAL: DIST_LIFT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_REAL: !x y. dist (x,y) = abs (x$1 - y$1)
% Assm: LIFT_COMPONENT: !x. lift x$1 = x
% Assm: TRUTH: T
% Goal: !x y. dist (lift x,lift y) = abs (x - y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. dist (x,y) = abs (x$1 - y$1)
% Assm: !x. lift x$1 = x
% Assm: T
% Goal: !x y. dist (lift x,lift y) = abs (x - y)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_REAL, axiom, ![X:cartrealn1,Y:cartrealn1]:((distance @ (c_ @ X @ Y)) = (realu_abs @ (realu_sub @ (d_ @ X @ (numeral @ (bit1 @ u_0))) @ (d_ @ Y @ (numeral @ (bit1 @ u_0))))))).
thf(aLIFTu_COMPONENT, axiom, ![X:real]:((d_ @ (lift @ X) @ (numeral @ (bit1 @ u_0))) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:((distance @ (c_ @ (lift @ X) @ (lift @ Y))) = (realu_abs @ (realu_sub @ X @ Y)))).
