%   ORIGINAL: LINEAR_FROM_REALS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_WORKS: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: SUM_SING_NUMSEG: !f n. sum (n..n) f = f n
% Assm: TRUTH: T
% Assm: column: !A j. column j A = (lambda i. A$i$j)
% Assm: drop: !x. drop x = x$1
% Assm: matrix_vector_mul: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Goal: !f. linear f ==> f = (\x. drop x % column 1 (matrix f))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: dimindex (:1) = 1
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: !n m. m * n = n * m
% Assm: !f n. sum (n..n) f = f n
% Assm: T
% Assm: !A j. column j A = (lambda i. A$i$j)
% Assm: !x. drop x = x$1
% Assm: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Assm: !c x. c % x = (lambda i. c * x$i)
% Goal: !f. linear f ==> f = (\x. drop x % column 1 (matrix f))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tfuncartrealn1cartrealn, type, funcartrealn1cartrealn : $tType).
thf(tcartcartrealn1n, type, cartcartrealn1n : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tcartfuncartrealn1cartrealnb, type, cartfuncartrealn1cartrealnb : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cuniv1, type, univ1 : (n > $o)).
thf(cdu_2, type, d_2 : (cartrealn > num > real)).
thf(cdu_0, type, d_0 : (cartrealn1 > num > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clambda0, type, lambda0 : ((num > cartrealn1 > cartrealn) > cartfuncartrealn1cartrealnb)).
thf(cdu_3, type, d_3 : (cartcartrealnm > num > cartrealn)).
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealnm > cartrealn > cartrealm)).
thf(cdu_1, type, d_1 : (cartcartrealn1n > num > cartrealn1)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealn1n > cartrealn1 > cartrealn)).
thf(cdu_, type, d_ : (cartfuncartrealn1cartrealnb > num > cartrealn1 > cartrealn)).
thf(ccolumn, type, column : (num > cartcartrealn1n > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cuniv0, type, univ0 : (n1 > $o)).
thf(clinear, type, linear : ((cartrealn1 > cartrealn) > $o)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealm)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cmatrix, type, matrix : ((cartrealn1 > cartrealn) > cartcartrealn1n)).
thf(cdimindex1, type, dimindex1 : ((n > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((n1 > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn1 > cartrealn),G:(a > cartrealn1 > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartfuncartrealn1cartrealnb,Y:cartfuncartrealn1cartrealnb]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDIMINDEXu_1, axiom, ((dimindex0 @ univ0) = (numeral @ (bit1 @ u_0)))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn1 > cartrealn),G:(cartrealn1 > cartrealn)]:((F = G) <=> ![X:cartrealn1]:((F @ X) = (G @ X)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn1 > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aMATRIXu_WORKS, axiom, ![F:(cartrealn1 > cartrealn)]:((linear @ F) => ![X:cartrealn1]:((matrixu_vectoru_mul @ (matrix @ F) @ X) = (F @ X)))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aSUMu_SINGu_NUMSEG, axiom, ![F:(num > real),N:num]:((sum @ (o_o_ @ N @ N) @ F) = (F @ N))).
thf(aTRUTH, axiom, $true).
thf(acolumn, axiom, ![A:cartcartrealn1n,J:num]:((column @ J @ A) = (lambda1 @ ^[I:num]:(d_0 @ (d_1 @ A @ I) @ J)))).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_0 @ X @ (numeral @ (bit1 @ u_0))))).
thf(amatrixu_vectoru_mul, axiom, ![A:cartcartrealnm,X:cartrealn]:((matrixu_vectoru_mul0 @ A @ X) = (lambda2 @ ^[I:num]:(sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[J:num]:(realu_mul @ (d_2 @ (d_3 @ A @ I) @ J) @ (d_2 @ X @ J)))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_ @ C @ X) = (lambda1 @ ^[I:num]:(realu_mul @ C @ (d_2 @ X @ I))))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn)]:((linear @ F) => (F = ^[X:cartrealn1]:(r_ @ (drop @ X) @ (column @ (numeral @ (bit1 @ u_0)) @ (matrix @ F)))))).
