%   ORIGINAL: LINEAR_TO_REALS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: MATRIX_WORKS: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: lift: !x. lift x = (lambda i. x)
% Assm: matrix_vector_mul: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Assm: row: !A i. row i A = (lambda j. A$i$j)
% Goal: !f. linear f ==> f = (\x. lift (row 1 (matrix f) dot x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: dimindex (:1) = 1
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: !x. lift x = (lambda i. x)
% Assm: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Assm: !A i. row i A = (lambda j. A$i$j)
% Goal: !f. linear f ==> f = (\x. lift (row 1 (matrix f) dot x))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartcartrealnn1, type, cartcartrealnn1 : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tfuncartrealncartrealn1, type, funcartrealncartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tcartfuncartrealncartrealn1b, type, cartfuncartrealncartrealn1b : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cuniv1, type, univ1 : (n > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn1)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmatrix, type, matrix : ((cartrealn > cartrealn1) > cartcartrealnn1)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(clambda0, type, lambda0 : ((num > cartrealn > cartrealn1) > cartfuncartrealncartrealn1b)).
thf(cdu_2, type, d_2 : (cartcartrealnn1 > num > cartrealn)).
thf(cdu_1, type, d_1 : (cartcartrealnm > num > cartrealn)).
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealnm > cartrealn > cartrealm)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnn1 > cartrealn > cartrealn1)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cdu_, type, d_ : (cartfuncartrealncartrealn1b > num > cartrealn > cartrealn1)).
thf(crow, type, row : (num > cartcartrealnn1 > cartrealn)).
thf(cuniv0, type, univ0 : (n1 > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn1) > $o)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealm)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealn)).
thf(cdimindex1, type, dimindex1 : ((n > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((n1 > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > cartrealn1),G:(a > cartrealn > cartrealn1)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartfuncartrealncartrealn1b,Y:cartfuncartrealncartrealn1b]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDIMINDEXu_1, axiom, ((dimindex0 @ univ0) = (numeral @ (bit1 @ u_0)))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > cartrealn1),G:(cartrealn > cartrealn1)]:((F = G) <=> ![X:cartrealn]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn > cartrealn1),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aMATRIXu_WORKS, axiom, ![F:(cartrealn > cartrealn1)]:((linear @ F) => ![X:cartrealn]:((matrixu_vectoru_mul @ (matrix @ F) @ X) = (F @ X)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(adot, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (sum0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[I:num]:(realu_mul @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(alift, axiom, ![X:real]:((lift @ X) = (lambda1 @ ^[I:num]:X))).
thf(amatrixu_vectoru_mul, axiom, ![A:cartcartrealnm,X:cartrealn]:((matrixu_vectoru_mul0 @ A @ X) = (lambda2 @ ^[I:num]:(sum0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[J:num]:(realu_mul @ (d_0 @ (d_1 @ A @ I) @ J) @ (d_0 @ X @ J)))))).
thf(arow, axiom, ![A:cartcartrealnn1,I:num]:((row @ I @ A) = (lambda3 @ ^[J:num]:(d_0 @ (d_2 @ A @ I) @ J)))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn1)]:((linear @ F) => (F = ^[X:cartrealn]:(lift @ (dot @ (row @ (numeral @ (bit1 @ u_0)) @ (matrix @ F)) @ X))))).
