%   ORIGINAL: DROP_WLOG_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: TRUTH: T
% Goal: (!x y. P x y <=> P y x) /\ (!x y. drop x <= drop y ==> P x y) ==> (!x y. P x y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. x <= y \/ y <= x
% Assm: T
% Goal: !P. (!x y. P x y <=> P y x) /\ (!x y. drop x <= drop y ==> P x y) ==> (!x y. P x y)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn1 > cartrealn1 > $o)]:((![X:cartrealn1,Y:cartrealn1]:((P @ X @ Y) <=> (P @ Y @ X)) & ![X:cartrealn1,Y:cartrealn1]:((realu_le @ (drop @ X) @ (drop @ Y)) => (P @ X @ Y))) => ![X:cartrealn1,Y:cartrealn1]:(P @ X @ Y))).
