%   ORIGINAL: LINEAR_LIFT_DOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: LIFT_ADD: !x y. lift (x + y) = lift x + lift y
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: TRUTH: T
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !a. linear (\x. lift (a dot x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x y. lift (x + y) = lift x + lift y
% Assm: !x c. lift (c * x) = c % lift x
% Assm: T
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !a. linear (\x. lift (a dot x))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq117014, type, q117014 : $tType).
thf(tcartrealq117014, type, cartrealq117014 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdot, type, dot : (cartrealq117014 > cartrealq117014 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cru_0, type, r_0 : (real > cartrealn1 > cartrealn1)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealq117014 > cartrealq117014)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq117014 > cartrealq117014 > cartrealq117014)).
thf(clinear, type, linear : ((cartrealq117014 > cartrealn1) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_RADD, axiom, ![X:cartrealq117014,Y:cartrealq117014,Z:cartrealq117014]:((dot @ X @ (vectoru_add @ Y @ Z)) = (realu_add @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealq117014,Y:cartrealq117014]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aLIFTu_ADD, axiom, ![X:real,Y:real]:((lift @ (realu_add @ X @ Y)) = (vectoru_add0 @ (lift @ X) @ (lift @ Y)))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_0 @ C @ (lift @ X)))).
thf(aTRUTH, axiom, $true).
thf(alinear, axiom, ![F:(cartrealq117014 > cartrealn1)]:((linear @ F) <=> (![X:cartrealq117014,Y:cartrealq117014]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq117014]:((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![A:cartrealq117014]:(linear @ ^[X:cartrealq117014]:(lift @ (dot @ A @ X)))).
