%   ORIGINAL: LINEAR_FSTCART
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: fstcart: !f. fstcart f = (lambda i. f$i)
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: linear fstcart
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !f. fstcart f = (lambda i. f$i)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: linear fstcart
%  TYPES
thf(tnum, type, num : $tType).
thf(tfiniteu_sumq117097q117095, type, finite_sumq117097q117095 : $tType).
thf(tq117095, type, q117095 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealfiniteu_sumq117097q117095, type, cartrealfinite_sumq117097q117095 : $tType).
thf(tq117097, type, q117097 : $tType).
thf(treal, type, real : $tType).
thf(tcartab, type, cartab : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq117097, type, cartrealq117097 : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cdu_1, type, d_1 : (cartrealfinite_sumq117097q117095 > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealq117097)).
thf(clambda0, type, lambda0 : ((num > a) > cartab)).
thf(cfstcart, type, fstcart : (cartrealfinite_sumq117097q117095 > cartrealq117097)).
thf(cru_1, type, r_1 : (real > cartrealq117097 > cartrealq117097)).
thf(cru_0, type, r_0 : (real > cartrealfinite_sumq117097q117095 > cartrealfinite_sumq117097q117095)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealq117097 > cartrealq117097 > cartrealq117097)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealfinite_sumq117097q117095 > cartrealfinite_sumq117097q117095 > cartrealfinite_sumq117097q117095)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(clinear, type, linear : ((cartrealfinite_sumq117097q117095 > cartrealq117097) > $o)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_0 @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_0 @ X @ I) @ (d_0 @ Y @ I)))).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealn,I:num]:((d_0 @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_0 @ X @ I)))).
thf(afstcart, axiom, ![F:cartrealfinite_sumq117097q117095]:((fstcart @ F) = (lambda1 @ ^[I:num]:(d_1 @ F @ I)))).
thf(alinear, axiom, ![F:(cartrealfinite_sumq117097q117095 > cartrealq117097)]:((linear @ F) <=> (![X:cartrealfinite_sumq117097q117095,Y:cartrealfinite_sumq117097q117095]:((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add1 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealfinite_sumq117097q117095]:((F @ (r_0 @ C @ X)) = (r_1 @ C @ (F @ X)))))).
thf(conjecture, conjecture, (linear @ fstcart)).
