%   ORIGINAL: FSTCART_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FSTCART_ADD: !x y. fstcart (x + y) = fstcart x + fstcart y
% Assm: FSTCART_NEG: !x. --fstcart x = fstcart (--x)
% Assm: TRUTH: T
% Assm: VECTOR_SUB: x - y = x + --y
% Goal: !x y. fstcart (x - y) = fstcart x - fstcart y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. fstcart (x + y) = fstcart x + fstcart y
% Assm: !x. --fstcart x = fstcart (--x)
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !x y. fstcart (x - y) = fstcart x - fstcart y
%  TYPES
thf(tcartrealfiniteu_summn, type, cartrealfinite_summn : $tType).
thf(ta, type, a : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealfinite_summn > cartrealfinite_summn)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealm > cartrealm > cartrealm)).
thf(cvectoruu_add, type, vectoru_add : (cartrealfinite_summn > cartrealfinite_summn > cartrealfinite_summn)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealm > cartrealm > cartrealm)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealfinite_summn > cartrealfinite_summn > cartrealfinite_summn)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealm > cartrealm)).
thf(cfstcart, type, fstcart : (cartrealfinite_summn > cartrealm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFSTCARTu_ADD, axiom, ![X:cartrealfinite_summn,Y:cartrealfinite_summn]:((fstcart @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (fstcart @ X) @ (fstcart @ Y)))).
thf(aFSTCARTu_NEG, axiom, ![X:cartrealfinite_summn]:((vectoru_neg @ (fstcart @ X)) = (fstcart @ (vectoru_neg0 @ X)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUB, axiom, ![X:cartrealm,Y:cartrealm]:((vectoru_sub0 @ X @ Y) = (vectoru_add0 @ X @ (vectoru_neg @ Y)))).
thf(conjecture, conjecture, ![X:cartrealfinite_summn,Y:cartrealfinite_summn]:((fstcart @ (vectoru_sub @ X @ Y)) = (vectoru_sub0 @ (fstcart @ X) @ (fstcart @ Y)))).
