%   ORIGINAL: SNDCART_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SNDCART_ADD: !x y. sndcart (x + y) = sndcart x + sndcart y
% Assm: SNDCART_NEG: !x. --sndcart x = sndcart (--x)
% Assm: TRUTH: T
% Assm: VECTOR_SUB: x - y = x + --y
% Goal: !x y. sndcart (x - y) = sndcart x - sndcart y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. sndcart (x + y) = sndcart x + sndcart y
% Assm: !x. --sndcart x = sndcart (--x)
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !x y. sndcart (x - y) = sndcart x - sndcart y
%  TYPES
thf(tcartrealfiniteu_summn, type, cartrealfinite_summn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(treal, type, real : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealfinite_summn > cartrealfinite_summn)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealfinite_summn > cartrealfinite_summn > cartrealfinite_summn)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealfinite_summn > cartrealfinite_summn > cartrealfinite_summn)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(csndcart, type, sndcart : (cartrealfinite_summn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSNDCARTu_ADD, axiom, ![X:cartrealfinite_summn,Y:cartrealfinite_summn]:((sndcart @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (sndcart @ X) @ (sndcart @ Y)))).
thf(aSNDCARTu_NEG, axiom, ![X:cartrealfinite_summn]:((vectoru_neg @ (sndcart @ X)) = (sndcart @ (vectoru_neg0 @ X)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub0 @ X @ Y) = (vectoru_add0 @ X @ (vectoru_neg @ Y)))).
thf(conjecture, conjecture, ![X:cartrealfinite_summn,Y:cartrealfinite_summn]:((sndcart @ (vectoru_sub @ X @ Y)) = (vectoru_sub0 @ (sndcart @ X) @ (sndcart @ Y)))).
