%   ORIGINAL: PASTECART_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FSTCART_ADD: !x y. fstcart (x + y) = fstcart x + fstcart y
% Assm: FSTCART_PASTECART: !x y. fstcart (pastecart x y) = x
% Assm: PASTECART_EQ: !x y. x = y <=> fstcart x = fstcart y /\ sndcart x = sndcart y
% Assm: SNDCART_ADD: !x y. sndcart (x + y) = sndcart x + sndcart y
% Assm: SNDCART_PASTECART: !x y. sndcart (pastecart x y) = y
% Assm: TRUTH: T
% Goal: !x1 y1 x2 y2. pastecart x1 y1 + pastecart x2 y2 = pastecart (x1 + x2) (y1 + y2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. fstcart (x + y) = fstcart x + fstcart y
% Assm: !x y. fstcart (pastecart x y) = x
% Assm: !x y. x = y <=> fstcart x = fstcart y /\ sndcart x = sndcart y
% Assm: !x y. sndcart (x + y) = sndcart x + sndcart y
% Assm: !x y. sndcart (pastecart x y) = y
% Assm: T
% Goal: !x1 y1 x2 y2. pastecart x1 y1 + pastecart x2 y2 = pastecart (x1 + x2) (y1 + y2)
%  TYPES
thf(tcartrealfiniteu_summn, type, cartrealfinite_summn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealm > cartrealm > cartrealm)).
thf(cpastecart, type, pastecart : (cartrealm > cartrealn > cartrealfinite_summn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealfinite_summn > cartrealfinite_summn > cartrealfinite_summn)).
thf(cfstcart, type, fstcart : (cartrealfinite_summn > cartrealm)).
thf(csndcart, type, sndcart : (cartrealfinite_summn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealfinite_summn),G:(a > cartrealfinite_summn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFSTCARTu_ADD, axiom, ![X:cartrealfinite_summn,Y:cartrealfinite_summn]:((fstcart @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (fstcart @ X) @ (fstcart @ Y)))).
thf(aFSTCARTu_PASTECART, axiom, ![X:cartrealm,Y:cartrealn]:((fstcart @ (pastecart @ X @ Y)) = X)).
thf(aPASTECARTu_EQ, axiom, ![X:cartrealfinite_summn,Y:cartrealfinite_summn]:((X = Y) <=> (((fstcart @ X) = (fstcart @ Y)) & ((sndcart @ X) = (sndcart @ Y))))).
thf(aSNDCARTu_ADD, axiom, ![X:cartrealfinite_summn,Y:cartrealfinite_summn]:((sndcart @ (vectoru_add @ X @ Y)) = (vectoru_add1 @ (sndcart @ X) @ (sndcart @ Y)))).
thf(aSNDCARTu_PASTECART, axiom, ![X:cartrealm,Y:cartrealn]:((sndcart @ (pastecart @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X1:cartrealm,Y1:cartrealn,X2:cartrealm,Y2:cartrealn]:((vectoru_add @ (pastecart @ X1 @ Y1) @ (pastecart @ X2 @ Y2)) = (pastecart @ (vectoru_add0 @ X1 @ X2) @ (vectoru_add1 @ Y1 @ Y2)))).
