%   ORIGINAL: PASTECART_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PASTECART_ADD: !x1 y1 x2 y2. pastecart x1 y1 + pastecart x2 y2 = pastecart (x1 + x2) (y1 + y2)
% Assm: PASTECART_NEG: !x y. pastecart (--x) (--y) = --pastecart x y
% Assm: TRUTH: T
% Assm: VECTOR_SUB: x - y = x + --y
% Goal: !x1 y1 x2 y2. pastecart x1 y1 - pastecart x2 y2 = pastecart (x1 - x2) (y1 - y2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x1 y1 x2 y2. pastecart x1 y1 + pastecart x2 y2 = pastecart (x1 + x2) (y1 + y2)
% Assm: !x y. pastecart (--x) (--y) = --pastecart x y
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !x1 y1 x2 y2. pastecart x1 y1 - pastecart x2 y2 = pastecart (x1 - x2) (y1 - y2)
%  TYPES
thf(tcartrealfiniteu_summn, type, cartrealfinite_summn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_neg1, type, vectoru_neg1 : (cartrealfinite_summn > cartrealfinite_summn)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealm > cartrealm > cartrealm)).
thf(cvectoruu_add, type, vectoru_add : (cartrealfinite_summn > cartrealfinite_summn > cartrealfinite_summn)).
thf(cvectoruu_sub1, type, vectoru_sub1 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealm > cartrealm > cartrealm)).
thf(cpastecart, type, pastecart : (cartrealm > cartrealn > cartrealfinite_summn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealfinite_summn > cartrealfinite_summn > cartrealfinite_summn)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealm > cartrealm)).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealfinite_summn),G:(a > cartrealfinite_summn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPASTECARTu_ADD, axiom, ![X1:cartrealm,Y1:cartrealn,X2:cartrealm,Y2:cartrealn]:((vectoru_add @ (pastecart @ X1 @ Y1) @ (pastecart @ X2 @ Y2)) = (pastecart @ (vectoru_add0 @ X1 @ X2) @ (vectoru_add1 @ Y1 @ Y2)))).
thf(aPASTECARTu_NEG, axiom, ![X:cartrealm,Y:cartrealn]:((pastecart @ (vectoru_neg @ X) @ (vectoru_neg0 @ Y)) = (vectoru_neg1 @ (pastecart @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUB, axiom, ![X:cartrealfinite_summn,Y:cartrealfinite_summn]:((vectoru_sub @ X @ Y) = (vectoru_add @ X @ (vectoru_neg1 @ Y)))).
thf(conjecture, conjecture, ![X1:cartrealm,Y1:cartrealn,X2:cartrealm,Y2:cartrealn]:((vectoru_sub @ (pastecart @ X1 @ Y1) @ (pastecart @ X2 @ Y2)) = (pastecart @ (vectoru_sub0 @ X1 @ X2) @ (vectoru_sub1 @ Y1 @ Y2)))).
