%   ORIGINAL: NORM_PASTECART_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_PASTECART: !x1 x2 y1 y2. pastecart x1 x2 dot pastecart y1 y2 = x1 dot y1 + x2 dot y2
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NORM_POW_2: !x. norm x pow 2 = x dot x
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: TRIANGLE_LEMMA: !x y z. &0 <= x /\ &0 <= y /\ &0 <= z /\ x pow 2 <= y pow 2 + z pow 2 ==> x <= y + z
% Assm: TRUTH: T
% Goal: !x y. norm (pastecart x y) <= norm x + norm y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x1 x2 y1 y2. pastecart x1 x2 dot pastecart y1 y2 = x1 dot y1 + x2 dot y2
% Assm: !x. &0 <= norm x
% Assm: !x. &0 <= norm x
% Assm: !x. &0 <= norm x
% Assm: !x. norm x pow 2 = x dot x
% Assm: !x. norm x pow 2 = x dot x
% Assm: !x. norm x pow 2 = x dot x
% Assm: !x. x <= x
% Assm: !x y z. &0 <= x /\ &0 <= y /\ &0 <= z /\ x pow 2 <= y pow 2 + z pow 2 ==> x <= y + z
% Assm: T
% Goal: !x y. norm (pastecart x y) <= norm x + norm y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tfiniteu_sumq118304q118305, type, finite_sumq118304q118305 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq118305, type, cartrealq118305 : $tType).
thf(tq118304, type, q118304 : $tType).
thf(tcartrealfiniteu_sumq118304q118305, type, cartrealfinite_sumq118304q118305 : $tType).
thf(tq118305, type, q118305 : $tType).
thf(tcartrealq118304, type, cartrealq118304 : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cdot1, type, dot1 : (cartrealq118305 > cartrealq118305 > real)).
thf(cdot0, type, dot0 : (cartrealq118304 > cartrealq118304 > real)).
thf(cdot, type, dot : (cartrealfinite_sumq118304q118305 > cartrealfinite_sumq118304q118305 > real)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq118305 > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq118304 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealfinite_sumq118304q118305 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cpastecart, type, pastecart : (cartrealq118304 > cartrealq118305 > cartrealfinite_sumq118304q118305)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_PASTECART, axiom, ![X1:cartrealq118304,X2:cartrealq118305,Y1:cartrealq118304,Y2:cartrealq118305]:((dot @ (pastecart @ X1 @ X2) @ (pastecart @ Y1 @ Y2)) = (realu_add @ (dot0 @ X1 @ Y1) @ (dot1 @ X2 @ Y2)))).
thf(aNORMu_POSu_LEu_monomorphized2, axiom, ![X:cartrealfinite_sumq118304q118305]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNORMu_POSu_LEu_monomorphized1, axiom, ![X:cartrealq118305]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm1 @ X))).
thf(aNORMu_POSu_LEu_monomorphized0, axiom, ![X:cartrealq118304]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm0 @ X))).
thf(aNORMu_POWu_2u_monomorphized2, axiom, ![X:cartrealfinite_sumq118304q118305]:((realu_pow @ (vectoru_norm @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (dot @ X @ X))).
thf(aNORMu_POWu_2u_monomorphized1, axiom, ![X:cartrealq118305]:((realu_pow @ (vectoru_norm1 @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (dot1 @ X @ X))).
thf(aNORMu_POWu_2u_monomorphized0, axiom, ![X:cartrealq118304]:((realu_pow @ (vectoru_norm0 @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (dot0 @ X @ X))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aTRIANGLEu_LEMMA, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Z) & (realu_le @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_add @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Z @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (realu_le @ X @ (realu_add @ Y @ Z)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq118304,Y:cartrealq118305]:(realu_le @ (vectoru_norm @ (pastecart @ X @ Y)) @ (realu_add @ (vectoru_norm0 @ X) @ (vectoru_norm1 @ Y)))).
