%   ORIGINAL: NORM_LE_PASTECART
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_PASTECART: !x y. norm (pastecart x y) = sqrt (norm x pow 2 + norm y pow 2)
% Assm: REAL_LE_ADDL: !x y. y <= x + y <=> &0 <= x
% Assm: REAL_LE_ADDR: !x y. x <= x + y <=> &0 <= y
% Assm: REAL_LE_RSQRT: !x y. x pow 2 <= y ==> x <= sqrt y
% Assm: Real_ext.REAL_MK_LE_SQUARE: !x. &0 <= x pow 2
% Assm: TRUTH: T
% Goal: !x y. norm x <= norm (pastecart x y) /\ norm y <= norm (pastecart x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. norm (pastecart x y) = sqrt (norm x pow 2 + norm y pow 2)
% Assm: !x y. y <= x + y <=> &0 <= x
% Assm: !x y. x <= x + y <=> &0 <= y
% Assm: !x y. x pow 2 <= y ==> x <= sqrt y
% Assm: !x. &0 <= x pow 2
% Assm: T
% Goal: !x y. norm x <= norm (pastecart x y) /\ norm y <= norm (pastecart x y)
%  TYPES
thf(tcartrealfiniteu_summm, type, cartrealfinite_summm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tfiniteu_summm, type, finite_summm : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealfinite_summm > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealm > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cpastecart, type, pastecart : (cartrealm > cartrealm > cartrealfinite_summm)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_PASTECART, axiom, ![X:cartrealm,Y:cartrealm]:((vectoru_norm0 @ (pastecart @ X @ Y)) = (sqrt @ (realu_add @ (realu_pow @ (vectoru_norm @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (vectoru_norm @ Y) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aREALu_LEu_ADDL, axiom, ![X:real,Y:real]:((realu_le @ Y @ (realu_add @ X @ Y)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aREALu_LEu_ADDR, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_add @ X @ Y)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y))).
thf(aREALu_LEu_RSQRT, axiom, ![X:real,Y:real]:((realu_le @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ Y) => (realu_le @ X @ (sqrt @ Y)))).
thf(aRealu_exto_REALu_MKu_LEu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealm,Y:cartrealm]:((realu_le @ (vectoru_norm @ X) @ (vectoru_norm0 @ (pastecart @ X @ Y))) & (realu_le @ (vectoru_norm @ Y) @ (vectoru_norm0 @ (pastecart @ X @ Y))))).
