%   ORIGINAL: SUBSPACE_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Assm: subspace: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: subspace (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x IN (:real^N)
% Assm: T
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: subspace (:real^N)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aTRUTH, axiom, $true).
thf(asubspace, axiom, ![S:(cartrealn > $o)]:((subspace @ S) <=> ((in @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S)) & ![C:real,X:cartrealn]:((in @ X @ S) => (in @ (r_ @ C @ X) @ S))))).
thf(conjecture, conjecture, (subspace @ univ)).
