%   ORIGINAL: SUBSPACE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSPACE_ADD: !x y s. subspace s /\ x IN s /\ y IN s ==> x + y IN s
% Assm: SUBSPACE_NEG: !x s. subspace s /\ x IN s ==> --x IN s
% Assm: TRUTH: T
% Assm: VECTOR_SUB: x - y = x + --y
% Goal: !x y s. subspace s /\ x IN s /\ y IN s ==> x - y IN s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y s. subspace s /\ x IN s /\ y IN s ==> x + y IN s
% Assm: !x s. subspace s /\ x IN s ==> --x IN s
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !x y s. subspace s /\ x IN s /\ y IN s ==> x - y IN s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq118771, type, q118771 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq118771, type, cartrealq118771 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq118771 > cartrealq118771)).
thf(cin, type, in : (cartrealq118771 > (cartrealq118771 > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq118771 > cartrealq118771 > cartrealq118771)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq118771 > cartrealq118771 > cartrealq118771)).
thf(csubspace, type, subspace : ((cartrealq118771 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSPACEu_ADD, axiom, ![X:cartrealq118771,Y:cartrealq118771,S:(cartrealq118771 > $o)]:(((subspace @ S) & (in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S))).
thf(aSUBSPACEu_NEG, axiom, ![X:cartrealq118771,S:(cartrealq118771 > $o)]:(((subspace @ S) & (in @ X @ S)) => (in @ (vectoru_neg @ X) @ S))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUB, axiom, ![X:cartrealq118771,Y:cartrealq118771]:((vectoru_sub @ X @ Y) = (vectoru_add @ X @ (vectoru_neg @ Y)))).
thf(conjecture, conjecture, ![X:cartrealq118771,Y:cartrealq118771,S:(cartrealq118771 > $o)]:(((subspace @ S) & (in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_sub @ X @ Y) @ S))).
