%   ORIGINAL: SUBSPACE_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSPACE_0: subspace s ==> vec 0 IN s
% Assm: SUBSPACE_ADD: !x y s. subspace s /\ x IN s /\ y IN s ==> x + y IN s
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !s f t. subspace s /\ FINITE t /\ (!x. x IN t ==> f x IN s) ==> vsum t f IN s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !s. subspace s ==> vec 0 IN s
% Assm: !x y s. subspace s /\ x IN s /\ y IN s ==> x + y IN s
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !s f t. subspace s /\ FINITE t /\ (!x. x IN t ==> f x IN s) ==> vsum t f IN s
%  TYPES
thf(tq118817, type, q118817 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq118817, type, cartrealq118817 : $tType).
thf(treal, type, real : $tType).
thf(tq118810, type, q118810 : $tType).
%  CONSTS
thf(cempty, type, empty : (q118810 > $o)).
thf(cvec, type, vec : (num > cartrealq118817)).
thf(cin0, type, in0 : (cartrealq118817 > (cartrealq118817 > $o) > $o)).
thf(cin, type, in : (q118810 > (q118810 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealq118817 > cartrealq118817 > cartrealq118817)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq118817 > cartrealq118817 > cartrealq118817)).
thf(cinsert0, type, insert0 : (cartrealq118817 > (cartrealq118817 > $o) > cartrealq118817 > $o)).
thf(cinsert, type, insert : (q118810 > (q118810 > $o) > q118810 > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cvsum, type, vsum : ((q118810 > $o) > (q118810 > cartrealq118817) > cartrealq118817)).
thf(cfinite, type, finite : ((q118810 > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealq118817 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q118810 > $o) > $o)]:(((P @ empty) & ![X:q118810,S:(q118810 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q118810 > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERTu_monomorphized1, axiom, ![X:cartrealq118817,Y:cartrealq118817,S:(cartrealq118817 > $o)]:((in0 @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aINu_INSERTu_monomorphized0, axiom, ![X:q118810,Y:q118810,S:(q118810 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSPACEu_0, axiom, ![S:(cartrealq118817 > $o)]:((subspace @ S) => (in0 @ (vec @ (numeral @ u_0)) @ S))).
thf(aSUBSPACEu_ADD, axiom, ![X:cartrealq118817,Y:cartrealq118817,S:(cartrealq118817 > $o)]:(((subspace @ S) & (in0 @ X @ S) & (in0 @ Y @ S)) => (in0 @ (vectoru_add @ X @ Y) @ S))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q118810 > cartrealq118817)]:((vsum @ empty @ F) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q118810,F:(q118810 > cartrealq118817),S:(q118810 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(conjecture, conjecture, ![S:(cartrealq118817 > $o),F:(q118810 > cartrealq118817),T:(q118810 > $o)]:(((subspace @ S) & (finite @ T) & ![X:q118810]:((in @ X @ T) => (in0 @ (F @ X) @ S))) => (in0 @ (vsum @ T @ F) @ S))).
