%   ORIGINAL: LINEAR_INJECTIVE_0_SUBSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_SUB: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSPACE_0: subspace s ==> vec 0 IN s
% Assm: SUBSPACE_SUB: !x y s. subspace s /\ x IN s /\ y IN s ==> x - y IN s
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Goal: !f s. linear f /\ subspace s ==> ((!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (!x. x IN s /\ f x = vec 0 ==> x = vec 0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: ~F <=> T
% Assm: !s. subspace s ==> vec 0 IN s
% Assm: !x y s. subspace s /\ x IN s /\ y IN s ==> x - y IN s
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !x. x - vec 0 = x
% Assm: !x. x - vec 0 = x
% Goal: !f s. linear f /\ subspace s ==> ((!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (!x. x IN s /\ f x = vec 0 ==> x = vec 0))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealm > cartrealm > cartrealm)).
thf(ci1, type, i1 : ($o > $o)).
thf(csubspace, type, subspace : ((cartrealm > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(cvec0, type, vec0 : (num > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized2, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aLINEARu_SUB, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,Y:cartrealm]:((linear @ F) => ((F @ (vectoru_sub @ X @ Y)) = (vectoru_sub0 @ (F @ X) @ (F @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSPACEu_0, axiom, ![S:(cartrealm > $o)]:((subspace @ S) => (in @ (vec0 @ (numeral @ u_0)) @ S))).
thf(aSUBSPACEu_SUB, axiom, ![X:cartrealm,Y:cartrealm,S:(cartrealm > $o)]:(((subspace @ S) & (in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_sub @ X @ Y) @ S))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:(((vectoru_sub0 @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(aVECTORu_SUBu_EQu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm]:(((vectoru_sub @ X @ Y) = (vec0 @ (numeral @ u_0))) <=> (X = Y))).
thf(aVECTORu_SUBu_RZEROu_monomorphized1, axiom, ![X:cartrealn]:((vectoru_sub0 @ X @ (vec @ (numeral @ u_0))) = X)).
thf(aVECTORu_SUBu_RZEROu_monomorphized0, axiom, ![X:cartrealm]:((vectoru_sub @ X @ (vec0 @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & (subspace @ S)) => (![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ![X:cartrealm]:(((in @ X @ S) & ((F @ X) = (vec @ (numeral @ u_0)))) => (X = (vec0 @ (numeral @ u_0))))))).
