%   ORIGINAL: SPAN_INDUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: span: !s. span s = subspace hull s
% Goal: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. span s = subspace hull s
% Goal: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq119314, type, cartrealq119314 : $tType).
thf(treal, type, real : $tType).
thf(tq119314, type, q119314 : $tType).
thf(tq94668, type, q94668 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealq119314 > $o) > (cartrealq119314 > $o) > $o)).
thf(csubset, type, subset : ((q94668 > $o) > (q94668 > $o) > $o)).
thf(cspan, type, span : ((cartrealq119314 > $o) > cartrealq119314 > $o)).
thf(cin, type, in : (cartrealq119314 > (cartrealq119314 > $o) > $o)).
thf(chull0, type, hull0 : (((cartrealq119314 > $o) > $o) > (cartrealq119314 > $o) > cartrealq119314 > $o)).
thf(chull, type, hull : (((q94668 > $o) > $o) > (q94668 > $o) > q94668 > $o)).
thf(csubspace, type, subspace : ((cartrealq119314 > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHULLu_MINIMAL, axiom, ![P:((q94668 > $o) > $o),S:(q94668 > $o),T:(q94668 > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aIN, axiom, ![P:(cartrealq119314 > $o),X:cartrealq119314]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq119314 > $o),T:(cartrealq119314 > $o)]:((subset0 @ S @ T) <=> ![X:cartrealq119314]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aspan, axiom, ![S:(cartrealq119314 > $o)]:((span @ S) = (hull0 @ subspace @ S))).
thf(conjecture, conjecture, ![S:(cartrealq119314 > $o),H:(cartrealq119314 > $o)]:((![X:cartrealq119314]:((in @ X @ S) => (in @ X @ H)) & (subspace @ H)) => ![X:cartrealq119314]:((in @ X @ (span @ S)) => (H @ X)))).
