%   ORIGINAL: SPAN_INDUCT_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_INDUCT: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: TRUTH: T
% Assm: Trigonometry.WHIAXYD2: x + y + z = (x + y) + z
% Assm: Trigonometry.WHIAXYD3: !x y. x + y = y + x
% Assm: VECTOR_ADD_LDISTRIB: c % (x + y) = c % x + c % y
% Assm: VECTOR_ADD_LID: !x. vec 0 + x = x
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: subspace: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !s h. h (vec 0) /\ (!c x y. x IN s /\ h y ==> h (c % x + y)) ==> (!x. x IN span s ==> h x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: T
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x y. x + y = y + x
% Assm: !x c y. c % (x + y) = c % x + c % y
% Assm: !x. vec 0 + x = x
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Assm: !c. c % vec 0 = vec 0
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !s h. h (vec 0) /\ (!c x y. x IN s /\ h y ==> h (c % x + y)) ==> (!x. x IN span s ==> h x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_INDUCT, axiom, ![S:(cartrealn > $o),H:(cartrealn > $o)]:((![X:cartrealn]:((in @ X @ S) => (in @ X @ H)) & (subspace @ H)) => ![X:cartrealn]:((in @ X @ (span @ S)) => (H @ X)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_WHIAXYD2, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:((vectoru_add @ X @ (vectoru_add @ Y @ Z)) = (vectoru_add @ (vectoru_add @ X @ Y) @ Z))).
thf(aTrigonometryo_WHIAXYD3, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add @ X @ Y) = (vectoru_add @ Y @ X))).
thf(aVECTORu_ADDu_LDISTRIB, axiom, ![X:cartrealn,C:real,Y:cartrealn]:((r_ @ C @ (vectoru_add @ X @ Y)) = (vectoru_add @ (r_ @ C @ X) @ (r_ @ C @ Y)))).
thf(aVECTORu_ADDu_LID, axiom, ![X:cartrealn]:((vectoru_add @ (vec @ (numeral @ u_0)) @ X) = X)).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_ @ C @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(asubspace, axiom, ![S:(cartrealn > $o)]:((subspace @ S) <=> ((in @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S)) & ![C:real,X:cartrealn]:((in @ X @ S) => (in @ (r_ @ C @ X) @ S))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),H:(cartrealn > $o)]:(((H @ (vec @ (numeral @ u_0))) & ![C:real,X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (H @ Y)) => (H @ (vectoru_add @ (r_ @ C @ X) @ Y)))) => ![X:cartrealn]:((in @ X @ (span @ S)) => (H @ X)))).
