%   ORIGINAL: SPAN_ADD_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_ADD: !x y s. x IN span s /\ y IN span s ==> x + y IN span s
% Assm: SPAN_SUB: !x y s. x IN span s /\ y IN span s ==> x - y IN span s
% Assm: TRUTH: T
% Assm: VECTOR_ADD_SUB: (x + y) - x = y
% Goal: !s x y. x IN span s ==> (x + y IN span s <=> y IN span s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y s. x IN span s /\ y IN span s ==> x + y IN span s
% Assm: !x y s. x IN span s /\ y IN span s ==> x - y IN span s
% Assm: T
% Assm: !x y. (x + y) - x = y
% Goal: !s x y. x IN span s ==> (x + y IN span s <=> y IN span s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq119901, type, cartrealq119901 : $tType).
thf(tq119901, type, q119901 : $tType).
%  CONSTS
thf(cspan, type, span : ((cartrealq119901 > $o) > cartrealq119901 > $o)).
thf(cin, type, in : (cartrealq119901 > (cartrealq119901 > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq119901 > cartrealq119901 > cartrealq119901)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq119901 > cartrealq119901 > cartrealq119901)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_ADD, axiom, ![X:cartrealq119901,Y:cartrealq119901,S:(cartrealq119901 > $o)]:(((in @ X @ (span @ S)) & (in @ Y @ (span @ S))) => (in @ (vectoru_add @ X @ Y) @ (span @ S)))).
thf(aSPANu_SUB, axiom, ![X:cartrealq119901,Y:cartrealq119901,S:(cartrealq119901 > $o)]:(((in @ X @ (span @ S)) & (in @ Y @ (span @ S))) => (in @ (vectoru_sub @ X @ Y) @ (span @ S)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_SUB, axiom, ![X:cartrealq119901,Y:cartrealq119901]:((vectoru_sub @ (vectoru_add @ X @ Y) @ X) = Y)).
thf(conjecture, conjecture, ![S:(cartrealq119901 > $o),X:cartrealq119901,Y:cartrealq119901]:((in @ X @ (span @ S)) => ((in @ (vectoru_add @ X @ Y) @ (span @ S)) <=> (in @ Y @ (span @ S))))).
