%   ORIGINAL: SPAN_SUBSET_SUBSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_EQ_SELF: !s. span s = s <=> subspace s
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: TRUTH: T
% Goal: !s t. s SUBSET t /\ subspace t ==> span s SUBSET t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s. span s = s <=> subspace s
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: T
% Goal: !s t. s SUBSET t /\ subspace t ==> span s SUBSET t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_EQu_SELF, axiom, ![S:(cartrealn > $o)]:(((span @ S) = S) <=> (subspace @ S))).
thf(aSPANu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (span @ S) @ (span @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subspace @ T)) => (subset @ (span @ S) @ T))).
