%   ORIGINAL: SPAN_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_GSPEC_conjunct1: !P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_0: vec 0 IN span s
% Assm: SPAN_ADD: !x y s. x IN span s /\ y IN span s ==> x + y IN span s
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SPAN_SUBSET_SUBSPACE: !s t. s SUBSET t /\ subspace t ==> span s SUBSET t
% Assm: SPAN_SUPERSET: !x. x IN s ==> x IN span s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_UNION_conjunct0: !s t. s SUBSET s UNION t
% Assm: SUBSET_UNION_conjunct1: !s t. s SUBSET t UNION s
% Assm: SUBSPACE_SPAN: !s. subspace (span s)
% Assm: SUBSPACE_SUMS: !s t. subspace s /\ subspace t ==> subspace {x + y | x IN s /\ y IN t}
% Assm: TRUTH: T
% Assm: VECTOR_ADD_LID: !x. vec 0 + x = x
% Assm: VECTOR_ADD_RID: !x. x + vec 0 = x
% Goal: !s t. span (s UNION t) = {x + y | x IN span s /\ y IN span t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !Q P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !s. vec 0 IN span s
% Assm: !x y s. x IN span s /\ y IN span s ==> x + y IN span s
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: !s t. s SUBSET t /\ subspace t ==> span s SUBSET t
% Assm: !s x. x IN s ==> x IN span s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t. s SUBSET s UNION t
% Assm: !s t. s SUBSET t UNION s
% Assm: !s. subspace (span s)
% Assm: !s t. subspace s /\ subspace t ==> subspace {x + y | x IN s /\ y IN t}
% Assm: T
% Assm: !x. vec 0 + x = x
% Assm: !x. x + vec 0 = x
% Goal: !s t. span (s UNION t) = {x + y | x IN span s /\ y IN span t}
%  TYPES
thf(tnum, type, num : $tType).
thf(tq48223, type, q48223 : $tType).
thf(tq48224, type, q48224 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFORALLu_INu_GSPECu_conjunct1, axiom, ![Q:(cartrealn > $o),P:(q48224 > q48223 > $o),F:(q48224 > q48223 > cartrealn)]:(![Z:cartrealn]:((in @ Z @ (gspec @ ^[GENR_PVARR_21:cartrealn]:?[X:q48224,Y:q48223]:(setspec @ GENR_PVARR_21 @ (P @ X @ Y) @ (F @ X @ Y)))) => (Q @ Z)) <=> ![X:q48224,Y:q48223]:((P @ X @ Y) => (Q @ (F @ X @ Y))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_0, axiom, ![S:(cartrealn > $o)]:(in @ (vec @ (numeral @ u_0)) @ (span @ S))).
thf(aSPANu_ADD, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:(((in @ X @ (span @ S)) & (in @ Y @ (span @ S))) => (in @ (vectoru_add @ X @ Y) @ (span @ S)))).
thf(aSPANu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (span @ S) @ (span @ T)))).
thf(aSPANu_SUBSETu_SUBSPACE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subspace @ T)) => (subset @ (span @ S) @ T))).
thf(aSPANu_SUPERSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (span @ S)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_UNIONu_conjunct0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ S @ (union @ S @ T))).
thf(aSUBSETu_UNIONu_conjunct1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ S @ (union @ T @ S))).
thf(aSUBSPACEu_SPAN, axiom, ![S:(cartrealn > $o)]:(subspace @ (span @ S))).
thf(aSUBSPACEu_SUMS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subspace @ S) & (subspace @ T)) => (subspace @ (gspec @ ^[GENR_PVARR_271:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_271 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_LID, axiom, ![X:cartrealn]:((vectoru_add @ (vec @ (numeral @ u_0)) @ X) = X)).
thf(aVECTORu_ADDu_RID, axiom, ![X:cartrealn]:((vectoru_add @ X @ (vec @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((span @ (union @ S @ T)) = (gspec @ ^[GENR_PVARR_272:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_272 @ ((in @ X @ (span @ S)) & (in @ Y @ (span @ T))) @ (vectoru_add @ X @ Y))))).
