%   ORIGINAL: SPAN_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_ELIM_THM_conjunct4: !p x. x IN (\y. p y) <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_INDUCT: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: SPAN_SUPERSET: !x. x IN s ==> x IN span s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSPACE_LINEAR_IMAGE: !f s. linear f /\ subspace s ==> subspace (IMAGE f s)
% Assm: SUBSPACE_LINEAR_PREIMAGE: !f s. linear f /\ subspace s ==> subspace {x | f x IN s}
% Assm: SUBSPACE_SPAN: !s. subspace (span s)
% Assm: TRUTH: T
% Goal: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN (\y. p y) <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: !s x. x IN s ==> x IN span s
% Assm: !s x. x IN s ==> x IN span s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f s. linear f /\ subspace s ==> subspace (IMAGE f s)
% Assm: !f s. linear f /\ subspace s ==> subspace {x | f x IN s}
% Assm: !s. subspace (span s)
% Assm: !s. subspace (span s)
% Assm: T
% Goal: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tq43925, type, q43925 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin3, type, in3 : (q43925 > (q43925 > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin2, type, in2 : (q43851 > (q43851 > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cspan0, type, span0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : (cartrealm > $o > cartrealm > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(csubspace0, type, subspace0 : ((cartrealm > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealm]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in1 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in2 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct4, axiom, ![P:(q43925 > $o),X:q43925]:((in3 @ X @ ^[Y:q43925]:(P @ Y)) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_INDUCTu_monomorphized1, axiom, ![S:(cartrealn > $o),H:(cartrealn > $o)]:((![X:cartrealn]:((in @ X @ S) => (in @ X @ H)) & (subspace @ H)) => ![X:cartrealn]:((in @ X @ (span @ S)) => (H @ X)))).
thf(aSPANu_INDUCTu_monomorphized0, axiom, ![S:(cartrealm > $o),H:(cartrealm > $o)]:((![X:cartrealm]:((in0 @ X @ S) => (in0 @ X @ H)) & (subspace0 @ H)) => ![X:cartrealm]:((in0 @ X @ (span0 @ S)) => (H @ X)))).
thf(aSPANu_SUPERSETu_monomorphized1, axiom, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (span @ S)))).
thf(aSPANu_SUPERSETu_monomorphized0, axiom, ![S:(cartrealm > $o),X:cartrealm]:((in0 @ X @ S) => (in0 @ X @ (span0 @ S)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aSUBSPACEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & (subspace0 @ S)) => (subspace @ (image @ F @ S)))).
thf(aSUBSPACEu_LINEARu_PREIMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & (subspace @ S)) => (subspace0 @ (gspec0 @ ^[GENR_PVARR_270:cartrealm]:?[X:cartrealm]:(setspec0 @ GENR_PVARR_270 @ (in @ (F @ X) @ S) @ X))))).
thf(aSUBSPACEu_SPANu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(subspace @ (span @ S))).
thf(aSUBSPACEu_SPANu_monomorphized0, axiom, ![S:(cartrealm > $o)]:(subspace0 @ (span0 @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((span @ (image @ F @ S)) = (image @ F @ (span0 @ S))))).
