%   ORIGINAL: DEPENDENT_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_LINEAR_IMAGE: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
% Assm: TRUTH: T
% Assm: dependent: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (dependent (IMAGE f s) <=> dependent s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x <=> y)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
% Assm: T
% Assm: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Assm: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (dependent (IMAGE f s) <=> dependent s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cspan0, type, span0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cin2, type, in2 : ($o > ($o > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdelete1, type, delete1 : (($o > $o) > $o > $o > $o)).
thf(cdelete0, type, delete0 : ((cartrealm > $o) > cartrealm > cartrealm > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ci1, type, i1 : ($o > $o)).
thf(cdependent0, type, dependent0 : ((cartrealm > $o) > $o)).
thf(cdependent, type, dependent : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(?[Y:cartrealn]:((in @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:cartrealm]:((in0 @ X @ S) & (P @ (F @ X))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in1 @ X @ S) <=> (in1 @ X @ T)))).
thf(aFUNu_EQu_THMu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in1 @ X @ P) <=> (P @ X))).
thf(aINu_DELETEu_monomorphized2, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_DELETEu_monomorphized1, axiom, ![S:(cartrealm > $o),X:cartrealm,Y:cartrealm]:((in0 @ X @ (delete0 @ S @ Y)) <=> ((in0 @ X @ S) & ~ ((X = Y))))).
thf(aINu_DELETEu_monomorphized0, axiom, ![S:($o > $o),X:$o,Y:$o]:((in2 @ X @ (delete1 @ S @ Y)) <=> ((in2 @ X @ S) & ~ ((X <=> Y))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((span @ (image @ F @ S)) = (image @ F @ (span0 @ S))))).
thf(aTRUTH, axiom, $true).
thf(adependentu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((dependent @ S) <=> ?[A:cartrealn]:((in @ A @ S) & (in @ A @ (span @ (delete @ S @ A)))))).
thf(adependentu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((dependent0 @ S) <=> ?[A:cartrealm]:((in0 @ A @ S) & (in0 @ A @ (span0 @ (delete0 @ S @ A)))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((dependent @ (image @ F @ S)) <=> (dependent0 @ S)))).
