%   ORIGINAL: DEPENDENT_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_IN_IMAGE: !f s x. x IN s ==> f x IN IMAGE f s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_LINEAR_IMAGE: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
% Assm: TRUTH: T
% Assm: dependent: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Goal: !f s. linear f /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ dependent s ==> dependent (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s x. x IN s ==> f x IN IMAGE f s
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
% Assm: T
% Assm: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Goal: !f s. linear f /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ dependent s ==> dependent (IMAGE f s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cspan0, type, span0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cdelete, type, delete : ((cartrealm > $o) > cartrealm > cartrealm > $o)).
thf(cimage0, type, image0 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cdependent0, type, dependent0 : ((cartrealn > $o) > $o)).
thf(cdependent, type, dependent : ((cartrealm > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(cartrealm > $o),F:(cartrealm > cartrealm),S:(cartrealm > $o)]:(?[Y:cartrealm]:((in @ Y @ (image0 @ F @ S)) & (P @ Y)) <=> ?[X:cartrealm]:((in @ X @ S) & (P @ (F @ X))))).
thf(aEXTENSION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFUNu_INu_IMAGE, axiom, ![F:(cartrealm > cartrealm),S:(cartrealm > $o),X:cartrealm]:((in @ X @ S) => (in @ (F @ X) @ (image0 @ F @ S)))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(cartrealm > $o),X:cartrealm,Y:cartrealm]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealm,S:(cartrealm > $o),F:(cartrealm > cartrealm)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((span @ (image @ F @ S)) = (image @ F @ (span0 @ S))))).
thf(aTRUTH, axiom, $true).
thf(adependent, axiom, ![S:(cartrealm > $o)]:((dependent @ S) <=> ?[A:cartrealm]:((in @ A @ S) & (in @ A @ (span0 @ (delete @ S @ A)))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (dependent @ S)) => (dependent0 @ (image @ F @ S)))).
