%   ORIGINAL: INDEPENDENT_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DEPENDENT_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (dependent (IMAGE f s) <=> dependent s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: independent: !s. independent s <=> ~dependent s
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (independent (IMAGE f s) <=> independent s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (dependent (IMAGE f s) <=> dependent s)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. independent s <=> ~dependent s
% Assm: !s. independent s <=> ~dependent s
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (independent (IMAGE f s) <=> independent s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cdependent0, type, dependent0 : ((cartrealm > $o) > $o)).
thf(cdependent, type, dependent : ((cartrealn > $o) > $o)).
thf(cindependent0, type, independent0 : ((cartrealm > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDEPENDENTu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((dependent @ (image @ F @ S)) <=> (dependent0 @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aindependentu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((independent @ S) <=> ~ ((dependent @ S)))).
thf(aindependentu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((independent0 @ S) <=> ~ ((dependent0 @ S)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((independent @ (image @ F @ S)) <=> (independent0 @ S)))).
