%   ORIGINAL: SPAN_SING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: SPAN_BREAKDOWN_EQ: !a s. x IN span (a INSERT s) <=> (?k. x - k % a IN span s)
% Assm: SPAN_EMPTY: span {} = {vec 0}
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Goal: !a. span {a} = {u % a | u IN (:real)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x. x IN (:real)
% Assm: !x a s. x IN span (a INSERT s) <=> (?k. x - k % a IN span s)
% Assm: span {} = {vec 0}
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Goal: !a. span {a} = {u % a | u IN (:real)}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq97300, type, q97300 : $tType).
thf(tcartrealq120818, type, cartrealq120818 : $tType).
thf(tq120818, type, q120818 : $tType).
thf(tcartrealq97300, type, cartrealq97300 : $tType).
%  CONSTS
thf(cvec0, type, vec0 : (num > cartrealq97300)).
thf(cvec, type, vec : (num > cartrealq120818)).
thf(cgspec0, type, gspec0 : ((real > $o) > real > $o)).
thf(cin0, type, in0 : (cartrealq120818 > (cartrealq120818 > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq120818 > $o) > cartrealq120818 > $o)).
thf(cspan, type, span : ((cartrealq120818 > $o) > cartrealq120818 > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq97300 > cartrealq97300 > cartrealq97300)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq120818 > cartrealq120818 > cartrealq120818)).
thf(cinsert0, type, insert0 : (real > (real > $o) > real > $o)).
thf(csetspec0, type, setspec0 : (real > $o > real > $o)).
thf(cru_, type, r_ : (real > cartrealq120818 > cartrealq120818)).
thf(csetspec, type, setspec : (cartrealq120818 > $o > cartrealq120818 > $o)).
thf(cinsert, type, insert : (cartrealq120818 > (cartrealq120818 > $o) > cartrealq120818 > $o)).
thf(cempty, type, empty : (cartrealq120818 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (real > $o)).
thf(cuniv, type, univ : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq120818 > $o),G:(a > cartrealq120818 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(cartrealq120818 > $o),T:(cartrealq120818 > $o)]:((S = T) <=> ![X:cartrealq120818]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > real > $o) > $o),X:real]:((in @ X @ (gspec0 @ ^[V:real]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:real]:(P0 & (X = T))))).
thf(aINu_SING, axiom, ![X:real,Y:real]:((in @ X @ (insert0 @ Y @ empty0)) <=> (X = Y))).
thf(aINu_UNIV, axiom, ![X:real]:(in @ X @ univ)).
thf(aSPANu_BREAKDOWNu_EQ, axiom, ![X:cartrealq120818,A:cartrealq120818,S:(cartrealq120818 > $o)]:((in0 @ X @ (span @ (insert @ A @ S))) <=> ?[K:real]:(in0 @ (vectoru_sub @ X @ (r_ @ K @ A)) @ (span @ S)))).
thf(aSPANu_EMPTY, axiom, ((span @ empty) = (insert @ (vec @ (numeral @ u_0)) @ empty))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealq97300,Y:cartrealq97300]:(((vectoru_sub0 @ X @ Y) = (vec0 @ (numeral @ u_0))) <=> (X = Y))).
thf(conjecture, conjecture, ![A:cartrealq120818]:((span @ (insert @ A @ empty)) = (gspec @ ^[GENR_PVARR_274:cartrealq120818]:?[U:real]:(setspec @ GENR_PVARR_274 @ (in @ U @ univ) @ (r_ @ U @ A))))).
