%   ORIGINAL: IN_SPAN_DELETE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SPAN_INSERT: !a b s. a IN span (b INSERT s) /\ ~(a IN span s) ==> b IN span (a INSERT s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !a b s. a IN span s /\ ~(a IN span (s DELETE b)) ==> b IN span (a INSERT (s DELETE b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !a b s. a IN span (b INSERT s) /\ ~(a IN span s) ==> b IN span (a INSERT s)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !a b s. a IN span s /\ ~(a IN span (s DELETE b)) ==> b IN span (a INSERT (s DELETE b))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq121168, type, cartrealq121168 : $tType).
thf(treal, type, real : $tType).
thf(tq121168, type, q121168 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealq121168 > $o) > (cartrealq121168 > $o) > $o)).
thf(cspan, type, span : ((cartrealq121168 > $o) > cartrealq121168 > $o)).
thf(cin, type, in : (cartrealq121168 > (cartrealq121168 > $o) > $o)).
thf(cinsert, type, insert : (cartrealq121168 > (cartrealq121168 > $o) > cartrealq121168 > $o)).
thf(cdelete, type, delete : ((cartrealq121168 > $o) > cartrealq121168 > cartrealq121168 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_DELETE, axiom, ![S:(cartrealq121168 > $o),X:cartrealq121168,Y:cartrealq121168]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:cartrealq121168,Y:cartrealq121168,S:(cartrealq121168 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SPANu_INSERT, axiom, ![A:cartrealq121168,B:cartrealq121168,S:(cartrealq121168 > $o)]:(((in @ A @ (span @ (insert @ B @ S))) & ~ ((in @ A @ (span @ S)))) => (in @ B @ (span @ (insert @ A @ S))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_MONO, axiom, ![S:(cartrealq121168 > $o),T:(cartrealq121168 > $o)]:((subset @ S @ T) => (subset @ (span @ S) @ (span @ T)))).
thf(aSUBSET, axiom, ![S:(cartrealq121168 > $o),T:(cartrealq121168 > $o)]:((subset @ S @ T) <=> ![X:cartrealq121168]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealq121168,B:cartrealq121168,S:(cartrealq121168 > $o)]:(((in @ A @ (span @ S)) & ~ ((in @ A @ (span @ (delete @ S @ B))))) => (in @ B @ (span @ (insert @ A @ (delete @ S @ B)))))).
