%   ORIGINAL: SPAN_STDBASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BASIS_EXPANSION: !x. vsum (1..dimindex (:N)) (\i. x$i % basis i) = x
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_MUL: !x c s. x IN span s ==> c % x IN span s
% Assm: SPAN_SUPERSET: !x. x IN s ==> x IN span s
% Assm: SPAN_VSUM: !s f t. FINITE t /\ (!x. x IN t ==> f x IN span s) ==> vsum t f IN span s
% Assm: TRUTH: T
% Goal: span {basis i | 1 <= i /\ i <= dimindex (:N)} = (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !x. vsum (1..dimindex (:N)) (\i. x$i % basis i) = x
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !m n. FINITE (m..n)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. x IN (:real^N)
% Assm: !x. x IN (:N)
% Assm: ~F <=> T
% Assm: !x c s. x IN span s ==> c % x IN span s
% Assm: !s x. x IN s ==> x IN span s
% Assm: !s f t. FINITE t /\ (!x. x IN t ==> f x IN span s) ==> vsum t f IN span s
% Assm: T
% Goal: span {basis i | 1 <= i /\ i <= dimindex (:N)} = (:real^N)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq119830, type, q119830 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cin2, type, in2 : (q119830 > (q119830 > $o) > $o)).
thf(cin1, type, in1 : (n > (n > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cvsum0, type, vsum0 : ((q119830 > $o) > (q119830 > cartrealn) > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cfinite0, type, finite0 : ((q119830 > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBASISu_EXPANSION, axiom, ![X:cartrealn]:((vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(r_ @ (d_ @ X @ I) @ (basis @ I))) = X)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aINu_UNIVu_monomorphized1, axiom, ![X:cartrealn]:(in @ X @ univ0)).
thf(aINu_UNIVu_monomorphized0, axiom, ![X:n]:(in1 @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_MUL, axiom, ![X:cartrealn,C:real,S:(cartrealn > $o)]:((in @ X @ (span @ S)) => (in @ (r_ @ C @ X) @ (span @ S)))).
thf(aSPANu_SUPERSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (span @ S)))).
thf(aSPANu_VSUM, axiom, ![S:(cartrealn > $o),F:(q119830 > cartrealn),T:(q119830 > $o)]:(((finite0 @ T) & ![X:q119830]:((in2 @ X @ T) => (in @ (F @ X) @ (span @ S)))) => (in @ (vsum0 @ T @ F) @ (span @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ((span @ (gspec @ ^[GENR_PVARR_281:cartrealn]:?[I:num]:(setspec @ GENR_PVARR_281 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (basis @ I)))) = univ0)).
