%   ORIGINAL: INDEPENDENT_INSERT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INDEPENDENT_MONO: !s t. independent t /\ s SUBSET t ==> independent s
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SPAN_INSERT: !a b s. a IN span (b INSERT s) /\ ~(a IN span s) ==> b IN span (a INSERT s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: dependent: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Assm: independent: !s. independent s <=> ~dependent s
% Goal: !a s. independent (a INSERT s) <=> (if a IN s then independent s else independent s /\ ~(a IN span s))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t. independent t /\ s SUBSET t ==> independent s
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !a b s. a IN span (b INSERT s) /\ ~(a IN span s) ==> b IN span (a INSERT s)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Assm: !s. independent s <=> ~dependent s
% Goal: !a s. independent (a INSERT s) <=> (if a IN s then independent s else independent s /\ ~(a IN span s))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(ccond, type, cond : ($o > $o > $o > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cdependent, type, dependent : ((cartrealn > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:$o,T2:$o]:(((cond @ $true @ T1 @ T2) <=> T1) & ((cond @ $false @ T1 @ T2) <=> T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINDEPENDENTu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((independent @ T) & (subset @ S @ T)) => (independent @ S))).
thf(aINu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SPANu_INSERT, axiom, ![A:cartrealn,B:cartrealn,S:(cartrealn > $o)]:(((in @ A @ (span @ (insert @ B @ S))) & ~ ((in @ A @ (span @ S)))) => (in @ B @ (span @ (insert @ A @ S))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(adependent, axiom, ![S:(cartrealn > $o)]:((dependent @ S) <=> ?[A:cartrealn]:((in @ A @ S) & (in @ A @ (span @ (delete @ S @ A)))))).
thf(aindependent, axiom, ![S:(cartrealn > $o)]:((independent @ S) <=> ~ ((dependent @ S)))).
thf(conjecture, conjecture, ![A:cartrealn,S:(cartrealn > $o)]:((independent @ (insert @ A @ S)) <=> (cond @ (in @ A @ S) @ (independent @ S) @ ((independent @ S) & ~ ((in @ A @ (span @ S))))))).
