%   ORIGINAL: SPANNING_SUBSET_INDEPENDENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Assm: dependent: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Assm: independent: !s. independent s <=> ~dependent s
% Goal: !s t. t SUBSET s /\ independent s /\ s SUBSET span t ==> s = t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Assm: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Assm: !s. independent s <=> ~dependent s
% Goal: !s t. t SUBSET s /\ independent s /\ s SUBSET span t ==> s = t
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdelete0, type, delete0 : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cdelete, type, delete : (((cartrealn > $o) > $o) > (cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdependent, type, dependent : ((cartrealn > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aINu_DELETE, axiom, ![S:((cartrealn > $o) > $o),X:(cartrealn > $o),Y:(cartrealn > $o)]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (span @ S) @ (span @ T)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(adependent, axiom, ![S:(cartrealn > $o)]:((dependent @ S) <=> ?[A:cartrealn]:((in0 @ A @ S) & (in0 @ A @ (span @ (delete0 @ S @ A)))))).
thf(aindependent, axiom, ![S:(cartrealn > $o)]:((independent @ S) <=> ~ ((dependent @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ T @ S) & (independent @ S) & (subset @ S @ (span @ T))) => (S = T))).
