%   ORIGINAL: INDEPENDENT_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_STDBASIS: CARD {basis i | 1 <= i /\ i <= dimindex (:N)} = dimindex (:N)
% Assm: FINITE_STDBASIS: FINITE {basis i | 1 <= i /\ i <= dimindex (:N)}
% Assm: INDEPENDENT_SPAN_BOUND: !s t. FINITE t /\ independent s /\ s SUBSET span t ==> FINITE s /\ CARD s <= CARD t
% Assm: SPAN_STDBASIS: span {basis i | 1 <= i /\ i <= dimindex (:N)} = (:real^N)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !s. independent s ==> FINITE s /\ CARD s <= dimindex (:N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: CARD {basis i | 1 <= i /\ i <= dimindex (:N)} = dimindex (:N)
% Assm: FINITE {basis i | 1 <= i /\ i <= dimindex (:N)}
% Assm: !s t. FINITE t /\ independent s /\ s SUBSET span t ==> FINITE s /\ CARD s <= CARD t
% Assm: span {basis i | 1 <= i /\ i <= dimindex (:N)} = (:real^N)
% Assm: !s. s SUBSET (:N)
% Assm: T
% Goal: !s. independent s ==> FINITE s /\ CARD s <= dimindex (:N)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset0, type, subset0 : ((n > $o) > (n > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_STDBASIS, axiom, ((card @ (gspec @ ^[GENR_PVARR_286:cartrealn]:?[I:num]:(setspec @ GENR_PVARR_286 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (basis @ I)))) = (dimindex @ univ))).
thf(aFINITEu_STDBASIS, axiom, (finite @ (gspec @ ^[GENR_PVARR_285:cartrealn]:?[I:num]:(setspec @ GENR_PVARR_285 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (basis @ I))))).
thf(aINDEPENDENTu_SPANu_BOUND, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((finite @ T) & (independent @ S) & (subset @ S @ (span @ T))) => ((finite @ S) & (l_a_ @ (card @ S) @ (card @ T))))).
thf(aSPANu_STDBASIS, axiom, ((span @ (gspec @ ^[GENR_PVARR_281:cartrealn]:?[I:num]:(setspec @ GENR_PVARR_281 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (basis @ I)))) = univ0)).
thf(aSUBSETu_UNIV, axiom, ![S:(n > $o)]:(subset0 @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((independent @ S) => ((finite @ S) & (l_a_ @ (card @ S) @ (dimindex @ univ))))).
