%   ORIGINAL: INDEPENDENT_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DEPENDENT_FINITE: !s. FINITE s ==> (dependent s <=> (?u. (?v. v IN s /\ ~(u v = &0)) /\ vsum s (\v. u v % v) = vec 0))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: INDEPENDENT_BOUND: !s. independent s ==> FINITE s /\ CARD s <= dimindex (:N)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: independent: !s. independent s <=> ~dependent s
% Goal: !b. independent b <=> FINITE b /\ (!c. vsum b (\v. c v % v) = vec 0 ==> (!v. v IN b ==> c v = &0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. FINITE s ==> (dependent s <=> (?u. (?v. v IN s /\ ~(u v = &0)) /\ vsum s (\v. u v % v) = vec 0))
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !s. independent s ==> FINITE s /\ CARD s <= dimindex (:N)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: T
% Assm: !s. independent s <=> ~dependent s
% Goal: !b. independent b <=> FINITE b /\ (!c. vsum b (\v. c v % v) = vec 0 ==> (!v. v IN b ==> c v = &0))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(ci1, type, i1 : ($o > $o)).
thf(cdependent, type, dependent : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDEPENDENTu_FINITE, axiom, ![S:(cartrealn > $o)]:((finite @ S) => ((dependent @ S) <=> ?[U:(cartrealn > real)]:(?[V:cartrealn]:((in @ V @ S) & ~ (((U @ V) = (realu_ofu_num @ (numeral @ u_0))))) & ((vsum @ S @ ^[V:cartrealn]:(r_ @ (U @ V) @ V)) = (vec @ (numeral @ u_0))))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THMu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aINDEPENDENTu_BOUND, axiom, ![S:(cartrealn > $o)]:((independent @ S) => ((finite @ S) & (l_a_ @ (card @ S) @ (dimindex @ univ))))).
thf(aIu_THMu_monomorphized2, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aindependent, axiom, ![S:(cartrealn > $o)]:((independent @ S) <=> ~ ((dependent @ S)))).
thf(conjecture, conjecture, ![B:(cartrealn > $o)]:((independent @ B) <=> ((finite @ B) & ![C:(cartrealn > real)]:(((vsum @ B @ ^[V:cartrealn]:(r_ @ (C @ V) @ V)) = (vec @ (numeral @ u_0))) => ![V:cartrealn]:((in @ V @ B) => ((C @ V) = (realu_ofu_num @ (numeral @ u_0)))))))).
