%   ORIGINAL: MAXIMAL_INDEPENDENT_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: INDEPENDENT_EMPTY: independent {}
% Assm: MAXIMAL_INDEPENDENT_SUBSET_EXTEND: !s v. s SUBSET v /\ independent s ==> (?b. s SUBSET b /\ b SUBSET v /\ independent b /\ v SUBSET span b)
% Assm: TRUTH: T
% Goal: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. {} SUBSET s
% Assm: independent {}
% Assm: !s v. s SUBSET v /\ independent s ==> (?b. s SUBSET b /\ b SUBSET v /\ independent b /\ v SUBSET span b)
% Assm: T
% Goal: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aINDEPENDENTu_EMPTY, axiom, (independent @ empty)).
thf(aMAXIMALu_INDEPENDENTu_SUBSETu_EXTEND, axiom, ![S:(cartrealn > $o),V:(cartrealn > $o)]:(((subset @ S @ V) & (independent @ S)) => ?[B:(cartrealn > $o)]:((subset @ S @ B) & (subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn > $o)]:?[B:(cartrealn > $o)]:((subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B)))).
