%   ORIGINAL: CARD_EQ_DIM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_GE_DIM_INDEPENDENT: !v b. b SUBSET v /\ independent b /\ dim v <= CARD b ==> v SUBSET span b
% Assm: CARD_LE_DIM_SPANNING: !v b. v SUBSET span b /\ FINITE b /\ CARD b <= dim v ==> independent b
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !v b. b SUBSET v /\ b HAS_SIZE dim v ==> (independent b <=> v SUBSET span b)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v b. b SUBSET v /\ independent b /\ dim v <= CARD b ==> v SUBSET span b
% Assm: !v b. v SUBSET span b /\ FINITE b /\ CARD b <= dim v ==> independent b
% Assm: !t. (\x. t x) = t
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: ~F <=> T
% Assm: T
% Goal: !v b. b SUBSET v /\ b HAS_SIZE dim v ==> (independent b <=> v SUBSET span b)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq123754, type, cartrealq123754 : $tType).
thf(tq123754, type, q123754 : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cspan, type, span : ((cartrealq123754 > $o) > cartrealq123754 > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealq123754 > $o) > num > $o)).
thf(csubset, type, subset : ((cartrealq123754 > $o) > (cartrealq123754 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealq123754 > $o) > $o)).
thf(cindependent, type, independent : ((cartrealq123754 > $o) > $o)).
thf(ccard, type, card : ((cartrealq123754 > $o) > num)).
thf(cdim, type, dim : ((cartrealq123754 > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_GEu_DIMu_INDEPENDENT, axiom, ![V:(cartrealq123754 > $o),B:(cartrealq123754 > $o)]:(((subset @ B @ V) & (independent @ B) & (l_a_ @ (dim @ V) @ (card @ B))) => (subset @ V @ (span @ B)))).
thf(aCARDu_LEu_DIMu_SPANNING, axiom, ![V:(cartrealq123754 > $o),B:(cartrealq123754 > $o)]:(((subset @ V @ (span @ B)) & (finite @ B) & (l_a_ @ (card @ B) @ (dim @ V))) => (independent @ B))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_SIZE, axiom, ![S:(cartrealq123754 > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealq123754 > $o),B:(cartrealq123754 > $o)]:(((subset @ B @ V) & (hasu_size @ B @ (dim @ V))) => ((independent @ B) <=> (subset @ V @ (span @ B))))).
