%   ORIGINAL: INDEPENDENT_BOUND_GENERAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INDEPENDENT_BOUND: !s. independent s ==> FINITE s /\ CARD s <= dimindex (:N)
% Assm: INDEPENDENT_CARD_LE_DIM: !v b. b SUBSET v /\ independent b ==> FINITE b /\ CARD b <= dim v
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Goal: !s. independent s ==> FINITE s /\ CARD s <= dim s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. independent s ==> FINITE s /\ CARD s <= dimindex (:N)
% Assm: !v b. b SUBSET v /\ independent b ==> FINITE b /\ CARD b <= dim v
% Assm: ~F <=> T
% Assm: !s. s SUBSET s
% Assm: T
% Goal: !s. independent s ==> FINITE s /\ CARD s <= dim s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINDEPENDENTu_BOUND, axiom, ![S:(cartrealn > $o)]:((independent @ S) => ((finite @ S) & (l_a_ @ (card @ S) @ (dimindex @ univ))))).
thf(aINDEPENDENTu_CARDu_LEu_DIM, axiom, ![V:(cartrealn > $o),B:(cartrealn > $o)]:(((subset @ B @ V) & (independent @ B)) => ((finite @ B) & (l_a_ @ (card @ B) @ (dim @ V))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset0 @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((independent @ S) => ((finite @ S) & (l_a_ @ (card @ S) @ (dim @ S))))).
