%   ORIGINAL: DEPENDENT_BIGGERSET_GENERAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: GT: !n m. m > n <=> n < m
% Assm: INDEPENDENT_BOUND_GENERAL: !s. independent s ==> FINITE s /\ CARD s <= dim s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Assm: independent: !s. independent s <=> ~dependent s
% Goal: !s. (FINITE s ==> CARD s > dim s) ==> dependent s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n m. m > n <=> n < m
% Assm: !s. independent s ==> FINITE s /\ CARD s <= dim s
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Assm: !s. independent s <=> ~dependent s
% Goal: !s. (FINITE s ==> CARD s > dim s) ==> dependent s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgu_, type, g_ : (num > num > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(cdependent, type, dependent : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aGT, axiom, ![N:num,M:num]:((g_ @ M @ N) <=> (l_ @ N @ M))).
thf(aINDEPENDENTu_BOUNDu_GENERAL, axiom, ![S:(cartrealn > $o)]:((independent @ S) => ((finite @ S) & (l_a_ @ (card @ S) @ (dim @ S))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(aindependent, axiom, ![S:(cartrealn > $o)]:((independent @ S) <=> ~ ((dependent @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((finite @ S) => (g_ @ (card @ S) @ (dim @ S))) => (dependent @ S))).
