%   ORIGINAL: SUBSET_LE_DIM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: DIM_SUBSET: !s t. s SUBSET t ==> dim s <= dim t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. s SUBSET span t ==> dim s <= dim t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. dim (span s) = dim s
% Assm: !s t. s SUBSET t ==> dim s <= dim t
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s t. s SUBSET span t ==> dim s <= dim t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMu_SPAN, axiom, ![S:(cartrealn > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aDIMu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (l_a_ @ (dim @ S) @ (dim @ T)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ (span @ T)) => (l_a_ @ (dim @ S) @ (dim @ T)))).
