%   ORIGINAL: DIM_LINEAR_IMAGE_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BASIS_EXISTS: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_IMAGE_LE: !f s. FINITE s ==> CARD (IMAGE f s) <= CARD s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPANS_IMAGE: !f b v. linear f /\ v SUBSET span b ==> IMAGE f v SUBSET span (IMAGE f b)
% Assm: SPAN_CARD_GE_DIM: !v b. v SUBSET span b /\ FINITE b ==> dim v <= CARD b
% Assm: SPAN_LINEAR_IMAGE: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
% Assm: SUBSET_IMAGE: !f s t. s SUBSET IMAGE f t <=> (?u. u SUBSET t /\ s = IMAGE f u)
% Assm: TRUTH: T
% Goal: !f s. linear f ==> dim (IMAGE f s) <= dim s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. FINITE s ==> CARD (IMAGE f s) <= CARD s
% Assm: !t. (\x. t x) = t
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: ~F <=> T
% Assm: !f b v. linear f /\ v SUBSET span b ==> IMAGE f v SUBSET span (IMAGE f b)
% Assm: !v b. v SUBSET span b /\ FINITE b ==> dim v <= CARD b
% Assm: !v b. v SUBSET span b /\ FINITE b ==> dim v <= CARD b
% Assm: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
% Assm: !f s t. s SUBSET IMAGE f t <=> (?u. u SUBSET t /\ s = IMAGE f u)
% Assm: T
% Goal: !f s. linear f ==> dim (IMAGE f s) <= dim s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq52112, type, q52112 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chasuu_size1, type, hasu_size1 : ((q52112 > $o) > num > $o)).
thf(chasuu_size0, type, hasu_size0 : ((cartrealm > $o) > num > $o)).
thf(cspan0, type, span0 : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cfinite1, type, finite1 : ((q52112 > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealm > $o) > $o)).
thf(cindependent0, type, independent0 : ((cartrealm > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ccard1, type, card1 : ((q52112 > $o) > num)).
thf(ccard0, type, card0 : ((cartrealm > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cdim0, type, dim0 : ((cartrealm > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBASISu_EXISTSu_monomorphized1, axiom, ![V:(cartrealn > $o)]:?[B:(cartrealn > $o)]:((subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B)) & (hasu_size @ B @ (dim @ V)))).
thf(aBASISu_EXISTSu_monomorphized0, axiom, ![V:(cartrealm > $o)]:?[B:(cartrealm > $o)]:((subset0 @ B @ V) & (independent0 @ B) & (subset0 @ V @ (span0 @ B)) & (hasu_size0 @ B @ (dim0 @ V)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_IMAGEu_LE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((finite @ S) => (l_a_ @ (card @ (image @ F @ S)) @ (card0 @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((finite @ S) => (finite0 @ (image @ F @ S)))).
thf(aHASu_SIZE, axiom, ![S:(q52112 > $o),N:num]:((hasu_size1 @ S @ N) <=> ((finite1 @ S) & ((card1 @ S) = N)))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANSu_IMAGE, axiom, ![F:(cartrealm > cartrealn),B:(cartrealm > $o),V:(cartrealm > $o)]:(((linear @ F) & (subset0 @ V @ (span0 @ B))) => (subset @ (image @ F @ V) @ (span @ (image @ F @ B))))).
thf(aSPANu_CARDu_GEu_DIMu_monomorphized1, axiom, ![V:(cartrealn > $o),B:(cartrealn > $o)]:(((subset @ V @ (span @ B)) & (finite0 @ B)) => (l_a_ @ (dim @ V) @ (card @ B)))).
thf(aSPANu_CARDu_GEu_DIMu_monomorphized0, axiom, ![V:(cartrealm > $o),B:(cartrealm > $o)]:(((subset0 @ V @ (span0 @ B)) & (finite @ B)) => (l_a_ @ (dim0 @ V) @ (card0 @ B)))).
thf(aSPANu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((span @ (image @ F @ S)) = (image @ F @ (span0 @ S))))).
thf(aSUBSETu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealn > $o),T:(cartrealm > $o)]:((subset @ S @ (image @ F @ T)) <=> ?[U:(cartrealm > $o)]:((subset0 @ U @ T) & (S = (image @ F @ U))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => (l_a_ @ (dim @ (image @ F @ S)) @ (dim0 @ S)))).
