%   ORIGINAL: SPANNING_SURJECTIVE_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPANS_IMAGE: !f b v. linear f /\ v SUBSET span b ==> IMAGE f v SUBSET span (IMAGE f b)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !f s. (:real^M) SUBSET span s /\ linear f /\ (!y. ?x. f x = y) ==> (:real^N) SUBSET span (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. x IN (:real^N)
% Assm: !x. x IN (:real^M)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f b v. linear f /\ v SUBSET span b ==> IMAGE f v SUBSET span (IMAGE f b)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !f s. (:real^M) SUBSET span s /\ linear f /\ (!y. ?x. f x = y) ==> (:real^N) SUBSET span (IMAGE f s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cspan0, type, span0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_UNIVu_monomorphized1, axiom, ![X:cartrealn]:(in @ X @ univ0)).
thf(aINu_UNIVu_monomorphized0, axiom, ![X:cartrealm]:(in0 @ X @ univ)).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANSu_IMAGE, axiom, ![F:(cartrealm > cartrealn),B:(cartrealm > $o),V:(cartrealm > $o)]:(((linear @ F) & (subset @ V @ (span @ B))) => (subset0 @ (image @ F @ V) @ (span0 @ (image @ F @ B))))).
thf(aSUBSETu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset0 @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_TRANSu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aSUBSETu_TRANSu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),U:(cartrealm > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((subset @ univ @ (span @ S)) & (linear @ F) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)) => (subset0 @ univ0 @ (span0 @ (image @ F @ S))))).
