%   ORIGINAL: VECTOR_SUB_PROJECT_ORTHOGONAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_EQ_0: !x. x dot x = &0 <=> x = vec 0
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: DOT_RSUB: !x y z. x dot (y - z) = x dot y - x dot z
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIV_RMUL: !x y. ~(y = &0) ==> x / y * y = x
% Assm: REAL_SUB_REFL: !x. x - x = &0
% Assm: TRUTH: T
% Goal: !b x. b dot (x - (b dot x) / (b dot b) % b) = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x dot x = &0 <=> x = vec 0
% Assm: !x. vec 0 dot x = &0
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x y z. x dot (y - z) = x dot y - x dot z
% Assm: ~F <=> T
% Assm: !x y. ~(y = &0) ==> x / y * y = x
% Assm: !x. x - x = &0
% Assm: T
% Goal: !b x. b dot (x - (b dot x) / (b dot b) % b) = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_EQu_0, axiom, ![X:cartrealn]:(((dot @ X @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aDOTu_LZERO, axiom, ![X:cartrealn]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealn,Y:cartrealn]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_RSUB, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:((dot @ X @ (vectoru_sub @ Y @ Z)) = (realu_sub @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIVu_RMUL, axiom, ![X:real,Y:real]:(~ ((Y = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_div @ X @ Y) @ Y) = X))).
thf(aREALu_SUBu_REFL, axiom, ![X:real]:((realu_sub @ X @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:cartrealn,X:cartrealn]:((dot @ B @ (vectoru_sub @ X @ (r_ @ (realu_div @ (dot @ B @ X) @ (dot @ B @ B)) @ B))) = (realu_ofu_num @ (numeral @ u_0)))).
