%   ORIGINAL: ORTHOGONAL_BASIS_EXISTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BASIS_EXISTS: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: BASIS_ORTHOGONAL: !b. FINITE b ==> (?c. FINITE c /\ CARD c <= CARD b /\ span c = span b /\ pairwise orthogonal c)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_LE_DIM_SPANNING: !v b. v SUBSET span b /\ FINITE b /\ CARD b <= dim v ==> independent b
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_CARD_GE_DIM: !v b. v SUBSET span b /\ FINITE b ==> dim v <= CARD b
% Assm: SPAN_INC: !s. s SUBSET span s
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SPAN_SPAN: !s. span (span s) = span s
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !v. ?b. independent b /\ b SUBSET span v /\ v SUBSET span b /\ b HAS_SIZE dim v /\ pairwise orthogonal b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: !b. FINITE b ==> (?c. FINITE c /\ CARD c <= CARD b /\ span c = span b /\ pairwise orthogonal c)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v b. v SUBSET span b /\ FINITE b /\ CARD b <= dim v ==> independent b
% Assm: !s. dim (span s) = dim s
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: ~F <=> T
% Assm: !v b. v SUBSET span b /\ FINITE b ==> dim v <= CARD b
% Assm: !s. s SUBSET span s
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: !s. span (span s) = span s
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !v. ?b. independent b /\ b SUBSET span v /\ v SUBSET span b /\ b HAS_SIZE dim v /\ pairwise orthogonal b
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBASISu_EXISTS, axiom, ![V:(cartrealn > $o)]:?[B:(cartrealn > $o)]:((subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B)) & (hasu_size @ B @ (dim @ V)))).
thf(aBASISu_ORTHOGONAL, axiom, ![B:(cartrealn > $o)]:((finite @ B) => ?[C:(cartrealn > $o)]:((finite @ C) & (l_a_ @ (card @ C) @ (card @ B)) & ((span @ C) = (span @ B)) & (pairwise @ orthogonal @ C)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_LEu_DIMu_SPANNING, axiom, ![V:(cartrealn > $o),B:(cartrealn > $o)]:(((subset @ V @ (span @ B)) & (finite @ B) & (l_a_ @ (card @ B) @ (dim @ V))) => (independent @ B))).
thf(aDIMu_SPAN, axiom, ![S:(cartrealn > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aHASu_SIZE, axiom, ![S:(cartrealn > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_CARDu_GEu_DIM, axiom, ![V:(cartrealn > $o),B:(cartrealn > $o)]:(((subset @ V @ (span @ B)) & (finite @ B)) => (l_a_ @ (dim @ V) @ (card @ B)))).
thf(aSPANu_INC, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (span @ S))).
thf(aSPANu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (span @ S) @ (span @ T)))).
thf(aSPANu_SPAN, axiom, ![S:(cartrealn > $o)]:((span @ (span @ S)) = (span @ S))).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn > $o)]:?[B:(cartrealn > $o)]:((independent @ B) & (subset @ B @ (span @ V)) & (subset @ V @ (span @ B)) & (hasu_size @ B @ (dim @ V)) & (pairwise @ orthogonal @ B))).
