%   ORIGINAL: LINEAR_INDEPENDENT_EXTEND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: INDEPENDENT_BOUND: !s. independent s ==> FINITE s /\ CARD s <= dimindex (:N)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_INDEPENDENT_EXTEND_LEMMA: !f b. FINITE b ==> independent b ==> (?g. (!x y. x IN span b /\ y IN span b ==> g (x + y) = g x + g y) /\ (!x c. x IN span b ==> g (c % x) = c % g x) /\ (!x. x IN b ==> g x = f x))
% Assm: MAXIMAL_INDEPENDENT_SUBSET_EXTEND: !s v. s SUBSET v /\ independent s ==> (?b. s SUBSET b /\ b SUBSET v /\ independent b /\ v SUBSET span b)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Assm: UNIV_SUBSET: !s. (:A) SUBSET s <=> s = (:A)
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !f b. independent b ==> (?g. linear g /\ (!x. x IN b ==> g x = f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. independent s ==> FINITE s /\ CARD s <= dimindex (:M)
% Assm: !x. x IN (:real^M)
% Assm: !x. I x = x
% Assm: !f b. FINITE b ==> independent b ==> (?g. (!x y. x IN span b /\ y IN span b ==> g (x + y) = g x + g y) /\ (!x c. x IN span b ==> g (c % x) = c % g x) /\ (!x. x IN b ==> g x = f x))
% Assm: !s v. s SUBSET v /\ independent s ==> (?b. s SUBSET b /\ b SUBSET v /\ independent b /\ v SUBSET span b)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET (:A)
% Assm: T
% Assm: !s. (:A) SUBSET s <=> s = (:A)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !f b. independent b ==> (?g. linear g /\ (!x. x IN b ==> g x = f x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cspan, type, span : ((cartrealm > $o) > cartrealm > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cru_0, type, r_0 : (real > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealm > cartrealm)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealm > cartrealm > cartrealm)).
thf(cuniv0, type, univ0 : (cartrealm > $o)).
thf(cfinite, type, finite : ((cartrealm > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cindependent, type, independent : ((cartrealm > $o) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(ccard, type, card : ((cartrealm > $o) > num)).
thf(cuniv1, type, univ1 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINDEPENDENTu_BOUND, axiom, ![S:(cartrealm > $o)]:((independent @ S) => ((finite @ S) & (l_a_ @ (card @ S) @ (dimindex @ univ))))).
thf(aINu_UNIV, axiom, ![X:cartrealm]:(in @ X @ univ0)).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aLINEARu_INDEPENDENTu_EXTENDu_LEMMA, axiom, ![F:(cartrealm > cartrealn),B:(cartrealm > $o)]:((finite @ B) => ((independent @ B) => ?[G:(cartrealm > cartrealn)]:(![X:cartrealm,Y:cartrealm]:(((in @ X @ (span @ B)) & (in @ Y @ (span @ B))) => ((G @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (G @ X) @ (G @ Y)))) & ![X:cartrealm,C:real]:((in @ X @ (span @ B)) => ((G @ (r_ @ C @ X)) = (r_0 @ C @ (G @ X)))) & ![X:cartrealm]:((in @ X @ B) => ((G @ X) = (F @ X))))))).
thf(aMAXIMALu_INDEPENDENTu_SUBSETu_EXTEND, axiom, ![S:(cartrealm > $o),V:(cartrealm > $o)]:(((subset @ S @ V) & (independent @ S)) => ?[B:(cartrealm > $o)]:((subset @ S @ B) & (subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset0 @ S @ univ1)).
thf(aTRUTH, axiom, $true).
thf(aUNIVu_SUBSET, axiom, ![S:(a > $o)]:((subset0 @ univ1 @ S) <=> (S = univ1))).
thf(alinear, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) <=> (![X:cartrealm,Y:cartrealm]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealm]:((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),B:(cartrealm > $o)]:((independent @ B) => ?[G:(cartrealm > cartrealn)]:((linear @ G) & ![X:cartrealm]:((in @ X @ B) => ((G @ X) = (F @ X)))))).
