%   ORIGINAL: SUBSPACE_KERNEL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_0: !f. linear f ==> f (vec 0) = vec 0
% Assm: LINEAR_ADD: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: LINEAR_CMUL: !f c x. linear f ==> f (c % x) = c % f x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ADD_LID: !x. vec 0 + x = x
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: subspace: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !f. linear f ==> subspace {x | f x = vec 0}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: !f. linear f ==> f (vec 0) = vec 0
% Assm: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: !f c x. linear f ==> f (c % x) = c % f x
% Assm: ~F <=> T
% Assm: T
% Assm: !x. vec 0 + x = x
% Assm: !c. c % vec 0 = vec 0
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !f. linear f ==> subspace {x | f x = vec 0}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq125524, type, cartrealq125524 : $tType).
thf(tcartrealq125503, type, cartrealq125503 : $tType).
thf(tq125524, type, q125524 : $tType).
thf(tq125503, type, q125503 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealq125503 > (cartrealq125503 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq125503 > $o) > cartrealq125503 > $o)).
thf(cru_0, type, r_0 : (real > cartrealq125524 > cartrealq125524)).
thf(cru_, type, r_ : (real > cartrealq125503 > cartrealq125503)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq125524 > cartrealq125524 > cartrealq125524)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq125503 > cartrealq125503 > cartrealq125503)).
thf(csetspec, type, setspec : (cartrealq125503 > $o > cartrealq125503 > $o)).
thf(csubspace, type, subspace : ((cartrealq125503 > $o) > $o)).
thf(clinear, type, linear : ((cartrealq125503 > cartrealq125524) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (cartrealq125524 > cartrealq125524)).
thf(cvec, type, vec : (num > cartrealq125524)).
thf(cvec0, type, vec0 : (num > cartrealq125503)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq125524),G:(a > cartrealq125524)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq125503 > $o),X:cartrealq125503]:((in @ X @ (gspec @ ^[V:cartrealq125503]:?[Y:cartrealq125503]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:cartrealq125524]:((i @ X) = X)).
thf(aLINEARu_0, axiom, ![F:(cartrealq125503 > cartrealq125524)]:((linear @ F) => ((F @ (vec0 @ (numeral @ u_0))) = (vec @ (numeral @ u_0))))).
thf(aLINEARu_ADD, axiom, ![F:(cartrealq125503 > cartrealq125524),X:cartrealq125503,Y:cartrealq125503]:((linear @ F) => ((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))))).
thf(aLINEARu_CMUL, axiom, ![F:(cartrealq125503 > cartrealq125524),C:real,X:cartrealq125503]:((linear @ F) => ((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_LID, axiom, ![X:cartrealq125524]:((vectoru_add0 @ (vec @ (numeral @ u_0)) @ X) = X)).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_0 @ C @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(asubspace, axiom, ![S:(cartrealq125503 > $o)]:((subspace @ S) <=> ((in @ (vec0 @ (numeral @ u_0)) @ S) & ![X:cartrealq125503,Y:cartrealq125503]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S)) & ![C:real,X:cartrealq125503]:((in @ X @ S) => (in @ (r_ @ C @ X) @ S))))).
thf(conjecture, conjecture, ![F:(cartrealq125503 > cartrealq125524)]:((linear @ F) => (subspace @ (gspec @ ^[GENR_PVARR_293:cartrealq125503]:?[X:cartrealq125503]:(setspec @ GENR_PVARR_293 @ ((F @ X) = (vec @ (numeral @ u_0))) @ X))))).
