%   ORIGINAL: LINEAR_EQ_0_SPAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_ELIM_THM_conjunct4: !p x. x IN (\y. p y) <=> p x
% Assm: SPAN_INDUCT: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: SUBSPACE_KERNEL: !f. linear f ==> subspace {x | f x = vec 0}
% Assm: TRUTH: T
% Goal: !f b. linear f /\ (!x. x IN b ==> f x = vec 0) ==> (!x. x IN span b ==> f x = vec 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN (\y. p y) <=> p x
% Assm: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: !f. linear f ==> subspace {x | f x = vec 0}
% Assm: T
% Goal: !f b. linear f /\ (!x. x IN b ==> f x = vec 0) ==> (!x. x IN span b ==> f x = vec 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cspan, type, span : ((cartrealm > $o) > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(csubspace, type, subspace : ((cartrealm > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct4, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ ^[Y:cartrealm]:(P @ Y)) <=> (P @ X))).
thf(aSPANu_INDUCT, axiom, ![S:(cartrealm > $o),H:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => (in @ X @ H)) & (subspace @ H)) => ![X:cartrealm]:((in @ X @ (span @ S)) => (H @ X)))).
thf(aSUBSPACEu_KERNEL, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (subspace @ (gspec @ ^[GENR_PVARR_293:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_293 @ ((F @ X) = (vec @ (numeral @ u_0))) @ X))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),B:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm]:((in @ X @ B) => ((F @ X) = (vec @ (numeral @ u_0))))) => ![X:cartrealm]:((in @ X @ (span @ B)) => ((F @ X) = (vec @ (numeral @ u_0)))))).
