%   ORIGINAL: LINEAR_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_COMPOSE_SUB: !f g. linear f /\ linear g ==> linear (\x. f x - g x)
% Assm: LINEAR_EQ_0: !f b s. linear f /\ s SUBSET span b /\ (!x. x IN b ==> f x = vec 0) ==> (!x. x IN s ==> f x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Goal: !f g b s. linear f /\ linear g /\ s SUBSET span b /\ (!x. x IN b ==> f x = g x) ==> (!x. x IN s ==> f x = g x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !f g. linear f /\ linear g ==> linear (\x. f x - g x)
% Assm: !f b s. linear f /\ s SUBSET span b /\ (!x. x IN b ==> f x = vec 0) ==> (!x. x IN s ==> f x = vec 0)
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Goal: !f g b s. linear f /\ linear g /\ s SUBSET span b /\ (!x. x IN b ==> f x = g x) ==> (!x. x IN s ==> f x = g x)
%  TYPES
thf(tq125659, type, q125659 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq125666, type, cartrealq125666 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq125659, type, cartrealq125659 : $tType).
thf(treal, type, real : $tType).
thf(tq125666, type, q125666 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq125659)).
thf(ci, type, i : (cartrealq125659 > cartrealq125659)).
thf(cin, type, in : (cartrealq125666 > (cartrealq125666 > $o) > $o)).
thf(cspan, type, span : ((cartrealq125666 > $o) > cartrealq125666 > $o)).
thf(csubset, type, subset : ((cartrealq125666 > $o) > (cartrealq125666 > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq125659 > cartrealq125659 > cartrealq125659)).
thf(clinear, type, linear : ((cartrealq125666 > cartrealq125659) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq125659),G:(a > cartrealq125659)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealq125659),G:(a > cartrealq125659)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:cartrealq125659]:((i @ X) = X)).
thf(aLINEARu_COMPOSEu_SUB, axiom, ![F:(cartrealq125666 > cartrealq125659),G:(cartrealq125666 > cartrealq125659)]:(((linear @ F) & (linear @ G)) => (linear @ ^[X:cartrealq125666]:(vectoru_sub @ (F @ X) @ (G @ X))))).
thf(aLINEARu_EQu_0, axiom, ![F:(cartrealq125666 > cartrealq125659),B:(cartrealq125666 > $o),S:(cartrealq125666 > $o)]:(((linear @ F) & (subset @ S @ (span @ B)) & ![X:cartrealq125666]:((in @ X @ B) => ((F @ X) = (vec @ (numeral @ u_0))))) => ![X:cartrealq125666]:((in @ X @ S) => ((F @ X) = (vec @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealq125659,Y:cartrealq125659]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(conjecture, conjecture, ![F:(cartrealq125666 > cartrealq125659),G:(cartrealq125666 > cartrealq125659),B:(cartrealq125666 > $o),S:(cartrealq125666 > $o)]:(((linear @ F) & (linear @ G) & (subset @ S @ (span @ B)) & ![X:cartrealq125666]:((in @ X @ B) => ((F @ X) = (G @ X)))) => ![X:cartrealq125666]:((in @ X @ S) => ((F @ X) = (G @ X))))).
