%   ORIGINAL: LINEAR_EQ_STDBASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_EQ: !f g b s. linear f /\ linear g /\ s SUBSET span b /\ (!x. x IN b ==> f x = g x) ==> (!x. x IN s ==> f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_STDBASIS: span {basis i | 1 <= i /\ i <= dimindex (:N)} = (:real^N)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Goal: !f g. linear f /\ linear g /\ (!i. 1 <= i /\ i <= dimindex (:M) ==> f (basis i) = g (basis i)) ==> f = g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. x IN (:M)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f g b s. linear f /\ linear g /\ s SUBSET span b /\ (!x. x IN b ==> f x = g x) ==> (!x. x IN s ==> f x = g x)
% Assm: ~F <=> T
% Assm: span {basis i | 1 <= i /\ i <= dimindex (:M)} = (:real^M)
% Assm: !s. s SUBSET s
% Assm: T
% Goal: !f g. linear f /\ linear g /\ (!i. 1 <= i /\ i <= dimindex (:M) ==> f (basis i) = g (basis i)) ==> f = g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cgspec1, type, gspec1 : ((cartrealm > $o) > cartrealm > $o)).
thf(cin2, type, in2 : (cartrealm > (cartrealm > $o) > $o)).
thf(cspan, type, span : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cin1, type, in1 : (m > (m > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealm > cartrealn) > $o) > (cartrealm > cartrealn) > $o)).
thf(cin, type, in : ((cartrealm > cartrealn) > ((cartrealm > cartrealn) > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetspec1, type, setspec1 : (cartrealm > $o > cartrealm > $o)).
thf(ci, type, i : ((cartrealm > cartrealn) > cartrealm > cartrealn)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : ((cartrealm > cartrealn) > $o > (cartrealm > cartrealn) > $o)).
thf(cuniv0, type, univ0 : (cartrealm > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cbasis, type, basis : (num > cartrealm)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:(![X:cartrealm]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:((F = G) <=> ![X:cartrealm]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > (cartrealm > cartrealn) > $o) > $o),X:(cartrealm > cartrealn)]:((in @ X @ (gspec @ ^[V:(cartrealm > cartrealn)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealm > cartrealn)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in0 @ X @ (gspec0 @ ^[V:cartrealn]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_UNIV, axiom, ![X:m]:(in1 @ X @ univ)).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealm > cartrealn)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aLINEARu_EQ, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),B:(cartrealm > $o),S:(cartrealm > $o)]:(((linear @ F) & (linear @ G) & (subset @ S @ (span @ B)) & ![X:cartrealm]:((in2 @ X @ B) => ((F @ X) = (G @ X)))) => ![X:cartrealm]:((in2 @ X @ S) => ((F @ X) = (G @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_STDBASIS, axiom, ((span @ (gspec1 @ ^[GENR_PVARR_281:cartrealm]:?[I:num]:(setspec1 @ GENR_PVARR_281 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (basis @ I)))) = univ0)).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset0 @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:(((linear @ F) & (linear @ G) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((F @ (basis @ I)) = (G @ (basis @ I))))) => (F = G))).
