%   ORIGINAL: BILINEAR_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BILINEAR_LADD: !h x y z. bilinear h ==> h (x + y) z = h x z + h y z
% Assm: BILINEAR_LMUL: !h c x y. bilinear h ==> h (c % x) y = c % h x y
% Assm: BILINEAR_LZERO: !h x. bilinear h ==> h (vec 0) x = vec 0
% Assm: BILINEAR_RADD: !h x y z. bilinear h ==> h x (y + z) = h x y + h x z
% Assm: BILINEAR_RMUL: !h c x y. bilinear h ==> h x (c % y) = c % h x y
% Assm: BILINEAR_RZERO: !h x. bilinear h ==> h x (vec 0) = vec 0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct4: !p x. x IN (\y. p y) <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_INDUCT: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: subspace: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !f g b c s. bilinear f /\ bilinear g /\ s SUBSET span b /\ t SUBSET span c /\ (!x y. x IN b /\ y IN c ==> f x y = g x y) ==> (!x y. x IN s /\ y IN t ==> f x y = g x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !h x y z. bilinear h ==> h (x + y) z = h x z + h y z
% Assm: !h c x y. bilinear h ==> h (c % x) y = c % h x y
% Assm: !h x. bilinear h ==> h (vec 0) x = vec 0
% Assm: !h x y z. bilinear h ==> h x (y + z) = h x y + h x z
% Assm: !h c x y. bilinear h ==> h x (c % y) = c % h x y
% Assm: !h x. bilinear h ==> h x (vec 0) = vec 0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN (\y. p y) <=> p x
% Assm: !p x. x IN (\y. p y) <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !t f g b c s. bilinear f /\ bilinear g /\ s SUBSET span b /\ t SUBSET span c /\ (!x y. x IN b /\ y IN c ==> f x y = g x y) ==> (!x y. x IN s /\ y IN t ==> f x y = g x y)
%  TYPES
thf(tp, type, p : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cspan0, type, span0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cru_1, type, r_1 : (real > cartrealn > cartrealn)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealn > cartrealn > cartrealn)).
thf(cru_0, type, r_0 : (real > cartrealp > cartrealp)).
thf(cru_, type, r_ : (real > cartrealm > cartrealm)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealp > cartrealp > cartrealp)).
thf(cvectoruu_add, type, vectoru_add : (cartrealm > cartrealm > cartrealm)).
thf(csubspace0, type, subspace0 : ((cartrealm > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cbilinear, type, bilinear : ((cartrealm > cartrealn > cartrealp) > $o)).
thf(cvec, type, vec : (num > cartrealm)).
thf(cvec1, type, vec1 : (num > cartrealn)).
thf(ci, type, i : (cartrealp > cartrealp)).
thf(cvec0, type, vec0 : (num > cartrealp)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealp),G:(a > cartrealp)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBILINEARu_LADD, axiom, ![H:(cartrealm > cartrealn > cartrealp),X:cartrealm,Y:cartrealm,Z:cartrealn]:((bilinear @ H) => ((H @ (vectoru_add @ X @ Y) @ Z) = (vectoru_add0 @ (H @ X @ Z) @ (H @ Y @ Z))))).
thf(aBILINEARu_LMUL, axiom, ![H:(cartrealm > cartrealn > cartrealp),C:real,X:cartrealm,Y:cartrealn]:((bilinear @ H) => ((H @ (r_ @ C @ X) @ Y) = (r_0 @ C @ (H @ X @ Y))))).
thf(aBILINEARu_LZERO, axiom, ![H:(cartrealm > cartrealn > cartrealp),X:cartrealn]:((bilinear @ H) => ((H @ (vec @ (numeral @ u_0)) @ X) = (vec0 @ (numeral @ u_0))))).
thf(aBILINEARu_RADD, axiom, ![H:(cartrealm > cartrealn > cartrealp),X:cartrealm,Y:cartrealn,Z:cartrealn]:((bilinear @ H) => ((H @ X @ (vectoru_add1 @ Y @ Z)) = (vectoru_add0 @ (H @ X @ Y) @ (H @ X @ Z))))).
thf(aBILINEARu_RMUL, axiom, ![H:(cartrealm > cartrealn > cartrealp),C:real,X:cartrealm,Y:cartrealn]:((bilinear @ H) => ((H @ X @ (r_1 @ C @ Y)) = (r_0 @ C @ (H @ X @ Y))))).
thf(aBILINEARu_RZERO, axiom, ![H:(cartrealm > cartrealn > cartrealp),X:cartrealm]:((bilinear @ H) => ((H @ X @ (vec1 @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct4u_monomorphized1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ ^[Y:cartrealn]:(P @ Y)) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct4u_monomorphized0, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ ^[Y:cartrealm]:(P @ Y)) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:cartrealp]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_INDUCTu_monomorphized1, axiom, ![S:(cartrealn > $o),H:(cartrealn > $o)]:((![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ H)) & (subspace @ H)) => ![X:cartrealn]:((in0 @ X @ (span0 @ S)) => (H @ X)))).
thf(aSPANu_INDUCTu_monomorphized0, axiom, ![S:(cartrealm > $o),H:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => (in @ X @ H)) & (subspace0 @ H)) => ![X:cartrealm]:((in @ X @ (span @ S)) => (H @ X)))).
thf(aSUBSETu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset0 @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(asubspaceu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((subspace @ S) <=> ((in0 @ (vec1 @ (numeral @ u_0)) @ S) & ![X:cartrealn,Y:cartrealn]:(((in0 @ X @ S) & (in0 @ Y @ S)) => (in0 @ (vectoru_add1 @ X @ Y) @ S)) & ![C:real,X:cartrealn]:((in0 @ X @ S) => (in0 @ (r_1 @ C @ X) @ S))))).
thf(asubspaceu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((subspace0 @ S) <=> ((in @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S)) & ![C:real,X:cartrealm]:((in @ X @ S) => (in @ (r_ @ C @ X) @ S))))).
thf(conjecture, conjecture, ![T:(cartrealn > $o),F:(cartrealm > cartrealn > cartrealp),G:(cartrealm > cartrealn > cartrealp),B:(cartrealm > $o),C:(cartrealn > $o),S:(cartrealm > $o)]:(((bilinear @ F) & (bilinear @ G) & (subset @ S @ (span @ B)) & (subset0 @ T @ (span0 @ C)) & ![X:cartrealm,Y:cartrealn]:(((in @ X @ B) & (in0 @ Y @ C)) => ((F @ X @ Y) = (G @ X @ Y)))) => ![X:cartrealm,Y:cartrealn]:(((in @ X @ S) & (in0 @ Y @ T)) => ((F @ X @ Y) = (G @ X @ Y))))).
