%   ORIGINAL: BILINEAR_EQ_STDBASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BILINEAR_EQ: !f g b c s. bilinear f /\ bilinear g /\ s SUBSET span b /\ t SUBSET span c /\ (!x y. x IN b /\ y IN c ==> f x y = g x y) ==> (!x y. x IN s /\ y IN t ==> f x y = g x y)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_STDBASIS: span {basis i | 1 <= i /\ i <= dimindex (:N)} = (:real^N)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Goal: !f g. bilinear f /\ bilinear g /\ (!i j. 1 <= i /\ i <= dimindex (:M) /\ 1 <= j /\ j <= dimindex (:N) ==> f (basis i) (basis j) = g (basis i) (basis j)) ==> f = g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t f g b c s. bilinear f /\ bilinear g /\ s SUBSET span b /\ t SUBSET span c /\ (!x y. x IN b /\ y IN c ==> f x y = g x y) ==> (!x y. x IN s /\ y IN t ==> f x y = g x y)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. x IN (:N)
% Assm: !x. x IN (:M)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: span {basis i | 1 <= i /\ i <= dimindex (:N)} = (:real^N)
% Assm: span {basis i | 1 <= i /\ i <= dimindex (:M)} = (:real^M)
% Assm: !s. s SUBSET s
% Assm: T
% Goal: !f g. bilinear f /\ bilinear g /\ (!i j. 1 <= i /\ i <= dimindex (:M) /\ 1 <= j /\ j <= dimindex (:N) ==> f (basis i) (basis j) = g (basis i) (basis j)) ==> f = g
%  TYPES
thf(tp, type, p : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(cgspec2, type, gspec2 : ((cartrealm > $o) > cartrealm > $o)).
thf(cgspec1, type, gspec1 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin4, type, in4 : (m > (m > $o) > $o)).
thf(cin3, type, in3 : (n > (n > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealp > $o) > cartrealp > $o)).
thf(cin2, type, in2 : (cartrealp > (cartrealp > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealm > cartrealn > cartrealp) > $o) > (cartrealm > cartrealn > cartrealp) > $o)).
thf(cin1, type, in1 : ((cartrealm > cartrealn > cartrealp) > ((cartrealm > cartrealn > cartrealp) > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cspan0, type, span0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetspec2, type, setspec2 : (cartrealm > $o > cartrealm > $o)).
thf(csetspec1, type, setspec1 : (cartrealn > $o > cartrealn > $o)).
thf(ci, type, i : ((cartrealm > cartrealn > cartrealp) > cartrealm > cartrealn > cartrealp)).
thf(csetspec0, type, setspec0 : (cartrealp > $o > cartrealp > $o)).
thf(csetspec, type, setspec : ((cartrealm > cartrealn > cartrealp) > $o > (cartrealm > cartrealn > cartrealp) > $o)).
thf(cuniv2, type, univ2 : (cartrealm > $o)).
thf(cuniv1, type, univ1 : (cartrealn > $o)).
thf(cbilinear, type, bilinear : ((cartrealm > cartrealn > cartrealp) > $o)).
thf(cbasis, type, basis : (num > cartrealm)).
thf(cbasis0, type, basis0 : (num > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(ci0, type, i0 : (cartrealp > cartrealp)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm > cartrealn > cartrealp),G:(a > cartrealm > cartrealn > cartrealp)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealp),G:(a > cartrealp)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBILINEARu_EQ, axiom, ![T:(cartrealn > $o),F:(cartrealm > cartrealn > cartrealp),G:(cartrealm > cartrealn > cartrealp),B:(cartrealm > $o),C:(cartrealn > $o),S:(cartrealm > $o)]:(((bilinear @ F) & (bilinear @ G) & (subset @ S @ (span @ B)) & (subset0 @ T @ (span0 @ C)) & ![X:cartrealm,Y:cartrealn]:(((in @ X @ B) & (in0 @ Y @ C)) => ((F @ X @ Y) = (G @ X @ Y)))) => ![X:cartrealm,Y:cartrealn]:(((in @ X @ S) & (in0 @ Y @ T)) => ((F @ X @ Y) = (G @ X @ Y))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealm > cartrealn > cartrealp),G:(cartrealm > cartrealn > cartrealp)]:((F = G) <=> ![X:cartrealm]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > (cartrealm > cartrealn > cartrealp) > $o) > $o),X:(cartrealm > cartrealn > cartrealp)]:((in1 @ X @ (gspec @ ^[V:(cartrealm > cartrealn > cartrealp)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealm > cartrealn > cartrealp)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > cartrealp > $o) > $o),X:cartrealp]:((in2 @ X @ (gspec0 @ ^[V:cartrealp]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:cartrealp]:(P0 & (X = T))))).
thf(aINu_UNIVu_monomorphized1, axiom, ![X:n]:(in3 @ X @ univ0)).
thf(aINu_UNIVu_monomorphized0, axiom, ![X:m]:(in4 @ X @ univ)).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealm > cartrealn > cartrealp)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealp]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_STDBASISu_monomorphized1, axiom, ((span0 @ (gspec1 @ ^[GENR_PVARR_281:cartrealn]:?[I:num]:(setspec1 @ GENR_PVARR_281 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) @ (basis0 @ I)))) = univ1)).
thf(aSPANu_STDBASISu_monomorphized0, axiom, ((span @ (gspec2 @ ^[GENR_PVARR_281:cartrealm]:?[I:num]:(setspec2 @ GENR_PVARR_281 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (basis @ I)))) = univ2)).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset1 @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn > cartrealp),G:(cartrealm > cartrealn > cartrealp)]:(((bilinear @ F) & (bilinear @ G) & ![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex0 @ univ0))) => ((F @ (basis @ I) @ (basis0 @ J)) = (G @ (basis @ I) @ (basis0 @ J))))) => (F = G))).
