%   ORIGINAL: RIGHT_INVERTIBLE_TRANSP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MATRIX_TRANSP_MUL: !A B. transp (A ** B) = transp B ** transp A
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRANSP_MAT: !n. transp (mat n) = mat n
% Assm: TRANSP_TRANSP: !A. transp (transp A) = A
% Assm: TRUTH: T
% Goal: !A. (?B. transp A ** B = mat 1) <=> (?B. B ** A = mat 1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !A B. transp (A ** B) = transp B ** transp A
% Assm: ~F <=> T
% Assm: !n. transp (mat n) = mat n
% Assm: !A. transp (transp A) = A
% Assm: T
% Goal: !A. (?B. transp A ** B = mat 1) <=> (?B. B ** A = mat 1)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealmm, type, cartcartrealmm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_mul1, type, matrixu_mul1 : (cartcartrealmn > cartcartrealmm > cartcartrealmn)).
thf(cmatrixuu_mul0, type, matrixu_mul0 : (cartcartrealmm > cartcartrealnm > cartcartrealnm)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealmn > cartcartrealnm > cartcartrealnn)).
thf(ctransp1, type, transp1 : (cartcartrealmn > cartcartrealnm)).
thf(cmat0, type, mat0 : (num > cartcartrealnm)).
thf(ctransp0, type, transp0 : (cartcartrealmm > cartcartrealmm)).
thf(cmat1, type, mat1 : (num > cartcartrealmn)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnm > cartcartrealmn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMATRIXu_TRANSPu_MUL, axiom, ![A:cartcartrealmm,B:cartcartrealnm]:((transp @ (matrixu_mul0 @ A @ B)) = (matrixu_mul1 @ (transp @ B) @ (transp0 @ A)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRANSPu_MAT, axiom, ![N:num]:((transp @ (mat0 @ N)) = (mat1 @ N))).
thf(aTRANSPu_TRANSP, axiom, ![A:cartcartrealmn]:((transp @ (transp1 @ A)) = A)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnm]:(?[B:cartcartrealnm]:((matrixu_mul @ (transp @ A) @ B) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ?[B:cartcartrealmn]:((matrixu_mul @ B @ A) = (mat @ (numeral @ (bit1 @ u_0)))))).
