%   ORIGINAL: LINEAR_SURJECTIVE_RIGHT_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INDEPENDENT_STDBASIS: independent {basis i | 1 <= i /\ i <= dimindex (:N)}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: I_DEF: I = (\x. x)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_COMPOSE: !f g. linear f /\ linear g ==> linear (g o f)
% Assm: LINEAR_EQ_STDBASIS: !f g. linear f /\ linear g /\ (!i. 1 <= i /\ i <= dimindex (:M) ==> f (basis i) = g (basis i)) ==> f = g
% Assm: LINEAR_ID: linear (\x. x)
% Assm: LINEAR_INDEPENDENT_EXTEND: !f b. independent b ==> (?g. linear g /\ (!x. x IN b ==> g x = f x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SURJECTIVE_RIGHT_INVERSE: (!y. ?x. f x = y) <=> (?g. !y. f (g y) = y)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f. linear f /\ (!y. ?x. f x = y) ==> (?g. linear g /\ f o g = I)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: independent {basis i | 1 <= i /\ i <= dimindex (:N)}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: I = (\x. x)
% Assm: !x. I x = x
% Assm: !f g. linear f /\ linear g ==> linear (g o f)
% Assm: !f g. linear f /\ linear g /\ (!i. 1 <= i /\ i <= dimindex (:M) ==> f (basis i) = g (basis i)) ==> f = g
% Assm: linear (\x. x)
% Assm: !f b. independent b ==> (?g. linear g /\ (!x. x IN b ==> g x = f x))
% Assm: ~F <=> T
% Assm: !f. (!y. ?x. f x = y) <=> (?g. !y. f (g y) = y)
% Assm: !f. (!y. ?x. f x = y) <=> (?g. !y. f (g y) = y)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f. linear f /\ (!y. ?x. f x = y) ==> (?g. linear g /\ f o g = I)
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq109165, type, cartrealq109165 : $tType).
thf(tq109165, type, q109165 : $tType).
thf(tq57795, type, q57795 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (m > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(cin1, type, in1 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn > cartrealn) > $o) > (cartrealn > cartrealn) > $o)).
thf(cin, type, in : ((cartrealn > cartrealn) > ((cartrealn > cartrealn) > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn > cartrealn) > $o > (cartrealn > cartrealn) > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(co, type, o : ((cartrealm > cartrealn) > (cartrealn > cartrealm) > cartrealn > cartrealn)).
thf(cindependent0, type, independent0 : ((cartrealm > $o) > $o)).
thf(clinear2, type, linear2 : ((cartrealq109165 > cartrealq109165) > $o)).
thf(clinear1, type, linear1 : ((cartrealn > cartrealn) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cbasis0, type, basis0 : (num > cartrealm)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((m > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn)]:(![X:cartrealn]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > cartrealn)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aINDEPENDENTu_STDBASIS, axiom, (independent @ (gspec @ ^[GENR_PVARR_291:cartrealn]:?[I:num]:(setspec @ GENR_PVARR_291 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (basis @ I))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > (cartrealn > cartrealn) > $o) > $o),X:(cartrealn > cartrealn)]:((in @ X @ (gspec0 @ ^[V:(cartrealn > cartrealn)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn > cartrealn)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in0 @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aIu_DEF, axiom, (i = ^[X:cartrealn]:X)).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aLINEARu_COMPOSE, axiom, ![F:(cartrealn > cartrealm),G:(cartrealm > cartrealn)]:(((linear0 @ F) & (linear @ G)) => (linear1 @ (o @ G @ F)))).
thf(aLINEARu_EQu_STDBASIS, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:(((linear @ F) & (linear @ G) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((F @ (basis0 @ I)) = (G @ (basis0 @ I))))) => (F = G))).
thf(aLINEARu_ID, axiom, (linear2 @ ^[X:cartrealq109165]:X)).
thf(aLINEARu_INDEPENDENTu_EXTEND, axiom, ![F:(cartrealm > cartrealn),B:(cartrealm > $o)]:((independent0 @ B) => ?[G:(cartrealm > cartrealn)]:((linear @ G) & ![X:cartrealm]:((in1 @ X @ B) => ((G @ X) = (F @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSURJECTIVEu_RIGHTu_INVERSEu_monomorphized1, axiom, ![F:(q57795 > cartrealn > cartrealn)]:(![Y:(cartrealn > cartrealn)]:?[X:q57795]:((F @ X) = Y) <=> ?[G:((cartrealn > cartrealn) > q57795)]:![Y:(cartrealn > cartrealn)]:((F @ (G @ Y)) = Y))).
thf(aSURJECTIVEu_RIGHTu_INVERSEu_monomorphized0, axiom, ![F:(q57795 > cartrealn)]:(![Y:cartrealn]:?[X:q57795]:((F @ X) = Y) <=> ?[G:(cartrealn > q57795)]:![Y:cartrealn]:((F @ (G @ Y)) = Y))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealm),X:cartrealn]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)) => ?[G:(cartrealn > cartrealm)]:((linear0 @ G) & ((o @ F @ G) = i)))).
