%   ORIGINAL: MATRIX_LEFT_INVERTIBLE_KER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LINEAR_INJECTIVE_0: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: MATRIX_LEFT_INVERTIBLE_INJECTIVE: !A. (?B. B ** A = mat 1) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: MATRIX_VECTOR_MUL_LINEAR: !A. linear (\x. A ** x)
% Assm: TRUTH: T
% Goal: !A. (?B. B ** A = mat 1) <=> (!x. A ** x = vec 0 ==> x = vec 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: !A. (?B. B ** A = mat 1) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: !A. linear (\x. A ** x)
% Assm: T
% Goal: !A. (?B. B ** A = mat 1) <=> (!x. A ** x = vec 0 ==> x = vec 0)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnm > cartrealn > cartrealm)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealmn > cartcartrealnm > cartcartrealnn)).
thf(clinear2, type, linear2 : ((cartrealm > cartrealm) > $o)).
thf(clinear1, type, linear1 : ((cartrealm > cartrealn) > $o)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cvec, type, vec : (num > cartrealm)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized3, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLINEARu_INJECTIVEu_0u_monomorphized3, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealn]:(((F @ X) = (vec0 @ (numeral @ u_0))) => (X = (vec0 @ (numeral @ u_0))))))).
thf(aLINEARu_INJECTIVEu_0u_monomorphized2, axiom, ![F:(cartrealn > cartrealm)]:((linear0 @ F) => (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealn]:(((F @ X) = (vec @ (numeral @ u_0))) => (X = (vec0 @ (numeral @ u_0))))))).
thf(aLINEARu_INJECTIVEu_0u_monomorphized1, axiom, ![F:(cartrealm > cartrealn)]:((linear1 @ F) => (![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealm]:(((F @ X) = (vec0 @ (numeral @ u_0))) => (X = (vec @ (numeral @ u_0))))))).
thf(aLINEARu_INJECTIVEu_0u_monomorphized0, axiom, ![F:(cartrealm > cartrealm)]:((linear2 @ F) => (![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealm]:(((F @ X) = (vec @ (numeral @ u_0))) => (X = (vec @ (numeral @ u_0))))))).
thf(aMATRIXu_LEFTu_INVERTIBLEu_INJECTIVE, axiom, ![A:cartcartrealnm]:(?[B:cartcartrealmn]:((matrixu_mul @ B @ A) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ![X:cartrealn,Y:cartrealn]:(((matrixu_vectoru_mul @ A @ X) = (matrixu_vectoru_mul @ A @ Y)) => (X = Y)))).
thf(aMATRIXu_VECTORu_MULu_LINEAR, axiom, ![A:cartcartrealnm]:(linear0 @ ^[X:cartrealn]:(matrixu_vectoru_mul @ A @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnm]:(?[B:cartcartrealmn]:((matrixu_mul @ B @ A) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ![X:cartrealn]:(((matrixu_vectoru_mul @ A @ X) = (vec @ (numeral @ u_0))) => (X = (vec0 @ (numeral @ u_0)))))).
