%   ORIGINAL: MATRIX_RIGHT_INVERTIBLE_SURJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_SURJECTIVE_RIGHT_INVERSE: !f. linear f /\ (!y. ?x. f x = y) ==> (?g. linear g /\ f o g = I)
% Assm: MATRIX_EQ: !A B. A = B <=> (!x. A ** x = B ** x)
% Assm: MATRIX_VECTOR_MUL_ASSOC: !A B x. A ** B ** x = (A ** B) ** x
% Assm: MATRIX_VECTOR_MUL_LID: !x. mat 1 ** x = x
% Assm: MATRIX_VECTOR_MUL_LINEAR: !A. linear (\x. A ** x)
% Assm: MATRIX_WORKS: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !A. (?B. A ** B = mat 1) <=> (!y. ?x. A ** x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !f. linear f /\ (!y. ?x. f x = y) ==> (?g. linear g /\ f o g = I)
% Assm: !A B. A = B <=> (!x. A ** x = B ** x)
% Assm: !A B x. A ** B ** x = (A ** B) ** x
% Assm: !x. mat 1 ** x = x
% Assm: !A. linear (\x. A ** x)
% Assm: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x <=> f (g x)
% Goal: !A. (?B. A ** B = mat 1) <=> (!y. ?x. A ** x = y)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealmm, type, cartcartrealmm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(co2, type, o2 : ((b > $o) > (a > b) > a > $o)).
thf(co1, type, o1 : ((b > cartcartrealmm) > (a > b) > a > cartcartrealmm)).
thf(co0, type, o0 : ((b > cartrealm) > (a > b) > a > cartrealm)).
thf(cmatrixuu_mul0, type, matrixu_mul0 : (cartcartrealnm > cartcartrealnn > cartcartrealnm)).
thf(cmatrixuu_vectoruu_mul1, type, matrixu_vectoru_mul1 : (cartcartrealnn > cartrealn > cartrealn)).
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealmm > cartrealm > cartrealm)).
thf(co, type, o : ((cartrealm > cartrealm) > (cartrealm > cartrealm) > cartrealm > cartrealm)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnm > cartrealn > cartrealm)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnm > cartcartrealmn > cartcartrealmm)).
thf(ci1, type, i1 : ($o > $o)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealm) > $o)).
thf(cmatrix, type, matrix : ((cartrealn > cartrealm) > cartcartrealnm)).
thf(ci0, type, i0 : (cartcartrealmm > cartcartrealmm)).
thf(ci, type, i : (cartrealm > cartrealm)).
thf(cmat, type, mat : (num > cartcartrealmm)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealmm),G:(a > cartcartrealmm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THMu_monomorphized2, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > cartcartrealmm),G:(a > cartcartrealmm)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:cartrealm]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartcartrealmm]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aLINEARu_SURJECTIVEu_RIGHTu_INVERSE, axiom, ![F:(cartrealm > cartrealm)]:(((linear @ F) & ![Y:cartrealm]:?[X:cartrealm]:((F @ X) = Y)) => ?[G:(cartrealm > cartrealm)]:((linear @ G) & ((o @ F @ G) = i)))).
thf(aMATRIXu_EQ, axiom, ![A:cartcartrealmm,B:cartcartrealmm]:((A = B) <=> ![X:cartrealm]:((matrixu_vectoru_mul0 @ A @ X) = (matrixu_vectoru_mul0 @ B @ X)))).
thf(aMATRIXu_VECTORu_MULu_ASSOC, axiom, ![A:cartcartrealnm,B:cartcartrealnn,X:cartrealn]:((matrixu_vectoru_mul @ A @ (matrixu_vectoru_mul1 @ B @ X)) = (matrixu_vectoru_mul @ (matrixu_mul0 @ A @ B) @ X))).
thf(aMATRIXu_VECTORu_MULu_LID, axiom, ![X:cartrealm]:((matrixu_vectoru_mul0 @ (mat @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aMATRIXu_VECTORu_MULu_LINEAR, axiom, ![A:cartcartrealnm]:(linear0 @ ^[X:cartrealn]:(matrixu_vectoru_mul @ A @ X))).
thf(aMATRIXu_WORKS, axiom, ![F:(cartrealn > cartrealm)]:((linear0 @ F) => ![X:cartrealn]:((matrixu_vectoru_mul @ (matrix @ F) @ X) = (F @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THMu_monomorphized2, axiom, ![F:(b > cartrealm),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > cartcartrealmm),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > $o),G:(a > b),X:a]:((o2 @ F @ G @ X) <=> (F @ (G @ X)))).
thf(conjecture, conjecture, ![A:cartcartrealnm]:(?[B:cartcartrealmn]:((matrixu_mul @ A @ B) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ![Y:cartrealm]:?[X:cartrealn]:((matrixu_vectoru_mul @ A @ X) = Y))).
