%   ORIGINAL: MATRIX_RIGHT_INVERTIBLE_INDEPENDENT_ROWS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COLUMN_TRANSP: !A i. 1 <= i /\ i <= dimindex (:M) ==> column i (transp A) = row i A
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LEFT_INVERTIBLE_TRANSP: !A. (?B. B ** transp A = mat 1) <=> (?B. A ** B = mat 1)
% Assm: MATRIX_LEFT_INVERTIBLE_INDEPENDENT_COLUMNS: !A. (?B. B ** A = mat 1) <=> (!c. vsum (1..dimindex (:N)) (\i. c i % column i A) = vec 0 ==> (!i. 1 <= i /\ i <= dimindex (:N) ==> c i = &0))
% Assm: TRUTH: T
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Goal: !A. (?B. A ** B = mat 1) <=> (!c. vsum (1..dimindex (:M)) (\i. c i % row i A) = vec 0 ==> (!i. 1 <= i /\ i <= dimindex (:M) ==> c i = &0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A i. 1 <= i /\ i <= dimindex (:M) ==> column i (transp A) = row i A
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !A. (?B. B ** transp A = mat 1) <=> (?B. A ** B = mat 1)
% Assm: !A. (?B. B ** A = mat 1) <=> (!c. vsum (1..dimindex (:M)) (\i. c i % column i A) = vec 0 ==> (!i. 1 <= i /\ i <= dimindex (:M) ==> c i = &0))
% Assm: T
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Goal: !A. (?B. A ** B = mat 1) <=> (!c. vsum (1..dimindex (:M)) (\i. c i % row i A) = vec 0 ==> (!i. 1 <= i /\ i <= dimindex (:M) ==> c i = &0))
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartcartrealmm, type, cartcartrealmm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(ccolumn, type, column : (num > cartcartrealmn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crow, type, row : (num > cartcartrealnm > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnm > cartcartrealmn > cartcartrealmm)).
thf(cmat, type, mat : (num > cartcartrealmm)).
thf(ctransp, type, transp : (cartcartrealnm > cartcartrealmn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized3, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealmm),G:(a > cartcartrealmm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOLUMNu_TRANSP, axiom, ![A:cartcartrealnm,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((column @ I @ (transp @ A)) = (row @ I @ A)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLEFTu_INVERTIBLEu_TRANSP, axiom, ![A:cartcartrealnm]:(?[B:cartcartrealnm]:((matrixu_mul @ B @ (transp @ A)) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ?[B:cartcartrealmn]:((matrixu_mul @ A @ B) = (mat @ (numeral @ (bit1 @ u_0)))))).
thf(aMATRIXu_LEFTu_INVERTIBLEu_INDEPENDENTu_COLUMNS, axiom, ![A:cartcartrealmn]:(?[B:cartcartrealnm]:((matrixu_mul @ B @ A) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ![C:(num > real)]:(((vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(r_ @ (C @ I) @ (column @ I @ A))) = (vec @ (numeral @ u_0))) => ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((C @ I) = (realu_ofu_num @ (numeral @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_EQ, axiom, ![F:(num > cartrealn),G:(num > cartrealn),S:(num > $o)]:(![X:num]:((in0 @ X @ S) => ((F @ X) = (G @ X))) => ((vsum @ S @ F) = (vsum @ S @ G)))).
thf(conjecture, conjecture, ![A:cartcartrealnm]:(?[B:cartcartrealmn]:((matrixu_mul @ A @ B) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ![C:(num > real)]:(((vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(r_ @ (C @ I) @ (row @ I @ A))) = (vec @ (numeral @ u_0))) => ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((C @ I) = (realu_ofu_num @ (numeral @ u_0))))))).
