%   ORIGINAL: MATRIX_LEFT_INVERTIBLE_SPAN_ROWS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLUMNS_TRANSP: !A. columns (transp A) = rows A
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MATRIX_RIGHT_INVERTIBLE_SPAN_COLUMNS: !A. (?B. A ** B = mat 1) <=> span (columns A) = (:real^M)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RIGHT_INVERTIBLE_TRANSP: !A. (?B. transp A ** B = mat 1) <=> (?B. B ** A = mat 1)
% Assm: TRUTH: T
% Goal: !A. (?B. B ** A = mat 1) <=> span (rows A) = (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !A. columns (transp A) = rows A
% Assm: !t. (\x. t x) = t
% Assm: !A. (?B. A ** B = mat 1) <=> span (columns A) = (:real^N)
% Assm: ~F <=> T
% Assm: !A. (?B. transp A ** B = mat 1) <=> (?B. B ** A = mat 1)
% Assm: T
% Goal: !A. (?B. B ** A = mat 1) <=> span (rows A) = (:real^N)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccolumns, type, columns : (cartcartrealmn > cartrealn > $o)).
thf(crows, type, rows : (cartcartrealnm > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealmn > cartcartrealnm > cartcartrealnn)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(ctransp, type, transp : (cartcartrealnm > cartcartrealmn)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLUMNSu_TRANSP, axiom, ![A:cartcartrealnm]:((columns @ (transp @ A)) = (rows @ A))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aMATRIXu_RIGHTu_INVERTIBLEu_SPANu_COLUMNS, axiom, ![A:cartcartrealmn]:(?[B:cartcartrealnm]:((matrixu_mul @ A @ B) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ((span @ (columns @ A)) = univ))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRIGHTu_INVERTIBLEu_TRANSP, axiom, ![A:cartcartrealnm]:(?[B:cartcartrealnm]:((matrixu_mul @ (transp @ A) @ B) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ?[B:cartcartrealmn]:((matrixu_mul @ B @ A) = (mat @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnm]:(?[B:cartcartrealmn]:((matrixu_mul @ B @ A) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ((span @ (rows @ A)) = univ))).
