%   ORIGINAL: LINEAR_INJECTIVE_IMP_SURJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BASIS_EXISTS: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_GE_DIM_INDEPENDENT: !v b. b SUBSET v /\ independent b /\ dim v <= CARD b ==> v SUBSET span b
% Assm: CARD_IMAGE_INJ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: INDEPENDENT_INJECTIVE_IMAGE: !f s. independent s /\ linear f /\ (!x y. f x = f y ==> x = y) ==> independent (IMAGE f s)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LE_REFL: !n. n <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_LINEAR_IMAGE: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!y. ?x. f x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v b. b SUBSET v /\ independent b /\ dim v <= CARD b ==> v SUBSET span b
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !t. (\x. t x) = t
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !f s. independent s /\ linear f /\ (!x y. f x = f y ==> x = y) ==> independent (IMAGE f s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. x IN (:A)
% Assm: !x. I x = x
% Assm: !n. n <= n
% Assm: ~F <=> T
% Assm: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET (:A)
% Assm: T
% Goal: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!y. ?x. f x = y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq123234, type, cartrealq123234 : $tType).
thf(treal, type, real : $tType).
thf(tq52112, type, q52112 : $tType).
thf(tq123234, type, q123234 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(chasuu_size0, type, hasu_size0 : ((q52112 > $o) > num > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cspan0, type, span0 : ((cartrealn > $o) > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealq123234 > $o) > num > $o)).
thf(cspan, type, span : ((cartrealq123234 > $o) > cartrealq123234 > $o)).
thf(csubset, type, subset : ((cartrealq123234 > $o) > (cartrealq123234 > $o) > $o)).
thf(cimage0, type, image0 : ((a > cartrealn) > (a > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite0, type, finite0 : ((q52112 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cindependent0, type, independent0 : ((cartrealn > $o) > $o)).
thf(cindependent, type, independent : ((cartrealq123234 > $o) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(ccard0, type, card0 : ((q52112 > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cdim0, type, dim0 : ((cartrealn > $o) > num)).
thf(cdim, type, dim : ((cartrealq123234 > $o) > num)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBASISu_EXISTS, axiom, ![V:(cartrealq123234 > $o)]:?[B:(cartrealq123234 > $o)]:((subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B)) & (hasu_size @ B @ (dim @ V)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_GEu_DIMu_INDEPENDENT, axiom, ![V:(cartrealn > $o),B:(cartrealn > $o)]:(((subset0 @ B @ V) & (independent0 @ B) & (l_a_ @ (dim0 @ V) @ (card @ B))) => (subset0 @ V @ (span0 @ B)))).
thf(aCARDu_IMAGEu_INJ, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ S)) => ((card @ (image @ F @ S)) = (card @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_SIZE, axiom, ![S:(q52112 > $o),N:num]:((hasu_size0 @ S @ N) <=> ((finite0 @ S) & ((card0 @ S) = N)))).
thf(aINDEPENDENTu_INJECTIVEu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((independent0 @ S) & (linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => (independent0 @ (image @ F @ S)))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(a > $o),F:(a > cartrealn)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ)).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_LINEARu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((linear @ F) => ((span0 @ (image @ F @ S)) = (image @ F @ (span0 @ S))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset1 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset1 @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y))).
