%   ORIGINAL: LINEAR_SURJECTIVE_IFF_INJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_INJECTIVE_IMP_SURJECTIVE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!y. ?x. f x = y)
% Assm: LINEAR_SURJECTIVE_IMP_INJECTIVE: !f. linear f /\ (!y. ?x. f x = y) ==> (!x y. f x = f y ==> x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f. linear f ==> ((!y. ?x. f x = y) <=> (!x y. f x = f y ==> x = y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!y. ?x. f x = y)
% Assm: !f. linear f /\ (!y. ?x. f x = y) ==> (!x y. f x = f y ==> x = y)
% Assm: ~F <=> T
% Assm: T
% Goal: !f. linear f ==> ((!y. ?x. f x = y) <=> (!x y. f x = f y ==> x = y))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci0, type, i0 : ($o > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aLINEARu_INJECTIVEu_IMPu_SURJECTIVE, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y))).
thf(aLINEARu_SURJECTIVEu_IMPu_INJECTIVE, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y)) => ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y) <=> ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))))).
