%   ORIGINAL: LINEAR_INJECTIVE_ISOMORPHISM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: ISOMORPHISM_EXPAND: !f g. f o g = I /\ g o f = I <=> (!x. f (g x) = x) /\ (!x. g (f x) = x)
% Assm: I_THM: !x. I x = x
% Assm: LEFT_RIGHT_INVERSE_EQ: !f g h. f o g = I /\ g o h = I ==> f = h
% Assm: LINEAR_INJECTIVE_IMP_SURJECTIVE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!y. ?x. f x = y)
% Assm: LINEAR_INJECTIVE_LEFT_INVERSE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?g. linear g /\ g o f = I)
% Assm: LINEAR_SURJECTIVE_RIGHT_INVERSE: !f. linear f /\ (!y. ?x. f x = y) ==> (?g. linear g /\ f o g = I)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?f'. linear f' /\ (!x. f' (f x) = x) /\ (!x. f (f' x) = x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f o g = I /\ g o f = I <=> (!x. f (g x) = x) /\ (!x. g (f x) = x)
% Assm: !x. I x = x
% Assm: !f g h. f o g = I /\ g o h = I ==> f = h
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!y. ?x. f x = y)
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?g. linear g /\ g o f = I)
% Assm: !f. linear f /\ (!y. ?x. f x = y) ==> (?g. linear g /\ f o g = I)
% Assm: ~F <=> T
% Assm: T
% Goal: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?f'. linear f' /\ (!x. f' (f x) = x) /\ (!x. f (f' x) = x))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(co0, type, o0 : ((a > a) > (a > a) > a > a)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(ci0, type, i0 : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aISOMORPHISMu_EXPAND, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn)]:((((o @ F @ G) = i) & ((o @ G @ F) = i)) <=> (![X:cartrealn]:((F @ (G @ X)) = X) & ![X:cartrealn]:((G @ (F @ X)) = X)))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aLEFTu_RIGHTu_INVERSEu_EQ, axiom, ![F:(a > a),G:(a > a),H:(a > a)]:((((o0 @ F @ G) = i0) & ((o0 @ G @ H) = i0)) => (F = H))).
thf(aLINEARu_INJECTIVEu_IMPu_SURJECTIVE, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y))).
thf(aLINEARu_INJECTIVEu_LEFTu_INVERSE, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ?[G:(cartrealn > cartrealn)]:((linear @ G) & ((o @ G @ F) = i)))).
thf(aLINEARu_SURJECTIVEu_RIGHTu_INVERSE, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y)) => ?[G:(cartrealn > cartrealn)]:((linear @ G) & ((o @ F @ G) = i)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ?[FI_:(cartrealn > cartrealn)]:((linear @ FI_) & ![X:cartrealn]:((FI_ @ (F @ X)) = X) & ![X:cartrealn]:((F @ (FI_ @ X)) = X)))).
