%   ORIGINAL: LINEAR_INVERSE_LEFT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_SURJECTIVE_ISOMORPHISM: !f. linear f /\ (!y. ?x. f x = y) ==> (?f'. linear f' /\ (!x. f' (f x) = x) /\ (!x. f (f' x) = x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f f'. linear f /\ linear f' ==> (f o f' = I <=> f' o f = I)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !f. linear f /\ (!y. ?x. f x = y) ==> (?f'. linear f' /\ (!x. f' (f x) = x) /\ (!x. f (f' x) = x))
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f f'. linear f /\ linear f' ==> (f o f' = I <=> f' o f = I)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > cartrealn),G:(a > cartrealn > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > cartrealn)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn)]:((F = G) <=> ![X:cartrealn]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aLINEARu_SURJECTIVEu_ISOMORPHISM, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y)) => ?[FI_:(cartrealn > cartrealn)]:((linear @ FI_) & ![X:cartrealn]:((FI_ @ (F @ X)) = X) & ![X:cartrealn]:((F @ (FI_ @ X)) = X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),X:cartrealn]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn),FI_:(cartrealn > cartrealn)]:(((linear @ F) & (linear @ FI_)) => (((o @ F @ FI_) = i) <=> ((o @ FI_ @ F) = i)))).
