%   ORIGINAL: LEFT_RIGHT_INVERSE_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g. linear f /\ g o f = I /\ f o g = I ==> linear g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g. linear f /\ g o f = I /\ f o g = I ==> linear g
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cru_0, type, r_0 : (real > cartrealm > cartrealm)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealm > cartrealm > cartrealm)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(co0, type, o0 : ((cartrealn > cartrealm) > (cartrealm > cartrealn) > cartrealm > cartrealm)).
thf(co, type, o : ((cartrealm > cartrealn) > (cartrealn > cartrealm) > cartrealn > cartrealn)).
thf(clinear0, type, linear0 : ((cartrealm > cartrealn) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealm) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > cartrealn),G:(a > cartrealn > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm > cartrealm),G:(a > cartrealm > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AXu_monomorphized1, axiom, ![T:(cartrealn > cartrealn)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aETAu_AXu_monomorphized0, axiom, ![T:(cartrealm > cartrealm)]:(^[X:cartrealm]:(T @ X) = T)).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn)]:((F = G) <=> ![X:cartrealn]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(cartrealm > cartrealm),G:(cartrealm > cartrealm)]:((F = G) <=> ![X:cartrealm]:((F @ X) = (G @ X)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(alinearu_monomorphized1, axiom, ![F:(cartrealn > cartrealm)]:((linear @ F) <=> (![X:cartrealn,Y:cartrealn]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealn]:((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(alinearu_monomorphized0, axiom, ![F:(cartrealm > cartrealn)]:((linear0 @ F) <=> (![X:cartrealm,Y:cartrealm]:((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealm]:((F @ (r_0 @ C @ X)) = (r_ @ C @ (F @ X)))))).
thf(aou_THMu_monomorphized1, axiom, ![F:(cartrealn > cartrealm),G:(cartrealm > cartrealn),X:cartrealm]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealm),X:cartrealn]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealm),G:(cartrealm > cartrealn)]:(((linear @ F) & ((o @ G @ F) = i) & ((o0 @ F @ G) = i0)) => (linear0 @ G))).
