%   ORIGINAL: LINEAR_BIJECTIVE_LEFT_RIGHT_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BIJECTIVE_LEFT_RIGHT_INVERSE: !f. (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) <=> (?g. (!y. f (g y) = y) /\ (!x. g (f x) = x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: LEFT_RIGHT_INVERSE_LINEAR: !f g. linear f /\ g o f = I /\ f o g = I ==> linear g
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> (?g. linear g /\ (!x. g (f x) = x) /\ (!y. f (g y) = y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) <=> (?g. (!y. f (g y) = y) /\ (!x. g (f x) = x))
% Assm: !f. (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) <=> (?g. (!y. f (g y) = y) /\ (!x. g (f x) = x))
% Assm: !f. (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) <=> (?g. (!y. f (g y) = y) /\ (!x. g (f x) = x))
% Assm: !f. (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) <=> (?g. (!y. f (g y) = y) /\ (!x. g (f x) = x))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f g. linear f /\ g o f = I /\ f o g = I ==> linear g
% Assm: !f g. linear f /\ g o f = I /\ f o g = I ==> linear g
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> (?g. linear g /\ (!x. g (f x) = x) /\ (!y. f (g y) = y))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(co2, type, o2 : ((b > cartrealm) > (a > b) > a > cartrealm)).
thf(co1, type, o1 : ((b > cartrealn) > (a > b) > a > cartrealn)).
thf(co0, type, o0 : ((cartrealn > cartrealm) > (cartrealm > cartrealn) > cartrealm > cartrealm)).
thf(co, type, o : ((cartrealm > cartrealn) > (cartrealn > cartrealm) > cartrealn > cartrealn)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBIJECTIVEu_LEFTu_RIGHTu_INVERSEu_monomorphized3, axiom, ![F:(cartrealn > cartrealn)]:((![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)) & ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y)) <=> ?[G:(cartrealn > cartrealn)]:(![Y:cartrealn]:((F @ (G @ Y)) = Y) & ![X:cartrealn]:((G @ (F @ X)) = X)))).
thf(aBIJECTIVEu_LEFTu_RIGHTu_INVERSEu_monomorphized2, axiom, ![F:(cartrealn > cartrealm)]:((![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)) & ![Y:cartrealm]:?[X:cartrealn]:((F @ X) = Y)) <=> ?[G:(cartrealm > cartrealn)]:(![Y:cartrealm]:((F @ (G @ Y)) = Y) & ![X:cartrealn]:((G @ (F @ X)) = X)))).
thf(aBIJECTIVEu_LEFTu_RIGHTu_INVERSEu_monomorphized1, axiom, ![F:(cartrealm > cartrealn)]:((![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)) <=> ?[G:(cartrealn > cartrealm)]:(![Y:cartrealn]:((F @ (G @ Y)) = Y) & ![X:cartrealm]:((G @ (F @ X)) = X)))).
thf(aBIJECTIVEu_LEFTu_RIGHTu_INVERSEu_monomorphized0, axiom, ![F:(cartrealm > cartrealm)]:((![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) & ![Y:cartrealm]:?[X:cartrealm]:((F @ X) = Y)) <=> ?[G:(cartrealm > cartrealm)]:(![Y:cartrealm]:((F @ (G @ Y)) = Y) & ![X:cartrealm]:((G @ (F @ X)) = X)))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aLEFTu_RIGHTu_INVERSEu_LINEARu_monomorphized1, axiom, ![F:(cartrealn > cartrealm),G:(cartrealm > cartrealn)]:(((linear0 @ F) & ((o @ G @ F) = i) & ((o0 @ F @ G) = i0)) => (linear @ G))).
thf(aLEFTu_RIGHTu_INVERSEu_LINEARu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealm)]:(((linear @ F) & ((o0 @ G @ F) = i0) & ((o @ F @ G) = i)) => (linear0 @ G))).
thf(aTRUTH, axiom, $true).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > cartrealn),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > cartrealm),G:(a > b),X:a]:((o2 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)) => ?[G:(cartrealn > cartrealm)]:((linear0 @ G) & ![X:cartrealm]:((G @ (F @ X)) = X) & ![Y:cartrealn]:((F @ (G @ Y)) = Y)))).
