%   ORIGINAL: MATRIX_LEFT_RIGHT_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LINEAR_SURJECTIVE_ISOMORPHISM: !f. linear f /\ (!y. ?x. f x = y) ==> (?f'. linear f' /\ (!x. f' (f x) = x) /\ (!x. f (f' x) = x))
% Assm: MATRIX_EQ: !A B. A = B <=> (!x. A ** x = B ** x)
% Assm: MATRIX_MUL_ASSOC: !A B C. A ** B ** C = (A ** B) ** C
% Assm: MATRIX_MUL_LID: !A. mat 1 ** A = A
% Assm: MATRIX_MUL_RID: !A. A ** mat 1 = A
% Assm: MATRIX_VECTOR_MUL_ASSOC: !A B x. A ** B ** x = (A ** B) ** x
% Assm: MATRIX_VECTOR_MUL_LID: !x. mat 1 ** x = x
% Assm: MATRIX_VECTOR_MUL_LINEAR: !A. linear (\x. A ** x)
% Assm: MATRIX_WORKS: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !A A'. A ** A' = mat 1 <=> A' ** A = mat 1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f. linear f /\ (!y. ?x. f x = y) ==> (?f'. linear f' /\ (!x. f' (f x) = x) /\ (!x. f (f' x) = x))
% Assm: !A B. A = B <=> (!x. A ** x = B ** x)
% Assm: !A B C. A ** B ** C = (A ** B) ** C
% Assm: !A. mat 1 ** A = A
% Assm: !A. A ** mat 1 = A
% Assm: !A B x. A ** B ** x = (A ** B) ** x
% Assm: !x. mat 1 ** x = x
% Assm: !A. linear (\x. A ** x)
% Assm: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: ~F <=> T
% Assm: T
% Goal: !A A'. A ** A' = mat 1 <=> A' ** A = mat 1
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_vectoruu_mul1, type, matrixu_vectoru_mul1 : (cartcartrealmn > cartrealm > cartrealn)).
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealnm > cartrealn > cartrealm)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnn > cartrealn > cartrealn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(clinear1, type, linear1 : ((cartrealm > cartrealn) > $o)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cmatrix, type, matrix : ((cartrealm > cartrealn) > cartcartrealmn)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLINEARu_SURJECTIVEu_ISOMORPHISM, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y)) => ?[FI_:(cartrealn > cartrealn)]:((linear @ FI_) & ![X:cartrealn]:((FI_ @ (F @ X)) = X) & ![X:cartrealn]:((F @ (FI_ @ X)) = X)))).
thf(aMATRIXu_EQ, axiom, ![A:cartcartrealnn,B:cartcartrealnn]:((A = B) <=> ![X:cartrealn]:((matrixu_vectoru_mul @ A @ X) = (matrixu_vectoru_mul @ B @ X)))).
thf(aMATRIXu_MULu_ASSOC, axiom, ![A:cartcartrealnn,B:cartcartrealnn,C:cartcartrealnn]:((matrixu_mul @ A @ (matrixu_mul @ B @ C)) = (matrixu_mul @ (matrixu_mul @ A @ B) @ C))).
thf(aMATRIXu_MULu_LID, axiom, ![A:cartcartrealnn]:((matrixu_mul @ (mat @ (numeral @ (bit1 @ u_0))) @ A) = A)).
thf(aMATRIXu_MULu_RID, axiom, ![A:cartcartrealnn]:((matrixu_mul @ A @ (mat @ (numeral @ (bit1 @ u_0)))) = A)).
thf(aMATRIXu_VECTORu_MULu_ASSOC, axiom, ![A:cartcartrealnn,B:cartcartrealnn,X:cartrealn]:((matrixu_vectoru_mul @ A @ (matrixu_vectoru_mul @ B @ X)) = (matrixu_vectoru_mul @ (matrixu_mul @ A @ B) @ X))).
thf(aMATRIXu_VECTORu_MULu_LID, axiom, ![X:cartrealn]:((matrixu_vectoru_mul @ (mat @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aMATRIXu_VECTORu_MULu_LINEAR, axiom, ![A:cartcartrealnm]:(linear0 @ ^[X:cartrealn]:(matrixu_vectoru_mul0 @ A @ X))).
thf(aMATRIXu_WORKS, axiom, ![F:(cartrealm > cartrealn)]:((linear1 @ F) => ![X:cartrealm]:((matrixu_vectoru_mul1 @ (matrix @ F) @ X) = (F @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnn,AI_:cartcartrealnn]:(((matrixu_mul @ A @ AI_) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ((matrixu_mul @ AI_ @ A) = (mat @ (numeral @ (bit1 @ u_0)))))).
