%   ORIGINAL: MATRIX_RIGHT_INVERTIBLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: MATRIX_COMPOSE: !f g. linear f /\ linear g ==> matrix (g o f) = matrix g ** matrix f
% Assm: MATRIX_I: matrix I = mat 1
% Assm: MATRIX_VECTOR_MUL: !f. linear f ==> f = (\x. matrix f ** x)
% Assm: MATRIX_VECTOR_MUL_ASSOC: !A B x. A ** B ** x = (A ** B) ** x
% Assm: MATRIX_VECTOR_MUL_LID: !x. mat 1 ** x = x
% Assm: MATRIX_VECTOR_MUL_LINEAR: !A. linear (\x. A ** x)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f. linear f ==> ((?B. matrix f ** B = mat 1) <=> (?g. linear g /\ f o g = I))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !f g. linear f /\ linear g ==> matrix (g o f) = matrix g ** matrix f
% Assm: matrix I = mat 1
% Assm: !f. linear f ==> f = (\x. matrix f ** x)
% Assm: !A B x. A ** B ** x = (A ** B) ** x
% Assm: !x. mat 1 ** x = x
% Assm: !A. linear (\x. A ** x)
% Assm: !A. linear (\x. A ** x)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f. linear f ==> ((?B. matrix f ** B = mat 1) <=> (?g. linear g /\ f o g = I))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_vectoruu_mul1, type, matrixu_vectoru_mul1 : (cartcartrealnn > cartrealn > cartrealn)).
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealnm > cartrealn > cartrealm)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(co, type, o : ((cartrealm > cartrealn) > (cartrealn > cartrealm) > cartrealn > cartrealn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealmn > cartcartrealnm > cartcartrealnn)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cmatrix1, type, matrix1 : ((cartrealn > cartrealm) > cartcartrealnm)).
thf(cmatrix0, type, matrix0 : ((cartrealn > cartrealn) > cartcartrealnn)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(cmatrix, type, matrix : ((cartrealm > cartrealn) > cartcartrealmn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn > cartrealn),G:(a > cartrealn > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn)]:((F = G) <=> ![X:cartrealn]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aMATRIXu_COMPOSE, axiom, ![F:(cartrealn > cartrealm),G:(cartrealm > cartrealn)]:(((linear0 @ F) & (linear @ G)) => ((matrix0 @ (o @ G @ F)) = (matrixu_mul @ (matrix @ G) @ (matrix1 @ F))))).
thf(aMATRIXu_I, axiom, ((matrix0 @ i) = (mat @ (numeral @ (bit1 @ u_0))))).
thf(aMATRIXu_VECTORu_MUL, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (F = ^[X:cartrealm]:(matrixu_vectoru_mul @ (matrix @ F) @ X)))).
thf(aMATRIXu_VECTORu_MULu_ASSOC, axiom, ![A:cartcartrealmn,B:cartcartrealnm,X:cartrealn]:((matrixu_vectoru_mul @ A @ (matrixu_vectoru_mul0 @ B @ X)) = (matrixu_vectoru_mul1 @ (matrixu_mul @ A @ B) @ X))).
thf(aMATRIXu_VECTORu_MULu_LID, axiom, ![X:cartrealn]:((matrixu_vectoru_mul1 @ (mat @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aMATRIXu_VECTORu_MULu_LINEARu_monomorphized1, axiom, ![A:cartcartrealnm]:(linear0 @ ^[X:cartrealn]:(matrixu_vectoru_mul0 @ A @ X))).
thf(aMATRIXu_VECTORu_MULu_LINEARu_monomorphized0, axiom, ![A:cartcartrealmn]:(linear @ ^[X:cartrealm]:(matrixu_vectoru_mul @ A @ X))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealm),X:cartrealn]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => (?[B:cartcartrealnm]:((matrixu_mul @ (matrix @ F) @ B) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ?[G:(cartrealn > cartrealm)]:((linear0 @ G) & ((o @ F @ G) = i))))).
