%   ORIGINAL: INVERTIBLE_RIGHT_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MATRIX_LEFT_RIGHT_INVERSE: !A A'. A ** A' = mat 1 <=> A' ** A = mat 1
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: invertible: !A. invertible A <=> (?A'. A ** A' = mat 1 /\ A' ** A = mat 1)
% Goal: !A. invertible A <=> (?B. A ** B = mat 1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !A A'. A ** A' = mat 1 <=> A' ** A = mat 1
% Assm: ~F <=> T
% Assm: T
% Assm: !A. invertible A <=> (?A'. A ** A' = mat 1 /\ A' ** A = mat 1)
% Goal: !A. invertible A <=> (?B. A ** B = mat 1)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(cinvertible, type, invertible : (cartcartrealnn > $o)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMATRIXu_LEFTu_RIGHTu_INVERSE, axiom, ![A:cartcartrealnn,AI_:cartcartrealnn]:(((matrixu_mul @ A @ AI_) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ((matrixu_mul @ AI_ @ A) = (mat @ (numeral @ (bit1 @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ainvertible, axiom, ![A:cartcartrealnn]:((invertible @ A) <=> ?[AI_:cartcartrealnn]:(((matrixu_mul @ A @ AI_) = (mat @ (numeral @ (bit1 @ u_0)))) & ((matrixu_mul @ AI_ @ A) = (mat @ (numeral @ (bit1 @ u_0))))))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((invertible @ A) <=> ?[B:cartcartrealnn]:((matrixu_mul @ A @ B) = (mat @ (numeral @ (bit1 @ u_0)))))).
