%   ORIGINAL: MATRIX_INVERTIBLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INVERTIBLE_LEFT_INVERSE: !A. invertible A <=> (?B. B ** A = mat 1)
% Assm: LINEAR_INVERSE_LEFT: !f f'. linear f /\ linear f' ==> (f o f' = I <=> f' o f = I)
% Assm: MATRIX_LEFT_INVERTIBLE: !f. linear f ==> ((?B. B ** matrix f = mat 1) <=> (?g. linear g /\ g o f = I))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f. linear f ==> (invertible (matrix f) <=> (?g. linear g /\ f o g = I /\ g o f = I))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !A. invertible A <=> (?B. B ** A = mat 1)
% Assm: !f f'. linear f /\ linear f' ==> (f o f' = I <=> f' o f = I)
% Assm: !f. linear f ==> ((?B. B ** matrix f = mat 1) <=> (?g. linear g /\ g o f = I))
% Assm: ~F <=> T
% Assm: T
% Goal: !f. linear f ==> (invertible (matrix f) <=> (?g. linear g /\ f o g = I /\ g o f = I))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(cinvertible, type, invertible : (cartcartrealnn > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cmatrix, type, matrix : ((cartrealn > cartrealn) > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > cartrealn),G:(a > cartrealn > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > cartrealn)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aINVERTIBLEu_LEFTu_INVERSE, axiom, ![A:cartcartrealnn]:((invertible @ A) <=> ?[B:cartcartrealnn]:((matrixu_mul @ B @ A) = (mat @ (numeral @ (bit1 @ u_0)))))).
thf(aLINEARu_INVERSEu_LEFT, axiom, ![F:(cartrealn > cartrealn),FI_:(cartrealn > cartrealn)]:(((linear @ F) & (linear @ FI_)) => (((o @ F @ FI_) = i) <=> ((o @ FI_ @ F) = i)))).
thf(aMATRIXu_LEFTu_INVERTIBLE, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (?[B:cartcartrealnn]:((matrixu_mul @ B @ (matrix @ F)) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ?[G:(cartrealn > cartrealn)]:((linear @ G) & ((o @ G @ F) = i))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:((linear @ F) => ((invertible @ (matrix @ F)) <=> ?[G:(cartrealn > cartrealn)]:((linear @ G) & ((o @ F @ G) = i) & ((o @ G @ F) = i))))).
