%   ORIGINAL: LINEAR_INVERTIBLE_BOUNDED_BELOW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_INVERTIBLE_BOUNDED_BELOW_POS: !f g. linear f /\ linear g /\ g o f = I ==> (?B. &0 < B /\ (!x. B * norm x <= norm (f x)))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g. linear f /\ linear g /\ g o f = I ==> (?B. !x. B * norm x <= norm (f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !f g. linear f /\ linear g /\ g o f = I ==> (?B. &0 < B /\ (!x. B * norm x <= norm (f x)))
% Assm: ~F <=> T
% Assm: T
% Goal: !f g. linear f /\ linear g /\ g o f = I ==> (?B. !x. B * norm x <= norm (f x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealm > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(co, type, o : ((cartrealn > cartrealm) > (cartrealm > cartrealn) > cartrealm > cartrealm)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci, type, i : (cartrealm > cartrealm)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm > cartrealm),G:(a > cartrealm > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealm > cartrealm)]:(^[X:cartrealm]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:cartrealm]:((i @ X) = X)).
thf(aLINEARu_INVERTIBLEu_BOUNDEDu_BELOWu_POS, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealm)]:(((linear @ F) & (linear0 @ G) & ((o @ G @ F) = i)) => ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealm]:(realu_le @ (realu_mul @ B @ (vectoru_norm @ X)) @ (vectoru_norm0 @ (F @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealm)]:(((linear @ F) & (linear0 @ G) & ((o @ G @ F) = i)) => ?[B:real]:![X:cartrealm]:(realu_le @ (realu_mul @ B @ (vectoru_norm @ X)) @ (vectoru_norm0 @ (F @ X))))).
