%   ORIGINAL: LINEAR_INJECTIVE_BOUNDED_BELOW_POS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_INJECTIVE_LEFT_INVERSE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?g. linear g /\ g o f = I)
% Assm: LINEAR_INVERTIBLE_BOUNDED_BELOW_POS: !f g. linear f /\ linear g /\ g o f = I ==> (?B. &0 < B /\ (!x. B * norm x <= norm (f x)))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Goal: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?B. &0 < B /\ (!x. norm x * B <= norm (f x)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?g. linear g /\ g o f = I)
% Assm: !f g. linear f /\ linear g /\ g o f = I ==> (?B. &0 < B /\ (!x. B * norm x <= norm (f x)))
% Assm: ~F <=> T
% Assm: !x y. x * y = y * x
% Assm: T
% Goal: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?B. &0 < B /\ (!x. norm x * B <= norm (f x)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealm > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(co, type, o : ((cartrealn > cartrealm) > (cartrealm > cartrealn) > cartrealm > cartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aLINEARu_INJECTIVEu_LEFTu_INVERSE, axiom, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ?[G:(cartrealn > cartrealm)]:((linear0 @ G) & ((o @ G @ F) = i0)))).
thf(aLINEARu_INVERTIBLEu_BOUNDEDu_BELOWu_POS, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealm)]:(((linear @ F) & (linear0 @ G) & ((o @ G @ F) = i0)) => ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealm]:(realu_le @ (realu_mul @ B @ (vectoru_norm @ X)) @ (vectoru_norm0 @ (F @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealm]:(realu_le @ (realu_mul @ (vectoru_norm @ X) @ B) @ (vectoru_norm0 @ (F @ X)))))).
