%   ORIGINAL: TRANSP_COLUMNVECTOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: columnvector: !v. columnvector v = (lambda i j. v$i)
% Assm: rowvector: !v. rowvector v = (lambda i j. v$j)
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !v. transp (columnvector v) = rowvector v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:1) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: T
% Assm: !v. columnvector v = (lambda i j. v$i)
% Assm: !v. rowvector v = (lambda i j. v$j)
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !v. transp (columnvector v) = rowvector v
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartcartrealn1q128545, type, cartcartrealn1q128545 : $tType).
thf(tcartrealq128545, type, cartrealq128545 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealq128545n1, type, cartcartrealq128545n1 : $tType).
thf(tn1, type, n1 : $tType).
thf(tq128545, type, q128545 : $tType).
thf(tcartcartcartrealq128545n1b, type, cartcartcartrealq128545n1b : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(clambda4, type, lambda4 : ((num > real) > cartrealq128545)).
thf(clambda1, type, lambda1 : ((num > cartrealn1) > cartcartrealn1q128545)).
thf(ccolumnvector, type, columnvector : (cartrealq128545 > cartcartrealn1q128545)).
thf(cdu_2, type, d_2 : (cartrealn1 > num > real)).
thf(clambda3, type, lambda3 : ((num > cartrealq128545) > cartcartrealq128545n1)).
thf(cdu_1, type, d_1 : (cartrealq128545 > num > real)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn1)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crowvector, type, rowvector : (cartrealq128545 > cartcartrealq128545n1)).
thf(ctransp, type, transp : (cartcartrealn1q128545 > cartcartrealq128545n1)).
thf(clambda0, type, lambda0 : ((num > cartcartrealq128545n1) > cartcartcartrealq128545n1b)).
thf(cdu_3, type, d_3 : (cartcartrealn1q128545 > num > cartrealn1)).
thf(cdu_0, type, d_0 : (cartcartcartrealq128545n1b > num > cartcartrealq128545n1)).
thf(cdu_, type, d_ : (cartcartrealq128545n1 > num > cartrealq128545)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealq128545n1),G:(a > cartcartrealq128545n1)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealq128545n1,Y:cartcartrealq128545n1]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealq128545n1),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(acolumnvector, axiom, ![V:cartrealq128545]:((columnvector @ V) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(d_1 @ V @ I))))).
thf(arowvector, axiom, ![V:cartrealq128545]:((rowvector @ V) = (lambda3 @ ^[I:num]:(lambda4 @ ^[J:num]:(d_1 @ V @ J))))).
thf(atransp, axiom, ![A:cartcartrealn1q128545]:((transp @ A) = (lambda3 @ ^[I:num]:(lambda4 @ ^[J:num]:(d_2 @ (d_3 @ A @ J) @ I))))).
thf(conjecture, conjecture, ![V:cartrealq128545]:((transp @ (columnvector @ V)) = (rowvector @ V))).
