%   ORIGINAL: TRANSP_ROWVECTOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: columnvector: !v. columnvector v = (lambda i j. v$i)
% Assm: rowvector: !v. rowvector v = (lambda i j. v$j)
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !v. transp (rowvector v) = columnvector v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?128560) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: T
% Assm: !v. columnvector v = (lambda i j. v$i)
% Assm: !v. rowvector v = (lambda i j. v$j)
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !v. transp (rowvector v) = columnvector v
%  TYPES
thf(tcartcartrealn1q128560, type, cartcartrealn1q128560 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq128560, type, cartrealq128560 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq128560, type, q128560 : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealq128560n1, type, cartcartrealq128560n1 : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartcartcartrealn1q128560b, type, cartcartcartrealn1q128560b : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(clambda3, type, lambda3 : ((num > cartrealq128560) > cartcartrealq128560n1)).
thf(cdu_1, type, d_1 : (cartrealq128560 > num > real)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn1)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crowvector, type, rowvector : (cartrealq128560 > cartcartrealq128560n1)).
thf(clambda0, type, lambda0 : ((num > cartcartrealn1q128560) > cartcartcartrealn1q128560b)).
thf(cdu_2, type, d_2 : (cartcartrealq128560n1 > num > cartrealq128560)).
thf(cdu_0, type, d_0 : (cartcartcartrealn1q128560b > num > cartcartrealn1q128560)).
thf(cdu_, type, d_ : (cartcartrealn1q128560 > num > cartrealn1)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q128560 > $o) > num)).
thf(cuniv, type, univ : (q128560 > $o)).
thf(cuu_0, type, u_0 : num).
thf(clambda4, type, lambda4 : ((num > real) > cartrealq128560)).
thf(clambda1, type, lambda1 : ((num > cartrealn1) > cartcartrealn1q128560)).
thf(ccolumnvector, type, columnvector : (cartrealq128560 > cartcartrealn1q128560)).
thf(ctransp, type, transp : (cartcartrealq128560n1 > cartcartrealn1q128560)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealn1q128560),G:(a > cartcartrealn1q128560)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealn1q128560,Y:cartcartrealn1q128560]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealn1q128560),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(acolumnvector, axiom, ![V:cartrealq128560]:((columnvector @ V) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(d_1 @ V @ I))))).
thf(arowvector, axiom, ![V:cartrealq128560]:((rowvector @ V) = (lambda3 @ ^[I:num]:(lambda4 @ ^[J:num]:(d_1 @ V @ J))))).
thf(atransp, axiom, ![A:cartcartrealq128560n1]:((transp @ A) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(d_1 @ (d_2 @ A @ J) @ I))))).
thf(conjecture, conjecture, ![V:cartrealq128560]:((transp @ (rowvector @ V)) = (columnvector @ V))).
