%   ORIGINAL: DOT_ROWVECTOR_COLUMNVECTOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: columnvector: !v. columnvector v = (lambda i j. v$i)
% Assm: matrix_mul: !A B. A ** B = (lambda i j. sum (1..dimindex (:N)) (\k. A$i$k * B$k$j))
% Assm: matrix_vector_mul: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Goal: !A v. columnvector (A ** v) = A ** columnvector v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> x$i = y$i)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !v. columnvector v = (lambda i j. v$i)
% Assm: !A B. A ** B = (lambda i j. sum (1..dimindex (:N)) (\k. A$i$k * B$k$j))
% Assm: !A x. A ** x = (lambda i. sum (1..dimindex (:N)) (\j. A$i$j * x$j))
% Goal: !A v. columnvector (A ** v) = A ** columnvector v
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartcartrealn1n, type, cartcartrealn1n : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartcartrealn1m, type, cartcartrealn1m : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tcartcartcartrealn1mb, type, cartcartcartrealn1mb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv1, type, univ1 : (n > $o)).
thf(cdu_4, type, d_4 : (cartrealn1 > num > real)).
thf(cdu_2, type, d_2 : (cartrealn > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(cdu_1, type, d_1 : (cartrealm > num > real)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn1)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartcartrealn1m) > cartcartcartrealn1mb)).
thf(cdu_5, type, d_5 : (cartcartrealn1n > num > cartrealn1)).
thf(cdu_3, type, d_3 : (cartcartrealnm > num > cartrealn)).
thf(cdu_0, type, d_0 : (cartcartcartrealn1mb > num > cartcartrealn1m)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cdu_, type, d_ : (cartcartrealn1m > num > cartrealn1)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnm > cartcartrealn1n > cartcartrealn1m)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnm > cartrealn > cartrealm)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealm)).
thf(clambda1, type, lambda1 : ((num > cartrealn1) > cartcartrealn1m)).
thf(ccolumnvector, type, columnvector : (cartrealm > cartcartrealn1m)).
thf(ccolumnvector0, type, columnvector0 : (cartrealn > cartcartrealn1n)).
thf(cdimindex1, type, dimindex1 : ((n > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealn1m),G:(a > cartcartrealn1m)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealn1m,Y:cartcartrealn1m]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealn1m),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(acolumnvector, axiom, ![V:cartrealm]:((columnvector @ V) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(d_1 @ V @ I))))).
thf(amatrixu_mul, axiom, ![A:cartcartrealnm,B:cartcartrealn1n]:((matrixu_mul @ A @ B) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(sum0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[K:num]:(realu_mul @ (d_2 @ (d_3 @ A @ I) @ K) @ (d_4 @ (d_5 @ B @ K) @ J))))))).
thf(amatrixu_vectoru_mul, axiom, ![A:cartcartrealnm,X:cartrealn]:((matrixu_vectoru_mul @ A @ X) = (lambda3 @ ^[I:num]:(sum0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[J:num]:(realu_mul @ (d_2 @ (d_3 @ A @ I) @ J) @ (d_2 @ X @ J)))))).
thf(conjecture, conjecture, ![A:cartcartrealnm,V:cartrealn]:((columnvector @ (matrixu_vectoru_mul @ A @ V)) = (matrixu_mul @ A @ (columnvector0 @ V)))).
