%   ORIGINAL: DOT_MATRIX_PRODUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_REFL: !n. n <= n
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: columnvector: !v. columnvector v = (lambda i j. v$i)
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: matrix_mul: !A B. A ** B = (lambda i j. sum (1..dimindex (:N)) (\k. A$i$k * B$k$j))
% Assm: rowvector: !v. rowvector v = (lambda i j. v$j)
% Goal: !x y. x dot y = (rowvector x ** columnvector y)$1$1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: dimindex (:1) = 1
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:1) ==> (lambda) g$i = g i
% Assm: !n. n <= n
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !v. columnvector v = (lambda i j. v$i)
% Assm: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: !A B. A ** B = (lambda i j. sum (1..dimindex (:N)) (\k. A$i$k * B$k$j))
% Assm: !v. rowvector v = (lambda i j. v$j)
% Goal: !x y. x dot y = (rowvector x ** columnvector y)$1$1
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartcartrealn1n, type, cartcartrealn1n : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartcartrealnn1, type, cartcartrealnn1 : $tType).
thf(tcartcartrealn1n1, type, cartcartrealn1n1 : $tType).
thf(tn1, type, n1 : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (n > $o)).
thf(clambda3, type, lambda3 : ((num > cartrealn) > cartcartrealnn1)).
thf(clambda2, type, lambda2 : ((num > cartrealn1) > cartcartrealn1n1)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn1)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(crowvector, type, rowvector : (cartrealn > cartcartrealnn1)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cdu_3, type, d_3 : (cartcartrealn1n > num > cartrealn1)).
thf(cdu_2, type, d_2 : (cartcartrealnn1 > num > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn1 > cartcartrealn1n > cartcartrealn1n1)).
thf(cdu_0, type, d_0 : (cartcartrealn1n1 > num > cartrealn1)).
thf(cuniv, type, univ : (n1 > $o)).
thf(clambda4, type, lambda4 : ((num > real) > cartrealn)).
thf(clambda1, type, lambda1 : ((num > cartrealn1) > cartcartrealn1n)).
thf(ccolumnvector, type, columnvector : (cartrealn > cartcartrealn1n)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(acolumnvector, axiom, ![V:cartrealn]:((columnvector @ V) = (lambda1 @ ^[I:num]:(lambda0 @ ^[J:num]:(d_1 @ V @ I))))).
thf(adot, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (sum0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[I:num]:(realu_mul @ (d_1 @ X @ I) @ (d_1 @ Y @ I))))).
thf(amatrixu_mul, axiom, ![A:cartcartrealnn1,B:cartcartrealn1n]:((matrixu_mul @ A @ B) = (lambda2 @ ^[I:num]:(lambda0 @ ^[J:num]:(sum0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[K:num]:(realu_mul @ (d_1 @ (d_2 @ A @ I) @ K) @ (d_ @ (d_3 @ B @ K) @ J))))))).
thf(arowvector, axiom, ![V:cartrealn]:((rowvector @ V) = (lambda3 @ ^[I:num]:(lambda4 @ ^[J:num]:(d_1 @ V @ J))))).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (d_ @ (d_0 @ (matrixu_mul @ (rowvector @ X) @ (columnvector @ Y)) @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit1 @ u_0))))).
