%   ORIGINAL: DOT_MATRIX_VECTOR_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_MATRIX_PRODUCT: !x y. x dot y = (rowvector x ** columnvector y)$1$1
% Assm: DOT_ROWVECTOR_COLUMNVECTOR: !A v. columnvector (A ** v) = A ** columnvector v
% Assm: MATRIX_MUL_ASSOC: !A B C. A ** B ** C = (A ** B) ** C
% Assm: MATRIX_TRANSP_MUL: !A B. transp (A ** B) = transp B ** transp A
% Assm: TRANSP_COLUMNVECTOR: !v. transp (columnvector v) = rowvector v
% Assm: TRUTH: T
% Goal: !A B x y. (A ** x) dot (B ** y) = (rowvector x ** (transp A ** B) ** columnvector y)$1$1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x dot y = (rowvector x ** columnvector y)$1$1
% Assm: !A v. columnvector (A ** v) = A ** columnvector v
% Assm: !A B C. A ** B ** C = (A ** B) ** C
% Assm: !A B C. A ** B ** C = (A ** B) ** C
% Assm: !A B. transp (A ** B) = transp B ** transp A
% Assm: !v. transp (columnvector v) = rowvector v
% Assm: T
% Goal: !A B x y. (A ** x) dot (B ** y) = (rowvector x ** (transp A ** B) ** columnvector y)$1$1
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tcartcartrealn1n, type, cartcartrealn1n : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnn1, type, cartcartrealnn1 : $tType).
thf(tcartcartrealn1n1, type, cartcartrealn1n1 : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ctransp0, type, transp0 : (cartcartrealn1n > cartcartrealnn1)).
thf(crowvector, type, rowvector : (cartrealn > cartcartrealnn1)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cmatrixuu_mul1, type, matrixu_mul1 : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(cmatrixuu_mul0, type, matrixu_mul0 : (cartcartrealnn > cartcartrealn1n > cartcartrealn1n)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn1 > cartcartrealn1n > cartcartrealn1n1)).
thf(cdu_0, type, d_0 : (cartcartrealn1n1 > num > cartrealn1)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnn > cartrealn > cartrealn)).
thf(ccolumnvector, type, columnvector : (cartrealn > cartcartrealn1n)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_MATRIXu_PRODUCT, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (d_ @ (d_0 @ (matrixu_mul @ (rowvector @ X) @ (columnvector @ Y)) @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit1 @ u_0))))).
thf(aDOTu_ROWVECTORu_COLUMNVECTOR, axiom, ![A:cartcartrealnn,V:cartrealn]:((columnvector @ (matrixu_vectoru_mul @ A @ V)) = (matrixu_mul0 @ A @ (columnvector @ V)))).
thf(aMATRIXu_MULu_ASSOCu_monomorphized1, axiom, ![A:cartcartrealnn,B:cartcartrealnn,C:cartcartrealn1n]:((matrixu_mul0 @ A @ (matrixu_mul0 @ B @ C)) = (matrixu_mul0 @ (matrixu_mul1 @ A @ B) @ C))).
thf(aMATRIXu_MULu_ASSOCu_monomorphized0, axiom, ![A:cartcartrealnn,B:cartcartrealnn,C:cartcartrealnn]:((matrixu_mul1 @ A @ (matrixu_mul1 @ B @ C)) = (matrixu_mul1 @ (matrixu_mul1 @ A @ B) @ C))).
thf(aMATRIXu_TRANSPu_MUL, axiom, ![A:cartcartrealnn,B:cartcartrealnn]:((transp @ (matrixu_mul1 @ A @ B)) = (matrixu_mul1 @ (transp @ B) @ (transp @ A)))).
thf(aTRANSPu_COLUMNVECTOR, axiom, ![V:cartrealn]:((transp0 @ (columnvector @ V)) = (rowvector @ V))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnn,B:cartcartrealnn,X:cartrealn,Y:cartrealn]:((dot @ (matrixu_vectoru_mul @ A @ X) @ (matrixu_vectoru_mul @ B @ Y)) = (d_ @ (d_0 @ (matrixu_mul @ (rowvector @ X) @ (matrixu_mul0 @ (matrixu_mul1 @ (transp @ A) @ B) @ (columnvector @ Y))) @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit1 @ u_0))))).
