%   ORIGINAL: MATRIX_VECTOR_MUL_IN_COLUMNSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_VECTOR_COLUMN: !A x. A ** x = vsum (1..dimindex (:N)) (\i. x$i % transp A$i)
% Assm: SPAN_MUL: !x c s. x IN span s ==> c % x IN span s
% Assm: SPAN_SUPERSET: !x. x IN s ==> x IN span s
% Assm: SPAN_VSUM: !s f t. FINITE t /\ (!x. x IN t ==> f x IN span s) ==> vsum t f IN span s
% Assm: TRUTH: T
% Assm: column: !A j. column j A = (lambda i. A$i$j)
% Assm: columns: !A. columns A = {column i A | 1 <= i /\ i <= dimindex (:N)}
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A x. A ** x IN span (columns A)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. FINITE (m..n)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !A x. A ** x = vsum (1..dimindex (:M)) (\i. x$i % transp A$i)
% Assm: !x c s. x IN span s ==> c % x IN span s
% Assm: !s x. x IN s ==> x IN span s
% Assm: !s f t. FINITE t /\ (!x. x IN t ==> f x IN span s) ==> vsum t f IN span s
% Assm: T
% Assm: !A j. column j A = (lambda i. A$i$j)
% Assm: !A. columns A = {column i A | 1 <= i /\ i <= dimindex (:M)}
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A x. A ** x IN span (columns A)
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartab, type, cartab : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (m > $o)).
thf(cuniv, type, univ : (b > $o)).
thf(cdu_2, type, d_2 : (cartrealn > num > real)).
thf(cdu_0, type, d_0 : (cartrealm > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(ccolumns, type, columns : (cartcartrealmn > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(clambda0, type, lambda0 : ((num > a) > cartab)).
thf(ccolumn0, type, column0 : (num > cartcartrealmn > cartrealn)).
thf(ccolumn, type, column : (num > cartcartrealnm > cartrealm)).
thf(cvsum0, type, vsum0 : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(cdu_1, type, d_1 : (cartcartrealnm > num > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealm)).
thf(ctransp, type, transp : (cartcartrealmn > cartcartrealnm)).
thf(clambda2, type, lambda2 : ((num > cartrealm) > cartcartrealmn)).
thf(ctransp0, type, transp0 : (cartcartrealnm > cartcartrealmn)).
thf(cdimindex0, type, dimindex0 : ((m > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aMATRIXu_VECTORu_COLUMN, axiom, ![A:cartcartrealmn,X:cartrealm]:((matrixu_vectoru_mul @ A @ X) = (vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[I:num]:(r_ @ (d_0 @ X @ I) @ (d_1 @ (transp @ A) @ I))))).
thf(aSPANu_MUL, axiom, ![X:cartrealn,C:real,S:(cartrealn > $o)]:((in @ X @ (span @ S)) => (in @ (r_ @ C @ X) @ (span @ S)))).
thf(aSPANu_SUPERSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (span @ S)))).
thf(aSPANu_VSUM, axiom, ![S:(cartrealn > $o),F:(cartrealn > cartrealn),T:(cartrealn > $o)]:(((finite0 @ T) & ![X:cartrealn]:((in @ X @ T) => (in @ (F @ X) @ (span @ S)))) => (in @ (vsum0 @ T @ F) @ (span @ S)))).
thf(aTRUTH, axiom, $true).
thf(acolumn, axiom, ![A:cartcartrealnm,J:num]:((column @ J @ A) = (lambda1 @ ^[I:num]:(d_2 @ (d_1 @ A @ I) @ J)))).
thf(acolumns, axiom, ![A:cartcartrealmn]:((columns @ A) = (gspec @ ^[GENR_PVARR_266:cartrealn]:?[I:num]:(setspec @ GENR_PVARR_266 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) @ (column0 @ I @ A))))).
thf(atransp, axiom, ![A:cartcartrealnm]:((transp0 @ A) = (lambda2 @ ^[I:num]:(lambda1 @ ^[J:num]:(d_2 @ (d_1 @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealmn,X:cartrealm]:(in @ (matrixu_vectoru_mul @ A @ X) @ (span @ (columns @ A)))).
