%   ORIGINAL: SUBSPACE_ORTHOGONAL_TO_VECTOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: ORTHOGONAL_CLAUSES_conjunct0: !a. orthogonal a (vec 0)
% Assm: ORTHOGONAL_CLAUSES_conjunct1: !a x c. orthogonal a x ==> orthogonal a (c % x)
% Assm: ORTHOGONAL_CLAUSES_conjunct3: !a x y. orthogonal a x /\ orthogonal a y ==> orthogonal a (x + y)
% Assm: TRUTH: T
% Assm: subspace: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !x. subspace {y | orthogonal x y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !a. orthogonal a (vec 0)
% Assm: !a x c. orthogonal a x ==> orthogonal a (c % x)
% Assm: !a x y. orthogonal a x /\ orthogonal a y ==> orthogonal a (x + y)
% Assm: T
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !x. subspace {y | orthogonal x y}
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq128829, type, cartrealq128829 : $tType).
thf(tq128829, type, q128829 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq128829)).
thf(cin, type, in : (cartrealq128829 > (cartrealq128829 > $o) > $o)).
thf(corthogonal, type, orthogonal : (cartrealq128829 > cartrealq128829 > $o)).
thf(cgspec, type, gspec : ((cartrealq128829 > $o) > cartrealq128829 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq128829 > cartrealq128829 > cartrealq128829)).
thf(cru_, type, r_ : (real > cartrealq128829 > cartrealq128829)).
thf(csetspec, type, setspec : (cartrealq128829 > $o > cartrealq128829 > $o)).
thf(csubspace, type, subspace : ((cartrealq128829 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq128829 > $o),X:cartrealq128829]:((in @ X @ (gspec @ ^[V:cartrealq128829]:?[Y:cartrealq128829]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aORTHOGONALu_CLAUSESu_conjunct0, axiom, ![A:cartrealq128829]:(orthogonal @ A @ (vec @ (numeral @ u_0)))).
thf(aORTHOGONALu_CLAUSESu_conjunct1, axiom, ![A:cartrealq128829,X:cartrealq128829,C:real]:((orthogonal @ A @ X) => (orthogonal @ A @ (r_ @ C @ X)))).
thf(aORTHOGONALu_CLAUSESu_conjunct3, axiom, ![A:cartrealq128829,X:cartrealq128829,Y:cartrealq128829]:(((orthogonal @ A @ X) & (orthogonal @ A @ Y)) => (orthogonal @ A @ (vectoru_add @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(asubspace, axiom, ![S:(cartrealq128829 > $o)]:((subspace @ S) <=> ((in @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealq128829,Y:cartrealq128829]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S)) & ![C:real,X:cartrealq128829]:((in @ X @ S) => (in @ (r_ @ C @ X) @ S))))).
thf(conjecture, conjecture, ![X:cartrealq128829]:(subspace @ (gspec @ ^[GENR_PVARR_299:cartrealq128829]:?[Y:cartrealq128829]:(setspec @ GENR_PVARR_299 @ (orthogonal @ X @ Y) @ Y)))).
