%   ORIGINAL: ORTHOGONAL_TO_SPAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_ELIM_THM_conjunct4: !p x. x IN (\y. p y) <=> p x
% Assm: SPAN_INDUCT: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: SUBSPACE_ORTHOGONAL_TO_VECTOR: !x. subspace {y | orthogonal x y}
% Assm: TRUTH: T
% Goal: !s x. (!y. y IN s ==> orthogonal x y) ==> (!y. y IN span s ==> orthogonal x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN (\y. p y) <=> p x
% Assm: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: !x. subspace {y | orthogonal x y}
% Assm: T
% Goal: !s x. (!y. y IN s ==> orthogonal x y) ==> (!y. y IN span s ==> orthogonal x y)
%  TYPES
thf(tcartrealq128918, type, cartrealq128918 : $tType).
thf(tq128918, type, q128918 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealq128918 > $o) > cartrealq128918 > $o)).
thf(cspan, type, span : ((cartrealq128918 > $o) > cartrealq128918 > $o)).
thf(corthogonal, type, orthogonal : (cartrealq128918 > cartrealq128918 > $o)).
thf(cin, type, in : (cartrealq128918 > (cartrealq128918 > $o) > $o)).
thf(csetspec, type, setspec : (cartrealq128918 > $o > cartrealq128918 > $o)).
thf(csubspace, type, subspace : ((cartrealq128918 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(cartrealq128918 > $o),T:(cartrealq128918 > $o)]:((S = T) <=> ![X:cartrealq128918]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq128918 > $o),X:cartrealq128918]:((in @ X @ (gspec @ ^[V:cartrealq128918]:?[Y:cartrealq128918]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct4, axiom, ![P:(cartrealq128918 > $o),X:cartrealq128918]:((in @ X @ ^[Y:cartrealq128918]:(P @ Y)) <=> (P @ X))).
thf(aSPANu_INDUCT, axiom, ![S:(cartrealq128918 > $o),H:(cartrealq128918 > $o)]:((![X:cartrealq128918]:((in @ X @ S) => (in @ X @ H)) & (subspace @ H)) => ![X:cartrealq128918]:((in @ X @ (span @ S)) => (H @ X)))).
thf(aSUBSPACEu_ORTHOGONALu_TOu_VECTOR, axiom, ![X:cartrealq128918]:(subspace @ (gspec @ ^[GENR_PVARR_299:cartrealq128918]:?[Y:cartrealq128918]:(setspec @ GENR_PVARR_299 @ (orthogonal @ X @ Y) @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq128918 > $o),X:cartrealq128918]:(![Y:cartrealq128918]:((in @ Y @ S) => (orthogonal @ X @ Y)) => ![Y:cartrealq128918]:((in @ Y @ (span @ S)) => (orthogonal @ X @ Y)))).
