%   ORIGINAL: ORTHOGONAL_TO_SPAN_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_TO_SPAN: !s x. (!y. y IN s ==> orthogonal x y) ==> (!y. y IN span s ==> orthogonal x y)
% Assm: SPAN_SUPERSET: !x. x IN s ==> x IN span s
% Assm: TRUTH: T
% Goal: !s x. (!y. y IN span s ==> orthogonal x y) <=> (!y. y IN s ==> orthogonal x y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s x. (!y. y IN s ==> orthogonal x y) ==> (!y. y IN span s ==> orthogonal x y)
% Assm: !s x. x IN s ==> x IN span s
% Assm: T
% Goal: !s x. (!y. y IN span s ==> orthogonal x y) <=> (!y. y IN s ==> orthogonal x y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq128943, type, cartrealq128943 : $tType).
thf(tq128943, type, q128943 : $tType).
%  CONSTS
thf(corthogonal, type, orthogonal : (cartrealq128943 > cartrealq128943 > $o)).
thf(cspan, type, span : ((cartrealq128943 > $o) > cartrealq128943 > $o)).
thf(cin, type, in : (cartrealq128943 > (cartrealq128943 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_TOu_SPAN, axiom, ![S:(cartrealq128943 > $o),X:cartrealq128943]:(![Y:cartrealq128943]:((in @ Y @ S) => (orthogonal @ X @ Y)) => ![Y:cartrealq128943]:((in @ Y @ (span @ S)) => (orthogonal @ X @ Y)))).
thf(aSPANu_SUPERSET, axiom, ![S:(cartrealq128943 > $o),X:cartrealq128943]:((in @ X @ S) => (in @ X @ (span @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq128943 > $o),X:cartrealq128943]:(![Y:cartrealq128943]:((in @ Y @ (span @ S)) => (orthogonal @ X @ Y)) <=> ![Y:cartrealq128943]:((in @ Y @ S) => (orthogonal @ X @ Y)))).
