%   ORIGINAL: ORTHOGONAL_TO_SPANS_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_SYM: !x y. orthogonal x y <=> orthogonal y x
% Assm: ORTHOGONAL_TO_SPAN_EQ: !s x. (!y. y IN span s ==> orthogonal x y) <=> (!y. y IN s ==> orthogonal x y)
% Assm: TRUTH: T
% Goal: !s t. (!x y. x IN span s /\ y IN span t ==> orthogonal x y) <=> (!x y. x IN s /\ y IN t ==> orthogonal x y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. orthogonal x y <=> orthogonal y x
% Assm: !s x. (!y. y IN span s ==> orthogonal x y) <=> (!y. y IN s ==> orthogonal x y)
% Assm: T
% Goal: !s t. (!x y. x IN span s /\ y IN span t ==> orthogonal x y) <=> (!x y. x IN s /\ y IN t ==> orthogonal x y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq128991, type, cartrealq128991 : $tType).
thf(tq128991, type, q128991 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(corthogonal, type, orthogonal : (cartrealq128991 > cartrealq128991 > $o)).
thf(cspan, type, span : ((cartrealq128991 > $o) > cartrealq128991 > $o)).
thf(cin, type, in : (cartrealq128991 > (cartrealq128991 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_SYM, axiom, ![X:cartrealq128991,Y:cartrealq128991]:((orthogonal @ X @ Y) <=> (orthogonal @ Y @ X))).
thf(aORTHOGONALu_TOu_SPANu_EQ, axiom, ![S:(cartrealq128991 > $o),X:cartrealq128991]:(![Y:cartrealq128991]:((in @ Y @ (span @ S)) => (orthogonal @ X @ Y)) <=> ![Y:cartrealq128991]:((in @ Y @ S) => (orthogonal @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq128991 > $o),T:(cartrealq128991 > $o)]:(![X:cartrealq128991,Y:cartrealq128991]:(((in @ X @ (span @ S)) & (in @ Y @ (span @ T))) => (orthogonal @ X @ Y)) <=> ![X:cartrealq128991,Y:cartrealq128991]:(((in @ X @ S) & (in @ Y @ T)) => (orthogonal @ X @ Y)))).
