%   ORIGINAL: NULLSPACE_INTER_ROWSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: MATRIX_VECTOR_MUL_RZERO: !A. A ** vec 0 = vec 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_NULLSPACE_ROWSPACE: !A x y. A ** x = vec 0 /\ y IN span (rows A) ==> orthogonal x y
% Assm: ORTHOGONAL_REFL: !x. orthogonal x x <=> x = vec 0
% Assm: SPAN_0: vec 0 IN span s
% Assm: TRUTH: T
% Goal: !A x. A ** x = vec 0 /\ x IN span (rows A) <=> x = vec 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !A. A ** vec 0 = vec 0
% Assm: ~F <=> T
% Assm: !A x y. A ** x = vec 0 /\ y IN span (rows A) ==> orthogonal x y
% Assm: !x. orthogonal x x <=> x = vec 0
% Assm: !x. orthogonal x x <=> x = vec 0
% Assm: !s. vec 0 IN span s
% Assm: T
% Goal: !A x. A ** x = vec 0 /\ x IN span (rows A) <=> x = vec 0
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(corthogonal0, type, orthogonal0 : (cartrealn > cartrealn > $o)).
thf(corthogonal, type, orthogonal : (cartrealm > cartrealm > $o)).
thf(crows, type, rows : (cartcartrealmn > cartrealm > $o)).
thf(cspan, type, span : ((cartrealm > $o) > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(cvec0, type, vec0 : (num > cartrealm)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aMATRIXu_VECTORu_MULu_RZERO, axiom, ![A:cartcartrealmn]:((matrixu_vectoru_mul @ A @ (vec0 @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_NULLSPACEu_ROWSPACE, axiom, ![A:cartcartrealmn,X:cartrealm,Y:cartrealm]:((((matrixu_vectoru_mul @ A @ X) = (vec @ (numeral @ u_0))) & (in @ Y @ (span @ (rows @ A)))) => (orthogonal @ X @ Y))).
thf(aORTHOGONALu_REFLu_monomorphized1, axiom, ![X:cartrealn]:((orthogonal0 @ X @ X) <=> (X = (vec @ (numeral @ u_0))))).
thf(aORTHOGONALu_REFLu_monomorphized0, axiom, ![X:cartrealm]:((orthogonal @ X @ X) <=> (X = (vec0 @ (numeral @ u_0))))).
thf(aSPANu_0, axiom, ![S:(cartrealm > $o)]:(in @ (vec0 @ (numeral @ u_0)) @ (span @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealmn,X:cartrealm]:((((matrixu_vectoru_mul @ A @ X) = (vec @ (numeral @ u_0))) & (in @ X @ (span @ (rows @ A)))) <=> (X = (vec0 @ (numeral @ u_0))))).
