%   ORIGINAL: MATRIX_VECTOR_MUL_INJECTIVE_ON_ROWSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MATRIX_VECTOR_MUL_SUB_LDISTRIB: !A x y. A ** (x - y) = A ** x - A ** y
% Assm: NULLSPACE_INTER_ROWSPACE: !A x. A ** x = vec 0 /\ x IN span (rows A) <=> x = vec 0
% Assm: SPAN_SUB: !x y s. x IN span s /\ y IN span s ==> x - y IN span s
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Goal: !A x y. x IN span (rows A) /\ y IN span (rows A) /\ A ** x = A ** y ==> x = y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A x y. A ** (x - y) = A ** x - A ** y
% Assm: !A x. A ** x = vec 0 /\ x IN span (rows A) <=> x = vec 0
% Assm: !x y s. x IN span s /\ y IN span s ==> x - y IN span s
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !x y. x - y = vec 0 <=> x = y
% Goal: !A x y. x IN span (rows A) /\ y IN span (rows A) /\ A ** x = A ** y ==> x = y
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crows, type, rows : (cartcartrealmn > cartrealm > $o)).
thf(cspan, type, span : ((cartrealm > $o) > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealm > cartrealm > cartrealm)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(cvec0, type, vec0 : (num > cartrealm)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMATRIXu_VECTORu_MULu_SUBu_LDISTRIB, axiom, ![A:cartcartrealmn,X:cartrealm,Y:cartrealm]:((matrixu_vectoru_mul @ A @ (vectoru_sub @ X @ Y)) = (vectoru_sub0 @ (matrixu_vectoru_mul @ A @ X) @ (matrixu_vectoru_mul @ A @ Y)))).
thf(aNULLSPACEu_INTERu_ROWSPACE, axiom, ![A:cartcartrealmn,X:cartrealm]:((((matrixu_vectoru_mul @ A @ X) = (vec @ (numeral @ u_0))) & (in @ X @ (span @ (rows @ A)))) <=> (X = (vec0 @ (numeral @ u_0))))).
thf(aSPANu_SUB, axiom, ![X:cartrealm,Y:cartrealm,S:(cartrealm > $o)]:(((in @ X @ (span @ S)) & (in @ Y @ (span @ S))) => (in @ (vectoru_sub @ X @ Y) @ (span @ S)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:(((vectoru_sub0 @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(aVECTORu_SUBu_EQu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm]:(((vectoru_sub @ X @ Y) = (vec0 @ (numeral @ u_0))) <=> (X = Y))).
thf(conjecture, conjecture, ![A:cartcartrealmn,X:cartrealm,Y:cartrealm]:(((in @ X @ (span @ (rows @ A))) & (in @ Y @ (span @ (rows @ A))) & ((matrixu_vectoru_mul @ A @ X) = (matrixu_vectoru_mul @ A @ Y))) => (X = Y))).
