%   ORIGINAL: MATRIX_VECTOR_MUL_BASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DOT_BASIS: !x i. 1 <= i /\ i <= dimindex (:N) ==> basis i dot x = x$i /\ x dot basis i = x$i
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_VECTOR_MUL_COMPONENT: !A x k. 1 <= k /\ k <= dimindex (:M) ==> (A ** x)$k = A$k dot x
% Assm: TRUTH: T
% Assm: column: !A j. column j A = (lambda i. A$i$j)
% Goal: !A k. 1 <= k /\ k <= dimindex (:M) ==> A ** basis k = column k A
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !x i. 1 <= i /\ i <= dimindex (:M) ==> basis i dot x = x$i /\ x dot basis i = x$i
% Assm: !g i. 1 <= i /\ i <= dimindex (:M) ==> (lambda) g$i = g i
% Assm: !A x k. 1 <= k /\ k <= dimindex (:M) ==> (A ** x)$k = A$k dot x
% Assm: T
% Assm: !A j. column j A = (lambda i. A$i$j)
% Goal: !A k. 1 <= k /\ k <= dimindex (:M) ==> A ** basis k = column k A
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdot0, type, dot0 : (cartrealn > cartrealn > real)).
thf(cdu_0, type, d_0 : (cartrealm > num > real)).
thf(cdot, type, dot : (cartrealm > cartrealm > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_2, type, d_2 : (cartcartrealmn > num > cartrealm)).
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealnm > cartrealn > cartrealm)).
thf(cdu_1, type, d_1 : (cartcartrealnm > num > cartrealn)).
thf(ccolumn, type, column : (num > cartcartrealmn > cartrealn)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnm)).
thf(cbasis, type, basis : (num > cartrealm)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDOTu_BASIS, axiom, ![X:cartrealm,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (((dot @ (basis @ I) @ X) = (d_0 @ X @ I)) & ((dot @ X @ (basis @ I)) = (d_0 @ X @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_1 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aMATRIXu_VECTORu_MULu_COMPONENT, axiom, ![A:cartcartrealnm,X:cartrealn,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => ((d_0 @ (matrixu_vectoru_mul0 @ A @ X) @ K) = (dot0 @ (d_1 @ A @ K) @ X)))).
thf(aTRUTH, axiom, $true).
thf(acolumn, axiom, ![A:cartcartrealmn,J:num]:((column @ J @ A) = (lambda1 @ ^[I:num]:(d_0 @ (d_2 @ A @ I) @ J)))).
thf(conjecture, conjecture, ![A:cartcartrealmn,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => ((matrixu_vectoru_mul @ A @ (basis @ K)) = (column @ K @ A)))).
