%   ORIGINAL: COLUMNS_IMAGE_BASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: MATRIX_VECTOR_MUL_BASIS: !A k. 1 <= k /\ k <= dimindex (:M) ==> A ** basis k = column k A
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SIMPLE_IMAGE_GEN: !f P. {f x | P x} = IMAGE f {x | P x}
% Assm: TRUTH: T
% Assm: columns: !A. columns A = {column i A | 1 <= i /\ i <= dimindex (:N)}
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !A. columns A = IMAGE (\x. A ** x) {basis i | 1 <= i /\ i <= dimindex (:M)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !A k. 1 <= k /\ k <= dimindex (:M) ==> A ** basis k = column k A
% Assm: ~F <=> T
% Assm: !f P. {f x | P x} = IMAGE f {x | P x}
% Assm: T
% Assm: !A. columns A = {column i A | 1 <= i /\ i <= dimindex (:M)}
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !A. columns A = IMAGE (\x. A ** x) {basis i | 1 <= i /\ i <= dimindex (:M)}
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin1, type, in1 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(ccolumns, type, columns : (cartcartrealmn > cartrealn > $o)).
thf(co0, type, o0 : ((b > $o) > (cartrealn > b) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(ccolumn, type, column : (num > cartcartrealmn > cartrealn)).
thf(cimage0, type, image0 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(co, type, o : ((cartrealm > cartrealn) > (cartrealm > cartrealm) > cartrealm > cartrealn)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cbasis, type, basis : (num > cartrealm)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGEu_o, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealm),S:(cartrealm > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image0 @ G @ S)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in1 @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in1 @ X @ S)))).
thf(aMATRIXu_VECTORu_MULu_BASIS, axiom, ![A:cartcartrealmn,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => ((matrixu_vectoru_mul @ A @ (basis @ K)) = (column @ K @ A)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSIMPLEu_IMAGEu_GEN, axiom, ![F:(cartrealm > cartrealm),P:(cartrealm > $o)]:((gspec @ ^[GENR_PVARR_12:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_12 @ (P @ X) @ (F @ X))) = (image0 @ F @ (gspec @ ^[GENR_PVARR_13:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_13 @ (P @ X) @ X))))).
thf(aTRUTH, axiom, $true).
thf(acolumns, axiom, ![A:cartcartrealmn]:((columns @ A) = (gspec0 @ ^[GENR_PVARR_266:cartrealn]:?[I:num]:(setspec0 @ GENR_PVARR_266 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (column @ I @ A))))).
thf(aou_DEF, axiom, ![F:(b > $o),G:(cartrealn > b)]:((o0 @ F @ G) = ^[X:cartrealn]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![A:cartcartrealmn]:((columns @ A) = (image @ ^[X:cartrealm]:(matrixu_vectoru_mul @ A @ X) @ (gspec @ ^[GENR_PVARR_303:cartrealm]:?[I:num]:(setspec @ GENR_PVARR_303 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (basis @ I)))))).
