%   ORIGINAL: DIM_EQ_SPAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BASIS_EXISTS: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_GE_DIM_INDEPENDENT: !v b. b SUBSET v /\ independent b /\ dim v <= CARD b ==> v SUBSET span b
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SPAN_SPAN: !s. span (span s) = span s
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !s t. s SUBSET t /\ dim t <= dim s ==> span s = span t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v b. b SUBSET v /\ independent b /\ dim v <= CARD b ==> v SUBSET span b
% Assm: !s. dim (span s) = dim s
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: !s. span (span s) = span s
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !s t. s SUBSET t /\ dim t <= dim s ==> span s = span t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq52112, type, q52112 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chasuu_size0, type, hasu_size0 : ((q52112 > $o) > num > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((q52112 > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(ccard0, type, card0 : ((q52112 > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBASISu_EXISTS, axiom, ![V:(cartrealn > $o)]:?[B:(cartrealn > $o)]:((subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B)) & (hasu_size @ B @ (dim @ V)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_GEu_DIMu_INDEPENDENT, axiom, ![V:(cartrealn > $o),B:(cartrealn > $o)]:(((subset @ B @ V) & (independent @ B) & (l_a_ @ (dim @ V) @ (card @ B))) => (subset @ V @ (span @ B)))).
thf(aDIMu_SPAN, axiom, ![S:(cartrealn > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aHASu_SIZE, axiom, ![S:(q52112 > $o),N:num]:((hasu_size0 @ S @ N) <=> ((finite @ S) & ((card0 @ S) = N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (span @ S) @ (span @ T)))).
thf(aSPANu_SPAN, axiom, ![S:(cartrealn > $o)]:((span @ (span @ S)) = (span @ S))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (l_a_ @ (dim @ T) @ (dim @ S))) => ((span @ S) = (span @ T)))).
