%   ORIGINAL: DIM_EQ_FULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIM_EQ_SPAN: !s t. s SUBSET t /\ dim t <= dim s ==> span s = span t
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: DIM_UNIV: dim (:real^N) = dimindex (:N)
% Assm: LE_REFL: !n. n <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_UNIV: span (:real^N) = (:real^N)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !s. dim s = dimindex (:N) <=> span s = (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s SUBSET t /\ dim t <= dim s ==> span s = span t
% Assm: !s. dim (span s) = dim s
% Assm: dim (:real^N) = dimindex (:N)
% Assm: !n. n <= n
% Assm: ~F <=> T
% Assm: span (:real^N) = (:real^N)
% Assm: !s. s SUBSET (:real^N)
% Assm: !s. s SUBSET (:N)
% Assm: T
% Goal: !s. dim s = dimindex (:N) <=> span s = (:real^N)
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset0, type, subset0 : ((n > $o) > (n > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMu_EQu_SPAN, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (l_a_ @ (dim @ T) @ (dim @ S))) => ((span @ S) = (span @ T)))).
thf(aDIMu_SPAN, axiom, ![S:(cartrealn > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aDIMu_UNIV, axiom, ((dim @ univ0) = (dimindex @ univ))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_UNIV, axiom, ((span @ univ0) = univ0)).
thf(aSUBSETu_UNIVu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(subset @ S @ univ0)).
thf(aSUBSETu_UNIVu_monomorphized0, axiom, ![S:(n > $o)]:(subset0 @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((dim @ S) = (dimindex @ univ)) <=> ((span @ S) = univ0))).
