%   ORIGINAL: DIM_PSUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIM_EQ_SPAN: !s t. s SUBSET t /\ dim t <= dim s ==> span s = span t
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: DIM_SUBSET: !s t. s SUBSET t ==> dim s <= dim t
% Assm: EQ_IMP_LE: !m n. m = n ==> m <= n
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LT_LE: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PSUBSET: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: SPAN_SPAN: !s. span (span s) = span s
% Assm: TRUTH: T
% Goal: !s t. span s PSUBSET span t ==> dim s < dim t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s SUBSET t /\ dim t <= dim s ==> span s = span t
% Assm: !s. dim (span s) = dim s
% Assm: !s t. s SUBSET t ==> dim s <= dim t
% Assm: !m n. m = n ==> m <= n
% Assm: !t. (\x. t x) = t
% Assm: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: ~F <=> T
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: !s. span (span s) = span s
% Assm: T
% Goal: !s t. span s PSUBSET span t ==> dim s < dim t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq129581, type, q129581 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq129581, type, cartrealq129581 : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((cartrealq129581 > $o) > (cartrealq129581 > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cspan, type, span : ((cartrealq129581 > $o) > cartrealq129581 > $o)).
thf(cpsubset, type, psubset : ((cartrealq129581 > $o) > (cartrealq129581 > $o) > $o)).
thf(cdim, type, dim : ((cartrealq129581 > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMu_EQu_SPAN, axiom, ![S:(cartrealq129581 > $o),T:(cartrealq129581 > $o)]:(((subset @ S @ T) & (l_a_ @ (dim @ T) @ (dim @ S))) => ((span @ S) = (span @ T)))).
thf(aDIMu_SPAN, axiom, ![S:(cartrealq129581 > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aDIMu_SUBSET, axiom, ![S:(cartrealq129581 > $o),T:(cartrealq129581 > $o)]:((subset @ S @ T) => (l_a_ @ (dim @ S) @ (dim @ T)))).
thf(aEQu_IMPu_LE, axiom, ![M:num,N:num]:((M = N) => (l_a_ @ M @ N))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLTu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ((l_a_ @ M @ N) & ~ ((M = N))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPSUBSET, axiom, ![S:(cartrealq129581 > $o),T:(cartrealq129581 > $o)]:((psubset @ S @ T) <=> ((subset @ S @ T) & ~ ((S = T))))).
thf(aSPANu_SPAN, axiom, ![S:(cartrealq129581 > $o)]:((span @ (span @ S)) = (span @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq129581 > $o),T:(cartrealq129581 > $o)]:((psubset @ (span @ S) @ (span @ T)) => (l_ @ (dim @ S) @ (dim @ T)))).
