%   ORIGINAL: FULL_RANK_SURJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FULL_RANK_INJECTIVE: !A. rank A = dimindex (:M) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: LEFT_INVERTIBLE_TRANSP: !A. (?B. B ** transp A = mat 1) <=> (?B. A ** B = mat 1)
% Assm: MATRIX_LEFT_INVERTIBLE_INJECTIVE: !A. (?B. B ** A = mat 1) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: MATRIX_RIGHT_INVERTIBLE_SURJECTIVE: !A. (?B. A ** B = mat 1) <=> (!y. ?x. A ** x = y)
% Assm: RANK_TRANSP: !A. rank (transp A) = rank A
% Assm: TRUTH: T
% Goal: !A. rank A = dimindex (:N) <=> (!y. ?x. A ** x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A. rank A = dimindex (:M) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: !A. (?B. B ** transp A = mat 1) <=> (?B. A ** B = mat 1)
% Assm: !A. (?B. B ** A = mat 1) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: !A. (?B. A ** B = mat 1) <=> (!y. ?x. A ** x = y)
% Assm: !A. rank (transp A) = rank A
% Assm: T
% Goal: !A. rank A = dimindex (:N) <=> (!y. ?x. A ** x = y)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealmm, type, cartcartrealmm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (m > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(cmatrixuu_mul0, type, matrixu_mul0 : (cartcartrealmn > cartcartrealnm > cartcartrealnn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnm > cartcartrealmn > cartcartrealmm)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(cmat, type, mat : (num > cartcartrealmm)).
thf(cmat0, type, mat0 : (num > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnm > cartcartrealmn)).
thf(crank0, type, rank0 : (cartcartrealnm > num)).
thf(cdimindex0, type, dimindex0 : ((m > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(crank, type, rank : (cartcartrealmn > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFULLu_RANKu_INJECTIVE, axiom, ![A:cartcartrealmn]:(((rank @ A) = (dimindex0 @ univ0)) <=> ![X:cartrealm,Y:cartrealm]:(((matrixu_vectoru_mul @ A @ X) = (matrixu_vectoru_mul @ A @ Y)) => (X = Y)))).
thf(aLEFTu_INVERTIBLEu_TRANSP, axiom, ![A:cartcartrealnm]:(?[B:cartcartrealnm]:((matrixu_mul @ B @ (transp @ A)) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ?[B:cartcartrealmn]:((matrixu_mul @ A @ B) = (mat @ (numeral @ (bit1 @ u_0)))))).
thf(aMATRIXu_LEFTu_INVERTIBLEu_INJECTIVE, axiom, ![A:cartcartrealmn]:(?[B:cartcartrealnm]:((matrixu_mul @ B @ A) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ![X:cartrealm,Y:cartrealm]:(((matrixu_vectoru_mul @ A @ X) = (matrixu_vectoru_mul @ A @ Y)) => (X = Y)))).
thf(aMATRIXu_RIGHTu_INVERTIBLEu_SURJECTIVE, axiom, ![A:cartcartrealmn]:(?[B:cartcartrealnm]:((matrixu_mul0 @ A @ B) = (mat0 @ (numeral @ (bit1 @ u_0)))) <=> ![Y:cartrealn]:?[X:cartrealm]:((matrixu_vectoru_mul @ A @ X) = Y))).
thf(aRANKu_TRANSP, axiom, ![A:cartcartrealnm]:((rank @ (transp @ A)) = (rank0 @ A))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealmn]:(((rank @ A) = (dimindex @ univ)) <=> ![Y:cartrealn]:?[X:cartrealm]:((matrixu_vectoru_mul @ A @ X) = Y))).
