%   ORIGINAL: MATRIX_NONFULL_LINEAR_EQUATIONS_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FULL_RANK_INJECTIVE: !A. rank A = dimindex (:M) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: LINEAR_INJECTIVE_0: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: MATRIX_VECTOR_MUL_LINEAR: !A. linear (\x. A ** x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !A. (?x. ~(x = vec 0) /\ A ** x = vec 0) <=> ~(rank A = dimindex (:M))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !A. rank A = dimindex (:M) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: !A. linear (\x. A ** x)
% Assm: ~F <=> T
% Assm: T
% Goal: !A. (?x. ~(x = vec 0) /\ A ** x = vec 0) <=> ~(rank A = dimindex (:M))
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(clinear2, type, linear2 : ((cartrealm > cartrealm) > $o)).
thf(clinear1, type, linear1 : ((cartrealm > cartrealn) > $o)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cvec, type, vec : (num > cartrealm)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(crank, type, rank : (cartcartrealmn > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized3, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFULLu_RANKu_INJECTIVE, axiom, ![A:cartcartrealmn]:(((rank @ A) = (dimindex @ univ)) <=> ![X:cartrealm,Y:cartrealm]:(((matrixu_vectoru_mul @ A @ X) = (matrixu_vectoru_mul @ A @ Y)) => (X = Y)))).
thf(aLINEARu_INJECTIVEu_0u_monomorphized3, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealn]:(((F @ X) = (vec0 @ (numeral @ u_0))) => (X = (vec0 @ (numeral @ u_0))))))).
thf(aLINEARu_INJECTIVEu_0u_monomorphized2, axiom, ![F:(cartrealn > cartrealm)]:((linear0 @ F) => (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealn]:(((F @ X) = (vec @ (numeral @ u_0))) => (X = (vec0 @ (numeral @ u_0))))))).
thf(aLINEARu_INJECTIVEu_0u_monomorphized1, axiom, ![F:(cartrealm > cartrealn)]:((linear1 @ F) => (![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealm]:(((F @ X) = (vec0 @ (numeral @ u_0))) => (X = (vec @ (numeral @ u_0))))))).
thf(aLINEARu_INJECTIVEu_0u_monomorphized0, axiom, ![F:(cartrealm > cartrealm)]:((linear2 @ F) => (![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealm]:(((F @ X) = (vec @ (numeral @ u_0))) => (X = (vec @ (numeral @ u_0))))))).
thf(aMATRIXu_VECTORu_MULu_LINEAR, axiom, ![A:cartcartrealmn]:(linear1 @ ^[X:cartrealm]:(matrixu_vectoru_mul @ A @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealmn]:(?[X:cartrealm]:(~ ((X = (vec @ (numeral @ u_0)))) & ((matrixu_vectoru_mul @ A @ X) = (vec0 @ (numeral @ u_0)))) <=> ~ (((rank @ A) = (dimindex @ univ))))).
