%   ORIGINAL: MATRIX_NONFULL_LINEAR_EQUATIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MATRIX_NONFULL_LINEAR_EQUATIONS_EQ: !A. (?x. ~(x = vec 0) /\ A ** x = vec 0) <=> ~(rank A = dimindex (:M))
% Assm: TRUTH: T
% Goal: !A. ~(rank A = dimindex (:M)) ==> (?x. ~(x = vec 0) /\ A ** x = vec 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A. (?x. ~(x = vec 0) /\ A ** x = vec 0) <=> ~(rank A = dimindex (:M))
% Assm: T
% Goal: !A. ~(rank A = dimindex (:M)) ==> (?x. ~(x = vec 0) /\ A ** x = vec 0)
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(cvec, type, vec : (num > cartrealm)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(crank, type, rank : (cartcartrealmn > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMATRIXu_NONFULLu_LINEARu_EQUATIONSu_EQ, axiom, ![A:cartcartrealmn]:(?[X:cartrealm]:(~ ((X = (vec @ (numeral @ u_0)))) & ((matrixu_vectoru_mul @ A @ X) = (vec0 @ (numeral @ u_0)))) <=> ~ (((rank @ A) = (dimindex @ univ))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealmn]:(~ (((rank @ A) = (dimindex @ univ))) => ?[X:cartrealm]:(~ ((X = (vec @ (numeral @ u_0)))) & ((matrixu_vectoru_mul @ A @ X) = (vec0 @ (numeral @ u_0)))))).
