%   ORIGINAL: ADJOINT_INJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADJOINT_LINEAR: !f. linear f ==> linear (adjoint f)
% Assm: FULL_RANK_INJECTIVE: !A. rank A = dimindex (:M) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: FULL_RANK_SURJECTIVE: !A. rank A = dimindex (:N) <=> (!y. ?x. A ** x = y)
% Assm: MATRIX_ADJOINT: !f. linear f ==> matrix (adjoint f) = transp (matrix f)
% Assm: MATRIX_WORKS: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: RANK_TRANSP: !A. rank (transp A) = rank A
% Assm: TRUTH: T
% Goal: !f. linear f ==> ((!x y. adjoint f x = adjoint f y ==> x = y) <=> (!y. ?x. f x = y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. linear f ==> linear (adjoint f)
% Assm: !A. rank A = dimindex (:N) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: !A. rank A = dimindex (:N) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: !A. rank A = dimindex (:M) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: !A. rank A = dimindex (:M) <=> (!x y. A ** x = A ** y ==> x = y)
% Assm: !A. rank A = dimindex (:N) <=> (!y. ?x. A ** x = y)
% Assm: !A. rank A = dimindex (:M) <=> (!y. ?x. A ** x = y)
% Assm: !f. linear f ==> matrix (adjoint f) = transp (matrix f)
% Assm: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: !A. rank (transp A) = rank A
% Assm: T
% Goal: !f. linear f ==> ((!x y. adjoint f x = adjoint f y ==> x = y) <=> (!y. ?x. f x = y))
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealmm, type, cartcartrealmm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (m > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(cmatrixuu_vectoruu_mul2, type, matrixu_vectoru_mul2 : (cartcartrealmm > cartrealm > cartrealm)).
thf(cmatrixuu_vectoruu_mul1, type, matrixu_vectoru_mul1 : (cartcartrealmn > cartrealm > cartrealn)).
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealnm > cartrealn > cartrealm)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnn > cartrealn > cartrealn)).
thf(cadjoint, type, adjoint : ((cartrealm > cartrealn) > cartrealn > cartrealm)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ctransp, type, transp : (cartcartrealmn > cartcartrealnm)).
thf(cmatrix, type, matrix : ((cartrealn > cartrealm) > cartcartrealnm)).
thf(cmatrix0, type, matrix0 : ((cartrealm > cartrealn) > cartcartrealmn)).
thf(crank2, type, rank2 : (cartcartrealmm > num)).
thf(cdimindex0, type, dimindex0 : ((m > $o) > num)).
thf(crank1, type, rank1 : (cartcartrealmn > num)).
thf(crank0, type, rank0 : (cartcartrealnm > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(crank, type, rank : (cartcartrealnn > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADJOINTu_LINEAR, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (linear0 @ (adjoint @ F)))).
thf(aFULLu_RANKu_INJECTIVEu_monomorphized3, axiom, ![A:cartcartrealnn]:(((rank @ A) = (dimindex @ univ)) <=> ![X:cartrealn,Y:cartrealn]:(((matrixu_vectoru_mul @ A @ X) = (matrixu_vectoru_mul @ A @ Y)) => (X = Y)))).
thf(aFULLu_RANKu_INJECTIVEu_monomorphized2, axiom, ![A:cartcartrealnm]:(((rank0 @ A) = (dimindex @ univ)) <=> ![X:cartrealn,Y:cartrealn]:(((matrixu_vectoru_mul0 @ A @ X) = (matrixu_vectoru_mul0 @ A @ Y)) => (X = Y)))).
thf(aFULLu_RANKu_INJECTIVEu_monomorphized1, axiom, ![A:cartcartrealmn]:(((rank1 @ A) = (dimindex0 @ univ0)) <=> ![X:cartrealm,Y:cartrealm]:(((matrixu_vectoru_mul1 @ A @ X) = (matrixu_vectoru_mul1 @ A @ Y)) => (X = Y)))).
thf(aFULLu_RANKu_INJECTIVEu_monomorphized0, axiom, ![A:cartcartrealmm]:(((rank2 @ A) = (dimindex0 @ univ0)) <=> ![X:cartrealm,Y:cartrealm]:(((matrixu_vectoru_mul2 @ A @ X) = (matrixu_vectoru_mul2 @ A @ Y)) => (X = Y)))).
thf(aFULLu_RANKu_SURJECTIVEu_monomorphized1, axiom, ![A:cartcartrealmn]:(((rank1 @ A) = (dimindex @ univ)) <=> ![Y:cartrealn]:?[X:cartrealm]:((matrixu_vectoru_mul1 @ A @ X) = Y))).
thf(aFULLu_RANKu_SURJECTIVEu_monomorphized0, axiom, ![A:cartcartrealmm]:(((rank2 @ A) = (dimindex0 @ univ0)) <=> ![Y:cartrealm]:?[X:cartrealm]:((matrixu_vectoru_mul2 @ A @ X) = Y))).
thf(aMATRIXu_ADJOINT, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => ((matrix @ (adjoint @ F)) = (transp @ (matrix0 @ F))))).
thf(aMATRIXu_WORKS, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => ![X:cartrealm]:((matrixu_vectoru_mul1 @ (matrix0 @ F) @ X) = (F @ X)))).
thf(aRANKu_TRANSP, axiom, ![A:cartcartrealmn]:((rank0 @ (transp @ A)) = (rank1 @ A))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => (![X:cartrealn,Y:cartrealn]:(((adjoint @ F @ X) = (adjoint @ F @ Y)) => (X = Y)) <=> ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)))).
