%   ORIGINAL: ADJOINT_SURJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADJOINT_ADJOINT: !f. linear f ==> adjoint (adjoint f) = f
% Assm: ADJOINT_INJECTIVE: !f. linear f ==> ((!x y. adjoint f x = adjoint f y ==> x = y) <=> (!y. ?x. f x = y))
% Assm: ADJOINT_LINEAR: !f. linear f ==> linear (adjoint f)
% Assm: TRUTH: T
% Goal: !f. linear f ==> ((!y. ?x. adjoint f x = y) <=> (!x y. f x = f y ==> x = y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. linear f ==> adjoint (adjoint f) = f
% Assm: !f. linear f ==> ((!x y. adjoint f x = adjoint f y ==> x = y) <=> (!y. ?x. f x = y))
% Assm: !f. linear f ==> linear (adjoint f)
% Assm: T
% Goal: !f. linear f ==> ((!y. ?x. adjoint f x = y) <=> (!x y. f x = f y ==> x = y))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cadjoint0, type, adjoint0 : ((cartrealn > cartrealm) > cartrealm > cartrealn)).
thf(cadjoint, type, adjoint : ((cartrealm > cartrealn) > cartrealn > cartrealm)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADJOINTu_ADJOINT, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => ((adjoint0 @ (adjoint @ F)) = F))).
thf(aADJOINTu_INJECTIVE, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (![X:cartrealn,Y:cartrealn]:(((adjoint @ F @ X) = (adjoint @ F @ Y)) => (X = Y)) <=> ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)))).
thf(aADJOINTu_LINEAR, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (linear0 @ (adjoint @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => (![Y:cartrealm]:?[X:cartrealn]:((adjoint @ F @ X) = Y) <=> ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))))).
