%   ORIGINAL: ADJOINT_INJECTIVE_INJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADJOINT_INJECTIVE: !f. linear f ==> ((!x y. adjoint f x = adjoint f y ==> x = y) <=> (!y. ?x. f x = y))
% Assm: LINEAR_SURJECTIVE_IFF_INJECTIVE: !f. linear f ==> ((!y. ?x. f x = y) <=> (!x y. f x = f y ==> x = y))
% Assm: TRUTH: T
% Goal: !f. linear f ==> ((!x y. adjoint f x = adjoint f y ==> x = y) <=> (!x y. f x = f y ==> x = y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. linear f ==> ((!x y. adjoint f x = adjoint f y ==> x = y) <=> (!y. ?x. f x = y))
% Assm: !f. linear f ==> ((!y. ?x. f x = y) <=> (!x y. f x = f y ==> x = y))
% Assm: T
% Goal: !f. linear f ==> ((!x y. adjoint f x = adjoint f y ==> x = y) <=> (!x y. f x = f y ==> x = y))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cadjoint, type, adjoint : ((cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADJOINTu_INJECTIVE, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![X:cartrealn,Y:cartrealn]:(((adjoint @ F @ X) = (adjoint @ F @ Y)) => (X = Y)) <=> ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y)))).
thf(aLINEARu_SURJECTIVEu_IFFu_INJECTIVE, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y) <=> ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![X:cartrealn,Y:cartrealn]:(((adjoint @ F @ X) = (adjoint @ F @ Y)) => (X = Y)) <=> ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))))).
