%   ORIGINAL: ADJOINT_INJECTIVE_INJECTIVE_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADJOINT_INJECTIVE_INJECTIVE: !f. linear f ==> ((!x y. adjoint f x = adjoint f y ==> x = y) <=> (!x y. f x = f y ==> x = y))
% Assm: ADJOINT_LINEAR: !f. linear f ==> linear (adjoint f)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_INJECTIVE_0: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f. linear f ==> ((!x. adjoint f x = vec 0 ==> x = vec 0) <=> (!x. f x = vec 0 ==> x = vec 0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f. linear f ==> ((!x y. adjoint f x = adjoint f y ==> x = y) <=> (!x y. f x = f y ==> x = y))
% Assm: !f. linear f ==> linear (adjoint f)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: ~F <=> T
% Assm: T
% Goal: !f. linear f ==> ((!x. adjoint f x = vec 0 ==> x = vec 0) <=> (!x. f x = vec 0 ==> x = vec 0))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cadjoint, type, adjoint : ((cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(ci0, type, i0 : ($o > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aADJOINTu_INJECTIVEu_INJECTIVE, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![X:cartrealn,Y:cartrealn]:(((adjoint @ F @ X) = (adjoint @ F @ Y)) => (X = Y)) <=> ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))))).
thf(aADJOINTu_LINEAR, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (linear @ (adjoint @ F)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aLINEARu_INJECTIVEu_0, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealn]:(((F @ X) = (vec @ (numeral @ u_0))) => (X = (vec @ (numeral @ u_0))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![X:cartrealn]:(((adjoint @ F @ X) = (vec @ (numeral @ u_0))) => (X = (vec @ (numeral @ u_0)))) <=> ![X:cartrealn]:(((F @ X) = (vec @ (numeral @ u_0))) => (X = (vec @ (numeral @ u_0))))))).
