%   ORIGINAL: LINEAR_SINGULAR_INTO_HYPERPLANE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADJOINT_INJECTIVE_INJECTIVE_0: !f. linear f ==> ((!x. adjoint f x = vec 0 ==> x = vec 0) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: ADJOINT_WORKS: !f. linear f ==> (!x y. f x dot y = x dot adjoint f y)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_DOT_EQ_0_conjunct0: !y. (!x. x dot y = &0) <=> y = vec 0
% Assm: LINEAR_INJECTIVE_0: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f. linear f ==> (~(!x y. f x = f y ==> x = y) <=> (?a. ~(a = vec 0) /\ (!x. a dot f x = &0)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f. linear f ==> ((!x. adjoint f x = vec 0 ==> x = vec 0) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: !f. linear f ==> (!x y. f x dot y = x dot adjoint f y)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x dot y = y dot x
% Assm: !t. (\x. t x) = t
% Assm: !y. (!x. x dot y = &0) <=> y = vec 0
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: ~F <=> T
% Assm: T
% Goal: !f. linear f ==> (~(!x y. f x = f y ==> x = y) <=> (?a. ~(a = vec 0) /\ (!x. a dot f x = &0)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cadjoint, type, adjoint : ((cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aADJOINTu_INJECTIVEu_INJECTIVEu_0, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![X:cartrealn]:(((adjoint @ F @ X) = (vec @ (numeral @ u_0))) => (X = (vec @ (numeral @ u_0)))) <=> ![X:cartrealn]:(((F @ X) = (vec @ (numeral @ u_0))) => (X = (vec @ (numeral @ u_0))))))).
thf(aADJOINTu_WORKS, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => ![X:cartrealn,Y:cartrealn]:((dot @ (F @ X) @ Y) = (dot @ X @ (adjoint @ F @ Y))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_DOTu_EQu_0u_conjunct0, axiom, ![Y:cartrealn]:(![X:cartrealn]:((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (Y = (vec @ (numeral @ u_0))))).
thf(aLINEARu_INJECTIVEu_0, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealn]:(((F @ X) = (vec @ (numeral @ u_0))) => (X = (vec @ (numeral @ u_0))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:((linear @ F) => (~ (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) <=> ?[A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) & ![X:cartrealn]:((dot @ A @ (F @ X)) = (realu_ofu_num @ (numeral @ u_0))))))).
