%   ORIGINAL: LINEAR_SINGULAR_IMAGE_HYPERPLANE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: LINEAR_SINGULAR_INTO_HYPERPLANE: !f. linear f ==> (~(!x y. f x = f y ==> x = y) <=> (?a. ~(a = vec 0) /\ (!x. a dot f x = &0)))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f. linear f /\ ~(!x y. f x = f y ==> x = y) ==> (?a. ~(a = vec 0) /\ (!s. IMAGE f s SUBSET {x | a dot x = &0}))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !f. linear f ==> (~(!x y. f x = f y ==> x = y) <=> (?a. ~(a = vec 0) /\ (!x. a dot f x = &0)))
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f. linear f /\ ~(!x y. f x = f y ==> x = y) ==> (?a. ~(a = vec 0) /\ (!s. IMAGE f s SUBSET {x | a dot x = &0}))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in @ X @ S) => (P @ (F @ X))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLINEARu_SINGULARu_INTOu_HYPERPLANE, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (~ (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) <=> ?[A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) & ![X:cartrealn]:((dot @ A @ (F @ X)) = (realu_ofu_num @ (numeral @ u_0))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ~ (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)))) => ?[A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) & ![S:(cartrealn > $o)]:(subset @ (image @ F @ S) @ (gspec @ ^[GENR_PVARR_304:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_304 @ ((dot @ A @ X) = (realu_ofu_num @ (numeral @ u_0))) @ X)))))).
