%   ORIGINAL: LOWDIM_EXPAND_BASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BASIS_EXISTS: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LOWDIM_EXPAND_DIMENSION: !s n. dim s <= n /\ n <= dimindex (:N) ==> (?t. dim t = n /\ span s SUBSET span t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SPAN_SPAN: !s. span (span s) = span s
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !s n. dim s <= n /\ n <= dimindex (:N) ==> (?b. b HAS_SIZE n /\ independent b /\ span s SUBSET span b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s n. dim s <= n /\ n <= dimindex (:N) ==> (?t. dim t = n /\ span s SUBSET span t)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: !s. span (span s) = span s
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !s n. dim s <= n /\ n <= dimindex (:N) ==> (?b. b HAS_SIZE n /\ independent b /\ span s SUBSET span b)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBASISu_EXISTS, axiom, ![V:(cartrealn > $o)]:?[B:(cartrealn > $o)]:((subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B)) & (hasu_size @ B @ (dim @ V)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLOWDIMu_EXPANDu_DIMENSION, axiom, ![S:(cartrealn > $o),N:num]:(((l_a_ @ (dim @ S) @ N) & (l_a_ @ N @ (dimindex @ univ))) => ?[T:(cartrealn > $o)]:(((dim @ T) = N) & (subset @ (span @ S) @ (span @ T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (span @ S) @ (span @ T)))).
thf(aSPANu_SPAN, axiom, ![S:(cartrealn > $o)]:((span @ (span @ S)) = (span @ S))).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),N:num]:(((l_a_ @ (dim @ S) @ N) & (l_a_ @ N @ (dimindex @ univ))) => ?[B:(cartrealn > $o)]:((hasu_size @ B @ N) & (independent @ B) & (subset @ (span @ S) @ (span @ B))))).
