%   ORIGINAL: SPAN_DELETE_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DELETE_SUBSET: !x s. s DELETE x SUBSET s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_BREAKDOWN_EQ: !a s. x IN span (a INSERT s) <=> (?k. x - k % a IN span s)
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Goal: !s. span (s DELETE vec 0) = span s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x s. s DELETE x SUBSET s
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x a s. x IN span (a INSERT s) <=> (?k. x - k % a IN span s)
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !c. c % vec 0 = vec 0
% Assm: !x. x - vec 0 = x
% Goal: !s. span (s DELETE vec 0) = span s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin1, type, in1 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cinsert0, type, insert0 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : ((cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDELETEu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o)]:(subset @ (delete @ S @ X) @ S)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in0 @ X @ (delete @ S @ Y)) <=> ((in0 @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:(cartrealn > $o),Y:(cartrealn > $o),S:((cartrealn > $o) > $o)]:((in1 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in1 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_BREAKDOWNu_EQ, axiom, ![X:cartrealn,A:cartrealn,S:(cartrealn > $o)]:((in0 @ X @ (span @ (insert0 @ A @ S))) <=> ?[K:real]:(in0 @ (vectoru_sub @ X @ (r_ @ K @ A)) @ (span @ S)))).
thf(aSPANu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (span @ S) @ (span @ T)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_ @ C @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealn]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((span @ (delete @ S @ (vec @ (numeral @ u_0)))) = (span @ S))).
