%   ORIGINAL: SPAN_IMAGE_SCALE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FORALL_IN_INSERT: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: IMAGE_CLAUSES_conjunct0: IMAGE f {} = {}
% Assm: IMAGE_CLAUSES_conjunct1: IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIV_RMUL: !x y. ~(y = &0) ==> x / y * y = x
% Assm: SPAN_BREAKDOWN_EQ: !a s. x IN span (a INSERT s) <=> (?k. x - k % a IN span s)
% Assm: TRUTH: T
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Goal: !c s. FINITE s /\ (!x. x IN s ==> ~(c x = &0)) ==> span (IMAGE (\x. c x % x) s) = span s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: !f. IMAGE f {} = {}
% Assm: !x f s. IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: ~F <=> T
% Assm: !x y. ~(y = &0) ==> x / y * y = x
% Assm: !x a s. x IN span (a INSERT s) <=> (?k. x - k % a IN span s)
% Assm: T
% Assm: !a b x. a % b % x = (a * b) % x
% Goal: !c s. FINITE s /\ (!x. x IN s ==> ~(c x = &0)) ==> span (IMAGE (\x. c x % x) s) = span s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((cartrealn > $o) > $o)]:(((P @ empty) & ![X:cartrealn,S:(cartrealn > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(cartrealn > $o)]:((finite @ S) => (P @ S)))).
thf(aFORALLu_INu_INSERT, axiom, ![P:(cartrealn > $o),A:cartrealn,S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ (insert @ A @ S)) => (P @ X)) <=> ((P @ A) & ![X:cartrealn]:((in @ X @ S) => (P @ X))))).
thf(aIMAGEu_CLAUSESu_conjunct0, axiom, ![F:(cartrealn > cartrealn)]:((image @ F @ empty) = empty)).
thf(aIMAGEu_CLAUSESu_conjunct1, axiom, ![X:cartrealn,F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((image @ F @ (insert @ X @ S)) = (insert @ (F @ X) @ (image @ F @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIVu_RMUL, axiom, ![X:real,Y:real]:(~ ((Y = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_div @ X @ Y) @ Y) = X))).
thf(aSPANu_BREAKDOWNu_EQ, axiom, ![X:cartrealn,A:cartrealn,S:(cartrealn > $o)]:((in @ X @ (span @ (insert @ A @ S))) <=> ?[K:real]:(in @ (vectoru_sub @ X @ (r_ @ K @ A)) @ (span @ S)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(conjecture, conjecture, ![C:(cartrealn > real),S:(cartrealn > $o)]:(((finite @ S) & ![X:cartrealn]:((in @ X @ S) => ~ (((C @ X) = (realu_ofu_num @ (numeral @ u_0)))))) => ((span @ (image @ ^[X:cartrealn]:(r_ @ (C @ X) @ X) @ S)) = (span @ S)))).
