%   ORIGINAL: PAIRWISE_ORTHOGONAL_IMP_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FINITE_DELETE: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: INDEPENDENT_IMP_FINITE: !s. independent s ==> FINITE s
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PAIRWISE_MONO: !r s t. pairwise r s /\ t SUBSET s ==> pairwise r t
% Assm: PAIRWISE_ORTHOGONAL_INDEPENDENT: !s. pairwise orthogonal s /\ ~(vec 0 IN s) ==> independent s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. pairwise orthogonal s ==> FINITE s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: !s. independent s ==> FINITE s
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: ~F <=> T
% Assm: !r s t. pairwise r s /\ t SUBSET s ==> pairwise r t
% Assm: !s. pairwise orthogonal s /\ ~(vec 0 IN s) ==> independent s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. pairwise orthogonal s ==> FINITE s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdelete0, type, delete0 : ((a > $o) > a > a > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFINITEu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn]:((finite @ (delete @ S @ X)) <=> (finite @ S))).
thf(aINDEPENDENTu_IMPu_FINITE, axiom, ![S:(cartrealn > $o)]:((independent @ S) => (finite @ S))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete0 @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPAIRWISEu_MONO, axiom, ![R:(cartrealn > cartrealn > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(((pairwise @ R @ S) & (subset @ T @ S)) => (pairwise @ R @ T))).
thf(aPAIRWISEu_ORTHOGONALu_INDEPENDENT, axiom, ![S:(cartrealn > $o)]:(((pairwise @ orthogonal @ S) & ~ ((in0 @ (vec @ (numeral @ u_0)) @ S))) => (independent @ S))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((pairwise @ orthogonal @ S) => (finite @ S))).
