%   ORIGINAL: GRAM_SCHMIDT_STEP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DOT_EQ_0: !x. x dot x = &0 <=> x = vec 0
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: DOT_RSUB: !x y z. x dot (y - z) = x dot y - x dot z
% Assm: DOT_RSUM: !s f x. FINITE s ==> x dot vsum s f = sum s (\y. x dot f y)
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_SYM: !x y. orthogonal x y <=> orthogonal y x
% Assm: ORTHOGONAL_TO_SPAN_EQ: !s x. (!y. y IN span s ==> orthogonal x y) <=> (!y. y IN s ==> orthogonal x y)
% Assm: PAIRWISE_ORTHOGONAL_IMP_FINITE: !s. pairwise orthogonal s ==> FINITE s
% Assm: REAL_DIV_RMUL: !x y. ~(y = &0) ==> x / y * y = x
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUM_DELTA: !s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: orthogonal: !x y. orthogonal x y <=> x dot y = &0
% Assm: pairwise: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !s a x. pairwise orthogonal s /\ x IN span s ==> orthogonal x (a - vsum s (\b. (b dot a) / (b dot b) % b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x. x dot x = &0 <=> x = vec 0
% Assm: !x. vec 0 dot x = &0
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x y z. x dot (y - z) = x dot y - x dot z
% Assm: !s f x. FINITE s ==> x dot vsum s f = sum s (\y. x dot f y)
% Assm: !x y. x dot y = y dot x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: ~F <=> T
% Assm: !x y. orthogonal x y <=> orthogonal y x
% Assm: !s x. (!y. y IN span s ==> orthogonal x y) <=> (!y. y IN s ==> orthogonal x y)
% Assm: !s. pairwise orthogonal s ==> FINITE s
% Assm: !x y. ~(y = &0) ==> x / y * y = x
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x. x * &0 = &0
% Assm: !b s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !x y. orthogonal x y <=> x dot y = &0
% Assm: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !s a x. pairwise orthogonal s /\ x IN span s ==> orthogonal x (a - vsum s (\b. (b dot a) / (b dot b) % b))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDOTu_EQu_0, axiom, ![X:cartrealn]:(((dot @ X @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aDOTu_LZERO, axiom, ![X:cartrealn]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealn,Y:cartrealn]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_RSUB, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:((dot @ X @ (vectoru_sub @ Y @ Z)) = (realu_sub @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RSUM, axiom, ![S:(cartrealn > $o),F:(cartrealn > cartrealn),X:cartrealn]:((finite @ S) => ((dot @ X @ (vsum @ S @ F)) = (sum @ S @ ^[Y:cartrealn]:(dot @ X @ (F @ Y)))))).
thf(aDOTu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((orthogonal @ X @ Y) <=> (orthogonal @ Y @ X))).
thf(aORTHOGONALu_TOu_SPANu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn]:(![Y:cartrealn]:((in @ Y @ (span @ S)) => (orthogonal @ X @ Y)) <=> ![Y:cartrealn]:((in @ Y @ S) => (orthogonal @ X @ Y)))).
thf(aPAIRWISEu_ORTHOGONALu_IMPu_FINITE, axiom, ![S:(cartrealn > $o)]:((pairwise @ orthogonal @ S) => (finite @ S))).
thf(aREALu_DIVu_RMUL, axiom, ![X:real,Y:real]:(~ ((Y = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_div @ X @ Y) @ Y) = X))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_DELTA, axiom, ![B:real,S:(cartrealn > $o),A:cartrealn]:((sum @ S @ ^[X:cartrealn]:(cond0 @ (X = A) @ B @ (realu_ofu_num @ (numeral @ u_0)))) = (cond0 @ (in @ A @ S) @ B @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSUMu_EQ, axiom, ![F:(cartrealn > real),G:(cartrealn > real),S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(aorthogonal, axiom, ![X:cartrealn,Y:cartrealn]:((orthogonal @ X @ Y) <=> ((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))))).
thf(apairwise, axiom, ![S:(cartrealn > $o),R:(cartrealn > cartrealn > $o)]:((pairwise @ R @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (R @ X @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,X:cartrealn]:(((pairwise @ orthogonal @ S) & (in @ X @ (span @ S))) => (orthogonal @ X @ (vectoru_sub @ A @ (vsum @ S @ ^[B:cartrealn]:(r_ @ (realu_div @ (dot @ B @ A) @ (dot @ B @ B)) @ B)))))).
