%   ORIGINAL: ORTHOGONAL_EXTENSION_STRONG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: ORTHOGONAL_EXTENSION: !s t. pairwise orthogonal s ==> (?u. pairwise orthogonal (s UNION u) /\ span (s UNION u) = span (s UNION t))
% Assm: PAIRWISE_MONO: !r s t. pairwise r s /\ t SUBSET s ==> pairwise r t
% Assm: SPAN_DELETE_0: !s. span (s DELETE vec 0) = span s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. pairwise orthogonal s ==> (?u. DISJOINT u (vec 0 INSERT s) /\ pairwise orthogonal (s UNION u) /\ span (s UNION u) = span (s UNION t))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. pairwise orthogonal s ==> (?u. pairwise orthogonal (s UNION u) /\ span (s UNION u) = span (s UNION t))
% Assm: !r s t. pairwise r s /\ t SUBSET s ==> pairwise r t
% Assm: !s. span (s DELETE vec 0) = span s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. pairwise orthogonal s ==> (?u. DISJOINT u (vec 0 INSERT s) /\ pairwise orthogonal (s UNION u) /\ span (s UNION u) = span (s UNION t))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin1, type, in1 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdelete0, type, delete0 : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cdelete, type, delete : (((cartrealn > $o) > $o) > (cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:((cartrealn > $o) > $o),X:(cartrealn > $o),Y:(cartrealn > $o)]:((in1 @ X @ (delete @ S @ Y)) <=> ((in1 @ X @ S) & ~ ((X = Y))))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty0))).
thf(aORTHOGONALu_EXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((pairwise @ orthogonal @ S) => ?[U:(cartrealn > $o)]:((pairwise @ orthogonal @ (union @ S @ U)) & ((span @ (union @ S @ U)) = (span @ (union @ S @ T)))))).
thf(aPAIRWISEu_MONO, axiom, ![R:(cartrealn > cartrealn > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(((pairwise @ R @ S) & (subset @ T @ S)) => (pairwise @ R @ T))).
thf(aSPANu_DELETEu_0, axiom, ![S:(cartrealn > $o)]:((span @ (delete0 @ S @ (vec @ (numeral @ u_0)))) = (span @ S))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((pairwise @ orthogonal @ S) => ?[U:(cartrealn > $o)]:((disjoint @ U @ (insert @ (vec @ (numeral @ u_0)) @ S)) & (pairwise @ orthogonal @ (union @ S @ U)) & ((span @ (union @ S @ U)) = (span @ (union @ S @ T)))))).
