%   ORIGINAL: VECTOR_IN_ORTHOGONAL_SPANNINGSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_IN_GSPEC_conjunct0: !P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: ORTHOGONAL_EXTENSION: !s t. pairwise orthogonal s ==> (?u. pairwise orthogonal (s UNION u) /\ span (s UNION u) = span (s UNION t))
% Assm: PAIRWISE_SING: !r x. pairwise r {x} <=> T
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SPAN_STDBASIS: span {basis i | 1 <= i /\ i <= dimindex (:N)} = (:real^N)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !a. ?s. a IN s /\ pairwise orthogonal s /\ span s = (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !Q P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x y. x IN {y} <=> x = y
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:real^N)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. pairwise orthogonal s ==> (?u. pairwise orthogonal (s UNION u) /\ span (s UNION u) = span (s UNION t))
% Assm: !r x. pairwise r {x} <=> T
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: span {basis i | 1 <= i /\ i <= dimindex (:N)} = (:real^N)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !a. ?s. a IN s /\ pairwise orthogonal s /\ span s = (:real^N)
%  TYPES
thf(tnum, type, num : $tType).
thf(tq48167, type, q48167 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (n > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_INu_GSPECu_conjunct0, axiom, ![Q:(cartrealn > $o),P:(q48167 > $o),F:(q48167 > cartrealn)]:(![Z:cartrealn]:((in @ Z @ (gspec @ ^[GENR_PVARR_20:cartrealn]:?[X:q48167]:(setspec @ GENR_PVARR_20 @ (P @ X) @ (F @ X)))) => (Q @ Z)) <=> ![X:q48167]:((P @ X) => (Q @ (F @ X))))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aINu_SING, axiom, ![X:cartrealn,Y:cartrealn]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aORTHOGONALu_EXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((pairwise @ orthogonal @ S) => ?[U:(cartrealn > $o)]:((pairwise @ orthogonal @ (union @ S @ U)) & ((span @ (union @ S @ U)) = (span @ (union @ S @ T)))))).
thf(aPAIRWISEu_SING, axiom, ![R:(cartrealn > cartrealn > $o),X:cartrealn]:((pairwise @ R @ (insert @ X @ empty)) <=> $true)).
thf(aSPANu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (span @ S) @ (span @ T)))).
thf(aSPANu_STDBASIS, axiom, ((span @ (gspec @ ^[GENR_PVARR_281:cartrealn]:?[I:num]:(setspec @ GENR_PVARR_281 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ0))) @ (basis @ I)))) = univ)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn]:?[S:(cartrealn > $o)]:((in @ A @ S) & (pairwise @ orthogonal @ S) & ((span @ S) = univ))).
