%   ORIGINAL: VECTOR_IN_ORTHOGONAL_BASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BASIS_HAS_SIZE_UNIV: !b. independent b /\ span b = (:real^N) ==> b HAS_SIZE dimindex (:N)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PAIRWISE_ORTHOGONAL_INDEPENDENT: !s. pairwise orthogonal s /\ ~(vec 0 IN s) ==> independent s
% Assm: SPAN_DELETE_0: !s. span (s DELETE vec 0) = span s
% Assm: TRUTH: T
% Assm: VECTOR_IN_ORTHOGONAL_SPANNINGSET: !a. ?s. a IN s /\ pairwise orthogonal s /\ span s = (:real^N)
% Assm: pairwise: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !a. ~(a = vec 0) ==> (?s. a IN s /\ ~(vec 0 IN s) /\ pairwise orthogonal s /\ independent s /\ s HAS_SIZE dimindex (:N) /\ span s = (:real^N))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !b. independent b /\ span b = (:real^N) ==> b HAS_SIZE dimindex (:N)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: ~F <=> T
% Assm: !s. pairwise orthogonal s /\ ~(vec 0 IN s) ==> independent s
% Assm: !s. span (s DELETE vec 0) = span s
% Assm: T
% Assm: !a. ?s. a IN s /\ pairwise orthogonal s /\ span s = (:real^N)
% Assm: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !a. ~(a = vec 0) ==> (?s. a IN s /\ ~(vec 0 IN s) /\ pairwise orthogonal s /\ independent s /\ s HAS_SIZE dimindex (:N) /\ span s = (:real^N))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBASISu_HASu_SIZEu_UNIV, axiom, ![B:(cartrealn > $o)]:(((independent @ B) & ((span @ B) = univ0)) => (hasu_size @ B @ (dimindex @ univ)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPAIRWISEu_ORTHOGONALu_INDEPENDENT, axiom, ![S:(cartrealn > $o)]:(((pairwise @ orthogonal @ S) & ~ ((in @ (vec @ (numeral @ u_0)) @ S))) => (independent @ S))).
thf(aSPANu_DELETEu_0, axiom, ![S:(cartrealn > $o)]:((span @ (delete @ S @ (vec @ (numeral @ u_0)))) = (span @ S))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_INu_ORTHOGONALu_SPANNINGSET, axiom, ![A:cartrealn]:?[S:(cartrealn > $o)]:((in @ A @ S) & (pairwise @ orthogonal @ S) & ((span @ S) = univ0))).
thf(apairwise, axiom, ![S:(cartrealn > $o),R:(cartrealn > cartrealn > $o)]:((pairwise @ R @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (R @ X @ Y)))).
thf(conjecture, conjecture, ![A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) => ?[S:(cartrealn > $o)]:((in @ A @ S) & ~ ((in @ (vec @ (numeral @ u_0)) @ S)) & (pairwise @ orthogonal @ S) & (independent @ S) & (hasu_size @ S @ (dimindex @ univ)) & ((span @ S) = univ0)))).
