%   ORIGINAL: ORTHOGONAL_SPANNINGSET_SUBSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BASIS_EXISTS: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_EXTENSION: !s t. pairwise orthogonal s ==> (?u. pairwise orthogonal (s UNION u) /\ span (s UNION u) = span (s UNION t))
% Assm: PAIRWISE_EMPTY: !r. pairwise r {} <=> T
% Assm: SPAN_INC: !s. s SUBSET span s
% Assm: SPAN_SUBSPACE: !b s. b SUBSET s /\ s SUBSET span b /\ subspace s ==> span b = s
% Assm: TRUTH: T
% Assm: UNION_EMPTY_conjunct0: !s. {} UNION s = s
% Goal: !s. subspace s ==> (?b. b SUBSET s /\ pairwise orthogonal b /\ span b = s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. pairwise orthogonal s ==> (?u. pairwise orthogonal (s UNION u) /\ span (s UNION u) = span (s UNION t))
% Assm: !r. pairwise r {} <=> T
% Assm: !s. s SUBSET span s
% Assm: !b s. b SUBSET s /\ s SUBSET span b /\ subspace s ==> span b = s
% Assm: T
% Assm: !s. {} UNION s = s
% Goal: !s. subspace s ==> (?b. b SUBSET s /\ pairwise orthogonal b /\ span b = s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBASISu_EXISTS, axiom, ![V:(cartrealn > $o)]:?[B:(cartrealn > $o)]:((subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B)) & (hasu_size @ B @ (dim @ V)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_EXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((pairwise @ orthogonal @ S) => ?[U:(cartrealn > $o)]:((pairwise @ orthogonal @ (union @ S @ U)) & ((span @ (union @ S @ U)) = (span @ (union @ S @ T)))))).
thf(aPAIRWISEu_EMPTY, axiom, ![R:(cartrealn > cartrealn > $o)]:((pairwise @ R @ empty) <=> $true)).
thf(aSPANu_INC, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (span @ S))).
thf(aSPANu_SUBSPACE, axiom, ![B:(cartrealn > $o),S:(cartrealn > $o)]:(((subset @ B @ S) & (subset @ S @ (span @ B)) & (subspace @ S)) => ((span @ B) = S))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_EMPTYu_conjunct0, axiom, ![S:(cartrealn > $o)]:((union @ empty @ S) = S)).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((subspace @ S) => ?[B:(cartrealn > $o)]:((subset @ B @ S) & (pairwise @ orthogonal @ B) & ((span @ B) = S)))).
