%   ORIGINAL: ORTHOGONAL_BASIS_SUBSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BASIS_HAS_SIZE_DIM: !v b. independent b /\ span b = v ==> b HAS_SIZE dim v
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_SPANNINGSET_SUBSPACE: !s. subspace s ==> (?b. b SUBSET s /\ pairwise orthogonal b /\ span b = s)
% Assm: PAIRWISE_ORTHOGONAL_INDEPENDENT: !s. pairwise orthogonal s /\ ~(vec 0 IN s) ==> independent s
% Assm: SPAN_DELETE_0: !s. span (s DELETE vec 0) = span s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: pairwise: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !s. subspace s ==> (?b. ~(vec 0 IN b) /\ b SUBSET s /\ pairwise orthogonal b /\ independent b /\ b HAS_SIZE dim s /\ span b = s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !v b. independent b /\ span b = v ==> b HAS_SIZE dim v
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s. subspace s ==> (?b. b SUBSET s /\ pairwise orthogonal b /\ span b = s)
% Assm: !s. pairwise orthogonal s /\ ~(vec 0 IN s) ==> independent s
% Assm: !s. span (s DELETE vec 0) = span s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !s. subspace s ==> (?b. ~(vec 0 IN b) /\ b SUBSET s /\ pairwise orthogonal b /\ independent b /\ b HAS_SIZE dim s /\ span b = s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBASISu_HASu_SIZEu_DIM, axiom, ![V:(cartrealn > $o),B:(cartrealn > $o)]:(((independent @ B) & ((span @ B) = V)) => (hasu_size @ B @ (dim @ V)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_SPANNINGSETu_SUBSPACE, axiom, ![S:(cartrealn > $o)]:((subspace @ S) => ?[B:(cartrealn > $o)]:((subset @ B @ S) & (pairwise @ orthogonal @ B) & ((span @ B) = S)))).
thf(aPAIRWISEu_ORTHOGONALu_INDEPENDENT, axiom, ![S:(cartrealn > $o)]:(((pairwise @ orthogonal @ S) & ~ ((in @ (vec @ (numeral @ u_0)) @ S))) => (independent @ S))).
thf(aSPANu_DELETEu_0, axiom, ![S:(cartrealn > $o)]:((span @ (delete @ S @ (vec @ (numeral @ u_0)))) = (span @ S))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(apairwise, axiom, ![S:(cartrealn > $o),R:(cartrealn > cartrealn > $o)]:((pairwise @ R @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (R @ X @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((subspace @ S) => ?[B:(cartrealn > $o)]:(~ ((in @ (vec @ (numeral @ u_0)) @ B)) & (subset @ B @ S) & (pairwise @ orthogonal @ B) & (independent @ B) & (hasu_size @ B @ (dim @ S)) & ((span @ B) = S)))).
