%   ORIGINAL: ORTHOGONAL_TO_SUBSPACE_EXISTS_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_ELIM_THM_conjunct4: !p x. x IN (\y. p y) <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: ORTHOGONAL_BASIS_SUBSPACE: !s. subspace s ==> (?b. ~(vec 0 IN b) /\ b SUBSET s /\ pairwise orthogonal b /\ independent b /\ b HAS_SIZE dim s /\ span b = s)
% Assm: ORTHOGONAL_EXTENSION: !s t. pairwise orthogonal s ==> (?u. pairwise orthogonal (s UNION u) /\ span (s UNION u) = span (s UNION t))
% Assm: PSUBSET_ALT: !s t. s PSUBSET t <=> s SUBSET t /\ (?a. a IN t /\ ~(a IN s))
% Assm: SPAN_INC: !s. s SUBSET span s
% Assm: SPAN_INDUCT: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: SPAN_INSERT_0: !s. span (vec 0 INSERT s) = span s
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SPAN_SUBSET_SUBSPACE: !s t. s SUBSET t /\ subspace t ==> span s SUBSET t
% Assm: SPAN_SUPERSET: !x. x IN s ==> x IN span s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: SUBSPACE_ORTHOGONAL_TO_VECTOR: !x. subspace {y | orthogonal x y}
% Assm: SUBSPACE_SPAN: !s. subspace (span s)
% Assm: TRUTH: T
% Assm: pairwise: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !s t. span s PSUBSET span t ==> (?x. ~(x = vec 0) /\ x IN span t /\ (!y. y IN span s ==> orthogonal x y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN (\y. p y) <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. x IN {y} <=> x = y
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. subspace s ==> (?b. ~(vec 0 IN b) /\ b SUBSET s /\ pairwise orthogonal b /\ independent b /\ b HAS_SIZE dim s /\ span b = s)
% Assm: !s t. pairwise orthogonal s ==> (?u. pairwise orthogonal (s UNION u) /\ span (s UNION u) = span (s UNION t))
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ (?a. a IN t /\ ~(a IN s))
% Assm: !s. s SUBSET span s
% Assm: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: !s. span (vec 0 INSERT s) = span s
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: !s t. s SUBSET t /\ subspace t ==> span s SUBSET t
% Assm: !s x. x IN s ==> x IN span s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: !x. subspace {y | orthogonal x y}
% Assm: !s. subspace (span s)
% Assm: T
% Assm: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !s t. span s PSUBSET span t ==> (?x. ~(x = vec 0) /\ x IN span t /\ (!y. y IN span s ==> orthogonal x y))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(cpairwise, type, pairwise : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cpsubset, type, psubset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct4, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ ^[Y:cartrealn]:(P @ Y)) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:cartrealn,Y:cartrealn]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aORTHOGONALu_BASISu_SUBSPACE, axiom, ![S:(cartrealn > $o)]:((subspace @ S) => ?[B:(cartrealn > $o)]:(~ ((in @ (vec @ (numeral @ u_0)) @ B)) & (subset @ B @ S) & (pairwise @ orthogonal @ B) & (independent @ B) & (hasu_size @ B @ (dim @ S)) & ((span @ B) = S)))).
thf(aORTHOGONALu_EXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((pairwise @ orthogonal @ S) => ?[U:(cartrealn > $o)]:((pairwise @ orthogonal @ (union @ S @ U)) & ((span @ (union @ S @ U)) = (span @ (union @ S @ T)))))).
thf(aPSUBSETu_ALT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((psubset @ S @ T) <=> ((subset @ S @ T) & ?[A:cartrealn]:((in @ A @ T) & ~ ((in @ A @ S)))))).
thf(aSPANu_INC, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (span @ S))).
thf(aSPANu_INDUCT, axiom, ![S:(cartrealn > $o),H:(cartrealn > $o)]:((![X:cartrealn]:((in @ X @ S) => (in @ X @ H)) & (subspace @ H)) => ![X:cartrealn]:((in @ X @ (span @ S)) => (H @ X)))).
thf(aSPANu_INSERTu_0, axiom, ![S:(cartrealn > $o)]:((span @ (insert @ (vec @ (numeral @ u_0)) @ S)) = (span @ S))).
thf(aSPANu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (span @ S) @ (span @ T)))).
thf(aSPANu_SUBSETu_SUBSPACE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subspace @ T)) => (subset @ (span @ S) @ T))).
thf(aSPANu_SUPERSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (span @ S)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aSUBSPACEu_ORTHOGONALu_TOu_VECTOR, axiom, ![X:cartrealn]:(subspace @ (gspec @ ^[GENR_PVARR_299:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_299 @ (orthogonal @ X @ Y) @ Y)))).
thf(aSUBSPACEu_SPAN, axiom, ![S:(cartrealn > $o)]:(subspace @ (span @ S))).
thf(aTRUTH, axiom, $true).
thf(apairwise, axiom, ![S:(cartrealn > $o),R:(cartrealn > cartrealn > $o)]:((pairwise @ R @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (R @ X @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((psubset @ (span @ S) @ (span @ T)) => ?[X:cartrealn]:(~ ((X = (vec @ (numeral @ u_0)))) & (in @ X @ (span @ T)) & ![Y:cartrealn]:((in @ Y @ (span @ S)) => (orthogonal @ X @ Y))))).
