%   ORIGINAL: ORTHOGONAL_TO_SUBSPACE_EXISTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: DIM_UNIV: dim (:real^N) = dimindex (:N)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LT_REFL: !n. ~(n < n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_TO_SUBSPACE_EXISTS_GEN: !s t. span s PSUBSET span t ==> (?x. ~(x = vec 0) /\ x IN span t /\ (!y. y IN span s ==> orthogonal x y))
% Assm: PSUBSET: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: SPAN_SUPERSET: !x. x IN s ==> x IN span s
% Assm: SPAN_UNIV: span (:real^N) = (:real^N)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !s. dim s < dimindex (:N) ==> (?x. ~(x = vec 0) /\ (!y. y IN s ==> orthogonal x y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. dim (span s) = dim s
% Assm: dim (:real^N) = dimindex (:N)
% Assm: !t. (\x. t x) = t
% Assm: !n. ~(n < n)
% Assm: ~F <=> T
% Assm: !s t. span s PSUBSET span t ==> (?x. ~(x = vec 0) /\ x IN span t /\ (!y. y IN span s ==> orthogonal x y))
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: !s x. x IN s ==> x IN span s
% Assm: span (:real^N) = (:real^N)
% Assm: !s. s SUBSET (:N)
% Assm: T
% Goal: !s. dim s < dimindex (:N) ==> (?x. ~(x = vec 0) /\ (!y. y IN s ==> orthogonal x y))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset0, type, subset0 : ((n > $o) > (n > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cpsubset0, type, psubset0 : ((a > $o) > (a > $o) > $o)).
thf(cpsubset, type, psubset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMu_SPAN, axiom, ![S:(cartrealn > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aDIMu_UNIV, axiom, ((dim @ univ0) = (dimindex @ univ))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLTu_REFL, axiom, ![N:num]:~ ((l_ @ N @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_TOu_SUBSPACEu_EXISTSu_GEN, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((psubset @ (span @ S) @ (span @ T)) => ?[X:cartrealn]:(~ ((X = (vec @ (numeral @ u_0)))) & (in @ X @ (span @ T)) & ![Y:cartrealn]:((in @ Y @ (span @ S)) => (orthogonal @ X @ Y))))).
thf(aPSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((psubset0 @ S @ T) <=> ((subset @ S @ T) & ~ ((S = T))))).
thf(aSPANu_SUPERSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (span @ S)))).
thf(aSPANu_UNIV, axiom, ((span @ univ0) = univ0)).
thf(aSUBSETu_UNIV, axiom, ![S:(n > $o)]:(subset0 @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((l_ @ (dim @ S) @ (dimindex @ univ)) => ?[X:cartrealn]:(~ ((X = (vec @ (numeral @ u_0)))) & ![Y:cartrealn]:((in @ Y @ S) => (orthogonal @ X @ Y))))).
