%   ORIGINAL: SPAN_NOT_UNIV_ORTHOGONAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIM_EQ_FULL: !s. dim s = dimindex (:N) <=> span s = (:real^N)
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: DIM_SUBSET_UNIV: !s. dim s <= dimindex (:N)
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: ORTHOGONAL_TO_SUBSPACE_EXISTS: !s. dim s < dimindex (:N) ==> (?x. ~(x = vec 0) /\ (!y. y IN s ==> orthogonal x y))
% Assm: TRUTH: T
% Assm: orthogonal: !x y. orthogonal x y <=> x dot y = &0
% Goal: !s. ~(span s = (:real^N)) ==> (?a. ~(a = vec 0) /\ (!x. x IN span s ==> a dot x = &0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. dim s = dimindex (:real^N) <=> span s = (:real^(real^N))
% Assm: !s. dim (span s) = dim s
% Assm: !s. dim s <= dimindex (:real^N)
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !s. dim s < dimindex (:real^N) ==> (?x. ~(x = vec 0) /\ (!y. y IN s ==> orthogonal x y))
% Assm: T
% Assm: !x y. orthogonal x y <=> x dot y = &0
% Goal: !s. ~(span s = (:real^N)) ==> (?a. ~(a = vec 0) /\ (!x. x IN span s ==> a dot x = &0))
%  TYPES
thf(tcartrealcartrealn, type, cartrealcartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(corthogonal0, type, orthogonal0 : (cartrealn > cartrealn > $o)).
thf(corthogonal, type, orthogonal : (cartrealcartrealn > cartrealcartrealn > $o)).
thf(cin0, type, in0 : (cartrealcartrealn > (cartrealcartrealn > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cspan0, type, span0 : ((cartrealcartrealn > $o) > cartrealcartrealn > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cvec0, type, vec0 : (num > cartrealcartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv0, type, univ0 : (cartrealcartrealn > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdim0, type, dim0 : ((cartrealn > $o) > num)).
thf(cdimindex, type, dimindex : ((cartrealn > $o) > num)).
thf(cdim, type, dim : ((cartrealcartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMu_EQu_FULL, axiom, ![S:(cartrealcartrealn > $o)]:(((dim @ S) = (dimindex @ univ)) <=> ((span0 @ S) = univ0))).
thf(aDIMu_SPAN, axiom, ![S:(cartrealn > $o)]:((dim0 @ (span @ S)) = (dim0 @ S))).
thf(aDIMu_SUBSETu_UNIV, axiom, ![S:(cartrealcartrealn > $o)]:(l_a_ @ (dim @ S) @ (dimindex @ univ))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aORTHOGONALu_TOu_SUBSPACEu_EXISTS, axiom, ![S:(cartrealcartrealn > $o)]:((l_ @ (dim @ S) @ (dimindex @ univ)) => ?[X:cartrealcartrealn]:(~ ((X = (vec0 @ (numeral @ u_0)))) & ![Y:cartrealcartrealn]:((in0 @ Y @ S) => (orthogonal @ X @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aorthogonal, axiom, ![X:cartrealn,Y:cartrealn]:((orthogonal0 @ X @ Y) <=> ((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(~ (((span @ S) = univ)) => ?[A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) & ![X:cartrealn]:((in @ X @ (span @ S)) => ((dot @ A @ X) = (realu_ofu_num @ (numeral @ u_0))))))).
