%   ORIGINAL: LOWDIM_SUBSET_HYPERPLANE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: DIM_SUBSET: !s t. s SUBSET t ==> dim s <= dim t
% Assm: DIM_UNIV: dim (:real^N) = dimindex (:N)
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: SPAN_NOT_UNIV_SUBSET_HYPERPLANE: !s. ~(span s = (:real^N)) ==> (?a. ~(a = vec 0) /\ span s SUBSET {x | a dot x = &0})
% Assm: SUBSET_ANTISYM_EQ: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !s. dim s < dimindex (:N) ==> (?a. ~(a = vec 0) /\ span s SUBSET {x | a dot x = &0})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. dim (span s) = dim s
% Assm: !s t. s SUBSET t ==> dim s <= dim t
% Assm: dim (:real^N) = dimindex (:N)
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !s. ~(span s = (:real^N)) ==> (?a. ~(a = vec 0) /\ span s SUBSET {x | a dot x = &0})
% Assm: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: !s. s SUBSET (:real^N)
% Assm: T
% Goal: !s. dim s < dimindex (:N) ==> (?a. ~(a = vec 0) /\ span s SUBSET {x | a dot x = &0})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMu_SPAN, axiom, ![S:(cartrealn > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aDIMu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (l_a_ @ (dim @ S) @ (dim @ T)))).
thf(aDIMu_UNIV, axiom, ((dim @ univ0) = (dimindex @ univ))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aSPANu_NOTu_UNIVu_SUBSETu_HYPERPLANE, axiom, ![S:(cartrealn > $o)]:(~ (((span @ S) = univ0)) => ?[A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) & (subset @ (span @ S) @ (gspec @ ^[GENR_PVARR_307:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_307 @ ((dot @ A @ X) = (realu_ofu_num @ (numeral @ u_0))) @ X)))))).
thf(aSUBSETu_ANTISYMu_EQ, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) <=> (S = T))).
thf(aSUBSETu_UNIV, axiom, ![S:(cartrealn > $o)]:(subset @ S @ univ0)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((l_ @ (dim @ S) @ (dimindex @ univ)) => ?[A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) & (subset @ (span @ S) @ (gspec @ ^[GENR_PVARR_308:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_308 @ ((dot @ A @ X) = (realu_ofu_num @ (numeral @ u_0))) @ X)))))).
