%   ORIGINAL: ORTHOGONAL_SUBSPACE_DECOMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_PAIRED_THM: !P. (?(x,y). P x y) <=> (?x y. P x y)
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_SUBSPACE_DECOMP_EXISTS: !s x. ?y z. y IN span s /\ (!w. w IN span s ==> orthogonal z w) /\ x = y + z
% Assm: ORTHOGONAL_SUBSPACE_DECOMP_UNIQUE: !s t x y x' y'. (!a b. a IN s /\ b IN t ==> orthogonal a b) /\ x IN span s /\ x' IN span s /\ y IN span t /\ y' IN span t /\ x + y = x' + y' ==> x = x' /\ y = y'
% Assm: ORTHOGONAL_SYM: !x y. orthogonal x y <=> orthogonal y x
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SPAN_CLAUSES_conjunct0: !a s. a IN s ==> a IN span s
% Assm: SPAN_CLAUSES_conjunct1: vec 0 IN span s
% Assm: SPAN_CLAUSES_conjunct2: !x y s. x IN span s /\ y IN span s ==> x + y IN span s
% Assm: SPAN_CLAUSES_conjunct3: !x c s. x IN span s ==> c % x IN span s
% Assm: TRUTH: T
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !s x. ?!(y,z). y IN span s /\ z IN {z | !x. x IN span s ==> orthogonal z x} /\ x = y + z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (?(x,y). P x y) <=> (?x y. P x y)
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s x. ?y z. y IN span s /\ (!w. w IN span s ==> orthogonal z w) /\ x = y + z
% Assm: !s t x y x' y'. (!a b. a IN s /\ b IN t ==> orthogonal a b) /\ x IN span s /\ x' IN span s /\ y IN span t /\ y' IN span t /\ x + y = x' + y' ==> x = x' /\ y = y'
% Assm: !x y. orthogonal x y <=> orthogonal y x
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !P x. P x ==> P ((@) P)
% Assm: !a s. a IN s ==> a IN span s
% Assm: !s. vec 0 IN span s
% Assm: !x y s. x IN span s /\ y IN span s ==> x + y IN span s
% Assm: !x c s. x IN span s ==> c % x IN span s
% Assm: T
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !s x. (\P. (?) P /\ (!x y. P x /\ P y ==> x = y)) (\(y,z). y IN span s /\ z IN {z | !x. x IN span s ==> orthogonal z x} /\ x = y + z)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chu_, type, h_ : (((prodcartrealncartrealn > $o) > $o) > prodcartrealncartrealn > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodcartrealncartrealn > $o) > $o) > prodcartrealncartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cqu_, type, q_ : ((prodcartrealncartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > prodcartrealncartrealn),G:(a > prodcartrealncartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_PAIREDu_THM, axiom, ![P:(cartrealn > cartrealn > $o)]:((q_ @ (gabs @ ^[F:(prodcartrealncartrealn > $o)]:![X:cartrealn,Y:cartrealn]:(geq @ (F @ (c_ @ X @ Y)) @ (P @ X @ Y)))) <=> ?[X:cartrealn,Y:cartrealn]:(P @ X @ Y))).
thf(aFORALLu_PAIRu_THM, axiom, ![P:(prodcartrealncartrealn > $o)]:(![P0:prodcartrealncartrealn]:(P @ P0) <=> ![P1:cartrealn,P2:cartrealn]:(P @ (c_ @ P1 @ P2)))).
thf(aGABSu_DEF, axiom, ![P:((prodcartrealncartrealn > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:$o,B:$o]:((geq @ A @ B) <=> (A <=> B))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_SUBSPACEu_DECOMPu_EXISTS, axiom, ![S:(cartrealn > $o),X:cartrealn]:?[Y:cartrealn,Z:cartrealn]:((in @ Y @ (span @ S)) & ![W:cartrealn]:((in @ W @ (span @ S)) => (orthogonal @ Z @ W)) & (X = (vectoru_add @ Y @ Z)))).
thf(aORTHOGONALu_SUBSPACEu_DECOMPu_UNIQUE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn,Y:cartrealn,XI_:cartrealn,YI_:cartrealn]:((![A:cartrealn,B:cartrealn]:(((in @ A @ S) & (in @ B @ T)) => (orthogonal @ A @ B)) & (in @ X @ (span @ S)) & (in @ XI_ @ (span @ S)) & (in @ Y @ (span @ T)) & (in @ YI_ @ (span @ T)) & ((vectoru_add @ X @ Y) = (vectoru_add @ XI_ @ YI_))) => ((X = XI_) & (Y = YI_)))).
thf(aORTHOGONALu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((orthogonal @ X @ Y) <=> (orthogonal @ Y @ X))).
thf(aPAIRu_EQ, axiom, ![X:cartrealn,Y:cartrealn,A:cartrealn,B:cartrealn]:(((c_ @ X @ Y) = (c_ @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aSPANu_CLAUSESu_conjunct0, axiom, ![A:cartrealn,S:(cartrealn > $o)]:((in @ A @ S) => (in @ A @ (span @ S)))).
thf(aSPANu_CLAUSESu_conjunct1, axiom, ![S:(cartrealn > $o)]:(in @ (vec @ (numeral @ u_0)) @ (span @ S))).
thf(aSPANu_CLAUSESu_conjunct2, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:(((in @ X @ (span @ S)) & (in @ Y @ (span @ S))) => (in @ (vectoru_add @ X @ Y) @ (span @ S)))).
thf(aSPANu_CLAUSESu_conjunct3, axiom, ![X:cartrealn,C:real,S:(cartrealn > $o)]:((in @ X @ (span @ S)) => (in @ (r_ @ C @ X) @ (span @ S)))).
thf(aTRUTH, axiom, $true).
thf(apairu_RECURSIONu_monomorphized1, axiom, ![PAIRI_:(cartrealn > cartrealn > prodcartrealncartrealn)]:?[FN:(prodcartrealncartrealn > prodcartrealncartrealn)]:![A0:cartrealn,A1:cartrealn]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized0, axiom, ![PAIRI_:(cartrealn > cartrealn > cartrealn)]:?[FN:(prodcartrealncartrealn > cartrealn)]:![A0:cartrealn,A1:cartrealn]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:(^[P:(prodcartrealncartrealn > $o)]:((q_ @ P) & ![X0:prodcartrealncartrealn,Y:prodcartrealncartrealn]:(((P @ X0) & (P @ Y)) => (X0 = Y))) @ (gabs @ ^[F:(prodcartrealncartrealn > $o)]:![Y:cartrealn,Z:cartrealn]:(geq @ (F @ (c_ @ Y @ Z)) @ ((in @ Y @ (span @ S)) & (in @ Z @ (gspec @ ^[GENR_PVARR_310:cartrealn]:?[Z:cartrealn]:(setspec @ GENR_PVARR_310 @ ![X:cartrealn]:((in @ X @ (span @ S)) => (orthogonal @ Z @ X)) @ Z))) & (X = (vectoru_add @ Y @ Z))))))).
