%   ORIGINAL: ISOMETRY_UNIV_SUBSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIM_UNIV: dim (:real^N) = dimindex (:N)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: ISOMETRY_SUBSPACES: !s t. subspace s /\ subspace t /\ dim s = dim t ==> (?f. linear f /\ IMAGE f s = t /\ (!x. x IN s ==> norm (f x) = norm x))
% Assm: SUBSPACE_UNIV: subspace (:real^N)
% Assm: TRUTH: T
% Goal: !s. subspace s /\ dimindex (:M) = dim s ==> (?f. linear f /\ IMAGE f (:real^M) = s /\ (!x. norm (f x) = norm x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: dim (:real^N) = dimindex (:N)
% Assm: !x. x IN (:real^M)
% Assm: !x. x IN (:M)
% Assm: !s t. subspace s /\ subspace t /\ dim s = dim t ==> (?f. linear f /\ IMAGE f s = t /\ (!x. x IN s ==> norm (f x) = norm x))
% Assm: subspace (:real^N)
% Assm: T
% Goal: !s. subspace s /\ dimindex (:M) = dim s ==> (?f. linear f /\ IMAGE f (:real^M) = s /\ (!x. norm (f x) = norm x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv2, type, univ2 : (n > $o)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (m > (m > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealn) > $o)).
thf(cuniv1, type, univ1 : (cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealm > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMu_UNIV, axiom, ((dim @ univ1) = (dimindex0 @ univ2))).
thf(aINu_UNIVu_monomorphized1, axiom, ![X:cartrealm]:(in @ X @ univ0)).
thf(aINu_UNIVu_monomorphized0, axiom, ![X:m]:(in0 @ X @ univ)).
thf(aISOMETRYu_SUBSPACES, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subspace @ S) & (subspace @ T) & ((dim @ S) = (dim @ T))) => ?[F:(cartrealn > cartrealn)]:((linear0 @ F) & ((image0 @ F @ S) = T) & ![X:cartrealn]:((in1 @ X @ S) => ((vectoru_norm @ (F @ X)) = (vectoru_norm @ X)))))).
thf(aSUBSPACEu_UNIV, axiom, (subspace @ univ1)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((subspace @ S) & ((dimindex @ univ) = (dim @ S))) => ?[F:(cartrealm > cartrealn)]:((linear @ F) & ((image @ F @ univ0) = S) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))))).
