%   ORIGINAL: ISOMETRY_UNIV_SUPERSET_SUBSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: DIM_UNIV: dim (:real^N) = dimindex (:N)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: ISOMETRY_SUBSPACES: !s t. subspace s /\ subspace t /\ dim s = dim t ==> (?f. linear f /\ IMAGE f s = t /\ (!x. x IN s ==> norm (f x) = norm x))
% Assm: I_THM: !x. I x = x
% Assm: LOWDIM_EXPAND_DIMENSION: !s n. dim s <= n /\ n <= dimindex (:N) ==> (?t. dim t = n /\ span s SUBSET span t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_INC: !s. s SUBSET span s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSPACE_SPAN: !s. subspace (span s)
% Assm: SUBSPACE_UNIV: subspace (:real^N)
% Assm: TRUTH: T
% Goal: !s. subspace s /\ dim s <= dimindex (:M) /\ dimindex (:M) <= dimindex (:N) ==> (?f. linear f /\ s SUBSET IMAGE f (:real^M) /\ (!x. norm (f x) = norm x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. dim (span s) = dim s
% Assm: dim (:real^N) = dimindex (:N)
% Assm: !t. (\x. t x) = t
% Assm: !x. x IN (:real^M)
% Assm: !x. x IN (:N)
% Assm: !x. x IN (:M)
% Assm: !s t. subspace s /\ subspace t /\ dim s = dim t ==> (?f. linear f /\ IMAGE f s = t /\ (!x. x IN s ==> norm (f x) = norm x))
% Assm: !x. I x = x
% Assm: !s n. dim s <= n /\ n <= dimindex (:N) ==> (?t. dim t = n /\ span s SUBSET span t)
% Assm: ~F <=> T
% Assm: !s. s SUBSET span s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. subspace (span s)
% Assm: subspace (:real^N)
% Assm: T
% Goal: !s. subspace s /\ dim s <= dimindex (:M) /\ dimindex (:M) <= dimindex (:N) ==> (?f. linear f /\ s SUBSET IMAGE f (:real^M) /\ (!x. norm (f x) = norm x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cin2, type, in2 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin1, type, in1 : (m > (m > $o) > $o)).
thf(cin0, type, in0 : (n > (n > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealn) > $o)).
thf(cuniv2, type, univ2 : (cartrealn > $o)).
thf(cuniv1, type, univ1 : (cartrealm > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMu_SPAN, axiom, ![S:(cartrealn > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aDIMu_UNIV, axiom, ((dim @ univ2) = (dimindex0 @ univ0))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_UNIVu_monomorphized2, axiom, ![X:cartrealm]:(in @ X @ univ1)).
thf(aINu_UNIVu_monomorphized1, axiom, ![X:n]:(in0 @ X @ univ0)).
thf(aINu_UNIVu_monomorphized0, axiom, ![X:m]:(in1 @ X @ univ)).
thf(aISOMETRYu_SUBSPACES, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subspace @ S) & (subspace @ T) & ((dim @ S) = (dim @ T))) => ?[F:(cartrealn > cartrealn)]:((linear0 @ F) & ((image0 @ F @ S) = T) & ![X:cartrealn]:((in2 @ X @ S) => ((vectoru_norm @ (F @ X)) = (vectoru_norm @ X)))))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aLOWDIMu_EXPANDu_DIMENSION, axiom, ![S:(cartrealn > $o),N:num]:(((l_a_ @ (dim @ S) @ N) & (l_a_ @ N @ (dimindex0 @ univ0))) => ?[T:(cartrealn > $o)]:(((dim @ T) = N) & (subset @ (span @ S) @ (span @ T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_INC, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (span @ S))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in2 @ X @ S) => (in2 @ X @ T)))).
thf(aSUBSPACEu_SPAN, axiom, ![S:(cartrealn > $o)]:(subspace @ (span @ S))).
thf(aSUBSPACEu_UNIV, axiom, (subspace @ univ2)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((subspace @ S) & (l_a_ @ (dim @ S) @ (dimindex @ univ)) & (l_a_ @ (dimindex @ univ) @ (dimindex0 @ univ0))) => ?[F:(cartrealm > cartrealn)]:((linear @ F) & (subset @ S @ (image @ F @ univ1)) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))))).
