%   ORIGINAL: SUBSPACE_ISOMORPHISM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: ISOMETRY_SUBSPACES: !s t. subspace s /\ subspace t /\ dim s = dim t ==> (?f. linear f /\ IMAGE f s = t /\ (!x. x IN s ==> norm (f x) = norm x))
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_INJECTIVE_0_SUBSPACE: !f s. linear f /\ subspace s ==> ((!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (!x. x IN s /\ f x = vec 0 ==> x = vec 0))
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. subspace s /\ subspace t /\ dim s = dim t ==> (?f. linear f /\ IMAGE f s = t /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. subspace s /\ subspace t /\ dim s = dim t ==> (?f. linear f /\ IMAGE f s = t /\ (!x. x IN s ==> norm (f x) = norm x))
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f s. linear f /\ subspace s ==> ((!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (!x. x IN s /\ f x = vec 0 ==> x = vec 0))
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: ~F <=> T
% Assm: T
% Goal: !s t. subspace s /\ subspace t /\ dim s = dim t ==> (?f. linear f /\ IMAGE f s = t /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci0, type, i0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(csubspace0, type, subspace0 : ((cartrealn > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealm > $o) > $o)).
thf(cvec0, type, vec0 : (num > cartrealm)).
thf(ci2, type, i2 : (cartrealm > cartrealm)).
thf(cvec, type, vec : (num > cartrealn)).
thf(ci1, type, i1 : (cartrealn > cartrealn)).
thf(cdim0, type, dim0 : ((cartrealn > $o) > num)).
thf(cdim, type, dim : ((cartrealm > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(ci, type, i : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized3, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aISOMETRYu_SUBSPACES, axiom, ![S:(cartrealm > $o),T:(cartrealn > $o)]:(((subspace @ S) & (subspace0 @ T) & ((dim @ S) = (dim0 @ T))) => ?[F:(cartrealm > cartrealn)]:((linear @ F) & ((image @ F @ S) = T) & ![X:cartrealm]:((in @ X @ S) => ((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X)))))).
thf(aIu_THMu_monomorphized3, axiom, ![X:num]:((i @ X) = X)).
thf(aIu_THMu_monomorphized2, axiom, ![X:(cartrealn > $o)]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i1 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i2 @ X) = X)).
thf(aLINEARu_INJECTIVEu_0u_SUBSPACE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & (subspace @ S)) => (![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ![X:cartrealm]:(((in @ X @ S) & ((F @ X) = (vec @ (numeral @ u_0)))) => (X = (vec0 @ (numeral @ u_0))))))).
thf(aNORMu_EQu_0u_monomorphized1, axiom, ![X:cartrealn]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNORMu_EQu_0u_monomorphized0, axiom, ![X:cartrealm]:(((vectoru_norm0 @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec0 @ (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealm > $o),T:(cartrealn > $o)]:(((subspace @ S) & (subspace0 @ T) & ((dim @ S) = (dim0 @ T))) => ?[F:(cartrealm > cartrealn)]:((linear @ F) & ((image @ F @ S) = T) & ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
