%   ORIGINAL: SUBSPACE_HYPERPLANE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: TRUTH: T
% Assm: subspace: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !a. subspace {x | a dot x = &0}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x. x dot vec 0 = &0
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. &0 + x = x
% Assm: !x. x * &0 = &0
% Assm: T
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !a. subspace {x | a dot x = &0}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_RADD, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:((dot @ X @ (vectoru_add @ Y @ Z)) = (realu_add @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealn,Y:cartrealn]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_RZERO, axiom, ![X:cartrealn]:((dot @ X @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(asubspace, axiom, ![S:(cartrealn > $o)]:((subspace @ S) <=> ((in @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S)) & ![C:real,X:cartrealn]:((in @ X @ S) => (in @ (r_ @ C @ X) @ S))))).
thf(conjecture, conjecture, ![A:cartrealn]:(subspace @ (gspec @ ^[GENR_PVARR_312:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_312 @ ((dot @ A @ X) = (realu_ofu_num @ (numeral @ u_0))) @ X)))).
