%   ORIGINAL: DIM_IMAGE_KERNEL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIM_IMAGE_KERNEL_GEN: !f s. linear f /\ subspace s ==> dim (IMAGE f s) + dim {x | x IN s /\ f x = vec 0} = dim s
% Assm: DIM_UNIV: dim (:real^N) = dimindex (:N)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: SUBSPACE_UNIV: subspace (:real^N)
% Assm: TRUTH: T
% Goal: !f. linear f ==> dim (IMAGE f (:real^M)) + dim {x | f x = vec 0} = dimindex (:M)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. linear f /\ subspace s ==> dim (IMAGE f s) + dim {x | x IN s /\ f x = vec 0} = dim s
% Assm: dim (:real^M) = dimindex (:M)
% Assm: !x. x IN (:real^M)
% Assm: !x. x IN (:M)
% Assm: subspace (:real^M)
% Assm: T
% Goal: !f. linear f ==> dim (IMAGE f (:real^M)) + dim {x | f x = vec 0} = dimindex (:M)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (m > $o)).
thf(cin0, type, in0 : (m > (m > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(csubspace, type, subspace : ((cartrealm > $o) > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cdim0, type, dim0 : ((cartrealm > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMu_IMAGEu_KERNELu_GEN, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & (subspace @ S)) => ((p_ @ (dim @ (image @ F @ S)) @ (dim0 @ (gspec @ ^[GENR_PVARR_325:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_325 @ ((in @ X @ S) & ((F @ X) = (vec @ (numeral @ u_0)))) @ X)))) = (dim0 @ S)))).
thf(aDIMu_UNIV, axiom, ((dim0 @ univ) = (dimindex @ univ0))).
thf(aINu_UNIVu_monomorphized1, axiom, ![X:cartrealm]:(in @ X @ univ)).
thf(aINu_UNIVu_monomorphized0, axiom, ![X:m]:(in0 @ X @ univ0)).
thf(aSUBSPACEu_UNIV, axiom, (subspace @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((linear @ F) => ((p_ @ (dim @ (image @ F @ univ)) @ (dim0 @ (gspec @ ^[GENR_PVARR_326:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_326 @ ((F @ X) = (vec @ (numeral @ u_0))) @ X)))) = (dimindex @ univ0)))).
