%   ORIGINAL: NUMSEG_DIMINDEX_NONEMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIMINDEX_GE_1: !s. 1 <= dimindex s
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: NUMSEG_EMPTY: !m n. m..n = {} <=> n < m
% Assm: TRUTH: T
% Goal: ?i. i IN 1..dimindex (:N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. 1 <= dimindex s
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: !m n. m..n = {} <=> n < m
% Assm: T
% Goal: ?i. i IN 1..dimindex (:N)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cempty, type, empty : (num > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMINDEXu_GEu_1, axiom, ![S:(n > $o)]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ S))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(num > $o)]:(?[X:num]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aNUMSEGu_EMPTY, axiom, ![M:num,N:num]:(((o_o_ @ M @ N) = empty) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ?[I:num]:(in @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)))).
