%   ORIGINAL: INFNORM_SET_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: numseg: !m n. m..n = {x | m <= x /\ x <= n}
% Goal: {abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = IMAGE (\i. abs (x$i)) (1..dimindex (:N))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: T
% Assm: !m n. m..n = {x | m <= x /\ x <= n}
% Goal: !x. {abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = IMAGE (\i. abs (x$i)) (1..dimindex (:N))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq135719, type, q135719 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq135719, type, cartrealq135719 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cdu_, type, d_ : (cartrealq135719 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage, type, image : ((num > real) > (num > $o) > real > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(real > $o),T:(real > $o)]:((S = T) <=> ![X:real]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > real > $o) > $o),X:real]:((in @ X @ (gspec @ ^[V:real]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:real]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(real > $o),X:real]:((in @ X @ (gspec @ ^[V:real]:?[Y:real]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:real,S:(num > $o),F:(num > real)]:((in @ Y @ (image @ F @ S)) <=> ?[X:num]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anumseg, axiom, ![M:num,N:num]:((o_o_ @ M @ N) = (gspec0 @ ^[GENR_PVARR_135:num]:?[X:num]:(setspec0 @ GENR_PVARR_135 @ ((l_a_ @ M @ X) & (l_a_ @ X @ N)) @ X)))).
thf(conjecture, conjecture, ![X:cartrealq135719]:((gspec @ ^[GENR_PVARR_347:real]:?[I:num]:(setspec @ GENR_PVARR_347 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (realu_abs @ (d_ @ X @ I)))) = (image @ ^[I:num]:(realu_abs @ (d_ @ X @ I)) @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ))))).
