%   ORIGINAL: INFNORM_SET_LEMMA_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIMINDEX_GE_1: !s. 1 <= dimindex s
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: INFNORM_SET_IMAGE: {abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = IMAGE (\i. abs (x$i)) (1..dimindex (:N))
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: NUMSEG_EMPTY: !m n. m..n = {} <=> n < m
% Assm: TRUTH: T
% Goal: FINITE {abs (x$i) | 1 <= i /\ i <= dimindex (:N)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. 1 <= dimindex s
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !m n. FINITE (m..n)
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: !x. {abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = IMAGE (\i. abs (x$i)) (1..dimindex (:N))
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: !m n. m..n = {} <=> n < m
% Assm: T
% Goal: !x. FINITE {abs (x$i) | 1 <= i /\ i <= dimindex (:N)}
%  TYPES
thf(tnum, type, num : $tType).
thf(tq47530, type, q47530 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq47526, type, q47526 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cempty0, type, empty0 : (q47530 > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(cimage1, type, image1 : ((num > real) > (num > $o) > real > $o)).
thf(cimage0, type, image0 : ((q47530 > q47526) > (q47530 > $o) > q47526 > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cempty1, type, empty1 : (num > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((real > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (q47526 > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMINDEXu_GEu_1, axiom, ![S:(n > $o)]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ S))).
thf(aFINITEu_IMAGE, axiom, ![F:(real > real),S:(real > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(q47530 > q47526),S:(q47530 > $o)]:(((image0 @ F @ S) = empty) <=> (S = empty0))).
thf(aINFNORMu_SETu_IMAGE, axiom, ![X:cartrealn]:((gspec @ ^[GENR_PVARR_347:real]:?[I:num]:(setspec @ GENR_PVARR_347 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (realu_abs @ (d_ @ X @ I)))) = (image1 @ ^[I:num]:(realu_abs @ (d_ @ X @ I)) @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ))))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aNUMSEGu_EMPTY, axiom, ![M:num,N:num]:(((o_o_ @ M @ N) = empty1) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn]:(finite @ (gspec @ ^[GENR_PVARR_348:real]:?[I:num]:(setspec @ GENR_PVARR_348 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (realu_abs @ (d_ @ X @ I)))))).
