%   ORIGINAL: INFNORM_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INFNORM_NEG: !x. infnorm (--x) = infnorm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_NEG_SUB: !x y. --(x - y) = y - x
% Goal: !x y. infnorm (x - y) = infnorm (y - x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. infnorm (--x) = infnorm x
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. --(x - y) = y - x
% Goal: !x y. infnorm (x - y) = infnorm (y - x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq135970, type, cartrealq135970 : $tType).
thf(tq135970, type, q135970 : $tType).
%  CONSTS
thf(cinfnorm, type, infnorm : (cartrealq135970 > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq135970 > cartrealq135970 > cartrealq135970)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq135970 > cartrealq135970)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINFNORMu_NEG, axiom, ![X:cartrealq135970]:((infnorm @ (vectoru_neg @ X)) = (infnorm @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_SUB, axiom, ![X:cartrealq135970,Y:cartrealq135970]:((vectoru_neg @ (vectoru_sub @ X @ Y)) = (vectoru_sub @ Y @ X))).
thf(conjecture, conjecture, ![X:cartrealq135970,Y:cartrealq135970]:((infnorm @ (vectoru_sub @ X @ Y)) = (infnorm @ (vectoru_sub @ Y @ X)))).
