%   ORIGINAL: COMPONENT_LE_INFNORM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: INFNORM_SET_IMAGE: {abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = IMAGE (\i. abs (x$i)) (1..dimindex (:N))
% Assm: INFNORM_SET_LEMMA_conjunct0: FINITE {abs (x$i) | 1 <= i /\ i <= dimindex (:N)}
% Assm: INFNORM_SET_LEMMA_conjunct1: ~({abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = {})
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUP_FINITE: !s. FINITE s /\ ~(s = {}) ==> sup s IN s /\ (!x. x IN s ==> x <= sup s)
% Assm: TRUTH: T
% Assm: infnorm: infnorm x = sup {abs (x$i) | 1 <= i /\ i <= dimindex (:N)}
% Goal: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= infnorm x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. {abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = IMAGE (\i. abs (x$i)) (1..dimindex (:N))
% Assm: !x. FINITE {abs (x$i) | 1 <= i /\ i <= dimindex (:N)}
% Assm: !x. ~({abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = {})
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: ~F <=> T
% Assm: !s. FINITE s /\ ~(s = {}) ==> sup s IN s /\ (!x. x IN s ==> x <= sup s)
% Assm: T
% Assm: !x. infnorm x = sup {abs (x$i) | 1 <= i /\ i <= dimindex (:N)}
% Goal: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= infnorm x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq47565, type, q47565 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq47566, type, q47566 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(cin2, type, in2 : (real > (real > $o) > $o)).
thf(cin1, type, in1 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(cin0, type, in0 : (q47566 > (q47566 > $o) > $o)).
thf(cin, type, in : (q47565 > (q47565 > $o) > $o)).
thf(cinfnorm, type, infnorm : (cartrealn > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage0, type, image0 : ((num > real) > (num > $o) > real > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cimage, type, image : ((q47566 > q47565) > (q47566 > $o) > q47565 > $o)).
thf(cfinite, type, finite : ((real > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (real > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(q47565 > $o),F:(q47566 > q47565),S:(q47566 > $o)]:(![Y:q47565]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:q47566]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aINFNORMu_SETu_IMAGE, axiom, ![X:cartrealn]:((gspec @ ^[GENR_PVARR_347:real]:?[I:num]:(setspec @ GENR_PVARR_347 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (realu_abs @ (d_ @ X @ I)))) = (image0 @ ^[I:num]:(realu_abs @ (d_ @ X @ I)) @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ))))).
thf(aINFNORMu_SETu_LEMMAu_conjunct0, axiom, ![X:cartrealn]:(finite @ (gspec @ ^[GENR_PVARR_348:real]:?[I:num]:(setspec @ GENR_PVARR_348 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (realu_abs @ (d_ @ X @ I)))))).
thf(aINFNORMu_SETu_LEMMAu_conjunct1, axiom, ![X:cartrealn]:~ (((gspec @ ^[GENR_PVARR_349:real]:?[I:num]:(setspec @ GENR_PVARR_349 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (realu_abs @ (d_ @ X @ I)))) = empty))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in1 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUPu_FINITE, axiom, ![S:(real > $o)]:(((finite @ S) & ~ ((S = empty))) => ((in2 @ (sup @ S) @ S) & ![X:real]:((in2 @ X @ S) => (realu_le @ X @ (sup @ S)))))).
thf(aTRUTH, axiom, $true).
thf(ainfnorm, axiom, ![X:cartrealn]:((infnorm @ X) = (sup @ (gspec @ ^[GENR_PVARR_346:real]:?[I:num]:(setspec @ GENR_PVARR_346 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (realu_abs @ (d_ @ X @ I))))))).
thf(conjecture, conjecture, ![X:cartrealn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (realu_abs @ (d_ @ X @ I)) @ (infnorm @ X)))).
