%   ORIGINAL: INFNORM_MUL_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPONENT_LE_INFNORM: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= infnorm x
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: Float.ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: INFNORM_SET_IMAGE: {abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = IMAGE (\i. abs (x$i)) (1..dimindex (:N))
% Assm: INFNORM_SET_LEMMA_conjunct0: FINITE {abs (x$i) | 1 <= i /\ i <= dimindex (:N)}
% Assm: INFNORM_SET_LEMMA_conjunct1: ~({abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = {})
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LMUL: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: REAL_SUP_LE_FINITE: !s a. FINITE s /\ ~(s = {}) ==> (sup s <= a <=> (!x. x IN s ==> x <= a))
% Assm: Real_ext.ABS_POS: !x. &0 <= abs x
% Assm: TRUTH: T
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: infnorm: infnorm x = sup {abs (x$i) | 1 <= i /\ i <= dimindex (:N)}
% Goal: !a x. infnorm (a % x) <= abs a * infnorm x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x i. 1 <= i /\ i <= dimindex (:?136119) ==> abs (x$i) <= infnorm x
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: !x. {abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = IMAGE (\i. abs (x$i)) (1..dimindex (:N))
% Assm: !x. FINITE {abs (x$i) | 1 <= i /\ i <= dimindex (:N)}
% Assm: !x. ~({abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = {})
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: ~F <=> T
% Assm: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: !s a. FINITE s /\ ~(s = {}) ==> (sup s <= a <=> (!x. x IN s ==> x <= a))
% Assm: !x. &0 <= abs x
% Assm: T
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !x. infnorm x = sup {abs (x$i) | 1 <= i /\ i <= dimindex (:?136119)}
% Goal: !a x. infnorm (a % x) <= abs a * infnorm x
%  TYPES
thf(tq136119, type, q136119 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq47565, type, q47565 : $tType).
thf(tb, type, b : $tType).
thf(tq135719, type, q135719 : $tType).
thf(tq47566, type, q47566 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq135719, type, cartrealq135719 : $tType).
thf(tcartrealq136119, type, cartrealq136119 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (n > $o)).
thf(cin2, type, in2 : (real > (real > $o) > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(cin1, type, in1 : (num > (num > $o) > $o)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(cdu_0, type, d_0 : (cartrealq135719 > num > real)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(cin0, type, in0 : (q47566 > (q47566 > $o) > $o)).
thf(cin, type, in : (q47565 > (q47565 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealq136119 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cinfnorm, type, infnorm : (cartrealq136119 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage0, type, image0 : ((num > real) > (num > $o) > real > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cimage, type, image : ((q47566 > q47565) > (q47566 > $o) > q47565 > $o)).
thf(cru_, type, r_ : (real > cartrealq136119 > cartrealq136119)).
thf(cfinite, type, finite : ((real > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((q136119 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (real > $o)).
thf(cuniv, type, univ : (q136119 > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPONENTu_LEu_INFNORM, axiom, ![X:cartrealq136119,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (realu_abs @ (d_ @ X @ I)) @ (infnorm @ X)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(q47565 > $o),F:(q47566 > q47565),S:(q47566 > $o)]:(![Y:q47565]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:q47566]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aFloato_ABSu_MUL, axiom, ![X:real,Y:real]:((realu_abs @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aINFNORMu_SETu_IMAGE, axiom, ![X:cartrealq135719]:((gspec @ ^[GENR_PVARR_347:real]:?[I:num]:(setspec @ GENR_PVARR_347 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) @ (realu_abs @ (d_0 @ X @ I)))) = (image0 @ ^[I:num]:(realu_abs @ (d_0 @ X @ I)) @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0))))).
thf(aINFNORMu_SETu_LEMMAu_conjunct0, axiom, ![X:cartrealn]:(finite @ (gspec @ ^[GENR_PVARR_348:real]:?[I:num]:(setspec @ GENR_PVARR_348 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) @ (realu_abs @ (d_1 @ X @ I)))))).
thf(aINFNORMu_SETu_LEMMAu_conjunct1, axiom, ![X:cartrealn]:~ (((gspec @ ^[GENR_PVARR_349:real]:?[I:num]:(setspec @ GENR_PVARR_349 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) @ (realu_abs @ (d_1 @ X @ I)))) = empty))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in1 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_SUPu_LEu_FINITE, axiom, ![S:(real > $o),A:real]:(((finite @ S) & ~ ((S = empty))) => ((realu_le @ (sup @ S) @ A) <=> ![X:real]:((in2 @ X @ S) => (realu_le @ X @ A))))).
thf(aRealu_exto_ABSu_POS, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ X))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealq136119,I:num]:((d_ @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(ainfnorm, axiom, ![X:cartrealq136119]:((infnorm @ X) = (sup @ (gspec @ ^[GENR_PVARR_346:real]:?[I:num]:(setspec @ GENR_PVARR_346 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (realu_abs @ (d_ @ X @ I))))))).
thf(conjecture, conjecture, ![A:real,X:cartrealq136119]:(realu_le @ (infnorm @ (r_ @ A @ X)) @ (realu_mul @ (realu_abs @ A) @ (infnorm @ X)))).
