%   ORIGINAL: COLLINEAR_3_TRANS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_4_3: !a b c d. ~(a = b) ==> (collinear {a, b, c, d} <=> collinear {a, b, c} /\ collinear {a, b, d})
% Assm: COLLINEAR_SUBSET: !s t. collinear t /\ s SUBSET t ==> collinear s
% Assm: INSERT_AC_conjunct0: x INSERT y INSERT s = y INSERT x INSERT s
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !a b c d. collinear {a, b, c} /\ collinear {b, c, d} /\ ~(b = c) ==> collinear {a, b, d}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b c d. ~(a = b) ==> (collinear {a, b, c, d} <=> collinear {a, b, c} /\ collinear {a, b, d})
% Assm: !s t. collinear t /\ s SUBSET t ==> collinear s
% Assm: !y x s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !a b c d. collinear {a, b, c} /\ collinear {b, c, d} /\ ~(b = c) ==> collinear {a, b, d}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_4u_3, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:(~ ((A = B)) => ((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))) <=> ((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) & (collinear @ (insert @ A @ (insert @ B @ (insert @ D @ empty)))))))).
thf(aCOLLINEARu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((collinear @ T) & (subset @ S @ T)) => (collinear @ S))).
thf(aINSERTu_ACu_conjunct0, axiom, ![Y:cartrealn,X:cartrealn,S:(cartrealn > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:(((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) & (collinear @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) & ~ ((B = C))) => (collinear @ (insert @ A @ (insert @ B @ (insert @ D @ empty)))))).
