%   ORIGINAL: BETWEEN_DOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BETWEEN_NORM: !a b x. between x (a,b) <=> norm (x - a) % (b - x) = norm (b - x) % (x - a)
% Assm: NORM_CAUCHY_SCHWARZ_EQ: !x y. x dot y = norm x * norm y <=> norm x % y = norm y % x
% Assm: TRUTH: T
% Goal: !a b x. between x (a,b) <=> (x - a) dot (b - x) = norm (x - a) * norm (b - x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b x. between x (a,b) <=> norm (x - a) % (b - x) = norm (b - x) % (x - a)
% Assm: !x y. x dot y = norm x * norm y <=> norm x % y = norm y % x
% Assm: T
% Goal: !a b x. between x (a,b) <=> (x - a) dot (b - x) = norm (x - a) * norm (b - x)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cbetween, type, between : (cartrealn > prodcartrealncartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBETWEENu_NORM, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((between @ X @ (c_ @ A @ B)) <=> ((r_ @ (vectoru_norm @ (vectoru_sub @ X @ A)) @ (vectoru_sub @ B @ X)) = (r_ @ (vectoru_norm @ (vectoru_sub @ B @ X)) @ (vectoru_sub @ X @ A))))).
thf(aNORMu_CAUCHYu_SCHWARZu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:(((dot @ X @ Y) = (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y))) <=> ((r_ @ (vectoru_norm @ X) @ Y) = (r_ @ (vectoru_norm @ Y) @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,X:cartrealn]:((between @ X @ (c_ @ A @ B)) <=> ((dot @ (vectoru_sub @ X @ A) @ (vectoru_sub @ B @ X)) = (realu_mul @ (vectoru_norm @ (vectoru_sub @ X @ A)) @ (vectoru_norm @ (vectoru_sub @ B @ X)))))).
