%   ORIGINAL: INJECTIVE_SCALING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct5: !n. _0 = BIT1 n <=> F
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LCANCEL: !a x y. a % x = a % y <=> a = &0 \/ x = y
% Assm: VEC_EQ: !m n. vec m = vec n <=> m = n
% Goal: !c. (!x y. c % x = c % y ==> x = y) <=> ~(c = &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. _0 = BIT1 n <=> F
% Assm: ~F <=> T
% Assm: T
% Assm: !a x y. a % x = a % y <=> a = &0 \/ x = y
% Assm: !m n. vec m = vec n <=> m = n
% Goal: !c. (!x y. c % x = c % y ==> x = y) <=> ~(c = &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct5, axiom, ![N:num]:((u_0 = (bit1 @ N)) <=> $false)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LCANCEL, axiom, ![A:real,X:cartrealn,Y:cartrealn]:(((r_ @ A @ X) = (r_ @ A @ Y)) <=> ((A = (realu_ofu_num @ (numeral @ u_0))) | (X = Y)))).
thf(aVECu_EQ, axiom, ![M:num,N:num]:(((vec @ M) = (vec @ N)) <=> (M = N))).
thf(conjecture, conjecture, ![C:real]:(![X:cartrealn,Y:cartrealn]:(((r_ @ C @ X) = (r_ @ C @ Y)) => (X = Y)) <=> ~ ((C = (realu_ofu_num @ (numeral @ u_0)))))).
