%   ORIGINAL: PRESERVES_NORM_INJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LINEAR_INJECTIVE_0: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: TRUTH: T
% Goal: !f. linear f /\ (!x. norm (f x) = norm x) ==> (!x y. f x = f y ==> x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: T
% Goal: !f. linear f /\ (!x. norm (f x) = norm x) ==> (!x y. f x = f y ==> x = y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cvec0, type, vec0 : (num > cartrealm)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLINEARu_INJECTIVEu_0, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealm]:(((F @ X) = (vec @ (numeral @ u_0))) => (X = (vec0 @ (numeral @ u_0))))))).
thf(aNORMu_EQu_0u_monomorphized1, axiom, ![X:cartrealn]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNORMu_EQu_0u_monomorphized0, axiom, ![X:cartrealm]:(((vectoru_norm0 @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec0 @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)))).
