%   ORIGINAL: ORTHOGONAL_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PRESERVES_NORM_PRESERVES_DOT: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> f x dot f y = x dot y
% Assm: TRUTH: T
% Assm: orthogonal: !x y. orthogonal x y <=> x dot y = &0
% Goal: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> (orthogonal (f x) (f y) <=> orthogonal x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> f x dot f y = x dot y
% Assm: T
% Assm: !x y. orthogonal x y <=> x dot y = &0
% Assm: !x y. orthogonal x y <=> x dot y = &0
% Goal: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> (orthogonal (f x) (f y) <=> orthogonal x y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdot0, type, dot0 : (cartrealm > cartrealm > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(corthogonal0, type, orthogonal0 : (cartrealm > cartrealm > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPRESERVESu_NORMu_PRESERVESu_DOT, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,Y:cartrealm]:(((linear @ F) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((dot @ (F @ X) @ (F @ Y)) = (dot0 @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aorthogonalu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:((orthogonal @ X @ Y) <=> ((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aorthogonalu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm]:((orthogonal0 @ X @ Y) <=> ((dot0 @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),X:cartrealm,Y:cartrealm]:(((linear @ F) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((orthogonal @ (F @ X) @ (F @ Y)) <=> (orthogonal0 @ X @ Y)))).
