%   ORIGINAL: PERMUTES_SWAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Assm: swap: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Goal: !a b s. a IN s /\ b IN s ==> swap (a,b) permutes s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Assm: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Goal: !a b s. a IN s /\ b IN s ==> swap (a,b) permutes s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq144050, type, q144050 : $tType).
thf(tprodq144050q144050, type, prodq144050q144050 : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((q144050 > q144050) > (q144050 > $o) > $o)).
thf(cin, type, in : (q144050 > (q144050 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > q144050 > q144050 > q144050)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(ccu_, type, c_ : (q144050 > q144050 > prodq144050q144050)).
thf(cswap, type, swap : (prodq144050q144050 > q144050 > q144050)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(apermutes, axiom, ![S:(q144050 > $o),P:(q144050 > q144050)]:((permutes @ P @ S) <=> (![X:q144050]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:q144050]:(?[X:q144050]:((P @ X) = Y) & ![X:q144050,XI_:q144050]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(aswap, axiom, ![J:q144050,I:q144050,K:q144050]:((swap @ (c_ @ I @ J) @ K) = (cond0 @ (K = I) @ J @ (cond0 @ (K = J) @ I @ K)))).
thf(conjecture, conjecture, ![A:q144050,B:q144050,S:(q144050 > $o)]:(((in @ A @ S) & (in @ B @ S)) => (permutes @ (swap @ (c_ @ A @ B)) @ S))).
