%   ORIGINAL: PERMUTES_INSERT_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_COMPOSE: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
% Assm: PERMUTES_IN_IMAGE: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: PERMUTES_SUPERSET: !p s t. p permutes s /\ (!x. x IN s DIFF t ==> p x = x) ==> p permutes t
% Assm: PERMUTES_SWAP: !a b s. a IN s /\ b IN s ==> swap (a,b) permutes s
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: swap: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Goal: !p a s. p permutes a INSERT s ==> swap (a,p a) o p permutes s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
% Assm: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: !p s t. p permutes s /\ (!x. x IN s DIFF t ==> p x = x) ==> p permutes t
% Assm: !a b s. a IN s /\ b IN s ==> swap (a,b) permutes s
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Goal: !p a s. p permutes a INSERT s ==> swap (a,p a) o p permutes s
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_COMPOSE, axiom, ![P:(a > a),Q:(a > a),S:(a > $o)]:(((permutes @ P @ S) & (permutes @ Q @ S)) => (permutes @ (o @ Q @ P) @ S))).
thf(aPERMUTESu_INu_IMAGE, axiom, ![P:(a > a),S:(a > $o),X:a]:((permutes @ P @ S) => ((in @ (P @ X) @ S) <=> (in @ X @ S)))).
thf(aPERMUTESu_SUPERSET, axiom, ![P:(a > a),S:(a > $o),T:(a > $o)]:(((permutes @ P @ S) & ![X:a]:((in @ X @ (diff @ S @ T)) => ((P @ X) = X))) => (permutes @ P @ T))).
thf(aPERMUTESu_SWAP, axiom, ![A:a,B:a,S:(a > $o)]:(((in @ A @ S) & (in @ B @ S)) => (permutes @ (swap @ (c_ @ A @ B)) @ S))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(a > a),G:(a > a),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(aswap, axiom, ![J:a,I:a,K:a]:((swap @ (c_ @ I @ J) @ K) = (cond @ (K = I) @ J @ (cond @ (K = J) @ I @ K)))).
thf(conjecture, conjecture, ![P:(a > a),A:a,S:(a > $o)]:((permutes @ P @ (insert @ A @ S)) => (permutes @ (o @ (swap @ (c_ @ A @ (P @ A))) @ P) @ S))).
