%   ORIGINAL: FINITE_PERMUTATIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HAS_SIZE_PERMUTATIONS: !s n. s HAS_SIZE n ==> {p | p permutes s} HAS_SIZE FACT n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. FINITE s ==> FINITE {p | p permutes s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s n. s HAS_SIZE n ==> {p | p permutes s} HAS_SIZE FACT n
% Assm: ~F <=> T
% Assm: T
% Goal: !s. FINITE s ==> FINITE {p | p permutes s}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq144420, type, q144420 : $tType).
%  CONSTS
thf(chasuu_size0, type, hasu_size0 : ((q144420 > $o) > num > $o)).
thf(chasuu_size, type, hasu_size : (((q144420 > q144420) > $o) > num > $o)).
thf(cpermutes, type, permutes : ((q144420 > q144420) > (q144420 > $o) > $o)).
thf(cgspec, type, gspec : (((q144420 > q144420) > $o) > (q144420 > q144420) > $o)).
thf(csetspec, type, setspec : ((q144420 > q144420) > $o > (q144420 > q144420) > $o)).
thf(cfinite0, type, finite0 : (((q144420 > q144420) > $o) > $o)).
thf(cfinite, type, finite : ((q144420 > $o) > $o)).
thf(ccard0, type, card0 : ((q144420 > $o) > num)).
thf(ccard, type, card : (((q144420 > q144420) > $o) > num)).
thf(cfact, type, fact : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_SIZEu_monomorphized1, axiom, ![S:((q144420 > q144420) > $o),N:num]:((hasu_size @ S @ N) <=> ((finite0 @ S) & ((card @ S) = N)))).
thf(aHASu_SIZEu_monomorphized0, axiom, ![S:(q144420 > $o),N:num]:((hasu_size0 @ S @ N) <=> ((finite @ S) & ((card0 @ S) = N)))).
thf(aHASu_SIZEu_PERMUTATIONS, axiom, ![S:(q144420 > $o),N:num]:((hasu_size0 @ S @ N) => (hasu_size @ (gspec @ ^[GENR_PVARR_363:(q144420 > q144420)]:?[P:(q144420 > q144420)]:(setspec @ GENR_PVARR_363 @ (permutes @ P @ S) @ P)) @ (fact @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q144420 > $o)]:((finite @ S) => (finite0 @ (gspec @ ^[GENR_PVARR_364:(q144420 > q144420)]:?[P:(q144420 > q144420)]:(setspec @ GENR_PVARR_364 @ (permutes @ P @ S) @ P))))).
