%   ORIGINAL: PERMUTES_FINITE_INJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SURJECTIVE_IFF_INJECTIVE: !s f. FINITE s /\ IMAGE f s SUBSET s ==> ((!y. y IN s ==> (?x. x IN s /\ f x = y)) <=> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: TRUTH: T
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !s p. FINITE s ==> (p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!x. x IN s ==> p x IN s) /\ (!x y. x IN s /\ y IN s /\ p x = p y ==> x = y))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s f. FINITE s /\ IMAGE f s SUBSET s ==> ((!y. y IN s ==> (?x. x IN s /\ f x = y)) <=> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: T
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !s p. FINITE s ==> (p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!x. x IN s ==> p x IN s) /\ (!x y. x IN s /\ y IN s /\ p x = p y ==> x = y))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cimage, type, image : ((a > a) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(a > $o),F:(a > a),S:(a > $o)]:(![Y:a]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:a]:((in @ X @ S) => (P @ (F @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSURJECTIVEu_IFFu_INJECTIVE, axiom, ![S:(a > $o),F:(a > a)]:(((finite @ S) & (subset @ (image @ F @ S) @ S)) => (![Y:a]:((in @ Y @ S) => ?[X:a]:((in @ X @ S) & ((F @ X) = Y))) <=> ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aTRUTH, axiom, $true).
thf(apermutes, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) <=> (![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:((finite @ S) => ((permutes @ P @ S) <=> (![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![X:a]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((P @ X) = (P @ Y))) => (X = Y)))))).
