%   ORIGINAL: ITERATE_PERMUTE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: ITERATE_BIJECTION: !op. monoidal op ==> (!f p s. (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?!x. x IN s /\ p x = y)) ==> iterate op s f = iterate op s (f o p))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !op. monoidal op ==> (!f p s. p permutes s ==> iterate op s f = iterate op s (f o p))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !op. monoidal op ==> (!f p s. (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?x. x IN s /\ p x = y) /\ (!x x'. (x IN s /\ p x = y) /\ x' IN s /\ p x' = y ==> x = x')) ==> iterate op s f = iterate op s (f o p))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !op. monoidal op ==> (!f p s. p permutes s ==> iterate op s f = iterate op s (f o p))
%  TYPES
thf(tq144699, type, q144699 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq144698, type, q144698 : $tType).
%  CONSTS
thf(cin0, type, in0 : (q144698 > (q144698 > $o) > $o)).
thf(cin, type, in : (q144699 > (q144699 > $o) > $o)).
thf(cpermutes, type, permutes : ((q144698 > q144698) > (q144698 > $o) > $o)).
thf(co0, type, o0 : ((q144699 > q144699) > (q144699 > q144699) > q144699 > q144699)).
thf(citerate0, type, iterate0 : ((q144699 > q144699 > q144699) > (q144699 > $o) > (q144699 > q144699) > q144699)).
thf(co, type, o : ((q144698 > q144699) > (q144698 > q144698) > q144698 > q144699)).
thf(citerate, type, iterate : ((q144699 > q144699 > q144699) > (q144698 > $o) > (q144698 > q144699) > q144699)).
thf(cmonoidal, type, monoidal : ((q144699 > q144699 > q144699) > $o)).
thf(ci, type, i : (q144699 > q144699)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q144699),G:(a > q144699)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aITERATEu_BIJECTION, axiom, ![OP:(q144699 > q144699 > q144699)]:((monoidal @ OP) => ![F:(q144699 > q144699),P:(q144699 > q144699),S:(q144699 > $o)]:((![X:q144699]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![Y:q144699]:((in @ Y @ S) => (?[X:q144699]:((in @ X @ S) & ((P @ X) = Y)) & ![X:q144699,XI_:q144699]:(((in @ X @ S) & ((P @ X) = Y) & (in @ XI_ @ S) & ((P @ XI_) = Y)) => (X = XI_))))) => ((iterate0 @ OP @ S @ F) = (iterate0 @ OP @ S @ (o0 @ F @ P)))))).
thf(aIu_THM, axiom, ![X:q144699]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(apermutes, axiom, ![S:(q144698 > $o),P:(q144698 > q144698)]:((permutes @ P @ S) <=> (![X:q144698]:(~ ((in0 @ X @ S)) => ((P @ X) = X)) & ![Y:q144698]:(?[X:q144698]:((P @ X) = Y) & ![X:q144698,XI_:q144698]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![OP:(q144699 > q144699 > q144699)]:((monoidal @ OP) => ![F:(q144698 > q144699),P:(q144698 > q144698),S:(q144698 > $o)]:((permutes @ P @ S) => ((iterate @ OP @ S @ F) = (iterate @ OP @ S @ (o @ F @ P)))))).
