%   ORIGINAL: NSUM_PERMUTE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_PERMUTE: !op. monoidal op ==> (!f p s. p permutes s ==> iterate op s f = iterate op s (f o p))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !f p s. p permutes s ==> nsum s f = nsum s (f o p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f p s. p permutes s ==> iterate op s f = iterate op s (f o p))
% Assm: monoidal (+)
% Assm: T
% Assm: nsum = iterate (+)
% Goal: !f p s. p permutes s ==> nsum s f = nsum s (f o p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq144730, type, q144730 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : ((q144730 > $o) > (q144730 > num) > num)).
thf(cpermutes, type, permutes : ((q144730 > q144730) > (q144730 > $o) > $o)).
thf(citerate, type, iterate : ((num > num > num) > (q144730 > $o) > (q144730 > num) > num)).
thf(co, type, o : ((q144730 > num) > (q144730 > q144730) > q144730 > num)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_PERMUTE, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(q144730 > num),P:(q144730 > q144730),S:(q144730 > $o)]:((permutes @ P @ S) => ((iterate @ OP @ S @ F) = (iterate @ OP @ S @ (o @ F @ P)))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aTRUTH, axiom, $true).
thf(ansum, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![F:(q144730 > num),P:(q144730 > q144730),S:(q144730 > $o)]:((permutes @ P @ S) => ((nsum @ S @ F) = (nsum @ S @ (o @ F @ P))))).
