%   ORIGINAL: NSUM_PERMUTE_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_PERMUTE: !f p s. p permutes s ==> nsum s f = nsum s (f o p)
% Assm: TRUTH: T
% Goal: !f p m n. p permutes m..n ==> nsum (m..n) f = nsum (m..n) (f o p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !m n. FINITE (m..n)
% Assm: ~F <=> T
% Assm: !f p s. p permutes s ==> nsum s f = nsum s (f o p)
% Assm: T
% Goal: !f p m n. p permutes m..n ==> nsum (m..n) f = nsum (m..n) (f o p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cnsum, type, nsum : ((num > $o) > (num > num) > num)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(co, type, o : ((num > num) > (num > num) > num > num)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_PERMUTE, axiom, ![F:(num > num),P:(num > num),S:(num > $o)]:((permutes @ P @ S) => ((nsum @ S @ F) = (nsum @ S @ (o @ F @ P))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > num),P:(num > num),M:num,N:num]:((permutes @ P @ (o_o_ @ M @ N)) => ((nsum @ (o_o_ @ M @ N) @ F) = (nsum @ (o_o_ @ M @ N) @ (o @ F @ P))))).
