%   ORIGINAL: SUM_PERMUTE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_PERMUTE: !op. monoidal op ==> (!f p s. p permutes s ==> iterate op s f = iterate op s (f o p))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !f p s. p permutes s ==> sum s f = sum s (f o p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f p s. p permutes s ==> iterate op s f = iterate op s (f o p))
% Assm: monoidal (+)
% Assm: T
% Assm: sum = iterate (+)
% Goal: !f p s. p permutes s ==> sum s f = sum s (f o p)
%  TYPES
thf(ta, type, a : $tType).
thf(tq144804, type, q144804 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q144804 > $o) > (q144804 > real) > real)).
thf(cpermutes, type, permutes : ((q144804 > q144804) > (q144804 > $o) > $o)).
thf(citerate, type, iterate : ((real > real > real) > (q144804 > $o) > (q144804 > real) > real)).
thf(co, type, o : ((q144804 > real) > (q144804 > q144804) > q144804 > real)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_PERMUTE, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(q144804 > real),P:(q144804 > q144804),S:(q144804 > $o)]:((permutes @ P @ S) => ((iterate @ OP @ S @ F) = (iterate @ OP @ S @ (o @ F @ P)))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![F:(q144804 > real),P:(q144804 > q144804),S:(q144804 > $o)]:((permutes @ P @ S) => ((sum @ S @ F) = (sum @ S @ (o @ F @ P))))).
