%   ORIGINAL: SUM_PERMUTE_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_PERMUTE: !f p s. p permutes s ==> sum s f = sum s (f o p)
% Assm: TRUTH: T
% Goal: !f p m n. p permutes m..n ==> sum (m..n) f = sum (m..n) (f o p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !m n. FINITE (m..n)
% Assm: ~F <=> T
% Assm: !f p s. p permutes s ==> sum s f = sum s (f o p)
% Assm: T
% Goal: !f p m n. p permutes m..n ==> sum (m..n) f = sum (m..n) (f o p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(co, type, o : ((num > real) > (num > num) > num > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_PERMUTE, axiom, ![F:(num > real),P:(num > num),S:(num > $o)]:((permutes @ P @ S) => ((sum @ S @ F) = (sum @ S @ (o @ F @ P))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),P:(num > num),M:num,N:num]:((permutes @ P @ (o_o_ @ M @ N)) => ((sum @ (o_o_ @ M @ N) @ F) = (sum @ (o_o_ @ M @ N) @ (o @ F @ P))))).
