%   ORIGINAL: SWAP_INDEPENDENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: swap: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Goal: !a b c d. ~(a = c) /\ ~(a = d) /\ ~(b = c) /\ ~(b = d) ==> swap (a,b) o swap (c,d) = swap (c,d) o swap (a,b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Goal: !a b c d. ~(a = c) /\ ~(a = d) /\ ~(b = c) /\ ~(b = d) ==> swap (a,b) o swap (c,d) = swap (c,d) o swap (a,b)
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cswap, type, swap : (prodaa > a > a)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > (a > a) > (a > a) > a > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:(a > a),T2:(a > a)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:a,T2:a]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > a)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > a),G:(a > a)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(a > a),G:(a > a),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(aswap, axiom, ![J:a,I:a,K:a]:((swap @ (c_ @ I @ J) @ K) = (cond0 @ (K = I) @ J @ (cond0 @ (K = J) @ I @ K)))).
thf(conjecture, conjecture, ![A:a,B:a,C:a,D:a]:((~ ((A = C)) & ~ ((A = D)) & ~ ((B = C)) & ~ ((B = D))) => ((o @ (swap @ (c_ @ A @ B)) @ (swap @ (c_ @ C @ D))) = (o @ (swap @ (c_ @ C @ D)) @ (swap @ (c_ @ A @ B)))))).
