%   ORIGINAL: PERMUTATION_SWAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SWAPSEQ_SWAP: !a b. swapseq (if a = b then 0 else 1) (swap (a,b))
% Assm: TRUTH: T
% Assm: permutation: !p. permutation p <=> (?n. swapseq n p)
% Goal: !a b. permutation (swap (a,b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !a b. swapseq (if a = b then 0 else 1) (swap (a,b))
% Assm: T
% Assm: !p. permutation p <=> (?n. swapseq n p)
% Goal: !a b. permutation (swap (a,b))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodq145176q145176, type, prodq145176q145176 : $tType).
thf(tq145176, type, q145176 : $tType).
%  CONSTS
thf(cswapseq, type, swapseq : (num > (q145176 > q145176) > $o)).
thf(ccond0, type, cond0 : ($o > num > num > num)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(ccu_, type, c_ : (q145176 > q145176 > prodq145176q145176)).
thf(cpermutation, type, permutation : ((q145176 > q145176) > $o)).
thf(cswap, type, swap : (prodq145176q145176 > q145176 > q145176)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSWAPSEQu_SWAP, axiom, ![A:q145176,B:q145176]:(swapseq @ (cond0 @ (A = B) @ (numeral @ u_0) @ (numeral @ (bit1 @ u_0))) @ (swap @ (c_ @ A @ B)))).
thf(aTRUTH, axiom, $true).
thf(apermutation, axiom, ![P:(q145176 > q145176)]:((permutation @ P) <=> ?[N:num]:(swapseq @ N @ P))).
thf(conjecture, conjecture, ![A:q145176,B:q145176]:(permutation @ (swap @ (c_ @ A @ B)))).
