%   ORIGINAL: PERMUTATION_COMPOSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SWAPSEQ_COMPOSE: !n p m q. swapseq n p /\ swapseq m q ==> swapseq (n + m) (p o q)
% Assm: TRUTH: T
% Assm: permutation: !p. permutation p <=> (?n. swapseq n p)
% Goal: !p q. permutation p /\ permutation q ==> permutation (p o q)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !n p m q. swapseq n p /\ swapseq m q ==> swapseq (n + m) (p o q)
% Assm: T
% Assm: !p. permutation p <=> (?n. swapseq n p)
% Goal: !p q. permutation p /\ permutation q ==> permutation (p o q)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq145240, type, q145240 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cswapseq, type, swapseq : (num > (q145240 > q145240) > $o)).
thf(co, type, o : ((q145240 > q145240) > (q145240 > q145240) > q145240 > q145240)).
thf(cpermutation, type, permutation : ((q145240 > q145240) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSWAPSEQu_COMPOSE, axiom, ![N:num,P:(q145240 > q145240),M:num,Q:(q145240 > q145240)]:(((swapseq @ N @ P) & (swapseq @ M @ Q)) => (swapseq @ (p_ @ N @ M) @ (o @ P @ Q)))).
thf(aTRUTH, axiom, $true).
thf(apermutation, axiom, ![P:(q145240 > q145240)]:((permutation @ P) <=> ?[N:num]:(swapseq @ N @ P))).
thf(conjecture, conjecture, ![P:(q145240 > q145240),Q:(q145240 > q145240)]:(((permutation @ P) & (permutation @ Q)) => (permutation @ (o @ P @ Q)))).
