%   ORIGINAL: SWAP_GENERAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SWAP_COMMON: !a b c. ~(a = c) /\ ~(b = c) ==> swap (a,b) o swap (a,c) = swap (b,c) o swap (a,b)
% Assm: SWAP_COMMON': !a b c. ~(a = b) /\ ~(a = c) ==> swap (a,c) o swap (b,c) = swap (b,c) o swap (a,b)
% Assm: SWAP_IDEMPOTENT: !a b. swap (a,b) o swap (a,b) = I
% Assm: SWAP_INDEPENDENT: !a b c d. ~(a = c) /\ ~(a = d) /\ ~(b = c) /\ ~(b = d) ==> swap (a,b) o swap (c,d) = swap (c,d) o swap (a,b)
% Assm: SWAP_SYM: !a b. swap (a,b) = swap (b,a)
% Assm: SYMMETRY_LEMMA: (!a b c d. P a b c d ==> P a b d c) /\ (!a b c d. ~(a = b) /\ ~(c = d) /\ (a = c /\ b = d \/ a = c /\ ~(b = d) \/ ~(a = c) /\ b = d \/ ~(a = c) /\ ~(a = d) /\ ~(b = c) /\ ~(b = d)) ==> P a b c d) ==> (!a b c d. ~(a = b) /\ ~(c = d) ==> P a b c d)
% Assm: TRUTH: T
% Goal: !a b c d. ~(a = b) /\ ~(c = d) ==> swap (a,b) o swap (c,d) = I \/ (?x y z. ~(x = a) /\ ~(y = a) /\ ~(z = a) /\ ~(x = y) /\ swap (a,b) o swap (c,d) = swap (x,y) o swap (a,z))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !a b c. ~(a = c) /\ ~(b = c) ==> swap (a,b) o swap (a,c) = swap (b,c) o swap (a,b)
% Assm: !a b c. ~(a = b) /\ ~(a = c) ==> swap (a,c) o swap (b,c) = swap (b,c) o swap (a,b)
% Assm: !a b. swap (a,b) o swap (a,b) = I
% Assm: !a b c d. ~(a = c) /\ ~(a = d) /\ ~(b = c) /\ ~(b = d) ==> swap (a,b) o swap (c,d) = swap (c,d) o swap (a,b)
% Assm: !a b. swap (a,b) = swap (b,a)
% Assm: !P. (!a b c d. P a b c d ==> P a b d c) /\ (!a b c d. ~(a = b) /\ ~(c = d) /\ (a = c /\ b = d \/ a = c /\ ~(b = d) \/ ~(a = c) /\ b = d \/ ~(a = c) /\ ~(a = d) /\ ~(b = c) /\ ~(b = d)) ==> P a b c d) ==> (!a b c d. ~(a = b) /\ ~(c = d) ==> P a b c d)
% Assm: !P. (!a b c d. P a b c d ==> P a b d c) /\ (!a b c d. ~(a = b) /\ ~(c = d) /\ (a = c /\ b = d \/ a = c /\ ~(b = d) \/ ~(a = c) /\ b = d \/ ~(a = c) /\ ~(a = d) /\ ~(b = c) /\ ~(b = d)) ==> P a b c d) ==> (!a b c d. ~(a = b) /\ ~(c = d) ==> P a b c d)
% Assm: T
% Goal: !a b c d. ~(a = b) /\ ~(c = d) ==> swap (a,b) o swap (c,d) = I \/ (?x y z. ~(x = a) /\ ~(y = a) /\ ~(z = a) /\ ~(x = y) /\ swap (a,b) o swap (c,d) = swap (x,y) o swap (a,z))
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cswap, type, swap : (prodaa > a > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > a)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSWAPu_COMMON, axiom, ![A:a,B:a,C:a]:((~ ((A = C)) & ~ ((B = C))) => ((o @ (swap @ (c_ @ A @ B)) @ (swap @ (c_ @ A @ C))) = (o @ (swap @ (c_ @ B @ C)) @ (swap @ (c_ @ A @ B)))))).
thf(aSWAPu_COMMONi_, axiom, ![A:a,B:a,C:a]:((~ ((A = B)) & ~ ((A = C))) => ((o @ (swap @ (c_ @ A @ C)) @ (swap @ (c_ @ B @ C))) = (o @ (swap @ (c_ @ B @ C)) @ (swap @ (c_ @ A @ B)))))).
thf(aSWAPu_IDEMPOTENT, axiom, ![A:a,B:a]:((o @ (swap @ (c_ @ A @ B)) @ (swap @ (c_ @ A @ B))) = i)).
thf(aSWAPu_INDEPENDENT, axiom, ![A:a,B:a,C:a,D:a]:((~ ((A = C)) & ~ ((A = D)) & ~ ((B = C)) & ~ ((B = D))) => ((o @ (swap @ (c_ @ A @ B)) @ (swap @ (c_ @ C @ D))) = (o @ (swap @ (c_ @ C @ D)) @ (swap @ (c_ @ A @ B)))))).
thf(aSWAPu_SYM, axiom, ![A:a,B:a]:((swap @ (c_ @ A @ B)) = (swap @ (c_ @ B @ A)))).
thf(aSYMMETRYu_LEMMAu_monomorphized1, axiom, ![P:((a > a) > (a > a) > (a > a) > (a > a) > $o)]:((![A:(a > a),B:(a > a),C:(a > a),D:(a > a)]:((P @ A @ B @ C @ D) => (P @ A @ B @ D @ C)) & ![A:(a > a),B:(a > a),C:(a > a),D:(a > a)]:((~ ((A = B)) & ~ ((C = D)) & (((A = C) & (B = D)) | ((A = C) & ~ ((B = D))) | (~ ((A = C)) & (B = D)) | (~ ((A = C)) & ~ ((A = D)) & ~ ((B = C)) & ~ ((B = D))))) => (P @ A @ B @ C @ D))) => ![A:(a > a),B:(a > a),C:(a > a),D:(a > a)]:((~ ((A = B)) & ~ ((C = D))) => (P @ A @ B @ C @ D)))).
thf(aSYMMETRYu_LEMMAu_monomorphized0, axiom, ![P:(a > a > a > a > $o)]:((![A:a,B:a,C:a,D:a]:((P @ A @ B @ C @ D) => (P @ A @ B @ D @ C)) & ![A:a,B:a,C:a,D:a]:((~ ((A = B)) & ~ ((C = D)) & (((A = C) & (B = D)) | ((A = C) & ~ ((B = D))) | (~ ((A = C)) & (B = D)) | (~ ((A = C)) & ~ ((A = D)) & ~ ((B = C)) & ~ ((B = D))))) => (P @ A @ B @ C @ D))) => ![A:a,B:a,C:a,D:a]:((~ ((A = B)) & ~ ((C = D))) => (P @ A @ B @ C @ D)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:a,B:a,C:a,D:a]:((~ ((A = B)) & ~ ((C = D))) => (((o @ (swap @ (c_ @ A @ B)) @ (swap @ (c_ @ C @ D))) = i) | ?[X:a,Y:a,Z:a]:(~ ((X = A)) & ~ ((Y = A)) & ~ ((Z = A)) & ~ ((X = Y)) & ((o @ (swap @ (c_ @ A @ B)) @ (swap @ (c_ @ C @ D))) = (o @ (swap @ (c_ @ X @ Y)) @ (swap @ (c_ @ A @ Z)))))))).
