%   ORIGINAL: FIXING_SWAPSEQ_DECREASE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: SUC_INJ: !m n. SUC m = SUC n <=> m = n
% Assm: SUC_SUB1: !n. SUC n - 1 = n
% Assm: SWAP_GENERAL: !a b c d. ~(a = b) /\ ~(c = d) ==> swap (a,b) o swap (c,d) = I \/ (?x y z. ~(x = a) /\ ~(y = a) /\ ~(z = a) /\ ~(x = y) /\ swap (a,b) o swap (c,d) = swap (x,y) o swap (a,z))
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: swap: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Assm: swapseq_CASES: !a0 a1. swapseq a0 a1 <=> a0 = 0 /\ a1 = I \/ (?a b p n. a0 = SUC n /\ a1 = swap (a,b) o p /\ swapseq n p /\ ~(a = b))
% Assm: swapseq_RULES: swapseq 0 I /\ (!a b p n. swapseq n p /\ ~(a = b) ==> swapseq (SUC n) (swap (a,b) o p))
% Goal: !n p a b. swapseq n p /\ ~(a = b) /\ (swap (a,b) o p) a = a ==> ~(n = 0) /\ swapseq (n - 1) (swap (a,b) o p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f. I o f = f /\ f o I = f
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !n. ~(SUC n = 0)
% Assm: !m n. SUC m = SUC n <=> m = n
% Assm: !n. SUC n - 1 = n
% Assm: !a b c d. ~(a = b) /\ ~(c = d) ==> swap (a,b) o swap (c,d) = I \/ (?x y z. ~(x = a) /\ ~(y = a) /\ ~(z = a) /\ ~(x = y) /\ swap (a,b) o swap (c,d) = swap (x,y) o swap (a,z))
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g h. f o g o h = (f o g) o h
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Assm: !a0 a1. swapseq a0 a1 <=> a0 = 0 /\ a1 = I \/ (?a b p n. a0 = SUC n /\ a1 = swap (a,b) o p /\ swapseq n p /\ ~(a = b))
% Assm: swapseq 0 I /\ (!a b p n. swapseq n p /\ ~(a = b) ==> swapseq (SUC n) (swap (a,b) o p))
% Goal: !n p a b. swapseq n p /\ ~(a = b) /\ (swap (a,b) o p) a = a ==> ~(n = 0) /\ swapseq (n - 1) (swap (a,b) o p)
%  TYPES
thf(tnum, type, num : $tType).
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(cswapseq, type, swapseq : (num > (a > a) > $o)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(ci0, type, i0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:a,T2:a]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aIu_THMu_monomorphized1, axiom, ![X:num]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aSUCu_INJ, axiom, ![M:num,N:num]:(((suc @ M) = (suc @ N)) <=> (M = N))).
thf(aSUCu_SUB1, axiom, ![N:num]:((m_ @ (suc @ N) @ (numeral @ (bit1 @ u_0))) = N)).
thf(aSWAPu_GENERAL, axiom, ![A:a,B:a,C:a,D:a]:((~ ((A = B)) & ~ ((C = D))) => (((o @ (swap @ (c_ @ A @ B)) @ (swap @ (c_ @ C @ D))) = i) | ?[X:a,Y:a,Z:a]:(~ ((X = A)) & ~ ((Y = A)) & ~ ((Z = A)) & ~ ((X = Y)) & ((o @ (swap @ (c_ @ A @ B)) @ (swap @ (c_ @ C @ D))) = (o @ (swap @ (c_ @ X @ Y)) @ (swap @ (c_ @ A @ Z)))))))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_ASSOC, axiom, ![F:(a > a),G:(a > a),H:(a > a)]:((o @ F @ (o @ G @ H)) = (o @ (o @ F @ G) @ H))).
thf(aou_THM, axiom, ![F:(a > a),G:(a > a),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(aswap, axiom, ![J:a,I:a,K:a]:((swap @ (c_ @ I @ J) @ K) = (cond0 @ (K = I) @ J @ (cond0 @ (K = J) @ I @ K)))).
thf(aswapsequ_CASES, axiom, ![A0:num,A1:(a > a)]:((swapseq @ A0 @ A1) <=> (((A0 = (numeral @ u_0)) & (A1 = i)) | ?[A:a,B:a,P:(a > a),N:num]:((A0 = (suc @ N)) & (A1 = (o @ (swap @ (c_ @ A @ B)) @ P)) & (swapseq @ N @ P) & ~ ((A = B)))))).
thf(aswapsequ_RULES, axiom, ((swapseq @ (numeral @ u_0) @ i) & ![A:a,B:a,P:(a > a),N:num]:(((swapseq @ N @ P) & ~ ((A = B))) => (swapseq @ (suc @ N) @ (o @ (swap @ (c_ @ A @ B)) @ P))))).
thf(conjecture, conjecture, ![N:num,P:(a > a),A:a,B:a]:(((swapseq @ N @ P) & ~ ((A = B)) & ((o @ (swap @ (c_ @ A @ B)) @ P @ A) = A)) => (~ ((N = (numeral @ u_0))) & (swapseq @ (m_ @ N @ (numeral @ (bit1 @ u_0))) @ (o @ (swap @ (c_ @ A @ B)) @ P))))).
