%   ORIGINAL: EVENPERM_SWAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EVEN_conjunct0: !n. EVEN (NUMERAL n) <=> EVEN n
% Assm: ARITH_EVEN_conjunct3: !n. EVEN (BIT1 n) <=> F
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVENPERM_UNIQUE: !n p b. swapseq n p /\ (EVEN n <=> b) ==> (evenperm p <=> b)
% Assm: EVEN_conjunct0: EVEN 0 <=> T
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SWAPSEQ_SWAP: !a b. swapseq (if a = b then 0 else 1) (swap (a,b))
% Assm: TRUTH: T
% Goal: !a b. evenperm (swap (a,b)) <=> a = b
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !n. EVEN (NUMERAL n) <=> EVEN n
% Assm: !n. EVEN (BIT1 n) <=> F
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !n p b. swapseq n p /\ (EVEN n <=> b) ==> (evenperm p <=> b)
% Assm: EVEN 0 <=> T
% Assm: ~F <=> T
% Assm: !a b. swapseq (if a = b then 0 else 1) (swap (a,b))
% Assm: T
% Goal: !a b. evenperm (swap (a,b)) <=> a = b
%  TYPES
thf(tnum, type, num : $tType).
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cswapseq, type, swapseq : (num > (a > a) > $o)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(ccond1, type, cond1 : ($o > num > num > num)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > $o > $o > $o)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(ceven, type, even : (num > $o)).
thf(cevenperm, type, evenperm : ((a > a) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_EVENu_conjunct0, axiom, ![N:num]:((even @ (numeral @ N)) <=> (even @ N))).
thf(aARITHu_EVENu_conjunct3, axiom, ![N:num]:((even @ (bit1 @ N)) <=> $false)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:$o,T2:$o]:(((cond @ $true @ T1 @ T2) <=> T1) & ((cond @ $false @ T1 @ T2) <=> T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:a,T2:a]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEVENPERMu_UNIQUE, axiom, ![N:num,P:(a > a),B:$o]:(((swapseq @ N @ P) & ((even @ N) <=> B)) => ((evenperm @ P) <=> B))).
thf(aEVENu_conjunct0, axiom, ((even @ (numeral @ u_0)) <=> $true)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSWAPSEQu_SWAP, axiom, ![A:a,B:a]:(swapseq @ (cond1 @ (A = B) @ (numeral @ u_0) @ (numeral @ (bit1 @ u_0))) @ (swap @ (c_ @ A @ B)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:a,B:a]:((evenperm @ (swap @ (c_ @ A @ B))) <=> (A = B))).
