%   ORIGINAL: EVENPERM_COMPOSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EVENPERM_UNIQUE: !n p b. swapseq n p /\ (EVEN n <=> b) ==> (evenperm p <=> b)
% Assm: EVEN_ADD: !m n. EVEN (m + n) <=> EVEN m <=> EVEN n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SWAPSEQ_COMPOSE: !n p m q. swapseq n p /\ swapseq m q ==> swapseq (n + m) (p o q)
% Assm: TRUTH: T
% Assm: permutation: !p. permutation p <=> (?n. swapseq n p)
% Goal: !p q. permutation p /\ permutation q ==> (evenperm (p o q) <=> evenperm p <=> evenperm q)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n p b. swapseq n p /\ (EVEN n <=> b) ==> (evenperm p <=> b)
% Assm: !m n. EVEN (m + n) <=> EVEN m <=> EVEN n
% Assm: ~F <=> T
% Assm: !n p m q. swapseq n p /\ swapseq m q ==> swapseq (n + m) (p o q)
% Assm: T
% Assm: !p. permutation p <=> (?n. swapseq n p)
% Goal: !p q. permutation p /\ permutation q ==> (evenperm (p o q) <=> evenperm p <=> evenperm q)
%  TYPES
thf(tnum, type, num : $tType).
thf(tq145978, type, q145978 : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cswapseq, type, swapseq : (num > (q145978 > q145978) > $o)).
thf(co, type, o : ((q145978 > q145978) > (q145978 > q145978) > q145978 > q145978)).
thf(ceven, type, even : (num > $o)).
thf(cevenperm, type, evenperm : ((q145978 > q145978) > $o)).
thf(cpermutation, type, permutation : ((q145978 > q145978) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEVENPERMu_UNIQUE, axiom, ![N:num,P:(q145978 > q145978),B:$o]:(((swapseq @ N @ P) & ((even @ N) <=> B)) => ((evenperm @ P) <=> B))).
thf(aEVENu_ADD, axiom, ![M:num,N:num]:((even @ (p_ @ M @ N)) <=> ((even @ M) <=> (even @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSWAPSEQu_COMPOSE, axiom, ![N:num,P:(q145978 > q145978),M:num,Q:(q145978 > q145978)]:(((swapseq @ N @ P) & (swapseq @ M @ Q)) => (swapseq @ (p_ @ N @ M) @ (o @ P @ Q)))).
thf(aTRUTH, axiom, $true).
thf(apermutation, axiom, ![P:(q145978 > q145978)]:((permutation @ P) <=> ?[N:num]:(swapseq @ N @ P))).
thf(conjecture, conjecture, ![P:(q145978 > q145978),Q:(q145978 > q145978)]:(((permutation @ P) & (permutation @ Q)) => ((evenperm @ (o @ P @ Q)) <=> ((evenperm @ P) <=> (evenperm @ Q))))).
