%   ORIGINAL: EVENPERM_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVENPERM_UNIQUE: !n p b. swapseq n p /\ (EVEN n <=> b) ==> (evenperm p <=> b)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SWAPSEQ_INVERSE: !n p. swapseq n p ==> swapseq n (inverse p)
% Assm: TRUTH: T
% Assm: permutation: !p. permutation p <=> (?n. swapseq n p)
% Goal: !p. permutation p ==> (evenperm (inverse p) <=> evenperm p)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !n p b. swapseq n p /\ (EVEN n <=> b) ==> (evenperm p <=> b)
% Assm: ~F <=> T
% Assm: !n p. swapseq n p ==> swapseq n (inverse p)
% Assm: T
% Assm: !p. permutation p <=> (?n. swapseq n p)
% Goal: !p. permutation p ==> (evenperm (inverse p) <=> evenperm p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq146004, type, q146004 : $tType).
%  CONSTS
thf(cswapseq, type, swapseq : (num > (q146004 > q146004) > $o)).
thf(ceven, type, even : (num > $o)).
thf(cevenperm, type, evenperm : ((q146004 > q146004) > $o)).
thf(cpermutation, type, permutation : ((q146004 > q146004) > $o)).
thf(cinverse, type, inverse : ((q146004 > q146004) > q146004 > q146004)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEVENPERMu_UNIQUE, axiom, ![N:num,P:(q146004 > q146004),B:$o]:(((swapseq @ N @ P) & ((even @ N) <=> B)) => ((evenperm @ P) <=> B))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSWAPSEQu_INVERSE, axiom, ![N:num,P:(q146004 > q146004)]:((swapseq @ N @ P) => (swapseq @ N @ (inverse @ P)))).
thf(aTRUTH, axiom, $true).
thf(apermutation, axiom, ![P:(q146004 > q146004)]:((permutation @ P) <=> ?[N:num]:(swapseq @ N @ P))).
thf(conjecture, conjecture, ![P:(q146004 > q146004)]:((permutation @ P) => ((evenperm @ (inverse @ P)) <=> (evenperm @ P)))).
