%   ORIGINAL: PERMUTATION_BIJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SWAPSEQ_INVERSE_EXISTS: !n p. swapseq n p ==> (?q. swapseq n q /\ p o q = I /\ q o p = I)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: permutation: !p. permutation p <=> (?n. swapseq n p)
% Goal: !p. permutation p ==> (!y. ?!x. p x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !n p. swapseq n p ==> (?q. swapseq n q /\ p o q = I /\ q o p = I)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !p. permutation p <=> (?n. swapseq n p)
% Goal: !p. permutation p ==> (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq146032, type, q146032 : $tType).
%  CONSTS
thf(cswapseq0, type, swapseq0 : (num > (q146032 > q146032) > $o)).
thf(cswapseq, type, swapseq : (num > (a > a) > $o)).
thf(co0, type, o0 : ((b > q146032) > (a > b) > a > q146032)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpermutation, type, permutation : ((q146032 > q146032) > $o)).
thf(ci, type, i : (q146032 > q146032)).
thf(ci0, type, i0 : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q146032),G:(a > q146032)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > q146032),G:(a > q146032)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:q146032]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSWAPSEQu_INVERSEu_EXISTS, axiom, ![N:num,P:(a > a)]:((swapseq @ N @ P) => ?[Q:(a > a)]:((swapseq @ N @ Q) & ((o @ P @ Q) = i0) & ((o @ Q @ P) = i0)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > q146032),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(apermutation, axiom, ![P:(q146032 > q146032)]:((permutation @ P) <=> ?[N:num]:(swapseq0 @ N @ P))).
thf(conjecture, conjecture, ![P:(q146032 > q146032)]:((permutation @ P) => ![Y:q146032]:(?[X:q146032]:((P @ X) = Y) & ![X:q146032,XI_:q146032]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_))))).
