%   ORIGINAL: PERMUTATION_FINITE_SUPPORT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: permutation: !p. permutation p <=> (?n. swapseq n p)
% Assm: swap: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Assm: swapseq_INDUCT: !swapseq'. swapseq' 0 I /\ (!a b p n. swapseq' n p /\ ~(a = b) ==> swapseq' (SUC n) (swap (a,b) o p)) ==> (!a0 a1. swapseq a0 a1 ==> swapseq' a0 a1)
% Goal: !p. permutation p ==> FINITE {x | ~(p x = x)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE {}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !p. permutation p <=> (?n. swapseq n p)
% Assm: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Assm: !swapseq'. swapseq' 0 I /\ (!a b p n. swapseq' n p /\ ~(a = b) ==> swapseq' (SUC n) (swap (a,b) o p)) ==> (!a0 a1. swapseq a0 a1 ==> swapseq' a0 a1)
% Goal: !p. permutation p ==> FINITE {x | ~(p x = x)}
%  TYPES
thf(tnum, type, num : $tType).
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cswapseq, type, swapseq : (num > (a > a) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(co0, type, o0 : ((a > a) > (a > a) > a > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((b > a) > (a > b) > a > a)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cpermutation, type, permutation : ((a > a) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_INSERT, axiom, ![S:(a > $o),X:a]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > a),G:(a > b),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(apermutation, axiom, ![P:(a > a)]:((permutation @ P) <=> ?[N:num]:(swapseq @ N @ P))).
thf(aswap, axiom, ![J:a,I:a,K:a]:((swap @ (c_ @ I @ J) @ K) = (cond @ (K = I) @ J @ (cond @ (K = J) @ I @ K)))).
thf(aswapsequ_INDUCT, axiom, ![SWAPSEQI_:(num > (a > a) > $o)]:(((SWAPSEQI_ @ (numeral @ u_0) @ i) & ![A:a,B:a,P:(a > a),N:num]:(((SWAPSEQI_ @ N @ P) & ~ ((A = B))) => (SWAPSEQI_ @ (suc @ N) @ (o0 @ (swap @ (c_ @ A @ B)) @ P)))) => ![A0:num,A1:(a > a)]:((swapseq @ A0 @ A1) => (SWAPSEQI_ @ A0 @ A1)))).
thf(conjecture, conjecture, ![P:(a > a)]:((permutation @ P) => (finite @ (gspec @ ^[GENR_PVARR_368:a]:?[X:a]:(setspec @ GENR_PVARR_368 @ ~ (((P @ X) = X)) @ X))))).
