%   ORIGINAL: PERMUTATION_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: PERMUTATION_COMPOSE: !p q. permutation p /\ permutation q ==> permutation (p o q)
% Assm: PERMUTATION_I: permutation I
% Assm: PERMUTATION_SWAP: !a b. permutation (swap (a,b))
% Assm: SWAP_IDEMPOTENT: !a b. swap (a,b) o swap (a,b) = I
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: swap: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Goal: !s p. FINITE s /\ (!y. ?!x. p x = y) /\ (!x. ~(x IN s) ==> p x = x) ==> permutation p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !f. I o f = f /\ f o I = f
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !p q. permutation p /\ permutation q ==> permutation (p o q)
% Assm: permutation I
% Assm: !a b. permutation (swap (a,b))
% Assm: !a b. swap (a,b) o swap (a,b) = I
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !j i k. swap (i,j) k = (if k = i then j else if k = j then i else k)
% Goal: !s p. FINITE s /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x')) /\ (!x. ~(x IN s) ==> p x = x) ==> permutation p
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(tq143648, type, q143648 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(td, type, d : $tType).
thf(tprodq143648q143648, type, prodq143648q143648 : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cswap0, type, swap0 : (prodq143648q143648 > q143648 > q143648)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(co7, type, o7 : ((b > a) > (a > b) > a > a)).
thf(co6, type, o6 : ((c > d) > (b > c) > b > d)).
thf(co5, type, o5 : ((b > d) > (a > b) > a > d)).
thf(co4, type, o4 : ((b > c) > (a > b) > a > c)).
thf(co3, type, o3 : ((c > d) > (a > c) > a > d)).
thf(ccu_0, type, c_0 : (q143648 > q143648 > prodq143648q143648)).
thf(co2, type, o2 : ((q143648 > q143648) > (q143648 > q143648) > q143648 > q143648)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co1, type, o1 : ((a > a) > (a > a) > a > a)).
thf(co0, type, o0 : ((a > b) > (a > a) > a > b)).
thf(co, type, o : ((b > b) > (a > b) > a > b)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cpermutation, type, permutation : ((a > a) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci1, type, i1 : (q143648 > q143648)).
thf(cempty, type, empty : (a > $o)).
thf(ci0, type, i0 : (a > a)).
thf(ci, type, i : (b > b)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > a),G:(a > a)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_Ou_ID, axiom, ![F:(a > b)]:(((o @ i @ F) = F) & ((o0 @ F @ i0) = F))).
thf(aIu_THM, axiom, ![X:a]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aPERMUTATIONu_COMPOSE, axiom, ![P:(a > a),Q:(a > a)]:(((permutation @ P) & (permutation @ Q)) => (permutation @ (o1 @ P @ Q)))).
thf(aPERMUTATIONu_I, axiom, (permutation @ i0)).
thf(aPERMUTATIONu_SWAP, axiom, ![A:a,B:a]:(permutation @ (swap @ (c_ @ A @ B)))).
thf(aSWAPu_IDEMPOTENT, axiom, ![A:q143648,B:q143648]:((o2 @ (swap0 @ (c_0 @ A @ B)) @ (swap0 @ (c_0 @ A @ B))) = i1)).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(c > d),G:(b > c),H:(a > b)]:((o3 @ F @ (o4 @ G @ H)) = (o5 @ (o6 @ F @ G) @ H))).
thf(aou_THM, axiom, ![F:(b > a),G:(a > b),X:a]:((o7 @ F @ G @ X) = (F @ (G @ X)))).
thf(aswap, axiom, ![J:a,I:a,K:a]:((swap @ (c_ @ I @ J) @ K) = (cond @ (K = I) @ J @ (cond @ (K = J) @ I @ K)))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:(((finite @ S) & ![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_))) & ![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X))) => (permutation @ P))).
