%   ORIGINAL: PERMUTATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: PERMUTATION_BIJECTIVE: !p. permutation p ==> (!y. ?!x. p x = y)
% Assm: PERMUTATION_FINITE_SUPPORT: !p. permutation p ==> FINITE {x | ~(p x = x)}
% Assm: PERMUTATION_LEMMA: !s p. FINITE s /\ (!y. ?!x. p x = y) /\ (!x. ~(x IN s) ==> p x = x) ==> permutation p
% Assm: TRUTH: T
% Goal: !p. permutation p <=> (!y. ?!x. p x = y) /\ FINITE {x | ~(p x = x)}
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p. permutation p ==> (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Assm: !p. permutation p ==> FINITE {x | ~(p x = x)}
% Assm: !s p. FINITE s /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x')) /\ (!x. ~(x IN s) ==> p x = x) ==> permutation p
% Assm: T
% Goal: !p. permutation p <=> (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x')) /\ FINITE {x | ~(p x = x)}
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cpermutation, type, permutation : ((a > a) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aPERMUTATIONu_BIJECTIVE, axiom, ![P:(a > a)]:((permutation @ P) => ![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_))))).
thf(aPERMUTATIONu_FINITEu_SUPPORT, axiom, ![P:(a > a)]:((permutation @ P) => (finite @ (gspec @ ^[GENR_PVARR_368:a]:?[X:a]:(setspec @ GENR_PVARR_368 @ ~ (((P @ X) = X)) @ X))))).
thf(aPERMUTATIONu_LEMMA, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & ![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_))) & ![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X))) => (permutation @ P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(a > a)]:((permutation @ P) <=> (![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_))) & (finite @ (gspec @ ^[GENR_PVARR_370:a]:?[X:a]:(setspec @ GENR_PVARR_370 @ ~ (((P @ X) = X)) @ X)))))).
