%   ORIGINAL: PERMUTATION_INVERSE_COMPOSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INVERSE_UNIQUE_o: !f g. f o g = I /\ g o f = I ==> inverse f = g
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: PERMUTATION_INVERSE_WORKS: !p. permutation p ==> inverse p o p = I /\ p o inverse p = I
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Goal: !p q. permutation p /\ permutation q ==> inverse (p o q) = inverse q o inverse p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f o g = I /\ g o f = I ==> inverse f = g
% Assm: !f. I o f = f /\ f o I = f
% Assm: !p. permutation p ==> inverse p o p = I /\ p o inverse p = I
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Goal: !p q. permutation p /\ permutation q ==> inverse (p o q) = inverse q o inverse p
%  TYPES
thf(ta, type, a : $tType).
thf(tq146377, type, q146377 : $tType).
%  CONSTS
thf(ci, type, i : (q146377 > q146377)).
thf(cinverse, type, inverse : ((q146377 > q146377) > q146377 > q146377)).
thf(co, type, o : ((q146377 > q146377) > (q146377 > q146377) > q146377 > q146377)).
thf(cpermutation, type, permutation : ((q146377 > q146377) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q146377 > q146377),G:(a > q146377 > q146377)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINVERSEu_UNIQUEu_o, axiom, ![F:(q146377 > q146377),G:(q146377 > q146377)]:((((o @ F @ G) = i) & ((o @ G @ F) = i)) => ((inverse @ F) = G))).
thf(aIu_Ou_ID, axiom, ![F:(q146377 > q146377)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aPERMUTATIONu_INVERSEu_WORKS, axiom, ![P:(q146377 > q146377)]:((permutation @ P) => (((o @ (inverse @ P) @ P) = i) & ((o @ P @ (inverse @ P)) = i)))).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(q146377 > q146377),G:(q146377 > q146377),H:(q146377 > q146377)]:((o @ F @ (o @ G @ H)) = (o @ (o @ F @ G) @ H))).
thf(conjecture, conjecture, ![P:(q146377 > q146377),Q:(q146377 > q146377)]:(((permutation @ P) & (permutation @ Q)) => ((inverse @ (o @ P @ Q)) = (o @ (inverse @ Q) @ (inverse @ P))))).
