%   ORIGINAL: PERMUTATION_COMPOSE_EQ_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: PERMUTATION_COMPOSE: !p q. permutation p /\ permutation q ==> permutation (p o q)
% Assm: PERMUTATION_INVERSE: !p. permutation p ==> permutation (inverse p)
% Assm: PERMUTATION_INVERSE_WORKS: !p. permutation p ==> inverse p o p = I /\ p o inverse p = I
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Goal: !p q. permutation p ==> (permutation (p o q) <=> permutation q)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. I o f = f /\ f o I = f
% Assm: !p q. permutation p /\ permutation q ==> permutation (p o q)
% Assm: !p. permutation p ==> permutation (inverse p)
% Assm: !p. permutation p ==> inverse p o p = I /\ p o inverse p = I
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Goal: !p q. permutation p ==> (permutation (p o q) <=> permutation q)
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpermutation, type, permutation : ((a > a) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aPERMUTATIONu_COMPOSE, axiom, ![P:(a > a),Q:(a > a)]:(((permutation @ P) & (permutation @ Q)) => (permutation @ (o @ P @ Q)))).
thf(aPERMUTATIONu_INVERSE, axiom, ![P:(a > a)]:((permutation @ P) => (permutation @ (inverse @ P)))).
thf(aPERMUTATIONu_INVERSEu_WORKS, axiom, ![P:(a > a)]:((permutation @ P) => (((o @ (inverse @ P) @ P) = i) & ((o @ P @ (inverse @ P)) = i)))).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(a > a),G:(a > a),H:(a > a)]:((o @ F @ (o @ G @ H)) = (o @ (o @ F @ G) @ H))).
thf(conjecture, conjecture, ![P:(a > a),Q:(a > a)]:((permutation @ P) => ((permutation @ (o @ P @ Q)) <=> (permutation @ Q)))).
