%   ORIGINAL: PERMUTATION_COMPOSE_SWAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTATION_COMPOSE_EQ_conjunct0: !p q. permutation p ==> (permutation (p o q) <=> permutation q)
% Assm: PERMUTATION_COMPOSE_EQ_conjunct1: !p q. permutation q ==> (permutation (p o q) <=> permutation p)
% Assm: PERMUTATION_SWAP: !a b. permutation (swap (a,b))
% Assm: TRUTH: T
% Goal: (!p a b. permutation (swap (a,b) o p) <=> permutation p) /\ (!p a b. permutation (p o swap (a,b)) <=> permutation p)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p q. permutation p ==> (permutation (p o q) <=> permutation q)
% Assm: !p q. permutation q ==> (permutation (p o q) <=> permutation p)
% Assm: !a b. permutation (swap (a,b))
% Assm: T
% Goal: (!p a b. permutation (swap (a,b) o p) <=> permutation p) /\ (!p a b. permutation (p o swap (a,b)) <=> permutation p)
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cswap, type, swap : (prodaa > a > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpermutation, type, permutation : ((a > a) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTATIONu_COMPOSEu_EQu_conjunct0, axiom, ![P:(a > a),Q:(a > a)]:((permutation @ P) => ((permutation @ (o @ P @ Q)) <=> (permutation @ Q)))).
thf(aPERMUTATIONu_COMPOSEu_EQu_conjunct1, axiom, ![P:(a > a),Q:(a > a)]:((permutation @ Q) => ((permutation @ (o @ P @ Q)) <=> (permutation @ P)))).
thf(aPERMUTATIONu_SWAP, axiom, ![A:a,B:a]:(permutation @ (swap @ (c_ @ A @ B)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (![P:(a > a),A:a,B:a]:((permutation @ (o @ (swap @ (c_ @ A @ B)) @ P)) <=> (permutation @ P)) & ![P:(a > a),A:a,B:a]:((permutation @ (o @ P @ (swap @ (c_ @ A @ B)))) <=> (permutation @ P)))).
