%   ORIGINAL: PERMUTATION_PERMUTES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTATION: !p. permutation p <=> (!y. ?!x. p x = y) /\ FINITE {x | ~(p x = x)}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !p. permutation p <=> (?s. FINITE s /\ p permutes s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !p. permutation p <=> (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x')) /\ FINITE {x | ~(p x = x)}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !p. permutation p <=> (?s. FINITE s /\ p permutes s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cpermutation, type, permutation : ((a > a) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTATION, axiom, ![P:(a > a)]:((permutation @ P) <=> (![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_))) & (finite @ (gspec0 @ ^[GENR_PVARR_370:a]:?[X:a]:(setspec0 @ GENR_PVARR_370 @ ~ (((P @ X) = X)) @ X)))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(apermutes, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) <=> (![X:a]:(~ ((in0 @ X @ S)) => ((P @ X) = X)) & ![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![P:(a > a)]:((permutation @ P) <=> ?[S:(a > $o)]:((finite @ S) & (permutes @ P @ S)))).
