%   ORIGINAL: PERMUTES_INDUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTATION_COMPOSE: !p q. permutation p /\ permutation q ==> permutation (p o q)
% Assm: PERMUTATION_PERMUTES: !p. permutation p <=> (?s. FINITE s /\ p permutes s)
% Assm: PERMUTATION_SWAP: !a b. permutation (swap (a,b))
% Assm: PERMUTES_EMPTY: !p. p permutes {} <=> p = I
% Assm: PERMUTES_INSERT_LEMMA: !p a s. p permutes a INSERT s ==> swap (a,p a) o p permutes s
% Assm: PERMUTES_IN_IMAGE: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: SWAP_IDEMPOTENT: !a b. swap (a,b) o swap (a,b) = I
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Goal: !P s. FINITE s /\ P I /\ (!a b p. a IN s /\ b IN s /\ P p /\ permutation p ==> P (swap (a,b) o p)) ==> (!p. p permutes s ==> P p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !f. I o f = f /\ f o I = f
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !p q. permutation p /\ permutation q ==> permutation (p o q)
% Assm: !p. permutation p <=> (?s. FINITE s /\ p permutes s)
% Assm: !a b. permutation (swap (a,b))
% Assm: !p. p permutes {} <=> p = I
% Assm: !p a s. p permutes a INSERT s ==> swap (a,p a) o p permutes s
% Assm: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: !a b. swap (a,b) o swap (a,b) = I
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Goal: !P s. FINITE s /\ P I /\ (!a b p. a IN s /\ b IN s /\ P p /\ permutation p ==> P (swap (a,b) o p)) ==> (!p. p permutes s ==> P p)
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpermutation, type, permutation : ((a > a) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aFINITEu_INSERT, axiom, ![S:(a > $o),X:a]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTATIONu_COMPOSE, axiom, ![P:(a > a),Q:(a > a)]:(((permutation @ P) & (permutation @ Q)) => (permutation @ (o @ P @ Q)))).
thf(aPERMUTATIONu_PERMUTES, axiom, ![P:(a > a)]:((permutation @ P) <=> ?[S:(a > $o)]:((finite @ S) & (permutes @ P @ S)))).
thf(aPERMUTATIONu_SWAP, axiom, ![A:a,B:a]:(permutation @ (swap @ (c_ @ A @ B)))).
thf(aPERMUTESu_EMPTY, axiom, ![P:(a > a)]:((permutes @ P @ empty) <=> (P = i))).
thf(aPERMUTESu_INSERTu_LEMMA, axiom, ![P:(a > a),A:a,S:(a > $o)]:((permutes @ P @ (insert @ A @ S)) => (permutes @ (o @ (swap @ (c_ @ A @ (P @ A))) @ P) @ S))).
thf(aPERMUTESu_INu_IMAGE, axiom, ![P:(a > a),S:(a > $o),X:a]:((permutes @ P @ S) => ((in @ (P @ X) @ S) <=> (in @ X @ S)))).
thf(aSWAPu_IDEMPOTENT, axiom, ![A:a,B:a]:((o @ (swap @ (c_ @ A @ B)) @ (swap @ (c_ @ A @ B))) = i)).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(a > a),G:(a > a),H:(a > a)]:((o @ F @ (o @ G @ H)) = (o @ (o @ F @ G) @ H))).
thf(conjecture, conjecture, ![P:((a > a) > $o),S:(a > $o)]:(((finite @ S) & (P @ i) & ![A:a,B:a,P0:(a > a)]:(((in @ A @ S) & (in @ B @ S) & (P @ P0) & (permutation @ P0)) => (P @ (o @ (swap @ (c_ @ A @ B)) @ P0)))) => ![P0:(a > a)]:((permutes @ P0 @ S) => (P @ P0)))).
