%   ORIGINAL: SIGN_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EVENPERM_INVERSE: !p. permutation p ==> (evenperm (inverse p) <=> evenperm p)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: sign: !p. sign p = (if evenperm p then &1 else -- &1)
% Goal: !p. permutation p ==> sign (inverse p) = sign p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !p. permutation p ==> (evenperm (inverse p) <=> evenperm p)
% Assm: ~F <=> T
% Assm: T
% Assm: !p. sign p = (if evenperm p then &1 else -- &1)
% Goal: !p. permutation p ==> sign (inverse p) = sign p
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq146695, type, q146695 : $tType).
%  CONSTS
thf(csign, type, sign : ((q146695 > q146695) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cevenperm, type, evenperm : ((q146695 > q146695) > $o)).
thf(cpermutation, type, permutation : ((q146695 > q146695) > $o)).
thf(cinverse, type, inverse : ((q146695 > q146695) > q146695 > q146695)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aEVENPERMu_INVERSE, axiom, ![P:(q146695 > q146695)]:((permutation @ P) => ((evenperm @ (inverse @ P)) <=> (evenperm @ P)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(asign, axiom, ![P:(q146695 > q146695)]:((sign @ P) = (cond @ (evenperm @ P) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(conjecture, conjecture, ![P:(q146695 > q146695)]:((permutation @ P) => ((sign @ (inverse @ P)) = (sign @ P)))).
