%   ORIGINAL: PERMUTES_NUMSET_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LT_REFL: !n. ~(n < n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: PERMUTES_INJECTIVE: !p s. p permutes s ==> (!x y. p x = p y <=> x = y)
% Assm: TRUTH: T
% Assm: num_WF: !P. (!n. (!m. m < n ==> P m) ==> P n) ==> (!n. P n)
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !p s. p permutes s /\ (!i. i IN s ==> p i <= i) ==> p = I
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !n. ~(n < n)
% Assm: ~F <=> T
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: !p s. p permutes s ==> (!x y. p x = p y <=> x = y)
% Assm: T
% Assm: !P. (!n. (!m. m < n ==> P m) ==> P n) ==> (!n. P n)
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !p s. p permutes s /\ (!i. i IN s ==> p i <= i) ==> p = I
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(ci, type, i : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num > num),G:(a > num > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(num > num)]:(^[X:num]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(num > num),G:(num > num)]:((F = G) <=> ![X:num]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:num]:((i @ X) = X)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLTu_REFL, axiom, ![N:num]:~ ((l_ @ N @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aPERMUTESu_INJECTIVE, axiom, ![P:(num > num),S:(num > $o)]:((permutes @ P @ S) => ![X:num,Y:num]:(((P @ X) = (P @ Y)) <=> (X = Y)))).
thf(aTRUTH, axiom, $true).
thf(anumu_WF, axiom, ![P:(num > $o)]:(![N:num]:(![M:num]:((l_ @ M @ N) => (P @ M)) => (P @ N)) => ![N:num]:(P @ N))).
thf(apermutes, axiom, ![S:(num > $o),P:(num > num)]:((permutes @ P @ S) <=> (![X:num]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:num]:(?[X:num]:((P @ X) = Y) & ![X:num,XI_:num]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![P:(num > num),S:(num > $o)]:(((permutes @ P @ S) & ![I:num]:((in @ I @ S) => (l_a_ @ (P @ I) @ I))) => (P = i))).
