%   ORIGINAL: PERMUTES_NUMSET_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INVERSE_I: inverse I = I
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: PERMUTES_INVERSES: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: PERMUTES_INVERSE_INVERSE: !p. p permutes s ==> inverse (inverse p) = p
% Assm: PERMUTES_IN_IMAGE: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: PERMUTES_NUMSET_LE: !p s. p permutes s /\ (!i. i IN s ==> p i <= i) ==> p = I
% Assm: TRUTH: T
% Goal: !p s. p permutes s /\ (!i. i IN s ==> i <= p i) ==> p = I
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: inverse I = I
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: !s p. p permutes s ==> inverse (inverse p) = p
% Assm: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: !p s. p permutes s /\ (!i. i IN s ==> p i <= i) ==> p = I
% Assm: T
% Goal: !p s. p permutes s /\ (!i. i IN s ==> i <= p i) ==> p = I
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cinverse, type, inverse : ((num > num) > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(ci, type, i : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num > num),G:(a > num > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(num > num)]:(^[X:num]:(T @ X) = T)).
thf(aINVERSEu_I, axiom, ((inverse @ i) = i)).
thf(aIu_THM, axiom, ![X:num]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSE, axiom, ![P:(num > num),S:(num > $o)]:((permutes @ P @ S) => (permutes @ (inverse @ P) @ S))).
thf(aPERMUTESu_INVERSES, axiom, ![P:(num > num),S:(num > $o)]:((permutes @ P @ S) => (![X:num]:((P @ (inverse @ P @ X)) = X) & ![X:num]:((inverse @ P @ (P @ X)) = X)))).
thf(aPERMUTESu_INVERSEu_INVERSE, axiom, ![S:(num > $o),P:(num > num)]:((permutes @ P @ S) => ((inverse @ (inverse @ P)) = P))).
thf(aPERMUTESu_INu_IMAGE, axiom, ![P:(num > num),S:(num > $o),X:num]:((permutes @ P @ S) => ((in @ (P @ X) @ S) <=> (in @ X @ S)))).
thf(aPERMUTESu_NUMSETu_LE, axiom, ![P:(num > num),S:(num > $o)]:(((permutes @ P @ S) & ![I:num]:((in @ I @ S) => (l_a_ @ (P @ I) @ I))) => (P = i))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > num),S:(num > $o)]:(((permutes @ P @ S) & ![I:num]:((in @ I @ S) => (l_a_ @ I @ (P @ I)))) => (P = i))).
