%   ORIGINAL: IMAGE_INVERSE_PERMUTATIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: PERMUTES_INVERSE_INVERSE: !p. p permutes s ==> inverse (inverse p) = p
% Assm: TRUTH: T
% Goal: !s. {inverse p | p permutes s} = {p | p permutes s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: !s p. p permutes s ==> inverse (inverse p) = p
% Assm: T
% Goal: !s. {inverse p | p permutes s} = {p | p permutes s}
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : ((a > a) > ((a > a) > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cgspec, type, gspec : (((a > a) > $o) > (a > a) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(csetspec, type, setspec : ((a > a) > $o > (a > a) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (a > a) > $o),G:(a > (a > a) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:((a > a) > $o)]:(^[X:(a > a)]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:((a > a) > $o),T:((a > a) > $o)]:((S = T) <=> ![X:(a > a)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > a) > $o) > $o),X:(a > a)]:((in @ X @ (gspec @ ^[V:(a > a)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > a)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((a > a) > $o),X:(a > a)]:((in @ X @ (gspec @ ^[V:(a > a)]:?[Y:(a > a)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSE, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (permutes @ (inverse @ P) @ S))).
thf(aPERMUTESu_INVERSEu_INVERSE, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ((inverse @ (inverse @ P)) = P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o)]:((gspec @ ^[GENR_PVARR_372:(a > a)]:?[P:(a > a)]:(setspec @ GENR_PVARR_372 @ (permutes @ P @ S) @ (inverse @ P))) = (gspec @ ^[GENR_PVARR_373:(a > a)]:?[P:(a > a)]:(setspec @ GENR_PVARR_373 @ (permutes @ P @ S) @ P)))).
