%   ORIGINAL: IMAGE_COMPOSE_PERMUTATIONS_R
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_COMPOSE: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: PERMUTES_INVERSES_o: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Goal: !s q. q permutes s ==> {p o q | p permutes s} = {p | p permutes s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !f. I o f = f /\ f o I = f
% Assm: ~F <=> T
% Assm: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Goal: !s q. q permutes s ==> {p o q | p permutes s} = {p | p permutes s}
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : ((a > a) > ((a > a) > $o) > $o)).
thf(cgspec, type, gspec : (((a > a) > $o) > (a > a) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(csetspec, type, setspec : ((a > a) > $o > (a > a) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (a > a) > $o),G:(a > (a > a) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:((a > a) > $o),T:((a > a) > $o)]:((S = T) <=> ![X:(a > a)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > a) > $o) > $o),X:(a > a)]:((in @ X @ (gspec @ ^[V:(a > a)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > a)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((a > a) > $o),X:(a > a)]:((in @ X @ (gspec @ ^[V:(a > a)]:?[Y:(a > a)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_COMPOSE, axiom, ![P:(a > a),Q:(a > a),S:(a > $o)]:(((permutes @ P @ S) & (permutes @ Q @ S)) => (permutes @ (o @ Q @ P) @ S))).
thf(aPERMUTESu_INVERSE, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (permutes @ (inverse @ P) @ S))).
thf(aPERMUTESu_INVERSESu_o, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (((o @ P @ (inverse @ P)) = i) & ((o @ (inverse @ P) @ P) = i)))).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(a > a),G:(a > a),H:(a > a)]:((o @ F @ (o @ G @ H)) = (o @ (o @ F @ G) @ H))).
thf(conjecture, conjecture, ![S:(a > $o),Q:(a > a)]:((permutes @ Q @ S) => ((gspec @ ^[GENR_PVARR_376:(a > a)]:?[P:(a > a)]:(setspec @ GENR_PVARR_376 @ (permutes @ P @ S) @ (o @ P @ Q))) = (gspec @ ^[GENR_PVARR_377:(a > a)]:?[P:(a > a)]:(setspec @ GENR_PVARR_377 @ (permutes @ P @ S) @ P))))).
