%   ORIGINAL: PERMUTES_IN_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !p n i. p permutes 1..n /\ i IN 1..n ==> 1 <= p i /\ p i <= n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: ~F <=> T
% Assm: T
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !p n i. p permutes 1..n /\ i IN 1..n ==> 1 <= p i /\ p i <= n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(apermutes, axiom, ![S:(num > $o),P:(num > num)]:((permutes @ P @ S) <=> (![X:num]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:num]:(?[X:num]:((P @ X) = Y) & ![X:num,XI_:num]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![P:(num > num),N:num,I:num]:(((permutes @ P @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (in @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N))) => ((l_a_ @ (numeral @ (bit1 @ u_0)) @ (P @ I)) & (l_a_ @ (P @ I) @ N)))).
