%   ORIGINAL: SUM_PERMUTATIONS_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_INVERSE_PERMUTATIONS: !s. {inverse p | p permutes s} = {p | p permutes s}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSE_INVERSE: !p. p permutes s ==> inverse (inverse p) = p
% Assm: SUM_IMAGE: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> sum (IMAGE f s) g = sum s (g o f)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f m n. sum {p | p permutes m..n} f = sum {p | p permutes m..n} (\p. f (inverse p))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. {inverse p | p permutes s} = {p | p permutes s}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: !s p. p permutes s ==> inverse (inverse p) = p
% Assm: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> sum (IMAGE f s) g = sum s (g o f)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f m n. sum {p | p permutes m..n} f = sum {p | p permutes m..n} (\p. f (inverse p))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((real > $o) > (real > real) > real)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cin0, type, in0 : ((num > num) > ((num > num) > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinverse, type, inverse : ((num > num) > num > num)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(cgspec, type, gspec : (((num > num) > $o) > (num > num) > $o)).
thf(csum, type, sum : (((num > num) > $o) > ((num > num) > real) > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(cimage, type, image : ((a > real) > (a > $o) > real > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : ((num > num) > $o > (num > num) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGEu_INVERSEu_PERMUTATIONS, axiom, ![S:(num > $o)]:((gspec @ ^[GENR_PVARR_372:(num > num)]:?[P:(num > num)]:(setspec @ GENR_PVARR_372 @ (permutes @ P @ S) @ (inverse @ P))) = (gspec @ ^[GENR_PVARR_373:(num > num)]:?[P:(num > num)]:(setspec @ GENR_PVARR_373 @ (permutes @ P @ S) @ P)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (num > num) > $o) > $o),X:(num > num)]:((in0 @ X @ (gspec @ ^[V:(num > num)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(num > num)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((num > num) > $o),X:(num > num)]:((in0 @ X @ (gspec @ ^[V:(num > num)]:?[Y:(num > num)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:real,S:(a > $o),F:(a > real)]:((in1 @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSEu_INVERSE, axiom, ![S:(num > $o),P:(num > num)]:((permutes @ P @ S) => ((inverse @ (inverse @ P)) = P))).
thf(aSUMu_IMAGE, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(![X:real,Y:real]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((sum0 @ (image0 @ F @ S) @ G) = (sum0 @ S @ (o @ G @ F))))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:((num > num) > real),M:num,N:num]:((sum @ (gspec @ ^[GENR_PVARR_380:(num > num)]:?[P:(num > num)]:(setspec @ GENR_PVARR_380 @ (permutes @ P @ (o_o_ @ M @ N)) @ P)) @ F) = (sum @ (gspec @ ^[GENR_PVARR_381:(num > num)]:?[P:(num > num)]:(setspec @ GENR_PVARR_381 @ (permutes @ P @ (o_o_ @ M @ N)) @ P)) @ ^[P:(num > num)]:(F @ (inverse @ P))))).
