%   ORIGINAL: SUM_PERMUTATIONS_COMPOSE_R
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_COMPOSE_PERMUTATIONS_R: !s q. q permutes s ==> {p o q | p permutes s} = {p | p permutes s}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSES_o: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: SUM_IMAGE: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> sum (IMAGE f s) g = sum s (g o f)
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f m n q. q permutes m..n ==> sum {p | p permutes m..n} f = sum {p | p permutes m..n} (\p. f (p o q))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s q. q permutes s ==> {p o q | p permutes s} = {p | p permutes s}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !f. I o f = f /\ f o I = f
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> sum (IMAGE f s) g = sum s (g o f)
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f m n q. q permutes m..n ==> sum {p | p permutes m..n} f = sum {p | p permutes m..n} (\p. f (p o q))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((real > $o) > (real > real) > real)).
thf(cinverse, type, inverse : ((num > num) > num > num)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cin0, type, in0 : ((num > num) > ((num > num) > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : (((num > num) > $o) > (num > num) > $o)).
thf(csum, type, sum : (((num > num) > $o) > ((num > num) > real) > real)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(co0, type, o0 : ((real > real) > (real > real) > real > real)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(cimage, type, image : ((a > real) > (a > $o) > real > $o)).
thf(co, type, o : ((num > num) > (num > num) > num > num)).
thf(csetspec, type, setspec : ((num > num) > $o > (num > num) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(ci, type, i : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGEu_COMPOSEu_PERMUTATIONSu_R, axiom, ![S:(num > $o),Q:(num > num)]:((permutes @ Q @ S) => ((gspec @ ^[GENR_PVARR_376:(num > num)]:?[P:(num > num)]:(setspec @ GENR_PVARR_376 @ (permutes @ P @ S) @ (o @ P @ Q))) = (gspec @ ^[GENR_PVARR_377:(num > num)]:?[P:(num > num)]:(setspec @ GENR_PVARR_377 @ (permutes @ P @ S) @ P))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (num > num) > $o) > $o),X:(num > num)]:((in0 @ X @ (gspec @ ^[V:(num > num)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(num > num)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((num > num) > $o),X:(num > num)]:((in0 @ X @ (gspec @ ^[V:(num > num)]:?[Y:(num > num)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:real,S:(a > $o),F:(a > real)]:((in1 @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_Ou_ID, axiom, ![F:(num > num)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSESu_o, axiom, ![P:(num > num),S:(num > $o)]:((permutes @ P @ S) => (((o @ P @ (inverse @ P)) = i) & ((o @ (inverse @ P) @ P) = i)))).
thf(aSUMu_IMAGE, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(![X:real,Y:real]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((sum0 @ (image0 @ F @ S) @ G) = (sum0 @ S @ (o0 @ G @ F))))).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(num > num),G:(num > num),H:(num > num)]:((o @ F @ (o @ G @ H)) = (o @ (o @ F @ G) @ H))).
thf(aou_DEF, axiom, ![F:(num > num),G:(num > num)]:((o @ F @ G) = ^[X:num]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:((num > num) > real),M:num,N:num,Q:(num > num)]:((permutes @ Q @ (o_o_ @ M @ N)) => ((sum @ (gspec @ ^[GENR_PVARR_388:(num > num)]:?[P:(num > num)]:(setspec @ GENR_PVARR_388 @ (permutes @ P @ (o_o_ @ M @ N)) @ P)) @ F) = (sum @ (gspec @ ^[GENR_PVARR_389:(num > num)]:?[P:(num > num)]:(setspec @ GENR_PVARR_389 @ (permutes @ P @ (o_o_ @ M @ N)) @ P)) @ ^[P:(num > num)]:(F @ (o @ P @ Q)))))).
