%   ORIGINAL: REAL_LE_REVERSE_INTEGERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_CASES_INTEGERS: !x y. integer x /\ integer y ==> x <= y \/ y + &1 <= x
% Assm: TRUTH: T
% Goal: !x y. integer x /\ integer y /\ ~(y + &1 <= x) ==> x <= y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. integer x /\ integer y ==> x <= y \/ y + &1 <= x
% Assm: T
% Goal: !x y. integer x /\ integer y /\ ~(y + &1 <= x) ==> x <= y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_CASESu_INTEGERS, axiom, ![X:real,Y:real]:(((integer @ X) & (integer @ Y)) => ((realu_le @ X @ Y) | (realu_le @ (realu_add @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:(((integer @ X) & (integer @ Y) & ~ ((realu_le @ (realu_add @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))) => (realu_le @ X @ Y))).
