%   ORIGINAL: INTEGER_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTEGER_CLOSED_conjunct0: !n. integer (&n)
% Assm: INTEGER_CLOSED_conjunct1: !x y. integer x /\ integer y ==> integer (x + y)
% Assm: INTEGER_CLOSED_conjunct2: !x y. integer x /\ integer y ==> integer (x - y)
% Assm: INTEGER_CLOSED_conjunct3: !x y. integer x /\ integer y ==> integer (x * y)
% Assm: INTEGER_CLOSED_conjunct4: !x r. integer x ==> integer (x pow r)
% Assm: INTEGER_CLOSED_conjunct5: !x. integer x ==> integer (--x)
% Assm: INTEGER_CLOSED_conjunct6: !x. integer x ==> integer (abs x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: TRUTH: T
% Goal: !x. integer (--x) <=> integer x
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !n. integer (&n)
% Assm: !x y. integer x /\ integer y ==> integer (x + y)
% Assm: !x y. integer x /\ integer y ==> integer (x - y)
% Assm: !x y. integer x /\ integer y ==> integer (x * y)
% Assm: !x r. integer x ==> integer (x pow r)
% Assm: !x. integer x ==> integer (--x)
% Assm: !x. integer x ==> integer (abs x)
% Assm: ~F <=> T
% Assm: !x. -- --x = x
% Assm: T
% Goal: !x. integer (--x) <=> integer x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinteger, type, integer : (real > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTEGERu_CLOSEDu_conjunct0, axiom, ![N:num]:(integer @ (realu_ofu_num @ N))).
thf(aINTEGERu_CLOSEDu_conjunct1, axiom, ![X:real,Y:real]:(((integer @ X) & (integer @ Y)) => (integer @ (realu_add @ X @ Y)))).
thf(aINTEGERu_CLOSEDu_conjunct2, axiom, ![X:real,Y:real]:(((integer @ X) & (integer @ Y)) => (integer @ (realu_sub @ X @ Y)))).
thf(aINTEGERu_CLOSEDu_conjunct3, axiom, ![X:real,Y:real]:(((integer @ X) & (integer @ Y)) => (integer @ (realu_mul @ X @ Y)))).
thf(aINTEGERu_CLOSEDu_conjunct4, axiom, ![X:real,R:num]:((integer @ X) => (integer @ (realu_pow @ X @ R)))).
thf(aINTEGERu_CLOSEDu_conjunct5, axiom, ![X:real]:((integer @ X) => (integer @ (realu_neg @ X)))).
thf(aINTEGERu_CLOSEDu_conjunct6, axiom, ![X:real]:((integer @ X) => (integer @ (realu_abs @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((integer @ (realu_neg @ X)) <=> (integer @ X))).
