%   ORIGINAL: INTEGER_ABS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: INTEGER_NEG: !x. integer (--x) <=> integer x
% Assm: TRUTH: T
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Goal: !x. integer (abs x) <=> integer x
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x. integer (--x) <=> integer x
% Assm: T
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Goal: !x. integer (abs x) <=> integer x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aINTEGERu_NEG, axiom, ![X:real]:((integer @ (realu_neg @ X)) <=> (integer @ X))).
thf(aTRUTH, axiom, $true).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond0 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(conjecture, conjecture, ![X:real]:((integer @ (realu_abs @ X)) <=> (integer @ X))).
