%   ORIGINAL: INTEGER_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGER_CLOSED_conjunct0: !n. integer (&n)
% Assm: INTEGER_CLOSED_conjunct1: !x y. integer x /\ integer y ==> integer (x + y)
% Assm: SUM_CLOSED: !P f s. P (&0) /\ (!x y. P x /\ P y ==> P (x + y)) /\ (!a. a IN s ==> P (f a)) ==> P (sum s f)
% Assm: TRUTH: T
% Goal: !f s. (!x. x IN s ==> integer (f x)) ==> integer (sum s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. integer (&n)
% Assm: !x y. integer x /\ integer y ==> integer (x + y)
% Assm: !P f s. P (&0) /\ (!x y. P x /\ P y ==> P (x + y)) /\ (!a. a IN s ==> P (f a)) ==> P (sum s f)
% Assm: T
% Goal: !f s. (!x. x IN s ==> integer (f x)) ==> integer (sum s f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGERu_CLOSEDu_conjunct0, axiom, ![N:num]:(integer @ (realu_ofu_num @ N))).
thf(aINTEGERu_CLOSEDu_conjunct1, axiom, ![X:real,Y:real]:(((integer @ X) & (integer @ Y)) => (integer @ (realu_add @ X @ Y)))).
thf(aSUMu_CLOSED, axiom, ![P:(real > $o),F:(a > real),S:(a > $o)]:(((P @ (realu_ofu_num @ (numeral @ u_0))) & ![X:real,Y:real]:(((P @ X) & (P @ Y)) => (P @ (realu_add @ X @ Y))) & ![A:a]:((in @ A @ S) => (P @ (F @ A)))) => (P @ (sum @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > real),S:(a > $o)]:(![X:a]:((in @ X @ S) => (integer @ (F @ X))) => (integer @ (sum @ S @ F)))).
