%   ORIGINAL: INTEGER_ABS_MUL_EQ_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: MULT_EQ_1: !m n. m * n = 1 <=> m = 1 /\ n = 1
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: TRUTH: T
% Assm: integer: !x. integer x <=> (?n. abs x = &n)
% Goal: !x y. integer x /\ integer y ==> (abs (x * y) = &1 <=> abs x = &1 /\ abs y = &1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: !m n. m * n = 1 <=> m = 1 /\ n = 1
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m * &n = &(m * n)
% Assm: T
% Assm: !x. integer x <=> (?n. abs x = &n)
% Goal: !x y. integer x /\ integer y ==> (abs (x * y) = &1 <=> abs x = &1 /\ abs y = &1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_ABSu_MUL, axiom, ![X:real,Y:real]:((realu_abs @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aMULTu_EQu_1, axiom, ![M:num,N:num]:(((t_ @ M @ N) = (numeral @ (bit1 @ u_0))) <=> ((M = (numeral @ (bit1 @ u_0))) & (N = (numeral @ (bit1 @ u_0)))))).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aTRUTH, axiom, $true).
thf(ainteger, axiom, ![X:real]:((integer @ X) <=> ?[N:num]:((realu_abs @ X) = (realu_ofu_num @ N)))).
thf(conjecture, conjecture, ![X:real,Y:real]:(((integer @ X) & (integer @ Y)) => (((realu_abs @ (realu_mul @ X @ Y)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) <=> (((realu_abs @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((realu_abs @ Y) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))))).
