%   ORIGINAL: RATIONAL_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RATIONAL_ADD: !x y. rational x /\ rational y ==> rational (x + y)
% Assm: RATIONAL_NEG: !x. rational x ==> rational (--x)
% Assm: TRUTH: T
% Assm: real_sub: !x y. x - y = x + --y
% Goal: !x y. rational x /\ rational y ==> rational (x - y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. rational x /\ rational y ==> rational (x + y)
% Assm: !x. rational x ==> rational (--x)
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !x y. rational x /\ rational y ==> rational (x - y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crational, type, rational : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRATIONALu_ADD, axiom, ![X:real,Y:real]:(((rational @ X) & (rational @ Y)) => (rational @ (realu_add @ X @ Y)))).
thf(aRATIONALu_NEG, axiom, ![X:real]:((rational @ X) => (rational @ (realu_neg @ X)))).
thf(aTRUTH, axiom, $true).
thf(arealu_sub, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_neg @ Y)))).
thf(conjecture, conjecture, ![X:real,Y:real]:(((rational @ X) & (rational @ Y)) => (rational @ (realu_sub @ X @ Y)))).
