%   ORIGINAL: RATIONAL_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RATIONAL_INV: !x. rational x ==> rational (inv x)
% Assm: RATIONAL_MUL: !x y. rational x /\ rational y ==> rational (x * y)
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !x y. rational x /\ rational y ==> rational (x / y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. rational x ==> rational (inv x)
% Assm: !x y. rational x /\ rational y ==> rational (x * y)
% Assm: T
% Assm: !x y. x / y = x * inv y
% Goal: !x y. rational x /\ rational y ==> rational (x / y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crational, type, rational : (real > $o)).
thf(crealuu_inv, type, realu_inv : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRATIONALu_INV, axiom, ![X:real]:((rational @ X) => (rational @ (realu_inv @ X)))).
thf(aRATIONALu_MUL, axiom, ![X:real,Y:real]:(((rational @ X) & (rational @ Y)) => (rational @ (realu_mul @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![X:real,Y:real]:(((rational @ X) & (rational @ Y)) => (rational @ (realu_div @ X @ Y)))).
