%   ORIGINAL: FLOOR_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FLOOR_UNIQUE: !x a. integer a /\ a <= x /\ x < a + &1 <=> floor x = a
% Assm: INTEGER_CLOSED_conjunct0: !n. integer (&n)
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: TRUTH: T
% Goal: !x. floor x = &0 <=> &0 <= x /\ x < &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x a. integer a /\ a <= x /\ x < a + &1 <=> floor x = a
% Assm: !n. integer (&n)
% Assm: !x. &0 + x = x
% Assm: T
% Goal: !x. floor x = &0 <=> &0 <= x /\ x < &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(cfloor, type, floor : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFLOORu_UNIQUE, axiom, ![X:real,A:real]:(((integer @ A) & (realu_le @ A @ X) & (realu_lt @ X @ (realu_add @ A @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) <=> ((floor @ X) = A))).
thf(aINTEGERu_CLOSEDu_conjunct0, axiom, ![N:num]:(integer @ (realu_ofu_num @ N))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(((floor @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
