%   ORIGINAL: FLOOR_POS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FLOOR: !x. integer (floor x) /\ floor x <= x /\ x < floor x + &1
% Assm: INTEGER_CLOSED_conjunct0: !n. integer (&n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_FLOOR: !x n. integer n ==> (n <= floor x <=> n <= x)
% Assm: TRUTH: T
% Assm: integer: !x. integer x <=> (?n. abs x = &n)
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Goal: !x. &0 <= x ==> (?n. floor x = &n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x. integer (floor x) /\ floor x <= x /\ x < floor x + &1
% Assm: !n. integer (&n)
% Assm: ~F <=> T
% Assm: !x n. integer n ==> (n <= floor x <=> n <= x)
% Assm: T
% Assm: !x. integer x <=> (?n. abs x = &n)
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Goal: !x. &0 <= x ==> (?n. floor x = &n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cfloor, type, floor : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFLOOR, axiom, ![X:real]:((integer @ (floor @ X)) & (realu_le @ (floor @ X) @ X) & (realu_lt @ X @ (realu_add @ (floor @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aINTEGERu_CLOSEDu_conjunct0, axiom, ![N:num]:(integer @ (realu_ofu_num @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_FLOOR, axiom, ![X:real,N:real]:((integer @ N) => ((realu_le @ N @ (floor @ X)) <=> (realu_le @ N @ X)))).
thf(aTRUTH, axiom, $true).
thf(ainteger, axiom, ![X:real]:((integer @ X) <=> ?[N:num]:((realu_abs @ X) = (realu_ofu_num @ N)))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(conjecture, conjecture, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ?[N:num]:((floor @ X) = (realu_ofu_num @ N)))).
