%   ORIGINAL: REAL_FRAC_POS_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FRAC_FLOOR: !x. frac x = x - floor x
% Assm: REAL_FLOOR_LT: !x. floor x < x <=> ~integer x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: TRUTH: T
% Goal: !x. &0 < frac x <=> ~integer x
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. frac x = x - floor x
% Assm: !x. floor x < x <=> ~integer x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: T
% Goal: !x. &0 < frac x <=> ~integer x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(cfloor, type, floor : (real > real)).
thf(cfrac, type, frac : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFRACu_FLOOR, axiom, ![X:real]:((frac @ X) = (realu_sub @ X @ (floor @ X)))).
thf(aREALu_FLOORu_LT, axiom, ![X:real]:((realu_lt @ (floor @ X) @ X) <=> ~ ((integer @ X)))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (frac @ X)) <=> ~ ((integer @ X)))).
