%   ORIGINAL: REAL_FRAC_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FRAC_UNIQUE: !x a. integer (x - a) /\ &0 <= a /\ a < &1 <=> frac x = a
% Assm: INTEGER_CLOSED_conjunct0: !n. integer (&n)
% Assm: REAL_SUB_REFL: !x. x - x = &0
% Assm: TRUTH: T
% Goal: !x. frac x = x <=> &0 <= x /\ x < &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x a. integer (x - a) /\ &0 <= a /\ a < &1 <=> frac x = a
% Assm: !n. integer (&n)
% Assm: !x. x - x = &0
% Assm: T
% Goal: !x. frac x = x <=> &0 <= x /\ x < &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(cfrac, type, frac : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFRACu_UNIQUE, axiom, ![X:real,A:real]:(((integer @ (realu_sub @ X @ A)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_lt @ A @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) <=> ((frac @ X) = A))).
thf(aINTEGERu_CLOSEDu_conjunct0, axiom, ![N:num]:(integer @ (realu_ofu_num @ N))).
thf(aREALu_SUBu_REFL, axiom, ![X:real]:((realu_sub @ X @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(((frac @ X) = X) <=> ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
