%   ORIGINAL: CARD_INTSEG_INT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HAS_SIZE_INTSEG_INT: !a b. integer a /\ integer b ==> {x | integer x /\ a <= x /\ x <= b} HAS_SIZE (if b < a then 0 else num_of_int (int_of_real (b - a + &1)))
% Assm: TRUTH: T
% Goal: !a b. integer a /\ integer b ==> CARD {x | integer x /\ a <= x /\ x <= b} = (if b < a then 0 else num_of_int (int_of_real (b - a + &1)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !a b. integer a /\ integer b ==> {x | integer x /\ a <= x /\ x <= b} HAS_SIZE (if b < a then 0 else num_of_int (int_of_real (b - a + &1)))
% Assm: T
% Goal: !a b. integer a /\ integer b ==> CARD {x | integer x /\ a <= x /\ x <= b} = (if b < a then 0 else num_of_int (int_of_real (b - a + &1)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_ofuu_real, type, intu_ofu_real : (real > int)).
thf(chasuu_size, type, hasu_size : ((real > $o) > num > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(cnumuu_ofuu_int, type, numu_ofu_int : (int > num)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cfinite, type, finite : ((real > $o) > $o)).
thf(ccard, type, card : ((real > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_SIZE, axiom, ![S:(real > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aHASu_SIZEu_INTSEGu_INT, axiom, ![A:real,B:real]:(((integer @ A) & (integer @ B)) => (hasu_size @ (gspec @ ^[GENR_PVARR_404:real]:?[X:real]:(setspec @ GENR_PVARR_404 @ ((integer @ X) & (realu_le @ A @ X) & (realu_le @ X @ B)) @ X)) @ (cond @ (realu_lt @ B @ A) @ (numeral @ u_0) @ (numu_ofu_int @ (intu_ofu_real @ (realu_add @ (realu_sub @ B @ A) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,B:real]:(((integer @ A) & (integer @ B)) => ((card @ (gspec @ ^[GENR_PVARR_405:real]:?[X:real]:(setspec @ GENR_PVARR_405 @ ((integer @ X) & (realu_le @ A @ X) & (realu_le @ X @ B)) @ X))) = (cond @ (realu_lt @ B @ A) @ (numeral @ u_0) @ (numu_ofu_int @ (intu_ofu_real @ (realu_add @ (realu_sub @ B @ A) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))))))).
