%   ORIGINAL: INFINITE_INTEGER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: INFINITE_IMAGE_INJ: !f. (!x y. f x = f y ==> x = y) ==> (!s. INFINITE s ==> INFINITE (IMAGE f s))
% Assm: INTEGER_CLOSED_conjunct0: !n. integer (&n)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: num_INFINITE: INFINITE (:num)
% Goal: INFINITE integer
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: !f. (!x y. f x = f y ==> x = y) ==> (!s. INFINITE s ==> INFINITE (IMAGE f s))
% Assm: !n. integer (&n)
% Assm: !x. x IN (:A)
% Assm: !m n. &m = &n <=> m = n
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: INFINITE (:num)
% Goal: INFINITE integer
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq47565, type, q47565 : $tType).
thf(tb, type, b : $tType).
thf(tq47566, type, q47566 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (q47566 > (q47566 > $o) > $o)).
thf(cin, type, in : (q47565 > (q47565 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(cimage, type, image : ((q47566 > q47565) > (q47566 > $o) > q47565 > $o)).
thf(cuniv0, type, univ0 : (num > $o)).
thf(cinfinite0, type, infinite0 : ((num > $o) > $o)).
thf(cfinite0, type, finite0 : ((real > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cinfinite, type, infinite : ((real > $o) > $o)).
thf(cinteger, type, integer : (real > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(q47565 > $o),F:(q47566 > q47565),S:(q47566 > $o)]:(![Y:q47565]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:q47566]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in1 @ X @ P) <=> (P @ X))).
thf(aINFINITE, axiom, ![S:(real > $o)]:((infinite @ S) <=> ~ ((finite0 @ S)))).
thf(aINFINITEu_IMAGEu_INJ, axiom, ![F:(real > real)]:(![X:real,Y:real]:(((F @ X) = (F @ Y)) => (X = Y)) => ![S:(real > $o)]:((infinite @ S) => (infinite @ (image0 @ F @ S))))).
thf(aINTEGERu_CLOSEDu_conjunct0, axiom, ![N:num]:(integer @ (realu_ofu_num @ N))).
thf(aINu_UNIV, axiom, ![X:a]:(in1 @ X @ univ)).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INFINITE, axiom, (infinite0 @ univ0)).
thf(conjecture, conjecture, (infinite @ integer)).
