%   ORIGINAL: RATIONAL_CLOSED_conjunct6
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RATIONAL_ABS: !x. rational x ==> rational (abs x)
% Assm: RATIONAL_ADD: !x y. rational x /\ rational y ==> rational (x + y)
% Assm: RATIONAL_DIV: !x y. rational x /\ rational y ==> rational (x / y)
% Assm: RATIONAL_INTEGER: !x. integer x ==> rational x
% Assm: RATIONAL_INV: !x. rational x ==> rational (inv x)
% Assm: RATIONAL_MUL: !x y. rational x /\ rational y ==> rational (x * y)
% Assm: RATIONAL_NEG: !x. rational x ==> rational (--x)
% Assm: RATIONAL_NUM: !n. rational (&n)
% Assm: RATIONAL_POW: !x n. rational x ==> rational (x pow n)
% Assm: RATIONAL_SUB: !x y. rational x /\ rational y ==> rational (x - y)
% Assm: TRUTH: T
% Goal: !x r. rational x ==> rational (x pow r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. rational x ==> rational (abs x)
% Assm: !x y. rational x /\ rational y ==> rational (x + y)
% Assm: !x y. rational x /\ rational y ==> rational (x / y)
% Assm: !x. integer x ==> rational x
% Assm: !x. rational x ==> rational (inv x)
% Assm: !x y. rational x /\ rational y ==> rational (x * y)
% Assm: !x. rational x ==> rational (--x)
% Assm: !n. rational (&n)
% Assm: !x n. rational x ==> rational (x pow n)
% Assm: !x y. rational x /\ rational y ==> rational (x - y)
% Assm: T
% Goal: !x r. rational x ==> rational (x pow r)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinteger, type, integer : (real > $o)).
thf(crational, type, rational : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRATIONALu_ABS, axiom, ![X:real]:((rational @ X) => (rational @ (realu_abs @ X)))).
thf(aRATIONALu_ADD, axiom, ![X:real,Y:real]:(((rational @ X) & (rational @ Y)) => (rational @ (realu_add @ X @ Y)))).
thf(aRATIONALu_DIV, axiom, ![X:real,Y:real]:(((rational @ X) & (rational @ Y)) => (rational @ (realu_div @ X @ Y)))).
thf(aRATIONALu_INTEGER, axiom, ![X:real]:((integer @ X) => (rational @ X))).
thf(aRATIONALu_INV, axiom, ![X:real]:((rational @ X) => (rational @ (realu_inv @ X)))).
thf(aRATIONALu_MUL, axiom, ![X:real,Y:real]:(((rational @ X) & (rational @ Y)) => (rational @ (realu_mul @ X @ Y)))).
thf(aRATIONALu_NEG, axiom, ![X:real]:((rational @ X) => (rational @ (realu_neg @ X)))).
thf(aRATIONALu_NUM, axiom, ![N:num]:(rational @ (realu_ofu_num @ N))).
thf(aRATIONALu_POW, axiom, ![X:real,N:num]:((rational @ X) => (rational @ (realu_pow @ X @ N)))).
thf(aRATIONALu_SUB, axiom, ![X:real,Y:real]:(((rational @ X) & (rational @ Y)) => (rational @ (realu_sub @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,R:num]:((rational @ X) => (rational @ (realu_pow @ X @ R)))).
