%   ORIGINAL: PRODUCT_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_UNION: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: MONOIDAL_REAL_MUL: monoidal (*)
% Assm: TRUTH: T
% Assm: product: product = iterate (*)
% Goal: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> product (s UNION t) f = product s f * product t f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> iterate op (s UNION t) f = op (iterate op s f) (iterate op t f))
% Assm: monoidal (*)
% Assm: T
% Assm: product = iterate (*)
% Goal: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> product (s UNION t) f = product s f * product t f
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq150693, type, q150693 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cproduct, type, product : ((q150693 > $o) > (q150693 > real) > real)).
thf(cdisjoint, type, disjoint : ((q150693 > $o) > (q150693 > $o) > $o)).
thf(citerate, type, iterate : ((real > real > real) > (q150693 > $o) > (q150693 > real) > real)).
thf(cunion, type, union : ((q150693 > $o) > (q150693 > $o) > q150693 > $o)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite, type, finite : ((q150693 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_UNION, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(q150693 > real),S:(q150693 > $o),T:(q150693 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((iterate @ OP @ (union @ S @ T) @ F) = (OP @ (iterate @ OP @ S @ F) @ (iterate @ OP @ T @ F)))))).
thf(aMONOIDALu_REALu_MUL, axiom, (monoidal @ realu_mul)).
thf(aTRUTH, axiom, $true).
thf(aproduct, axiom, (product = (iterate @ realu_mul))).
thf(conjecture, conjecture, ![F:(q150693 > real),S:(q150693 > $o),T:(q150693 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((product @ (union @ S @ T) @ F) = (realu_mul @ (product @ S @ F) @ (product @ T @ F))))).
