%   ORIGINAL: PRODUCT_CLAUSES_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: MONOIDAL_REAL_MUL: monoidal (*)
% Assm: NEUTRAL_REAL_MUL: neutral (*) = &1
% Assm: TRUTH: T
% Assm: product: product = iterate (*)
% Goal: !f. product {} f = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: monoidal (*)
% Assm: neutral (*) = &1
% Assm: T
% Assm: product = iterate (*)
% Goal: !f. product {} f = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq150626, type, q150626 : $tType).
thf(tq63449, type, q63449 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin, type, in : (q63449 > (q63449 > $o) > $o)).
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(cproduct, type, product : ((q150626 > $o) > (q150626 > real) > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cinsert, type, insert : (q63449 > (q63449 > $o) > q63449 > $o)).
thf(citerate0, type, iterate0 : ((real > real > real) > (q63449 > $o) > (q63449 > real) > real)).
thf(citerate, type, iterate : ((real > real > real) > (q150626 > $o) > (q150626 > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (q150626 > $o)).
thf(cfinite, type, finite : ((q63449 > $o) > $o)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_CLAUSES, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => (![F:(q150626 > real)]:((iterate @ OP @ empty @ F) = (neutral @ OP)) & ![F:(q63449 > real),X:q63449,S:(q63449 > $o)]:((finite @ S) => ((iterate0 @ OP @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (iterate0 @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate0 @ OP @ S @ F)))))))).
thf(aMONOIDALu_REALu_MUL, axiom, (monoidal @ realu_mul)).
thf(aNEUTRALu_REALu_MUL, axiom, ((neutral @ realu_mul) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aproduct, axiom, (product = (iterate @ realu_mul))).
thf(conjecture, conjecture, ![F:(q150626 > real)]:((product @ empty @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
