%   ORIGINAL: PRODUCT_POS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PRODUCT_CLAUSES_conjunct0: !f. product {} f = &1
% Assm: PRODUCT_CLAUSES_conjunct1: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_POS: !n. &0 <= &n
% Assm: TRUTH: T
% Goal: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= product s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !f. product {} f = &1
% Assm: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !n. &0 <= &n
% Assm: T
% Goal: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= product s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq150897, type, q150897 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cproduct, type, product : ((q150897 > $o) > (q150897 > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (q150897 > (q150897 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cinsert, type, insert : (q150897 > (q150897 > $o) > q150897 > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((q150897 > $o) > $o)).
thf(cempty, type, empty : (q150897 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q150897 > $o) > $o)]:(((P @ empty) & ![X:q150897,S:(q150897 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q150897 > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:q150897,Y:q150897,S:(q150897 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPRODUCTu_CLAUSESu_conjunct0, axiom, ![F:(q150897 > real)]:((product @ empty @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aPRODUCTu_CLAUSESu_conjunct1, axiom, ![X:q150897,F:(q150897 > real),S:(q150897 > $o)]:((finite @ S) => ((product @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (product @ S @ F) @ (realu_mul @ (F @ X) @ (product @ S @ F)))))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q150897 > real),S:(q150897 > $o)]:(((finite @ S) & ![X:q150897]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (product @ S @ F)))).
