%   ORIGINAL: PRODUCT_POS_LE_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: PRODUCT_POS_LE: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= product s f
% Assm: TRUTH: T
% Goal: !f m n. (!x. m <= x /\ x <= n ==> &0 <= f x) ==> &0 <= product (m..n) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. FINITE (m..n)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= product s f
% Assm: T
% Goal: !f m n. (!x. m <= x /\ x <= n ==> &0 <= f x) ==> &0 <= product (m..n) f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aPRODUCTu_POSu_LE, axiom, ![F:(num > real),S:(num > $o)]:(((finite @ S) & ![X:num]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (product @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),M:num,N:num]:(![X:num]:(((l_a_ @ M @ X) & (l_a_ @ X @ N)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (product @ (o_o_ @ M @ N) @ F)))).
