%   ORIGINAL: PRODUCT_SING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: PRODUCT_CLAUSES_conjunct0: !f. product {} f = &1
% Assm: PRODUCT_CLAUSES_conjunct1: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: TRUTH: T
% Goal: !f x. product {x} f = f x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE {}
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !f. product {} f = &1
% Assm: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: !x. x * &1 = x
% Assm: T
% Goal: !f x. product {x} f = f x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq151109, type, q151109 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin, type, in : (q151109 > (q151109 > $o) > $o)).
thf(cproduct, type, product : ((q151109 > $o) > (q151109 > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cinsert, type, insert : (q151109 > (q151109 > $o) > q151109 > $o)).
thf(cfinite, type, finite : ((q151109 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (q151109 > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q151109]:~ ((in @ X @ empty))).
thf(aPRODUCTu_CLAUSESu_conjunct0, axiom, ![F:(q151109 > real)]:((product @ empty @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aPRODUCTu_CLAUSESu_conjunct1, axiom, ![X:q151109,F:(q151109 > real),S:(q151109 > $o)]:((finite @ S) => ((product @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (product @ S @ F) @ (realu_mul @ (F @ X) @ (product @ S @ F)))))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q151109 > real),X:q151109]:((product @ (insert @ X @ empty) @ F) = (F @ X))).
