%   ORIGINAL: PRODUCT_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_EQ: !op. monoidal op ==> (!f g s. (!x. x IN s ==> f x = g x) ==> iterate op s f = iterate op s g)
% Assm: MONOIDAL_REAL_MUL: monoidal (*)
% Assm: TRUTH: T
% Assm: product: product = iterate (*)
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> product s f = product s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f g s. (!x. x IN s ==> f x = g x) ==> iterate op s f = iterate op s g)
% Assm: monoidal (*)
% Assm: T
% Assm: product = iterate (*)
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> product s f = product s g
%  TYPES
thf(ta, type, a : $tType).
thf(tq151227, type, q151227 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cproduct, type, product : ((q151227 > $o) > (q151227 > real) > real)).
thf(cin, type, in : (q151227 > (q151227 > $o) > $o)).
thf(citerate, type, iterate : ((real > real > real) > (q151227 > $o) > (q151227 > real) > real)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_EQ, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(q151227 > real),G:(q151227 > real),S:(q151227 > $o)]:(![X:q151227]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((iterate @ OP @ S @ F) = (iterate @ OP @ S @ G))))).
thf(aMONOIDALu_REALu_MUL, axiom, (monoidal @ realu_mul)).
thf(aTRUTH, axiom, $true).
thf(aproduct, axiom, (product = (iterate @ realu_mul))).
thf(conjecture, conjecture, ![F:(q151227 > real),G:(q151227 > real),S:(q151227 > $o)]:(![X:q151227]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((product @ S @ F) = (product @ S @ G)))).
