%   ORIGINAL: PRODUCT_EQ_0_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: PRODUCT_EQ_0: !f s. FINITE s ==> (product s f = &0 <=> (?x. x IN s /\ f x = &0))
% Assm: TRUTH: T
% Goal: !f m n. product (m..n) f = &0 <=> (?x. m <= x /\ x <= n /\ f x = &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. FINITE (m..n)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !f s. FINITE s ==> (product s f = &0 <=> (?x. x IN s /\ f x = &0))
% Assm: T
% Goal: !f m n. product (m..n) f = &0 <=> (?x. m <= x /\ x <= n /\ f x = &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aPRODUCTu_EQu_0, axiom, ![F:(num > real),S:(num > $o)]:((finite @ S) => (((product @ S @ F) = (realu_ofu_num @ (numeral @ u_0))) <=> ?[X:num]:((in @ X @ S) & ((F @ X) = (realu_ofu_num @ (numeral @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),M:num,N:num]:(((product @ (o_o_ @ M @ N) @ F) = (realu_ofu_num @ (numeral @ u_0))) <=> ?[X:num]:((l_a_ @ M @ X) & (l_a_ @ X @ N) & ((F @ X) = (realu_ofu_num @ (numeral @ u_0)))))).
