%   ORIGINAL: PRODUCT_EQ_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_EQ_NEUTRAL: !op. monoidal op ==> (!f s. (!x. x IN s ==> f x = neutral op) ==> iterate op s f = neutral op)
% Assm: MONOIDAL_REAL_MUL: monoidal (*)
% Assm: NEUTRAL_REAL_MUL: neutral (*) = &1
% Assm: TRUTH: T
% Assm: product: product = iterate (*)
% Goal: !f s. (!x. x IN s ==> f x = &1) ==> product s f = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f s. (!x. x IN s ==> f x = neutral op) ==> iterate op s f = neutral op)
% Assm: monoidal (*)
% Assm: neutral (*) = &1
% Assm: T
% Assm: product = iterate (*)
% Goal: !f s. (!x. x IN s ==> f x = &1) ==> product s f = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(cproduct, type, product : ((a > $o) > (a > real) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(citerate, type, iterate : ((real > real > real) > (a > $o) > (a > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_EQu_NEUTRAL, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(a > real),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (neutral @ OP))) => ((iterate @ OP @ S @ F) = (neutral @ OP))))).
thf(aMONOIDALu_REALu_MUL, axiom, (monoidal @ realu_mul)).
thf(aNEUTRALu_REALu_MUL, axiom, ((neutral @ realu_mul) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aproduct, axiom, (product = (iterate @ realu_mul))).
thf(conjecture, conjecture, ![F:(a > real),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((product @ S @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
