%   ORIGINAL: PRODUCT_EQ_1_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: PRODUCT_EQ_1: !f s. (!x. x IN s ==> f x = &1) ==> product s f = &1
% Assm: TRUTH: T
% Goal: !f m n. (!i. m <= i /\ i <= n ==> f i = &1) ==> product (m..n) f = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !f s. (!x. x IN s ==> f x = &1) ==> product s f = &1
% Assm: T
% Goal: !f m n. (!i. m <= i /\ i <= n ==> f i = &1) ==> product (m..n) f = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aPRODUCTu_EQu_1, axiom, ![F:(num > real),S:(num > $o)]:(![X:num]:((in @ X @ S) => ((F @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((product @ S @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),M:num,N:num]:(![I:num]:(((l_a_ @ M @ I) & (l_a_ @ I @ N)) => ((F @ I) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((product @ (o_o_ @ M @ N) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
