%   ORIGINAL: PRODUCT_MUL_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: PRODUCT_MUL: !f g s. FINITE s ==> product s (\x. f x * g x) = product s f * product s g
% Assm: TRUTH: T
% Goal: !f g m n. product (m..n) (\x. f x * g x) = product (m..n) f * product (m..n) g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. FINITE (m..n)
% Assm: !f g s. FINITE s ==> product s (\x. f x * g x) = product s f * product s g
% Assm: T
% Goal: !f g m n. product (m..n) (\x. f x * g x) = product (m..n) f * product (m..n) g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aPRODUCTu_MUL, axiom, ![F:(num > real),G:(num > real),S:(num > $o)]:((finite @ S) => ((product @ S @ ^[X:num]:(realu_mul @ (F @ X) @ (G @ X))) = (realu_mul @ (product @ S @ F) @ (product @ S @ G))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),G:(num > real),M:num,N:num]:((product @ (o_o_ @ M @ N) @ ^[X:num]:(realu_mul @ (F @ X) @ (G @ X))) = (realu_mul @ (product @ (o_o_ @ M @ N) @ F) @ (product @ (o_o_ @ M @ N) @ G)))).
