%   ORIGINAL: PRODUCT_CONST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_CLAUSES_conjunct0: CARD {} = 0
% Assm: CARD_CLAUSES_conjunct1: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: Float.pow_conjunct0: x pow 0 = &1
% Assm: Float.pow_conjunct1: !n. x pow SUC n = x * x pow n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PRODUCT_CLAUSES_conjunct0: !f. product {} f = &1
% Assm: PRODUCT_CLAUSES_conjunct1: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: TRUTH: T
% Goal: !c s. FINITE s ==> product s (\x. c) = c pow CARD s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD {} = 0
% Assm: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: ~F <=> T
% Assm: !f. product {} f = &1
% Assm: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: T
% Goal: !c s. FINITE s ==> product s (\x. c) = c pow CARD s
%  TYPES
thf(tnum, type, num : $tType).
thf(tq151655, type, q151655 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cempty, type, empty : (q151655 > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin, type, in : (q151655 > (q151655 > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cproduct, type, product : ((q151655 > $o) > (q151655 > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (q151655 > (q151655 > $o) > q151655 > $o)).
thf(cfinite, type, finite : ((q151655 > $o) > $o)).
thf(ccard, type, card : ((q151655 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_CLAUSESu_conjunct0, axiom, ((card @ empty) = (numeral @ u_0))).
thf(aCARDu_CLAUSESu_conjunct1, axiom, ![X:q151655,S:(q151655 > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q151655 > $o) > $o)]:(((P @ empty) & ![X:q151655,S:(q151655 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q151655 > $o)]:((finite @ S) => (P @ S)))).
thf(aFloato_powu_conjunct0, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aFloato_powu_conjunct1, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPRODUCTu_CLAUSESu_conjunct0, axiom, ![F:(q151655 > real)]:((product @ empty @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aPRODUCTu_CLAUSESu_conjunct1, axiom, ![X:q151655,F:(q151655 > real),S:(q151655 > $o)]:((finite @ S) => ((product @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (product @ S @ F) @ (realu_mul @ (F @ X) @ (product @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:real,S:(q151655 > $o)]:((finite @ S) => ((product @ S @ ^[X:q151655]:C) = (realu_pow @ C @ (card @ S))))).
