%   ORIGINAL: PRODUCT_CONST_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_NUMSEG: !m n. CARD (m..n) = (n + 1) - m
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: PRODUCT_CONST: !c s. FINITE s ==> product s (\x. c) = c pow CARD s
% Assm: TRUTH: T
% Goal: !c m n. product (m..n) (\x. c) = c pow ((n + 1) - m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. CARD (m..n) = (n + 1) - m
% Assm: !m n. FINITE (m..n)
% Assm: !c s. FINITE s ==> product s (\x. c) = c pow CARD s
% Assm: T
% Goal: !c m n. product (m..n) (\x. c) = c pow ((n + 1) - m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(ccard, type, card : ((num > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_NUMSEG, axiom, ![M:num,N:num]:((card @ (o_o_ @ M @ N)) = (m_ @ (p_ @ N @ (numeral @ (bit1 @ u_0))) @ M))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aPRODUCTu_CONST, axiom, ![C:real,S:(num > $o)]:((finite @ S) => ((product @ S @ ^[X:num]:C) = (realu_pow @ C @ (card @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:real,M:num,N:num]:((product @ (o_o_ @ M @ N) @ ^[X:num]:C) = (realu_pow @ C @ (m_ @ (p_ @ N @ (numeral @ (bit1 @ u_0))) @ M)))).
