%   ORIGINAL: PRODUCT_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PRODUCT_INV: !f s. FINITE s ==> product s (\x. inv (f x)) = inv (product s f)
% Assm: PRODUCT_MUL: !f g s. FINITE s ==> product s (\x. f x * g x) = product s f * product s g
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !f g s. FINITE s ==> product s (\x. f x / g x) = product s f / product s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. FINITE s ==> product s (\x. inv (f x)) = inv (product s f)
% Assm: !f g s. FINITE s ==> product s (\x. f x * g x) = product s f * product s g
% Assm: T
% Assm: !x y. x / y = x * inv y
% Goal: !f g s. FINITE s ==> product s (\x. f x / g x) = product s f / product s g
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq151782, type, q151782 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cproduct, type, product : ((q151782 > $o) > (q151782 > real) > real)).
thf(cfinite, type, finite : ((q151782 > $o) > $o)).
thf(crealuu_inv, type, realu_inv : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPRODUCTu_INV, axiom, ![F:(q151782 > real),S:(q151782 > $o)]:((finite @ S) => ((product @ S @ ^[X:q151782]:(realu_inv @ (F @ X))) = (realu_inv @ (product @ S @ F))))).
thf(aPRODUCTu_MUL, axiom, ![F:(q151782 > real),G:(q151782 > real),S:(q151782 > $o)]:((finite @ S) => ((product @ S @ ^[X:q151782]:(realu_mul @ (F @ X) @ (G @ X))) = (realu_mul @ (product @ S @ F) @ (product @ S @ G))))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![F:(q151782 > real),G:(q151782 > real),S:(q151782 > $o)]:((finite @ S) => ((product @ S @ ^[X:q151782]:(realu_div @ (F @ X) @ (G @ X))) = (realu_div @ (product @ S @ F) @ (product @ S @ G))))).
