%   ORIGINAL: PRODUCT_ABS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: Float.ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PRODUCT_CLAUSES_conjunct0: !f. product {} f = &1
% Assm: PRODUCT_CLAUSES_conjunct1: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Goal: !f s. FINITE s ==> product s (\x. abs (f x)) = abs (product s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: ~F <=> T
% Assm: !f. product {} f = &1
% Assm: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: T
% Assm: abs (&1) = &1
% Goal: !f s. FINITE s ==> product s (\x. abs (f x)) = abs (product s f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq151920, type, q151920 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin, type, in : (q151920 > (q151920 > $o) > $o)).
thf(cproduct, type, product : ((q151920 > $o) > (q151920 > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (q151920 > (q151920 > $o) > q151920 > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cfinite, type, finite : ((q151920 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (q151920 > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q151920 > $o) > $o)]:(((P @ empty) & ![X:q151920,S:(q151920 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q151920 > $o)]:((finite @ S) => (P @ S)))).
thf(aFloato_ABSu_MUL, axiom, ![X:real,Y:real]:((realu_abs @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPRODUCTu_CLAUSESu_conjunct0, axiom, ![F:(q151920 > real)]:((product @ empty @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aPRODUCTu_CLAUSESu_conjunct1, axiom, ![X:q151920,F:(q151920 > real),S:(q151920 > $o)]:((finite @ S) => ((product @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (product @ S @ F) @ (realu_mul @ (F @ X) @ (product @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![F:(q151920 > real),S:(q151920 > $o)]:((finite @ S) => ((product @ S @ ^[X:q151920]:(realu_abs @ (F @ X))) = (realu_abs @ (product @ S @ F))))).
