%   ORIGINAL: TRACE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_SUB_NUMSEG: !f g m n. sum (m..n) (\i. f i - g i) = sum (m..n) f - sum (m..n) g
% Assm: TRUTH: T
% Assm: matrix_sub: !A B. A - B = (lambda i j. A$i$j - B$i$j)
% Assm: trace: !A. trace A = sum (1..dimindex (:N)) (\i. A$i$i)
% Goal: !A B. trace (A - B) = trace A - trace B
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f g m n. sum (m..n) (\i. f i - g i) = sum (m..n) f - sum (m..n) g
% Assm: T
% Assm: !A B. A - B = (lambda i j. A$i$j - B$i$j)
% Assm: !A. trace A = sum (1..dimindex (:N)) (\i. A$i$i)
% Goal: !A B. trace (A - B) = trace A - trace B
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tcartrealb, type, cartrealb : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealb > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(ctrace, type, trace : (cartcartrealnn > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealb)).
thf(cdu_1, type, d_1 : (cartcartrealnn > num > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cmatrixuu_sub, type, matrixu_sub : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnn)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_SUBu_NUMSEG, axiom, ![F:(num > real),G:(num > real),M:num,N:num]:((sum0 @ (o_o_ @ M @ N) @ ^[I:num]:(realu_sub @ (F @ I) @ (G @ I))) = (realu_sub @ (sum0 @ (o_o_ @ M @ N) @ F) @ (sum0 @ (o_o_ @ M @ N) @ G)))).
thf(aTRUTH, axiom, $true).
thf(amatrixu_sub, axiom, ![A:cartcartrealnn,B:cartcartrealnn]:((matrixu_sub @ A @ B) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(realu_sub @ (d_0 @ (d_1 @ A @ I) @ J) @ (d_0 @ (d_1 @ B @ I) @ J)))))).
thf(atrace, axiom, ![A:cartcartrealnn]:((trace @ A) = (sum0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[I:num]:(d_0 @ (d_1 @ A @ I) @ I)))).
thf(conjecture, conjecture, ![A:cartcartrealnn,B:cartcartrealnn]:((trace @ (matrixu_sub @ A @ B)) = (realu_sub @ (trace @ A) @ (trace @ B)))).
