%   ORIGINAL: PRODUCT_PERMUTE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_PERMUTE: !op. monoidal op ==> (!f p s. p permutes s ==> iterate op s f = iterate op s (f o p))
% Assm: MONOIDAL_REAL_MUL: monoidal (*)
% Assm: TRUTH: T
% Assm: product: product = iterate (*)
% Goal: !f p s. p permutes s ==> product s f = product s (f o p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f p s. p permutes s ==> iterate op s f = iterate op s (f o p))
% Assm: monoidal (*)
% Assm: T
% Assm: product = iterate (*)
% Goal: !f p s. p permutes s ==> product s f = product s (f o p)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq152508, type, q152508 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cproduct, type, product : ((q152508 > $o) > (q152508 > real) > real)).
thf(cpermutes, type, permutes : ((q152508 > q152508) > (q152508 > $o) > $o)).
thf(citerate, type, iterate : ((real > real > real) > (q152508 > $o) > (q152508 > real) > real)).
thf(co, type, o : ((q152508 > real) > (q152508 > q152508) > q152508 > real)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_PERMUTE, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => ![F:(q152508 > real),P:(q152508 > q152508),S:(q152508 > $o)]:((permutes @ P @ S) => ((iterate @ OP @ S @ F) = (iterate @ OP @ S @ (o @ F @ P)))))).
thf(aMONOIDALu_REALu_MUL, axiom, (monoidal @ realu_mul)).
thf(aTRUTH, axiom, $true).
thf(aproduct, axiom, (product = (iterate @ realu_mul))).
thf(conjecture, conjecture, ![F:(q152508 > real),P:(q152508 > q152508),S:(q152508 > $o)]:((permutes @ P @ S) => ((product @ S @ F) = (product @ S @ (o @ F @ P))))).
