%   ORIGINAL: REAL_MUL_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: TRUTH: T
% Goal: !s t f g. FINITE s /\ FINITE t ==> sum s f * sum t g = sum s (\i. sum t (\j. f i * g j))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x y. x * y = y * x
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: T
% Goal: !s t f g. FINITE s /\ FINITE t ==> sum s f * sum t g = sum s (\i. sum t (\j. f i * g j))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq152602, type, q152602 : $tType).
thf(tq152603, type, q152603 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(cin2, type, in2 : (q152602 > (q152602 > $o) > $o)).
thf(cin1, type, in1 : (q152603 > (q152603 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(csum0, type, sum0 : ((q152603 > $o) > (q152603 > real) > real)).
thf(csum, type, sum : ((q152602 > $o) > (q152602 > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cfinite0, type, finite0 : ((q152603 > $o) > $o)).
thf(cfinite, type, finite : ((q152602 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aSUMu_EQu_monomorphized1, axiom, ![F:(q152603 > real),G:(q152603 > real),S:(q152603 > $o)]:(![X:q152603]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum0 @ S @ F) = (sum0 @ S @ G)))).
thf(aSUMu_EQu_monomorphized0, axiom, ![F:(q152602 > real),G:(q152602 > real),S:(q152602 > $o)]:(![X:q152602]:((in2 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_LMULu_monomorphized1, axiom, ![F:(q152603 > real),C:real,S:(q152603 > $o)]:((sum0 @ S @ ^[X:q152603]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum0 @ S @ F)))).
thf(aSUMu_LMULu_monomorphized0, axiom, ![F:(q152602 > real),C:real,S:(q152602 > $o)]:((sum @ S @ ^[X:q152602]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q152602 > $o),T:(q152603 > $o),F:(q152602 > real),G:(q152603 > real)]:(((finite @ S) & (finite0 @ T)) => ((realu_mul @ (sum @ S @ F) @ (sum0 @ T @ G)) = (sum @ S @ ^[I:q152602]:(sum0 @ T @ ^[J:q152603]:(realu_mul @ (F @ I) @ (G @ J))))))).
