%   ORIGINAL: REAL_MUL_SUM_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: REAL_MUL_SUM: !s t f g. FINITE s /\ FINITE t ==> sum s f * sum t g = sum s (\i. sum t (\j. f i * g j))
% Assm: TRUTH: T
% Goal: !m n p q. sum (m..n) f * sum (p..q) g = sum (m..n) (\i. sum (p..q) (\j. f i * g j))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. FINITE (m..n)
% Assm: !s t f g. FINITE s /\ FINITE t ==> sum s f * sum t g = sum s (\i. sum t (\j. f i * g j))
% Assm: T
% Goal: !g f m n p q. sum (m..n) f * sum (p..q) g = sum (m..n) (\i. sum (p..q) (\j. f i * g j))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aREALu_MULu_SUM, axiom, ![S:(num > $o),T:(num > $o),F:(num > real),G:(num > real)]:(((finite @ S) & (finite @ T)) => ((realu_mul @ (sum @ S @ F) @ (sum @ T @ G)) = (sum @ S @ ^[I:num]:(sum @ T @ ^[J:num]:(realu_mul @ (F @ I) @ (G @ J))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![G:(num > real),F:(num > real),M:num,N:num,P:num,Q:num]:((realu_mul @ (sum @ (o_o_ @ M @ N) @ F) @ (sum @ (o_o_ @ P @ Q) @ G)) = (sum @ (o_o_ @ M @ N) @ ^[I:num]:(sum @ (o_o_ @ P @ Q) @ ^[J:num]:(realu_mul @ (F @ I) @ (G @ J)))))).
