%   ORIGINAL: DET_PERMUTE_COLUMNS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DET_PERMUTE_ROWS: !A p. p permutes 1..dimindex (:N) ==> det (lambda i. A$p i) = sign p * det A
% Assm: DET_TRANSP: !A. det (transp A) = det A
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LAMBDA_BETA_PERM: !p i. p permutes 1..dimindex (:N) /\ 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$p i = g (p i)
% Assm: TRUTH: T
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A p. p permutes 1..dimindex (:N) ==> det (lambda i j. A$i$p j) = sign p * det A
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !A p. p permutes 1..dimindex (:N) ==> det (lambda i. A$p i) = sign p * det A
% Assm: !A. det (transp A) = det A
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !g p i. p permutes 1..dimindex (:N) /\ 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$p i = g (p i)
% Assm: T
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A p. p permutes 1..dimindex (:N) ==> det (lambda i j. A$i$p j) = sign p * det A
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csign, type, sign : ((num > num) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(cdu_0, type, d_0 : (cartcartrealnn > num > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDETu_PERMUTEu_ROWS, axiom, ![A:cartcartrealnn,P:(num > num)]:((permutes @ P @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ))) => ((det @ (lambda0 @ ^[I:num]:(d_0 @ A @ (P @ I)))) = (realu_mul @ (sign @ P) @ (det @ A))))).
thf(aDETu_TRANSP, axiom, ![A:cartcartrealnn]:((det @ (transp @ A)) = (det @ A))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_PERM, axiom, ![G:(num > real),P:(num > num),I:num]:(((permutes @ P @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ))) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda1 @ G) @ (P @ I)) = (G @ (P @ I))))).
thf(aTRUTH, axiom, $true).
thf(atransp, axiom, ![A:cartcartrealnn]:((transp @ A) = (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(d_ @ (d_0 @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealnn,P:(num > num)]:((permutes @ P @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ))) => ((det @ (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(d_ @ (d_0 @ A @ I) @ (P @ J))))) = (realu_mul @ (sign @ P) @ (det @ A))))).
