%   ORIGINAL: DET_DEPENDENT_COLUMNS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DET_DEPENDENT_ROWS: !A. dependent (rows A) ==> det A = &0
% Assm: DET_TRANSP: !A. det (transp A) = det A
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ROWS_TRANSP: !A. rows (transp A) = columns A
% Assm: TRUTH: T
% Goal: !A. dependent (columns A) ==> det A = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !A. dependent (rows A) ==> det A = &0
% Assm: !A. det (transp A) = det A
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !A. rows (transp A) = columns A
% Assm: T
% Goal: !A. dependent (columns A) ==> det A = &0
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crows, type, rows : (cartcartrealnn > cartrealn > $o)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(ccolumns, type, columns : (cartcartrealnn > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdependent, type, dependent : ((cartrealn > $o) > $o)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDETu_DEPENDENTu_ROWS, axiom, ![A:cartcartrealnn]:((dependent @ (rows @ A)) => ((det @ A) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aDETu_TRANSP, axiom, ![A:cartcartrealnn]:((det @ (transp @ A)) = (det @ A))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aROWSu_TRANSP, axiom, ![A:cartcartrealnn]:((rows @ (transp @ A)) = (columns @ A))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((dependent @ (columns @ A)) => ((det @ A) = (realu_ofu_num @ (numeral @ u_0))))).
