%   ORIGINAL: DET_LINEAR_ROWS_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DET_LINEAR_ROWS_VSUM_LEMMA: !s k a c. FINITE s /\ k <= dimindex (:N) ==> det (lambda i. if i <= k then vsum s (a i) else c i) = sum {f | (!i. 1 <= i /\ i <= k ==> f i IN s) /\ (!i. ~(1 <= i /\ i <= k) ==> f i = i)} (\f. det (lambda i. if i <= k then a i (f i) else c i))
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_REFL: !n. n <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s a. FINITE s ==> det (lambda i. vsum s (a i)) = sum {f | (!i. 1 <= i /\ i <= dimindex (:N) ==> f i IN s) /\ (!i. ~(1 <= i /\ i <= dimindex (:N)) ==> f i = i)} (\f. det (lambda i. a i (f i)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s k a c. FINITE s /\ k <= dimindex (:N) ==> det (lambda i. if i <= k then vsum s (a i) else c i) = sum {f | (!i. 1 <= i /\ i <= k ==> f i IN s) /\ (!i. ~(1 <= i /\ i <= k) ==> f i = i)} (\f. det (lambda i. if i <= k then a i (f i) else c i))
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !n. n <= n
% Assm: ~F <=> T
% Assm: T
% Goal: !s a. FINITE s ==> det (lambda i. vsum s (a i)) = sum {f | (!i. 1 <= i /\ i <= dimindex (:N) ==> f i IN s) /\ (!i. ~(1 <= i /\ i <= dimindex (:N)) ==> f i = i)} (\f. det (lambda i. a i (f i)))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartnumn, type, cartnumn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdu_0, type, d_0 : (cartnumn > num > num)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : (((num > num) > $o) > (num > num) > $o)).
thf(csum, type, sum : (((num > num) > $o) > ((num > num) > real) > real)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cdu_1, type, d_1 : (cartcartrealnn > num > cartrealn)).
thf(ccond1, type, cond1 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond0, type, cond0 : ($o > num > num > num)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(csetspec, type, setspec : ((num > num) > $o > (num > num) > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCARTu_EQu_monomorphized0, axiom, ![X:cartnumn,Y:cartnumn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ X @ I) = (d_0 @ Y @ I))))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:num,T2:num]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aDETu_LINEARu_ROWSu_VSUMu_LEMMA, axiom, ![S:(num > $o),K:num,A:(num > num > cartrealn),C:(num > cartrealn)]:(((finite @ S) & (l_a_ @ K @ (dimindex @ univ))) => ((det @ (lambda0 @ ^[I:num]:(cond1 @ (l_a_ @ I @ K) @ (vsum @ S @ (A @ I)) @ (C @ I)))) = (sum @ (gspec @ ^[GENR_PVARR_420:(num > num)]:?[F:(num > num)]:(setspec @ GENR_PVARR_420 @ (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ K)) => (in @ (F @ I) @ S)) & ![I:num]:(~ (((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ K))) => ((F @ I) = I))) @ F)) @ ^[F:(num > num)]:(det @ (lambda0 @ ^[I:num]:(cond1 @ (l_a_ @ I @ K) @ (A @ I @ (F @ I)) @ (C @ I)))))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_1 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > $o),A:(num > num > cartrealn)]:((finite @ S) => ((det @ (lambda0 @ ^[I:num]:(vsum @ S @ (A @ I)))) = (sum @ (gspec @ ^[GENR_PVARR_421:(num > num)]:?[F:(num > num)]:(setspec @ GENR_PVARR_421 @ (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (in @ (F @ I) @ S)) & ![I:num]:(~ (((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)))) => ((F @ I) = I))) @ F)) @ ^[F:(num > num)]:(det @ (lambda0 @ ^[I:num]:(A @ I @ (F @ I)))))))).
