%   ORIGINAL: MATRIX_MUL_RINV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DET_EQ_0: !A. det A = &0 <=> ~invertible A
% Assm: MATRIX_INV: !A. invertible A ==> A ** matrix_inv A = mat 1 /\ matrix_inv A ** A = mat 1
% Assm: TRUTH: T
% Goal: !A. ~(det A = &0) ==> A ** matrix_inv A = mat 1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A. det A = &0 <=> ~invertible A
% Assm: !A. invertible A ==> A ** matrix_inv A = mat 1 /\ matrix_inv A ** A = mat 1
% Assm: T
% Goal: !A. ~(det A = &0) ==> A ** matrix_inv A = mat 1
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinvertible, type, invertible : (cartcartrealnn > $o)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(cmatrixuu_inv, type, matrixu_inv : (cartcartrealnn > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDETu_EQu_0, axiom, ![A:cartcartrealnn]:(((det @ A) = (realu_ofu_num @ (numeral @ u_0))) <=> ~ ((invertible @ A)))).
thf(aMATRIXu_INV, axiom, ![A:cartcartrealnn]:((invertible @ A) => (((matrixu_mul @ A @ (matrixu_inv @ A)) = (mat @ (numeral @ (bit1 @ u_0)))) & ((matrixu_mul @ (matrixu_inv @ A) @ A) = (mat @ (numeral @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnn]:(~ (((det @ A) = (realu_ofu_num @ (numeral @ u_0)))) => ((matrixu_mul @ A @ (matrixu_inv @ A)) = (mat @ (numeral @ (bit1 @ u_0)))))).
