%   ORIGINAL: CRAMER_MATRIX_RIGHT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CRAMER_MATRIX_LEFT: !A X B. ~(det A = &0) ==> (X ** A = B <=> X = (lambda k l. det (lambda i j. if j = l then B$k$i else A$j$i) / det A))
% Assm: DET_TRANSP: !A. det (transp A) = det A
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_TRANSP_MUL: !A B. transp (A ** B) = transp B ** transp A
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRANSP_EQ: !A B. transp A = transp B <=> A = B
% Assm: TRANSP_TRANSP: !A. transp (transp A) = A
% Assm: TRUTH: T
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A X B. ~(det A = &0) ==> (A ** X = B <=> X = (lambda k l. det (lambda i j. if j = k then B$i$l else A$i$j) / det A))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !A X B. ~(det A = &0) ==> (X ** A = B <=> X = (lambda k l. det (lambda i j. if j = l then B$k$i else A$j$i) / det A))
% Assm: !A. det (transp A) = det A
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !A B. transp (A ** B) = transp B ** transp A
% Assm: ~F <=> T
% Assm: !A B. transp A = transp B <=> A = B
% Assm: !A. transp (transp A) = A
% Assm: T
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A X B. ~(det A = &0) ==> (A ** X = B <=> X = (lambda k l. det (lambda i j. if j = k then B$i$l else A$i$j) / det A))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cdu_0, type, d_0 : (cartcartrealnn > num > cartrealn)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized3, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartcartrealnn,Y:cartcartrealnn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ X @ I) = (d_0 @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCRAMERu_MATRIXu_LEFT, axiom, ![A:cartcartrealnn,X:cartcartrealnn,B:cartcartrealnn]:(~ (((det @ A) = (realu_ofu_num @ (numeral @ u_0)))) => (((matrixu_mul @ X @ A) = B) <=> (X = (lambda0 @ ^[K:num]:(lambda1 @ ^[L:num]:(realu_div @ (det @ (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(cond @ (J = L) @ (d_ @ (d_0 @ B @ K) @ I) @ (d_ @ (d_0 @ A @ J) @ I))))) @ (det @ A)))))))).
thf(aDETu_TRANSP, axiom, ![A:cartcartrealnn]:((det @ (transp @ A)) = (det @ A))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aMATRIXu_TRANSPu_MUL, axiom, ![A:cartcartrealnn,B:cartcartrealnn]:((transp @ (matrixu_mul @ A @ B)) = (matrixu_mul @ (transp @ B) @ (transp @ A)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRANSPu_EQ, axiom, ![A:cartcartrealnn,B:cartcartrealnn]:(((transp @ A) = (transp @ B)) <=> (A = B))).
thf(aTRANSPu_TRANSP, axiom, ![A:cartcartrealnn]:((transp @ (transp @ A)) = A)).
thf(aTRUTH, axiom, $true).
thf(atransp, axiom, ![A:cartcartrealnn]:((transp @ A) = (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(d_ @ (d_0 @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealnn,X:cartcartrealnn,B:cartcartrealnn]:(~ (((det @ A) = (realu_ofu_num @ (numeral @ u_0)))) => (((matrixu_mul @ A @ X) = B) <=> (X = (lambda0 @ ^[K:num]:(lambda1 @ ^[L:num]:(realu_div @ (det @ (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(cond @ (J = K) @ (d_ @ (d_0 @ B @ I) @ L) @ (d_ @ (d_0 @ A @ I) @ J))))) @ (det @ A)))))))).
