%   ORIGINAL: COFACTOR_TRANSP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DET_TRANSP: !A. det (transp A) = det A
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: cofactor: !A. cofactor A = (lambda i j. det (lambda k l. if k = i /\ l = j then &1 else if k = i \/ l = j then &0 else A$k$l))
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A. cofactor (transp A) = transp (cofactor A)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !A. det (transp A) = det A
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: T
% Assm: !A. cofactor A = (lambda i j. det (lambda k l. if k = i /\ l = j then &1 else if k = i \/ l = j then &0 else A$k$l))
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A. cofactor (transp A) = transp (cofactor A)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartcartrealnnb, type, cartcartcartrealnnb : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartcartrealnn) > cartcartcartrealnnb)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cdu_0, type, d_0 : (cartcartcartrealnnb > num > cartcartrealnn)).
thf(ccond, type, cond : ($o > cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(cdu_, type, d_ : (cartcartrealnn > num > cartrealn)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(ccofactor, type, cofactor : (cartcartrealnn > cartcartrealnn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartcartrealnn,Y:cartcartrealnn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartcartrealnn,T2:cartcartrealnn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDETu_TRANSP, axiom, ![A:cartcartrealnn]:((det @ (transp @ A)) = (det @ A))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealnn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acofactor, axiom, ![A:cartcartrealnn]:((cofactor @ A) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(det @ (lambda1 @ ^[K:num]:(lambda2 @ ^[L:num]:(cond0 @ ((K = I) & (L = J)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (cond0 @ ((K = I) | (L = J)) @ (realu_ofu_num @ (numeral @ u_0)) @ (d_1 @ (d_ @ A @ K) @ L)))))))))).
thf(atransp, axiom, ![A:cartcartrealnn]:((transp @ A) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(d_1 @ (d_ @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((cofactor @ (transp @ A)) = (transp @ (cofactor @ A)))).
