%   ORIGINAL: COFACTOR_ROW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COFACTOR_COLUMN: !A. cofactor A = (lambda i j. det (lambda k l. if l = j then if k = i then &1 else &0 else A$k$l))
% Assm: COFACTOR_TRANSP: !A. cofactor (transp A) = transp (cofactor A)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DET_TRANSP: !A. det (transp A) = det A
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRANSP_EQ: !A B. transp A = transp B <=> A = B
% Assm: TRUTH: T
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A. cofactor A = (lambda i j. det (lambda k l. if k = i then if l = j then &1 else &0 else A$k$l))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !A. cofactor A = (lambda i j. det (lambda k l. if l = j then if k = i then &1 else &0 else A$k$l))
% Assm: !A. cofactor (transp A) = transp (cofactor A)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !A. det (transp A) = det A
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: !A B. transp A = transp B <=> A = B
% Assm: T
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A. cofactor A = (lambda i j. det (lambda k l. if k = i then if l = j then &1 else &0 else A$k$l))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cdu_0, type, d_0 : (cartcartrealnn > num > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnn)).
thf(ccofactor, type, cofactor : (cartcartrealnn > cartcartrealnn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartcartrealnn,Y:cartcartrealnn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ X @ I) = (d_0 @ Y @ I))))).
thf(aCOFACTORu_COLUMN, axiom, ![A:cartcartrealnn]:((cofactor @ A) = (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(det @ (lambda0 @ ^[K:num]:(lambda1 @ ^[L:num]:(cond @ (L = J) @ (cond @ (K = I) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))) @ (d_ @ (d_0 @ A @ K) @ L))))))))).
thf(aCOFACTORu_TRANSP, axiom, ![A:cartcartrealnn]:((cofactor @ (transp @ A)) = (transp @ (cofactor @ A)))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDETu_TRANSP, axiom, ![A:cartcartrealnn]:((det @ (transp @ A)) = (det @ A))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRANSPu_EQ, axiom, ![A:cartcartrealnn,B:cartcartrealnn]:(((transp @ A) = (transp @ B)) <=> (A = B))).
thf(aTRUTH, axiom, $true).
thf(atransp, axiom, ![A:cartcartrealnn]:((transp @ A) = (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(d_ @ (d_0 @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((cofactor @ A) = (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(det @ (lambda0 @ ^[K:num]:(lambda1 @ ^[L:num]:(cond @ (K = I) @ (cond @ (L = J) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))) @ (d_ @ (d_0 @ A @ K) @ L))))))))).
