%   ORIGINAL: MATRIX_RIGHT_INVERSE_COFACTOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COFACTOR_COLUMN: !A. cofactor A = (lambda i j. det (lambda k l. if l = j then if k = i then &1 else &0 else A$k$l))
% Assm: CRAMER_MATRIX_RIGHT_INVERSE: !A A'. A ** A' = mat 1 <=> ~(det A = &0) /\ A' = (lambda k l. det (lambda i j. if j = k then if i = l then &1 else &0 else A$i$j) / det A)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_CMUL_COMPONENT: !c A i. %% c A$i$j = c * A$i$j
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A A'. A ** A' = mat 1 <=> ~(det A = &0) /\ A' = %% (inv (det A)) (transp (cofactor A))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !A. cofactor A = (lambda i j. det (lambda k l. if l = j then if k = i then &1 else &0 else A$k$l))
% Assm: !A A'. A ** A' = mat 1 <=> ~(det A = &0) /\ A' = (lambda k l. det (lambda i j. if j = k then if i = l then &1 else &0 else A$i$j) / det A)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> ((lambda) g$i <=> g i)
% Assm: !j c A i. %% c A$i$j = c * A$i$j
% Assm: ~F <=> T
% Assm: !x y. x * y = y * x
% Assm: T
% Assm: !x y. x / y = x * inv y
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A A'. A ** A' = mat 1 <=> ~(det A = &0) /\ A' = %% (inv (det A)) (transp (cofactor A))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tcartboolb, type, cartboolb : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartcartrealnnb, type, cartcartcartrealnnb : $tType).
thf(tcartrealb, type, cartrealb : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdu_3, type, d_3 : (cartboolb > num > $o)).
thf(cdu_1, type, d_1 : (cartrealb > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(clambda4, type, lambda4 : ((num > $o) > cartboolb)).
thf(clambda3, type, lambda3 : ((num > cartcartrealnn) > cartcartcartrealnnb)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealb)).
thf(cdu_2, type, d_2 : (cartcartcartrealnnb > num > cartcartrealnn)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cdu_, type, d_ : (cartcartrealnn > num > cartrealn)).
thf(cru_ru_, type, r_r_ : (real > cartcartrealnn > cartcartrealnn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnn)).
thf(ccofactor, type, cofactor : (cartcartrealnn > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartcartrealnn,Y:cartcartrealnn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCOFACTORu_COLUMN, axiom, ![A:cartcartrealnn]:((cofactor @ A) = (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(det @ (lambda0 @ ^[K:num]:(lambda1 @ ^[L:num]:(cond @ (L = J) @ (cond @ (K = I) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))) @ (d_0 @ (d_ @ A @ K) @ L))))))))).
thf(aCRAMERu_MATRIXu_RIGHTu_INVERSE, axiom, ![A:cartcartrealnn,AI_:cartcartrealnn]:(((matrixu_mul @ A @ AI_) = (mat @ (numeral @ (bit1 @ u_0)))) <=> (~ (((det @ A) = (realu_ofu_num @ (numeral @ u_0)))) & (AI_ = (lambda0 @ ^[K:num]:(lambda1 @ ^[L:num]:(realu_div @ (det @ (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(cond @ (J = K) @ (cond @ (I = L) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))) @ (d_0 @ (d_ @ A @ I) @ J))))) @ (det @ A)))))))).
thf(aLAMBDAu_BETAu_monomorphized2, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_1 @ (lambda2 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > cartcartrealnn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_2 @ (lambda3 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_3 @ (lambda4 @ G) @ I) <=> (G @ I)))).
thf(aMATRIXu_CMULu_COMPONENT, axiom, ![J:num,C:real,A:cartcartrealnn,I:num]:((d_0 @ (d_ @ (r_r_ @ C @ A) @ I) @ J) = (realu_mul @ C @ (d_0 @ (d_ @ A @ I) @ J)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(atransp, axiom, ![A:cartcartrealnn]:((transp @ A) = (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(d_0 @ (d_ @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealnn,AI_:cartcartrealnn]:(((matrixu_mul @ A @ AI_) = (mat @ (numeral @ (bit1 @ u_0)))) <=> (~ (((det @ A) = (realu_ofu_num @ (numeral @ u_0)))) & (AI_ = (r_r_ @ (realu_inv @ (det @ A)) @ (transp @ (cofactor @ A))))))).
