%   ORIGINAL: MATRIX_LEFT_INVERSE_COFACTOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MATRIX_LEFT_RIGHT_INVERSE: !A A'. A ** A' = mat 1 <=> A' ** A = mat 1
% Assm: MATRIX_RIGHT_INVERSE_COFACTOR: !A A'. A ** A' = mat 1 <=> ~(det A = &0) /\ A' = %% (inv (det A)) (transp (cofactor A))
% Assm: TRUTH: T
% Goal: !A A'. A' ** A = mat 1 <=> ~(det A = &0) /\ A' = %% (inv (det A)) (transp (cofactor A))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A A'. A ** A' = mat 1 <=> A' ** A = mat 1
% Assm: !A A'. A ** A' = mat 1 <=> ~(det A = &0) /\ A' = %% (inv (det A)) (transp (cofactor A))
% Assm: T
% Goal: !A A'. A' ** A = mat 1 <=> ~(det A = &0) /\ A' = %% (inv (det A)) (transp (cofactor A))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cru_ru_, type, r_r_ : (real > cartcartrealnn > cartcartrealnn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(ccofactor, type, cofactor : (cartcartrealnn > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMATRIXu_LEFTu_RIGHTu_INVERSE, axiom, ![A:cartcartrealnn,AI_:cartcartrealnn]:(((matrixu_mul @ A @ AI_) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ((matrixu_mul @ AI_ @ A) = (mat @ (numeral @ (bit1 @ u_0)))))).
thf(aMATRIXu_RIGHTu_INVERSEu_COFACTOR, axiom, ![A:cartcartrealnn,AI_:cartcartrealnn]:(((matrixu_mul @ A @ AI_) = (mat @ (numeral @ (bit1 @ u_0)))) <=> (~ (((det @ A) = (realu_ofu_num @ (numeral @ u_0)))) & (AI_ = (r_r_ @ (realu_inv @ (det @ A)) @ (transp @ (cofactor @ A))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnn,AI_:cartcartrealnn]:(((matrixu_mul @ AI_ @ A) = (mat @ (numeral @ (bit1 @ u_0)))) <=> (~ (((det @ A) = (realu_ofu_num @ (numeral @ u_0)))) & (AI_ = (r_r_ @ (realu_inv @ (det @ A)) @ (transp @ (cofactor @ A))))))).
