%   ORIGINAL: COFACTOR_MATRIX_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: MATRIX_CMUL_ASSOC: !a b X. %% a (%% b X) = %% (a * b) X
% Assm: MATRIX_CMUL_LID: !X. %% (&1) X = X
% Assm: MATRIX_INV_COFACTOR: !A. ~(det A = &0) ==> matrix_inv A = %% (inv (det A)) (transp (cofactor A))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: TRANSP_MATRIX_CMUL: !A c. transp (%% c A) = %% c (transp A)
% Assm: TRANSP_TRANSP: !A. transp (transp A) = A
% Assm: TRUTH: T
% Goal: !A. ~(det A = &0) ==> cofactor A = %% (det A) (transp (matrix_inv A))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b X. %% a (%% b X) = %% (a * b) X
% Assm: !X. %% (&1) X = X
% Assm: !A. ~(det A = &0) ==> matrix_inv A = %% (inv (det A)) (transp (cofactor A))
% Assm: ~F <=> T
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !A c. transp (%% c A) = %% c (transp A)
% Assm: !A. transp (transp A) = A
% Assm: T
% Goal: !A. ~(det A = &0) ==> cofactor A = %% (det A) (transp (matrix_inv A))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cru_ru_, type, r_r_ : (real > cartcartrealnn > cartcartrealnn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmatrixuu_inv, type, matrixu_inv : (cartcartrealnn > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(ccofactor, type, cofactor : (cartcartrealnn > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aMATRIXu_CMULu_ASSOC, axiom, ![A:real,B:real,X:cartcartrealnn]:((r_r_ @ A @ (r_r_ @ B @ X)) = (r_r_ @ (realu_mul @ A @ B) @ X))).
thf(aMATRIXu_CMULu_LID, axiom, ![X:cartcartrealnn]:((r_r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aMATRIXu_INVu_COFACTOR, axiom, ![A:cartcartrealnn]:(~ (((det @ A) = (realu_ofu_num @ (numeral @ u_0)))) => ((matrixu_inv @ A) = (r_r_ @ (realu_inv @ (det @ A)) @ (transp @ (cofactor @ A)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRANSPu_MATRIXu_CMUL, axiom, ![A:cartcartrealnn,C:real]:((transp @ (r_r_ @ C @ A)) = (r_r_ @ C @ (transp @ A)))).
thf(aTRANSPu_TRANSP, axiom, ![A:cartcartrealnn]:((transp @ (transp @ A)) = A)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnn]:(~ (((det @ A) = (realu_ofu_num @ (numeral @ u_0)))) => ((cofactor @ A) = (r_r_ @ (det @ A) @ (transp @ (matrixu_inv @ A)))))).
