%   ORIGINAL: MATRIX_MUL_RIGHT_COFACTOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DET_COFACTOR_EXPANSION: !A i. 1 <= i /\ i <= dimindex (:N) ==> det A = sum (1..dimindex (:N)) (\j. A$i$j * cofactor A$i$j)
% Assm: DET_IDENTICAL_ROWS: !A i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) /\ row i A = row j A ==> det A = &0
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_CMUL_COMPONENT: !c A i. %% c A$i$j = c * A$i$j
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: cofactor: !A. cofactor A = (lambda i j. det (lambda k l. if k = i /\ l = j then &1 else if k = i \/ l = j then &0 else A$k$l))
% Assm: mat: !k. mat k = (lambda i j. if i = j then &k else &0)
% Assm: matrix_mul: !A B. A ** B = (lambda i j. sum (1..dimindex (:N)) (\k. A$i$k * B$k$j))
% Assm: row: !A i. row i A = (lambda j. A$i$j)
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A. A ** transp (cofactor A) = %% (det A) (mat 1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !A i. 1 <= i /\ i <= dimindex (:N) ==> det A = sum (1..dimindex (:N)) (\j. A$i$j * cofactor A$i$j)
% Assm: !A i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) /\ row i A = row j A ==> det A = &0
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !j c A i. %% c A$i$j = c * A$i$j
% Assm: ~F <=> T
% Assm: !x. x * &1 = x
% Assm: !x. x * &0 = &0
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !A. cofactor A = (lambda i j. det (lambda k l. if k = i /\ l = j then &1 else if k = i \/ l = j then &0 else A$k$l))
% Assm: !k. mat k = (lambda i j. if i = j then &k else &0)
% Assm: !A B. A ** B = (lambda i j. sum (1..dimindex (:N)) (\k. A$i$k * B$k$j))
% Assm: !A i. row i A = (lambda j. A$i$j)
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A. A ** transp (cofactor A) = %% (det A) (mat 1)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tcartcartcartrealnnb, type, cartcartcartrealnnb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(csum0, type, sum0 : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(clambda0, type, lambda0 : ((num > cartcartrealnn) > cartcartcartrealnnb)).
thf(cdu_2, type, d_2 : (cartcartrealnm > num > cartrealn)).
thf(crow0, type, row0 : (num > cartcartrealnm > cartrealn)).
thf(ccond1, type, cond1 : ($o > real > real > real)).
thf(cdu_1, type, d_1 : (cartcartcartrealnnb > num > cartcartrealnn)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crow, type, row : (num > cartcartrealnn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(cdu_, type, d_ : (cartcartrealnn > num > cartrealn)).
thf(cru_ru_, type, r_r_ : (real > cartcartrealnn > cartcartrealnn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnn)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(ccofactor, type, cofactor : (cartcartrealnn > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartcartrealnn,Y:cartcartrealnn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartcartrealnn,T2:cartcartrealnn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDETu_COFACTORu_EXPANSION, axiom, ![A:cartcartrealnn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((det @ A) = (sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[J:num]:(realu_mul @ (d_0 @ (d_ @ A @ I) @ J) @ (d_0 @ (d_ @ (cofactor @ A) @ I) @ J)))))).
thf(aDETu_IDENTICALu_ROWS, axiom, ![A:cartcartrealnn,I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ)) & ~ ((I = J)) & ((row @ I @ A) = (row @ J @ A))) => ((det @ A) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealnn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_1 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aMATRIXu_CMULu_COMPONENT, axiom, ![J:num,C:real,A:cartcartrealnn,I:num]:((d_0 @ (d_ @ (r_r_ @ C @ A) @ I) @ J) = (realu_mul @ C @ (d_0 @ (d_ @ A @ I) @ J)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum0 @ S @ F) = (sum0 @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(acofactor, axiom, ![A:cartcartrealnn]:((cofactor @ A) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(det @ (lambda1 @ ^[K:num]:(lambda2 @ ^[L:num]:(cond1 @ ((K = I) & (L = J)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (cond1 @ ((K = I) | (L = J)) @ (realu_ofu_num @ (numeral @ u_0)) @ (d_0 @ (d_ @ A @ K) @ L)))))))))).
thf(amat, axiom, ![K:num]:((mat @ K) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(cond1 @ (I = J) @ (realu_ofu_num @ K) @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(amatrixu_mul, axiom, ![A:cartcartrealnn,B:cartcartrealnn]:((matrixu_mul @ A @ B) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[K:num]:(realu_mul @ (d_0 @ (d_ @ A @ I) @ K) @ (d_0 @ (d_ @ B @ K) @ J))))))).
thf(arow, axiom, ![A:cartcartrealnm,I:num]:((row0 @ I @ A) = (lambda2 @ ^[J:num]:(d_0 @ (d_2 @ A @ I) @ J)))).
thf(atransp, axiom, ![A:cartcartrealnn]:((transp @ A) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(d_0 @ (d_ @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((matrixu_mul @ A @ (transp @ (cofactor @ A))) = (r_r_ @ (det @ A) @ (mat @ (numeral @ (bit1 @ u_0)))))).
