%   ORIGINAL: MATRIX_MUL_LEFT_COFACTOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COFACTOR_TRANSP: !A. cofactor (transp A) = transp (cofactor A)
% Assm: DET_TRANSP: !A. det (transp A) = det A
% Assm: MATRIX_MUL_RIGHT_COFACTOR: !A. A ** transp (cofactor A) = %% (det A) (mat 1)
% Assm: MATRIX_TRANSP_MUL: !A B. transp (A ** B) = transp B ** transp A
% Assm: TRANSP_EQ: !A B. transp A = transp B <=> A = B
% Assm: TRANSP_MAT: !n. transp (mat n) = mat n
% Assm: TRANSP_MATRIX_CMUL: !A c. transp (%% c A) = %% c (transp A)
% Assm: TRUTH: T
% Goal: !A. transp (cofactor A) ** A = %% (det A) (mat 1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A. cofactor (transp A) = transp (cofactor A)
% Assm: !A. det (transp A) = det A
% Assm: !A. A ** transp (cofactor A) = %% (det A) (mat 1)
% Assm: !A B. transp (A ** B) = transp B ** transp A
% Assm: !A B. transp A = transp B <=> A = B
% Assm: !n. transp (mat n) = mat n
% Assm: !A c. transp (%% c A) = %% c (transp A)
% Assm: T
% Goal: !A. transp (cofactor A) ** A = %% (det A) (mat 1)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cru_ru_, type, r_r_ : (real > cartcartrealnn > cartcartrealnn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(ccofactor, type, cofactor : (cartcartrealnn > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOFACTORu_TRANSP, axiom, ![A:cartcartrealnn]:((cofactor @ (transp @ A)) = (transp @ (cofactor @ A)))).
thf(aDETu_TRANSP, axiom, ![A:cartcartrealnn]:((det @ (transp @ A)) = (det @ A))).
thf(aMATRIXu_MULu_RIGHTu_COFACTOR, axiom, ![A:cartcartrealnn]:((matrixu_mul @ A @ (transp @ (cofactor @ A))) = (r_r_ @ (det @ A) @ (mat @ (numeral @ (bit1 @ u_0)))))).
thf(aMATRIXu_TRANSPu_MUL, axiom, ![A:cartcartrealnn,B:cartcartrealnn]:((transp @ (matrixu_mul @ A @ B)) = (matrixu_mul @ (transp @ B) @ (transp @ A)))).
thf(aTRANSPu_EQ, axiom, ![A:cartcartrealnn,B:cartcartrealnn]:(((transp @ A) = (transp @ B)) <=> (A = B))).
thf(aTRANSPu_MAT, axiom, ![N:num]:((transp @ (mat @ N)) = (mat @ N))).
thf(aTRANSPu_MATRIXu_CMUL, axiom, ![A:cartcartrealnn,C:real]:((transp @ (r_r_ @ C @ A)) = (r_r_ @ C @ (transp @ A)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((matrixu_mul @ (transp @ (cofactor @ A)) @ A) = (r_r_ @ (det @ A) @ (mat @ (numeral @ (bit1 @ u_0)))))).
