%   ORIGINAL: INTEGER_PRODUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGER_CLOSED_conjunct0: !n. integer (&n)
% Assm: INTEGER_CLOSED_conjunct3: !x y. integer x /\ integer y ==> integer (x * y)
% Assm: PRODUCT_CLOSED: !P f s. P (&1) /\ (!x y. P x /\ P y ==> P (x * y)) /\ (!a. a IN s ==> P (f a)) ==> P (product s f)
% Assm: TRUTH: T
% Goal: !f s. (!x. x IN s ==> integer (f x)) ==> integer (product s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. integer (&n)
% Assm: !x y. integer x /\ integer y ==> integer (x * y)
% Assm: !P f s. P (&1) /\ (!x y. P x /\ P y ==> P (x * y)) /\ (!a. a IN s ==> P (f a)) ==> P (product s f)
% Assm: T
% Goal: !f s. (!x. x IN s ==> integer (f x)) ==> integer (product s f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq158479, type, q158479 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cproduct, type, product : ((q158479 > $o) > (q158479 > real) > real)).
thf(cin, type, in : (q158479 > (q158479 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGERu_CLOSEDu_conjunct0, axiom, ![N:num]:(integer @ (realu_ofu_num @ N))).
thf(aINTEGERu_CLOSEDu_conjunct3, axiom, ![X:real,Y:real]:(((integer @ X) & (integer @ Y)) => (integer @ (realu_mul @ X @ Y)))).
thf(aPRODUCTu_CLOSED, axiom, ![P:(real > $o),F:(q158479 > real),S:(q158479 > $o)]:(((P @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ![X:real,Y:real]:(((P @ X) & (P @ Y)) => (P @ (realu_mul @ X @ Y))) & ![A:q158479]:((in @ A @ S) => (P @ (F @ A)))) => (P @ (product @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q158479 > real),S:(q158479 > $o)]:(![X:q158479]:((in @ X @ S) => (integer @ (F @ X))) => (integer @ (product @ S @ F)))).
