%   ORIGINAL: INTEGER_SIGN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ID: !b t. (if b then t else t) = t
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: INTEGER_CLOSED_conjunct0: !n. integer (&n)
% Assm: INTEGER_CLOSED_conjunct5: !x. integer x ==> integer (--x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: sign: !p. sign p = (if evenperm p then &1 else -- &1)
% Goal: !p. integer (sign p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !b t. (if b then t else t) = t
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !n. integer (&n)
% Assm: !x. integer x ==> integer (--x)
% Assm: ~F <=> T
% Assm: T
% Assm: !p. sign p = (if evenperm p then &1 else -- &1)
% Goal: !p. integer (sign p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq158491, type, q158491 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csign, type, sign : ((q158491 > q158491) > real)).
thf(ccond1, type, cond1 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond0, type, cond0 : ($o > b > b > b)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cevenperm, type, evenperm : ((q158491 > q158491) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ID, axiom, ![B:$o,T:a]:((cond @ B @ T @ T) = T)).
thf(aCONDu_RAND, axiom, ![B:$o,F:(a > b),X:a,Y:a]:((F @ (cond @ B @ X @ Y)) = (cond0 @ B @ (F @ X) @ (F @ Y)))).
thf(aINTEGERu_CLOSEDu_conjunct0, axiom, ![N:num]:(integer @ (realu_ofu_num @ N))).
thf(aINTEGERu_CLOSEDu_conjunct5, axiom, ![X:real]:((integer @ X) => (integer @ (realu_neg @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(asign, axiom, ![P:(q158491 > q158491)]:((sign @ P) = (cond1 @ (evenperm @ P) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(conjecture, conjecture, ![P:(q158491 > q158491)]:(integer @ (sign @ P))).
