%   ORIGINAL: INTEGER_DET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTEGER_CLOSED_conjunct3: !x y. integer x /\ integer y ==> integer (x * y)
% Assm: INTEGER_PRODUCT: !f s. (!x. x IN s ==> integer (f x)) ==> integer (product s f)
% Assm: INTEGER_SIGN: !p. integer (sign p)
% Assm: INTEGER_SUM: !f s. (!x. x IN s ==> integer (f x)) ==> integer (sum s f)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: det: !A. det A = sum {p | p permutes 1..dimindex (:N)} (\p. sign p * product (1..dimindex (:N)) (\i. A$i$p i))
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !M. (!i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) ==> integer (M$i$j)) ==> integer (det M)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x y. integer x /\ integer y ==> integer (x * y)
% Assm: !f s. (!x. x IN s ==> integer (f x)) ==> integer (product s f)
% Assm: !p. integer (sign p)
% Assm: !f s. (!x. x IN s ==> integer (f x)) ==> integer (sum s f)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !A. det A = sum {p | p permutes 1..dimindex (:N)} (\p. sign p * product (1..dimindex (:N)) (\i. A$i$p i))
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !M. (!i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) ==> integer (M$i$j)) ==> integer (det M)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq158491, type, q158491 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq158479, type, q158479 : $tType).
thf(tq143355, type, q143355 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cin3, type, in3 : (q143355 > (q143355 > $o) > $o)).
thf(cpermutes0, type, permutes0 : ((q143355 > q143355) > (q143355 > $o) > $o)).
thf(cproduct0, type, product0 : ((num > $o) > (num > real) > real)).
thf(csign0, type, sign0 : ((num > num) > real)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(cgspec0, type, gspec0 : (((num > num) > $o) > (num > num) > $o)).
thf(csum0, type, sum0 : (((num > num) > $o) > ((num > num) > real) > real)).
thf(cin2, type, in2 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csign, type, sign : ((q158491 > q158491) > real)).
thf(cproduct, type, product : ((q158479 > $o) > (q158479 > real) > real)).
thf(cin, type, in : (q158479 > (q158479 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetspec0, type, setspec0 : ((num > num) > $o > (num > num) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cdu_0, type, d_0 : (cartcartrealnn > num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTEGERu_CLOSEDu_conjunct3, axiom, ![X:real,Y:real]:(((integer @ X) & (integer @ Y)) => (integer @ (realu_mul @ X @ Y)))).
thf(aINTEGERu_PRODUCT, axiom, ![F:(q158479 > real),S:(q158479 > $o)]:(![X:q158479]:((in @ X @ S) => (integer @ (F @ X))) => (integer @ (product @ S @ F)))).
thf(aINTEGERu_SIGN, axiom, ![P:(q158491 > q158491)]:(integer @ (sign @ P))).
thf(aINTEGERu_SUM, axiom, ![F:(a > real),S:(a > $o)]:(![X:a]:((in0 @ X @ S) => (integer @ (F @ X))) => (integer @ (sum @ S @ F)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in2 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adet, axiom, ![A:cartcartrealnn]:((det @ A) = (sum0 @ (gspec0 @ ^[GENR_PVARR_409:(num > num)]:?[P:(num > num)]:(setspec0 @ GENR_PVARR_409 @ (permutes @ P @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ))) @ P)) @ ^[P:(num > num)]:(realu_mul @ (sign0 @ P) @ (product0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(d_ @ (d_0 @ A @ I) @ (P @ I))))))).
thf(apermutes, axiom, ![S:(q143355 > $o),P:(q143355 > q143355)]:((permutes0 @ P @ S) <=> (![X:q143355]:(~ ((in3 @ X @ S)) => ((P @ X) = X)) & ![Y:q143355]:(?[X:q143355]:((P @ X) = Y) & ![X:q143355,XI_:q143355]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![M:cartcartrealnn]:(![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ))) => (integer @ (d_ @ (d_0 @ M @ I) @ J))) => (integer @ (det @ M)))).
