%   ORIGINAL: TRANSP_DIAGONAL_MATRIX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRANSP_COMPONENT: !A i j. transp A$i$j = A$j$i
% Assm: TRUTH: T
% Assm: diagonal_matrix: !A. diagonal_matrix A <=> (!i j. 1 <= i /\ i <= dimindex (:M) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) ==> A$i$j = &0)
% Goal: !A. diagonal_matrix A ==> transp A = A
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: ~F <=> T
% Assm: !A i j. transp A$i$j = A$j$i
% Assm: T
% Assm: !A. diagonal_matrix A <=> (!i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) ==> A$i$j = &0)
% Goal: !A. diagonal_matrix A ==> transp A = A
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdu_, type, d_ : (cartcartrealnn > num > cartrealn)).
thf(cdiagonaluu_matrix, type, diagonalu_matrix : (cartcartrealnn > $o)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartcartrealnn,Y:cartcartrealnn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRANSPu_COMPONENT, axiom, ![A:cartcartrealnn,I:num,J:num]:((d_0 @ (d_ @ (transp @ A) @ I) @ J) = (d_0 @ (d_ @ A @ J) @ I))).
thf(aTRUTH, axiom, $true).
thf(adiagonalu_matrix, axiom, ![A:cartcartrealnn]:((diagonalu_matrix @ A) <=> ![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ)) & ~ ((I = J))) => ((d_0 @ (d_ @ A @ I) @ J) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((diagonalu_matrix @ A) => ((transp @ A) = A))).
