%   ORIGINAL: ORTHOGONAL_TRANSFORMATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_NORM: !x y. x dot y = (norm (x + y) pow 2 - norm x pow 2 - norm y pow 2) / &2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_ADD: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry.XHVXJVB: !x. norm x = sqrt (x dot x)
% Assm: orthogonal_transformation: !f. orthogonal_transformation f <=> linear f /\ (!v w. f v dot f w = v dot w)
% Goal: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x dot y = (norm (x + y) pow 2 - norm x pow 2 - norm y pow 2) / &2
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: ~F <=> T
% Assm: T
% Assm: !x. norm x = sqrt (x dot x)
% Assm: !f. orthogonal_transformation f <=> linear f /\ (!v w. f v dot f w = v dot w)
% Goal: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq158661, type, cartrealq158661 : $tType).
thf(tq158661, type, q158661 : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdot, type, dot : (cartrealq158661 > cartrealq158661 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq158661 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq158661 > cartrealq158661 > cartrealq158661)).
thf(ci0, type, i0 : ($o > $o)).
thf(clinear, type, linear : ((cartrealq158661 > cartrealq158661) > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealq158661 > cartrealq158661) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_NORM, axiom, ![X:cartrealq158661,Y:cartrealq158661]:((dot @ X @ Y) = (realu_div @ (realu_sub @ (realu_sub @ (realu_pow @ (vectoru_norm @ (vectoru_add @ X @ Y)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (vectoru_norm @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_pow @ (vectoru_norm @ Y) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aLINEARu_ADD, axiom, ![F:(cartrealq158661 > cartrealq158661),X:cartrealq158661,Y:cartrealq158661]:((linear @ F) => ((F @ (vectoru_add @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_XHVXJVB, axiom, ![X:cartrealq158661]:((vectoru_norm @ X) = (sqrt @ (dot @ X @ X)))).
thf(aorthogonalu_transformation, axiom, ![F:(cartrealq158661 > cartrealq158661)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealq158661,W:cartrealq158661]:((dot @ (F @ V) @ (F @ W)) = (dot @ V @ W))))).
thf(conjecture, conjecture, ![F:(cartrealq158661 > cartrealq158661)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealq158661]:((vectoru_norm @ (F @ V)) = (vectoru_norm @ V))))).
