%   ORIGINAL: ORTHOGONAL_MATRIX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: MATRIX_LEFT_RIGHT_INVERSE: !A A'. A ** A' = mat 1 <=> A' ** A = mat 1
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: orthogonal_matrix: !Q. orthogonal_matrix Q <=> transp Q ** Q = mat 1 /\ Q ** transp Q = mat 1
% Goal: orthogonal_matrix Q <=> transp Q ** Q = mat 1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !A A'. A ** A' = mat 1 <=> A' ** A = mat 1
% Assm: ~F <=> T
% Assm: T
% Assm: !Q. orthogonal_matrix Q <=> transp Q ** Q = mat 1 /\ Q ** transp Q = mat 1
% Goal: !Q. orthogonal_matrix Q <=> transp Q ** Q = mat 1
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealnn > $o)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aMATRIXu_LEFTu_RIGHTu_INVERSE, axiom, ![A:cartcartrealnn,AI_:cartcartrealnn]:(((matrixu_mul @ A @ AI_) = (mat @ (numeral @ (bit1 @ u_0)))) <=> ((matrixu_mul @ AI_ @ A) = (mat @ (numeral @ (bit1 @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aorthogonalu_matrix, axiom, ![Q:cartcartrealnn]:((orthogonalu_matrix @ Q) <=> (((matrixu_mul @ (transp @ Q) @ Q) = (mat @ (numeral @ (bit1 @ u_0)))) & ((matrixu_mul @ Q @ (transp @ Q)) = (mat @ (numeral @ (bit1 @ u_0))))))).
thf(conjecture, conjecture, ![Q:cartcartrealnn]:((orthogonalu_matrix @ Q) <=> ((matrixu_mul @ (transp @ Q) @ Q) = (mat @ (numeral @ (bit1 @ u_0)))))).
