%   ORIGINAL: ORTHOGONAL_MATRIX_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MATRIX_MUL_ASSOC: !A B C. A ** B ** C = (A ** B) ** C
% Assm: MATRIX_MUL_LID: !A. mat 1 ** A = A
% Assm: MATRIX_TRANSP_MUL: !A B. transp (A ** B) = transp B ** transp A
% Assm: TRUTH: T
% Assm: orthogonal_matrix: !Q. orthogonal_matrix Q <=> transp Q ** Q = mat 1 /\ Q ** transp Q = mat 1
% Goal: !A B. orthogonal_matrix A /\ orthogonal_matrix B ==> orthogonal_matrix (A ** B)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A B C. A ** B ** C = (A ** B) ** C
% Assm: !A. mat 1 ** A = A
% Assm: !A B. transp (A ** B) = transp B ** transp A
% Assm: T
% Assm: !Q. orthogonal_matrix Q <=> transp Q ** Q = mat 1 /\ Q ** transp Q = mat 1
% Goal: !A B. orthogonal_matrix A /\ orthogonal_matrix B ==> orthogonal_matrix (A ** B)
%  TYPES
thf(tcartcartrealq158875q158875, type, cartcartrealq158875q158875 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq158875, type, cartrealq158875 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq158875, type, q158875 : $tType).
%  CONSTS
thf(ctransp, type, transp : (cartcartrealq158875q158875 > cartcartrealq158875q158875)).
thf(cmat, type, mat : (num > cartcartrealq158875q158875)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealq158875q158875 > cartcartrealq158875q158875 > cartcartrealq158875q158875)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealq158875q158875 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMATRIXu_MULu_ASSOC, axiom, ![A:cartcartrealq158875q158875,B:cartcartrealq158875q158875,C:cartcartrealq158875q158875]:((matrixu_mul @ A @ (matrixu_mul @ B @ C)) = (matrixu_mul @ (matrixu_mul @ A @ B) @ C))).
thf(aMATRIXu_MULu_LID, axiom, ![A:cartcartrealq158875q158875]:((matrixu_mul @ (mat @ (numeral @ (bit1 @ u_0))) @ A) = A)).
thf(aMATRIXu_TRANSPu_MUL, axiom, ![A:cartcartrealq158875q158875,B:cartcartrealq158875q158875]:((transp @ (matrixu_mul @ A @ B)) = (matrixu_mul @ (transp @ B) @ (transp @ A)))).
thf(aTRUTH, axiom, $true).
thf(aorthogonalu_matrix, axiom, ![Q:cartcartrealq158875q158875]:((orthogonalu_matrix @ Q) <=> (((matrixu_mul @ (transp @ Q) @ Q) = (mat @ (numeral @ (bit1 @ u_0)))) & ((matrixu_mul @ Q @ (transp @ Q)) = (mat @ (numeral @ (bit1 @ u_0))))))).
thf(conjecture, conjecture, ![A:cartcartrealq158875q158875,B:cartcartrealq158875q158875]:(((orthogonalu_matrix @ A) & (orthogonalu_matrix @ B)) => (orthogonalu_matrix @ (matrixu_mul @ A @ B)))).
