%   ORIGINAL: ORTHOGONAL_MATRIX_TRANSP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRANSP_TRANSP: !A. transp (transp A) = A
% Assm: TRUTH: T
% Assm: orthogonal_matrix: !Q. orthogonal_matrix Q <=> transp Q ** Q = mat 1 /\ Q ** transp Q = mat 1
% Goal: !A. orthogonal_matrix (transp A) <=> orthogonal_matrix A
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A. transp (transp A) = A
% Assm: T
% Assm: !Q. orthogonal_matrix Q <=> transp Q ** Q = mat 1 /\ Q ** transp Q = mat 1
% Goal: !A. orthogonal_matrix (transp A) <=> orthogonal_matrix A
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealnn > $o)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRANSPu_TRANSP, axiom, ![A:cartcartrealnn]:((transp @ (transp @ A)) = A)).
thf(aTRUTH, axiom, $true).
thf(aorthogonalu_matrix, axiom, ![Q:cartcartrealnn]:((orthogonalu_matrix @ Q) <=> (((matrixu_mul @ (transp @ Q) @ Q) = (mat @ (numeral @ (bit1 @ u_0)))) & ((matrixu_mul @ Q @ (transp @ Q)) = (mat @ (numeral @ (bit1 @ u_0))))))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((orthogonalu_matrix @ (transp @ A)) <=> (orthogonalu_matrix @ A))).
