%   ORIGINAL: ORTHOGONAL_MATRIX_ORTHONORMAL_COLUMNS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_MUL_LTRANSP_DOT_COLUMN: !A. transp A ** A = (lambda i j. column i A dot column j A)
% Assm: NORM_EQ_1: !x. norm x = &1 <=> x dot x = &1
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_MATRIX: orthogonal_matrix Q <=> transp Q ** Q = mat 1
% Assm: TRUTH: T
% Assm: mat: !k. mat k = (lambda i j. if i = j then &k else &0)
% Assm: orthogonal: !x y. orthogonal x y <=> x dot y = &0
% Goal: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (column i A) = &1) /\ (!i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) ==> orthogonal (column i A) (column j A))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (x$i <=> y$i))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !t. (\x. t x) = t
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> ((lambda) g$i <=> g i)
% Assm: !A. transp A ** A = (lambda i j. column i A dot column j A)
% Assm: !x. norm x = &1 <=> x dot x = &1
% Assm: ~F <=> T
% Assm: !Q. orthogonal_matrix Q <=> transp Q ** Q = mat 1
% Assm: T
% Assm: !k. mat k = (lambda i j. if i = j then &k else &0)
% Assm: !x y. orthogonal x y <=> x dot y = &0
% Goal: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (column i A) = &1) /\ (!i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) ==> orthogonal (column i A) (column j A))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartbooln, type, cartbooln : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartnumn, type, cartnumn : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cdu_1, type, d_1 : (cartbooln > num > $o)).
thf(cdu_0, type, d_0 : (cartnumn > num > num)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(ccond1, type, cond1 : ($o > $o > $o > $o)).
thf(ccond0, type, cond0 : ($o > num > num > num)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccolumn, type, column : (num > cartcartrealnn > cartrealn)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealnn > $o)).
thf(clambda4, type, lambda4 : ((num > cartrealn) > cartcartrealnm)).
thf(cmat0, type, mat0 : (num > cartcartrealnm)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(clambda3, type, lambda3 : ((num > cartrealn) > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(clambda2, type, lambda2 : ((num > $o) > cartbooln)).
thf(clambda1, type, lambda1 : ((num > num) > cartnumn)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQu_monomorphized2, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCARTu_EQu_monomorphized1, axiom, ![X:cartnumn,Y:cartnumn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ X @ I) = (d_0 @ Y @ I))))).
thf(aCARTu_EQu_monomorphized0, axiom, ![X:cartbooln,Y:cartbooln]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_1 @ X @ I) <=> (d_1 @ Y @ I))))).
thf(aCONDu_CLAUSESu_monomorphized2, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:num,T2:num]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:$o,T2:$o]:(((cond1 @ $true @ T1 @ T2) <=> T1) & ((cond1 @ $false @ T1 @ T2) <=> T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLAMBDAu_BETAu_monomorphized2, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > num),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_1 @ (lambda2 @ G) @ I) <=> (G @ I)))).
thf(aMATRIXu_MULu_LTRANSPu_DOTu_COLUMN, axiom, ![A:cartcartrealnn]:((matrixu_mul @ (transp @ A) @ A) = (lambda3 @ ^[I:num]:(lambda0 @ ^[J:num]:(dot @ (column @ I @ A) @ (column @ J @ A)))))).
thf(aNORMu_EQu_1, axiom, ![X:cartrealn]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) <=> ((dot @ X @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_MATRIX, axiom, ![Q:cartcartrealnn]:((orthogonalu_matrix @ Q) <=> ((matrixu_mul @ (transp @ Q) @ Q) = (mat @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(amat, axiom, ![K:num]:((mat0 @ K) = (lambda4 @ ^[I:num]:(lambda0 @ ^[J:num]:(cond @ (I = J) @ (realu_ofu_num @ K) @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(aorthogonal, axiom, ![X:cartrealn,Y:cartrealn]:((orthogonal @ X @ Y) <=> ((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((orthogonalu_matrix @ A) <=> (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((vectoru_norm @ (column @ I @ A)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) & ![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ)) & ~ ((I = J))) => (orthogonal @ (column @ I @ A) @ (column @ J @ A)))))).
