%   ORIGINAL: ORTHOGONAL_MATRIX_ORTHONORMAL_ROWS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COLUMN_TRANSP: !A i. 1 <= i /\ i <= dimindex (:M) ==> column i (transp A) = row i A
% Assm: ORTHOGONAL_MATRIX_ORTHONORMAL_COLUMNS: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (column i A) = &1) /\ (!i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) ==> orthogonal (column i A) (column j A))
% Assm: ORTHOGONAL_MATRIX_TRANSP: !A. orthogonal_matrix (transp A) <=> orthogonal_matrix A
% Assm: TRUTH: T
% Goal: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (row i A) = &1) /\ (!i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) ==> orthogonal (row i A) (row j A))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A i. 1 <= i /\ i <= dimindex (:N) ==> column i (transp A) = row i A
% Assm: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (column i A) = &1) /\ (!i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) ==> orthogonal (column i A) (column j A))
% Assm: !A. orthogonal_matrix (transp A) <=> orthogonal_matrix A
% Assm: T
% Goal: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (row i A) = &1) /\ (!i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) ==> orthogonal (row i A) (row j A))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccolumn, type, column : (num > cartcartrealnn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crow, type, row : (num > cartcartrealnn > cartrealn)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealnn > $o)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOLUMNu_TRANSP, axiom, ![A:cartcartrealnn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((column @ I @ (transp @ A)) = (row @ I @ A)))).
thf(aORTHOGONALu_MATRIXu_ORTHONORMALu_COLUMNS, axiom, ![A:cartcartrealnn]:((orthogonalu_matrix @ A) <=> (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((vectoru_norm @ (column @ I @ A)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) & ![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ)) & ~ ((I = J))) => (orthogonal @ (column @ I @ A) @ (column @ J @ A)))))).
thf(aORTHOGONALu_MATRIXu_TRANSP, axiom, ![A:cartcartrealnn]:((orthogonalu_matrix @ (transp @ A)) <=> (orthogonalu_matrix @ A))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((orthogonalu_matrix @ A) <=> (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((vectoru_norm @ (row @ I @ A)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) & ![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ)) & ~ ((I = J))) => (orthogonal @ (row @ I @ A) @ (row @ J @ A)))))).
