%   ORIGINAL: ORTHOGONAL_MATRIX_ORTHONORMAL_ROWS_INDEXED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_MUL_RTRANSP_DOT_ROW: !A. A ** transp A = (lambda i j. row i A dot row j A)
% Assm: MAT_COMPONENT: !n i j. 1 <= i /\ i <= dimindex (:M) /\ 1 <= j /\ j <= dimindex (:N) ==> mat n$i$j = (if i = j then &n else &0)
% Assm: NORM_EQ_SQUARE: !x. norm x = a <=> &0 <= a /\ x dot x = a pow 2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_MATRIX_ALT: !A. orthogonal_matrix A <=> A ** transp A = mat 1
% Assm: REAL_POS: !n. &0 <= &n
% Assm: TRUTH: T
% Assm: Trigonometry2.POW2_1: &1 pow 2 = &1
% Assm: orthogonal: !x y. orthogonal x y <=> x dot y = &0
% Assm: pairwise: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (row i A) = &1) /\ pairwise (\i j. orthogonal (row i A) (row j A)) (1..dimindex (:N))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (x$i <=> y$i))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !t. (\x. t x) = t
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> ((lambda) g$i <=> g i)
% Assm: !A. A ** transp A = (lambda i j. row i A dot row j A)
% Assm: !n i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) ==> mat n$i$j = (if i = j then &n else &0)
% Assm: !a x. norm x = a <=> &0 <= a /\ x dot x = a pow 2
% Assm: ~F <=> T
% Assm: !A. orthogonal_matrix A <=> A ** transp A = mat 1
% Assm: !n. &0 <= &n
% Assm: T
% Assm: &1 pow 2 = &1
% Assm: !x y. orthogonal x y <=> x dot y = &0
% Assm: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (row i A) = &1) /\ pairwise (\i j. orthogonal (row i A) (row j A)) (1..dimindex (:N))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartbooln, type, cartbooln : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cdu_0, type, d_0 : (cartbooln > num > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((num > num > $o) > (num > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_1, type, d_1 : (cartcartrealnn > num > cartrealn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(ccond0, type, cond0 : ($o > $o > $o > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crow, type, row : (num > cartcartrealnn > cartrealn)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealnn > $o)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(clambda2, type, lambda2 : ((num > cartrealn) > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(clambda1, type, lambda1 : ((num > $o) > cartbooln)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCARTu_EQu_monomorphized0, axiom, ![X:cartbooln,Y:cartbooln]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ X @ I) <=> (d_0 @ Y @ I))))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:$o,T2:$o]:(((cond0 @ $true @ T1 @ T2) <=> T1) & ((cond0 @ $false @ T1 @ T2) <=> T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ (lambda1 @ G) @ I) <=> (G @ I)))).
thf(aMATRIXu_MULu_RTRANSPu_DOTu_ROW, axiom, ![A:cartcartrealnn]:((matrixu_mul @ A @ (transp @ A)) = (lambda2 @ ^[I:num]:(lambda0 @ ^[J:num]:(dot @ (row @ I @ A) @ (row @ J @ A)))))).
thf(aMATu_COMPONENT, axiom, ![N:num,I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ))) => ((d_ @ (d_1 @ (mat @ N) @ I) @ J) = (cond @ (I = J) @ (realu_ofu_num @ N) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aNORMu_EQu_SQUARE, axiom, ![A:real,X:cartrealn]:(((vectoru_norm @ X) = A) <=> ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & ((dot @ X @ X) = (realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_MATRIXu_ALT, axiom, ![A:cartcartrealnn]:((orthogonalu_matrix @ A) <=> ((matrixu_mul @ A @ (transp @ A)) = (mat @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_POW2u_1, axiom, ((realu_pow @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aorthogonal, axiom, ![X:cartrealn,Y:cartrealn]:((orthogonal @ X @ Y) <=> ((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))))).
thf(apairwise, axiom, ![S:(num > $o),R:(num > num > $o)]:((pairwise @ R @ S) <=> ![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (R @ X @ Y)))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((orthogonalu_matrix @ A) <=> (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((vectoru_norm @ (row @ I @ A)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (pairwise @ ^[I:num,J:num]:(orthogonal @ (row @ I @ A) @ (row @ J @ A)) @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)))))).
