%   ORIGINAL: ORTHOGONAL_MATRIX_ORTHONORMAL_COLUMNS_INDEXED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: ORTHOGONAL_MATRIX_ORTHONORMAL_ROWS_INDEXED: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (row i A) = &1) /\ pairwise (\i j. orthogonal (row i A) (row j A)) (1..dimindex (:N))
% Assm: ORTHOGONAL_MATRIX_TRANSP: !A. orthogonal_matrix (transp A) <=> orthogonal_matrix A
% Assm: ROW_TRANSP: !A i. 1 <= i /\ i <= dimindex (:N) ==> row i (transp A) = column i A
% Assm: TRUTH: T
% Assm: pairwise: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (column i A) = &1) /\ pairwise (\i j. orthogonal (column i A) (column j A)) (1..dimindex (:N))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (row i A) = &1) /\ pairwise (\i j. orthogonal (row i A) (row j A)) (1..dimindex (:N))
% Assm: !A. orthogonal_matrix (transp A) <=> orthogonal_matrix A
% Assm: !A i. 1 <= i /\ i <= dimindex (:N) ==> row i (transp A) = column i A
% Assm: T
% Assm: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !A. orthogonal_matrix A <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (column i A) = &1) /\ pairwise (\i j. orthogonal (column i A) (column j A)) (1..dimindex (:N))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((num > num > $o) > (num > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crow, type, row : (num > cartcartrealnn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccolumn, type, column : (num > cartcartrealnn > cartrealn)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealnn > $o)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aORTHOGONALu_MATRIXu_ORTHONORMALu_ROWSu_INDEXED, axiom, ![A:cartcartrealnn]:((orthogonalu_matrix @ A) <=> (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((vectoru_norm @ (row @ I @ A)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (pairwise @ ^[I:num,J:num]:(orthogonal @ (row @ I @ A) @ (row @ J @ A)) @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)))))).
thf(aORTHOGONALu_MATRIXu_TRANSP, axiom, ![A:cartcartrealnn]:((orthogonalu_matrix @ (transp @ A)) <=> (orthogonalu_matrix @ A))).
thf(aROWu_TRANSP, axiom, ![A:cartcartrealnn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((row @ I @ (transp @ A)) = (column @ I @ A)))).
thf(aTRUTH, axiom, $true).
thf(apairwise, axiom, ![S:(num > $o),R:(num > num > $o)]:((pairwise @ R @ S) <=> ![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (R @ X @ Y)))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((orthogonalu_matrix @ A) <=> (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((vectoru_norm @ (column @ I @ A)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (pairwise @ ^[I:num,J:num]:(orthogonal @ (column @ I @ A) @ (column @ J @ A)) @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)))))).
