%   ORIGINAL: ORTHOGONAL_MATRIX_ORTHONORMAL_COLUMNS_SPAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_MATRIX_ORTHONORMAL_ROWS_SPAN: !A. orthogonal_matrix A <=> span (rows A) = (:real^N) /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (row i A) = &1) /\ pairwise orthogonal (rows A)
% Assm: ORTHOGONAL_MATRIX_TRANSP: !A. orthogonal_matrix (transp A) <=> orthogonal_matrix A
% Assm: ROWS_TRANSP: !A. rows (transp A) = columns A
% Assm: ROW_TRANSP: !A i. 1 <= i /\ i <= dimindex (:N) ==> row i (transp A) = column i A
% Assm: TRUTH: T
% Goal: !A. orthogonal_matrix A <=> span (columns A) = (:real^N) /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (column i A) = &1) /\ pairwise orthogonal (columns A)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A. orthogonal_matrix A <=> span (rows A) = (:real^N) /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (row i A) = &1) /\ pairwise orthogonal (rows A)
% Assm: !A. orthogonal_matrix (transp A) <=> orthogonal_matrix A
% Assm: !A. rows (transp A) = columns A
% Assm: !A i. 1 <= i /\ i <= dimindex (:N) ==> row i (transp A) = column i A
% Assm: T
% Goal: !A. orthogonal_matrix A <=> span (columns A) = (:real^N) /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> norm (column i A) = &1) /\ pairwise orthogonal (columns A)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (n > $o)).
thf(crows, type, rows : (cartcartrealnn > cartrealn > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccolumns, type, columns : (cartcartrealnn > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(crow, type, row : (num > cartcartrealnn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccolumn, type, column : (num > cartcartrealnn > cartrealn)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealnn > $o)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_MATRIXu_ORTHONORMALu_ROWSu_SPAN, axiom, ![A:cartcartrealnn]:((orthogonalu_matrix @ A) <=> (((span @ (rows @ A)) = univ) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ0))) => ((vectoru_norm @ (row @ I @ A)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (pairwise @ orthogonal @ (rows @ A))))).
thf(aORTHOGONALu_MATRIXu_TRANSP, axiom, ![A:cartcartrealnn]:((orthogonalu_matrix @ (transp @ A)) <=> (orthogonalu_matrix @ A))).
thf(aROWSu_TRANSP, axiom, ![A:cartcartrealnn]:((rows @ (transp @ A)) = (columns @ A))).
thf(aROWu_TRANSP, axiom, ![A:cartcartrealnn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ0))) => ((row @ I @ (transp @ A)) = (column @ I @ A)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((orthogonalu_matrix @ A) <=> (((span @ (columns @ A)) = univ) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ0))) => ((vectoru_norm @ (column @ I @ A)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (pairwise @ orthogonal @ (columns @ A))))).
