%   ORIGINAL: ISOMETRY_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: SCALING_LINEAR: !f c. f (vec 0) = vec 0 /\ (!x y. dist (f x,f y) = c * dist (x,y)) ==> linear f
% Assm: TRUTH: T
% Goal: !f. f (vec 0) = vec 0 /\ (!x y. dist (f x,f y) = dist (x,y)) ==> linear f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. &1 * x = x
% Assm: !f c. f (vec 0) = vec 0 /\ (!x y. dist (f x,f y) = c * dist (x,y)) ==> linear f
% Assm: T
% Goal: !f. f (vec 0) = vec 0 /\ (!x y. dist (f x,f y) = dist (x,y)) ==> linear f
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdistance0, type, distance0 : (prodcartrealmcartrealm > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_0, type, c_0 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cvec, type, vec : (num > cartrealm)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aSCALINGu_LINEAR, axiom, ![F:(cartrealm > cartrealn),C:real]:((((F @ (vec @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0))) & ![X:cartrealm,Y:cartrealm]:((distance @ (c_ @ (F @ X) @ (F @ Y))) = (realu_mul @ C @ (distance0 @ (c_0 @ X @ Y))))) => (linear @ F))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((((F @ (vec @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0))) & ![X:cartrealm,Y:cartrealm]:((distance @ (c_ @ (F @ X) @ (F @ Y))) = (distance0 @ (c_0 @ X @ Y)))) => (linear @ F))).
