%   ORIGINAL: ORTHOGONAL_TRANSFORMATION_ISOMETRY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: ISOMETRY_LINEAR: !f. f (vec 0) = vec 0 /\ (!x y. dist (f x,f y) = dist (x,y)) ==> linear f
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_0: !f. linear f ==> f (vec 0) = vec 0
% Assm: LINEAR_SUB: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_TRANSFORMATION: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: TRUTH: T
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !f. orthogonal_transformation f <=> f (vec 0) = vec 0 /\ (!x y. dist (f x,f y) = dist (x,y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f. f (vec 0) = vec 0 /\ (!x y. dist (f x,f y) = dist (x,y)) ==> linear f
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !f. linear f ==> f (vec 0) = vec 0
% Assm: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: ~F <=> T
% Assm: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: T
% Assm: !x. x - vec 0 = x
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !f. orthogonal_transformation f <=> f (vec 0) = vec 0 /\ (!x y. dist (f x,f y) = dist (x,y))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq109412, type, cartrealq109412 : $tType).
thf(tq109412, type, q109412 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq109412 > cartrealq109412 > cartrealq109412)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ci1, type, i1 : ($o > $o)).
thf(clinear0, type, linear0 : ((cartrealq109412 > cartrealn) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aISOMETRYu_LINEAR, axiom, ![F:(cartrealn > cartrealn)]:((((F @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0))) & ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ (F @ X) @ (F @ Y))) = (distance @ (c_ @ X @ Y)))) => (linear @ F))).
thf(aIu_THMu_monomorphized2, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aLINEARu_0, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => ((F @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0))))).
thf(aLINEARu_SUB, axiom, ![F:(cartrealq109412 > cartrealn),X:cartrealq109412,Y:cartrealq109412]:((linear0 @ F) => ((F @ (vectoru_sub @ X @ Y)) = (vectoru_sub0 @ (F @ X) @ (F @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_TRANSFORMATION, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealn]:((vectoru_norm @ (F @ V)) = (vectoru_norm @ V))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealn]:((vectoru_sub0 @ X @ (vec @ (numeral @ u_0))) = X)).
thf(adist, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub0 @ X @ Y)))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) <=> (((F @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0))) & ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ (F @ X) @ (F @ Y))) = (distance @ (c_ @ X @ Y)))))).
