%   ORIGINAL: ORTHOGONAL_TRANSFORMATION_INJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LINEAR_INJECTIVE_0: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: ORTHOGONAL_TRANSFORMATION: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: TRUTH: T
% Goal: !f. orthogonal_transformation f ==> (!x y. f x = f y ==> x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. linear f ==> ((!x y. f x = f y ==> x = y) <=> (!x. f x = vec 0 ==> x = vec 0))
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: T
% Goal: !f. orthogonal_transformation f ==> (!x y. f x = f y ==> x = y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn > cartrealn) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLINEARu_INJECTIVEu_0, axiom, ![F:(cartrealn > cartrealn)]:((linear @ F) => (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)) <=> ![X:cartrealn]:(((F @ X) = (vec @ (numeral @ u_0))) => (X = (vec @ (numeral @ u_0))))))).
thf(aNORMu_EQu_0, axiom, ![X:cartrealn]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aORTHOGONALu_TRANSFORMATION, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealn]:((vectoru_norm @ (F @ V)) = (vectoru_norm @ V))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) => ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)))).
