%   ORIGINAL: ORTHOGONAL_TRANSFORMATION_SURJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_INJECTIVE_IMP_SURJECTIVE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!y. ?x. f x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_TRANSFORMATION_INJECTIVE: !f. orthogonal_transformation f ==> (!x y. f x = f y ==> x = y)
% Assm: TRUTH: T
% Assm: orthogonal_transformation: !f. orthogonal_transformation f <=> linear f /\ (!v w. f v dot f w = v dot w)
% Goal: !f. orthogonal_transformation f ==> (!y. ?x. f x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!y. ?x. f x = y)
% Assm: ~F <=> T
% Assm: !f. orthogonal_transformation f ==> (!x y. f x = f y ==> x = y)
% Assm: T
% Assm: !f. orthogonal_transformation f <=> linear f /\ (!v w. f v dot f w = v dot w)
% Goal: !f. orthogonal_transformation f ==> (!y. ?x. f x = y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aLINEARu_INJECTIVEu_IMPu_SURJECTIVE, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_TRANSFORMATIONu_INJECTIVE, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) => ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)))).
thf(aTRUTH, axiom, $true).
thf(aorthogonalu_transformation, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealn,W:cartrealn]:((dot @ (F @ V) @ (F @ W)) = (dot @ V @ W))))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) => ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y))).
