%   ORIGINAL: ORTHOGONAL_TRANSFORMATION_INVERSE_o
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_INJECTIVE_LEFT_INVERSE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?g. linear g /\ g o f = I)
% Assm: LINEAR_INVERSE_LEFT: !f f'. linear f /\ linear f' ==> (f o f' = I <=> f' o f = I)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_TRANSFORMATION: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: ORTHOGONAL_TRANSFORMATION_INJECTIVE: !f. orthogonal_transformation f ==> (!x y. f x = f y ==> x = y)
% Assm: ORTHOGONAL_TRANSFORMATION_LINEAR: !f. orthogonal_transformation f ==> linear f
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f. orthogonal_transformation f ==> (?g. orthogonal_transformation g /\ g o f = I /\ f o g = I)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?g. linear g /\ g o f = I)
% Assm: !f f'. linear f /\ linear f' ==> (f o f' = I <=> f' o f = I)
% Assm: ~F <=> T
% Assm: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: !f. orthogonal_transformation f ==> (!x y. f x = f y ==> x = y)
% Assm: !f. orthogonal_transformation f ==> linear f
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f. orthogonal_transformation f ==> (?g. orthogonal_transformation g /\ g o f = I /\ f o g = I)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > cartrealn),G:(a > cartrealn > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > cartrealn)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn)]:((F = G) <=> ![X:cartrealn]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aLINEARu_INJECTIVEu_LEFTu_INVERSE, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ?[G:(cartrealn > cartrealn)]:((linear @ G) & ((o @ G @ F) = i)))).
thf(aLINEARu_INVERSEu_LEFT, axiom, ![F:(cartrealn > cartrealn),FI_:(cartrealn > cartrealn)]:(((linear @ F) & (linear @ FI_)) => (((o @ F @ FI_) = i) <=> ((o @ FI_ @ F) = i)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_TRANSFORMATION, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealn]:((vectoru_norm @ (F @ V)) = (vectoru_norm @ V))))).
thf(aORTHOGONALu_TRANSFORMATIONu_INJECTIVE, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) => ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)))).
thf(aORTHOGONALu_TRANSFORMATIONu_LINEAR, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) => (linear @ F))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),X:cartrealn]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) => ?[G:(cartrealn > cartrealn)]:((orthogonalu_transformation @ G) & ((o @ G @ F) = i) & ((o @ F @ G) = i)))).
