%   ORIGINAL: ORTHOGONAL_TRANSFORMATION_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: ORTHOGONAL_TRANSFORMATION_INVERSE_o: !f. orthogonal_transformation f ==> (?g. orthogonal_transformation g /\ g o f = I /\ f o g = I)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f. orthogonal_transformation f ==> (?g. orthogonal_transformation g /\ (!x. g (f x) = x) /\ (!y. f (g y) = y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !f. orthogonal_transformation f ==> (?g. orthogonal_transformation g /\ g o f = I /\ f o g = I)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f. orthogonal_transformation f ==> (?g. orthogonal_transformation g /\ (!x. g (f x) = x) /\ (!y. f (g y) = y))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(co0, type, o0 : ((b > cartrealn) > (a > b) > a > cartrealn)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aORTHOGONALu_TRANSFORMATIONu_INVERSEu_o, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) => ?[G:(cartrealn > cartrealn)]:((orthogonalu_transformation @ G) & ((o @ G @ F) = i) & ((o @ F @ G) = i)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > cartrealn),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) => ?[G:(cartrealn > cartrealn)]:((orthogonalu_transformation @ G) & ![X:cartrealn]:((G @ (F @ X)) = X) & ![Y:cartrealn]:((F @ (G @ Y)) = Y)))).
