%   ORIGINAL: ORTHOGONAL_TRANSFORMATION_LOWDIM_HORIZONTAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ROTATION_LOWDIM_HORIZONTAL: !s. dim s < dimindex (:N) ==> (?f. orthogonal_transformation f /\ det (matrix f) = &1 /\ IMAGE f s SUBSET {z | z$dimindex (:N) = &0})
% Assm: TRUTH: T
% Goal: !s. dim s < dimindex (:N) ==> (?f. orthogonal_transformation f /\ IMAGE f s SUBSET {z | z$dimindex (:N) = &0})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. dim s < dimindex (:N) ==> (?f. orthogonal_transformation f /\ det (matrix f) = &1 /\ IMAGE f s SUBSET {z | z$dimindex (:N) = &0})
% Assm: T
% Goal: !s. dim s < dimindex (:N) ==> (?f. orthogonal_transformation f /\ IMAGE f s SUBSET {z | z$dimindex (:N) = &0})
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn > cartrealn) > $o)).
thf(cmatrix, type, matrix : ((cartrealn > cartrealn) > cartcartrealnn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aROTATIONu_LOWDIMu_HORIZONTAL, axiom, ![S:(cartrealn > $o)]:((l_ @ (dim @ S) @ (dimindex @ univ)) => ?[F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) & ((det @ (matrix @ F)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (subset @ (image @ F @ S) @ (gspec @ ^[GENR_PVARR_426:cartrealn]:?[Z:cartrealn]:(setspec @ GENR_PVARR_426 @ ((d_ @ Z @ (dimindex @ univ)) = (realu_ofu_num @ (numeral @ u_0))) @ Z)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((l_ @ (dim @ S) @ (dimindex @ univ)) => ?[F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) & (subset @ (image @ F @ S) @ (gspec @ ^[GENR_PVARR_427:cartrealn]:?[Z:cartrealn]:(setspec @ GENR_PVARR_427 @ ((d_ @ Z @ (dimindex @ univ)) = (realu_ofu_num @ (numeral @ u_0))) @ Z)))))).
