%   ORIGINAL: OPEN_IN_CLAUSES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN: !P x. x IN P <=> P x
% Assm: ISTOPOLOGY_OPEN_IN: istopology (open_in top)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: istopology: !L. istopology L <=> {} IN L /\ (!s t. s IN L /\ t IN L ==> s INTER t IN L) /\ (!k. k SUBSET L ==> UNIONS k IN L)
% Goal: !top. open_in top {} /\ (!s t. open_in top s /\ open_in top t ==> open_in top (s INTER t)) /\ (!k. (!s. s IN k ==> open_in top s) ==> open_in top (UNIONS k))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P x. x IN P <=> P x
% Assm: !top. istopology (open_in top)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !L. istopology L <=> {} IN L /\ (!s t. s IN L /\ t IN L ==> s INTER t IN L) /\ (!k. k SUBSET L ==> UNIONS k IN L)
% Goal: !top. open_in top {} /\ (!s t. open_in top s /\ open_in top t ==> open_in top (s INTER t)) /\ (!k. (!s. s IN k ==> open_in top s) ==> open_in top (UNIONS k))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(ttopologya, type, topologya : $tType).
%  CONSTS
thf(csubset, type, subset : (((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologya > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cistopology, type, istopology : (((a > $o) > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIN, axiom, ![P:((a > $o) > $o),X:(a > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aISTOPOLOGYu_OPENu_IN, axiom, ![TOP:topologya]:(istopology @ (openu_in @ TOP))).
thf(aSUBSET, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((subset @ S @ T) <=> ![X:(a > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aistopology, axiom, ![L:((a > $o) > $o)]:((istopology @ L) <=> ((in @ empty @ L) & ![S:(a > $o),T:(a > $o)]:(((in @ S @ L) & (in @ T @ L)) => (in @ (inter @ S @ T) @ L)) & ![K:((a > $o) > $o)]:((subset @ K @ L) => (in @ (unions @ K) @ L))))).
thf(conjecture, conjecture, ![TOP:topologya]:((openu_in @ TOP @ empty) & ![S:(a > $o),T:(a > $o)]:(((openu_in @ TOP @ S) & (openu_in @ TOP @ T)) => (openu_in @ TOP @ (inter @ S @ T))) & ![K:((a > $o) > $o)]:(![S:(a > $o)]:((in @ S @ K) => (openu_in @ TOP @ S)) => (openu_in @ TOP @ (unions @ K))))).
