%   ORIGINAL: OPEN_IN_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FORALL_IN_INSERT: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: INTERS_INSERT: INTERS (s INSERT u) = s INTER INTERS u
% Assm: INTER_UNIV_conjunct1: !s. s INTER (:A) = s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_INSERT_EMPTY: !x s. ~(x INSERT s = {})
% Assm: OPEN_IN_INTER: !top s t. open_in top s /\ open_in top t ==> open_in top (s INTER t)
% Assm: TRUTH: T
% Goal: !top s. FINITE s /\ ~(s = {}) /\ (!t. t IN s ==> open_in top t) ==> open_in top (INTERS s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: INTERS {} = (:A)
% Assm: !s u. INTERS (s INSERT u) = s INTER INTERS u
% Assm: !s. s INTER (:A->bool) = s
% Assm: ~F <=> T
% Assm: !x s. ~(x INSERT s = {})
% Assm: !top s t. open_in top s /\ open_in top t ==> open_in top (s INTER t)
% Assm: T
% Goal: !top s. FINITE s /\ ~(s = {}) /\ (!t. t IN s ==> open_in top t) ==> open_in top (INTERS s)
%  TYPES
thf(ta, type, a : $tType).
thf(ttopologya, type, topologya : $tType).
%  CONSTS
thf(cinters, type, inters : (((a > $o) > $o) > a > $o)).
thf(copenuu_in, type, openu_in : (topologya > (a > $o) > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cinter0, type, inter0 : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cinsert, type, insert : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cuniv0, type, univ0 : ((a > $o) > $o)).
thf(cempty, type, empty : ((a > $o) > $o)).
thf(cfinite, type, finite : (((a > $o) > $o) > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (a > $o) > $o),G:(a > (a > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((a > $o) > $o) > $o)]:(((P @ empty) & ![X:(a > $o),S:((a > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((a > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aFORALLu_INu_INSERT, axiom, ![P:((a > $o) > $o),A:(a > $o),S:((a > $o) > $o)]:(![X:(a > $o)]:((in @ X @ (insert @ A @ S)) => (P @ X)) <=> ((P @ A) & ![X:(a > $o)]:((in @ X @ S) => (P @ X))))).
thf(aINTERSu_0, axiom, ((inters @ empty) = univ)).
thf(aINTERSu_INSERT, axiom, ![S:(a > $o),U:((a > $o) > $o)]:((inters @ (insert @ S @ U)) = (inter @ S @ (inters @ U)))).
thf(aINTERu_UNIVu_conjunct1, axiom, ![S:((a > $o) > $o)]:((inter0 @ S @ univ0) = S)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INSERTu_EMPTY, axiom, ![X:(a > $o),S:((a > $o) > $o)]:~ (((insert @ X @ S) = empty))).
thf(aOPENu_INu_INTER, axiom, ![TOP:topologya,S:(a > $o),T:(a > $o)]:(((openu_in @ TOP @ S) & (openu_in @ TOP @ T)) => (openu_in @ TOP @ (inter @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![TOP:topologya,S:((a > $o) > $o)]:(((finite @ S) & ~ ((S = empty)) & ![T:(a > $o)]:((in @ T @ S) => (openu_in @ TOP @ T))) => (openu_in @ TOP @ (inters @ S)))).
