%   ORIGINAL: OPEN_IN_SUBOPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_UNIONS: !top k. (!s. s IN k ==> open_in top s) ==> open_in top (UNIONS k)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Goal: !top s. open_in top s <=> (!x. x IN s ==> (?t. open_in top t /\ x IN t /\ t SUBSET s))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !top k. (!s. s IN k ==> open_in top s) ==> open_in top (UNIONS k)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET s
% Assm: T
% Goal: !top s. open_in top s <=> (!x. x IN s ==> (?t. open_in top t /\ x IN t /\ t SUBSET s))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(ttopologya, type, topologya : $tType).
%  CONSTS
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologya > (a > $o) > $o)).
thf(cimage, type, image : ((a > a) > (a > $o) > a > $o)).
thf(ci, type, i : ($o > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(a > $o),F:(a > a),S:(a > $o)]:(![Y:a]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:a]:((in @ X @ S) => (P @ (F @ X))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:a,S:(a > $o),F:(a > a)]:((in @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_UNIONS, axiom, ![TOP:topologya,K:((a > $o) > $o)]:(![S:(a > $o)]:((in0 @ S @ K) => (openu_in @ TOP @ S)) => (openu_in @ TOP @ (unions @ K)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![TOP:topologya,S:(a > $o)]:((openu_in @ TOP @ S) <=> ![X:a]:((in @ X @ S) => ?[T:(a > $o)]:((openu_in @ TOP @ T) & (in @ X @ T) & (subset @ T @ S))))).
