%   ORIGINAL: CLOSED_IN_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_INTER: !top s t. open_in top s /\ open_in top t ==> open_in top (s INTER t)
% Assm: TRUTH: T
% Assm: UNION_SUBSET: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: closed_in: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !top s t. closed_in top s /\ closed_in top t ==> closed_in top (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !top s t. open_in top s /\ open_in top t ==> open_in top (s INTER t)
% Assm: T
% Assm: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !top s t. closed_in top s /\ closed_in top t ==> closed_in top (s UNION t)
%  TYPES
thf(tq166999, type, q166999 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq167271, type, q167271 : $tType).
thf(ttopologyq167271, type, topologyq167271 : $tType).
thf(ttopologyq166999, type, topologyq166999 : $tType).
%  CONSTS
thf(copenuu_in0, type, openu_in0 : (topologyq167271 > (q167271 > $o) > $o)).
thf(ctopspace, type, topspace : (topologyq167271 > q167271 > $o)).
thf(csubset, type, subset : ((q167271 > $o) > (q167271 > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologyq166999 > (q166999 > $o) > $o)).
thf(cin0, type, in0 : (q167271 > (q167271 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologyq167271 > (q167271 > $o) > $o)).
thf(cdiff0, type, diff0 : ((q167271 > $o) > (q167271 > $o) > q167271 > $o)).
thf(cinter0, type, inter0 : ((q166999 > $o) > (q166999 > $o) > q166999 > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((q167271 > $o) > (q167271 > $o) > q167271 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(q167271 > $o),T:(q167271 > $o),X:q167271]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_INTER, axiom, ![TOP:topologyq166999,S:(q166999 > $o),T:(q166999 > $o)]:(((openu_in @ TOP @ S) & (openu_in @ TOP @ T)) => (openu_in @ TOP @ (inter0 @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_SUBSET, axiom, ![S:(q167271 > $o),T:(q167271 > $o),U:(q167271 > $o)]:((subset @ (union @ S @ T) @ U) <=> ((subset @ S @ U) & (subset @ T @ U)))).
thf(aclosedu_in, axiom, ![TOP:topologyq167271,S:(q167271 > $o)]:((closedu_in @ TOP @ S) <=> ((subset @ S @ (topspace @ TOP)) & (openu_in0 @ TOP @ (diff0 @ (topspace @ TOP) @ S))))).
thf(conjecture, conjecture, ![TOP:topologyq167271,S:(q167271 > $o),T:(q167271 > $o)]:(((closedu_in @ TOP @ S) & (closedu_in @ TOP @ T)) => (closedu_in @ TOP @ (union @ S @ T)))).
