%   ORIGINAL: CLOSED_IN_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_IN_UNIONS: !top k. (!s. s IN k ==> open_in top s) ==> open_in top (UNIONS k)
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: closed_in: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !top k. ~(k = {}) /\ (!s. s IN k ==> closed_in top s) ==> closed_in top (INTERS k)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !top k. (!s. s IN k ==> open_in top s) ==> open_in top (UNIONS k)
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !top k. ~(k = {}) /\ (!s. s IN k ==> closed_in top s) ==> closed_in top (INTERS k)
%  TYPES
thf(ta, type, a : $tType).
thf(ttopologya, type, topologya : $tType).
%  CONSTS
thf(ctopspace, type, topspace : (topologya > a > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : (((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((a > $o) > $o) > a > $o)).
thf(copenuu_in, type, openu_in : (topologya > (a > $o) > $o)).
thf(ci, type, i : (((a > $o) > $o) > (a > $o) > $o)).
thf(cunions, type, unions : ((((a > $o) > $o) > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (((a > $o) > $o) > (((a > $o) > $o) > $o) > $o)).
thf(cinters0, type, inters0 : ((((a > $o) > $o) > $o) > (a > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cinters, type, inters : (((a > $o) > $o) > a > $o)).
thf(ccloseduu_in, type, closedu_in : (topologya > (a > $o) > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cdiff, type, diff : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cimage, type, image : (((a > $o) > a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cempty, type, empty : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (a > $o) > $o),G:(a > (a > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:((a > $o) > $o)]:(^[X:(a > $o)]:(T @ X) = T)).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:((a > $o) > $o),F:((a > $o) > a > $o),S:((a > $o) > $o)]:(?[Y:(a > $o)]:((in @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:(a > $o)]:((in @ X @ S) & (P @ (F @ X))))).
thf(aEXTENSION, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((S = T) <=> ![X:(a > $o)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:((a > $o) > $o),X:(a > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o),X:(a > $o)]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in @ X @ (gspec @ ^[V:(a > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aINu_INTERS, axiom, ![S:(((a > $o) > $o) > $o),X:(a > $o)]:((in @ X @ (inters0 @ S)) <=> ![T:((a > $o) > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aINu_UNIONS, axiom, ![S:(((a > $o) > $o) > $o),X:(a > $o)]:((in @ X @ (unions @ S)) <=> ?[T:((a > $o) > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:((a > $o) > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(a > $o)]:~ ((in @ X @ empty))).
thf(aOPENu_INu_UNIONS, axiom, ![TOP:topologya,K:((a > $o) > $o)]:(![S:(a > $o)]:((in @ S @ K) => (openu_in @ TOP @ S)) => (openu_in @ TOP @ (unions0 @ K)))).
thf(aSIMPLEu_IMAGE, axiom, ![F:((a > $o) > a > $o),S:((a > $o) > $o)]:((gspec @ ^[GENR_PVARR_11:(a > $o)]:?[X:(a > $o)]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image @ F @ S))).
thf(aSUBSET, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((subset @ S @ T) <=> ![X:(a > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aclosedu_in, axiom, ![TOP:topologya,S:(a > $o)]:((closedu_in @ TOP @ S) <=> ((subset0 @ S @ (topspace @ TOP)) & (openu_in @ TOP @ (diff0 @ (topspace @ TOP) @ S))))).
thf(conjecture, conjecture, ![TOP:topologya,K:((a > $o) > $o)]:((~ ((K = empty)) & ![S:(a > $o)]:((in @ S @ K) => (closedu_in @ TOP @ S))) => (closedu_in @ TOP @ (inters @ K)))).
