%   ORIGINAL: OPEN_IN_DIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_INTER: !top s t. open_in top s /\ open_in top t ==> open_in top (s INTER t)
% Assm: OPEN_IN_SUBSET: !top s. open_in top s ==> s SUBSET topspace top
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: closed_in: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !top s t. open_in top s /\ closed_in top t ==> open_in top (s DIFF t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !top s t. open_in top s /\ open_in top t ==> open_in top (s INTER t)
% Assm: !top s. open_in top s ==> s SUBSET topspace top
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !top s t. open_in top s /\ closed_in top t ==> open_in top (s DIFF t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(ttopologya, type, topologya : $tType).
%  CONSTS
thf(ctopspace, type, topspace : (topologya > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologya > (a > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologya > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_INTER, axiom, ![TOP:topologya,S:(a > $o),T:(a > $o)]:(((openu_in @ TOP @ S) & (openu_in @ TOP @ T)) => (openu_in @ TOP @ (inter @ S @ T)))).
thf(aOPENu_INu_SUBSET, axiom, ![TOP:topologya,S:(a > $o)]:((openu_in @ TOP @ S) => (subset @ S @ (topspace @ TOP)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aclosedu_in, axiom, ![TOP:topologya,S:(a > $o)]:((closedu_in @ TOP @ S) <=> ((subset @ S @ (topspace @ TOP)) & (openu_in @ TOP @ (diff @ (topspace @ TOP) @ S))))).
thf(conjecture, conjecture, ![TOP:topologya,S:(a > $o),T:(a > $o)]:(((openu_in @ TOP @ S) & (closedu_in @ TOP @ T)) => (openu_in @ TOP @ (diff @ S @ T)))).
