%   ORIGINAL: CLOSED_IN_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_IN_EMPTY: !top. closed_in top {}
% Assm: CLOSED_IN_UNION: !top s t. closed_in top s /\ closed_in top t ==> closed_in top (s UNION t)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !top s. FINITE s /\ (!t. t IN s ==> closed_in top t) ==> closed_in top (UNIONS s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !top. closed_in top {}
% Assm: !top s t. closed_in top s /\ closed_in top t ==> closed_in top (s UNION t)
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !top s. FINITE s /\ (!t. t IN s ==> closed_in top t) ==> closed_in top (UNIONS s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(ttopologyq167574, type, topologyq167574 : $tType).
thf(tq167574, type, q167574 : $tType).
%  CONSTS
thf(cunions, type, unions : (((q167574 > $o) > $o) > q167574 > $o)).
thf(ccloseduu_in, type, closedu_in : (topologyq167574 > (q167574 > $o) > $o)).
thf(cin, type, in : ((q167574 > $o) > ((q167574 > $o) > $o) > $o)).
thf(cinsert, type, insert : ((q167574 > $o) > ((q167574 > $o) > $o) > (q167574 > $o) > $o)).
thf(cunion, type, union : ((q167574 > $o) > (q167574 > $o) > q167574 > $o)).
thf(cempty0, type, empty0 : ((q167574 > $o) > $o)).
thf(cfinite, type, finite : (((q167574 > $o) > $o) > $o)).
thf(cempty, type, empty : (q167574 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_INu_EMPTY, axiom, ![TOP:topologyq167574]:(closedu_in @ TOP @ empty)).
thf(aCLOSEDu_INu_UNION, axiom, ![TOP:topologyq167574,S:(q167574 > $o),T:(q167574 > $o)]:(((closedu_in @ TOP @ S) & (closedu_in @ TOP @ T)) => (closedu_in @ TOP @ (union @ S @ T)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((q167574 > $o) > $o) > $o)]:(((P @ empty0) & ![X:(q167574 > $o),S:((q167574 > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((q167574 > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:(q167574 > $o),Y:(q167574 > $o),S:((q167574 > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty0) = empty)).
thf(aUNIONSu_INSERT, axiom, ![S:(q167574 > $o),U:((q167574 > $o) > $o)]:((unions @ (insert @ S @ U)) = (union @ S @ (unions @ U)))).
thf(conjecture, conjecture, ![TOP:topologyq167574,S:((q167574 > $o) > $o)]:(((finite @ S) & ![T:(q167574 > $o)]:((in @ T @ S) => (closedu_in @ TOP @ T))) => (closedu_in @ TOP @ (unions @ S)))).
