%   ORIGINAL: OPEN_IN_SUBTOPOLOGY_REFL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_SUBSET: !top s. open_in top s ==> s SUBSET topspace top
% Assm: OPEN_IN_SUBTOPOLOGY: !top u s. open_in (subtopology top u) s <=> (?t. open_in top t /\ s = t INTER u)
% Assm: OPEN_IN_TOPSPACE: !top. open_in top (topspace top)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !top u. open_in (subtopology top u) u <=> u SUBSET topspace top
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !top s. open_in top s ==> s SUBSET topspace top
% Assm: !top u s. open_in (subtopology top u) s <=> (?t. open_in top t /\ s = t INTER u)
% Assm: !top. open_in top (topspace top)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !top u. open_in (subtopology top u) u <=> u SUBSET topspace top
%  TYPES
thf(ta, type, a : $tType).
thf(ttopologya, type, topologya : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ctopspace, type, topspace : (topologya > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologya > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(csubtopology, type, subtopology : (topologya > (a > $o) > topologya)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_SUBSET, axiom, ![TOP:topologya,S:(a > $o)]:((openu_in @ TOP @ S) => (subset @ S @ (topspace @ TOP)))).
thf(aOPENu_INu_SUBTOPOLOGY, axiom, ![TOP:topologya,U:(a > $o),S:(a > $o)]:((openu_in @ (subtopology @ TOP @ U) @ S) <=> ?[T:(a > $o)]:((openu_in @ TOP @ T) & (S = (inter @ T @ U))))).
thf(aOPENu_INu_TOPSPACE, axiom, ![TOP:topologya]:(openu_in @ TOP @ (topspace @ TOP))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![TOP:topologya,U:(a > $o)]:((openu_in @ (subtopology @ TOP @ U) @ U) <=> (subset @ U @ (topspace @ TOP)))).
