%   ORIGINAL: SUBTOPOLOGY_SUPERSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_SUBSET: !top s. open_in top s ==> s SUBSET topspace top
% Assm: OPEN_IN_SUBTOPOLOGY: !top u s. open_in (subtopology top u) s <=> (?t. open_in top t /\ s = t INTER u)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TOPOLOGY_EQ: !top1 top2. top1 = top2 <=> (!s. open_in top1 s <=> open_in top2 s)
% Assm: TRUTH: T
% Goal: !top s. topspace top SUBSET s ==> subtopology top s = top
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !top s. open_in top s ==> s SUBSET topspace top
% Assm: !top u s. open_in (subtopology top u) s <=> (?t. open_in top t /\ s = t INTER u)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !top1 top2. top1 = top2 <=> (!s. open_in top1 s <=> open_in top2 s)
% Assm: T
% Goal: !top s. topspace top SUBSET s ==> subtopology top s = top
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(ttopologya, type, topologya : $tType).
%  CONSTS
thf(copenuu_in, type, openu_in : (topologya > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ctopspace, type, topspace : (topologya > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(csubtopology, type, subtopology : (topologya > (a > $o) > topologya)).
thf(ci, type, i : (topologya > topologya)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > topologya),G:(a > topologya)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:topologya]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_SUBSET, axiom, ![TOP:topologya,S:(a > $o)]:((openu_in @ TOP @ S) => (subset @ S @ (topspace @ TOP)))).
thf(aOPENu_INu_SUBTOPOLOGY, axiom, ![TOP:topologya,U:(a > $o),S:(a > $o)]:((openu_in @ (subtopology @ TOP @ U) @ S) <=> ?[T:(a > $o)]:((openu_in @ TOP @ T) & (S = (inter @ T @ U))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTOPOLOGYu_EQ, axiom, ![TOP1:topologya,TOP2:topologya]:((TOP1 = TOP2) <=> ![S:(a > $o)]:((openu_in @ TOP1 @ S) <=> (openu_in @ TOP2 @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![TOP:topologya,S:(a > $o)]:((subset @ (topspace @ TOP) @ S) => ((subtopology @ TOP @ S) = TOP))).
