%   ORIGINAL: OPEN_IN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_EMPTY: open {}
% Assm: OPEN_INTER: !s t. open s /\ open t ==> open (s INTER t)
% Assm: OPEN_UNIONS: (!s. s IN f ==> open s) ==> open (UNIONS f)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: euclidean: euclidean = topology open
% Assm: istopology: !L. istopology L <=> {} IN L /\ (!s t. s IN L /\ t IN L ==> s INTER t IN L) /\ (!k. k SUBSET L ==> UNIONS k IN L)
% Assm: topology_tybij_conjunct1: !r. istopology r <=> open_in (topology r) = r
% Goal: !s. open s <=> open_in euclidean s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: open {}
% Assm: !s t. open s /\ open t ==> open (s INTER t)
% Assm: !f. (!s. s IN f ==> open s) ==> open (UNIONS f)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: euclidean = topology open
% Assm: !L. istopology L <=> {} IN L /\ (!s t. s IN L /\ t IN L ==> s INTER t IN L) /\ (!k. k SUBSET L ==> UNIONS k IN L)
% Assm: !r. istopology r <=> open_in (topology r) = r
% Goal: !s. open s <=> open_in euclidean s
%  TYPES
thf(tq166820, type, q166820 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ctopology, type, topology : (((cartrealn > $o) > $o) > topologycartrealn)).
thf(cunions0, type, unions0 : (((q166820 > $o) > $o) > q166820 > $o)).
thf(csubset0, type, subset0 : (((q166820 > $o) > $o) > ((q166820 > $o) > $o) > $o)).
thf(cin1, type, in1 : ((q166820 > $o) > ((q166820 > $o) > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin0, type, in0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (q166820 > $o)).
thf(cinter0, type, inter0 : ((q166820 > $o) > (q166820 > $o) > q166820 > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ci, type, i : ($o > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cistopology0, type, istopology0 : (((cartrealn > $o) > $o) > $o)).
thf(cistopology, type, istopology : (((q166820 > $o) > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_EMPTY, axiom, (open @ empty)).
thf(aOPENu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((open @ S) & (open @ T)) => (open @ (inter @ S @ T)))).
thf(aOPENu_UNIONS, axiom, ![F:((cartrealn > $o) > $o)]:(![S:(cartrealn > $o)]:((in0 @ S @ F) => (open @ S)) => (open @ (unions @ F)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aeuclidean, axiom, (euclidean = (topology @ open))).
thf(aistopology, axiom, ![L:((q166820 > $o) > $o)]:((istopology @ L) <=> ((in1 @ empty0 @ L) & ![S:(q166820 > $o),T:(q166820 > $o)]:(((in1 @ S @ L) & (in1 @ T @ L)) => (in1 @ (inter0 @ S @ T) @ L)) & ![K:((q166820 > $o) > $o)]:((subset0 @ K @ L) => (in1 @ (unions0 @ K) @ L))))).
thf(atopologyu_tybiju_conjunct1, axiom, ![R:((cartrealn > $o) > $o)]:((istopology0 @ R) <=> ((openu_in @ (topology @ R)) = R))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((open @ S) <=> (openu_in @ euclidean @ S))).
