%   ORIGINAL: TOPSPACE_EUCLIDEAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN: !s. open s <=> open_in euclidean s
% Assm: OPEN_UNIV: open (:real^N)
% Assm: TRUTH: T
% Assm: topspace: !top. topspace top = UNIONS {s | open_in top s}
% Goal: topspace euclidean = (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. x IN (:real^N)
% Assm: ~F <=> T
% Assm: !s. open s <=> open_in euclidean s
% Assm: open (:real^N)
% Assm: T
% Assm: !top. topspace top = UNIONS {s | open_in top s}
% Goal: topspace euclidean = (:real^N)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions0, type, unions0 : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cin2, type, in2 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ctopspace, type, topspace : (topologycartrealn > cartrealn > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in1 @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in2 @ T @ S) & (in1 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_IN, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (openu_in @ euclidean @ S))).
thf(aOPENu_UNIV, axiom, (open @ univ)).
thf(aTRUTH, axiom, $true).
thf(atopspace, axiom, ![TOP:topologycartrealn]:((topspace @ TOP) = (unions0 @ (gspec0 @ ^[GENR_PVARR_453:(cartrealn > $o)]:?[S:(cartrealn > $o)]:(setspec0 @ GENR_PVARR_453 @ (openu_in @ TOP @ S) @ S))))).
thf(conjecture, conjecture, ((topspace @ euclidean) = univ)).
