%   ORIGINAL: CLOSED_IN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN: !s. open s <=> open_in euclidean s
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TOPSPACE_EUCLIDEAN: topspace euclidean = (:real^N)
% Assm: TRUTH: T
% Assm: closed: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: closed_in: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !s. closed s <=> closed_in euclidean s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. open s <=> open_in euclidean s
% Assm: !s. s SUBSET (:A)
% Assm: topspace euclidean = (:real^N)
% Assm: T
% Assm: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !s. closed s <=> closed_in euclidean s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ctopspace, type, topspace : (topologycartrealn > cartrealn > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_IN, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (openu_in @ euclidean @ S))).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset @ S @ univ)).
thf(aTOPSPACEu_EUCLIDEAN, axiom, ((topspace @ euclidean) = univ0)).
thf(aTRUTH, axiom, $true).
thf(aclosed, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> (open @ (diff @ univ0 @ S)))).
thf(aclosedu_in, axiom, ![TOP:topologycartrealn,S:(cartrealn > $o)]:((closedu_in @ TOP @ S) <=> ((subset0 @ S @ (topspace @ TOP)) & (openu_in @ TOP @ (diff @ (topspace @ TOP) @ S))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((closed @ S) <=> (closedu_in @ euclidean @ S))).
