%   ORIGINAL: CLOSED_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_IN: !s. closed s <=> closed_in euclidean s
% Assm: CLOSED_IN_INTERS: !top k. ~(k = {}) /\ (!s. s IN k ==> closed_in top s) ==> closed_in top (INTERS k)
% Assm: CLOSED_IN_TOPSPACE: !top. closed_in top (topspace top)
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TOPSPACE_EUCLIDEAN: topspace euclidean = (:real^N)
% Assm: TRUTH: T
% Goal: !f. (!s. s IN f ==> closed s) ==> closed (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed s <=> closed_in euclidean s
% Assm: !top k. ~(k = {}) /\ (!s. s IN k ==> closed_in top s) ==> closed_in top (INTERS k)
% Assm: !top. closed_in top (topspace top)
% Assm: INTERS {} = (:real^N)
% Assm: ~F <=> T
% Assm: topspace euclidean = (:real^N)
% Assm: T
% Goal: !f. (!s. s IN f ==> closed s) ==> closed (INTERS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(ttopologyq167223, type, topologyq167223 : $tType).
thf(treal, type, real : $tType).
thf(tq167223, type, q167223 : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ctopspace0, type, topspace0 : (topologycartrealn > cartrealn > $o)).
thf(ctopspace, type, topspace : (topologyq167223 > q167223 > $o)).
thf(ccloseduu_in0, type, closedu_in0 : (topologyq167223 > (q167223 > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cempty, type, empty : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_IN, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> (closedu_in @ euclidean @ S))).
thf(aCLOSEDu_INu_INTERS, axiom, ![TOP:topologycartrealn,K:((cartrealn > $o) > $o)]:((~ ((K = empty)) & ![S:(cartrealn > $o)]:((in @ S @ K) => (closedu_in @ TOP @ S))) => (closedu_in @ TOP @ (inters @ K)))).
thf(aCLOSEDu_INu_TOPSPACE, axiom, ![TOP:topologyq167223]:(closedu_in0 @ TOP @ (topspace @ TOP))).
thf(aINTERSu_0, axiom, ((inters @ empty) = univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTOPSPACEu_EUCLIDEAN, axiom, ((topspace0 @ euclidean) = univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(![S:(cartrealn > $o)]:((in @ S @ F) => (closed @ S)) => (closed @ (inters @ F)))).
