%   ORIGINAL: OPEN_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_IN: !s. closed s <=> closed_in euclidean s
% Assm: OPEN_IN: !s. open s <=> open_in euclidean s
% Assm: OPEN_IN_CLOSED_IN_EQ: !top s. open_in top s <=> s SUBSET topspace top /\ closed_in top (topspace top DIFF s)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TOPSPACE_EUCLIDEAN: topspace euclidean = (:real^N)
% Assm: TRUTH: T
% Goal: !s. open s <=> closed ((:real^N) DIFF s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. closed s <=> closed_in euclidean s
% Assm: !s. open s <=> open_in euclidean s
% Assm: !top s. open_in top s <=> s SUBSET topspace top /\ closed_in top (topspace top DIFF s)
% Assm: !s. s SUBSET (:real^N)
% Assm: topspace euclidean = (:real^N)
% Assm: T
% Goal: !s. open s <=> closed ((:real^N) DIFF s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ctopspace, type, topspace : (topologycartrealn > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_IN, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> (closedu_in @ euclidean @ S))).
thf(aOPENu_IN, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (openu_in @ euclidean @ S))).
thf(aOPENu_INu_CLOSEDu_INu_EQ, axiom, ![TOP:topologycartrealn,S:(cartrealn > $o)]:((openu_in @ TOP @ S) <=> ((subset @ S @ (topspace @ TOP)) & (closedu_in @ TOP @ (diff @ (topspace @ TOP) @ S))))).
thf(aSUBSETu_UNIV, axiom, ![S:(cartrealn > $o)]:(subset @ S @ univ)).
thf(aTOPSPACEu_EUCLIDEAN, axiom, ((topspace @ euclidean) = univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((open @ S) <=> (closed @ (diff @ univ @ S)))).
