%   ORIGINAL: CLOSED_DIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_IN: !s. closed s <=> closed_in euclidean s
% Assm: CLOSED_IN_DIFF: !top s t. closed_in top s /\ open_in top t ==> closed_in top (s DIFF t)
% Assm: OPEN_IN: !s. open s <=> open_in euclidean s
% Assm: TRUTH: T
% Goal: !s t. closed s /\ open t ==> closed (s DIFF t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. closed s <=> closed_in euclidean s
% Assm: !top s t. closed_in top s /\ open_in top t ==> closed_in top (s DIFF t)
% Assm: !s. open s <=> open_in euclidean s
% Assm: T
% Goal: !s t. closed s /\ open t ==> closed (s DIFF t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq168275, type, cartrealq168275 : $tType).
thf(tq168275, type, q168275 : $tType).
thf(ttopologycartrealq168275, type, topologycartrealq168275 : $tType).
%  CONSTS
thf(copenuu_in, type, openu_in : (topologycartrealq168275 > (cartrealq168275 > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealq168275 > (cartrealq168275 > $o) > $o)).
thf(cdiff, type, diff : ((cartrealq168275 > $o) > (cartrealq168275 > $o) > cartrealq168275 > $o)).
thf(copen, type, open : ((cartrealq168275 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealq168275 > $o) > $o)).
thf(ceuclidean, type, euclidean : topologycartrealq168275).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_IN, axiom, ![S:(cartrealq168275 > $o)]:((closed @ S) <=> (closedu_in @ euclidean @ S))).
thf(aCLOSEDu_INu_DIFF, axiom, ![TOP:topologycartrealq168275,S:(cartrealq168275 > $o),T:(cartrealq168275 > $o)]:(((closedu_in @ TOP @ S) & (openu_in @ TOP @ T)) => (closedu_in @ TOP @ (diff @ S @ T)))).
thf(aOPENu_IN, axiom, ![S:(cartrealq168275 > $o)]:((open @ S) <=> (openu_in @ euclidean @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq168275 > $o),T:(cartrealq168275 > $o)]:(((closed @ S) & (open @ T)) => (closed @ (diff @ S @ T)))).
