%   ORIGINAL: CLOSED_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_EMPTY: closed {}
% Assm: CLOSED_UNION: !s t. closed s /\ closed t ==> closed (s UNION t)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !s. FINITE s /\ (!t. t IN s ==> closed t) ==> closed (UNIONS s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: closed {}
% Assm: !s t. closed s /\ closed t ==> closed (s UNION t)
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !s. FINITE s /\ (!t. t IN s ==> closed t) ==> closed (UNIONS s)
%  TYPES
thf(tq168328, type, q168328 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq168328, type, cartrealq168328 : $tType).
%  CONSTS
thf(cunions, type, unions : (((cartrealq168328 > $o) > $o) > cartrealq168328 > $o)).
thf(cin, type, in : ((cartrealq168328 > $o) > ((cartrealq168328 > $o) > $o) > $o)).
thf(cinsert, type, insert : ((cartrealq168328 > $o) > ((cartrealq168328 > $o) > $o) > (cartrealq168328 > $o) > $o)).
thf(cunion, type, union : ((cartrealq168328 > $o) > (cartrealq168328 > $o) > cartrealq168328 > $o)).
thf(cempty0, type, empty0 : ((cartrealq168328 > $o) > $o)).
thf(cempty, type, empty : (cartrealq168328 > $o)).
thf(cclosed, type, closed : ((cartrealq168328 > $o) > $o)).
thf(cfinite, type, finite : (((cartrealq168328 > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_EMPTY, axiom, (closed @ empty)).
thf(aCLOSEDu_UNION, axiom, ![S:(cartrealq168328 > $o),T:(cartrealq168328 > $o)]:(((closed @ S) & (closed @ T)) => (closed @ (union @ S @ T)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealq168328 > $o) > $o) > $o)]:(((P @ empty0) & ![X:(cartrealq168328 > $o),S:((cartrealq168328 > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealq168328 > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:(cartrealq168328 > $o),Y:(cartrealq168328 > $o),S:((cartrealq168328 > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty0) = empty)).
thf(aUNIONSu_INSERT, axiom, ![S:(cartrealq168328 > $o),U:((cartrealq168328 > $o) > $o)]:((unions @ (insert @ S @ U)) = (union @ S @ (unions @ U)))).
thf(conjecture, conjecture, ![S:((cartrealq168328 > $o) > $o)]:(((finite @ S) & ![T:(cartrealq168328 > $o)]:((in @ T @ S) => (closed @ T))) => (closed @ (unions @ S)))).
