%   ORIGINAL: SUBSET_CBALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_CBALL: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !x d e. d <= e ==> cball (x,d) SUBSET cball (x,e)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !x d e. d <= e ==> cball (x,d) SUBSET cball (x,e)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq168672real, type, prodcartrealq168672real : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq168672, type, cartrealq168672 : $tType).
thf(tq168672, type, q168672 : $tType).
thf(tprodcartrealq168672cartrealq168672, type, prodcartrealq168672cartrealq168672 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealq168672cartrealq168672 > real)).
thf(cin, type, in : (cartrealq168672 > (cartrealq168672 > $o) > $o)).
thf(ccball, type, cball : (prodcartrealq168672real > cartrealq168672 > $o)).
thf(csubset, type, subset : ((cartrealq168672 > $o) > (cartrealq168672 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccu_0, type, c_0 : (cartrealq168672 > cartrealq168672 > prodcartrealq168672cartrealq168672)).
thf(ccu_, type, c_ : (cartrealq168672 > real > prodcartrealq168672real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_CBALL, axiom, ![X:cartrealq168672,Y:cartrealq168672,E:real]:((in @ Y @ (cball @ (c_ @ X @ E))) <=> (realu_le @ (distance @ (c_0 @ X @ Y)) @ E))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSUBSET, axiom, ![S:(cartrealq168672 > $o),T:(cartrealq168672 > $o)]:((subset @ S @ T) <=> ![X:cartrealq168672]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq168672,D:real,E:real]:((realu_le @ D @ E) => (subset @ (cball @ (c_ @ X @ D)) @ (cball @ (c_ @ X @ E))))).
