%   ORIGINAL: CLOSED_IN_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_IN: !s. closed s <=> closed_in euclidean s
% Assm: CLOSED_IN_SUBTOPOLOGY: !top u s. closed_in (subtopology top u) s <=> (?t. closed_in top t /\ s = t INTER u)
% Assm: INTER_ACI_conjunct0: p INTER q = q INTER p
% Assm: TRUTH: T
% Goal: !s u. closed_in (subtopology euclidean u) s <=> (?t. closed t /\ s = u INTER t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. closed s <=> closed_in euclidean s
% Assm: !top u s. closed_in (subtopology top u) s <=> (?t. closed_in top t /\ s = t INTER u)
% Assm: !q p. p INTER q = q INTER p
% Assm: T
% Goal: !s u. closed_in (subtopology euclidean u) s <=> (?t. closed t /\ s = u INTER t)
%  TYPES
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_IN, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> (closedu_in @ euclidean @ S))).
thf(aCLOSEDu_INu_SUBTOPOLOGY, axiom, ![TOP:topologycartrealn,U:(cartrealn > $o),S:(cartrealn > $o)]:((closedu_in @ (subtopology @ TOP @ U) @ S) <=> ?[T:(cartrealn > $o)]:((closedu_in @ TOP @ T) & (S = (inter @ T @ U))))).
thf(aINTERu_ACIu_conjunct0, axiom, ![Q:(cartrealn > $o),P:(cartrealn > $o)]:((inter @ P @ Q) = (inter @ Q @ P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),U:(cartrealn > $o)]:((closedu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealn > $o)]:((closed @ T) & (S = (inter @ U @ T))))).
