%   ORIGINAL: CLOSED_IN_INTER_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_INTER: !s t. closed s /\ closed t ==> closed (s INTER t)
% Assm: CLOSED_IN_CLOSED: !s u. closed_in (subtopology euclidean u) s <=> (?t. closed t /\ s = u INTER t)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTER_ASSOC: !s t u. (s INTER t) INTER u = s INTER t INTER u
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t u. closed_in (subtopology euclidean u) s /\ closed t ==> closed_in (subtopology euclidean u) (s INTER t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. closed s /\ closed t ==> closed (s INTER t)
% Assm: !s u. closed_in (subtopology euclidean u) s <=> (?t. closed t /\ s = u INTER t)
% Assm: !t. (\x. t x) = t
% Assm: !s t u. (s INTER t) INTER u = s INTER t INTER u
% Assm: ~F <=> T
% Assm: T
% Goal: !s t u. closed_in (subtopology euclidean u) s /\ closed t ==> closed_in (subtopology euclidean u) (s INTER t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (closed @ T)) => (closed @ (inter @ S @ T)))).
thf(aCLOSEDu_INu_CLOSED, axiom, ![S:(cartrealn > $o),U:(cartrealn > $o)]:((closedu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealn > $o)]:((closed @ T) & (S = (inter @ U @ T))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTERu_ASSOC, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:((inter @ (inter @ S @ T) @ U) = (inter @ S @ (inter @ T @ U)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((closedu_in @ (subtopology @ euclidean @ U) @ S) & (closed @ T)) => (closedu_in @ (subtopology @ euclidean @ U) @ (inter @ S @ T)))).
