%   ORIGINAL: OPEN_IN_SUBTOPOLOGY_INTER_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_OPEN: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s u v. open_in (subtopology euclidean u) (u INTER s) /\ v SUBSET u ==> open_in (subtopology euclidean v) (v INTER s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s u v. open_in (subtopology euclidean u) (u INTER s) /\ v SUBSET u ==> open_in (subtopology euclidean v) (v INTER s)
%  TYPES
thf(ttopologycartrealq170026, type, topologycartrealq170026 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq170026, type, cartrealq170026 : $tType).
thf(tq170026, type, q170026 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq170026 > (cartrealq170026 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealq170026 > $o) > (cartrealq170026 > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealq170026 > (cartrealq170026 > $o) > $o)).
thf(cinter, type, inter : ((cartrealq170026 > $o) > (cartrealq170026 > $o) > cartrealq170026 > $o)).
thf(csubtopology, type, subtopology : (topologycartrealq170026 > (cartrealq170026 > $o) > topologycartrealq170026)).
thf(copen, type, open : ((cartrealq170026 > $o) > $o)).
thf(ceuclidean, type, euclidean : topologycartrealq170026).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealq170026 > $o),T:(cartrealq170026 > $o),X:cartrealq170026]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_OPEN, axiom, ![S:(cartrealq170026 > $o),U:(cartrealq170026 > $o)]:((openu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealq170026 > $o)]:((open @ T) & (S = (inter @ U @ T))))).
thf(aSUBSET, axiom, ![S:(cartrealq170026 > $o),T:(cartrealq170026 > $o)]:((subset @ S @ T) <=> ![X:cartrealq170026]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq170026 > $o),U:(cartrealq170026 > $o),V:(cartrealq170026 > $o)]:(((openu_in @ (subtopology @ euclidean @ U) @ (inter @ U @ S)) & (subset @ V @ U)) => (openu_in @ (subtopology @ euclidean @ V) @ (inter @ V @ S)))).
