%   ORIGINAL: CONNECTED_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_CLOSED: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: closed: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: connected: !s. connected s <=> ~(?e1 e2. open e1 /\ open e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Goal: !s. connected s <=> ~(?e1 e2. closed e1 /\ closed e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:A)
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: !s. connected s <=> ~(?e1 e2. open e1 /\ open e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Goal: !s. connected s <=> ~(?e1 e2. closed e1 /\ closed e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ)).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aOPENu_CLOSED, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (closed @ (diff0 @ univ0 @ S)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aclosed, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> (open @ (diff0 @ univ0 @ S)))).
thf(aconnected, axiom, ![S:(cartrealn > $o)]:((connected @ S) <=> ~ (?[E1:(cartrealn > $o),E2:(cartrealn > $o)]:((open @ E1) & (open @ E2) & (subset @ S @ (union @ E1 @ E2)) & ((inter @ E1 @ (inter @ E2 @ S)) = empty) & ~ (((inter @ E1 @ S) = empty)) & ~ (((inter @ E2 @ S) = empty)))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((connected @ S) <=> ~ (?[E1:(cartrealn > $o),E2:(cartrealn > $o)]:((closed @ E1) & (closed @ E2) & (subset @ S @ (union @ E1 @ E2)) & ((inter @ E1 @ (inter @ E2 @ S)) = empty) & ~ (((inter @ E1 @ S) = empty)) & ~ (((inter @ E2 @ S) = empty)))))).
