%   ORIGINAL: CONNECTED_OPEN_IN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_IN_OPEN: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: connected: !s. connected s <=> ~(?e1 e2. open e1 /\ open e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Goal: !s. connected s <=> ~(?e1 e2. open_in (subtopology euclidean s) e1 /\ open_in (subtopology euclidean s) e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 = {} /\ ~(e1 = {}) /\ ~(e2 = {}))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. connected s <=> ~(?e1 e2. open e1 /\ open e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Goal: !s. connected s <=> ~(?e1 e2. open_in (subtopology euclidean s) e1 /\ open_in (subtopology euclidean s) e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 = {} /\ ~(e1 = {}) /\ ~(e2 = {}))
%  TYPES
thf(ta, type, a : $tType).
thf(tq170544, type, q170544 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq170544, type, cartrealq170544 : $tType).
thf(ttopologycartrealq170544, type, topologycartrealq170544 : $tType).
%  CONSTS
thf(ceuclidean, type, euclidean : topologycartrealq170544).
thf(ci, type, i : ((cartrealq170544 > $o) > cartrealq170544 > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealq170544 > (cartrealq170544 > $o) > $o)).
thf(csubset, type, subset : ((cartrealq170544 > $o) > (cartrealq170544 > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealq170544 > (cartrealq170544 > $o) > $o)).
thf(cinter, type, inter : ((cartrealq170544 > $o) > (cartrealq170544 > $o) > cartrealq170544 > $o)).
thf(cunion, type, union : ((cartrealq170544 > $o) > (cartrealq170544 > $o) > cartrealq170544 > $o)).
thf(csubtopology, type, subtopology : (topologycartrealq170544 > (cartrealq170544 > $o) > topologycartrealq170544)).
thf(ci0, type, i0 : ($o > $o)).
thf(copen, type, open : ((cartrealq170544 > $o) > $o)).
thf(cempty, type, empty : (cartrealq170544 > $o)).
thf(cconnected, type, connected : ((cartrealq170544 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealq170544 > $o),G:(cartrealq170544 > $o)]:(![X:cartrealq170544]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq170544 > $o)]:(^[X:cartrealq170544]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq170544 > $o),T:(cartrealq170544 > $o)]:((S = T) <=> ![X:cartrealq170544]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealq170544 > $o),T:(cartrealq170544 > $o),X:cartrealq170544]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealq170544 > $o),T:(cartrealq170544 > $o),X:cartrealq170544]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealq170544 > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq170544]:~ ((in @ X @ empty))).
thf(aOPENu_INu_OPEN, axiom, ![S:(cartrealq170544 > $o),U:(cartrealq170544 > $o)]:((openu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealq170544 > $o)]:((open @ T) & (S = (inter @ U @ T))))).
thf(aSUBSET, axiom, ![S:(cartrealq170544 > $o),T:(cartrealq170544 > $o)]:((subset @ S @ T) <=> ![X:cartrealq170544]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aconnected, axiom, ![S:(cartrealq170544 > $o)]:((connected @ S) <=> ~ (?[E1:(cartrealq170544 > $o),E2:(cartrealq170544 > $o)]:((open @ E1) & (open @ E2) & (subset @ S @ (union @ E1 @ E2)) & ((inter @ E1 @ (inter @ E2 @ S)) = empty) & ~ (((inter @ E1 @ S) = empty)) & ~ (((inter @ E2 @ S) = empty)))))).
thf(conjecture, conjecture, ![S:(cartrealq170544 > $o)]:((connected @ S) <=> ~ (?[E1:(cartrealq170544 > $o),E2:(cartrealq170544 > $o)]:((openu_in @ (subtopology @ euclidean @ S) @ E1) & (openu_in @ (subtopology @ euclidean @ S) @ E2) & (subset @ S @ (union @ E1 @ E2)) & ((inter @ E1 @ E2) = empty) & ~ ((E1 = empty)) & ~ ((E2 = empty)))))).
