%   ORIGINAL: CONNECTED_CLOSED_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_INTER: !s t. closed s /\ closed t ==> closed (s INTER t)
% Assm: CLOSED_IN_CLOSED: !s u. closed_in (subtopology euclidean u) s <=> (?t. closed t /\ s = u INTER t)
% Assm: CONNECTED_CLOSED: !s. connected s <=> ~(?e1 e2. closed e1 /\ closed e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Assm: CONNECTED_CLOSED_IN: !s. connected s <=> ~(?e1 e2. closed_in (subtopology euclidean s) e1 /\ closed_in (subtopology euclidean s) e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 = {} /\ ~(e1 = {}) /\ ~(e2 = {}))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. closed s ==> (connected s <=> ~(?e1 e2. closed e1 /\ closed e2 /\ ~(e1 = {}) /\ ~(e2 = {}) /\ e1 UNION e2 = s /\ e1 INTER e2 = {}))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. closed s /\ closed t ==> closed (s INTER t)
% Assm: !s u. closed_in (subtopology euclidean u) s <=> (?t. closed t /\ s = u INTER t)
% Assm: !s. connected s <=> ~(?e1 e2. closed e1 /\ closed e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Assm: !s. connected s <=> ~(?e1 e2. closed_in (subtopology euclidean s) e1 /\ closed_in (subtopology euclidean s) e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 = {} /\ ~(e1 = {}) /\ ~(e2 = {}))
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. closed s ==> (connected s <=> ~(?e1 e2. closed e1 /\ closed e2 /\ ~(e1 = {}) /\ ~(e2 = {}) /\ e1 UNION e2 = s /\ e1 INTER e2 = {}))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (closed @ T)) => (closed @ (inter @ S @ T)))).
thf(aCLOSEDu_INu_CLOSED, axiom, ![S:(cartrealn > $o),U:(cartrealn > $o)]:((closedu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealn > $o)]:((closed @ T) & (S = (inter @ U @ T))))).
thf(aCONNECTEDu_CLOSED, axiom, ![S:(cartrealn > $o)]:((connected @ S) <=> ~ (?[E1:(cartrealn > $o),E2:(cartrealn > $o)]:((closed @ E1) & (closed @ E2) & (subset @ S @ (union @ E1 @ E2)) & ((inter @ E1 @ (inter @ E2 @ S)) = empty) & ~ (((inter @ E1 @ S) = empty)) & ~ (((inter @ E2 @ S) = empty)))))).
thf(aCONNECTEDu_CLOSEDu_IN, axiom, ![S:(cartrealn > $o)]:((connected @ S) <=> ~ (?[E1:(cartrealn > $o),E2:(cartrealn > $o)]:((closedu_in @ (subtopology @ euclidean @ S) @ E1) & (closedu_in @ (subtopology @ euclidean @ S) @ E2) & (subset @ S @ (union @ E1 @ E2)) & ((inter @ E1 @ E2) = empty) & ~ ((E1 = empty)) & ~ ((E2 = empty)))))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((closed @ S) => ((connected @ S) <=> ~ (?[E1:(cartrealn > $o),E2:(cartrealn > $o)]:((closed @ E1) & (closed @ E2) & ~ ((E1 = empty)) & ~ ((E2 = empty)) & ((union @ E1 @ E2) = S) & ((inter @ E1 @ E2) = empty)))))).
