%   ORIGINAL: FINITE_SET_AVOID
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_NZ: !x y. ~(x = y) <=> &0 < dist (x,y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: REAL_MIN_LE: !x y z. min x y <= z <=> x <= z \/ y <= z
% Assm: TRUTH: T
% Goal: !a s. FINITE s ==> (?d. &0 < d /\ (!x. x IN s /\ ~(x = a) ==> d <= dist (a,x)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. ~(x = y) <=> &0 < dist (x,y)
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. x <= x
% Assm: &0 < &1
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: !x y z. min x y <= z <=> x <= z \/ y <= z
% Assm: T
% Goal: !a s. FINITE s ==> (?d. &0 < d /\ (!x. x IN s /\ ~(x = a) ==> d <= dist (a,x)))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_NZ, axiom, ![X:cartrealn,Y:cartrealn]:(~ ((X = Y)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ Y))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((cartrealn > $o) > $o)]:(((P @ empty) & ![X:cartrealn,S:(cartrealn > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(cartrealn > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aREALu_MINu_LE, axiom, ![X:real,Y:real,Z:real]:((realu_le @ (realu_min @ X @ Y) @ Z) <=> ((realu_le @ X @ Z) | (realu_le @ Y @ Z)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,S:(cartrealn > $o)]:((finite @ S) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealn]:(((in @ X @ S) & ~ ((X = A))) => (realu_le @ D @ (distance @ (c_ @ A @ X))))))).
