%   ORIGINAL: LIMIT_POINT_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: LIMPT_APPROACHABLE: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) < e))
% Assm: LIMPT_SUBSET: !x s t. x limit_point_of s /\ s SUBSET t ==> x limit_point_of t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: SUBSET_UNION_conjunct0: !s t. s SUBSET s UNION t
% Assm: SUBSET_UNION_conjunct1: !s t. s SUBSET t UNION s
% Assm: TRUTH: T
% Goal: !s t x. x limit_point_of s UNION t <=> x limit_point_of s \/ x limit_point_of t
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) < e))
% Assm: !x s t. x limit_point_of s /\ s SUBSET t ==> x limit_point_of t
% Assm: ~F <=> T
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: !s t. s SUBSET s UNION t
% Assm: !s t. s SUBSET t UNION s
% Assm: T
% Goal: !s t x. x limit_point_of s UNION t <=> x limit_point_of s \/ x limit_point_of t
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aLIMPTu_APPROACHABLE, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((limitu_pointu_of @ X @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[XI_:cartrealn]:((in @ XI_ @ S) & ~ ((XI_ = X)) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ E))))).
thf(aLIMPTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:(((limitu_pointu_of @ X @ S) & (subset @ S @ T)) => (limitu_pointu_of @ X @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aSUBSETu_UNIONu_conjunct0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ S @ (union @ S @ T))).
thf(aSUBSETu_UNIONu_conjunct1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ S @ (union @ T @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((limitu_pointu_of @ X @ (union @ S @ T)) <=> ((limitu_pointu_of @ X @ S) | (limitu_pointu_of @ X @ T)))).
