%   ORIGINAL: IN_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: OPEN_CONTAINS_BALL: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: interior: !s. interior s = {x | ?t. open t /\ x IN t /\ t SUBSET s}
% Goal: !x s. x IN interior s <=> (?e. &0 < e /\ ball (x,e) SUBSET s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !x e. open (ball (x,e))
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !s. interior s = {x | ?t. open t /\ x IN t /\ t SUBSET s}
% Goal: !x s. x IN interior s <=> (?e. &0 < e /\ ball (x,e) SUBSET s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq172182, type, cartrealq172182 : $tType).
thf(tprodcartrealq172182real, type, prodcartrealq172182real : $tType).
thf(treal, type, real : $tType).
thf(tq172182, type, q172182 : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealq172182 > $o) > cartrealq172182 > $o)).
thf(cball, type, ball : (prodcartrealq172182real > cartrealq172182 > $o)).
thf(csubset, type, subset : ((cartrealq172182 > $o) > (cartrealq172182 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cinterior, type, interior : ((cartrealq172182 > $o) > cartrealq172182 > $o)).
thf(cin, type, in : (cartrealq172182 > (cartrealq172182 > $o) > $o)).
thf(csetspec, type, setspec : (cartrealq172182 > $o > cartrealq172182 > $o)).
thf(ccu_, type, c_ : (cartrealq172182 > real > prodcartrealq172182real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(copen, type, open : ((cartrealq172182 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealq172182,E:real]:((in @ X @ (ball @ (c_ @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq172182 > $o),X:cartrealq172182]:((in @ X @ (gspec @ ^[V:cartrealq172182]:?[Y:cartrealq172182]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_BALL, axiom, ![X:cartrealq172182,E:real]:(open @ (ball @ (c_ @ X @ E)))).
thf(aOPENu_CONTAINSu_BALL, axiom, ![S:(cartrealq172182 > $o)]:((open @ S) <=> ![X:cartrealq172182]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (ball @ (c_ @ X @ E)) @ S))))).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealq172182 > $o),T:(cartrealq172182 > $o),U:(cartrealq172182 > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(ainterior, axiom, ![S:(cartrealq172182 > $o)]:((interior @ S) = (gspec @ ^[GENR_PVARR_466:cartrealq172182]:?[X:cartrealq172182]:(setspec @ GENR_PVARR_466 @ ?[T:(cartrealq172182 > $o)]:((open @ T) & (in @ X @ T) & (subset @ T @ S)) @ X)))).
thf(conjecture, conjecture, ![X:cartrealq172182,S:(cartrealq172182 > $o)]:((in @ X @ (interior @ S)) <=> ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (ball @ (c_ @ X @ E)) @ S)))).
