%   ORIGINAL: OPEN_SUBSET_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTERIOR_MAXIMAL: !s t. t SUBSET s /\ open t ==> t SUBSET interior s
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !s t. open s ==> (s SUBSET interior t <=> s SUBSET t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. t SUBSET s /\ open t ==> t SUBSET interior s
% Assm: !s. interior s SUBSET s
% Assm: ~F <=> T
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !s t. open s ==> (s SUBSET interior t <=> s SUBSET t)
%  TYPES
thf(tq172222, type, q172222 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq172222, type, cartrealq172222 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cinterior, type, interior : ((cartrealq172222 > $o) > cartrealq172222 > $o)).
thf(csubset, type, subset : ((cartrealq172222 > $o) > (cartrealq172222 > $o) > $o)).
thf(copen, type, open : ((cartrealq172222 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTERIORu_MAXIMAL, axiom, ![S:(cartrealq172222 > $o),T:(cartrealq172222 > $o)]:(((subset @ T @ S) & (open @ T)) => (subset @ T @ (interior @ S)))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealq172222 > $o)]:(subset @ (interior @ S) @ S)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealq172222 > $o),T:(cartrealq172222 > $o),U:(cartrealq172222 > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq172222 > $o),T:(cartrealq172222 > $o)]:((open @ S) => ((subset @ S @ (interior @ T)) <=> (subset @ S @ T)))).
