%   ORIGINAL: INTERIOR_INTER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_MAXIMAL: !s t. t SUBSET s /\ open t ==> t SUBSET interior s
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: INTER_SUBSET_conjunct0: !s t. s INTER t SUBSET s
% Assm: INTER_SUBSET_conjunct1: !s t. t INTER s SUBSET s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_INTER: !s t. open s /\ open t ==> open (s INTER t)
% Assm: OPEN_INTERIOR: !s. open (interior s)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_INTER: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: SUBSET_INTERIOR: !s t. s SUBSET t ==> interior s SUBSET interior t
% Assm: TRUTH: T
% Goal: !s t. interior (s INTER t) = interior s INTER interior t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P x. x IN P <=> P x
% Assm: !s t. t SUBSET s /\ open t ==> t SUBSET interior s
% Assm: !s. interior s SUBSET s
% Assm: !s t. s INTER t SUBSET s
% Assm: !s t. t INTER s SUBSET s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s t. open s /\ open t ==> open (s INTER t)
% Assm: !s. open (interior s)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: !s t. s SUBSET t ==> interior s SUBSET interior t
% Assm: T
% Goal: !s t. interior (s INTER t) = interior s INTER interior t
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTERIORu_MAXIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ T @ S) & (open @ T)) => (subset @ T @ (interior @ S)))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ (interior @ S) @ S)).
thf(aINTERu_SUBSETu_conjunct0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ (inter @ S @ T) @ S)).
thf(aINTERu_SUBSETu_conjunct1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ (inter @ T @ S) @ S)).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((open @ S) & (open @ T)) => (open @ (inter @ S @ T)))).
thf(aOPENu_INTERIOR, axiom, ![S:(cartrealn > $o)]:(open @ (interior @ S))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:((subset @ S @ (inter @ T @ U)) <=> ((subset @ S @ T) & (subset @ S @ U)))).
thf(aSUBSETu_INTERIOR, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (interior @ S) @ (interior @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((interior @ (inter @ S @ T)) = (inter @ (interior @ S) @ (interior @ T)))).
