%   ORIGINAL: INTERIOR_FINITE_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IMAGE_CLAUSES_conjunct0: IMAGE f {} = {}
% Assm: IMAGE_CLAUSES_conjunct1: IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: INTERIOR_INTER: !s t. interior (s INTER t) = interior s INTER interior t
% Assm: INTERIOR_UNIV: interior (:real^N) = (:real^N)
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: INTERS_INSERT: INTERS (s INSERT u) = s INTER INTERS u
% Assm: TRUTH: T
% Goal: !s. FINITE s ==> interior (INTERS s) = INTERS (IMAGE interior s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !f. IMAGE f {} = {}
% Assm: !x f s. IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: !s t. interior (s INTER t) = interior s INTER interior t
% Assm: interior (:real^N) = (:real^N)
% Assm: INTERS {} = (:real^N)
% Assm: !s u. INTERS (s INSERT u) = s INTER INTERS u
% Assm: T
% Goal: !s. FINITE s ==> interior (INTERS s) = INTERS (IMAGE interior s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : ((cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cimage, type, image : (((cartrealn > $o) > cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cempty, type, empty : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealn > $o) > $o) > $o)]:(((P @ empty) & ![X:(cartrealn > $o),S:((cartrealn > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealn > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aIMAGEu_CLAUSESu_conjunct0, axiom, ![F:((cartrealn > $o) > cartrealn > $o)]:((image @ F @ empty) = empty)).
thf(aIMAGEu_CLAUSESu_conjunct1, axiom, ![X:(cartrealn > $o),F:((cartrealn > $o) > cartrealn > $o),S:((cartrealn > $o) > $o)]:((image @ F @ (insert @ X @ S)) = (insert @ (F @ X) @ (image @ F @ S)))).
thf(aINTERIORu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((interior @ (inter @ S @ T)) = (inter @ (interior @ S) @ (interior @ T)))).
thf(aINTERIORu_UNIV, axiom, ((interior @ univ) = univ)).
thf(aINTERSu_0, axiom, ((inters @ empty) = univ)).
thf(aINTERSu_INSERT, axiom, ![S:(cartrealn > $o),U:((cartrealn > $o) > $o)]:((inters @ (insert @ S @ U)) = (inter @ S @ (inters @ U)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:((cartrealn > $o) > $o)]:((finite @ S) => ((interior @ (inters @ S)) = (inters @ (image @ interior @ S))))).
