%   ORIGINAL: INTERIOR_INTERS_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_INTERIOR: !x s. x IN interior s <=> (?e. &0 < e /\ ball (x,e) SUBSET s)
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f. interior (INTERS f) SUBSET INTERS (IMAGE interior f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x s. x IN interior s <=> (?e. &0 < e /\ ball (x,e) SUBSET s)
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f. interior (INTERS f) SUBSET INTERS (IMAGE interior f)
%  TYPES
thf(tq172311, type, q172311 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq172311, type, cartrealq172311 : $tType).
thf(tprodcartrealq172311real, type, prodcartrealq172311real : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cball, type, ball : (prodcartrealq172311real > cartrealq172311 > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin0, type, in0 : (cartrealq172311 > (cartrealq172311 > $o) > $o)).
thf(cin, type, in : ((cartrealq172311 > $o) > ((cartrealq172311 > $o) > $o) > $o)).
thf(cinters, type, inters : (((cartrealq172311 > $o) > $o) > cartrealq172311 > $o)).
thf(cinterior, type, interior : ((cartrealq172311 > $o) > cartrealq172311 > $o)).
thf(csubset, type, subset : ((cartrealq172311 > $o) > (cartrealq172311 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealq172311 > real > prodcartrealq172311real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : (((cartrealq172311 > $o) > cartrealq172311 > $o) > ((cartrealq172311 > $o) > $o) > (cartrealq172311 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:((cartrealq172311 > $o) > $o),F:((cartrealq172311 > $o) > cartrealq172311 > $o),S:((cartrealq172311 > $o) > $o)]:(![Y:(cartrealq172311 > $o)]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:(cartrealq172311 > $o)]:((in @ X @ S) => (P @ (F @ X))))).
thf(aINu_INTERIOR, axiom, ![X:cartrealq172311,S:(cartrealq172311 > $o)]:((in0 @ X @ (interior @ S)) <=> ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (ball @ (c_ @ X @ E)) @ S)))).
thf(aINu_INTERS, axiom, ![S:((cartrealq172311 > $o) > $o),X:cartrealq172311]:((in0 @ X @ (inters @ S)) <=> ![T:(cartrealq172311 > $o)]:((in @ T @ S) => (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq172311 > $o),T:(cartrealq172311 > $o)]:((subset @ S @ T) <=> ![X:cartrealq172311]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealq172311 > $o) > $o)]:(subset @ (interior @ (inters @ F)) @ (inters @ (image @ interior @ F)))).
