%   ORIGINAL: CLOSURE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: closure: !s. closure s = s UNION {x | x limit_point_of s}
% Assm: interior: !s. interior s = {x | ?t. open t /\ x IN t /\ t SUBSET s}
% Assm: limit_point_of: !x s. x limit_point_of s <=> (!t. x IN t /\ open t ==> (?y. ~(y = x) /\ y IN s /\ y IN t))
% Goal: !s. closure s = (:real^N) DIFF interior ((:real^N) DIFF s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:real^N)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. closure s = s UNION {x | x limit_point_of s}
% Assm: !s. interior s = {x | ?t. open t /\ x IN t /\ t SUBSET s}
% Assm: !x s. x limit_point_of s <=> (!t. x IN t /\ open t ==> (?y. ~(y = x) /\ y IN s /\ y IN t))
% Goal: !s. closure s = (:real^N) DIFF interior ((:real^N) DIFF s)
%  TYPES
thf(tq171324, type, q171324 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealq171324, type, cartrealq171324 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin2, type, in2 : (cartrealq171324 > (cartrealq171324 > $o) > $o)).
thf(climituu_pointuu_of0, type, limitu_pointu_of0 : (cartrealq171324 > (cartrealq171324 > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cunion0, type, union0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(copen0, type, open0 : ((cartrealq171324 > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in1 @ X @ (union @ S @ T)) <=> ((in1 @ X @ S) | (in1 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aclosure, axiom, ![S:(cartrealn > $o)]:((closure @ S) = (union0 @ S @ (gspec0 @ ^[GENR_PVARR_467:cartrealn]:?[X:cartrealn]:(setspec0 @ GENR_PVARR_467 @ (limitu_pointu_of @ X @ S) @ X))))).
thf(ainterior, axiom, ![S:(cartrealn > $o)]:((interior @ S) = (gspec0 @ ^[GENR_PVARR_466:cartrealn]:?[X:cartrealn]:(setspec0 @ GENR_PVARR_466 @ ?[T:(cartrealn > $o)]:((open @ T) & (in @ X @ T) & (subset0 @ T @ S)) @ X)))).
thf(alimitu_pointu_of, axiom, ![X:cartrealq171324,S:(cartrealq171324 > $o)]:((limitu_pointu_of0 @ X @ S) <=> ![T:(cartrealq171324 > $o)]:(((in2 @ X @ T) & (open0 @ T)) => ?[Y:cartrealq171324]:(~ ((Y = X)) & (in2 @ Y @ S) & (in2 @ Y @ T))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((closure @ S) = (diff @ univ @ (interior @ (diff @ univ @ S))))).
