%   ORIGINAL: CLOSURE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: CLOSED_LIMPT: !s. closed s <=> (!x. x limit_point_of s ==> x IN s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_UNIQUE: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: closure: !s. closure s = s UNION {x | x limit_point_of s}
% Assm: limit_point_of: !x s. x limit_point_of s <=> (!t. x IN t /\ open t ==> (?y. ~(y = x) /\ y IN s /\ y IN t))
% Goal: !s. closure s = closed hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed (closure s)
% Assm: !s. closed s <=> (!x. x limit_point_of s ==> x IN s)
% Assm: !t. (\x. t x) = t
% Assm: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. closure s = s UNION {x | x limit_point_of s}
% Assm: !x s. x limit_point_of s <=> (!t. x IN t /\ open t ==> (?y. ~(y = x) /\ y IN s /\ y IN t))
% Goal: !s. closure s = closed hull s
%  TYPES
thf(tcartrealq172591, type, cartrealq172591 : $tType).
thf(tq171324, type, q171324 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq172591, type, q172591 : $tType).
thf(tcartrealq171324, type, cartrealq171324 : $tType).
%  CONSTS
thf(cin2, type, in2 : (cartrealq171324 > (cartrealq171324 > $o) > $o)).
thf(climituu_pointuu_of0, type, limitu_pointu_of0 : (cartrealq171324 > (cartrealq171324 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealq172591 > $o) > cartrealq172591 > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(csubset, type, subset : ((cartrealq172591 > $o) > (cartrealq172591 > $o) > $o)).
thf(cin, type, in : (cartrealq172591 > (cartrealq172591 > $o) > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealq172591 > (cartrealq172591 > $o) > $o)).
thf(cclosure, type, closure : ((cartrealq172591 > $o) > cartrealq172591 > $o)).
thf(csetspec0, type, setspec0 : (cartrealq172591 > $o > cartrealq172591 > $o)).
thf(cunion0, type, union0 : ((cartrealq172591 > $o) > (cartrealq172591 > $o) > cartrealq172591 > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(chull, type, hull : (((cartrealq172591 > $o) > $o) > (cartrealq172591 > $o) > cartrealq172591 > $o)).
thf(copen, type, open : ((cartrealq171324 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealq172591 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq172591 > $o),G:(a > cartrealq172591 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealq172591 > $o)]:(closed @ (closure @ S))).
thf(aCLOSEDu_LIMPT, axiom, ![S:(cartrealq172591 > $o)]:((closed @ S) <=> ![X:cartrealq172591]:((limitu_pointu_of @ X @ S) => (in @ X @ S)))).
thf(aETAu_AX, axiom, ![T:(cartrealq172591 > $o)]:(^[X:cartrealq172591]:(T @ X) = T)).
thf(aHULLu_UNIQUE, axiom, ![P:((cartrealq172591 > $o) > $o),S:(cartrealq172591 > $o),T:(cartrealq172591 > $o)]:(((subset @ S @ T) & (P @ T) & ![TI_:(cartrealq172591 > $o)]:(((subset @ S @ TI_) & (P @ TI_)) => (subset @ T @ TI_))) => ((hull @ P @ S) = T))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in1 @ X @ (union @ S @ T)) <=> ((in1 @ X @ S) | (in1 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aclosure, axiom, ![S:(cartrealq172591 > $o)]:((closure @ S) = (union0 @ S @ (gspec0 @ ^[GENR_PVARR_467:cartrealq172591]:?[X:cartrealq172591]:(setspec0 @ GENR_PVARR_467 @ (limitu_pointu_of @ X @ S) @ X))))).
thf(alimitu_pointu_of, axiom, ![X:cartrealq171324,S:(cartrealq171324 > $o)]:((limitu_pointu_of0 @ X @ S) <=> ![T:(cartrealq171324 > $o)]:(((in2 @ X @ T) & (open @ T)) => ?[Y:cartrealq171324]:(~ ((Y = X)) & (in2 @ Y @ S) & (in2 @ Y @ T))))).
thf(conjecture, conjecture, ![S:(cartrealq172591 > $o)]:((closure @ S) = (hull @ closed @ S))).
