%   ORIGINAL: CLOSURE_INTER_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_CLOSURE: !s t. s SUBSET t ==> closure s SUBSET closure t
% Assm: SUBSET_INTER: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: TRUTH: T
% Goal: !s t. closure (s INTER t) SUBSET closure s INTER closure t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t ==> closure s SUBSET closure t
% Assm: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: T
% Goal: !s t. closure (s INTER t) SUBSET closure s INTER closure t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq172712, type, q172712 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq172712, type, cartrealq172712 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq172712 > (cartrealq172712 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cclosure, type, closure : ((cartrealq172712 > $o) > cartrealq172712 > $o)).
thf(csubset, type, subset : ((cartrealq172712 > $o) > (cartrealq172712 > $o) > $o)).
thf(cinter, type, inter : ((cartrealq172712 > $o) > (cartrealq172712 > $o) > cartrealq172712 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealq172712 > $o),T:(cartrealq172712 > $o),X:cartrealq172712]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq172712 > $o),T:(cartrealq172712 > $o)]:((subset @ S @ T) <=> ![X:cartrealq172712]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_CLOSURE, axiom, ![S:(cartrealq172712 > $o),T:(cartrealq172712 > $o)]:((subset @ S @ T) => (subset @ (closure @ S) @ (closure @ T)))).
thf(aSUBSETu_INTER, axiom, ![S:(cartrealq172712 > $o),T:(cartrealq172712 > $o),U:(cartrealq172712 > $o)]:((subset @ S @ (inter @ T @ U)) <=> ((subset @ S @ T) & (subset @ S @ U)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq172712 > $o),T:(cartrealq172712 > $o)]:(subset @ (closure @ (inter @ S @ T)) @ (inter @ (closure @ S) @ (closure @ T)))).
