%   ORIGINAL: CLOSURE_MINIMAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSURE_HULL: !s. closure s = closed hull s
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: TRUTH: T
% Goal: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. closure s = closed hull s
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: T
% Goal: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
%  TYPES
thf(tq172774, type, q172774 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq172774, type, cartrealq172774 : $tType).
%  CONSTS
thf(cclosure, type, closure : ((cartrealq172774 > $o) > cartrealq172774 > $o)).
thf(csubset, type, subset : ((cartrealq172774 > $o) > (cartrealq172774 > $o) > $o)).
thf(chull, type, hull : (((cartrealq172774 > $o) > $o) > (cartrealq172774 > $o) > cartrealq172774 > $o)).
thf(cclosed, type, closed : ((cartrealq172774 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSUREu_HULL, axiom, ![S:(cartrealq172774 > $o)]:((closure @ S) = (hull @ closed @ S))).
thf(aHULLu_MINIMAL, axiom, ![P:((cartrealq172774 > $o) > $o),S:(cartrealq172774 > $o),T:(cartrealq172774 > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq172774 > $o),T:(cartrealq172774 > $o)]:(((subset @ S @ T) & (closed @ T)) => (subset @ (closure @ S) @ T))).
