%   ORIGINAL: CLOSURE_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_EMPTY: closure {} = {}
% Assm: CLOSURE_UNION: !s t. closure (s UNION t) = closure s UNION closure t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f ==> closure (UNIONS f) = UNIONS {closure s | s IN f}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: closure {} = {}
% Assm: !s t. closure (s UNION t) = closure s UNION closure t
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f ==> closure (UNIONS f) = UNIONS {closure s | s IN f}
%  TYPES
thf(ta, type, a : $tType).
thf(tq172954, type, q172954 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq172954, type, cartrealq172954 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq172954 > (cartrealq172954 > $o) > $o)).
thf(cin, type, in : ((cartrealq172954 > $o) > ((cartrealq172954 > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealq172954 > $o) > $o) > (cartrealq172954 > $o) > $o)).
thf(cunions, type, unions : (((cartrealq172954 > $o) > $o) > cartrealq172954 > $o)).
thf(cclosure, type, closure : ((cartrealq172954 > $o) > cartrealq172954 > $o)).
thf(cinsert, type, insert : ((cartrealq172954 > $o) > ((cartrealq172954 > $o) > $o) > (cartrealq172954 > $o) > $o)).
thf(cunion, type, union : ((cartrealq172954 > $o) > (cartrealq172954 > $o) > cartrealq172954 > $o)).
thf(csetspec, type, setspec : ((cartrealq172954 > $o) > $o > (cartrealq172954 > $o) > $o)).
thf(cempty0, type, empty0 : ((cartrealq172954 > $o) > $o)).
thf(cempty, type, empty : (cartrealq172954 > $o)).
thf(cfinite, type, finite : (((cartrealq172954 > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq172954 > $o),G:(a > cartrealq172954 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_EMPTY, axiom, ((closure @ empty) = empty)).
thf(aCLOSUREu_UNION, axiom, ![S:(cartrealq172954 > $o),T:(cartrealq172954 > $o)]:((closure @ (union @ S @ T)) = (union @ (closure @ S) @ (closure @ T)))).
thf(aETAu_AX, axiom, ![T:(cartrealq172954 > $o)]:(^[X:cartrealq172954]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq172954 > $o),T:(cartrealq172954 > $o)]:((S = T) <=> ![X:cartrealq172954]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealq172954 > $o) > $o) > $o)]:(((P @ empty0) & ![X:(cartrealq172954 > $o),S:((cartrealq172954 > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealq172954 > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aIN, axiom, ![P:((cartrealq172954 > $o) > $o),X:(cartrealq172954 > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealq172954 > $o) > $o) > $o),X:(cartrealq172954 > $o)]:((in @ X @ (gspec @ ^[V:(cartrealq172954 > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealq172954 > $o)]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:(cartrealq172954 > $o),Y:(cartrealq172954 > $o),S:((cartrealq172954 > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealq172954 > $o)]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty0) = empty)).
thf(aUNIONSu_INSERT, axiom, ![S:(cartrealq172954 > $o),U:((cartrealq172954 > $o) > $o)]:((unions @ (insert @ S @ U)) = (union @ S @ (unions @ U)))).
thf(conjecture, conjecture, ![F:((cartrealq172954 > $o) > $o)]:((finite @ F) => ((closure @ (unions @ F)) = (unions @ (gspec @ ^[GENR_PVARR_471:(cartrealq172954 > $o)]:?[S:(cartrealq172954 > $o)]:(setspec @ GENR_PVARR_471 @ (in @ S @ F) @ (closure @ S))))))).
