%   ORIGINAL: OPEN_INTER_CLOSURE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: LIMPT_APPROACHABLE: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) < e))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: closure: !s. closure s = s UNION {x | x limit_point_of s}
% Assm: open_def: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. dist (x',x) < e ==> x' IN s)))
% Goal: !s t. open s ==> s INTER closure t SUBSET closure (s INTER t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) < e))
% Assm: ~F <=> T
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. closure s = s UNION {x | x limit_point_of s}
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. dist (x',x) < e ==> x' IN s)))
% Goal: !s t. open s ==> s INTER closure t SUBSET closure (s INTER t)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tprodcartrealq171382cartrealq171382, type, prodcartrealq171382cartrealq171382 : $tType).
thf(tcartrealq171382, type, cartrealq171382 : $tType).
thf(tq171382, type, q171382 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance0, type, distance0 : (prodcartrealncartrealn > real)).
thf(climituu_pointuu_of0, type, limitu_pointu_of0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealq171382cartrealq171382 > real)).
thf(cin2, type, in2 : (cartrealq171382 > (cartrealq171382 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealq171382 > (cartrealq171382 > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cunion0, type, union0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealq171382 > cartrealq171382 > prodcartrealq171382cartrealq171382)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in1 @ X @ (union @ S @ T)) <=> ((in1 @ X @ S) | (in1 @ X @ T)))).
thf(aLIMPTu_APPROACHABLE, axiom, ![X:cartrealq171382,S:(cartrealq171382 > $o)]:((limitu_pointu_of @ X @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[XI_:cartrealq171382]:((in2 @ XI_ @ S) & ~ ((XI_ = X)) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ E))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aclosure, axiom, ![S:(cartrealn > $o)]:((closure @ S) = (union0 @ S @ (gspec0 @ ^[GENR_PVARR_467:cartrealn]:?[X:cartrealn]:(setspec0 @ GENR_PVARR_467 @ (limitu_pointu_of0 @ X @ S) @ X))))).
thf(aopenu_def, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> ![X:cartrealn]:((in0 @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![XI_:cartrealn]:((realu_lt @ (distance0 @ (c_0 @ XI_ @ X)) @ E) => (in0 @ XI_ @ S)))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((open @ S) => (subset @ (inter @ S @ (closure @ T)) @ (closure @ (inter @ S @ T))))).
