%   ORIGINAL: CLOSURE_COMPLEMENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_CLOSURE: !s. interior s = (:real^N) DIFF closure ((:real^N) DIFF s)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. closure ((:real^?173152) DIFF s) = (:real^?173152) DIFF interior s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s. interior s = (:real^?173152) DIFF closure ((:real^?173152) DIFF s)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x. x IN (:real^?173152)
% Assm: ~F <=> T
% Assm: T
% Goal: !s. closure ((:real^?173152) DIFF s) = (:real^?173152) DIFF interior s
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq173152, type, cartrealq173152 : $tType).
thf(tq173152, type, q173152 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealq173152 > (cartrealq173152 > $o) > $o)).
thf(cinterior, type, interior : ((cartrealq173152 > $o) > cartrealq173152 > $o)).
thf(cclosure, type, closure : ((cartrealq173152 > $o) > cartrealq173152 > $o)).
thf(cdiff, type, diff : ((cartrealq173152 > $o) > (cartrealq173152 > $o) > cartrealq173152 > $o)).
thf(cuniv, type, univ : (cartrealq173152 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq173152 > $o),G:(a > cartrealq173152 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq173152 > $o)]:(^[X:cartrealq173152]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq173152 > $o),T:(cartrealq173152 > $o)]:((S = T) <=> ![X:cartrealq173152]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTERIORu_CLOSURE, axiom, ![S:(cartrealq173152 > $o)]:((interior @ S) = (diff @ univ @ (closure @ (diff @ univ @ S))))).
thf(aINu_DIFF, axiom, ![S:(cartrealq173152 > $o),T:(cartrealq173152 > $o),X:cartrealq173152]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNIV, axiom, ![X:cartrealq173152]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq173152 > $o)]:((closure @ (diff @ univ @ S)) = (diff @ univ @ (interior @ S)))).
