%   ORIGINAL: CONNECTED_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: CONNECTED_INTERMEDIATE_CLOSURE: !s t. connected s /\ s SUBSET t /\ t SUBSET closure s ==> connected t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Goal: !s. connected s ==> connected (closure s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. s SUBSET closure s
% Assm: !s t. connected s /\ s SUBSET t /\ t SUBSET closure s ==> connected t
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s. s SUBSET s
% Assm: T
% Goal: !s. connected s ==> connected (closure s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure @ S))).
thf(aCONNECTEDu_INTERMEDIATEu_CLOSURE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((connected @ S) & (subset @ S @ T) & (subset @ T @ (closure @ S))) => (connected @ T))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset0 @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((connected @ S) => (connected @ (closure @ S)))).
