%   ORIGINAL: INTERIOR_DIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSURE_INTERIOR: !s. closure s = (:real^N) DIFF interior ((:real^N) DIFF s)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_INTER: !s t. interior (s INTER t) = interior s INTER interior t
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Goal: !s t. interior (s DIFF t) = interior s DIFF closure t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. closure s = (:real^?173342) DIFF interior ((:real^?173342) DIFF s)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t. interior (s INTER t) = interior s INTER interior t
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. x IN (:A)
% Assm: T
% Goal: !s t. interior (s DIFF t) = interior s DIFF closure t
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq173342, type, cartrealq173342 : $tType).
thf(tq173342, type, q173342 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealq173342 > (cartrealq173342 > $o) > $o)).
thf(cclosure, type, closure : ((cartrealq173342 > $o) > cartrealq173342 > $o)).
thf(cinterior, type, interior : ((cartrealq173342 > $o) > cartrealq173342 > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealq173342 > $o) > (cartrealq173342 > $o) > cartrealq173342 > $o)).
thf(cdiff, type, diff : ((cartrealq173342 > $o) > (cartrealq173342 > $o) > cartrealq173342 > $o)).
thf(cuniv, type, univ : (cartrealq173342 > $o)).
thf(cuniv0, type, univ0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq173342 > $o),G:(a > cartrealq173342 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSUREu_INTERIOR, axiom, ![S:(cartrealq173342 > $o)]:((closure @ S) = (diff @ univ @ (interior @ (diff @ univ @ S))))).
thf(aEXTENSION, axiom, ![S:(cartrealq173342 > $o),T:(cartrealq173342 > $o)]:((S = T) <=> ![X:cartrealq173342]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTERIORu_INTER, axiom, ![S:(cartrealq173342 > $o),T:(cartrealq173342 > $o)]:((interior @ (inter @ S @ T)) = (inter @ (interior @ S) @ (interior @ T)))).
thf(aINu_DIFF, axiom, ![S:(cartrealq173342 > $o),T:(cartrealq173342 > $o),X:cartrealq173342]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ0)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq173342 > $o),T:(cartrealq173342 > $o)]:((interior @ (diff @ S @ T)) = (diff @ (interior @ S) @ (closure @ T)))).
