%   ORIGINAL: FRONTIER_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_UNIV: closure (:real^N) = (:real^N)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: INTERIOR_UNIV: interior (:real^N) = (:real^N)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: frontier (:real^N) = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: closure (:real^N) = (:real^N)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: interior (:real^N) = (:real^N)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x. x IN (:real^N)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: frontier (:real^N) = {}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_UNIV, axiom, ((closure @ univ) = univ)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINTERIORu_UNIV, axiom, ((interior @ univ) = univ)).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealn > $o)]:((frontier @ S) = (diff0 @ (closure @ S) @ (interior @ S)))).
thf(conjecture, conjecture, ((frontier @ univ) = empty)).
