%   ORIGINAL: FRONTIER_DISJOINT_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FRONTIER_COMPLEMENT: !s. frontier ((:real^?173545) DIFF s) = frontier s
% Assm: FRONTIER_SUBSET_EQ: !s. frontier s SUBSET s <=> closed s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_CLOSED: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. frontier s INTER s = {} <=> open s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. frontier ((:real^?173560) DIFF s) = frontier s
% Assm: !s. frontier s SUBSET s <=> closed s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. x IN (:A)
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. open s <=> closed ((:real^?173560) DIFF s)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. frontier s INTER s = {} <=> open s
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq173560, type, cartrealq173560 : $tType).
thf(tq173560, type, q173560 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(ci, type, i : ((cartrealq173560 > $o) > cartrealq173560 > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealq173560 > $o) > (cartrealq173560 > $o) > $o)).
thf(cin, type, in : (cartrealq173560 > (cartrealq173560 > $o) > $o)).
thf(cfrontier, type, frontier : ((cartrealq173560 > $o) > cartrealq173560 > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((cartrealq173560 > $o) > (cartrealq173560 > $o) > cartrealq173560 > $o)).
thf(cinter, type, inter : ((cartrealq173560 > $o) > (cartrealq173560 > $o) > cartrealq173560 > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(cclosed, type, closed : ((cartrealq173560 > $o) > $o)).
thf(cuniv, type, univ : (cartrealq173560 > $o)).
thf(copen, type, open : ((cartrealq173560 > $o) > $o)).
thf(cempty, type, empty : (cartrealq173560 > $o)).
thf(cuniv0, type, univ0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealq173560 > $o),G:(cartrealq173560 > $o)]:(![X:cartrealq173560]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq173560 > $o)]:(^[X:cartrealq173560]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq173560 > $o),T:(cartrealq173560 > $o)]:((S = T) <=> ![X:cartrealq173560]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFRONTIERu_COMPLEMENT, axiom, ![S:(cartrealq173560 > $o)]:((frontier @ (diff @ univ @ S)) = (frontier @ S))).
thf(aFRONTIERu_SUBSETu_EQ, axiom, ![S:(cartrealq173560 > $o)]:((subset @ (frontier @ S) @ S) <=> (closed @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff0 @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(cartrealq173560 > $o),T:(cartrealq173560 > $o),X:cartrealq173560]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ0)).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealq173560 > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq173560]:~ ((in @ X @ empty))).
thf(aOPENu_CLOSED, axiom, ![S:(cartrealq173560 > $o)]:((open @ S) <=> (closed @ (diff @ univ @ S)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq173560 > $o)]:(((inter @ (frontier @ S) @ S) = empty) <=> (open @ S))).
