%   ORIGINAL: FRONTIER_INTER_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_INTER_SUBSET: !s t. closure (s INTER t) SUBSET closure s INTER closure t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_INTER: !s t. interior (s INTER t) = interior s INTER interior t
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !s t. frontier (s INTER t) SUBSET frontier s UNION frontier t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. closure (s INTER t) SUBSET closure s INTER closure t
% Assm: !P x. x IN P <=> P x
% Assm: !s t. interior (s INTER t) = interior s INTER interior t
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !s t. frontier (s INTER t) SUBSET frontier s UNION frontier t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq173614, type, q173614 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq173614, type, cartrealq173614 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq173614 > (cartrealq173614 > $o) > $o)).
thf(cinterior, type, interior : ((cartrealq173614 > $o) > cartrealq173614 > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cclosure, type, closure : ((cartrealq173614 > $o) > cartrealq173614 > $o)).
thf(cfrontier, type, frontier : ((cartrealq173614 > $o) > cartrealq173614 > $o)).
thf(csubset, type, subset : ((cartrealq173614 > $o) > (cartrealq173614 > $o) > $o)).
thf(cdiff0, type, diff0 : ((cartrealq173614 > $o) > (cartrealq173614 > $o) > cartrealq173614 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((cartrealq173614 > $o) > (cartrealq173614 > $o) > cartrealq173614 > $o)).
thf(cinter, type, inter : ((cartrealq173614 > $o) > (cartrealq173614 > $o) > cartrealq173614 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_INTERu_SUBSET, axiom, ![S:(cartrealq173614 > $o),T:(cartrealq173614 > $o)]:(subset @ (closure @ (inter @ S @ T)) @ (inter @ (closure @ S) @ (closure @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTERIORu_INTER, axiom, ![S:(cartrealq173614 > $o),T:(cartrealq173614 > $o)]:((interior @ (inter @ S @ T)) = (inter @ (interior @ S) @ (interior @ T)))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(cartrealq173614 > $o),T:(cartrealq173614 > $o),X:cartrealq173614]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealq173614 > $o),T:(cartrealq173614 > $o),X:cartrealq173614]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq173614 > $o),T:(cartrealq173614 > $o)]:((subset @ S @ T) <=> ![X:cartrealq173614]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealq173614 > $o)]:((frontier @ S) = (diff0 @ (closure @ S) @ (interior @ S)))).
thf(conjecture, conjecture, ![S:(cartrealq173614 > $o),T:(cartrealq173614 > $o)]:(subset @ (frontier @ (inter @ S @ T)) @ (union @ (frontier @ S) @ (frontier @ T)))).
