%   ORIGINAL: AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Assm: at: !a. at a = mk_net (\x y. &0 < dist (x,a) /\ dist (x,a) <= dist (y,a))
% Assm: net_tybij_conjunct1: !r. (!x y. (!z. r z x ==> r z y) \/ (!z. r z y ==> r z x)) <=> netord (mk_net r) = r
% Goal: !a x y. netord (at a) x y <=> &0 < dist (x,a) /\ dist (x,a) <= dist (y,a)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x. x <= x
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Assm: !a. at a = mk_net (\x y. &0 < dist (x,a) /\ dist (x,a) <= dist (y,a))
% Assm: !r. (!x y. (!z. r z x ==> r z y) \/ (!z. r z y ==> r z x)) <=> netord (mk_net r) = r
% Goal: !a x y. netord (at a) x y <=> &0 < dist (x,a) /\ dist (x,a) <= dist (y,a)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmkuu_net, type, mku_net : ((cartrealn > cartrealn > $o) > netcartrealn)).
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnetord, type, netord : (netcartrealn > cartrealn > cartrealn > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(aat, axiom, ![A:cartrealn]:((at @ A) = (mku_net @ ^[X:cartrealn,Y:cartrealn]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_le @ (distance @ (c_ @ X @ A)) @ (distance @ (c_ @ Y @ A))))))).
thf(anetu_tybiju_conjunct1, axiom, ![R:(cartrealn > cartrealn > $o)]:(![X:cartrealn,Y:cartrealn]:(![Z:cartrealn]:((R @ Z @ X) => (R @ Z @ Y)) | ![Z:cartrealn]:((R @ Z @ Y) => (R @ Z @ X))) <=> ((netord @ (mku_net @ R)) = R))).
thf(conjecture, conjecture, ![A:cartrealn,X:cartrealn,Y:cartrealn]:((netord @ (at @ A) @ X @ Y) <=> ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_le @ (distance @ (c_ @ X @ A)) @ (distance @ (c_ @ Y @ A)))))).
