%   ORIGINAL: SEQUENTIALLY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: LE_CASES: !m n. m <= n \/ n <= m
% Assm: LE_REFL: !n. n <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: net_tybij_conjunct1: !r. (!x y. (!z. r z x ==> r z y) \/ (!z. r z y ==> r z x)) <=> netord (mk_net r) = r
% Assm: sequentially: sequentially = mk_net (\m n. m >= n)
% Goal: !m n. netord sequentially m n <=> m >= n
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !n m. m >= n <=> n <= m
% Assm: !m n. m <= n \/ n <= m
% Assm: !n. n <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: ~F <=> T
% Assm: T
% Assm: !r. (!x y. (!z. r z x ==> r z y) \/ (!z. r z y ==> r z x)) <=> netord (mk_net r) = r
% Assm: sequentially = mk_net (\m n. m >= n)
% Goal: !m n. netord sequentially m n <=> m >= n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cnetord, type, netord : (netnum > num > num > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cmkuu_net, type, mku_net : ((num > num > $o) > netnum)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aLEu_CASES, axiom, ![M:num,N:num]:((l_a_ @ M @ N) | (l_a_ @ N @ M))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anetu_tybiju_conjunct1, axiom, ![R:(num > num > $o)]:(![X:num,Y:num]:(![Z:num]:((R @ Z @ X) => (R @ Z @ Y)) | ![Z:num]:((R @ Z @ Y) => (R @ Z @ X))) <=> ((netord @ (mku_net @ R)) = R))).
thf(asequentially, axiom, (sequentially = (mku_net @ ^[M:num,N:num]:(g_a_ @ M @ N)))).
thf(conjecture, conjecture, ![M:num,N:num]:((netord @ sequentially @ M @ N) <=> (g_a_ @ M @ N))).
