%   ORIGINAL: EVENTUALLY_WITHIN_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AT: !a x y. netord (at a) x y <=> &0 < dist (x,a) /\ dist (x,a) <= dist (y,a)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_NZ: !x y. ~(x = y) <=> &0 < dist (x,y)
% Assm: DIST_REFL: !x. dist (x,x) = &0
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LIMPT_APPROACHABLE_LE: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) <= e))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LTE_TRANS: !x y z. x < y /\ y <= z ==> x < z
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: TRIVIAL_LIMIT_WITHIN: !a. trivial_limit (at a within s) <=> ~(a limit_point_of s)
% Assm: TRUTH: T
% Assm: VECTOR_CHOOSE_DIST: !x e. &0 <= e ==> (?y. dist (x,y) = e)
% Assm: WITHIN: !n s x y. netord (n within s) x y <=> netord n x y /\ x IN s
% Assm: eventually: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Goal: !s a p. eventually p (at a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) <= d ==> p x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !a x y. netord (at a) x y <=> &0 < dist (x,a) /\ dist (x,a) <= dist (y,a)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. ~(x = y) <=> &0 < dist (x,y)
% Assm: !x. dist (x,x) = &0
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) <= e))
% Assm: ~F <=> T
% Assm: !x y z. x < y /\ y <= z ==> x < z
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. x < y ==> x <= y
% Assm: !s a. trivial_limit (at a within s) <=> ~(a limit_point_of s)
% Assm: T
% Assm: !x e. &0 <= e ==> (?y. dist (x,y) = e)
% Assm: !n s x y. netord (n within s) x y <=> netord n x y /\ x IN s
% Assm: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Goal: !s a p. eventually p (at a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) <= d ==> p x))
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealm > (cartrealm > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealmcartrealm > real)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ceventually, type, eventually : ((cartrealm > $o) > netcartrealm > $o)).
thf(cnetord, type, netord : (netcartrealm > cartrealm > cartrealm > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(ctrivialuu_limit, type, trivialu_limit : (netcartrealm > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAT, axiom, ![A:cartrealm,X:cartrealm,Y:cartrealm]:((netord @ (at @ A) @ X @ Y) <=> ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_le @ (distance @ (c_ @ X @ A)) @ (distance @ (c_ @ Y @ A)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_NZ, axiom, ![X:cartrealm,Y:cartrealm]:(~ ((X = Y)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ Y))))).
thf(aDISTu_REFL, axiom, ![X:cartrealm]:((distance @ (c_ @ X @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDISTu_SYM, axiom, ![X:cartrealm,Y:cartrealm]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLIMPTu_APPROACHABLEu_LE, axiom, ![X:cartrealm,S:(cartrealm > $o)]:((limitu_pointu_of @ X @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[XI_:cartrealm]:((in @ XI_ @ S) & ~ ((XI_ = X)) & (realu_le @ (distance @ (c_ @ XI_ @ X)) @ E))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_le @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aTRIVIALu_LIMITu_WITHIN, axiom, ![S:(cartrealm > $o),A:cartrealm]:((trivialu_limit @ (within @ (at @ A) @ S)) <=> ~ ((limitu_pointu_of @ A @ S)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_CHOOSEu_DIST, axiom, ![X:cartrealm,E:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[Y:cartrealm]:((distance @ (c_ @ X @ Y)) = E))).
thf(aWITHIN, axiom, ![N:netcartrealm,S:(cartrealm > $o),X:cartrealm,Y:cartrealm]:((netord @ (within @ N @ S) @ X @ Y) <=> ((netord @ N @ X @ Y) & (in @ X @ S)))).
thf(aeventually, axiom, ![NET:netcartrealm,P:(cartrealm > $o)]:((eventually @ P @ NET) <=> ((trivialu_limit @ NET) | ?[Y:cartrealm]:(?[X:cartrealm]:(netord @ NET @ X @ Y) & ![X:cartrealm]:((netord @ NET @ X @ Y) => (P @ X)))))).
thf(conjecture, conjecture, ![S:(cartrealm > $o),A:cartrealm,P:(cartrealm > $o)]:((eventually @ P @ (within @ (at @ A) @ S)) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealm]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_le @ (distance @ (c_ @ X @ A)) @ D)) => (P @ X))))).
