%   ORIGINAL: EVENTUALLY_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: APPROACHABLE_LT_LE: !P f. (?d. &0 < d /\ (!x. f x < d ==> P x)) <=> (?d. &0 < d /\ (!x. f x <= d ==> P x))
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EVENTUALLY_WITHIN_LE: !s a p. eventually p (at a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) <= d ==> p x))
% Assm: TRUTH: T
% Goal: !s a p. eventually p (at a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) < d ==> p x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: ~F <=> T
% Assm: !P f. (?d. &0 < d /\ (!x. f x < d ==> P x)) <=> (?d. &0 < d /\ (!x. f x <= d ==> P x))
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a p. eventually p (at a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) <= d ==> p x))
% Assm: T
% Goal: !s a p. eventually p (at a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) < d ==> p x))
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq93991, type, q93991 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealmcartrealm > real)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ceventually, type, eventually : ((cartrealm > $o) > netcartrealm > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAPPROACHABLEu_LTu_LE, axiom, ![P:(q93991 > $o),F:(q93991 > real)]:(?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:q93991]:((realu_lt @ (F @ X) @ D) => (P @ X))) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:q93991]:((realu_le @ (F @ X) @ D) => (P @ X))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEVENTUALLYu_WITHINu_LE, axiom, ![S:(cartrealm > $o),A:cartrealm,P:(cartrealm > $o)]:((eventually @ P @ (within @ (at @ A) @ S)) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealm]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_le @ (distance @ (c_ @ X @ A)) @ D)) => (P @ X))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealm > $o),A:cartrealm,P:(cartrealm > $o)]:((eventually @ P @ (within @ (at @ A) @ S)) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealm]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_lt @ (distance @ (c_ @ X @ A)) @ D)) => (P @ X))))).
