%   ORIGINAL: EVENTUALLY_SEQUENTIALLY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: LE_REFL: !n. n <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SEQUENTIALLY: !m n. netord sequentially m n <=> m >= n
% Assm: TRIVIAL_LIMIT_SEQUENTIALLY: ~trivial_limit sequentially
% Assm: TRUTH: T
% Assm: eventually: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Goal: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !n m. m >= n <=> n <= m
% Assm: !n. n <= n
% Assm: ~F <=> T
% Assm: !m n. netord sequentially m n <=> m >= n
% Assm: ~trivial_limit sequentially
% Assm: T
% Assm: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Goal: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
%  CONSTS
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ceventually, type, eventually : ((num > $o) > netnum > $o)).
thf(cnetord, type, netord : (netnum > num > num > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (netnum > $o)).
thf(csequentially, type, sequentially : netnum).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSEQUENTIALLY, axiom, ![M:num,N:num]:((netord @ sequentially @ M @ N) <=> (g_a_ @ M @ N))).
thf(aTRIVIALu_LIMITu_SEQUENTIALLY, axiom, ~ ((trivialu_limit @ sequentially))).
thf(aTRUTH, axiom, $true).
thf(aeventually, axiom, ![NET:netnum,P:(num > $o)]:((eventually @ P @ NET) <=> ((trivialu_limit @ NET) | ?[Y:num]:(?[X:num]:(netord @ NET @ X @ Y) & ![X:num]:((netord @ NET @ X @ Y) => (P @ X)))))).
thf(conjecture, conjecture, ![P:(num > $o)]:((eventually @ P @ sequentially) <=> ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (P @ N0)))).
