%   ORIGINAL: EVENTUALLY_FORALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVENTUALLY_AND: !net p q. eventually (\x. p x /\ q x) net <=> eventually p net /\ eventually q net
% Assm: EVENTUALLY_TRUE: !net. eventually (\x. T) net <=> T
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FORALL_IN_INSERT: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !net p s. FINITE s /\ ~(s = {}) ==> (eventually (\x. !a. a IN s ==> p a x) net <=> (!a. a IN s ==> eventually (p a) net))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !net p q. eventually (\x. p x /\ q x) net <=> eventually p net /\ eventually q net
% Assm: !net. eventually (\x. T) net <=> T
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !net p s. FINITE s /\ ~(s = {}) ==> (eventually (\x. !a. a IN s ==> p a x) net <=> (!a. a IN s ==> eventually (p a) net))
%  TYPES
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cempty, type, empty : (b > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(cinsert, type, insert : (b > (b > $o) > b > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(b > $o),G:(b > $o)]:(![X:b]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(b > $o)]:(^[X:b]:(T @ X) = T)).
thf(aEVENTUALLYu_AND, axiom, ![NET:neta,P:(a > $o),Q:(a > $o)]:((eventually @ ^[X:a]:((P @ X) & (Q @ X)) @ NET) <=> ((eventually @ P @ NET) & (eventually @ Q @ NET)))).
thf(aEVENTUALLYu_TRUE, axiom, ![NET:neta]:((eventually @ ^[X:a]:$true @ NET) <=> $true)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((b > $o) > $o)]:(((P @ empty) & ![X:b,S:(b > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(b > $o)]:((finite @ S) => (P @ S)))).
thf(aFORALLu_INu_INSERT, axiom, ![P:(b > $o),A:b,S:(b > $o)]:(![X:b]:((in @ X @ (insert @ A @ S)) => (P @ X)) <=> ((P @ A) & ![X:b]:((in @ X @ S) => (P @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:b]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:neta,P:(b > a > $o),S:(b > $o)]:(((finite @ S) & ~ ((S = empty))) => ((eventually @ ^[X:a]:![A:b]:((in @ A @ S) => (P @ A @ X)) @ NET) <=> ![A:b]:((in @ A @ S) => (eventually @ (P @ A) @ NET))))).
