%   ORIGINAL: LIM_CMUL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LIM_CMUL: !f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: TRUTH: T
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Goal: !net f l c. ~(c = &0) ==> (((\x. c % f x) --> c % l) net <=> (f --> l) net)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !net f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: ~F <=> T
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: T
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Goal: !net f l c. ~(c = &0) ==> (((\x. c % f x) --> c % l) net <=> (f --> l) net)
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq176253, type, cartrealq176253 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetq176246, type, netq176246 : $tType).
thf(tq176253, type, q176253 : $tType).
thf(tq176246, type, q176246 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cru_, type, r_ : (real > cartrealq176253 > cartrealq176253)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q176246 > cartrealq176253) > cartrealq176253 > netq176246 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLIMu_CMUL, axiom, ![NET:netq176246,F:(q176246 > cartrealq176253),L:cartrealq176253,C:real]:((m_m_g_ @ F @ L @ NET) => (m_m_g_ @ ^[X:q176246]:(r_ @ C @ (F @ X)) @ (r_ @ C @ L) @ NET))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealq176253]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq176253]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(conjecture, conjecture, ![NET:netq176246,F:(q176246 > cartrealq176253),L:cartrealq176253,C:real]:(~ ((C = (realu_ofu_num @ (numeral @ u_0)))) => ((m_m_g_ @ ^[X:q176246]:(r_ @ C @ (F @ X)) @ (r_ @ C @ L) @ NET) <=> (m_m_g_ @ F @ L @ NET)))).
