%   ORIGINAL: LIM_IN_CLOSED_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVENTUALLY_AND: !net p q. eventually (\x. p x /\ q x) net <=> eventually p net /\ eventually q net
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_BALL: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_EVENTUALLY: !net p. (!x. ~p x) /\ ~trivial_limit net ==> ~eventually p net
% Assm: OPEN_CONTAINS_BALL: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: closed: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: tendsto: !f l net. (f --> l) net <=> (!e. &0 < e ==> eventually (\x. dist (f x,l) < e) net)
% Goal: !net f s l. closed s /\ eventually (\x. f x IN s) net /\ ~trivial_limit net /\ (f --> l) net ==> l IN s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !net p q. eventually (\x. p x /\ q x) net <=> eventually p net /\ eventually q net
% Assm: !P x. x IN P <=> P x
% Assm: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x. x IN (:real^N)
% Assm: ~F <=> T
% Assm: !net p. (!x. ~p x) /\ ~trivial_limit net ==> ~eventually p net
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: !f l net. (f --> l) net <=> (!e. &0 < e ==> eventually (\x. dist (f x,l) < e) net)
% Goal: !net f s l. closed s /\ eventually (\x. f x IN s) net /\ ~trivial_limit net /\ (f --> l) net ==> l IN s
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealq102240cartrealq102240, type, prodcartrealq102240cartrealq102240 : $tType).
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tq102240, type, q102240 : $tType).
thf(tcartrealq102240, type, cartrealq102240 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdistance0, type, distance0 : (prodcartrealncartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(cdistance, type, distance : (prodcartrealq102240cartrealq102240 > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_1, type, c_1 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_0, type, c_0 : (cartrealn > real > prodcartrealnreal)).
thf(ccu_, type, c_ : (cartrealq102240 > cartrealq102240 > prodcartrealq102240cartrealq102240)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn) > cartrealn > neta > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (neta > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_SYM, axiom, ![X:cartrealq102240,Y:cartrealq102240]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEVENTUALLYu_AND, axiom, ![NET:neta,P:(a > $o),Q:(a > $o)]:((eventually @ ^[X:a]:((P @ X) & (Q @ X)) @ NET) <=> ((eventually @ P @ NET) & (eventually @ Q @ NET)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_BALL, axiom, ![X:cartrealn,Y:cartrealn,E:real]:((in @ Y @ (ball @ (c_0 @ X @ E))) <=> (realu_lt @ (distance0 @ (c_1 @ X @ Y)) @ E))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_EVENTUALLY, axiom, ![NET:neta,P:(a > $o)]:((![X:a]:~ ((P @ X)) & ~ ((trivialu_limit @ NET))) => ~ ((eventually @ P @ NET)))).
thf(aOPENu_CONTAINSu_BALL, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> ![X:cartrealn]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (ball @ (c_0 @ X @ E)) @ S))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aclosed, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> (open @ (diff @ univ @ S)))).
thf(atendsto, axiom, ![F:(a > cartrealn),L:cartrealn,NET:neta]:((m_m_g_ @ F @ L @ NET) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:(realu_lt @ (distance0 @ (c_1 @ (F @ X) @ L)) @ E) @ NET)))).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealn),S:(cartrealn > $o),L:cartrealn]:(((closed @ S) & (eventually @ ^[X:a]:(in @ (F @ X) @ S) @ NET) & ~ ((trivialu_limit @ NET)) & (m_m_g_ @ F @ L @ NET)) => (in @ L @ S))).
