%   ORIGINAL: LIM_TRANSFORM_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_NEG_EQ: !net f l. ((\x. --f x) --> --l) net <=> (f --> l) net
% Assm: LIM_TRANSFORM: !net f g l. ((\x. f x - g x) --> vec 0) net /\ (f --> l) net ==> (g --> l) net
% Assm: TRUTH: T
% Assm: VECTOR_NEG_0: --vec 0 = vec 0
% Assm: VECTOR_NEG_SUB: !x y. --(x - y) = y - x
% Goal: !net f g l. ((\x. f x - g x) --> vec 0) net ==> ((f --> l) net <=> (g --> l) net)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f l. ((\x. --f x) --> --l) net <=> (f --> l) net
% Assm: !net f g l. ((\x. f x - g x) --> vec 0) net /\ (f --> l) net ==> (g --> l) net
% Assm: T
% Assm: --vec 0 = vec 0
% Assm: !x y. --(x - y) = y - x
% Goal: !net f g l. ((\x. f x - g x) --> vec 0) net ==> ((f --> l) net <=> (g --> l) net)
%  TYPES
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_NEGu_EQ, axiom, ![NET:neta,F:(a > cartrealn),L:cartrealn]:((m_m_g_ @ ^[X:a]:(vectoru_neg @ (F @ X)) @ (vectoru_neg @ L) @ NET) <=> (m_m_g_ @ F @ L @ NET))).
thf(aLIMu_TRANSFORM, axiom, ![NET:neta,F:(a > cartrealn),G:(a > cartrealn),L:cartrealn]:(((m_m_g_ @ ^[X:a]:(vectoru_sub @ (F @ X) @ (G @ X)) @ (vec @ (numeral @ u_0)) @ NET) & (m_m_g_ @ F @ L @ NET)) => (m_m_g_ @ G @ L @ NET))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_0, axiom, ((vectoru_neg @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aVECTORu_NEGu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_neg @ (vectoru_sub @ X @ Y)) = (vectoru_sub @ Y @ X))).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealn),G:(a > cartrealn),L:cartrealn]:((m_m_g_ @ ^[X:a]:(vectoru_sub @ (F @ X) @ (G @ X)) @ (vec @ (numeral @ u_0)) @ NET) => ((m_m_g_ @ F @ L @ NET) <=> (m_m_g_ @ G @ L @ NET)))).
