%   ORIGINAL: LIM_TRANSFORM_WITHIN_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EVENTUALLY_AT: !a p. eventually p (at a) <=> (?d. &0 < d /\ (!x. &0 < dist (x,a) /\ dist (x,a) < d ==> p x))
% Assm: LIM_WITHIN: !f l a s. (f --> l) (at a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) < d ==> dist (f x,l) < e)))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: TRUTH: T
% Goal: !f a s t. eventually (\x. x IN s <=> x IN t) (at a) ==> ((f --> l) (at a within s) <=> (f --> l) (at a within t))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a p. eventually p (at a) <=> (?d. &0 < d /\ (!x. &0 < dist (x,a) /\ dist (x,a) < d ==> p x))
% Assm: !f l a s. (f --> l) (at a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) < d ==> dist (f x,l) < e)))
% Assm: ~F <=> T
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: T
% Goal: !l f a s t. eventually (\x. x IN s <=> x IN t) (at a) ==> ((f --> l) (at a within s) <=> (f --> l) (at a within t))
%  TYPES
thf(tnetcartrealq179559, type, netcartrealq179559 : $tType).
thf(tq179559, type, q179559 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq179543, type, cartrealq179543 : $tType).
thf(tcartrealq179559, type, cartrealq179559 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq179559cartrealq179559, type, prodcartrealq179559cartrealq179559 : $tType).
thf(tprodcartrealq179543cartrealq179543, type, prodcartrealq179543cartrealq179543 : $tType).
thf(tq179543, type, q179543 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq179559 > netcartrealq179559)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cdistance0, type, distance0 : (prodcartrealq179543cartrealq179543 > real)).
thf(cdistance, type, distance : (prodcartrealq179559cartrealq179559 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealq179559 > (cartrealq179559 > $o) > $o)).
thf(ceventually, type, eventually : ((cartrealq179559 > $o) > netcartrealq179559 > $o)).
thf(ccu_0, type, c_0 : (cartrealq179543 > cartrealq179543 > prodcartrealq179543cartrealq179543)).
thf(ccu_, type, c_ : (cartrealq179559 > cartrealq179559 > prodcartrealq179559cartrealq179559)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netcartrealq179559 > (cartrealq179559 > $o) > netcartrealq179559)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealq179559 > cartrealq179543) > cartrealq179543 > netcartrealq179559 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEVENTUALLYu_AT, axiom, ![A:cartrealq179559,P:(cartrealq179559 > $o)]:((eventually @ P @ (at @ A)) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealq179559]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_lt @ (distance @ (c_ @ X @ A)) @ D)) => (P @ X))))).
thf(aLIMu_WITHIN, axiom, ![F:(cartrealq179559 > cartrealq179543),L:cartrealq179543,A:cartrealq179559,S:(cartrealq179559 > $o)]:((m_m_g_ @ F @ L @ (within @ (at @ A) @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealq179559]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_lt @ (distance @ (c_ @ X @ A)) @ D)) => (realu_lt @ (distance0 @ (c_0 @ (F @ X) @ L)) @ E)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:cartrealq179543,F:(cartrealq179559 > cartrealq179543),A:cartrealq179559,S:(cartrealq179559 > $o),T:(cartrealq179559 > $o)]:((eventually @ ^[X:cartrealq179559]:((in @ X @ S) <=> (in @ X @ T)) @ (at @ A)) => ((m_m_g_ @ F @ L @ (within @ (at @ A) @ S)) <=> (m_m_g_ @ F @ L @ (within @ (at @ A) @ T))))).
