%   ORIGINAL: LIM_TRANSFORM_AWAY_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_NZ: !x y. ~(x = y) <=> &0 < dist (x,y)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: LIM_TRANSFORM_WITHIN: !f g x s d. &0 < d /\ (!x'. x' IN s /\ &0 < dist (x',x) /\ dist (x',x) < d ==> f x' = g x') /\ (f --> l) (at x within s) ==> (g --> l) (at x within s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_REFL: !x. ~(x < x)
% Assm: TRUTH: T
% Goal: !f g a b s. ~(a = b) /\ (!x. x IN s /\ ~(x = a) /\ ~(x = b) ==> f x = g x) /\ (f --> l) (at a within s) ==> (g --> l) (at a within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. ~(x = y) <=> &0 < dist (x,y)
% Assm: !x y. ~(x = y) <=> &0 < dist (x,y)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !l f g x s d. &0 < d /\ (!x'. x' IN s /\ &0 < dist (x',x) /\ dist (x',x) < d ==> f x' = g x') /\ (f --> l) (at x within s) ==> (g --> l) (at x within s)
% Assm: ~F <=> T
% Assm: !x. ~(x < x)
% Assm: T
% Goal: !l f g a b s. ~(a = b) /\ (!x. x IN s /\ ~(x = a) /\ ~(x = b) ==> f x = g x) /\ (f --> l) (at a within s) ==> (g --> l) (at a within s)
%  TYPES
thf(tprodcartrealq102240cartrealq102240, type, prodcartrealq102240cartrealq102240 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq102240, type, q102240 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealq102240, type, cartrealq102240 : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cdistance1, type, distance1 : (prodcartrealq102240cartrealq102240 > real)).
thf(cdistance0, type, distance0 : (prodcartrealmcartrealm > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealq102240 > cartrealq102240 > prodcartrealq102240cartrealq102240)).
thf(ccu_0, type, c_0 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealm > cartrealn) > cartrealn > netcartrealm > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_NZu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:(~ ((X = Y)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ Y))))).
thf(aDISTu_NZu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm]:(~ ((X = Y)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance0 @ (c_0 @ X @ Y))))).
thf(aDISTu_SYM, axiom, ![X:cartrealq102240,Y:cartrealq102240]:((distance1 @ (c_1 @ X @ Y)) = (distance1 @ (c_1 @ Y @ X)))).
thf(aLIMu_TRANSFORMu_WITHIN, axiom, ![L:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),X:cartrealm,S:(cartrealm > $o),D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealm]:(((in @ XI_ @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance0 @ (c_0 @ XI_ @ X))) & (realu_lt @ (distance0 @ (c_0 @ XI_ @ X)) @ D)) => ((F @ XI_) = (G @ XI_))) & (m_m_g_ @ F @ L @ (within @ (at @ X) @ S))) => (m_m_g_ @ G @ L @ (within @ (at @ X) @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_REFL, axiom, ![X:real]:~ ((realu_lt @ X @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,S:(cartrealm > $o)]:((~ ((A = B)) & ![X:cartrealm]:(((in @ X @ S) & ~ ((X = A)) & ~ ((X = B))) => ((F @ X) = (G @ X))) & (m_m_g_ @ F @ L @ (within @ (at @ A) @ S))) => (m_m_g_ @ G @ L @ (within @ (at @ A) @ S)))).
