%   ORIGINAL: LIM_TRANSFORM_AWAY_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LIM_TRANSFORM_AWAY_WITHIN: !f g a b s. ~(a = b) /\ (!x. x IN s /\ ~(x = a) /\ ~(x = b) ==> f x = g x) /\ (f --> l) (at a within s) ==> (g --> l) (at a within s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: WITHIN_UNIV: !x. at x within (:real^N) = at x
% Goal: !f g a b. ~(a = b) /\ (!x. ~(x = a) /\ ~(x = b) ==> f x = g x) /\ (f --> l) (at a) ==> (g --> l) (at a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !l f g a b s. ~(a = b) /\ (!x. x IN s /\ ~(x = a) /\ ~(x = b) ==> f x = g x) /\ (f --> l) (at a within s) ==> (g --> l) (at a within s)
% Assm: ~F <=> T
% Assm: T
% Assm: !x. at x within (:real^M) = at x
% Goal: !l f g a b. ~(a = b) /\ (!x. ~(x = a) /\ ~(x = b) ==> f x = g x) /\ (f --> l) (at a) ==> (g --> l) (at a)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealm > cartrealn) > cartrealn > netcartrealm > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aLIMu_TRANSFORMu_AWAYu_WITHIN, axiom, ![L:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,S:(cartrealm > $o)]:((~ ((A = B)) & ![X:cartrealm]:(((in @ X @ S) & ~ ((X = A)) & ~ ((X = B))) => ((F @ X) = (G @ X))) & (m_m_g_ @ F @ L @ (within @ (at @ A) @ S))) => (m_m_g_ @ G @ L @ (within @ (at @ A) @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWITHINu_UNIV, axiom, ![X:cartrealm]:((within @ (at @ X) @ univ) = (at @ X))).
thf(conjecture, conjecture, ![L:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),A:cartrealm,B:cartrealm]:((~ ((A = B)) & ![X:cartrealm]:((~ ((X = A)) & ~ ((X = B))) => ((F @ X) = (G @ X))) & (m_m_g_ @ F @ L @ (at @ A))) => (m_m_g_ @ G @ L @ (at @ A)))).
