%   ORIGINAL: LIM_CASES_SEQUENTIALLY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG_LE: !n. FINITE {m | m <= n}
% Assm: FINITE_NUMSEG_LT: !n. FINITE {m | m < n}
% Assm: LIM_CASES_COFINITE_SEQUENTIALLY: !f g l. FINITE {n | ~P n} ==> (((\n. if P n then f n else g n) --> l) sequentially <=> (f --> l) sequentially)
% Assm: LIM_CASES_FINITE_SEQUENTIALLY: !f g l. FINITE {n | P n} ==> (((\n. if P n then f n else g n) --> l) sequentially <=> (g --> l) sequentially)
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: TRUTH: T
% Goal: !f g l m. (((\n. if m <= n then f n else g n) --> l) sequentially <=> (f --> l) sequentially) /\ (((\n. if m < n then f n else g n) --> l) sequentially <=> (f --> l) sequentially) /\ (((\n. if n <= m then f n else g n) --> l) sequentially <=> (g --> l) sequentially) /\ (((\n. if n < m then f n else g n) --> l) sequentially <=> (g --> l) sequentially)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. FINITE {m | m <= n}
% Assm: !n. FINITE {m | m < n}
% Assm: !P f g l. FINITE {n | ~P n} ==> (((\n. if P n then f n else g n) --> l) sequentially <=> (f --> l) sequentially)
% Assm: !P f g l. FINITE {n | P n} ==> (((\n. if P n then f n else g n) --> l) sequentially <=> (g --> l) sequentially)
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: T
% Goal: !f g l m. (((\n. if m <= n then f n else g n) --> l) sequentially <=> (f --> l) sequentially) /\ (((\n. if m < n then f n else g n) --> l) sequentially <=> (f --> l) sequentially) /\ (((\n. if n <= m then f n else g n) --> l) sequentially <=> (g --> l) sequentially) /\ (((\n. if n < m then f n else g n) --> l) sequentially <=> (g --> l) sequentially)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tq180038, type, q180038 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq180038, type, cartrealq180038 : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
thf(ccond, type, cond : ($o > cartrealq180038 > cartrealq180038 > cartrealq180038)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealq180038) > cartrealq180038 > netnum > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEGu_LE, axiom, ![N:num]:(finite @ (gspec @ ^[GENR_PVARR_110:num]:?[M:num]:(setspec @ GENR_PVARR_110 @ (l_a_ @ M @ N) @ M)))).
thf(aFINITEu_NUMSEGu_LT, axiom, ![N:num]:(finite @ (gspec @ ^[GENR_PVARR_108:num]:?[M:num]:(setspec @ GENR_PVARR_108 @ (l_ @ M @ N) @ M)))).
thf(aLIMu_CASESu_COFINITEu_SEQUENTIALLY, axiom, ![P:(num > $o),F:(num > cartrealq180038),G:(num > cartrealq180038),L:cartrealq180038]:((finite @ (gspec @ ^[GENR_PVARR_474:num]:?[N:num]:(setspec @ GENR_PVARR_474 @ ~ ((P @ N)) @ N))) => ((m_m_g_ @ ^[N:num]:(cond @ (P @ N) @ (F @ N) @ (G @ N)) @ L @ sequentially) <=> (m_m_g_ @ F @ L @ sequentially)))).
thf(aLIMu_CASESu_FINITEu_SEQUENTIALLY, axiom, ![P:(num > $o),F:(num > cartrealq180038),G:(num > cartrealq180038),L:cartrealq180038]:((finite @ (gspec @ ^[GENR_PVARR_473:num]:?[N:num]:(setspec @ GENR_PVARR_473 @ (P @ N) @ N))) => ((m_m_g_ @ ^[N:num]:(cond @ (P @ N) @ (F @ N) @ (G @ N)) @ L @ sequentially) <=> (m_m_g_ @ G @ L @ sequentially)))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > cartrealq180038),G:(num > cartrealq180038),L:cartrealq180038,M:num]:(((m_m_g_ @ ^[N:num]:(cond @ (l_a_ @ M @ N) @ (F @ N) @ (G @ N)) @ L @ sequentially) <=> (m_m_g_ @ F @ L @ sequentially)) & ((m_m_g_ @ ^[N:num]:(cond @ (l_ @ M @ N) @ (F @ N) @ (G @ N)) @ L @ sequentially) <=> (m_m_g_ @ F @ L @ sequentially)) & ((m_m_g_ @ ^[N:num]:(cond @ (l_a_ @ N @ M) @ (F @ N) @ (G @ N)) @ L @ sequentially) <=> (m_m_g_ @ G @ L @ sequentially)) & ((m_m_g_ @ ^[N:num]:(cond @ (l_ @ N @ M) @ (F @ N) @ (G @ N)) @ L @ sequentially) <=> (m_m_g_ @ G @ L @ sequentially)))).
