%   ORIGINAL: CLOSURE_SEQUENTIAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: LIMPT_SEQUENTIAL: !x s. x limit_point_of s <=> (?f. (!n. f n IN s DELETE x) /\ (f --> x) sequentially)
% Assm: LIM_CONST: !net a. ((\x. a) --> a) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: closure: !s. closure s = s UNION {x | x limit_point_of s}
% Goal: !s l. l IN closure s <=> (?x. (!n. x n IN s) /\ (x --> l) sequentially)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x <=> x
% Assm: !x s. x limit_point_of s <=> (?f. (!n. f n IN s DELETE x) /\ (f --> x) sequentially)
% Assm: !net a. ((\x. a) --> a) net
% Assm: ~F <=> T
% Assm: T
% Assm: !s. closure s = s UNION {x | x limit_point_of s}
% Goal: !s l. l IN closure s <=> (?x. (!n. x n IN s) /\ (x --> l) sequentially)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(ci, type, i : ($o > $o)).
thf(csequentially, type, sequentially : netnum).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aLIMPTu_SEQUENTIAL, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((limitu_pointu_of @ X @ S) <=> ?[F:(num > cartrealn)]:(![N:num]:(in @ (F @ N) @ (delete @ S @ X)) & (m_m_g_ @ F @ X @ sequentially)))).
thf(aLIMu_CONST, axiom, ![NET:netnum,A:cartrealn]:(m_m_g_ @ ^[X:num]:A @ A @ NET)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aclosure, axiom, ![S:(cartrealn > $o)]:((closure @ S) = (union @ S @ (gspec @ ^[GENR_PVARR_467:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_467 @ (limitu_pointu_of @ X @ S) @ X))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),L:cartrealn]:((in @ L @ (closure @ S)) <=> ?[X:(num > cartrealn)]:(![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ L @ sequentially)))).
