%   ORIGINAL: CLOSED_SEQUENTIAL_LIMITS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_LIMPT: !s. closed s <=> (!x. x limit_point_of s ==> x IN s)
% Assm: CLOSURE_CLOSED: !s. closed s ==> closure s = s
% Assm: CLOSURE_SEQUENTIAL: !s l. l IN closure s <=> (?x. (!n. x n IN s) /\ (x --> l) sequentially)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: I_THM: !x. I x = x
% Assm: LIMPT_SEQUENTIAL: !x s. x limit_point_of s <=> (?f. (!n. f n IN s DELETE x) /\ (f --> x) sequentially)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. closed s <=> (!x l. (!n. x n IN s) /\ (x --> l) sequentially ==> l IN s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed s <=> (!x. x limit_point_of s ==> x IN s)
% Assm: !s. closed s ==> closure s = s
% Assm: !s l. l IN closure s <=> (?x. (!n. x n IN s) /\ (x --> l) sequentially)
% Assm: !t. (\x. t x) = t
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x. I x <=> x
% Assm: !x s. x limit_point_of s <=> (?f. (!n. f n IN s DELETE x) /\ (f --> x) sequentially)
% Assm: ~F <=> T
% Assm: T
% Goal: !s. closed s <=> (!x l. (!n. x n IN s) /\ (x --> l) sequentially ==> l IN s)
%  TYPES
thf(tnum, type, num : $tType).
thf(tq180210, type, q180210 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq180210, type, cartrealq180210 : $tType).
%  CONSTS
thf(cclosure, type, closure : ((cartrealq180210 > $o) > cartrealq180210 > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealq180210 > (cartrealq180210 > $o) > $o)).
thf(cin, type, in : (cartrealq180210 > (cartrealq180210 > $o) > $o)).
thf(cdelete, type, delete : ((cartrealq180210 > $o) > cartrealq180210 > cartrealq180210 > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealq180210) > cartrealq180210 > netnum > $o)).
thf(ci, type, i : ($o > $o)).
thf(cclosed, type, closed : ((cartrealq180210 > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_LIMPT, axiom, ![S:(cartrealq180210 > $o)]:((closed @ S) <=> ![X:cartrealq180210]:((limitu_pointu_of @ X @ S) => (in @ X @ S)))).
thf(aCLOSUREu_CLOSED, axiom, ![S:(cartrealq180210 > $o)]:((closed @ S) => ((closure @ S) = S))).
thf(aCLOSUREu_SEQUENTIAL, axiom, ![S:(cartrealq180210 > $o),L:cartrealq180210]:((in @ L @ (closure @ S)) <=> ?[X:(num > cartrealq180210)]:(![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ L @ sequentially)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_DELETE, axiom, ![S:(cartrealq180210 > $o),X:cartrealq180210,Y:cartrealq180210]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aLIMPTu_SEQUENTIAL, axiom, ![X:cartrealq180210,S:(cartrealq180210 > $o)]:((limitu_pointu_of @ X @ S) <=> ?[F:(num > cartrealq180210)]:(![N:num]:(in @ (F @ N) @ (delete @ S @ X)) & (m_m_g_ @ F @ X @ sequentially)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq180210 > $o)]:((closed @ S) <=> ![X:(num > cartrealq180210),L:cartrealq180210]:((![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ L @ sequentially)) => (in @ L @ S)))).
