%   ORIGINAL: CLOSURE_APPROACHABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_REFL: !x. dist (x,x) = &0
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: LIMPT_APPROACHABLE: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) < e))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: closure: !s. closure s = s UNION {x | x limit_point_of s}
% Goal: !x s. x IN closure s <=> (!e. &0 < e ==> (?y. y IN s /\ dist (y,x) < e))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. dist (x,x) = &0
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) < e))
% Assm: ~F <=> T
% Assm: T
% Assm: !s. closure s = s UNION {x | x limit_point_of s}
% Goal: !x s. x IN closure s <=> (!e. &0 < e ==> (?y. y IN s /\ dist (y,x) < e))
%  TYPES
thf(tq180230, type, q180230 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq180230cartrealq180230, type, prodcartrealq180230cartrealq180230 : $tType).
thf(tcartrealq180230, type, cartrealq180230 : $tType).
%  CONSTS
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealq180230 > (cartrealq180230 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq180230 > $o) > cartrealq180230 > $o)).
thf(cdistance, type, distance : (prodcartrealq180230cartrealq180230 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cclosure, type, closure : ((cartrealq180230 > $o) > cartrealq180230 > $o)).
thf(cin, type, in : (cartrealq180230 > (cartrealq180230 > $o) > $o)).
thf(cunion, type, union : ((cartrealq180230 > $o) > (cartrealq180230 > $o) > cartrealq180230 > $o)).
thf(csetspec, type, setspec : (cartrealq180230 > $o > cartrealq180230 > $o)).
thf(ccu_, type, c_ : (cartrealq180230 > cartrealq180230 > prodcartrealq180230cartrealq180230)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_REFL, axiom, ![X:cartrealq180230]:((distance @ (c_ @ X @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq180230 > $o),X:cartrealq180230]:((in @ X @ (gspec @ ^[V:cartrealq180230]:?[Y:cartrealq180230]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(cartrealq180230 > $o),T:(cartrealq180230 > $o),X:cartrealq180230]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aLIMPTu_APPROACHABLE, axiom, ![X:cartrealq180230,S:(cartrealq180230 > $o)]:((limitu_pointu_of @ X @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[XI_:cartrealq180230]:((in @ XI_ @ S) & ~ ((XI_ = X)) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ E))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aclosure, axiom, ![S:(cartrealq180230 > $o)]:((closure @ S) = (union @ S @ (gspec @ ^[GENR_PVARR_467:cartrealq180230]:?[X:cartrealq180230]:(setspec @ GENR_PVARR_467 @ (limitu_pointu_of @ X @ S) @ X))))).
thf(conjecture, conjecture, ![X:cartrealq180230,S:(cartrealq180230 > $o)]:((in @ X @ (closure @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[Y:cartrealq180230]:((in @ Y @ S) & (realu_lt @ (distance @ (c_ @ Y @ X)) @ E))))).
