%   ORIGINAL: SEQ_HARMONIC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LIM_SEQUENTIALLY: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_INV: !x. abs (inv x) = inv (abs x)
% Assm: REAL_ABS_NUM: !n. abs (&n) = &n
% Assm: REAL_ARCH_INV: !e. &0 < e <=> (?n. ~(n = 0) /\ &0 < inv (&n) /\ inv (&n) < e)
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LE_INV2: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: TRUTH: T
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: ((\n. lift (inv (&n))) --> vec 0) sequentially
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !x. norm (lift x) = abs x
% Assm: ~F <=> T
% Assm: !x. abs (inv x) = inv (abs x)
% Assm: !n. abs (&n) = &n
% Assm: !e. &0 < e <=> (?n. ~(n = 0) /\ &0 < inv (&n) /\ inv (&n) < e)
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: T
% Assm: !x. x - vec 0 = x
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: ((\n. lift (inv (&n))) --> vec 0) sequentially
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq98293 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq98293cartrealq98293 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_0, type, c_0 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn1) > cartrealn1 > netnum > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLIMu_SEQUENTIALLY, axiom, ![S:(num > cartrealn1),L:cartrealn1]:((m_m_g_ @ S @ L @ sequentially) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (distance @ (c_ @ (S @ N0) @ L)) @ E))))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm @ (lift @ X)) = (realu_abs @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_INV, axiom, ![X:real]:((realu_abs @ (realu_inv @ X)) = (realu_inv @ (realu_abs @ X)))).
thf(aREALu_ABSu_NUM, axiom, ![N:num]:((realu_abs @ (realu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aREALu_ARCHu_INV, axiom, ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) <=> ?[N:num]:(~ ((N = (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ (realu_ofu_num @ N))) & (realu_lt @ (realu_inv @ (realu_ofu_num @ N)) @ E)))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LEu_INV2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (realu_inv @ Y) @ (realu_inv @ X)))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealn1]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance0 @ (c_0 @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub0 @ X @ Y)))).
thf(conjecture, conjecture, (m_m_g_ @ ^[N:num]:(lift @ (realu_inv @ (realu_ofu_num @ N))) @ (vec @ (numeral @ u_0)) @ sequentially)).
