%   ORIGINAL: CLOSED_CBALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_SEQUENTIAL_LIMITS: !s. closed s <=> (!x l. (!n. x n IN s) /\ (x --> l) sequentially ==> l IN s)
% Assm: EVENTUALLY_SEQUENTIALLY: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: IN_CBALL: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: LIM_CONST: !net a. ((\x. a) --> a) net
% Assm: LIM_NORM_UBOUND: !net f l b. ~trivial_limit net /\ (f --> l) net /\ eventually (\x. norm (f x) <= b) net ==> norm l <= b
% Assm: LIM_SUB: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRIVIAL_LIMIT_SEQUENTIALLY: ~trivial_limit sequentially
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !x e. closed (cball (x,e))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed s <=> (!x l. (!n. x n IN s) /\ (x --> l) sequentially ==> l IN s)
% Assm: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: !net a. ((\x. a) --> a) net
% Assm: !net f l b. ~trivial_limit net /\ (f --> l) net /\ eventually (\x. norm (f x) <= b) net ==> norm l <= b
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: ~F <=> T
% Assm: ~trivial_limit sequentially
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !x e. closed (cball (x,e))
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tnetq176172, type, netq176172 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tq176624, type, q176624 : $tType).
thf(tneta, type, neta : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq176624, type, cartrealq176624 : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tq176172, type, q176172 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq98293 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq98293cartrealq98293 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(ceventually0, type, eventually0 : ((a > $o) > neta > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ceventually, type, eventually : ((num > $o) > netnum > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_1, type, c_1 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq176624 > cartrealq176624 > cartrealq176624)).
thf(cmu_mu_gu_2, type, m_m_g_2 : ((a > cartrealq176624) > cartrealq176624 > neta > $o)).
thf(cmu_mu_gu_1, type, m_m_g_1 : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((q176172 > cartrealn) > cartrealn > netq176172 > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(ctrivialuu_limit0, type, trivialu_limit0 : (netnum > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (neta > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_SEQUENTIALu_LIMITS, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> ![X:(num > cartrealn),L:cartrealn]:((![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ L @ sequentially)) => (in @ L @ S)))).
thf(aEVENTUALLYu_SEQUENTIALLY, axiom, ![P:(num > $o)]:((eventually @ P @ sequentially) <=> ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (P @ N0)))).
thf(aINu_CBALL, axiom, ![X:cartrealn,Y:cartrealn,E:real]:((in @ Y @ (cball @ (c_ @ X @ E))) <=> (realu_le @ (distance @ (c_0 @ X @ Y)) @ E))).
thf(aLIMu_CONST, axiom, ![NET:netq176172,A:cartrealn]:(m_m_g_0 @ ^[X:q176172]:A @ A @ NET)).
thf(aLIMu_NORMu_UBOUND, axiom, ![NET:neta,F:(a > cartrealn),L:cartrealn,B:real]:((~ ((trivialu_limit @ NET)) & (m_m_g_1 @ F @ L @ NET) & (eventually0 @ ^[X:a]:(realu_le @ (vectoru_norm @ (F @ X)) @ B) @ NET)) => (realu_le @ (vectoru_norm @ L) @ B))).
thf(aLIMu_SUB, axiom, ![NET:neta,F:(a > cartrealq176624),G:(a > cartrealq176624),L:cartrealq176624,M:cartrealq176624]:(((m_m_g_2 @ F @ L @ NET) & (m_m_g_2 @ G @ M @ NET)) => (m_m_g_2 @ ^[X:a]:(vectoru_sub @ (F @ X) @ (G @ X)) @ (vectoru_sub @ L @ M) @ NET))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRIVIALu_LIMITu_SEQUENTIALLY, axiom, ~ ((trivialu_limit0 @ sequentially))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance0 @ (c_1 @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub0 @ X @ Y)))).
thf(conjecture, conjecture, ![X:cartrealn,E:real]:(closed @ (cball @ (c_ @ X @ E)))).
