%   ORIGINAL: EVENTUALLY_WITHIN_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVENTUALLY_AT: !a p. eventually p (at a) <=> (?d. &0 < d /\ (!x. &0 < dist (x,a) /\ dist (x,a) < d ==> p x))
% Assm: EVENTUALLY_WITHIN: !s a p. eventually p (at a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) < d ==> p x))
% Assm: IN_BALL: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: IN_INTERIOR: !x s. x IN interior s <=> (?e. &0 < e /\ ball (x,e) SUBSET s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !p s x. x IN interior s ==> (eventually p (at x within s) <=> eventually p (at x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !a p. eventually p (at a) <=> (?d. &0 < d /\ (!x. &0 < dist (x,a) /\ dist (x,a) < d ==> p x))
% Assm: !s a p. eventually p (at a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) < d ==> p x))
% Assm: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: !x s. x IN interior s <=> (?e. &0 < e /\ ball (x,e) SUBSET s)
% Assm: ~F <=> T
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !p s x. x IN interior s ==> (eventually p (at x within s) <=> eventually p (at x))
%  TYPES
thf(tcartrealq181513, type, cartrealq181513 : $tType).
thf(tprodcartrealq102240cartrealq102240, type, prodcartrealq102240cartrealq102240 : $tType).
thf(tprodcartrealq181513cartrealq181513, type, prodcartrealq181513cartrealq181513 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq181513real, type, prodcartrealq181513real : $tType).
thf(tq181513, type, q181513 : $tType).
thf(treal, type, real : $tType).
thf(tq102240, type, q102240 : $tType).
thf(tcartrealq102240, type, cartrealq102240 : $tType).
thf(tnetcartrealq181513, type, netcartrealq181513 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq181513 > netcartrealq181513)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(csubset, type, subset : ((cartrealq181513 > $o) > (cartrealq181513 > $o) > $o)).
thf(cball, type, ball : (prodcartrealq181513real > cartrealq181513 > $o)).
thf(cdistance0, type, distance0 : (prodcartrealq181513cartrealq181513 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealq102240cartrealq102240 > real)).
thf(ceventually, type, eventually : ((cartrealq181513 > $o) > netcartrealq181513 > $o)).
thf(cinterior, type, interior : ((cartrealq181513 > $o) > cartrealq181513 > $o)).
thf(cin, type, in : (cartrealq181513 > (cartrealq181513 > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealq181513 > real > prodcartrealq181513real)).
thf(ccu_0, type, c_0 : (cartrealq181513 > cartrealq181513 > prodcartrealq181513cartrealq181513)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq102240 > cartrealq102240 > prodcartrealq102240cartrealq102240)).
thf(cwithin, type, within : (netcartrealq181513 > (cartrealq181513 > $o) > netcartrealq181513)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_SYM, axiom, ![X:cartrealq102240,Y:cartrealq102240]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEVENTUALLYu_AT, axiom, ![A:cartrealq181513,P:(cartrealq181513 > $o)]:((eventually @ P @ (at @ A)) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealq181513]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance0 @ (c_0 @ X @ A))) & (realu_lt @ (distance0 @ (c_0 @ X @ A)) @ D)) => (P @ X))))).
thf(aEVENTUALLYu_WITHIN, axiom, ![S:(cartrealq181513 > $o),A:cartrealq181513,P:(cartrealq181513 > $o)]:((eventually @ P @ (within @ (at @ A) @ S)) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealq181513]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance0 @ (c_0 @ X @ A))) & (realu_lt @ (distance0 @ (c_0 @ X @ A)) @ D)) => (P @ X))))).
thf(aINu_BALL, axiom, ![X:cartrealq181513,Y:cartrealq181513,E:real]:((in @ Y @ (ball @ (c_1 @ X @ E))) <=> (realu_lt @ (distance0 @ (c_0 @ X @ Y)) @ E))).
thf(aINu_INTERIOR, axiom, ![X:cartrealq181513,S:(cartrealq181513 > $o)]:((in @ X @ (interior @ S)) <=> ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (ball @ (c_1 @ X @ E)) @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aSUBSET, axiom, ![S:(cartrealq181513 > $o),T:(cartrealq181513 > $o)]:((subset @ S @ T) <=> ![X:cartrealq181513]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealq181513 > $o),S:(cartrealq181513 > $o),X:cartrealq181513]:((in @ X @ (interior @ S)) => ((eventually @ P @ (within @ (at @ X) @ S)) <=> (eventually @ P @ (at @ X))))).
