%   ORIGINAL: NETLIMIT_WITHIN_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_CBALL: !x e. x IN cball (x,e) <=> &0 <= e
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: LIMPT_BALL: !x y e. y limit_point_of ball (x,e) <=> &0 < e /\ y IN cball (x,e)
% Assm: LIMPT_SUBSET: !x s t. x limit_point_of s /\ s SUBSET t ==> x limit_point_of t
% Assm: NETLIMIT_WITHIN: !a s. ~trivial_limit (at a within s) ==> netlimit (at a within s) = a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_CONTAINS_BALL: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: OPEN_INTERIOR: !s. open (interior s)
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRIVIAL_LIMIT_WITHIN: !a. trivial_limit (at a within s) <=> ~(a limit_point_of s)
% Assm: TRUTH: T
% Goal: !s x. x IN interior s ==> netlimit (at x within s) = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN cball (x,e) <=> &0 <= e
% Assm: !s. interior s SUBSET s
% Assm: !x y e. y limit_point_of ball (x,e) <=> &0 < e /\ y IN cball (x,e)
% Assm: !x s t. x limit_point_of s /\ s SUBSET t ==> x limit_point_of t
% Assm: !a s. ~trivial_limit (at a within s) ==> netlimit (at a within s) = a
% Assm: ~F <=> T
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: !s. open (interior s)
% Assm: !x y. x < y ==> x <= y
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: !s a. trivial_limit (at a within s) <=> ~(a limit_point_of s)
% Assm: T
% Goal: !s x. x IN interior s ==> netlimit (at x within s) = x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq171362, type, cartrealq171362 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
thf(tq171362, type, q171362 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealq171362 > $o) > (cartrealq171362 > $o) > $o)).
thf(climituu_pointuu_of0, type, limitu_pointu_of0 : (cartrealq171362 > (cartrealq171362 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cwithin, type, within : (netcartrealn > (cartrealn > $o) > netcartrealn)).
thf(ctrivialuu_limit, type, trivialu_limit : (netcartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cnetlimit, type, netlimit : (netcartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_CBALL, axiom, ![X:cartrealn,E:real]:((in @ X @ (cball @ (c_ @ X @ E))) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ (interior @ S) @ S)).
thf(aLIMPTu_BALL, axiom, ![X:cartrealn,Y:cartrealn,E:real]:((limitu_pointu_of @ Y @ (ball @ (c_ @ X @ E))) <=> ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (in @ Y @ (cball @ (c_ @ X @ E)))))).
thf(aLIMPTu_SUBSET, axiom, ![X:cartrealq171362,S:(cartrealq171362 > $o),T:(cartrealq171362 > $o)]:(((limitu_pointu_of0 @ X @ S) & (subset0 @ S @ T)) => (limitu_pointu_of0 @ X @ T))).
thf(aNETLIMITu_WITHIN, axiom, ![A:cartrealn,S:(cartrealn > $o)]:(~ ((trivialu_limit @ (within @ (at @ A) @ S))) => ((netlimit @ (within @ (at @ A) @ S)) = A))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_CONTAINSu_BALL, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> ![X:cartrealn]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (ball @ (c_ @ X @ E)) @ S))))).
thf(aOPENu_INTERIOR, axiom, ![S:(cartrealn > $o)]:(open @ (interior @ S))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset1 @ S @ T) & (subset1 @ T @ U)) => (subset1 @ S @ U))).
thf(aTRIVIALu_LIMITu_WITHIN, axiom, ![S:(cartrealn > $o),A:cartrealn]:((trivialu_limit @ (within @ (at @ A) @ S)) <=> ~ ((limitu_pointu_of @ A @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ (interior @ S)) => ((netlimit @ (within @ (at @ X) @ S)) = X))).
