%   ORIGINAL: BOUNDED_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: bounded: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s t. bounded t /\ s SUBSET t ==> bounded s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s t. bounded t /\ s SUBSET t ==> bounded s
%  TYPES
thf(tq181630, type, q181630 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq181630, type, cartrealq181630 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq181630 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq181630 > (cartrealq181630 > $o) > $o)).
thf(csubset, type, subset : ((cartrealq181630 > $o) > (cartrealq181630 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq181630 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq181630 > $o),T:(cartrealq181630 > $o)]:((subset @ S @ T) <=> ![X:cartrealq181630]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(abounded, axiom, ![S:(cartrealq181630 > $o)]:((bounded @ S) <=> ?[A:real]:![X:cartrealq181630]:((in @ X @ S) => (realu_le @ (vectoru_norm @ X) @ A)))).
thf(conjecture, conjecture, ![S:(cartrealq181630 > $o),T:(cartrealq181630 > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
