%   ORIGINAL: BOUNDED_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_SEQUENTIAL: !s l. l IN closure s <=> (?x. (!n. x n IN s) /\ (x --> l) sequentially)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LIM_NORM_UBOUND: !net f l b. ~trivial_limit net /\ (f --> l) net /\ eventually (\x. norm (f x) <= b) net ==> norm l <= b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRIVIAL_LIMIT_SEQUENTIALLY: ~trivial_limit sequentially
% Assm: TRUTH: T
% Assm: bounded: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Assm: eventually: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Assm: trivial_limit: !net. trivial_limit net <=> (!a b. a = b) \/ (?a b. ~(a = b) /\ (!x. ~netord net x a /\ ~netord net x b))
% Goal: !s. bounded s ==> bounded (closure s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s l. l IN closure s <=> (?x. (!n. x n IN s) /\ (x --> l) sequentially)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !net f l b. ~trivial_limit net /\ (f --> l) net /\ eventually (\x. norm (f x) <= b) net ==> norm l <= b
% Assm: ~F <=> T
% Assm: ~trivial_limit sequentially
% Assm: T
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Assm: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Assm: !net. trivial_limit net <=> (!a b. a = b) \/ (?a b. ~(a = b) /\ (!x. ~netord net x a /\ ~netord net x b))
% Goal: !s. bounded s ==> bounded (closure s)
%  TYPES
thf(tq174576, type, q174576 : $tType).
thf(tneta, type, neta : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tnetq174576, type, netq174576 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ceventually0, type, eventually0 : ((q174576 > $o) > netq174576 > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cnetord0, type, netord0 : (neta > a > a > $o)).
thf(cnetord, type, netord : (netq174576 > q174576 > q174576 > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(ctrivialuu_limit1, type, trivialu_limit1 : (netq174576 > $o)).
thf(ctrivialuu_limit0, type, trivialu_limit0 : (netnum > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (neta > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_SEQUENTIAL, axiom, ![S:(cartrealn > $o),L:cartrealn]:((in @ L @ (closure @ S)) <=> ?[X:(num > cartrealn)]:(![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ L @ sequentially)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLIMu_NORMu_UBOUND, axiom, ![NET:neta,F:(a > cartrealn),L:cartrealn,B:real]:((~ ((trivialu_limit @ NET)) & (m_m_g_0 @ F @ L @ NET) & (eventually @ ^[X:a]:(realu_le @ (vectoru_norm @ (F @ X)) @ B) @ NET)) => (realu_le @ (vectoru_norm @ L) @ B))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRIVIALu_LIMITu_SEQUENTIALLY, axiom, ~ ((trivialu_limit0 @ sequentially))).
thf(aTRUTH, axiom, $true).
thf(abounded, axiom, ![S:(cartrealn > $o)]:((bounded @ S) <=> ?[A:real]:![X:cartrealn]:((in @ X @ S) => (realu_le @ (vectoru_norm @ X) @ A)))).
thf(aeventually, axiom, ![NET:netq174576,P:(q174576 > $o)]:((eventually0 @ P @ NET) <=> ((trivialu_limit1 @ NET) | ?[Y:q174576]:(?[X:q174576]:(netord @ NET @ X @ Y) & ![X:q174576]:((netord @ NET @ X @ Y) => (P @ X)))))).
thf(atrivialu_limit, axiom, ![NET:neta]:((trivialu_limit @ NET) <=> (![A:a,B:a]:(A = B) | ?[A:a,B:a]:(~ ((A = B)) & ![X:a]:(~ ((netord0 @ NET @ X @ A)) & ~ ((netord0 @ NET @ X @ B))))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((bounded @ S) => (bounded @ (closure @ S)))).
