%   ORIGINAL: BOUNDED_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_MAX: !x y z. z <= max x y <=> z <= x \/ z <= y
% Assm: TRUTH: T
% Assm: bounded: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s t. bounded (s UNION t) <=> bounded s /\ bounded t
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x y z. z <= max x y <=> z <= x \/ z <= y
% Assm: T
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s t. bounded (s UNION t) <=> bounded s /\ bounded t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq181787, type, q181787 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq181787, type, cartrealq181787 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq181787 > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq181787 > (cartrealq181787 > $o) > $o)).
thf(cunion, type, union : ((cartrealq181787 > $o) > (cartrealq181787 > $o) > cartrealq181787 > $o)).
thf(cbounded, type, bounded : ((cartrealq181787 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_UNION, axiom, ![S:(cartrealq181787 > $o),T:(cartrealq181787 > $o),X:cartrealq181787]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_MAX, axiom, ![X:real,Y:real,Z:real]:((realu_le @ Z @ (realu_max @ X @ Y)) <=> ((realu_le @ Z @ X) | (realu_le @ Z @ Y)))).
thf(aTRUTH, axiom, $true).
thf(abounded, axiom, ![S:(cartrealq181787 > $o)]:((bounded @ S) <=> ?[A:real]:![X:cartrealq181787]:((in @ X @ S) => (realu_le @ (vectoru_norm @ X) @ A)))).
thf(conjecture, conjecture, ![S:(cartrealq181787 > $o),T:(cartrealq181787 > $o)]:((bounded @ (union @ S @ T)) <=> ((bounded @ S) & (bounded @ T)))).
