%   ORIGINAL: BOUNDED_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_EMPTY: bounded {}
% Assm: BOUNDED_UNION: !s t. bounded (s UNION t) <=> bounded s /\ bounded t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f /\ (!s. s IN f ==> bounded s) ==> bounded (UNIONS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: bounded {}
% Assm: !s t. bounded (s UNION t) <=> bounded s /\ bounded t
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f /\ (!s. s IN f ==> bounded s) ==> bounded (UNIONS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq181809, type, cartrealq181809 : $tType).
thf(tq181809, type, q181809 : $tType).
%  CONSTS
thf(cunions, type, unions : (((cartrealq181809 > $o) > $o) > cartrealq181809 > $o)).
thf(cin, type, in : ((cartrealq181809 > $o) > ((cartrealq181809 > $o) > $o) > $o)).
thf(cinsert, type, insert : ((cartrealq181809 > $o) > ((cartrealq181809 > $o) > $o) > (cartrealq181809 > $o) > $o)).
thf(cunion, type, union : ((cartrealq181809 > $o) > (cartrealq181809 > $o) > cartrealq181809 > $o)).
thf(cempty0, type, empty0 : ((cartrealq181809 > $o) > $o)).
thf(cempty, type, empty : (cartrealq181809 > $o)).
thf(cbounded, type, bounded : ((cartrealq181809 > $o) > $o)).
thf(cfinite, type, finite : (((cartrealq181809 > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_EMPTY, axiom, (bounded @ empty)).
thf(aBOUNDEDu_UNION, axiom, ![S:(cartrealq181809 > $o),T:(cartrealq181809 > $o)]:((bounded @ (union @ S @ T)) <=> ((bounded @ S) & (bounded @ T)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealq181809 > $o) > $o) > $o)]:(((P @ empty0) & ![X:(cartrealq181809 > $o),S:((cartrealq181809 > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealq181809 > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:(cartrealq181809 > $o),Y:(cartrealq181809 > $o),S:((cartrealq181809 > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty0) = empty)).
thf(aUNIONSu_INSERT, axiom, ![S:(cartrealq181809 > $o),U:((cartrealq181809 > $o) > $o)]:((unions @ (insert @ S @ U)) = (union @ S @ (unions @ U)))).
thf(conjecture, conjecture, ![F:((cartrealq181809 > $o) > $o)]:(((finite @ F) & ![S:(cartrealq181809 > $o)]:((in @ S @ F) => (bounded @ S))) => (bounded @ (unions @ F)))).
