%   ORIGINAL: BOUNDED_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f. (?s. s IN f /\ bounded s) ==> bounded (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !P x. x IN P <=> P x
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f. (?s. s IN f /\ bounded s) ==> bounded (INTERS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin0, type, in0 : (((cartrealn > $o) > $o) > (((cartrealn > $o) > $o) > $o) > $o)).
thf(cinters0, type, inters0 : ((((cartrealn > $o) > $o) > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTERS, axiom, ![S:(((cartrealn > $o) > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (inters0 @ S)) <=> ![T:((cartrealn > $o) > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((subset0 @ S @ T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(?[S:(cartrealn > $o)]:((in @ S @ F) & (bounded @ S)) => (bounded @ (inters @ F)))).
