%   ORIGINAL: BOUNDED_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_POS: !s. bounded s <=> (?b. &0 < b /\ (!x. x IN s ==> norm x <= b))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: LINEAR_BOUNDED_POS: !f. linear f ==> (?B. &0 < B /\ (!x. norm (f x) <= B * norm x))
% Assm: REAL_LE_LMUL_EQ: !x y z. &0 < z ==> (z * x <= z * y <=> x <= y)
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: TRUTH: T
% Goal: !f s. bounded s /\ linear f ==> bounded (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s <=> (?b. &0 < b /\ (!x. x IN s ==> norm x <= b))
% Assm: !s. bounded s <=> (?b. &0 < b /\ (!x. x IN s ==> norm x <= b))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f. linear f ==> (?B. &0 < B /\ (!x. norm (f x) <= B * norm x))
% Assm: !x y z. &0 < z ==> (z * x <= z * y <=> x <= y)
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: T
% Goal: !f s. bounded s /\ linear f ==> bounded (IMAGE f s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cbounded, type, bounded : ((cartrealm > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_POSu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((bounded0 @ S) <=> ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (vectoru_norm @ X) @ B))))).
thf(aBOUNDEDu_POSu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((bounded @ S) <=> ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealm]:((in0 @ X @ S) => (realu_le @ (vectoru_norm0 @ X) @ B))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealm]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aLINEARu_BOUNDEDu_POS, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealm]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm0 @ X)))))).
thf(aREALu_LEu_LMULu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_mul @ Z @ X) @ (realu_mul @ Z @ Y)) <=> (realu_le @ X @ Y)))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((bounded @ S) & (linear @ F)) => (bounded0 @ (image @ F @ S)))).
