%   ORIGINAL: BOUNDED_NEGATIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_SCALING: !c s. bounded s ==> bounded (IMAGE (\x. c % x) s)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VECTOR_MUL_LNEG: --c % x = --(c % x)
% Assm: bounded: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s. bounded s ==> bounded (IMAGE (--) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c s. bounded s ==> bounded (IMAGE (\x. c % x) s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: T
% Assm: !x. &1 % x = x
% Assm: !c x. --c % x = --(c % x)
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s. bounded s ==> bounded (IMAGE (--) s)
%  TYPES
thf(tcartrealq182254, type, cartrealq182254 : $tType).
thf(tq182254, type, q182254 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq97340, type, q97340 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq97340, type, cartrealq97340 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq182254 > cartrealq182254)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq182254 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq182254 > (cartrealq182254 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_0, type, r_0 : (real > cartrealq97340 > cartrealq97340)).
thf(cru_, type, r_ : (real > cartrealq182254 > cartrealq182254)).
thf(cimage, type, image : ((cartrealq182254 > cartrealq182254) > (cartrealq182254 > $o) > cartrealq182254 > $o)).
thf(cbounded, type, bounded : ((cartrealq182254 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_SCALING, axiom, ![C:real,S:(cartrealq182254 > $o)]:((bounded @ S) => (bounded @ (image @ ^[X:cartrealq182254]:(r_ @ C @ X) @ S)))).
thf(aINu_IMAGE, axiom, ![Y:cartrealq182254,S:(cartrealq182254 > $o),F:(cartrealq182254 > cartrealq182254)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealq182254]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq97340]:((r_0 @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECTORu_MULu_LNEG, axiom, ![C:real,X:cartrealq182254]:((r_ @ (realu_neg @ C) @ X) = (vectoru_neg @ (r_ @ C @ X)))).
thf(abounded, axiom, ![S:(cartrealq182254 > $o)]:((bounded @ S) <=> ?[A:real]:![X:cartrealq182254]:((in @ X @ S) => (realu_le @ (vectoru_norm @ X) @ A)))).
thf(conjecture, conjecture, ![S:(cartrealq182254 > $o)]:((bounded @ S) => (bounded @ (image @ vectoru_neg @ S)))).
