%   ORIGINAL: BOUNDED_SUMS_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: BOUNDED_SUMS: !s t. bounded s /\ bounded t ==> bounded {x + y | x IN s /\ y IN t}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f g t. bounded {f x | x IN t} /\ bounded {g x | x IN t} ==> bounded {f x + g x | x IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !s t. bounded s /\ bounded t ==> bounded {x + y | x IN s /\ y IN t}
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f g t. bounded {f x | x IN t} /\ bounded {g x | x IN t} ==> bounded {f x + g x | x IN t}
%  TYPES
thf(ta, type, a : $tType).
thf(tq182632, type, q182632 : $tType).
thf(tb, type, b : $tType).
thf(tq182635, type, q182635 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq182635, type, cartrealq182635 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((q182632 > $o) > (q182632 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q182632 > $o) > q182632 > $o)).
thf(cin0, type, in0 : (cartrealq182635 > (cartrealq182635 > $o) > $o)).
thf(csubset, type, subset : ((cartrealq182635 > $o) > (cartrealq182635 > $o) > $o)).
thf(cin, type, in : (q182632 > (q182632 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq182635 > $o) > cartrealq182635 > $o)).
thf(csetspec0, type, setspec0 : (q182632 > $o > q182632 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq182635 > cartrealq182635 > cartrealq182635)).
thf(csetspec, type, setspec : (cartrealq182635 > $o > cartrealq182635 > $o)).
thf(cbounded, type, bounded : ((cartrealq182635 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealq182635 > $o),T:(cartrealq182635 > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aBOUNDEDu_SUMS, axiom, ![S:(cartrealq182635 > $o),T:(cartrealq182635 > $o)]:(((bounded @ S) & (bounded @ T)) => (bounded @ (gspec @ ^[GENR_PVARR_478:cartrealq182635]:?[X:cartrealq182635,Y:cartrealq182635]:(setspec @ GENR_PVARR_478 @ ((in0 @ X @ S) & (in0 @ Y @ T)) @ (vectoru_add @ X @ Y)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(q182632 > $o),X:q182632]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q182632 > $o) > $o),X:q182632]:((in @ X @ (gspec0 @ ^[V:q182632]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:q182632]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(q182632 > $o),T:(q182632 > $o)]:((subset0 @ S @ T) <=> ![X:q182632]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q182632 > cartrealq182635),G:(q182632 > cartrealq182635),T:(q182632 > $o)]:(((bounded @ (gspec @ ^[GENR_PVARR_479:cartrealq182635]:?[X:q182632]:(setspec @ GENR_PVARR_479 @ (in @ X @ T) @ (F @ X)))) & (bounded @ (gspec @ ^[GENR_PVARR_480:cartrealq182635]:?[X:q182632]:(setspec @ GENR_PVARR_480 @ (in @ X @ T) @ (G @ X))))) => (bounded @ (gspec @ ^[GENR_PVARR_481:cartrealq182635]:?[X:q182632]:(setspec @ GENR_PVARR_481 @ (in @ X @ T) @ (vectoru_add @ (F @ X) @ (G @ X))))))).
