%   ORIGINAL: BOUNDED_SUBSET_CBALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BALL_SUBSET_CBALL: !x e. ball (x,e) SUBSET cball (x,e)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_SUBSET_BALL: !s x. bounded s ==> (?r. &0 < r /\ s SUBSET ball (x,r))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !s x. bounded s ==> (?r. &0 < r /\ s SUBSET cball (x,r))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !x e. ball (x,e) SUBSET cball (x,e)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. bounded s ==> (?r. &0 < r /\ s SUBSET ball (x,r))
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !s x. bounded s ==> (?r. &0 < r /\ s SUBSET cball (x,r))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBALLu_SUBSETu_CBALL, axiom, ![X:cartrealn,E:real]:(subset @ (ball @ (c_ @ X @ E)) @ (cball @ (c_ @ X @ E)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_SUBSETu_BALL, axiom, ![S:(cartrealn > $o),X:cartrealn]:((bounded @ S) => ?[R:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (subset @ S @ (ball @ (c_ @ X @ R)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:((bounded @ S) => ?[R:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (subset @ S @ (cball @ (c_ @ X @ R)))))).
