%   ORIGINAL: BOUNDED_LIFT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FORALL_LIFT: (!x. P x) <=> (!x. P (lift x))
% Assm: LIFT_IN_IMAGE_LIFT: !x s. lift x IN IMAGE lift s <=> x IN s
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: TRUTH: T
% Assm: bounded: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s. bounded (IMAGE lift s) <=> (?a. !x. x IN s ==> abs x <= a)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (!x. P x) <=> (!x. P (lift x))
% Assm: !x s. lift x IN IMAGE lift s <=> x IN s
% Assm: !x. norm (lift x) = abs x
% Assm: T
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s. bounded (IMAGE lift s) <=> (?a. !x. x IN s ==> abs x <= a)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cbounded, type, bounded : ((cartrealn1 > $o) > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFORALLu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(![X:cartrealn1]:(P @ X) <=> ![X:real]:(P @ (lift @ X)))).
thf(aLIFTu_INu_IMAGEu_LIFT, axiom, ![X:real,S:(real > $o)]:((in0 @ (lift @ X) @ (image @ lift @ S)) <=> (in @ X @ S))).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm @ (lift @ X)) = (realu_abs @ X))).
thf(aTRUTH, axiom, $true).
thf(abounded, axiom, ![S:(cartrealn1 > $o)]:((bounded @ S) <=> ?[A:real]:![X:cartrealn1]:((in0 @ X @ S) => (realu_le @ (vectoru_norm @ X) @ A)))).
thf(conjecture, conjecture, ![S:(real > $o)]:((bounded @ (image @ lift @ S)) <=> ?[A:real]:![X:real]:((in @ X @ S) => (realu_le @ (realu_abs @ X) @ A)))).
