%   ORIGINAL: SUP_INSERT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_HAS_SUP: !s. bounded (IMAGE lift s) /\ ~(s = {}) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_MAX: !x y z. z <= max x y <=> z <= x \/ z <= y
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LT_MAX: !x y z. z < max x y <=> z < x \/ z < y
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: REAL_SUP_UNIQUE: !s b. (!x. x IN s ==> x <= b) /\ (!b'. b' < b ==> (?x. x IN s /\ b' < x)) ==> sup s = b
% Assm: TRUTH: T
% Goal: !x s. bounded (IMAGE lift s) ==> sup (x INSERT s) = (if s = {} then x else max x (sup s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded (IMAGE lift s) /\ ~(s = {}) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !x y z. z <= max x y <=> z <= x \/ z <= y
% Assm: !x. x <= x
% Assm: !x y z. z < max x y <=> z < x \/ z < y
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !s b. (!x. x IN s ==> x <= b) /\ (!b'. b' < b ==> (?x. x IN s /\ b' < x)) ==> sup s = b
% Assm: T
% Goal: !x s. bounded (IMAGE lift s) ==> sup (x INSERT s) = (if s = {} then x else max x (sup s))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(csup, type, sup : ((real > $o) > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cbounded, type, bounded : ((cartrealn1 > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_HASu_SUP, axiom, ![S:(real > $o)]:(((bounded @ (image @ lift @ S)) & ~ ((S = empty))) => (![X:real]:((in @ X @ S) => (realu_le @ X @ (sup @ S))) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ X @ B)) => (realu_le @ (sup @ S) @ B))))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aINu_INSERT, axiom, ![X:real,Y:real,S:(real > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:real,Y:real]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_MAX, axiom, ![X:real,Y:real,Z:real]:((realu_le @ Z @ (realu_max @ X @ Y)) <=> ((realu_le @ Z @ X) | (realu_le @ Z @ Y)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LTu_MAX, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_max @ X @ Y)) <=> ((realu_lt @ Z @ X) | (realu_lt @ Z @ Y)))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUPu_UNIQUE, axiom, ![S:(real > $o),B:real]:((![X:real]:((in @ X @ S) => (realu_le @ X @ B)) & ![BI_:real]:((realu_lt @ BI_ @ B) => ?[X:real]:((in @ X @ S) & (realu_lt @ BI_ @ X)))) => ((sup @ S) = B))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,S:(real > $o)]:((bounded @ (image @ lift @ S)) => ((sup @ (insert @ X @ S)) = (cond @ (S = empty) @ X @ (realu_max @ X @ (sup @ S)))))).
