%   ORIGINAL: INF_INSERT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_HAS_INF: !s. bounded (IMAGE lift s) /\ ~(s = {}) ==> (!x. x IN s ==> inf s <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= inf s)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INF_UNIQUE: !s b. (!x. x IN s ==> b <= x) /\ (!b'. b < b' ==> (?x. x IN s /\ x < b')) ==> inf s = b
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_MIN_LE: !x y z. min x y <= z <=> x <= z \/ y <= z
% Assm: REAL_MIN_LT: !x y z. min x y < z <=> x < z \/ y < z
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: TRUTH: T
% Goal: !x s. bounded (IMAGE lift s) ==> inf (x INSERT s) = (if s = {} then x else min x (inf s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded (IMAGE lift s) /\ ~(s = {}) ==> (!x. x IN s ==> inf s <= x) /\ (!b. (!x. x IN s ==> b <= x) ==> b <= inf s)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !s b. (!x. x IN s ==> b <= x) /\ (!b'. b < b' ==> (?x. x IN s /\ x < b')) ==> inf s = b
% Assm: !x. x <= x
% Assm: !x y z. min x y <= z <=> x <= z \/ y <= z
% Assm: !x y z. min x y < z <=> x < z \/ y < z
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: T
% Goal: !x s. bounded (IMAGE lift s) ==> inf (x INSERT s) = (if s = {} then x else min x (inf s))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cinf, type, inf : ((real > $o) > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cbounded, type, bounded : ((cartrealn1 > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_HASu_INF, axiom, ![S:(real > $o)]:(((bounded @ (image @ lift @ S)) & ~ ((S = empty))) => (![X:real]:((in @ X @ S) => (realu_le @ (inf @ S) @ X)) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ B @ X)) => (realu_le @ B @ (inf @ S)))))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aINu_INSERT, axiom, ![X:real,Y:real,S:(real > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:real,Y:real]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INFu_UNIQUE, axiom, ![S:(real > $o),B:real]:((![X:real]:((in @ X @ S) => (realu_le @ B @ X)) & ![BI_:real]:((realu_lt @ B @ BI_) => ?[X:real]:((in @ X @ S) & (realu_lt @ X @ BI_)))) => ((inf @ S) = B))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_MINu_LE, axiom, ![X:real,Y:real,Z:real]:((realu_le @ (realu_min @ X @ Y) @ Z) <=> ((realu_le @ X @ Z) | (realu_le @ Y @ Z)))).
thf(aREALu_MINu_LT, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_min @ X @ Y) @ Z) <=> ((realu_lt @ X @ Z) | (realu_lt @ Y @ Z)))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,S:(real > $o)]:((bounded @ (image @ lift @ S)) => ((inf @ (insert @ X @ S)) = (cond @ (S = empty) @ X @ (realu_min @ X @ (inf @ S)))))).
