%   ORIGINAL: MONOTONE_SUBSEQUENCE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: LE_conjunct1: !m n. m <= SUC n <=> m = SUC n \/ m <= n
% Assm: LTE_TRANS: !m n p. m < n /\ n <= p ==> m < p
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: LT_LE: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: LT_TRANS: !m n p. m < n /\ n < p ==> m < p
% Assm: LT_conjunct0: !m. m < 0 <=> F
% Assm: LT_conjunct1: !m n. m < SUC n <=> m = n \/ m < n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_LT_REFL: !x. ~(x < x)
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: num_RECURSION: !e f. ?fn. fn 0 = e /\ (!n. fn (SUC n) = f (fn n) n)
% Goal: !s. ?r. (!m n. m < n ==> r m < r n) /\ ((!m n. m <= n ==> s (r m) <= s (r n)) \/ (!m n. m <= n ==> s (r n) <= s (r m)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m n. m <= SUC n <=> m = SUC n \/ m <= n
% Assm: !m n p. m < n /\ n <= p ==> m < p
% Assm: !m n. m < n ==> m <= n
% Assm: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: !m n p. m < n /\ n < p ==> m < p
% Assm: !m. m < 0 <=> F
% Assm: !m n. m < SUC n <=> m = n \/ m < n
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !x. ~(x < x)
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !e f. ?fn. fn 0 = e /\ (!n. fn (SUC n) = f (fn n) n)
% Goal: !s. ?r. (!m n. m < n ==> r m < r n) /\ ((!m n. m <= n ==> s (r m) <= s (r n)) \/ (!m n. m <= n ==> s (r n) <= s (r m)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aLEu_conjunct1, axiom, ![M:num,N:num]:((l_a_ @ M @ (suc @ N)) <=> ((M = (suc @ N)) | (l_a_ @ M @ N)))).
thf(aLTEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_a_ @ N @ P)) => (l_ @ M @ P))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aLTu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ((l_a_ @ M @ N) & ~ ((M = N))))).
thf(aLTu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_ @ N @ P)) => (l_ @ M @ P))).
thf(aLTu_conjunct0, axiom, ![M:num]:((l_ @ M @ (numeral @ u_0)) <=> $false)).
thf(aLTu_conjunct1, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> ((M = N) | (l_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_LTu_REFL, axiom, ![X:real]:~ ((realu_lt @ X @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(anumu_RECURSION, axiom, ![E:a,F:(a > num > a)]:?[FN:(num > a)]:(((FN @ (numeral @ u_0)) = E) & ![N:num]:((FN @ (suc @ N)) = (F @ (FN @ N) @ N)))).
thf(conjecture, conjecture, ![S:(num > real)]:?[R:(num > num)]:(![M:num,N:num]:((l_ @ M @ N) => (l_ @ (R @ M) @ (R @ N))) & (![M:num,N:num]:((l_a_ @ M @ N) => (realu_le @ (S @ (R @ M)) @ (S @ (R @ N)))) | ![M:num,N:num]:((l_a_ @ M @ N) => (realu_le @ (S @ (R @ N)) @ (S @ (R @ M))))))).
