%   ORIGINAL: COMPACT_REAL_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVERGENT_BOUNDED_MONOTONE: !s b. (!n. abs (s n) <= b) /\ ((!m n. m <= n ==> s m <= s n) \/ (!m n. m <= n ==> s n <= s m)) ==> (?l. !e. &0 < e ==> (?N. !n. N <= n ==> abs (s n - l) < e))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MONOTONE_SUBSEQUENCE: !s. ?r. (!m n. m < n ==> r m < r n) /\ ((!m n. m <= n ==> s (r m) <= s (r n)) \/ (!m n. m <= n ==> s (r n) <= s (r m)))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s b. (!n. abs (s n) <= b) ==> (?l r. (!m n. m < n ==> r m < r n) /\ (!e. &0 < e ==> (?N. !n. N <= n ==> abs (s (r n) - l) < e)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s b. (!n. abs (s n) <= b) /\ ((!m n. m <= n ==> s m <= s n) \/ (!m n. m <= n ==> s n <= s m)) ==> (?l. !e. &0 < e ==> (?N. !n. N <= n ==> abs (s n - l) < e))
% Assm: !t. (\x. t x) = t
% Assm: !s. ?r. (!m n. m < n ==> r m < r n) /\ ((!m n. m <= n ==> s (r m) <= s (r n)) \/ (!m n. m <= n ==> s (r n) <= s (r m)))
% Assm: ~F <=> T
% Assm: T
% Goal: !s b. (!n. abs (s n) <= b) ==> (?l r. (!m n. m < n ==> r m < r n) /\ (!e. &0 < e ==> (?N. !n. N <= n ==> abs (s (r n) - l) < e)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVERGENTu_BOUNDEDu_MONOTONE, axiom, ![S:(num > real),B:real]:((![N:num]:(realu_le @ (realu_abs @ (S @ N)) @ B) & (![M:num,N:num]:((l_a_ @ M @ N) => (realu_le @ (S @ M) @ (S @ N))) | ![M:num,N:num]:((l_a_ @ M @ N) => (realu_le @ (S @ N) @ (S @ M))))) => ?[L:real]:![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (realu_abs @ (realu_sub @ (S @ N0) @ L)) @ E))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMONOTONEu_SUBSEQUENCE, axiom, ![S:(num > real)]:?[R:(num > num)]:(![M:num,N:num]:((l_ @ M @ N) => (l_ @ (R @ M) @ (R @ N))) & (![M:num,N:num]:((l_a_ @ M @ N) => (realu_le @ (S @ (R @ M)) @ (S @ (R @ N)))) | ![M:num,N:num]:((l_a_ @ M @ N) => (realu_le @ (S @ (R @ N)) @ (S @ (R @ M))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > real),B:real]:(![N:num]:(realu_le @ (realu_abs @ (S @ N)) @ B) => ?[L:real,R:(num > num)]:(![M:num,N:num]:((l_ @ M @ N) => (l_ @ (R @ M) @ (R @ N))) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (realu_abs @ (realu_sub @ (S @ (R @ N0)) @ L)) @ E)))))).
