%   ORIGINAL: CAUCHY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_TRIANGLE_HALF_L: !x1 x2 y. dist (x1,y) < e / &2 /\ dist (x2,y) < e / &2 ==> dist (x1,x2) < e
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: LE_REFL: !n. n <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_HALF_conjunct0: !e. &0 < e / &2 <=> &0 < e
% Assm: TRUTH: T
% Assm: cauchy: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Goal: !s. cauchy s <=> (!e. &0 < e ==> (?N. !n. n >= N ==> dist (s n,s N) < e))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !e x1 x2 y. dist (x1,y) < e / &2 /\ dist (x2,y) < e / &2 ==> dist (x1,x2) < e
% Assm: !t. (\x. t x) = t
% Assm: !n m. m >= n <=> n <= m
% Assm: !n. n <= n
% Assm: ~F <=> T
% Assm: !e. &0 < e / &2 <=> &0 < e
% Assm: T
% Assm: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Goal: !s. cauchy s <=> (!e. &0 < e ==> (?N. !n. n >= N ==> dist (s n,s N) < e))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccauchy, type, cauchy : ((num > cartrealn) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_TRIANGLEu_HALFu_L, axiom, ![E:real,X1:cartrealn,X2:cartrealn,Y:cartrealn]:(((realu_lt @ (distance @ (c_ @ X1 @ Y)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & (realu_lt @ (distance @ (c_ @ X2 @ Y)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (realu_lt @ (distance @ (c_ @ X1 @ X2)) @ E))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_HALFu_conjunct0, axiom, ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aTRUTH, axiom, $true).
thf(acauchy, axiom, ![S:(num > cartrealn)]:((cauchy @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:(((g_a_ @ M @ N) & (g_a_ @ N0 @ N)) => (realu_lt @ (distance @ (c_ @ (S @ M) @ (S @ N0))) @ E))))).
thf(conjecture, conjecture, ![S:(num > cartrealn)]:((cauchy @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((g_a_ @ N0 @ N) => (realu_lt @ (distance @ (c_ @ (S @ N0) @ (S @ N))) @ E))))).
