%   ORIGINAL: CONVERGENT_IMP_CAUCHY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_TRIANGLE_HALF_L: !x1 x2 y. dist (x1,y) < e / &2 /\ dist (x2,y) < e / &2 ==> dist (x1,x2) < e
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: LE_REFL: !n. n <= n
% Assm: LIM_SEQUENTIALLY: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_DIV: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: TRUTH: T
% Assm: cauchy: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Goal: !s l. (s --> l) sequentially ==> cauchy s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !e x1 x2 y. dist (x1,y) < e / &2 /\ dist (x2,y) < e / &2 ==> dist (x1,x2) < e
% Assm: !t. (\x. t x) = t
% Assm: !n m. m >= n <=> n <= m
% Assm: !n. n <= n
% Assm: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: ~F <=> T
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: !m n. &m < &n <=> m < n
% Assm: T
% Assm: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Goal: !s l. (s --> l) sequentially ==> cauchy s
%  TYPES
thf(tprodcartrealq102571cartrealq102571, type, prodcartrealq102571cartrealq102571 : $tType).
thf(tnum, type, num : $tType).
thf(tprodcartrealq184614cartrealq184614, type, prodcartrealq184614cartrealq184614 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tq184614, type, q184614 : $tType).
thf(treal, type, real : $tType).
thf(tq102571, type, q102571 : $tType).
thf(tcartrealq102571, type, cartrealq102571 : $tType).
thf(tcartrealq184614, type, cartrealq184614 : $tType).
%  CONSTS
thf(cdistance0, type, distance0 : (prodcartrealq184614cartrealq184614 > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealq102571cartrealq102571 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ccu_0, type, c_0 : (cartrealq184614 > cartrealq184614 > prodcartrealq184614cartrealq184614)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq102571 > cartrealq102571 > prodcartrealq102571cartrealq102571)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealq184614) > cartrealq184614 > netnum > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealq184614) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_TRIANGLEu_HALFu_L, axiom, ![E:real,X1:cartrealq102571,X2:cartrealq102571,Y:cartrealq102571]:(((realu_lt @ (distance @ (c_ @ X1 @ Y)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & (realu_lt @ (distance @ (c_ @ X2 @ Y)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (realu_lt @ (distance @ (c_ @ X1 @ X2)) @ E))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLIMu_SEQUENTIALLY, axiom, ![S:(num > cartrealq184614),L:cartrealq184614]:((m_m_g_ @ S @ L @ sequentially) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (distance0 @ (c_0 @ (S @ N0) @ L)) @ E))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_DIV, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(acauchy, axiom, ![S:(num > cartrealq184614)]:((cauchy @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:(((g_a_ @ M @ N) & (g_a_ @ N0 @ N)) => (realu_lt @ (distance0 @ (c_0 @ (S @ M) @ (S @ N0))) @ E))))).
thf(conjecture, conjecture, ![S:(num > cartrealq184614),L:cartrealq184614]:((m_m_g_ @ S @ L @ sequentially) => (cauchy @ S))).
