%   ORIGINAL: COMPLETE_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_CLOSED_IMP_COMPACT: !s. bounded s /\ closed s ==> compact s
% Assm: BOUNDED_CLOSURE: !s. bounded s ==> bounded (closure s)
% Assm: CAUCHY_IMP_BOUNDED: !s. cauchy s ==> bounded {y | ?n. y = s n}
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: COMPACT_IMP_COMPLETE: !s. compact s ==> complete s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: closure: !s. closure s = s UNION {x | x limit_point_of s}
% Assm: complete: !s. complete s <=> (!f. (!n. f n IN s) /\ cauchy f ==> (?l. l IN s /\ (f --> l) sequentially))
% Goal: complete (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded s /\ closed s ==> compact s
% Assm: !s. bounded s ==> bounded (closure s)
% Assm: !s. cauchy s ==> bounded {y | ?n. y = s n}
% Assm: !s. closed (closure s)
% Assm: !s. compact s ==> complete s
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:real^N)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !s. closure s = s UNION {x | x limit_point_of s}
% Assm: !s. complete s <=> (!f. (!n. f n IN s) /\ cauchy f ==> (?l. l IN s /\ (f --> l) sequentially))
% Goal: complete (:real^N)
%  TYPES
thf(tcartrealq172496, type, cartrealq172496 : $tType).
thf(tq172496, type, q172496 : $tType).
thf(tnum, type, num : $tType).
thf(tq172577, type, q172577 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealq172577, type, cartrealq172577 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealq172496 > (cartrealq172496 > $o) > $o)).
thf(cgspec1, type, gspec1 : ((cartrealq172496 > $o) > cartrealq172496 > $o)).
thf(cclosure1, type, closure1 : ((cartrealq172496 > $o) > cartrealq172496 > $o)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cclosure0, type, closure0 : ((cartrealq172577 > $o) > cartrealq172577 > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(csetspec1, type, setspec1 : (cartrealq172496 > $o > cartrealq172496 > $o)).
thf(cunion0, type, union0 : ((cartrealq172496 > $o) > (cartrealq172496 > $o) > cartrealq172496 > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cclosed0, type, closed0 : ((cartrealq172577 > $o) > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealn) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(ccomplete, type, complete : ((cartrealn > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_CLOSEDu_IMPu_COMPACT, axiom, ![S:(cartrealn > $o)]:(((bounded @ S) & (closed @ S)) => (compact @ S))).
thf(aBOUNDEDu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (bounded @ (closure @ S)))).
thf(aCAUCHYu_IMPu_BOUNDED, axiom, ![S:(num > cartrealn)]:((cauchy @ S) => (bounded @ (gspec @ ^[GENR_PVARR_484:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_484 @ ?[N:num]:(Y = (S @ N)) @ Y))))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealq172577 > $o)]:(closed0 @ (closure0 @ S))).
thf(aCOMPACTu_IMPu_COMPLETE, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (complete @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in1 @ X @ univ)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aclosure, axiom, ![S:(cartrealq172496 > $o)]:((closure1 @ S) = (union0 @ S @ (gspec1 @ ^[GENR_PVARR_467:cartrealq172496]:?[X:cartrealq172496]:(setspec1 @ GENR_PVARR_467 @ (limitu_pointu_of @ X @ S) @ X))))).
thf(acomplete, axiom, ![S:(cartrealn > $o)]:((complete @ S) <=> ![F:(num > cartrealn)]:((![N:num]:(in1 @ (F @ N) @ S) & (cauchy @ F)) => ?[L:cartrealn]:((in1 @ L @ S) & (m_m_g_ @ F @ L @ sequentially))))).
thf(conjecture, conjecture, (complete @ univ)).
