%   ORIGINAL: COMPLETE_EQ_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_LIMPT: !s. closed s <=> (!x. x limit_point_of s ==> x IN s)
% Assm: CLOSED_SEQUENTIAL_LIMITS: !s. closed s <=> (!x l. (!n. x n IN s) /\ (x --> l) sequentially ==> l IN s)
% Assm: COMPLETE_UNIV: complete (:real^N)
% Assm: CONVERGENT_IMP_CAUCHY: !s l. (s --> l) sequentially ==> cauchy s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LIMPT_SEQUENTIAL: !x s. x limit_point_of s <=> (?f. (!n. f n IN s DELETE x) /\ (f --> x) sequentially)
% Assm: LIM_UNIQUE: !net f l l'. ~trivial_limit net /\ (f --> l) net /\ (f --> l') net ==> l = l'
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRIVIAL_LIMIT_SEQUENTIALLY: ~trivial_limit sequentially
% Assm: TRUTH: T
% Assm: complete: !s. complete s <=> (!f. (!n. f n IN s) /\ cauchy f ==> (?l. l IN s /\ (f --> l) sequentially))
% Goal: !s. complete s <=> closed s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed s <=> (!x. x limit_point_of s ==> x IN s)
% Assm: !s. closed s <=> (!x l. (!n. x n IN s) /\ (x --> l) sequentially ==> l IN s)
% Assm: complete (:real^N)
% Assm: !s l. (s --> l) sequentially ==> cauchy s
% Assm: !t. (\x. t x) = t
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x <=> y)
% Assm: !x. x IN (:A)
% Assm: !x. I x <=> x
% Assm: !x s. x limit_point_of s <=> (?f. (!n. f n IN s DELETE x) /\ (f --> x) sequentially)
% Assm: !net f l l'. ~trivial_limit net /\ (f --> l) net /\ (f --> l') net ==> l = l'
% Assm: ~F <=> T
% Assm: ~trivial_limit sequentially
% Assm: T
% Assm: !s. complete s <=> (!f. (!n. f n IN s) /\ cauchy f ==> (?l. l IN s /\ (f --> l) sequentially))
% Goal: !s. complete s <=> closed s
%  TYPES
thf(tneta, type, neta : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq184614, type, q184614 : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq184614, type, cartrealq184614 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : ($o > ($o > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cmu_mu_gu_1, type, m_m_g_1 : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cdelete0, type, delete0 : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cdelete, type, delete : (($o > $o) > $o > $o > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealq184614) > cartrealq184614 > netnum > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(ci, type, i : ($o > $o)).
thf(ctrivialuu_limit0, type, trivialu_limit0 : (netnum > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (neta > $o)).
thf(ccauchy0, type, cauchy0 : ((num > cartrealn) > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealq184614) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(ccomplete, type, complete : ((cartrealn > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuniv0, type, univ0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_LIMPT, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> ![X:cartrealn]:((limitu_pointu_of @ X @ S) => (in @ X @ S)))).
thf(aCLOSEDu_SEQUENTIALu_LIMITS, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> ![X:(num > cartrealn),L:cartrealn]:((![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ L @ sequentially)) => (in @ L @ S)))).
thf(aCOMPLETEu_UNIV, axiom, (complete @ univ)).
thf(aCONVERGENTu_IMPu_CAUCHY, axiom, ![S:(num > cartrealq184614),L:cartrealq184614]:((m_m_g_0 @ S @ L @ sequentially) => (cauchy @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_DELETE, axiom, ![S:($o > $o),X:$o,Y:$o]:((in0 @ X @ (delete @ S @ Y)) <=> ((in0 @ X @ S) & ~ ((X <=> Y))))).
thf(aINu_UNIV, axiom, ![X:a]:(in1 @ X @ univ0)).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aLIMPTu_SEQUENTIAL, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((limitu_pointu_of @ X @ S) <=> ?[F:(num > cartrealn)]:(![N:num]:(in @ (F @ N) @ (delete0 @ S @ X)) & (m_m_g_ @ F @ X @ sequentially)))).
thf(aLIMu_UNIQUE, axiom, ![NET:neta,F:(a > cartrealn),L:cartrealn,LI_:cartrealn]:((~ ((trivialu_limit @ NET)) & (m_m_g_1 @ F @ L @ NET) & (m_m_g_1 @ F @ LI_ @ NET)) => (L = LI_))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRIVIALu_LIMITu_SEQUENTIALLY, axiom, ~ ((trivialu_limit0 @ sequentially))).
thf(aTRUTH, axiom, $true).
thf(acomplete, axiom, ![S:(cartrealn > $o)]:((complete @ S) <=> ![F:(num > cartrealn)]:((![N:num]:(in @ (F @ N) @ S) & (cauchy0 @ F)) => ?[L:cartrealn]:((in @ L @ S) & (m_m_g_ @ F @ L @ sequentially))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((complete @ S) <=> (closed @ S))).
