%   ORIGINAL: CONVERGENT_EQ_CAUCHY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLETE_UNIV: complete (:real^N)
% Assm: CONVERGENT_IMP_CAUCHY: !s l. (s --> l) sequentially ==> cauchy s
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Assm: complete: !s. complete s <=> (!f. (!n. f n IN s) /\ cauchy f ==> (?l. l IN s /\ (f --> l) sequentially))
% Goal: !s. (?l. (s --> l) sequentially) <=> cauchy s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: complete (:real^N)
% Assm: !s l. (s --> l) sequentially ==> cauchy s
% Assm: !x. x IN (:A)
% Assm: T
% Assm: !s. complete s <=> (!f. (!n. f n IN s) /\ cauchy f ==> (?l. l IN s /\ (f --> l) sequentially))
% Goal: !s. (?l. (s --> l) sequentially) <=> cauchy s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tcartrealq184834, type, cartrealq184834 : $tType).
thf(tq184834, type, q184834 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq184834 > (cartrealq184834 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealq184834) > cartrealq184834 > netnum > $o)).
thf(ccomplete0, type, complete0 : ((cartrealq184834 > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(ccomplete, type, complete : ((cartrealn > $o) > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealq184834) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuniv0, type, univ0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLETEu_UNIV, axiom, (complete @ univ)).
thf(aCONVERGENTu_IMPu_CAUCHY, axiom, ![S:(num > cartrealq184834),L:cartrealq184834]:((m_m_g_ @ S @ L @ sequentially) => (cauchy @ S))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ0)).
thf(aTRUTH, axiom, $true).
thf(acomplete, axiom, ![S:(cartrealq184834 > $o)]:((complete0 @ S) <=> ![F:(num > cartrealq184834)]:((![N:num]:(in0 @ (F @ N) @ S) & (cauchy @ F)) => ?[L:cartrealq184834]:((in0 @ L @ S) & (m_m_g_ @ F @ L @ sequentially))))).
thf(conjecture, conjecture, ![S:(num > cartrealq184834)]:(?[L:cartrealq184834]:(m_m_g_ @ S @ L @ sequentially) <=> (cauchy @ S))).
