%   ORIGINAL: CONVERGENT_IMP_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CAUCHY_IMP_BOUNDED: !s. cauchy s ==> bounded {y | ?n. y = s n}
% Assm: CONVERGENT_EQ_CAUCHY: !s. (?l. (s --> l) sequentially) <=> cauchy s
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Goal: !s l. (s --> l) sequentially ==> bounded (IMAGE s (:num))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. cauchy s ==> bounded {y | ?n. y = s n}
% Assm: !s. (?l. (s --> l) sequentially) <=> cauchy s
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !x. x IN (:num)
% Assm: T
% Goal: !s l. (s --> l) sequentially ==> bounded (IMAGE s (:num))
%  TYPES
thf(tcartrealq184852, type, cartrealq184852 : $tType).
thf(tq184852, type, q184852 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq184852 > $o) > cartrealq184852 > $o)).
thf(csetspec, type, setspec : (cartrealq184852 > $o > cartrealq184852 > $o)).
thf(cimage, type, image : ((num > cartrealq184852) > (num > $o) > cartrealq184852 > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealq184852) > cartrealq184852 > netnum > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealq184852) > $o)).
thf(cbounded, type, bounded : ((cartrealq184852 > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCAUCHYu_IMPu_BOUNDED, axiom, ![S:(num > cartrealq184852)]:((cauchy @ S) => (bounded @ (gspec @ ^[GENR_PVARR_484:cartrealq184852]:?[Y:cartrealq184852]:(setspec @ GENR_PVARR_484 @ ?[N:num]:(Y = (S @ N)) @ Y))))).
thf(aCONVERGENTu_EQu_CAUCHY, axiom, ![S:(num > cartrealq184852)]:(?[L:cartrealq184852]:(m_m_g_ @ S @ L @ sequentially) <=> (cauchy @ S))).
thf(aIMAGE, axiom, ![S:(num > $o),F:(num > cartrealq184852)]:((image @ F @ S) = (gspec @ ^[GENR_PVARR_7:cartrealq184852]:?[Y:cartrealq184852]:(setspec @ GENR_PVARR_7 @ ?[X:num]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_UNIV, axiom, ![X:num]:(in @ X @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > cartrealq184852),L:cartrealq184852]:((m_m_g_ @ S @ L @ sequentially) => (bounded @ (image @ S @ univ)))).
