%   ORIGINAL: HEINE_BOREL_IMP_BOLZANO_WEIERSTRASS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE_INJ_GENERAL: !f A s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE A ==> FINITE {x | x IN s /\ f x IN A}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: limit_point_of: !x s. x limit_point_of s <=> (!t. x IN t /\ open t ==> (?y. ~(y = x) /\ y IN s /\ y IN t))
% Goal: !s. (!f. (!t. t IN f ==> open t) /\ s SUBSET UNIONS f ==> (?f'. f' SUBSET f /\ FINITE f' /\ s SUBSET UNIONS f')) ==> (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f A s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE A ==> FINITE {x | x IN s /\ f x IN A}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x s. x limit_point_of s <=> (!t. x IN t /\ open t ==> (?y. ~(y = x) /\ y IN s /\ y IN t))
% Goal: !s. (!f. (!t. t IN f ==> open t) /\ s SUBSET UNIONS f ==> (?f'. f' SUBSET f /\ FINITE f' /\ s SUBSET UNIONS f')) ==> (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset0, type, subset0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cinfinite, type, infinite : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGEu_INJu_GENERAL, axiom, ![F:((cartrealn > $o) > cartrealn > $o),A:((cartrealn > $o) > $o),S:((cartrealn > $o) > $o)]:((![X:(cartrealn > $o),Y:(cartrealn > $o)]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ A)) => (finite @ (gspec @ ^[GENR_PVARR_56:(cartrealn > $o)]:?[X:(cartrealn > $o)]:(setspec @ GENR_PVARR_56 @ ((in @ X @ S) & (in @ (F @ X) @ A)) @ X))))).
thf(aFINITEu_SUBSET, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:(((finite @ T) & (subset0 @ S @ T)) => (finite @ S))).
thf(aINFINITE, axiom, ![S:(cartrealn > $o)]:((infinite @ S) <=> ~ ((finite0 @ S)))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn > $o)]:?[Y:(cartrealn > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (gspec0 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIONS, axiom, ![S:((cartrealn > $o) > $o),X:cartrealn]:((in0 @ X @ (unions @ S)) <=> ?[T:(cartrealn > $o)]:((in @ T @ S) & (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_monomorphized1, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((subset0 @ S @ T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(alimitu_pointu_of, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((limitu_pointu_of @ X @ S) <=> ![T:(cartrealn > $o)]:(((in0 @ X @ T) & (open @ T)) => ?[Y:cartrealn]:(~ ((Y = X)) & (in0 @ Y @ S) & (in0 @ Y @ T))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(![F:((cartrealn > $o) > $o)]:((![T:(cartrealn > $o)]:((in @ T @ F) => (open @ T)) & (subset @ S @ (unions @ F))) => ?[FI_:((cartrealn > $o) > $o)]:((subset0 @ FI_ @ F) & (finite @ FI_) & (subset @ S @ (unions @ FI_)))) => ![T:(cartrealn > $o)]:(((infinite @ T) & (subset @ T @ S)) => ?[X:cartrealn]:((in0 @ X @ S) & (limitu_pointu_of @ X @ T))))).
