%   ORIGINAL: BOLZANO_WEIERSTRASS_IMP_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_SEQUENTIAL_LIMITS: !s. closed s <=> (!x l. (!n. x n IN s) /\ (x --> l) sequentially ==> l IN s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SEQUENCE_INFINITE_LEMMA: !f l. (!n. ~(f n = l)) /\ (f --> l) sequentially ==> INFINITE {y | ?n. y = f n}
% Assm: SEQUENCE_UNIQUE_LIMPT: !f l. (!n. ~(f n = l)) /\ (f --> l) sequentially ==> (!l'. l' limit_point_of {y | ?n. y = f n} ==> l' = l)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t)) ==> closed s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed s <=> (!x l. (!n. x n IN s) /\ (x --> l) sequentially ==> l IN s)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f l. (!n. ~(f n = l)) /\ (f --> l) sequentially ==> INFINITE {y | ?n. y = f n}
% Assm: !f l. (!n. ~(f n = l)) /\ (f --> l) sequentially ==> (!l'. l' limit_point_of {y | ?n. y = f n} ==> l' = l)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t)) ==> closed s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cinfinite, type, infinite : ((cartrealn > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_SEQUENTIALu_LIMITS, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> ![X:(num > cartrealn),L:cartrealn]:((![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ L @ sequentially)) => (in @ L @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSEQUENCEu_INFINITEu_LEMMA, axiom, ![F:(num > cartrealn),L:cartrealn]:((![N:num]:~ (((F @ N) = L)) & (m_m_g_ @ F @ L @ sequentially)) => (infinite @ (gspec @ ^[GENR_PVARR_490:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_490 @ ?[N:num]:(Y = (F @ N)) @ Y))))).
thf(aSEQUENCEu_UNIQUEu_LIMPT, axiom, ![F:(num > cartrealn),L:cartrealn]:((![N:num]:~ (((F @ N) = L)) & (m_m_g_ @ F @ L @ sequentially)) => ![LI_:cartrealn]:((limitu_pointu_of @ LI_ @ (gspec @ ^[GENR_PVARR_492:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_492 @ ?[N:num]:(Y = (F @ N)) @ Y))) => (LI_ = L)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(![T:(cartrealn > $o)]:(((infinite @ T) & (subset @ T @ S)) => ?[X:cartrealn]:((in @ X @ S) & (limitu_pointu_of @ X @ T))) => (closed @ S))).
