%   ORIGINAL: COMPACT_EQ_HEINE_BOREL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOLZANO_WEIERSTRASS_IMP_BOUNDED: !s. (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t)) ==> bounded s
% Assm: BOLZANO_WEIERSTRASS_IMP_CLOSED: !s. (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t)) ==> closed s
% Assm: BOUNDED_CLOSED_IMP_COMPACT: !s. bounded s /\ closed s ==> compact s
% Assm: COMPACT_IMP_HEINE_BOREL: !s. compact s ==> (!f. (!t. t IN f ==> open t) /\ s SUBSET UNIONS f ==> (?f'. f' SUBSET f /\ FINITE f' /\ s SUBSET UNIONS f'))
% Assm: HEINE_BOREL_IMP_BOLZANO_WEIERSTRASS: !s. (!f. (!t. t IN f ==> open t) /\ s SUBSET UNIONS f ==> (?f'. f' SUBSET f /\ FINITE f' /\ s SUBSET UNIONS f')) ==> (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t))
% Assm: TRUTH: T
% Goal: !s. compact s <=> (!f. (!t. t IN f ==> open t) /\ s SUBSET UNIONS f ==> (?f'. f' SUBSET f /\ FINITE f' /\ s SUBSET UNIONS f'))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t)) ==> bounded s
% Assm: !s. (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t)) ==> closed s
% Assm: !s. bounded s /\ closed s ==> compact s
% Assm: !s. compact s ==> (!f. (!t. t IN f ==> open t) /\ s SUBSET UNIONS f ==> (?f'. f' SUBSET f /\ FINITE f' /\ s SUBSET UNIONS f'))
% Assm: !s. (!f. (!t. t IN f ==> open t) /\ s SUBSET UNIONS f ==> (?f'. f' SUBSET f /\ FINITE f' /\ s SUBSET UNIONS f')) ==> (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t))
% Assm: T
% Goal: !s. compact s <=> (!f. (!t. t IN f ==> open t) /\ s SUBSET UNIONS f ==> (?f'. f' SUBSET f /\ FINITE f' /\ s SUBSET UNIONS f'))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset0, type, subset0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cinfinite, type, infinite : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOLZANOu_WEIERSTRASSu_IMPu_BOUNDED, axiom, ![S:(cartrealn > $o)]:(![T:(cartrealn > $o)]:(((infinite @ T) & (subset @ T @ S)) => ?[X:cartrealn]:((in0 @ X @ S) & (limitu_pointu_of @ X @ T))) => (bounded @ S))).
thf(aBOLZANOu_WEIERSTRASSu_IMPu_CLOSED, axiom, ![S:(cartrealn > $o)]:(![T:(cartrealn > $o)]:(((infinite @ T) & (subset @ T @ S)) => ?[X:cartrealn]:((in0 @ X @ S) & (limitu_pointu_of @ X @ T))) => (closed @ S))).
thf(aBOUNDEDu_CLOSEDu_IMPu_COMPACT, axiom, ![S:(cartrealn > $o)]:(((bounded @ S) & (closed @ S)) => (compact @ S))).
thf(aCOMPACTu_IMPu_HEINEu_BOREL, axiom, ![S:(cartrealn > $o)]:((compact @ S) => ![F:((cartrealn > $o) > $o)]:((![T:(cartrealn > $o)]:((in @ T @ F) => (open @ T)) & (subset @ S @ (unions @ F))) => ?[FI_:((cartrealn > $o) > $o)]:((subset0 @ FI_ @ F) & (finite @ FI_) & (subset @ S @ (unions @ FI_)))))).
thf(aHEINEu_BORELu_IMPu_BOLZANOu_WEIERSTRASS, axiom, ![S:(cartrealn > $o)]:(![F:((cartrealn > $o) > $o)]:((![T:(cartrealn > $o)]:((in @ T @ F) => (open @ T)) & (subset @ S @ (unions @ F))) => ?[FI_:((cartrealn > $o) > $o)]:((subset0 @ FI_ @ F) & (finite @ FI_) & (subset @ S @ (unions @ FI_)))) => ![T:(cartrealn > $o)]:(((infinite @ T) & (subset @ T @ S)) => ?[X:cartrealn]:((in0 @ X @ S) & (limitu_pointu_of @ X @ T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((compact @ S) <=> ![F:((cartrealn > $o) > $o)]:((![T:(cartrealn > $o)]:((in @ T @ F) => (open @ T)) & (subset @ S @ (unions @ F))) => ?[FI_:((cartrealn > $o) > $o)]:((subset0 @ FI_ @ F) & (finite @ FI_) & (subset @ S @ (unions @ FI_)))))).
