%   ORIGINAL: COMPACT_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CLOSURE_EQ: !s. bounded (closure s) <=> bounded s
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: TRUTH: T
% Goal: !s. compact (closure s) <=> bounded s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded (closure s) <=> bounded s
% Assm: !s. closed (closure s)
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: T
% Goal: !s. compact (closure s) <=> bounded s
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq186252, type, cartrealq186252 : $tType).
thf(tq186252, type, q186252 : $tType).
%  CONSTS
thf(cclosure, type, closure : ((cartrealq186252 > $o) > cartrealq186252 > $o)).
thf(cclosed, type, closed : ((cartrealq186252 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq186252 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealq186252 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CLOSUREu_EQ, axiom, ![S:(cartrealq186252 > $o)]:((bounded @ (closure @ S)) <=> (bounded @ S))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealq186252 > $o)]:(closed @ (closure @ S))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealq186252 > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq186252 > $o)]:((compact @ (closure @ S)) <=> (bounded @ S))).
