%   ORIGINAL: BOLZANO_WEIERSTRASS_CONTRAPOS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_EQ_BOLZANO_WEIERSTRASS: !s. compact s <=> (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t))
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. compact s /\ t SUBSET s /\ (!x. x IN s ==> ~(x limit_point_of t)) ==> FINITE t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s <=> (!t. INFINITE t /\ t SUBSET s ==> (?x. x IN s /\ x limit_point_of t))
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: ~F <=> T
% Assm: T
% Goal: !s t. compact s /\ t SUBSET s /\ (!x. x IN s ==> ~(x limit_point_of t)) ==> FINITE t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinfinite, type, infinite : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_EQu_BOLZANOu_WEIERSTRASS, axiom, ![S:(cartrealn > $o)]:((compact @ S) <=> ![T:(cartrealn > $o)]:(((infinite @ T) & (subset @ T @ S)) => ?[X:cartrealn]:((in @ X @ S) & (limitu_pointu_of @ X @ T))))).
thf(aINFINITE, axiom, ![S:(cartrealn > $o)]:((infinite @ S) <=> ~ ((finite @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (subset @ T @ S) & ![X:cartrealn]:((in @ X @ S) => ~ ((limitu_pointu_of @ X @ T)))) => (finite @ T))).
