%   ORIGINAL: COMPACT_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_UNION: !s t. bounded (s UNION t) <=> bounded s /\ bounded t
% Assm: CLOSED_UNION: !s t. closed s /\ closed t ==> closed (s UNION t)
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: TRUTH: T
% Goal: !s t. compact s /\ compact t ==> compact (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. bounded (s UNION t) <=> bounded s /\ bounded t
% Assm: !s t. closed s /\ closed t ==> closed (s UNION t)
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: T
% Goal: !s t. compact s /\ compact t ==> compact (s UNION t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq186407, type, cartrealq186407 : $tType).
thf(tq186407, type, q186407 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cunion, type, union : ((cartrealq186407 > $o) > (cartrealq186407 > $o) > cartrealq186407 > $o)).
thf(cclosed, type, closed : ((cartrealq186407 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq186407 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealq186407 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_UNION, axiom, ![S:(cartrealq186407 > $o),T:(cartrealq186407 > $o)]:((bounded @ (union @ S @ T)) <=> ((bounded @ S) & (bounded @ T)))).
thf(aCLOSEDu_UNION, axiom, ![S:(cartrealq186407 > $o),T:(cartrealq186407 > $o)]:(((closed @ S) & (closed @ T)) => (closed @ (union @ S @ T)))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealq186407 > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq186407 > $o),T:(cartrealq186407 > $o)]:(((compact @ S) & (compact @ T)) => (compact @ (union @ S @ T)))).
