%   ORIGINAL: COMPACT_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_INTERS: !f. (?s. s IN f /\ bounded s) ==> bounded (INTERS f)
% Assm: CLOSED_INTERS: !f. (!s. s IN f ==> closed s) ==> closed (INTERS f)
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !f. (!s. s IN f ==> compact s) /\ ~(f = {}) ==> compact (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. (?s. s IN f /\ bounded s) ==> bounded (INTERS f)
% Assm: !f. (!s. s IN f ==> closed s) ==> closed (INTERS f)
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !f. (!s. s IN f ==> compact s) /\ ~(f = {}) ==> compact (INTERS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (cartrealn > $o) > $o),G:(a > (cartrealn > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_INTERS, axiom, ![F:((cartrealn > $o) > $o)]:(?[S:(cartrealn > $o)]:((in @ S @ F) & (bounded @ S)) => (bounded @ (inters @ F)))).
thf(aCLOSEDu_INTERS, axiom, ![F:((cartrealn > $o) > $o)]:(![S:(cartrealn > $o)]:((in @ S @ F) => (closed @ S)) => (closed @ (inters @ F)))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aETAu_AX, axiom, ![T:((cartrealn > $o) > $o)]:(^[X:(cartrealn > $o)]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((S = T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealn > $o)]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:((![S:(cartrealn > $o)]:((in @ S @ F) => (compact @ S)) & ~ ((F = empty))) => (compact @ (inters @ F)))).
