%   ORIGINAL: COMPACT_CBALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CBALL: !x e. bounded (cball (x,e))
% Assm: CLOSED_CBALL: !x e. closed (cball (x,e))
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: TRUTH: T
% Goal: !x e. compact (cball (x,e))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. bounded (cball (x,e))
% Assm: !x e. closed (cball (x,e))
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: T
% Goal: !x e. compact (cball (x,e))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq186628real, type, prodcartrealq186628real : $tType).
thf(tq186628, type, q186628 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq186628, type, cartrealq186628 : $tType).
%  CONSTS
thf(ccball, type, cball : (prodcartrealq186628real > cartrealq186628 > $o)).
thf(ccu_, type, c_ : (cartrealq186628 > real > prodcartrealq186628real)).
thf(cclosed, type, closed : ((cartrealq186628 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq186628 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealq186628 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CBALL, axiom, ![X:cartrealq186628,E:real]:(bounded @ (cball @ (c_ @ X @ E)))).
thf(aCLOSEDu_CBALL, axiom, ![X:cartrealq186628,E:real]:(closed @ (cball @ (c_ @ X @ E)))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealq186628 > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq186628,E:real]:(compact @ (cball @ (c_ @ X @ E)))).
