%   ORIGINAL: COMPACT_FRONTIER_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_CLOSURE: !s. bounded s ==> bounded (closure s)
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: CLOSED_DIFF: !s t. closed s /\ open t ==> closed (s DIFF t)
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_INTERIOR: !s. open (interior s)
% Assm: SUBSET_DIFF: !s t. s DIFF t SUBSET s
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !s. bounded s ==> compact (frontier s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded s ==> bounded (closure s)
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !s. closed (closure s)
% Assm: !s t. closed s /\ open t ==> closed (s DIFF t)
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s. open (interior s)
% Assm: !s t. s DIFF t SUBSET s
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !s. bounded s ==> compact (frontier s)
%  TYPES
thf(tq172057, type, q172057 : $tType).
thf(tq172577, type, q172577 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq186641, type, cartrealq186641 : $tType).
thf(tcartrealq172057, type, cartrealq172057 : $tType).
thf(treal, type, real : $tType).
thf(tq45833, type, q45833 : $tType).
thf(tcartrealq168275, type, cartrealq168275 : $tType).
thf(tq168275, type, q168275 : $tType).
thf(tcartrealq172577, type, cartrealq172577 : $tType).
thf(tq186641, type, q186641 : $tType).
%  CONSTS
thf(cinterior0, type, interior0 : ((cartrealq186641 > $o) > cartrealq186641 > $o)).
thf(csubset0, type, subset0 : ((q45833 > $o) > (q45833 > $o) > $o)).
thf(cinterior, type, interior : ((cartrealq172057 > $o) > cartrealq172057 > $o)).
thf(cclosure0, type, closure0 : ((cartrealq172577 > $o) > cartrealq172577 > $o)).
thf(csubset, type, subset : ((cartrealq186641 > $o) > (cartrealq186641 > $o) > $o)).
thf(cclosure, type, closure : ((cartrealq186641 > $o) > cartrealq186641 > $o)).
thf(cfrontier, type, frontier : ((cartrealq186641 > $o) > cartrealq186641 > $o)).
thf(cdiff1, type, diff1 : ((cartrealq186641 > $o) > (cartrealq186641 > $o) > cartrealq186641 > $o)).
thf(cdiff0, type, diff0 : ((q45833 > $o) > (q45833 > $o) > q45833 > $o)).
thf(cdiff, type, diff : ((cartrealq168275 > $o) > (cartrealq168275 > $o) > cartrealq168275 > $o)).
thf(copen0, type, open0 : ((cartrealq172057 > $o) > $o)).
thf(cclosed1, type, closed1 : ((cartrealq186641 > $o) > $o)).
thf(copen, type, open : ((cartrealq168275 > $o) > $o)).
thf(cclosed0, type, closed0 : ((cartrealq168275 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealq172577 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealq186641 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq186641 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_CLOSURE, axiom, ![S:(cartrealq186641 > $o)]:((bounded @ S) => (bounded @ (closure @ S)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealq186641 > $o),T:(cartrealq186641 > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealq172577 > $o)]:(closed @ (closure0 @ S))).
thf(aCLOSEDu_DIFF, axiom, ![S:(cartrealq168275 > $o),T:(cartrealq168275 > $o)]:(((closed0 @ S) & (open @ T)) => (closed0 @ (diff @ S @ T)))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealq186641 > $o)]:((compact @ S) <=> ((bounded @ S) & (closed1 @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INTERIOR, axiom, ![S:(cartrealq172057 > $o)]:(open0 @ (interior @ S))).
thf(aSUBSETu_DIFF, axiom, ![S:(q45833 > $o),T:(q45833 > $o)]:(subset0 @ (diff0 @ S @ T) @ S)).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealq186641 > $o)]:((frontier @ S) = (diff1 @ (closure @ S) @ (interior0 @ S)))).
thf(conjecture, conjecture, ![S:(cartrealq186641 > $o)]:((bounded @ S) => (compact @ (frontier @ S)))).
