%   ORIGINAL: COMPACT_SPHERE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPACT_CBALL: !x e. compact (cball (x,e))
% Assm: COMPACT_FRONTIER: !s. compact s ==> compact (frontier s)
% Assm: FRONTIER_CBALL: !a e. frontier (cball (a,e)) = {x | dist (a,x) = e}
% Assm: NORM_SUB: !x y. norm (x - y) = norm (y - x)
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !a r. compact {x | norm (x - a) = r}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. compact (cball (x,e))
% Assm: !s. compact s ==> compact (frontier s)
% Assm: !a e. frontier (cball (a,e)) = {x | dist (a,x) = e}
% Assm: !x y. norm (x - y) = norm (y - x)
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !a r. compact {x | norm (x - a) = r}
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPACTu_CBALL, axiom, ![X:cartrealn,E:real]:(compact @ (cball @ (c_ @ X @ E)))).
thf(aCOMPACTu_FRONTIER, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (compact @ (frontier @ S)))).
thf(aFRONTIERu_CBALL, axiom, ![A:cartrealn,E:real]:((frontier @ (cball @ (c_ @ A @ E))) = (gspec @ ^[GENR_PVARR_476:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_476 @ ((distance @ (c_0 @ A @ X)) = E) @ X)))).
thf(aNORMu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_norm @ (vectoru_sub @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ Y @ X)))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_0 @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(conjecture, conjecture, ![A:cartrealn,R:real]:(compact @ (gspec @ ^[GENR_PVARR_496:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_496 @ ((vectoru_norm @ (vectoru_sub @ X @ A)) = R) @ X)))).
