%   ORIGINAL: DECREASING_CLOSED_NEST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_APPROACHABLE: !x s. closed s ==> ((!e. &0 < e ==> (?y. y IN s /\ dist (y,x) < e)) <=> x IN s)
% Assm: COMPLETE_UNIV: complete (:real^N)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LE_CASES: !m n. m <= n \/ n <= m
% Assm: LE_REFL: !n. n <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LIM_SEQUENTIALLY: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: cauchy: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Assm: complete: !s. complete s <=> (!f. (!n. f n IN s) /\ cauchy f ==> (?l. l IN s /\ (f --> l) sequentially))
% Goal: !s. (!n. closed (s n)) /\ (!n. ~(s n = {})) /\ (!m n. m <= n ==> s n SUBSET s m) /\ (!e. &0 < e ==> (?n. !x y. x IN s n /\ y IN s n ==> dist (x,y) < e)) ==> (?a. !n. a IN s n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x s. closed s ==> ((!e. &0 < e ==> (?y. y IN s /\ dist (y,x) < e)) <=> x IN s)
% Assm: complete (:real^N)
% Assm: !t. (\x. t x) = t
% Assm: !n m. m >= n <=> n <= m
% Assm: !x. x IN (:real^N)
% Assm: !x. I x = x
% Assm: !m n. m <= n \/ n <= m
% Assm: !n. n <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Assm: !s. complete s <=> (!f. (!n. f n IN s) /\ cauchy f ==> (?l. l IN s /\ (f --> l) sequentially))
% Goal: !s. (!n. closed (s n)) /\ (!n. ~(s n = {})) /\ (!m n. m <= n ==> s n SUBSET s m) /\ (!e. &0 < e ==> (?n. !x y. x IN s n /\ y IN s n ==> dist (x,y) < e)) ==> (?a. !n. a IN s n)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccauchy, type, cauchy : ((num > cartrealn) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(ccomplete, type, complete : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_APPROACHABLE, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((closed @ S) => (![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[Y:cartrealn]:((in @ Y @ S) & (realu_lt @ (distance @ (c_ @ Y @ X)) @ E))) <=> (in @ X @ S)))).
thf(aCOMPLETEu_UNIV, axiom, (complete @ univ)).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aLEu_CASES, axiom, ![M:num,N:num]:((l_a_ @ M @ N) | (l_a_ @ N @ M))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLIMu_SEQUENTIALLY, axiom, ![S:(num > cartrealn),L:cartrealn]:((m_m_g_ @ S @ L @ sequentially) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (distance @ (c_ @ (S @ N0) @ L)) @ E))))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(acauchy, axiom, ![S:(num > cartrealn)]:((cauchy @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:(((g_a_ @ M @ N) & (g_a_ @ N0 @ N)) => (realu_lt @ (distance @ (c_ @ (S @ M) @ (S @ N0))) @ E))))).
thf(acomplete, axiom, ![S:(cartrealn > $o)]:((complete @ S) <=> ![F:(num > cartrealn)]:((![N:num]:(in @ (F @ N) @ S) & (cauchy @ F)) => ?[L:cartrealn]:((in @ L @ S) & (m_m_g_ @ F @ L @ sequentially))))).
thf(conjecture, conjecture, ![S:(num > cartrealn > $o)]:((![N:num]:(closed @ (S @ N)) & ![N:num]:~ (((S @ N) = empty)) & ![M:num,N:num]:((l_a_ @ M @ N) => (subset @ (S @ N) @ (S @ M))) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![X:cartrealn,Y:cartrealn]:(((in @ X @ (S @ N)) & (in @ Y @ (S @ N))) => (realu_lt @ (distance @ (c_ @ X @ Y)) @ E)))) => ?[A:cartrealn]:![N:num]:(in @ A @ (S @ N)))).
