%   ORIGINAL: BOUNDED_CLOSED_CHAIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: COMPACT_IMP_FIP: !s f. compact s /\ (!t. t IN f ==> closed t) /\ (!f'. FINITE f' /\ f' SUBSET f ==> ~(s INTER INTERS f' = {})) ==> ~(s INTER INTERS f = {})
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f b. (!s. s IN f ==> closed s /\ ~(s = {})) /\ (!s t. s IN f /\ t IN f ==> s SUBSET t \/ t SUBSET s) /\ b IN f /\ bounded b ==> ~(INTERS f = {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s f. compact s /\ (!t. t IN f ==> closed t) /\ (!f'. FINITE f' /\ f' SUBSET f ==> ~(s INTER INTERS f' = {})) ==> ~(s INTER INTERS f = {})
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P x. x IN P <=> P x
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f b. (!s. s IN f ==> closed s /\ ~(s = {})) /\ (!s t. s IN f /\ t IN f ==> s SUBSET t \/ t SUBSET s) /\ b IN f /\ bounded b ==> ~(INTERS f = {})
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin1, type, in1 : (((cartrealn > $o) > $o) > (((cartrealn > $o) > $o) > $o) > $o)).
thf(cinters0, type, inters0 : ((((cartrealn > $o) > $o) > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset0, type, subset0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinter0, type, inter0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinsert0, type, insert0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty0, type, empty0 : ((cartrealn > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aCOMPACTu_IMPu_FIP, axiom, ![S:(cartrealn > $o),F:((cartrealn > $o) > $o)]:(((compact @ S) & ![T:(cartrealn > $o)]:((in @ T @ F) => (closed @ T)) & ![FI_:((cartrealn > $o) > $o)]:(((finite @ FI_) & (subset0 @ FI_ @ F)) => ~ (((inter @ S @ (inters @ FI_)) = empty)))) => ~ (((inter @ S @ (inters @ F)) = empty)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((cartrealn > $o) > $o)]:(((P @ empty) & ![X:cartrealn,S:(cartrealn > $o)]:(((P @ S) & ~ ((in0 @ X @ S)) & (finite0 @ S)) => (P @ (insert @ X @ S)))) => ![S:(cartrealn > $o)]:((finite0 @ S) => (P @ S)))).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in0 @ X @ T) & (subset @ S @ T)))).
thf(aINu_INSERT, axiom, ![X:(cartrealn > $o),Y:(cartrealn > $o),S:((cartrealn > $o) > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_INTERS, axiom, ![S:(((cartrealn > $o) > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (inters0 @ S)) <=> ![T:((cartrealn > $o) > $o)]:((in1 @ T @ S) => (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealn > $o)]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o),B:(cartrealn > $o)]:((![S:(cartrealn > $o)]:((in @ S @ F) => ((closed @ S) & ~ ((S = empty)))) & ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((in @ S @ F) & (in @ T @ F)) => ((subset @ S @ T) | (subset @ T @ S))) & (in @ B @ F) & (bounded @ B)) => ~ (((inters @ F) = empty)))).
