%   ORIGINAL: COMPACT_CHAIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_CLOSED_CHAIN: !f b. (!s. s IN f ==> closed s /\ ~(s = {})) /\ (!s t. s IN f /\ t IN f ==> s SUBSET t \/ t SUBSET s) /\ b IN f /\ bounded b ==> ~(INTERS f = {})
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f. (!s. s IN f ==> compact s /\ ~(s = {})) /\ (!s t. s IN f /\ t IN f ==> s SUBSET t \/ t SUBSET s) ==> ~(INTERS f = {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f b. (!s. s IN f ==> closed s /\ ~(s = {})) /\ (!s t. s IN f /\ t IN f ==> s SUBSET t \/ t SUBSET s) /\ b IN f /\ bounded b ==> ~(INTERS f = {})
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: INTERS {} = (:real^N)
% Assm: !x. x IN (:real^N->bool)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f. (!s. s IN f ==> compact s /\ ~(s = {})) /\ (!s t. s IN f /\ t IN f ==> s SUBSET t \/ t SUBSET s) ==> ~(INTERS f = {})
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cuniv0, type, univ0 : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cempty0, type, empty0 : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_CLOSEDu_CHAIN, axiom, ![F:((cartrealn > $o) > $o),B:(cartrealn > $o)]:((![S:(cartrealn > $o)]:((in @ S @ F) => ((closed @ S) & ~ ((S = empty)))) & ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((in @ S @ F) & (in @ T @ F)) => ((subset @ S @ T) | (subset @ T @ S))) & (in @ B @ F) & (bounded @ B)) => ~ (((inters @ F) = empty)))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINTERSu_0, axiom, ((inters @ empty0) = univ)).
thf(aINu_UNIV, axiom, ![X:(cartrealn > $o)]:(in @ X @ univ0)).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealn > $o)]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:((![S:(cartrealn > $o)]:((in @ S @ F) => ((compact @ S) & ~ ((S = empty)))) & ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((in @ S @ F) & (in @ T @ F)) => ((subset @ S @ T) | (subset @ T @ S)))) => ~ (((inters @ F) = empty)))).
