%   ORIGINAL: UNIFORMLY_CONVERGENT_EQ_CAUCHY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVERGENT_EQ_CAUCHY: !s. (?l. (s --> l) sequentially) <=> cauchy s
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: DIST_TRIANGLE_HALF_L: !x1 x2 y. dist (x1,y) < e / &2 /\ dist (x2,y) < e / &2 ==> dist (x1,x2) < e
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: LE_ADD: !m n. m <= m + n
% Assm: LIM_SEQUENTIALLY: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_HALF_conjunct0: !e. &0 < e / &2 <=> &0 < e
% Assm: TRUTH: T
% Assm: cauchy: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Goal: !P s. (?l. !e. &0 < e ==> (?N. !n x. N <= n /\ P x ==> dist (s n x,l x) < e)) <=> (!e. &0 < e ==> (?N. !m n x. N <= m /\ N <= n /\ P x ==> dist (s m x,s n x) < e))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !n m. m + n = n + m
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. (?l. (s --> l) sequentially) <=> cauchy s
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !e x1 x2 y. dist (x1,y) < e / &2 /\ dist (x2,y) < e / &2 ==> dist (x1,x2) < e
% Assm: !t. (\x. t x) = t
% Assm: !n m. m >= n <=> n <= m
% Assm: !m n. m <= m + n
% Assm: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: ~F <=> T
% Assm: !e. &0 < e / &2 <=> &0 < e
% Assm: T
% Assm: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Goal: !P s. (?l. !e. &0 < e ==> (?N. !n x. N <= n /\ P x ==> dist (s n x,l x) < e)) <=> (!e. &0 < e ==> (?N. !m n x. N <= m /\ N <= n /\ P x ==> dist (s m x,s n x) < e))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tcartrealq184834, type, cartrealq184834 : $tType).
thf(tq184834, type, q184834 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealq184834) > cartrealq184834 > netnum > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccauchy0, type, cauchy0 : ((num > cartrealn) > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealq184834) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVERGENTu_EQu_CAUCHY, axiom, ![S:(num > cartrealq184834)]:(?[L:cartrealq184834]:(m_m_g_ @ S @ L @ sequentially) <=> (cauchy @ S))).
thf(aDISTu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aDISTu_TRIANGLEu_HALFu_L, axiom, ![E:real,X1:cartrealn,X2:cartrealn,Y:cartrealn]:(((realu_lt @ (distance @ (c_ @ X1 @ Y)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & (realu_lt @ (distance @ (c_ @ X2 @ Y)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (realu_lt @ (distance @ (c_ @ X1 @ X2)) @ E))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aLIMu_SEQUENTIALLY, axiom, ![S:(num > cartrealn),L:cartrealn]:((m_m_g_0 @ S @ L @ sequentially) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (distance @ (c_ @ (S @ N0) @ L)) @ E))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_HALFu_conjunct0, axiom, ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aTRUTH, axiom, $true).
thf(acauchy, axiom, ![S:(num > cartrealn)]:((cauchy0 @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:(((g_a_ @ M @ N) & (g_a_ @ N0 @ N)) => (realu_lt @ (distance @ (c_ @ (S @ M) @ (S @ N0))) @ E))))).
thf(conjecture, conjecture, ![P:(a > $o),S:(num > a > cartrealn)]:(?[L:(a > cartrealn)]:![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num,X:a]:(((l_a_ @ N @ N0) & (P @ X)) => (realu_lt @ (distance @ (c_ @ (S @ N0 @ X) @ (L @ X))) @ E))) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num,X:a]:(((l_a_ @ N @ M) & (l_a_ @ N @ N0) & (P @ X)) => (realu_lt @ (distance @ (c_ @ (S @ M @ X) @ (S @ N0 @ X))) @ E))))).
