%   ORIGINAL: UNIFORMLY_CAUCHY_IMP_UNIFORMLY_CONVERGENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LIM_SEQUENTIALLY: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: LIM_UNIQUE: !net f l l'. ~trivial_limit net /\ (f --> l) net /\ (f --> l') net ==> l = l'
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRIVIAL_LIMIT_SEQUENTIALLY: ~trivial_limit sequentially
% Assm: TRUTH: T
% Assm: UNIFORMLY_CONVERGENT_EQ_CAUCHY: !P s. (?l. !e. &0 < e ==> (?N. !n x. N <= n /\ P x ==> dist (s n x,l x) < e)) <=> (!e. &0 < e ==> (?N. !m n x. N <= m /\ N <= n /\ P x ==> dist (s m x,s n x) < e))
% Goal: !P s l. (!e. &0 < e ==> (?N. !m n x. N <= m /\ N <= n /\ P x ==> dist (s m x,s n x) < e)) /\ (!x. P x ==> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n x,l x) < e))) ==> (!e. &0 < e ==> (?N. !n x. N <= n /\ P x ==> dist (s n x,l x) < e))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: !net f l l'. ~trivial_limit net /\ (f --> l) net /\ (f --> l') net ==> l = l'
% Assm: ~F <=> T
% Assm: ~trivial_limit sequentially
% Assm: T
% Assm: !P s. (?l. !e. &0 < e ==> (?N. !n x. N <= n /\ P x ==> dist (s n x,l x) < e)) <=> (!e. &0 < e ==> (?N. !m n x. N <= m /\ N <= n /\ P x ==> dist (s m x,s n x) < e))
% Goal: !P s l. (!e. &0 < e ==> (?N. !m n x. N <= m /\ N <= n /\ P x ==> dist (s m x,s n x) < e)) /\ (!x. P x ==> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n x,l x) < e))) ==> (!e. &0 < e ==> (?N. !n x. N <= n /\ P x ==> dist (s n x,l x) < e))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tneta, type, neta : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ctrivialuu_limit0, type, trivialu_limit0 : (netnum > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (neta > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLIMu_SEQUENTIALLY, axiom, ![S:(num > cartrealn),L:cartrealn]:((m_m_g_ @ S @ L @ sequentially) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (distance @ (c_ @ (S @ N0) @ L)) @ E))))).
thf(aLIMu_UNIQUE, axiom, ![NET:neta,F:(a > cartrealn),L:cartrealn,LI_:cartrealn]:((~ ((trivialu_limit @ NET)) & (m_m_g_0 @ F @ L @ NET) & (m_m_g_0 @ F @ LI_ @ NET)) => (L = LI_))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRIVIALu_LIMITu_SEQUENTIALLY, axiom, ~ ((trivialu_limit0 @ sequentially))).
thf(aTRUTH, axiom, $true).
thf(aUNIFORMLYu_CONVERGENTu_EQu_CAUCHY, axiom, ![P:(a > $o),S:(num > a > cartrealn)]:(?[L:(a > cartrealn)]:![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num,X:a]:(((l_a_ @ N @ N0) & (P @ X)) => (realu_lt @ (distance @ (c_ @ (S @ N0 @ X) @ (L @ X))) @ E))) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num,X:a]:(((l_a_ @ N @ M) & (l_a_ @ N @ N0) & (P @ X)) => (realu_lt @ (distance @ (c_ @ (S @ M @ X) @ (S @ N0 @ X))) @ E))))).
thf(conjecture, conjecture, ![P:(a > $o),S:(num > a > cartrealn),L:(a > cartrealn)]:((![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num,X:a]:(((l_a_ @ N @ M) & (l_a_ @ N @ N0) & (P @ X)) => (realu_lt @ (distance @ (c_ @ (S @ M @ X) @ (S @ N0 @ X))) @ E))) & ![X:a]:((P @ X) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (distance @ (c_ @ (S @ N0 @ X) @ (L @ X))) @ E))))) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num,X:a]:(((l_a_ @ N @ N0) & (P @ X)) => (realu_lt @ (distance @ (c_ @ (S @ N0 @ X) @ (L @ X))) @ E))))).
