%   ORIGINAL: CONTINUOUS_TRANSFORM_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_AT: !f x. f continuous at x <=> (f --> f x) (at x)
% Assm: DIST_REFL: !x. dist (x,x) = &0
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LIM_TRANSFORM_AT: !f g x d. &0 < d /\ (!x'. &0 < dist (x',x) /\ dist (x',x) < d ==> f x' = g x') /\ (f --> l) (at x) ==> (g --> l) (at x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g x d. &0 < d /\ (!x'. dist (x',x) < d ==> f x' = g x') /\ f continuous at x ==> g continuous at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f x. f continuous at x <=> (f --> f x) (at x)
% Assm: !x. dist (x,x) = &0
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !l f g x d. &0 < d /\ (!x'. &0 < dist (x',x) /\ dist (x',x) < d ==> f x' = g x') /\ (f --> l) (at x) ==> (g --> l) (at x)
% Assm: ~F <=> T
% Assm: T
% Goal: !f g x d. &0 < d /\ (!x'. dist (x',x) < d ==> f x' = g x') /\ f continuous at x ==> g continuous at x
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cdistance, type, distance : (prodcartrealmcartrealm > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealm > cartrealn) > cartrealn > netcartrealm > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_AT, axiom, ![F:(cartrealm > cartrealn),X:cartrealm]:((continuous @ F @ (at @ X)) <=> (m_m_g_ @ F @ (F @ X) @ (at @ X)))).
thf(aDISTu_REFL, axiom, ![X:cartrealm]:((distance @ (c_ @ X @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aLIMu_TRANSFORMu_AT, axiom, ![L:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),X:cartrealm,D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealm]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ XI_ @ X))) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => ((F @ XI_) = (G @ XI_))) & (m_m_g_ @ F @ L @ (at @ X))) => (m_m_g_ @ G @ L @ (at @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),X:cartrealm,D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealm]:((realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D) => ((F @ XI_) = (G @ XI_))) & (continuous @ F @ (at @ X))) => (continuous @ G @ (at @ X)))).
