%   ORIGINAL: CONTINUOUS_ON_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_AT: !f s. open s ==> (f continuous_on s <=> (!x. x IN s ==> f continuous at x))
% Assm: CONTINUOUS_ON_SUBSET: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: interior: !s. interior s = {x | ?t. open t /\ x IN t /\ t SUBSET s}
% Goal: !f s x. f continuous_on s /\ x IN interior s ==> f continuous at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. open s ==> (f continuous_on s <=> (!x. x IN s ==> f continuous at x))
% Assm: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: T
% Assm: !s. interior s = {x | ?t. open t /\ x IN t /\ t SUBSET s}
% Goal: !f s x. f continuous_on s /\ x IN interior s ==> f continuous at x
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cinterior, type, interior : ((cartrealm > $o) > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(copen, type, open : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_AT, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((open @ S) => ((continuousu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (continuous @ F @ (at @ X)))))).
thf(aCONTINUOUSu_ONu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (subset @ T @ S)) => (continuousu_on @ F @ T))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ainterior, axiom, ![S:(cartrealm > $o)]:((interior @ S) = (gspec @ ^[GENR_PVARR_466:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_466 @ ?[T:(cartrealm > $o)]:((open @ T) & (in @ X @ T) & (subset @ T @ S)) @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),X:cartrealm]:(((continuousu_on @ F @ S) & (in @ X @ (interior @ S))) => (continuous @ F @ (at @ X)))).
