%   ORIGINAL: UNIFORMLY_CONTINUOUS_ON_CMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_CMUL: !f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: TRUTH: T
% Assm: UNIFORMLY_CONTINUOUS_ON_SEQUENTIALLY: !f s. f uniformly_continuous_on s <=> (!x y. (!n. x n IN s) /\ (!n. y n IN s) /\ ((\n. x n - y n) --> vec 0) sequentially ==> ((\n. f (x n) - f (y n)) --> vec 0) sequentially)
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: VECTOR_SUB_LDISTRIB: c % (x - y) = c % x - c % y
% Goal: !f c s. f uniformly_continuous_on s ==> (\x. c % f x) uniformly_continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: T
% Assm: !f s. f uniformly_continuous_on s <=> (!x y. (!n. x n IN s) /\ (!n. y n IN s) /\ ((\n. x n - y n) --> vec 0) sequentially ==> ((\n. f (x n) - f (y n)) --> vec 0) sequentially)
% Assm: !c. c % vec 0 = vec 0
% Assm: !x c y. c % (x - y) = c % x - c % y
% Goal: !f c s. f uniformly_continuous_on s ==> (\x. c % f x) uniformly_continuous_on s
%  TYPES
thf(tq176203, type, q176203 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tcartrealq190103, type, cartrealq190103 : $tType).
thf(tq190103, type, q190103 : $tType).
thf(tcartrealq190108, type, cartrealq190108 : $tType).
thf(treal, type, real : $tType).
thf(tnetq176203, type, netq176203 : $tType).
thf(tq190108, type, q190108 : $tType).
%  CONSTS
thf(cvec0, type, vec0 : (num > cartrealq190103)).
thf(cvec, type, vec : (num > cartrealq190108)).
thf(cin, type, in : (cartrealq190108 > (cartrealq190108 > $o) > $o)).
thf(cuniformlyuu_continuousuu_on, type, uniformlyu_continuousu_on : ((cartrealq190108 > cartrealq190103) > (cartrealq190108 > $o) > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq190103 > cartrealq190103 > cartrealq190103)).
thf(cmu_mu_gu_1, type, m_m_g_1 : ((num > cartrealq190103) > cartrealq190103 > netnum > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq190108 > cartrealq190108 > cartrealq190108)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealq190108) > cartrealq190108 > netnum > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q176203 > cartrealq190103) > cartrealq190103 > netq176203 > $o)).
thf(cru_, type, r_ : (real > cartrealq190103 > cartrealq190103)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_CMUL, axiom, ![NET:netq176203,F:(q176203 > cartrealq190103),L:cartrealq190103,C:real]:((m_m_g_ @ F @ L @ NET) => (m_m_g_ @ ^[X:q176203]:(r_ @ C @ (F @ X)) @ (r_ @ C @ L) @ NET))).
thf(aTRUTH, axiom, $true).
thf(aUNIFORMLYu_CONTINUOUSu_ONu_SEQUENTIALLY, axiom, ![F:(cartrealq190108 > cartrealq190103),S:(cartrealq190108 > $o)]:((uniformlyu_continuousu_on @ F @ S) <=> ![X:(num > cartrealq190108),Y:(num > cartrealq190108)]:((![N:num]:(in @ (X @ N) @ S) & ![N:num]:(in @ (Y @ N) @ S) & (m_m_g_0 @ ^[N:num]:(vectoru_sub @ (X @ N) @ (Y @ N)) @ (vec @ (numeral @ u_0)) @ sequentially)) => (m_m_g_1 @ ^[N:num]:(vectoru_sub0 @ (F @ (X @ N)) @ (F @ (Y @ N))) @ (vec0 @ (numeral @ u_0)) @ sequentially)))).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_ @ C @ (vec0 @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0)))).
thf(aVECTORu_SUBu_LDISTRIB, axiom, ![X:cartrealq190103,C:real,Y:cartrealq190103]:((r_ @ C @ (vectoru_sub0 @ X @ Y)) = (vectoru_sub0 @ (r_ @ C @ X) @ (r_ @ C @ Y)))).
thf(conjecture, conjecture, ![F:(cartrealq190108 > cartrealq190103),C:real,S:(cartrealq190108 > $o)]:((uniformlyu_continuousu_on @ F @ S) => (uniformlyu_continuousu_on @ ^[X:cartrealq190108]:(r_ @ C @ (F @ X)) @ S))).
