%   ORIGINAL: CONTINUOUS_ON_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_OPEN: !f s. f continuous_on s <=> (!t. open_in (subtopology euclidean (IMAGE f s)) t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t})
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_CLOSED_IN_EQ: !top s. open_in top s <=> s SUBSET topspace top /\ closed_in top (topspace top DIFF s)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_RESTRICT: !s P. {x | x IN s /\ P x} SUBSET s
% Assm: TOPSPACE_EUCLIDEAN_SUBTOPOLOGY: !s. topspace (subtopology euclidean s) = s
% Assm: TRUTH: T
% Assm: closed_in: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !f s. f continuous_on s <=> (!t. closed_in (subtopology euclidean (IMAGE f s)) t ==> closed_in (subtopology euclidean s) {x | x IN s /\ f x IN t})
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. f continuous_on s <=> (!t. open_in (subtopology euclidean (IMAGE f s)) t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t})
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !top s. open_in top s <=> s SUBSET topspace top /\ closed_in top (topspace top DIFF s)
% Assm: !top s. open_in top s <=> s SUBSET topspace top /\ closed_in top (topspace top DIFF s)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s P. {x | x IN s /\ P x} SUBSET s
% Assm: !s. topspace (subtopology euclidean s) = s
% Assm: !s. topspace (subtopology euclidean s) = s
% Assm: T
% Assm: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Assm: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !f s. f continuous_on s <=> (!t. closed_in (subtopology euclidean (IMAGE f s)) t ==> closed_in (subtopology euclidean s) {x | x IN s /\ f x IN t})
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(ttopologycartrealm, type, topologycartrealm : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ceuclidean0, type, euclidean0 : topologycartrealm).
thf(ctopspace0, type, topspace0 : (topologycartrealm > cartrealm > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(ctopspace, type, topspace : (topologycartrealn > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(copenuu_in0, type, openu_in0 : (topologycartrealm > (cartrealm > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(ccloseduu_in0, type, closedu_in0 : (topologycartrealm > (cartrealm > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cdiff0, type, diff0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(csubtopology0, type, subtopology0 : (topologycartrealm > (cartrealm > $o) > topologycartrealm)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(ci, type, i : ($o > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_OPEN, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![T:(cartrealn > $o)]:((openu_in @ (subtopology @ euclidean @ (image @ F @ S)) @ T) => (openu_in0 @ (subtopology0 @ euclidean0 @ S) @ (gspec @ ^[GENR_PVARR_499:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_499 @ ((in @ X @ S) & (in0 @ (F @ X) @ T)) @ X)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSIONu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aEXTENSIONu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_monomorphized1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFFu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_DIFFu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_CLOSEDu_INu_EQu_monomorphized1, axiom, ![TOP:topologycartrealn,S:(cartrealn > $o)]:((openu_in @ TOP @ S) <=> ((subset @ S @ (topspace @ TOP)) & (closedu_in @ TOP @ (diff @ (topspace @ TOP) @ S))))).
thf(aOPENu_INu_CLOSEDu_INu_EQu_monomorphized0, axiom, ![TOP:topologycartrealm,S:(cartrealm > $o)]:((openu_in0 @ TOP @ S) <=> ((subset0 @ S @ (topspace0 @ TOP)) & (closedu_in0 @ TOP @ (diff0 @ (topspace0 @ TOP) @ S))))).
thf(aSUBSETu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset0 @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_RESTRICT, axiom, ![S:(cartrealm > $o),P:(cartrealm > $o)]:(subset0 @ (gspec @ ^[GENR_PVARR_65:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_65 @ ((in @ X @ S) & (P @ X)) @ X)) @ S)).
thf(aTOPSPACEu_EUCLIDEANu_SUBTOPOLOGYu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((topspace @ (subtopology @ euclidean @ S)) = S)).
thf(aTOPSPACEu_EUCLIDEANu_SUBTOPOLOGYu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((topspace0 @ (subtopology0 @ euclidean0 @ S)) = S)).
thf(aTRUTH, axiom, $true).
thf(aclosedu_inu_monomorphized1, axiom, ![TOP:topologycartrealn,S:(cartrealn > $o)]:((closedu_in @ TOP @ S) <=> ((subset @ S @ (topspace @ TOP)) & (openu_in @ TOP @ (diff @ (topspace @ TOP) @ S))))).
thf(aclosedu_inu_monomorphized0, axiom, ![TOP:topologycartrealm,S:(cartrealm > $o)]:((closedu_in0 @ TOP @ S) <=> ((subset0 @ S @ (topspace0 @ TOP)) & (openu_in0 @ TOP @ (diff0 @ (topspace0 @ TOP) @ S))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![T:(cartrealn > $o)]:((closedu_in @ (subtopology @ euclidean @ (image @ F @ S)) @ T) => (closedu_in0 @ (subtopology0 @ euclidean0 @ S) @ (gspec @ ^[GENR_PVARR_500:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_500 @ ((in @ X @ S) & (in0 @ (F @ X) @ T)) @ X)))))).
