%   ORIGINAL: CONTINUOUS_OPEN_IN_PREIMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_OPEN: !f s. f continuous_on s <=> (!t. open_in (subtopology euclidean (IMAGE f s)) t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t})
% Assm: CONTINUOUS_OPEN_IN_PREIMAGE: !f s t. f continuous_on s /\ open t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_OPEN: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: TRUTH: T
% Goal: !f s. f continuous_on s <=> (!t. open t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t})
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. f continuous_on s <=> (!t. open_in (subtopology euclidean (IMAGE f s)) t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t})
% Assm: !f s t. f continuous_on s /\ open t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: T
% Goal: !f s. f continuous_on s <=> (!t. open t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t})
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(ttopologycartrealm, type, topologycartrealm : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ceuclidean, type, euclidean : topologycartrealm).
thf(copenuu_in0, type, openu_in0 : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cinter0, type, inter0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage2, type, image2 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cimage1, type, image1 : ((cartrealn > cartrealm) > (cartrealn > $o) > cartrealm > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(csubtopology0, type, subtopology0 : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(csubtopology, type, subtopology : (topologycartrealm > (cartrealm > $o) > topologycartrealm)).
thf(ceuclidean0, type, euclidean0 : topologycartrealn).
thf(copen0, type, open0 : ((cartrealm > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_OPEN, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![T:(cartrealn > $o)]:((openu_in0 @ (subtopology0 @ euclidean0 @ (image @ F @ S)) @ T) => (openu_in @ (subtopology @ euclidean @ S) @ (gspec @ ^[GENR_PVARR_499:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_499 @ ((in @ X @ S) & (in0 @ (F @ X) @ T)) @ X)))))).
thf(aCONTINUOUSu_OPENu_INu_PREIMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealn > $o)]:(((continuousu_on @ F @ S) & (open @ T)) => (openu_in @ (subtopology @ euclidean @ S) @ (gspec @ ^[GENR_PVARR_501:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_501 @ ((in @ X @ S) & (in0 @ (F @ X) @ T)) @ X))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSIONu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aEXTENSIONu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_monomorphized1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGEu_monomorphized3, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in0 @ Y @ (image0 @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized2, axiom, ![Y:cartrealn,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized1, axiom, ![Y:cartrealm,S:(cartrealn > $o),F:(cartrealn > cartrealm)]:((in @ Y @ (image1 @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized0, axiom, ![Y:cartrealm,S:(cartrealm > $o),F:(cartrealm > cartrealm)]:((in @ Y @ (image2 @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INTERu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_INTERu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_OPEN, axiom, ![S:(cartrealm > $o),U:(cartrealm > $o)]:((openu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealm > $o)]:((open0 @ T) & (S = (inter0 @ U @ T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![T:(cartrealn > $o)]:((open @ T) => (openu_in @ (subtopology @ euclidean @ S) @ (gspec @ ^[GENR_PVARR_509:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_509 @ ((in @ X @ S) & (in0 @ (F @ X) @ T)) @ X)))))).
