%   ORIGINAL: CONTINUOUS_AT_LIFT_DOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_AT: !f x. f continuous at x <=> (f --> f x) (at x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LIM_AT: !f l a. (f --> l) (at a) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. &0 < dist (x,a) /\ dist (x,a) < d ==> dist (f x,l) < e)))
% Assm: LIM_LIFT_DOT: !f a. (f --> l) net ==> (lift o (\y. a dot f y) --> lift (a dot l)) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !a x. lift o (\y. a dot y) continuous at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f x. f continuous at x <=> (f --> f x) (at x)
% Assm: !t. (\x. t x) = t
% Assm: !f l a. (f --> l) (at a) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. &0 < dist (x,a) /\ dist (x,a) < d ==> dist (f x,l) < e)))
% Assm: !l net f a. (f --> l) net ==> (lift o (\y. a dot f y) --> lift (a dot l)) net
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !a x. lift o (\y. a dot y) continuous at x
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealn1) > netcartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((cartrealn > cartrealn) > cartrealn > netcartrealn > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealn > cartrealn1) > cartrealn1 > netcartrealn > $o)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn > real) > cartrealn > cartrealn1)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_AT, axiom, ![F:(cartrealn > cartrealn1),X:cartrealn]:((continuous @ F @ (at @ X)) <=> (m_m_g_ @ F @ (F @ X) @ (at @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLIMu_AT, axiom, ![F:(cartrealn > cartrealn),L:cartrealn,A:cartrealn]:((m_m_g_0 @ F @ L @ (at @ A)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealn]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_lt @ (distance @ (c_ @ X @ A)) @ D)) => (realu_lt @ (distance @ (c_ @ (F @ X) @ L)) @ E)))))).
thf(aLIMu_LIFTu_DOT, axiom, ![L:cartrealn,NET:netcartrealn,F:(cartrealn > cartrealn),A:cartrealn]:((m_m_g_0 @ F @ L @ NET) => (m_m_g_ @ (o @ lift @ ^[Y:cartrealn]:(dot @ A @ (F @ Y))) @ (lift @ (dot @ A @ L)) @ NET))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(real > cartrealn1),G:(cartrealn > real),X:cartrealn]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![A:cartrealn,X:cartrealn]:(continuous @ (o @ lift @ ^[Y:cartrealn]:(dot @ A @ Y)) @ (at @ X))).
