%   ORIGINAL: OPEN_HALFSPACE_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_HALFSPACE_GE: !a b. closed {x | a dot x >= b}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: TRUTH: T
% Assm: closed: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: real_ge: !y x. x >= y <=> y <= x
% Goal: !a b. open {x | a dot x < b}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. closed {x | a dot x >= b}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:A)
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: T
% Assm: !s. closed s <=> open ((:real^?192124) DIFF s)
% Assm: !y x. x >= y <=> y <= x
% Goal: !a b. open {x | a dot x < b}
%  TYPES
thf(tcartrealq192124, type, cartrealq192124 : $tType).
thf(tq192124, type, q192124 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin0, type, in0 : (cartrealq192124 > (cartrealq192124 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cdot, type, dot : (cartrealq192124 > cartrealq192124 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealq192124 > $o) > cartrealq192124 > $o)).
thf(cdiff0, type, diff0 : ((cartrealq192124 > $o) > (cartrealq192124 > $o) > cartrealq192124 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (cartrealq192124 > $o > cartrealq192124 > $o)).
thf(cuniv0, type, univ0 : (cartrealq192124 > $o)).
thf(cclosed, type, closed : ((cartrealq192124 > $o) > $o)).
thf(copen, type, open : ((cartrealq192124 > $o) > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_HALFSPACEu_GE, axiom, ![A:cartrealq192124,B:real]:(closed @ (gspec @ ^[GENR_PVARR_516:cartrealq192124]:?[X:cartrealq192124]:(setspec @ GENR_PVARR_516 @ (realu_ge @ (dot @ A @ X) @ B) @ X)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq192124 > $o),X:cartrealq192124]:((in0 @ X @ (gspec @ ^[V:cartrealq192124]:?[Y:cartrealq192124]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aclosed, axiom, ![S:(cartrealq192124 > $o)]:((closed @ S) <=> (open @ (diff0 @ univ0 @ S)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(conjecture, conjecture, ![A:cartrealq192124,B:real]:(open @ (gspec @ ^[GENR_PVARR_526:cartrealq192124]:?[X:cartrealq192124]:(setspec @ GENR_PVARR_526 @ (realu_lt @ (dot @ A @ X) @ B) @ X)))).
