%   ORIGINAL: CLOSURE_HALFSPACE_COMPONENT_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BASIS_NONZERO: !k. 1 <= k /\ k <= dimindex (:N) ==> ~(basis k = vec 0)
% Assm: CLOSURE_HALFSPACE_LT: !a b. ~(a = vec 0) ==> closure {x | a dot x < b} = {x | a dot x <= b}
% Assm: DOT_BASIS: !x i. 1 <= i /\ i <= dimindex (:N) ==> basis i dot x = x$i /\ x dot basis i = x$i
% Assm: FINITE_INDEX_INRANGE: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a k. closure {x | x$k < a} = {x | x$k <= a}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !k. 1 <= k /\ k <= dimindex (:N) ==> ~(basis k = vec 0)
% Assm: !a b. ~(a = vec 0) ==> closure {x | a dot x < b} = {x | a dot x <= b}
% Assm: !x i. 1 <= i /\ i <= dimindex (:N) ==> basis i dot x = x$i /\ x dot basis i = x$i
% Assm: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: ~F <=> T
% Assm: T
% Goal: !a k. closure {x | x$k < a} = {x | x$k <= a}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBASISu_NONZERO, axiom, ![K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => ~ (((basis @ K) = (vec @ (numeral @ u_0)))))).
thf(aCLOSUREu_HALFSPACEu_LT, axiom, ![A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) => ((closure @ (gspec @ ^[GENR_PVARR_543:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_543 @ (realu_lt @ (dot @ A @ X) @ B) @ X))) = (gspec @ ^[GENR_PVARR_544:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_544 @ (realu_le @ (dot @ A @ X) @ B) @ X))))).
thf(aDOTu_BASIS, axiom, ![X:cartrealn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (((dot @ (basis @ I) @ X) = (d_ @ X @ I)) & ((dot @ X @ (basis @ I)) = (d_ @ X @ I))))).
thf(aFINITEu_INDEXu_INRANGE, axiom, ![I:num]:?[K:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealn]:((d_ @ X @ I) = (d_ @ X @ K)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,K:num]:((closure @ (gspec @ ^[GENR_PVARR_547:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_547 @ (realu_lt @ (d_ @ X @ K) @ A) @ X))) = (gspec @ ^[GENR_PVARR_548:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_548 @ (realu_le @ (d_ @ X @ K) @ A) @ X)))).
