%   ORIGINAL: INTERIOR_STANDARD_HYPERPLANE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BASIS_NONZERO: !k. 1 <= k /\ k <= dimindex (:N) ==> ~(basis k = vec 0)
% Assm: DOT_BASIS: !x i. 1 <= i /\ i <= dimindex (:N) ==> basis i dot x = x$i /\ x dot basis i = x$i
% Assm: FINITE_INDEX_INRANGE: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: INTERIOR_HYPERPLANE: !a b. ~(a = vec 0) ==> interior {x | a dot x = b} = {}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !k a. interior {x | x$k = a} = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !k. 1 <= k /\ k <= dimindex (:N) ==> ~(basis k = vec 0)
% Assm: !x i. 1 <= i /\ i <= dimindex (:N) ==> basis i dot x = x$i /\ x dot basis i = x$i
% Assm: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: !a b. ~(a = vec 0) ==> interior {x | a dot x = b} = {}
% Assm: ~F <=> T
% Assm: T
% Goal: !k a. interior {x | x$k = a} = {}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBASISu_NONZERO, axiom, ![K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => ~ (((basis @ K) = (vec @ (numeral @ u_0)))))).
thf(aDOTu_BASIS, axiom, ![X:cartrealn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (((dot @ (basis @ I) @ X) = (d_ @ X @ I)) & ((dot @ X @ (basis @ I)) = (d_ @ X @ I))))).
thf(aFINITEu_INDEXu_INRANGE, axiom, ![I:num]:?[K:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealn]:((d_ @ X @ I) = (d_ @ X @ K)))).
thf(aINTERIORu_HYPERPLANE, axiom, ![A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) => ((interior @ (gspec @ ^[GENR_PVARR_554:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_554 @ ((dot @ A @ X) = B) @ X))) = empty))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![K:num,A:real]:((interior @ (gspec @ ^[GENR_PVARR_555:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_555 @ ((d_ @ X @ K) = A) @ X))) = empty)).
