%   ORIGINAL: UNBOUNDED_HALFSPACE_COMPONENT_GT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_CLOSURE_EQ: !s. bounded (closure s) <=> bounded s
% Assm: CLOSURE_HALFSPACE_COMPONENT_GT: !a k. closure {x | x$k > a} = {x | x$k >= a}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: UNBOUNDED_HALFSPACE_COMPONENT_GE: !a k. ~bounded {x | x$k >= a}
% Goal: !a k. ~bounded {x | x$k > a}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded (closure s) <=> bounded s
% Assm: !a k. closure {x | x$k > a} = {x | x$k >= a}
% Assm: ~F <=> T
% Assm: T
% Assm: !a k. ~bounded {x | x$k >= a}
% Goal: !a k. ~bounded {x | x$k > a}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_CLOSUREu_EQ, axiom, ![S:(cartrealn > $o)]:((bounded @ (closure @ S)) <=> (bounded @ S))).
thf(aCLOSUREu_HALFSPACEu_COMPONENTu_GT, axiom, ![A:real,K:num]:((closure @ (gspec @ ^[GENR_PVARR_549:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_549 @ (realu_gt @ (d_ @ X @ K) @ A) @ X))) = (gspec @ ^[GENR_PVARR_550:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_550 @ (realu_ge @ (d_ @ X @ K) @ A) @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aUNBOUNDEDu_HALFSPACEu_COMPONENTu_GE, axiom, ![A:real,K:num]:~ ((bounded @ (gspec @ ^[GENR_PVARR_558:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_558 @ (realu_ge @ (d_ @ X @ K) @ A) @ X))))).
thf(conjecture, conjecture, ![A:real,K:num]:~ ((bounded @ (gspec @ ^[GENR_PVARR_560:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_560 @ (realu_gt @ (d_ @ X @ K) @ A) @ X))))).
