%   ORIGINAL: BOUNDED_HALFSPACE_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_CLOSURE_EQ: !s. bounded (closure s) <=> bounded s
% Assm: BOUNDED_EMPTY: bounded {}
% Assm: BOUNDED_HALFSPACE_LE: !a b. bounded {x | a dot x <= b} <=> a = vec 0 /\ b < &0
% Assm: CLOSURE_HALFSPACE_LT: !a b. ~(a = vec 0) ==> closure {x | a dot x < b} = {x | a dot x <= b}
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: EMPTY_GSPEC: {x | F} = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_BOUNDED_UNIV: ~bounded (:real^N)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: TRUTH: T
% Goal: !a b. bounded {x | a dot x < b} <=> a = vec 0 /\ b <= &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded (closure s) <=> bounded s
% Assm: bounded {}
% Assm: !a b. bounded {x | a dot x <= b} <=> a = vec 0 /\ b < &0
% Assm: !a b. ~(a = vec 0) ==> closure {x | a dot x < b} = {x | a dot x <= b}
% Assm: !x. vec 0 dot x = &0
% Assm: {x | F} = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:A)
% Assm: ~bounded (:real^N)
% Assm: ~F <=> T
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: T
% Goal: !a b. bounded {x | a dot x < b} <=> a = vec 0 /\ b <= &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_CLOSUREu_EQ, axiom, ![S:(cartrealn > $o)]:((bounded @ (closure @ S)) <=> (bounded @ S))).
thf(aBOUNDEDu_EMPTY, axiom, (bounded @ empty)).
thf(aBOUNDEDu_HALFSPACEu_LE, axiom, ![A:cartrealn,B:real]:((bounded @ (gspec @ ^[GENR_PVARR_562:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_562 @ (realu_le @ (dot @ A @ X) @ B) @ X))) <=> ((A = (vec @ (numeral @ u_0))) & (realu_lt @ B @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aCLOSUREu_HALFSPACEu_LT, axiom, ![A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) => ((closure @ (gspec @ ^[GENR_PVARR_543:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_543 @ (realu_lt @ (dot @ A @ X) @ B) @ X))) = (gspec @ ^[GENR_PVARR_544:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_544 @ (realu_le @ (dot @ A @ X) @ B) @ X))))).
thf(aDOTu_LZERO, axiom, ![X:cartrealn]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aEMPTYu_GSPEC, axiom, ((gspec @ ^[GENR_PVARR_14:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_14 @ $false @ X)) = empty)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aNOTu_BOUNDEDu_UNIV, axiom, ~ ((bounded @ univ0))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:real]:((bounded @ (gspec @ ^[GENR_PVARR_565:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_565 @ (realu_lt @ (dot @ A @ X) @ B) @ X))) <=> ((A = (vec @ (numeral @ u_0))) & (realu_le @ B @ (realu_ofu_num @ (numeral @ u_0)))))).
