%   ORIGINAL: FORALL_IN_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: CLOSURE_MINIMAL: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: CONTINUOUS_CLOSED_PREIMAGE: !f s t. f continuous_on s /\ closed s /\ closed t ==> closed {x | x IN s /\ f x IN t}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f s t. closed t /\ f continuous_on closure s /\ (!x. x IN s ==> f x IN t) ==> (!x. x IN closure s ==> f x IN t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed (closure s)
% Assm: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: !s. s SUBSET closure s
% Assm: !f s t. f continuous_on s /\ closed s /\ closed t ==> closed {x | x IN s /\ f x IN t}
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f s t. closed t /\ f continuous_on closure s /\ (!x. x IN s ==> f x IN t) ==> (!x. x IN closure s ==> f x IN t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure0, type, closure0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cclosure, type, closure : ((cartrealm > $o) > cartrealm > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(cclosed0, type, closed0 : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealn > $o)]:(closed @ (closure0 @ S))).
thf(aCLOSUREu_MINIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (closed @ T)) => (subset @ (closure0 @ S) @ T))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealm > $o)]:(subset0 @ S @ (closure @ S))).
thf(aCONTINUOUSu_CLOSEDu_PREIMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealn > $o)]:(((continuousu_on @ F @ S) & (closed0 @ S) & (closed @ T)) => (closed0 @ (gspec @ ^[GENR_PVARR_506:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_506 @ ((in @ X @ S) & (in0 @ (F @ X) @ T)) @ X))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_monomorphized1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (gspec0 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset0 @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealn > $o)]:(((closed @ T) & (continuousu_on @ F @ (closure @ S)) & ![X:cartrealm]:((in @ X @ S) => (in0 @ (F @ X) @ T))) => ![X:cartrealm]:((in @ X @ (closure @ S)) => (in0 @ (F @ X) @ T)))).
