%   ORIGINAL: CONTINUOUS_GE_ON_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_HALFSPACE_COMPONENT_GE: !a k. closed {x | x$k >= a}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_CLOSURE: !f s t. closed t /\ f continuous_on closure s /\ (!x. x IN s ==> f x IN t) ==> (!x. x IN closure s ==> f x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: real_ge: !y x. x >= y <=> y <= x
% Goal: !f s a. lift o f continuous_on closure s /\ (!x. x IN s ==> a <= f x) ==> (!x. x IN closure s ==> a <= f x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a k. closed {x | x$k >= a}
% Assm: !t. (\x. t x) = t
% Assm: !f s t. closed t /\ f continuous_on closure s /\ (!x. x IN s ==> f x IN t) ==> (!x. x IN closure s ==> f x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. drop (lift x) = x
% Assm: T
% Assm: !x. drop x = x$1
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !y x. x >= y <=> y <= x
% Goal: !f s a. lift o f continuous_on closure s /\ (!x. x IN s ==> a <= f x) ==> (!x. x IN closure s ==> a <= f x)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdu_0, type, d_0 : (cartrealn1 > num > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cgspec0, type, gspec0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cclosure, type, closure : ((cartrealm > $o) > cartrealm > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealm > $o > cartrealm > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(co, type, o : ((real > cartrealn1) > (cartrealm > real) > cartrealm > cartrealn1)).
thf(cclosed0, type, closed0 : ((cartrealn1 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_HALFSPACEu_COMPONENTu_GE, axiom, ![A:real,K:num]:(closed @ (gspec @ ^[GENR_PVARR_523:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_523 @ (realu_ge @ (d_ @ X @ K) @ A) @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_CLOSURE, axiom, ![F:(cartrealm > cartrealn1),S:(cartrealm > $o),T:(cartrealn1 > $o)]:(((closed0 @ T) & (continuousu_on @ F @ (closure @ S)) & ![X:cartrealm]:((in @ X @ S) => (in0 @ (F @ X) @ T))) => ![X:cartrealm]:((in @ X @ (closure @ S)) => (in0 @ (F @ X) @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec0 @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_0 @ X @ (numeral @ (bit1 @ u_0))))).
thf(aou_THM, axiom, ![F:(real > cartrealn1),G:(cartrealm > real),X:cartrealm]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(conjecture, conjecture, ![F:(cartrealm > real),S:(cartrealm > $o),A:real]:(((continuousu_on @ (o @ lift @ F) @ (closure @ S)) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ A @ (F @ X)))) => ![X:cartrealm]:((in @ X @ (closure @ S)) => (realu_le @ A @ (F @ X))))).
