%   ORIGINAL: CONTINUOUS_AGREE_ON_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_CONSTANT_ON_CLOSURE: !f s a. f continuous_on closure s /\ (!x. x IN s ==> f x = a) ==> (!x. x IN closure s ==> f x = a)
% Assm: CONTINUOUS_ON_SUB: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. f x - g x) continuous_on s
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Goal: !g h. g continuous_on closure s /\ h continuous_on closure s /\ (!x. x IN s ==> g x = h x) ==> (!x. x IN closure s ==> g x = h x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s a. f continuous_on closure s /\ (!x. x IN s ==> f x = a) ==> (!x. x IN closure s ==> f x = a)
% Assm: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. f x - g x) continuous_on s
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Goal: !s g h. g continuous_on closure s /\ h continuous_on closure s /\ (!x. x IN s ==> g x = h x) ==> (!x. x IN closure s ==> g x = h x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cclosure, type, closure : ((cartrealm > $o) > cartrealm > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_CONSTANTu_ONu_CLOSURE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealn]:(((continuousu_on @ F @ (closure @ S)) & ![X:cartrealm]:((in @ X @ S) => ((F @ X) = A))) => ![X:cartrealm]:((in @ X @ (closure @ S)) => ((F @ X) = A)))).
thf(aCONTINUOUSu_ONu_SUB, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (continuousu_on @ G @ S)) => (continuousu_on @ ^[X:cartrealm]:(vectoru_sub @ (F @ X) @ (G @ X)) @ S))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(conjecture, conjecture, ![S:(cartrealm > $o),G:(cartrealm > cartrealn),H:(cartrealm > cartrealn)]:(((continuousu_on @ G @ (closure @ S)) & (continuousu_on @ H @ (closure @ S)) & ![X:cartrealm]:((in @ X @ S) => ((G @ X) = (H @ X)))) => ![X:cartrealm]:((in @ X @ (closure @ S)) => ((G @ X) = (H @ X))))).
