%   ORIGINAL: CONTINUOUS_ON_LIFT_SQRT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: CONTINUOUS_WITHIN_LIFT_SQRT: !a s. (!x. x IN s ==> &0 <= drop x) ==> lift o sqrt o drop continuous at a within s
% Assm: TRUTH: T
% Goal: !s. (!x. x IN s ==> &0 <= drop x) ==> lift o sqrt o drop continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: !a s. (!x. x IN s ==> &0 <= drop x) ==> lift o sqrt o drop continuous at a within s
% Assm: T
% Goal: !s. (!x. x IN s ==> &0 <= drop x) ==> lift o sqrt o drop continuous_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(ccontinuous, type, continuous : ((cartrealn1 > cartrealn1) > netcartrealn1 > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cwithin, type, within : (netcartrealn1 > (cartrealn1 > $o) > netcartrealn1)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealn1]:((in @ X @ S) => (continuous @ F @ (within @ (at @ X) @ S))))).
thf(aCONTINUOUSu_WITHINu_LIFTu_SQRT, axiom, ![A:cartrealn1,S:(cartrealn1 > $o)]:(![X:cartrealn1]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ X))) => (continuous @ (o @ lift @ (o0 @ sqrt @ drop)) @ (within @ (at @ A) @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn1 > $o)]:(![X:cartrealn1]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ X))) => (continuousu_on @ (o @ lift @ (o0 @ sqrt @ drop)) @ S))).
