%   ORIGINAL: CONTINUOUS_ON_LIFT_SQRT_COMPOSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_COMPOSE: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: CONTINUOUS_ON_LIFT_SQRT: !s. (!x. x IN s ==> &0 <= drop x) ==> lift o sqrt o drop continuous_on s
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f s. lift o f continuous_on s /\ (!x. x IN s ==> &0 <= f x) ==> (\x. lift (sqrt (f x))) continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: !s. (!x. x IN s ==> &0 <= drop x) ==> lift o sqrt o drop continuous_on s
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. drop (lift x) = x
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f s. lift o f continuous_on s /\ (!x. x IN s ==> &0 <= f x) ==> (\x. lift (sqrt (f x))) continuous_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(co2, type, o2 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co1, type, o1 : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(co0, type, o0 : ((cartrealn1 > cartrealn1) > (cartrealn > cartrealn1) > cartrealn > cartrealn1)).
thf(cimage, type, image : ((cartrealn > cartrealn1) > (cartrealn > $o) > cartrealn1 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn > real) > cartrealn > cartrealn1)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_COMPOSE, axiom, ![F:(cartrealn > cartrealn1),G:(cartrealn1 > cartrealn1),S:(cartrealn > $o)]:(((continuousu_on @ F @ S) & (continuousu_on0 @ G @ (image @ F @ S))) => (continuousu_on @ (o0 @ G @ F) @ S))).
thf(aCONTINUOUSu_ONu_LIFTu_SQRT, axiom, ![S:(cartrealn1 > $o)]:(![X:cartrealn1]:((in0 @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ X))) => (continuousu_on0 @ (o1 @ lift @ (o2 @ sqrt @ drop)) @ S))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in @ X @ S) => (P @ (F @ X))))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(real > cartrealn1),G:(cartrealn > real)]:((o @ F @ G) = ^[X:cartrealn]:(F @ (G @ X)))).
thf(aou_THM, axiom, ![F:(real > cartrealn1),G:(cartrealn > real),X:cartrealn]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn > real),S:(cartrealn > $o)]:(((continuousu_on @ (o @ lift @ F) @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)))) => (continuousu_on @ ^[X:cartrealn]:(lift @ (sqrt @ (F @ X))) @ S))).
