%   ORIGINAL: UNIFORMLY_CONTINUOUS_IMP_CAUCHY_CONTINUOUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: cauchy: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: uniformly_continuous_on: !s f. f uniformly_continuous_on s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x x'. x IN s /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !f s. f uniformly_continuous_on s ==> (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Assm: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !s f. f uniformly_continuous_on s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x x'. x IN s /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !f s. f uniformly_continuous_on s ==> (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance0, type, distance0 : (prodcartrealmcartrealm > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cuniformlyuu_continuousuu_on, type, uniformlyu_continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(co, type, o : ((cartrealm > cartrealn) > (num > cartrealm) > num > cartrealn)).
thf(ccauchy0, type, cauchy0 : ((num > cartrealn) > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealm) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acauchyu_monomorphized1, axiom, ![S:(num > cartrealn)]:((cauchy0 @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:(((g_a_ @ M @ N) & (g_a_ @ N0 @ N)) => (realu_lt @ (distance @ (c_ @ (S @ M) @ (S @ N0))) @ E))))).
thf(acauchyu_monomorphized0, axiom, ![S:(num > cartrealm)]:((cauchy @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:(((g_a_ @ M @ N) & (g_a_ @ N0 @ N)) => (realu_lt @ (distance0 @ (c_0 @ (S @ M) @ (S @ N0))) @ E))))).
thf(aou_DEF, axiom, ![F:(cartrealm > cartrealn),G:(num > cartrealm)]:((o @ F @ G) = ^[X:num]:(F @ (G @ X)))).
thf(auniformlyu_continuousu_on, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((uniformlyu_continuousu_on @ F @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealm,XI_:cartrealm]:(((in @ X @ S) & (in @ XI_ @ S) & (realu_lt @ (distance0 @ (c_0 @ XI_ @ X)) @ D)) => (realu_lt @ (distance @ (c_ @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((uniformlyu_continuousu_on @ F @ S) => ![X:(num > cartrealm)]:(((cauchy @ X) & ![N:num]:(in @ (X @ N) @ S)) => (cauchy0 @ (o @ F @ X))))).
