%   ORIGINAL: CONTINUOUS_CLOSED_IMP_CAUCHY_CONTINUOUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLETE_EQ_CLOSED: !s. complete s <=> closed s
% Assm: CONTINUOUS_ON_SEQUENTIALLY: !f s. f continuous_on s <=> (!x a. a IN s /\ (!n. x n IN s) /\ (x --> a) sequentially ==> (f o x --> f a) sequentially)
% Assm: CONVERGENT_IMP_CAUCHY: !s l. (s --> l) sequentially ==> cauchy s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complete: !s. complete s <=> (!f. (!n. f n IN s) /\ cauchy f ==> (?l. l IN s /\ (f --> l) sequentially))
% Goal: !f s. f continuous_on s /\ closed s ==> (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. complete s <=> closed s
% Assm: !f s. f continuous_on s <=> (!x a. a IN s /\ (!n. x n IN s) /\ (x --> a) sequentially ==> (f o x --> f a) sequentially)
% Assm: !s l. (s --> l) sequentially ==> cauchy s
% Assm: !s l. (s --> l) sequentially ==> cauchy s
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !s. complete s <=> (!f. (!n. f n IN s) /\ cauchy f ==> (?l. l IN s /\ (f --> l) sequentially))
% Goal: !f s. f continuous_on s /\ closed s ==> (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealm) > cartrealm > netnum > $o)).
thf(co, type, o : ((cartrealm > cartrealn) > (num > cartrealm) > num > cartrealn)).
thf(ccomplete, type, complete : ((cartrealm > $o) > $o)).
thf(ccauchy0, type, cauchy0 : ((num > cartrealn) > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealm) > $o)).
thf(cclosed, type, closed : ((cartrealm > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLETEu_EQu_CLOSED, axiom, ![S:(cartrealm > $o)]:((complete @ S) <=> (closed @ S))).
thf(aCONTINUOUSu_ONu_SEQUENTIALLY, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![X:(num > cartrealm),A:cartrealm]:(((in @ A @ S) & ![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ A @ sequentially)) => (m_m_g_0 @ (o @ F @ X) @ (F @ A) @ sequentially)))).
thf(aCONVERGENTu_IMPu_CAUCHYu_monomorphized1, axiom, ![S:(num > cartrealn),L:cartrealn]:((m_m_g_0 @ S @ L @ sequentially) => (cauchy0 @ S))).
thf(aCONVERGENTu_IMPu_CAUCHYu_monomorphized0, axiom, ![S:(num > cartrealm),L:cartrealm]:((m_m_g_ @ S @ L @ sequentially) => (cauchy @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplete, axiom, ![S:(cartrealm > $o)]:((complete @ S) <=> ![F:(num > cartrealm)]:((![N:num]:(in @ (F @ N) @ S) & (cauchy @ F)) => ?[L:cartrealm]:((in @ L @ S) & (m_m_g_ @ F @ L @ sequentially))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (closed @ S)) => ![X:(num > cartrealm)]:(((cauchy @ X) & ![N:num]:(in @ (X @ N) @ S)) => (cauchy0 @ (o @ F @ X))))).
