%   ORIGINAL: UNIFORMLY_CONTINUOUS_EXTENDS_TO_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CAUCHY_CONTINUOUS_EXTENDS_TO_CLOSURE: !f s. (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x)) ==> (?g. g continuous_on closure s /\ (!x. x IN s ==> g x = f x))
% Assm: CONTINUOUS_AGREE_ON_CLOSURE: !g h. g continuous_on closure s /\ h continuous_on closure s /\ (!x. x IN s ==> g x = h x) ==> (!x. x IN closure s ==> g x = h x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: UNIFORMLY_CONTINUOUS_IMP_CAUCHY_CONTINUOUS: !f s. f uniformly_continuous_on s ==> (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x))
% Assm: UNIFORMLY_CONTINUOUS_ON_CLOSURE: !f s. f uniformly_continuous_on s /\ f continuous_on closure s ==> f uniformly_continuous_on closure s
% Assm: UNIFORMLY_CONTINUOUS_ON_EQ: !f g s. (!x. x IN s ==> f x = g x) /\ f uniformly_continuous_on s ==> g uniformly_continuous_on s
% Goal: !f s. f uniformly_continuous_on s ==> (?g. g uniformly_continuous_on closure s /\ (!x. x IN s ==> g x = f x) /\ (!h. h continuous_on closure s /\ (!x. x IN s ==> h x = f x) ==> (!x. x IN closure s ==> h x = g x)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x)) ==> (?g. g continuous_on closure s /\ (!x. x IN s ==> g x = f x))
% Assm: !s g h. g continuous_on closure s /\ h continuous_on closure s /\ (!x. x IN s ==> g x = h x) ==> (!x. x IN closure s ==> g x = h x)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f s. f uniformly_continuous_on s ==> (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x))
% Assm: !f s. f uniformly_continuous_on s /\ f continuous_on closure s ==> f uniformly_continuous_on closure s
% Assm: !f g s. (!x. x IN s ==> f x = g x) /\ f uniformly_continuous_on s ==> g uniformly_continuous_on s
% Goal: !f s. f uniformly_continuous_on s ==> (?g. g uniformly_continuous_on closure s /\ (!x. x IN s ==> g x = f x) /\ (!h. h continuous_on closure s /\ (!x. x IN s ==> h x = f x) ==> (!x. x IN closure s ==> h x = g x)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cclosure, type, closure : ((cartrealm > $o) > cartrealm > $o)).
thf(cuniformlyuu_continuousuu_on, type, uniformlyu_continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(co, type, o : ((cartrealm > cartrealn) > (num > cartrealm) > num > cartrealn)).
thf(ccauchy0, type, cauchy0 : ((num > cartrealn) > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealm) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCAUCHYu_CONTINUOUSu_EXTENDSu_TOu_CLOSURE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![X:(num > cartrealm)]:(((cauchy @ X) & ![N:num]:(in @ (X @ N) @ S)) => (cauchy0 @ (o @ F @ X))) => ?[G:(cartrealm > cartrealn)]:((continuousu_on @ G @ (closure @ S)) & ![X:cartrealm]:((in @ X @ S) => ((G @ X) = (F @ X)))))).
thf(aCONTINUOUSu_AGREEu_ONu_CLOSURE, axiom, ![S:(cartrealm > $o),G:(cartrealm > cartrealn),H:(cartrealm > cartrealn)]:(((continuousu_on @ G @ (closure @ S)) & (continuousu_on @ H @ (closure @ S)) & ![X:cartrealm]:((in @ X @ S) => ((G @ X) = (H @ X)))) => ![X:cartrealm]:((in @ X @ (closure @ S)) => ((G @ X) = (H @ X))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aUNIFORMLYu_CONTINUOUSu_IMPu_CAUCHYu_CONTINUOUS, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((uniformlyu_continuousu_on @ F @ S) => ![X:(num > cartrealm)]:(((cauchy @ X) & ![N:num]:(in @ (X @ N) @ S)) => (cauchy0 @ (o @ F @ X))))).
thf(aUNIFORMLYu_CONTINUOUSu_ONu_CLOSURE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((uniformlyu_continuousu_on @ F @ S) & (continuousu_on @ F @ (closure @ S))) => (uniformlyu_continuousu_on @ F @ (closure @ S)))).
thf(aUNIFORMLYu_CONTINUOUSu_ONu_EQ, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => ((F @ X) = (G @ X))) & (uniformlyu_continuousu_on @ F @ S)) => (uniformlyu_continuousu_on @ G @ S))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((uniformlyu_continuousu_on @ F @ S) => ?[G:(cartrealm > cartrealn)]:((uniformlyu_continuousu_on @ G @ (closure @ S)) & ![X:cartrealm]:((in @ X @ S) => ((G @ X) = (F @ X))) & ![H:(cartrealm > cartrealn)]:(((continuousu_on @ H @ (closure @ S)) & ![X:cartrealm]:((in @ X @ S) => ((H @ X) = (F @ X)))) => ![X:cartrealm]:((in @ X @ (closure @ S)) => ((H @ X) = (G @ X))))))).
