%   ORIGINAL: LINEAR_CONTINUOUS_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_AT_WITHIN: !f x s. f continuous at x ==> f continuous at x within s
% Assm: LINEAR_CONTINUOUS_AT: !f a. linear f ==> f continuous at a
% Assm: TRUTH: T
% Goal: !f s x. linear f ==> f continuous at x within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f x s. f continuous at x ==> f continuous at x within s
% Assm: !f a. linear f ==> f continuous at a
% Assm: T
% Goal: !f s x. linear f ==> f continuous at x within s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ATu_WITHIN, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,S:(cartrealm > $o)]:((continuous @ F @ (at @ X)) => (continuous @ F @ (within @ (at @ X) @ S)))).
thf(aLINEARu_CONTINUOUSu_AT, axiom, ![F:(cartrealm > cartrealn),A:cartrealm]:((linear @ F) => (continuous @ F @ (at @ A)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),X:cartrealm]:((linear @ F) => (continuous @ F @ (within @ (at @ X) @ S)))).
