%   ORIGINAL: LINEAR_CONTINUOUS_ON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_AT_IMP_CONTINUOUS_ON: !f s. (!x. x IN s ==> f continuous at x) ==> f continuous_on s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LINEAR_CONTINUOUS_AT: !f a. linear f ==> f continuous at a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. linear f ==> f continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. (!x. x IN s ==> f continuous at x) ==> f continuous_on s
% Assm: !t. (\x. t x) = t
% Assm: !f a. linear f ==> f continuous at a
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. linear f ==> f continuous_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ATu_IMPu_CONTINUOUSu_ON, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![X:cartrealm]:((in @ X @ S) => (continuous @ F @ (at @ X))) => (continuousu_on @ F @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLINEARu_CONTINUOUSu_AT, axiom, ![F:(cartrealm > cartrealn),A:cartrealm]:((linear @ F) => (continuous @ F @ (at @ A)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => (continuousu_on @ F @ S))).
