%   ORIGINAL: CONTINUOUS_AT_COMPOSE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_AT_COMPOSE: !f g x. f continuous at x /\ g continuous at (f x) ==> g o f continuous at x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g h. g continuous at x /\ h continuous at (g x) /\ (!y. g (h y) = y) /\ h (g x) = x ==> (f continuous at (g x) <=> (\x. f (g x)) continuous at x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g x. f continuous at x /\ g continuous at (f x) ==> g o f continuous at x
% Assm: !f g x. f continuous at x /\ g continuous at (f x) ==> g o f continuous at x
% Assm: !t. (\x. t x) = t
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !x f g h. g continuous at x /\ h continuous at (g x) /\ (!y. g (h y) = y) /\ h (g x) = x ==> (f continuous at (g x) <=> (\x. f (g x)) continuous at x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(td, type, d : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(ccontinuous0, type, continuous0 : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealm) > netcartrealm > $o)).
thf(co4, type, o4 : ((c > d) > (b > c) > b > d)).
thf(co3, type, o3 : ((b > d) > (a > b) > a > d)).
thf(co2, type, o2 : ((b > c) > (a > b) > a > c)).
thf(co1, type, o1 : ((c > d) > (a > c) > a > d)).
thf(co0, type, o0 : ((cartrealm > cartrealm) > (cartrealm > cartrealm) > cartrealm > cartrealm)).
thf(co, type, o : ((cartrealm > cartrealn) > (cartrealm > cartrealm) > cartrealm > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ATu_COMPOSEu_monomorphized1, axiom, ![F:(cartrealm > cartrealm),G:(cartrealm > cartrealn),X:cartrealm]:(((continuous @ F @ (at @ X)) & (continuous0 @ G @ (at @ (F @ X)))) => (continuous0 @ (o @ G @ F) @ (at @ X)))).
thf(aCONTINUOUSu_ATu_COMPOSEu_monomorphized0, axiom, ![F:(cartrealm > cartrealm),G:(cartrealm > cartrealm),X:cartrealm]:(((continuous @ F @ (at @ X)) & (continuous @ G @ (at @ (F @ X)))) => (continuous @ (o0 @ G @ F) @ (at @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(c > d),G:(b > c),H:(a > b)]:((o1 @ F @ (o2 @ G @ H)) = (o3 @ (o4 @ F @ G) @ H))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o2 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![X:cartrealm,F:(cartrealm > cartrealn),G:(cartrealm > cartrealm),H:(cartrealm > cartrealm)]:(((continuous @ G @ (at @ X)) & (continuous @ H @ (at @ (G @ X))) & ![Y:cartrealm]:((G @ (H @ Y)) = Y) & ((H @ (G @ X)) = X)) => ((continuous0 @ F @ (at @ (G @ X))) <=> (continuous0 @ ^[X:cartrealm]:(F @ (G @ X)) @ (at @ X))))).
