%   ORIGINAL: CONTINUOUS_AT_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_AT_COMPOSE_EQ: !f g h. g continuous at x /\ h continuous at (g x) /\ (!y. g (h y) = y) /\ h (g x) = x ==> (f continuous at (g x) <=> (\x. f (g x)) continuous at x)
% Assm: LINEAR_CONTINUOUS_AT: !f a. linear f ==> f continuous at a
% Assm: ORTHOGONAL_TRANSFORMATION: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: ORTHOGONAL_TRANSFORMATION_INVERSE: !f. orthogonal_transformation f ==> (?g. orthogonal_transformation g /\ (!x. g (f x) = x) /\ (!y. f (g y) = y))
% Assm: TRUTH: T
% Goal: !h z f. linear h /\ (!x. norm (h x) = norm x) ==> (f continuous at (h z) <=> (\x. f (h x)) continuous at z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x f g h. g continuous at x /\ h continuous at (g x) /\ (!y. g (h y) = y) /\ h (g x) = x ==> (f continuous at (g x) <=> (\x. f (g x)) continuous at x)
% Assm: !f a. linear f ==> f continuous at a
% Assm: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: !f. orthogonal_transformation f ==> (?g. orthogonal_transformation g /\ (!x. g (f x) = x) /\ (!y. f (g y) = y))
% Assm: T
% Goal: !h z f. linear h /\ (!x. norm (h x) = norm x) ==> (f continuous at (h z) <=> (\x. f (h x)) continuous at z)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(ccontinuous0, type, continuous0 : ((cartrealm > cartrealm) > netcartrealm > $o)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealm > real)).
thf(corthogonaluu_transformation0, type, orthogonalu_transformation0 : ((cartrealn > cartrealn) > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealm > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealm) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ATu_COMPOSEu_EQ, axiom, ![X:cartrealm,F:(cartrealm > cartrealn),G:(cartrealm > cartrealm),H:(cartrealm > cartrealm)]:(((continuous0 @ G @ (at @ X)) & (continuous0 @ H @ (at @ (G @ X))) & ![Y:cartrealm]:((G @ (H @ Y)) = Y) & ((H @ (G @ X)) = X)) => ((continuous @ F @ (at @ (G @ X))) <=> (continuous @ ^[X:cartrealm]:(F @ (G @ X)) @ (at @ X))))).
thf(aLINEARu_CONTINUOUSu_AT, axiom, ![F:(cartrealm > cartrealm),A:cartrealm]:((linear @ F) => (continuous0 @ F @ (at @ A)))).
thf(aORTHOGONALu_TRANSFORMATION, axiom, ![F:(cartrealm > cartrealm)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealm]:((vectoru_norm @ (F @ V)) = (vectoru_norm @ V))))).
thf(aORTHOGONALu_TRANSFORMATIONu_INVERSE, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation0 @ F) => ?[G:(cartrealn > cartrealn)]:((orthogonalu_transformation0 @ G) & ![X:cartrealn]:((G @ (F @ X)) = X) & ![Y:cartrealn]:((F @ (G @ Y)) = Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:(cartrealm > cartrealm),Z:cartrealm,F:(cartrealm > cartrealn)]:(((linear @ H) & ![X:cartrealm]:((vectoru_norm @ (H @ X)) = (vectoru_norm @ X))) => ((continuous @ F @ (at @ (H @ Z))) <=> (continuous @ ^[X:cartrealm]:(F @ (H @ X)) @ (at @ Z))))).
