%   ORIGINAL: CONTINUOUS_LEVELSET_OPEN_IN_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_CLOPEN: !s. connected s <=> (!t. open_in (subtopology euclidean s) t /\ closed_in (subtopology euclidean s) t ==> t = {} \/ t = s)
% Assm: CONTINUOUS_CLOSED_IN_PREIMAGE_CONSTANT: !f s a. f continuous_on s ==> closed_in (subtopology euclidean s) {x | x IN s /\ f x = a}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !f s a. connected s /\ f continuous_on s /\ open_in (subtopology euclidean s) {x | x IN s /\ f x = a} ==> (!x. x IN s ==> ~(f x = a)) \/ (!x. x IN s ==> f x = a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. connected s <=> (!t. open_in (subtopology euclidean s) t /\ closed_in (subtopology euclidean s) t ==> t = {} \/ t = s)
% Assm: !f s a. f continuous_on s ==> closed_in (subtopology euclidean s) {x | x IN s /\ f x = a}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !f s a. connected s /\ f continuous_on s /\ open_in (subtopology euclidean s) {x | x IN s /\ f x = a} ==> (!x. x IN s ==> ~(f x = a)) \/ (!x. x IN s ==> f x = a)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(ttopologycartrealm, type, topologycartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ceuclidean, type, euclidean : topologycartrealm).
thf(ccloseduu_in, type, closedu_in : (topologycartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(csubtopology, type, subtopology : (topologycartrealm > (cartrealm > $o) > topologycartrealm)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cconnected, type, connected : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_CLOPEN, axiom, ![S:(cartrealm > $o)]:((connected @ S) <=> ![T:(cartrealm > $o)]:(((openu_in @ (subtopology @ euclidean @ S) @ T) & (closedu_in @ (subtopology @ euclidean @ S) @ T)) => ((T = empty) | (T = S))))).
thf(aCONTINUOUSu_CLOSEDu_INu_PREIMAGEu_CONSTANT, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealn]:((continuousu_on @ F @ S) => (closedu_in @ (subtopology @ euclidean @ S) @ (gspec @ ^[GENR_PVARR_572:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_572 @ ((in @ X @ S) & ((F @ X) = A)) @ X))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealm]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealn]:(((connected @ S) & (continuousu_on @ F @ S) & (openu_in @ (subtopology @ euclidean @ S) @ (gspec @ ^[GENR_PVARR_581:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_581 @ ((in @ X @ S) & ((F @ X) = A)) @ X)))) => (![X:cartrealm]:((in @ X @ S) => ~ (((F @ X) = A))) | ![X:cartrealm]:((in @ X @ S) => ((F @ X) = A))))).
