%   ORIGINAL: CONTINUOUS_LEVELSET_OPEN_IN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_LEVELSET_OPEN_IN_CASES: !f s a. connected s /\ f continuous_on s /\ open_in (subtopology euclidean s) {x | x IN s /\ f x = a} ==> (!x. x IN s ==> ~(f x = a)) \/ (!x. x IN s ==> f x = a)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s a. connected s /\ f continuous_on s /\ open_in (subtopology euclidean s) {x | x IN s /\ f x = a} /\ (?x. x IN s /\ f x = a) ==> (!x. x IN s ==> f x = a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s a. connected s /\ f continuous_on s /\ open_in (subtopology euclidean s) {x | x IN s /\ f x = a} ==> (!x. x IN s ==> ~(f x = a)) \/ (!x. x IN s ==> f x = a)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f s a. connected s /\ f continuous_on s /\ open_in (subtopology euclidean s) {x | x IN s /\ f x = a} /\ (?x. x IN s /\ f x = a) ==> (!x. x IN s ==> f x = a)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(ttopologycartrealm, type, topologycartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ceuclidean, type, euclidean : topologycartrealm).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(csubtopology, type, subtopology : (topologycartrealm > (cartrealm > $o) > topologycartrealm)).
thf(cconnected, type, connected : ((cartrealm > $o) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_LEVELSETu_OPENu_INu_CASES, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealn]:(((connected @ S) & (continuousu_on @ F @ S) & (openu_in @ (subtopology @ euclidean @ S) @ (gspec @ ^[GENR_PVARR_581:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_581 @ ((in @ X @ S) & ((F @ X) = A)) @ X)))) => (![X:cartrealm]:((in @ X @ S) => ~ (((F @ X) = A))) | ![X:cartrealm]:((in @ X @ S) => ((F @ X) = A))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealn]:(((connected @ S) & (continuousu_on @ F @ S) & (openu_in @ (subtopology @ euclidean @ S) @ (gspec @ ^[GENR_PVARR_582:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_582 @ ((in @ X @ S) & ((F @ X) = A)) @ X))) & ?[X:cartrealm]:((in @ X @ S) & ((F @ X) = A))) => ![X:cartrealm]:((in @ X @ S) => ((F @ X) = A)))).
