%   ORIGINAL: CONTINUOUS_LEVELSET_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_LEVELSET_OPEN_IN: !f s a. connected s /\ f continuous_on s /\ open_in (subtopology euclidean s) {x | x IN s /\ f x = a} /\ (?x. x IN s /\ f x = a) ==> (!x. x IN s ==> f x = a)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_OPEN: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: TRUTH: T
% Goal: !f s a. connected s /\ f continuous_on s /\ open {x | x IN s /\ f x = a} /\ (?x. x IN s /\ f x = a) ==> (!x. x IN s ==> f x = a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s a. connected s /\ f continuous_on s /\ open_in (subtopology euclidean s) {x | x IN s /\ f x = a} /\ (?x. x IN s /\ f x = a) ==> (!x. x IN s ==> f x = a)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: T
% Goal: !f s a. connected s /\ f continuous_on s /\ open {x | x IN s /\ f x = a} /\ (?x. x IN s /\ f x = a) ==> (!x. x IN s ==> f x = a)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(ttopologycartrealm, type, topologycartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ceuclidean, type, euclidean : topologycartrealm).
thf(copenuu_in, type, openu_in : (topologycartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cinter, type, inter : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(csubtopology, type, subtopology : (topologycartrealm > (cartrealm > $o) > topologycartrealm)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(copen, type, open : ((cartrealm > $o) > $o)).
thf(cconnected, type, connected : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_LEVELSETu_OPENu_IN, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealn]:(((connected @ S) & (continuousu_on @ F @ S) & (openu_in @ (subtopology @ euclidean @ S) @ (gspec @ ^[GENR_PVARR_582:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_582 @ ((in @ X @ S) & ((F @ X) = A)) @ X))) & ?[X:cartrealm]:((in @ X @ S) & ((F @ X) = A))) => ![X:cartrealm]:((in @ X @ S) => ((F @ X) = A)))).
thf(aEXTENSION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_OPEN, axiom, ![S:(cartrealm > $o),U:(cartrealm > $o)]:((openu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealm > $o)]:((open @ T) & (S = (inter @ U @ T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealn]:(((connected @ S) & (continuousu_on @ F @ S) & (open @ (gspec @ ^[GENR_PVARR_584:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_584 @ ((in @ X @ S) & ((F @ X) = A)) @ X))) & ?[X:cartrealm]:((in @ X @ S) & ((F @ X) = A))) => ![X:cartrealm]:((in @ X @ S) => ((F @ X) = A)))).
