%   ORIGINAL: CONTINUOUS_DISCRETE_RANGE_CONSTANT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_LEVELSET_OPEN_IN: !f s a. connected s /\ f continuous_on s /\ open_in (subtopology euclidean s) {x | x IN s /\ f x = a} /\ (?x. x IN s /\ f x = a) ==> (!x. x IN s ==> f x = a)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: continuous_on: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: open_in: !u s. open_in (subtopology euclidean u) s <=> s SUBSET u /\ (!x. x IN s ==> (?e. &0 < e /\ (!x'. x' IN u /\ dist (x',x) < e ==> x' IN s)))
% Goal: !f s. connected s /\ f continuous_on s /\ (!x. x IN s ==> (?e. &0 < e /\ (!y. y IN s /\ ~(f y = f x) ==> e <= norm (f y - f x)))) ==> (?a. !x. x IN s ==> f x = a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s a. connected s /\ f continuous_on s /\ open_in (subtopology euclidean s) {x | x IN s /\ f x = a} /\ (?x. x IN s /\ f x = a) ==> (!x. x IN s ==> f x = a)
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !u s. open_in (subtopology euclidean u) s <=> s SUBSET u /\ (!x. x IN s ==> (?e. &0 < e /\ (!x'. x' IN u /\ dist (x',x) < e ==> x' IN s)))
% Goal: !f s. connected s /\ f continuous_on s /\ (!x. x IN s ==> (?e. &0 < e /\ (!y. y IN s /\ ~(f y = f x) ==> e <= norm (f y - f x)))) ==> (?a. !x. x IN s ==> f x = a)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(ttopologycartrealm, type, topologycartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ceuclidean, type, euclidean : topologycartrealm).
thf(cdistance0, type, distance0 : (prodcartrealncartrealn > real)).
thf(cdistance, type, distance : (prodcartrealmcartrealm > real)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealm > (cartrealm > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(csubtopology, type, subtopology : (topologycartrealm > (cartrealm > $o) > topologycartrealm)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cconnected, type, connected : ((cartrealm > $o) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_LEVELSETu_OPENu_IN, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealn]:(((connected @ S) & (continuousu_on @ F @ S) & (openu_in @ (subtopology @ euclidean @ S) @ (gspec @ ^[GENR_PVARR_582:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_582 @ ((in @ X @ S) & ((F @ X) = A)) @ X))) & ?[X:cartrealm]:((in @ X @ S) & ((F @ X) = A))) => ![X:cartrealm]:((in @ X @ S) => ((F @ X) = A)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealm > $o)]:(?[X:cartrealm]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealm]:~ ((in @ X @ empty))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(acontinuousu_on, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((continuousu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealm]:(((in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => (realu_lt @ (distance0 @ (c_0 @ (F @ XI_) @ (F @ X))) @ E))))))).
thf(adist, axiom, ![X:cartrealn,Y:cartrealn]:((distance0 @ (c_0 @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(aopenu_in, axiom, ![U:(cartrealm > $o),S:(cartrealm > $o)]:((openu_in @ (subtopology @ euclidean @ U) @ S) <=> ((subset @ S @ U) & ![X:cartrealm]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![XI_:cartrealm]:(((in @ XI_ @ U) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ E)) => (in @ XI_ @ S))))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((connected @ S) & (continuousu_on @ F @ S) & ![X:cartrealm]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![Y:cartrealm]:(((in @ Y @ S) & ~ (((F @ Y) = (F @ X)))) => (realu_le @ E @ (vectoru_norm @ (vectoru_sub @ (F @ Y) @ (F @ X)))))))) => ?[A:cartrealn]:![X:cartrealm]:((in @ X @ S) => ((F @ X) = A)))).
