%   ORIGINAL: CONNECTED_COMPONENT_REFL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_SING: !a. connected {a}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: connected_component: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Goal: !s x. x IN s ==> connected_component s x x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a. connected {a}
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Goal: !s x. x IN s ==> connected_component s x x
%  TYPES
thf(tq171059, type, q171059 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq171059, type, cartrealq171059 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert0, type, insert0 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealq171059 > (cartrealq171059 > $o) > cartrealq171059 > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cconnected0, type, connected0 : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealq171059 > $o)).
thf(cconnected, type, connected : ((cartrealq171059 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_SING, axiom, ![A:cartrealq171059]:(connected @ (insert @ A @ empty))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aconnectedu_component, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((connectedu_component @ S @ X @ Y) <=> ?[T:(cartrealn > $o)]:((connected0 @ T) & (subset @ T @ S) & (in @ X @ T) & (in @ Y @ T)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (connectedu_component @ S @ X @ X))).
