%   ORIGINAL: CONNECTED_COMPONENT_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_SYM: !s x y. connected_component s x y ==> connected_component s y x
% Assm: CONNECTED_COMPONENT_TRANS: !s x y. connected_component s x y /\ connected_component s y z ==> connected_component s x z
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s x y. y IN connected_component s x ==> connected_component s y = connected_component s x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x y. connected_component s x y ==> connected_component s y x
% Assm: !z s x y. connected_component s x y /\ connected_component s y z ==> connected_component s x z
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: T
% Goal: !s x y. y IN connected_component s x ==> connected_component s y = connected_component s x
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq198683, type, cartrealq198683 : $tType).
thf(tq198683, type, q198683 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealq198683 > (cartrealq198683 > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealq198683 > $o) > cartrealq198683 > cartrealq198683 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq198683 > $o),G:(a > cartrealq198683 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_SYM, axiom, ![S:(cartrealq198683 > $o),X:cartrealq198683,Y:cartrealq198683]:((connectedu_component @ S @ X @ Y) => (connectedu_component @ S @ Y @ X))).
thf(aCONNECTEDu_COMPONENTu_TRANS, axiom, ![Z:cartrealq198683,S:(cartrealq198683 > $o),X:cartrealq198683,Y:cartrealq198683]:(((connectedu_component @ S @ X @ Y) & (connectedu_component @ S @ Y @ Z)) => (connectedu_component @ S @ X @ Z))).
thf(aETAu_AX, axiom, ![T:(cartrealq198683 > $o)]:(^[X:cartrealq198683]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq198683 > $o),T:(cartrealq198683 > $o)]:((S = T) <=> ![X:cartrealq198683]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealq198683 > $o),X:cartrealq198683]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq198683 > $o),X:cartrealq198683,Y:cartrealq198683]:((in @ Y @ (connectedu_component @ S @ X)) => ((connectedu_component @ S @ Y) = (connectedu_component @ S @ X)))).
