%   ORIGINAL: CLOSED_CONNECTED_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_EMPTY: closed {}
% Assm: CLOSURE_EQ: !s. closure s = s <=> closed s
% Assm: CLOSURE_MINIMAL: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: CONNECTED_CLOSURE: !s. connected s ==> connected (closure s)
% Assm: CONNECTED_COMPONENT_EQ_EMPTY: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: CONNECTED_COMPONENT_MAXIMAL: !s t x. x IN t /\ connected t /\ t SUBSET s ==> t SUBSET connected_component s x
% Assm: CONNECTED_COMPONENT_REFL_EQ: !s x. connected_component s x x <=> x IN s
% Assm: CONNECTED_COMPONENT_SUBSET: !s x. connected_component s x SUBSET s
% Assm: CONNECTED_CONNECTED_COMPONENT: !s x. connected (connected_component s x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !s x. closed s ==> closed (connected_component s x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: closed {}
% Assm: !s. closure s = s <=> closed s
% Assm: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: !s. s SUBSET closure s
% Assm: !s. connected s ==> connected (closure s)
% Assm: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: !s t x. x IN t /\ connected t /\ t SUBSET s ==> t SUBSET connected_component s x
% Assm: !s x. connected_component s x x <=> x IN s
% Assm: !s x. connected_component s x SUBSET s
% Assm: !s x. connected (connected_component s x)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !s x. closed s ==> closed (connected_component s x)
%  TYPES
thf(tcartrealq172643, type, cartrealq172643 : $tType).
thf(tq172643, type, q172643 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cclosure0, type, closure0 : ((cartrealq172643 > $o) > cartrealq172643 > $o)).
thf(csubset0, type, subset0 : ((cartrealq172643 > $o) > (cartrealq172643 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_EMPTY, axiom, (closed @ empty)).
thf(aCLOSUREu_EQ, axiom, ![S:(cartrealn > $o)]:(((closure @ S) = S) <=> (closed @ S))).
thf(aCLOSUREu_MINIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (closed @ T)) => (subset @ (closure @ S) @ T))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealq172643 > $o)]:(subset0 @ S @ (closure0 @ S))).
thf(aCONNECTEDu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((connected @ S) => (connected @ (closure @ S)))).
thf(aCONNECTEDu_COMPONENTu_EQu_EMPTY, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((connectedu_component @ S @ X) = empty) <=> ~ ((in @ X @ S)))).
thf(aCONNECTEDu_COMPONENTu_MAXIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:(((in @ X @ T) & (connected @ T) & (subset @ T @ S)) => (subset @ T @ (connectedu_component @ S @ X)))).
thf(aCONNECTEDu_COMPONENTu_REFLu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn]:((connectedu_component @ S @ X @ X) <=> (in @ X @ S))).
thf(aCONNECTEDu_COMPONENTu_SUBSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:(subset @ (connectedu_component @ S @ X) @ S)).
thf(aCONNECTEDu_CONNECTEDu_COMPONENT, axiom, ![S:(cartrealn > $o),X:cartrealn]:(connected @ (connectedu_component @ S @ X))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset1 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(a > $o),T:(a > $o)]:(((subset1 @ S @ T) & (subset1 @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:((closed @ S) => (closed @ (connectedu_component @ S @ X)))).
