%   ORIGINAL: CONNECTED_COMPONENT_DISJOINT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_SYM: !s x y. connected_component s x y ==> connected_component s y x
% Assm: CONNECTED_COMPONENT_TRANS: !s x y. connected_component s x y /\ connected_component s y z ==> connected_component s x z
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !s a b. DISJOINT (connected_component s a) (connected_component s b) <=> ~(a IN connected_component s b)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x y. connected_component s x y ==> connected_component s y x
% Assm: !z s x y. connected_component s x y /\ connected_component s y z ==> connected_component s x z
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !s a b. DISJOINT (connected_component s a) (connected_component s b) <=> ~(a IN connected_component s b)
%  TYPES
thf(tcartrealq198736, type, cartrealq198736 : $tType).
thf(ta, type, a : $tType).
thf(tq198736, type, q198736 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (cartrealq198736 > (cartrealq198736 > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealq198736 > $o) > (cartrealq198736 > $o) > $o)).
thf(cinter, type, inter : ((cartrealq198736 > $o) > (cartrealq198736 > $o) > cartrealq198736 > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealq198736 > $o) > cartrealq198736 > cartrealq198736 > $o)).
thf(cempty, type, empty : (cartrealq198736 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_SYM, axiom, ![S:(cartrealq198736 > $o),X:cartrealq198736,Y:cartrealq198736]:((connectedu_component @ S @ X @ Y) => (connectedu_component @ S @ Y @ X))).
thf(aCONNECTEDu_COMPONENTu_TRANS, axiom, ![Z:cartrealq198736,S:(cartrealq198736 > $o),X:cartrealq198736,Y:cartrealq198736]:(((connectedu_component @ S @ X @ Y) & (connectedu_component @ S @ Y @ Z)) => (connectedu_component @ S @ X @ Z))).
thf(aDISJOINT, axiom, ![S:(cartrealq198736 > $o),T:(cartrealq198736 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq198736 > $o),T:(cartrealq198736 > $o)]:((S = T) <=> ![X:cartrealq198736]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealq198736 > $o),X:cartrealq198736]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealq198736 > $o),T:(cartrealq198736 > $o),X:cartrealq198736]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq198736]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq198736 > $o),A:cartrealq198736,B:cartrealq198736]:((disjoint @ (connectedu_component @ S @ A) @ (connectedu_component @ S @ B)) <=> ~ ((in @ A @ (connectedu_component @ S @ B))))).
