%   ORIGINAL: CONNECTED_COMPONENT_NONOVERLAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_DISJOINT: !s a b. DISJOINT (connected_component s a) (connected_component s b) <=> ~(a IN connected_component s b)
% Assm: CONNECTED_COMPONENT_EQ: !s x y. y IN connected_component s x ==> connected_component s y = connected_component s x
% Assm: CONNECTED_COMPONENT_EQ_EMPTY: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: INTER_EMPTY_conjunct0: !s. {} INTER s = {}
% Assm: INTER_EMPTY_conjunct1: !s. s INTER {} = {}
% Assm: INTER_IDEMPOT: !s. s INTER s = s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s a b. connected_component s a INTER connected_component s b = {} <=> ~(a IN s) \/ ~(b IN s) \/ ~(connected_component s a = connected_component s b)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a b. DISJOINT (connected_component s a) (connected_component s b) <=> ~(a IN connected_component s b)
% Assm: !s x y. y IN connected_component s x ==> connected_component s y = connected_component s x
% Assm: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s. {} INTER s = {}
% Assm: !s. s INTER {} = {}
% Assm: !s. s INTER s = s
% Assm: ~F <=> T
% Assm: T
% Goal: !s a b. connected_component s a INTER connected_component s b = {} <=> ~(a IN s) \/ ~(b IN s) \/ ~(connected_component s a = connected_component s b)
%  TYPES
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_DISJOINT, axiom, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:((disjoint @ (connectedu_component @ S @ A) @ (connectedu_component @ S @ B)) <=> ~ ((in @ A @ (connectedu_component @ S @ B))))).
thf(aCONNECTEDu_COMPONENTu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ Y @ (connectedu_component @ S @ X)) => ((connectedu_component @ S @ Y) = (connectedu_component @ S @ X)))).
thf(aCONNECTEDu_COMPONENTu_EQu_EMPTY, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((connectedu_component @ S @ X) = empty) <=> ~ ((in @ X @ S)))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aINTERu_EMPTYu_conjunct0, axiom, ![S:(cartrealn > $o)]:((inter @ empty @ S) = empty)).
thf(aINTERu_EMPTYu_conjunct1, axiom, ![S:(cartrealn > $o)]:((inter @ S @ empty) = empty)).
thf(aINTERu_IDEMPOT, axiom, ![S:(cartrealn > $o)]:((inter @ S @ S) = S)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:(((inter @ (connectedu_component @ S @ A) @ (connectedu_component @ S @ B)) = empty) <=> (~ ((in @ A @ S)) | ~ ((in @ B @ S)) | ~ (((connectedu_component @ S @ A) = (connectedu_component @ S @ B)))))).
