%   ORIGINAL: CONNECTED_COMPONENT_OVERLAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONNECTED_COMPONENT_NONOVERLAP: !s a b. connected_component s a INTER connected_component s b = {} <=> ~(a IN s) \/ ~(b IN s) \/ ~(connected_component s a = connected_component s b)
% Assm: TRUTH: T
% Goal: !s a b. ~(connected_component s a INTER connected_component s b = {}) <=> a IN s /\ b IN s /\ connected_component s a = connected_component s b
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s a b. connected_component s a INTER connected_component s b = {} <=> ~(a IN s) \/ ~(b IN s) \/ ~(connected_component s a = connected_component s b)
% Assm: T
% Goal: !s a b. ~(connected_component s a INTER connected_component s b = {}) <=> a IN s /\ b IN s /\ connected_component s a = connected_component s b
%  TYPES
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONNECTEDu_COMPONENTu_NONOVERLAP, axiom, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:(((inter @ (connectedu_component @ S @ A) @ (connectedu_component @ S @ B)) = empty) <=> (~ ((in @ A @ S)) | ~ ((in @ B @ S)) | ~ (((connectedu_component @ S @ A) = (connectedu_component @ S @ B)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:(~ (((inter @ (connectedu_component @ S @ A) @ (connectedu_component @ S @ B)) = empty)) <=> ((in @ A @ S) & (in @ B @ S) & ((connectedu_component @ S @ A) = (connectedu_component @ S @ B))))).
