%   ORIGINAL: CONNECTED_COMPONENT_EQ_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_EQ_EMPTY: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: CONNECTED_COMPONENT_REFL: !s x. x IN s ==> connected_component s x x
% Assm: CONNECTED_COMPONENT_SYM: !s x y. connected_component s x y ==> connected_component s y x
% Assm: CONNECTED_COMPONENT_SYM_EQ: !s x y. connected_component s x y <=> connected_component s y x
% Assm: CONNECTED_COMPONENT_TRANS: !s x y. connected_component s x y /\ connected_component s y z ==> connected_component s x z
% Assm: EMPTY: {} = (\x. F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s x y. connected_component s x = connected_component s y <=> ~(x IN s) /\ ~(y IN s) \/ x IN s /\ y IN s /\ connected_component s x y
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: !s x. x IN s ==> connected_component s x x
% Assm: !s x y. connected_component s x y ==> connected_component s y x
% Assm: !s x y. connected_component s x y <=> connected_component s y x
% Assm: !z s x y. connected_component s x y /\ connected_component s y z ==> connected_component s x z
% Assm: {} = (\x. F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: ~F <=> T
% Assm: T
% Goal: !s x y. connected_component s x = connected_component s y <=> ~(x IN s) /\ ~(y IN s) \/ x IN s /\ y IN s /\ connected_component s x y
%  TYPES
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_EQu_EMPTY, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((connectedu_component @ S @ X) = empty) <=> ~ ((in @ X @ S)))).
thf(aCONNECTEDu_COMPONENTu_REFL, axiom, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (connectedu_component @ S @ X @ X))).
thf(aCONNECTEDu_COMPONENTu_SYM, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((connectedu_component @ S @ X @ Y) => (connectedu_component @ S @ Y @ X))).
thf(aCONNECTEDu_COMPONENTu_SYMu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((connectedu_component @ S @ X @ Y) <=> (connectedu_component @ S @ Y @ X))).
thf(aCONNECTEDu_COMPONENTu_TRANS, axiom, ![Z:cartrealn,S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((connectedu_component @ S @ X @ Y) & (connectedu_component @ S @ Y @ Z)) => (connectedu_component @ S @ X @ Z))).
thf(aEMPTY, axiom, (empty = ^[X:cartrealn]:$false)).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((connectedu_component @ S @ X) = (connectedu_component @ S @ Y)) <=> ((~ ((in @ X @ S)) & ~ ((in @ Y @ S))) | ((in @ X @ S) & (in @ Y @ S) & (connectedu_component @ S @ X @ Y))))).
