%   ORIGINAL: CONNECTED_COMPONENT_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_MAXIMAL: !s t x. x IN t /\ connected t /\ t SUBSET s ==> t SUBSET connected_component s x
% Assm: CONNECTED_COMPONENT_REFL_EQ: !s x. connected_component s x x <=> x IN s
% Assm: CONNECTED_COMPONENT_SUBSET: !s x. connected_component s x SUBSET s
% Assm: CONNECTED_CONNECTED_COMPONENT: !s x. connected (connected_component s x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !s c x. x IN c /\ c SUBSET s /\ connected c /\ (!c'. x IN c' /\ c' SUBSET s /\ connected c' ==> c' SUBSET c) ==> connected_component s x = c
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t x. x IN t /\ connected t /\ t SUBSET s ==> t SUBSET connected_component s x
% Assm: !s x. connected_component s x x <=> x IN s
% Assm: !s x. connected_component s x SUBSET s
% Assm: !s x. connected (connected_component s x)
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !s c x. x IN c /\ c SUBSET s /\ connected c /\ (!c'. x IN c' /\ c' SUBSET s /\ connected c' ==> c' SUBSET c) ==> connected_component s x = c
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_MAXIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:(((in @ X @ T) & (connected @ T) & (subset @ T @ S)) => (subset @ T @ (connectedu_component @ S @ X)))).
thf(aCONNECTEDu_COMPONENTu_REFLu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn]:((connectedu_component @ S @ X @ X) <=> (in @ X @ S))).
thf(aCONNECTEDu_COMPONENTu_SUBSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:(subset @ (connectedu_component @ S @ X) @ S)).
thf(aCONNECTEDu_CONNECTEDu_COMPONENT, axiom, ![S:(cartrealn > $o),X:cartrealn]:(connected @ (connectedu_component @ S @ X))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),C:(cartrealn > $o),X:cartrealn]:(((in @ X @ C) & (subset @ C @ S) & (connected @ C) & ![CI_:(cartrealn > $o)]:(((in @ X @ CI_) & (subset @ CI_ @ S) & (connected @ CI_)) => (subset @ CI_ @ C))) => ((connectedu_component @ S @ X) = C))).
