%   ORIGINAL: JOINABLE_CONNECTED_COMPONENT_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_EQ: !s x y. y IN connected_component s x ==> connected_component s y = connected_component s x
% Assm: CONNECTED_COMPONENT_SYM: !s x y. connected_component s x y ==> connected_component s y x
% Assm: CONNECTED_COMPONENT_TRANS: !s x y. connected_component s x y /\ connected_component s y z ==> connected_component s x z
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: connected_component: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Goal: !s t x y. connected t /\ t SUBSET s /\ ~(connected_component s x INTER t = {}) /\ ~(connected_component s y INTER t = {}) ==> connected_component s x = connected_component s y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x y. y IN connected_component s x ==> connected_component s y = connected_component s x
% Assm: !s x y. connected_component s x y ==> connected_component s y x
% Assm: !z s x y. connected_component s x y /\ connected_component s y z ==> connected_component s x z
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: T
% Assm: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Goal: !s t x y. connected t /\ t SUBSET s /\ ~(connected_component s x INTER t = {}) /\ ~(connected_component s y INTER t = {}) ==> connected_component s x = connected_component s y
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ Y @ (connectedu_component @ S @ X)) => ((connectedu_component @ S @ Y) = (connectedu_component @ S @ X)))).
thf(aCONNECTEDu_COMPONENTu_SYM, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((connectedu_component @ S @ X @ Y) => (connectedu_component @ S @ Y @ X))).
thf(aCONNECTEDu_COMPONENTu_TRANS, axiom, ![Z:cartrealn,S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((connectedu_component @ S @ X @ Y) & (connectedu_component @ S @ Y @ Z)) => (connectedu_component @ S @ X @ Z))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aconnectedu_component, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((connectedu_component @ S @ X @ Y) <=> ?[T:(cartrealn > $o)]:((connected @ T) & (subset @ T @ S) & (in @ X @ T) & (in @ Y @ T)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((connected @ T) & (subset @ T @ S) & ~ (((inter @ (connectedu_component @ S @ X) @ T) = empty)) & ~ (((inter @ (connectedu_component @ S @ Y) @ T) = empty))) => ((connectedu_component @ S @ X) = (connectedu_component @ S @ Y)))).
