%   ORIGINAL: UNIONS_CONNECTED_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONNECTED_COMPONENT_REFL_EQ: !s x. connected_component s x x <=> x IN s
% Assm: CONNECTED_COMPONENT_SUBSET: !s x. connected_component s x SUBSET s
% Assm: FORALL_IN_GSPEC_conjunct0: !P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Assm: UNIONS_GSPEC_conjunct0: !P f. UNIONS {f x | P x} = {a | ?x. P x /\ a IN f x}
% Assm: UNIONS_SUBSET: !f t. UNIONS f SUBSET t <=> (!s. s IN f ==> s SUBSET t)
% Goal: !s. UNIONS {connected_component s x | x | x IN s} = s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s x. connected_component s x x <=> x IN s
% Assm: !s x. connected_component s x SUBSET s
% Assm: !Q P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Assm: !P f. UNIONS {f x | P x} = {a | ?x. P x /\ a IN f x}
% Assm: !f t. UNIONS f SUBSET t <=> (!s. s IN f ==> s SUBSET t)
% Goal: !s. UNIONS {connected_component s x | x | x IN s} = s
%  TYPES
thf(tq48167, type, q48167 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq48634, type, q48634 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONNECTEDu_COMPONENTu_REFLu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn]:((connectedu_component @ S @ X @ X) <=> (in @ X @ S))).
thf(aCONNECTEDu_COMPONENTu_SUBSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:(subset @ (connectedu_component @ S @ X) @ S)).
thf(aFORALLu_INu_GSPECu_conjunct0, axiom, ![Q:(cartrealn > $o),P:(q48167 > $o),F:(q48167 > cartrealn)]:(![Z:cartrealn]:((in @ Z @ (gspec0 @ ^[GENR_PVARR_20:cartrealn]:?[X:q48167]:(setspec0 @ GENR_PVARR_20 @ (P @ X) @ (F @ X)))) => (Q @ Z)) <=> ![X:q48167]:((P @ X) => (Q @ (F @ X))))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec0 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_GSPECu_conjunct0, axiom, ![P:(q48634 > $o),F:(q48634 > cartrealn > $o)]:((unions @ (gspec @ ^[GENR_PVARR_28:(cartrealn > $o)]:?[X:q48634]:(setspec @ GENR_PVARR_28 @ (P @ X) @ (F @ X)))) = (gspec0 @ ^[GENR_PVARR_29:cartrealn]:?[A:cartrealn]:(setspec0 @ GENR_PVARR_29 @ ?[X:q48634]:((P @ X) & (in @ A @ (F @ X))) @ A)))).
thf(aUNIONSu_SUBSET, axiom, ![F:((cartrealn > $o) > $o),T:(cartrealn > $o)]:((subset @ (unions @ F) @ T) <=> ![S:(cartrealn > $o)]:((in0 @ S @ F) => (subset @ S @ T)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((unions @ (gspec @ ^[GENR_PVARR_591:(cartrealn > $o)]:?[X:cartrealn]:(setspec @ GENR_PVARR_591 @ (in @ X @ S) @ (connectedu_component @ S @ X)))) = S)).
