%   ORIGINAL: PAIRWISE_DISJOINT_COMPONENTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_NONOVERLAP: !s a b. connected_component s a INTER connected_component s b = {} <=> ~(a IN s) \/ ~(b IN s) \/ ~(connected_component s a = connected_component s b)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_COMPONENTS: !u s. s IN components u <=> (?x. x IN u /\ s = connected_component u x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: pairwise: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !u. pairwise DISJOINT (components u)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a b. connected_component s a INTER connected_component s b = {} <=> ~(a IN s) \/ ~(b IN s) \/ ~(connected_component s a = connected_component s b)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !u s. s IN components u <=> (?x. x IN u /\ s = connected_component u x)
% Assm: ~F <=> T
% Assm: T
% Assm: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !u. pairwise DISJOINT (components u)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccomponents, type, components : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpairwise, type, pairwise : (((cartrealn > $o) > (cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_NONOVERLAP, axiom, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:(((inter @ (connectedu_component @ S @ A) @ (connectedu_component @ S @ B)) = empty) <=> (~ ((in @ A @ S)) | ~ ((in @ B @ S)) | ~ (((connectedu_component @ S @ A) = (connectedu_component @ S @ B)))))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_COMPONENTS, axiom, ![U:(cartrealn > $o),S:(cartrealn > $o)]:((in0 @ S @ (components @ U)) <=> ?[X:cartrealn]:((in @ X @ U) & (S = (connectedu_component @ U @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(apairwise, axiom, ![S:((cartrealn > $o) > $o),R:((cartrealn > $o) > (cartrealn > $o) > $o)]:((pairwise @ R @ S) <=> ![X:(cartrealn > $o),Y:(cartrealn > $o)]:(((in0 @ X @ S) & (in0 @ Y @ S) & ~ ((X = Y))) => (R @ X @ Y)))).
thf(conjecture, conjecture, ![U:(cartrealn > $o)]:(pairwise @ disjoint @ (components @ U))).
