%   ORIGINAL: COMPACT_UNIFORMLY_CONTINUOUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_UNIFORMLY_EQUICONTINUOUS: !fs s. (!x e. x IN s /\ &0 < e ==> (?d. &0 < d /\ (!f x'. f IN fs /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))) /\ compact s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!f x x'. f IN fs /\ x IN s /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e)))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: continuous_on: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Assm: uniformly_continuous_on: !s f. f uniformly_continuous_on s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x x'. x IN s /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !f s. f continuous_on s /\ compact s ==> f uniformly_continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !fs s. (!x e. x IN s /\ &0 < e ==> (?d. &0 < d /\ (!f x'. f IN fs /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))) /\ compact s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!f x x'. f IN fs /\ x IN s /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e)))
% Assm: !t. (\x. t x) = t
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: T
% Assm: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Assm: !s f. f uniformly_continuous_on s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x x'. x IN s /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !f s. f continuous_on s /\ compact s ==> f uniformly_continuous_on s
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cdistance0, type, distance0 : (prodcartrealncartrealn > real)).
thf(cdistance, type, distance : (prodcartrealmcartrealm > real)).
thf(cin0, type, in0 : ((cartrealm > cartrealn) > ((cartrealm > cartrealn) > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cuniformlyuu_continuousuu_on, type, uniformlyu_continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccompact, type, compact : ((cartrealm > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_UNIFORMLYu_EQUICONTINUOUS, axiom, ![FS:((cartrealm > cartrealn) > $o),S:(cartrealm > $o)]:((![X:cartrealm,E:real]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![F:(cartrealm > cartrealn),XI_:cartrealm]:(((in0 @ F @ FS) & (in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => (realu_lt @ (distance0 @ (c_0 @ (F @ XI_) @ (F @ X))) @ E)))) & (compact @ S)) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![F:(cartrealm > cartrealn),X:cartrealm,XI_:cartrealm]:(((in0 @ F @ FS) & (in @ X @ S) & (in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => (realu_lt @ (distance0 @ (c_0 @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in1 @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acontinuousu_on, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((continuousu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealm]:(((in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => (realu_lt @ (distance0 @ (c_0 @ (F @ XI_) @ (F @ X))) @ E))))))).
thf(auniformlyu_continuousu_on, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((uniformlyu_continuousu_on @ F @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealm,XI_:cartrealm]:(((in @ X @ S) & (in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => (realu_lt @ (distance0 @ (c_0 @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (compact @ S)) => (uniformlyu_continuousu_on @ F @ S))).
