%   ORIGINAL: OPEN_LIFT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_LIFT: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: FORALL_LIFT: (!x. P x) <=> (!x. P (lift x))
% Assm: LIFT_IN_IMAGE_LIFT: !x s. lift x IN IMAGE lift s <=> x IN s
% Assm: TRUTH: T
% Assm: open_def: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. dist (x',x) < e ==> x' IN s)))
% Goal: !s. open (IMAGE lift s) <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. abs (x' - x) < e ==> x' IN s)))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: !P. (!x. P x) <=> (!x. P (lift x))
% Assm: !x s. lift x IN IMAGE lift s <=> x IN s
% Assm: T
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. dist (x',x) < e ==> x' IN s)))
% Goal: !s. open (IMAGE lift s) <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. abs (x' - x) < e ==> x' IN s)))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(copen, type, open : ((cartrealn1 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_LIFT, axiom, ![X:real,Y:real]:((distance @ (c_ @ (lift @ X) @ (lift @ Y))) = (realu_abs @ (realu_sub @ X @ Y)))).
thf(aFORALLu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(![X:cartrealn1]:(P @ X) <=> ![X:real]:(P @ (lift @ X)))).
thf(aLIFTu_INu_IMAGEu_LIFT, axiom, ![X:real,S:(real > $o)]:((in0 @ (lift @ X) @ (image @ lift @ S)) <=> (in @ X @ S))).
thf(aTRUTH, axiom, $true).
thf(aopenu_def, axiom, ![S:(cartrealn1 > $o)]:((open @ S) <=> ![X:cartrealn1]:((in0 @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![XI_:cartrealn1]:((realu_lt @ (distance @ (c_ @ XI_ @ X)) @ E) => (in0 @ XI_ @ S)))))).
thf(conjecture, conjecture, ![S:(real > $o)]:((open @ (image @ lift @ S)) <=> ![X:real]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![XI_:real]:((realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ E) => (in @ XI_ @ S)))))).
