%   ORIGINAL: CONTINUOUS_AT_LIFT_RANGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_LIFT: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: TRUTH: T
% Assm: continuous_at: f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. dist (x',x) < d ==> dist (f x',f x) < e)))
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f x. lift o f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. norm (x' - x) < d ==> abs (f x' - f x) < e)))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: T
% Assm: !f x. f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. dist (x',x) < d ==> dist (f x',f x) < e)))
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f x. lift o f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. norm (x' - x) < d ==> abs (f x' - f x) < e)))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnetcartrealq200698, type, netcartrealq200698 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealq200698cartrealq200698, type, prodcartrealq200698cartrealq200698 : $tType).
thf(tcartrealq200698, type, cartrealq200698 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tq200698, type, q200698 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq200698 > netcartrealq200698)).
thf(cdistance0, type, distance0 : (prodcartrealq200698cartrealq200698 > real)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq200698 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuous, type, continuous : ((cartrealq200698 > cartrealn1) > netcartrealq200698 > $o)).
thf(ccu_0, type, c_0 : (cartrealq200698 > cartrealq200698 > prodcartrealq200698cartrealq200698)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq200698 > cartrealq200698 > cartrealq200698)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealq200698 > real) > cartrealq200698 > cartrealn1)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_LIFT, axiom, ![X:real,Y:real]:((distance @ (c_ @ (lift @ X) @ (lift @ Y))) = (realu_abs @ (realu_sub @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(acontinuousu_at, axiom, ![F:(cartrealq200698 > cartrealn1),X:cartrealq200698]:((continuous @ F @ (at @ X)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealq200698]:((realu_lt @ (distance0 @ (c_0 @ XI_ @ X)) @ D) => (realu_lt @ (distance @ (c_ @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(adist, axiom, ![X:cartrealq200698,Y:cartrealq200698]:((distance0 @ (c_0 @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(aou_THM, axiom, ![F:(real > cartrealn1),G:(cartrealq200698 > real),X:cartrealq200698]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealq200698 > real),X:cartrealq200698]:((continuous @ (o @ lift @ F) @ (at @ X)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealq200698]:((realu_lt @ (vectoru_norm @ (vectoru_sub @ XI_ @ X)) @ D) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ XI_) @ (F @ X))) @ E)))))).
