%   ORIGINAL: CONTINUOUS_ON_LIFT_RANGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_LIFT: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: TRUTH: T
% Assm: continuous_on: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f s. lift o f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ norm (x' - x) < d ==> abs (f x' - f x) < e))))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: T
% Assm: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f s. lift o f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ norm (x' - x) < d ==> abs (f x' - f x) < e))))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq200786, type, cartrealq200786 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealq200786cartrealq200786, type, prodcartrealq200786cartrealq200786 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tq200786, type, q200786 : $tType).
%  CONSTS
thf(cdistance0, type, distance0 : (prodcartrealq200786cartrealq200786 > real)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq200786 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealq200786 > (cartrealq200786 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq200786 > cartrealn1) > (cartrealq200786 > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealq200786 > cartrealq200786 > prodcartrealq200786cartrealq200786)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq200786 > cartrealq200786 > cartrealq200786)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealq200786 > real) > cartrealq200786 > cartrealn1)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_LIFT, axiom, ![X:real,Y:real]:((distance @ (c_ @ (lift @ X) @ (lift @ Y))) = (realu_abs @ (realu_sub @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(acontinuousu_on, axiom, ![S:(cartrealq200786 > $o),F:(cartrealq200786 > cartrealn1)]:((continuousu_on @ F @ S) <=> ![X:cartrealq200786]:((in @ X @ S) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealq200786]:(((in @ XI_ @ S) & (realu_lt @ (distance0 @ (c_0 @ XI_ @ X)) @ D)) => (realu_lt @ (distance @ (c_ @ (F @ XI_) @ (F @ X))) @ E))))))).
thf(adist, axiom, ![X:cartrealq200786,Y:cartrealq200786]:((distance0 @ (c_0 @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(aou_THM, axiom, ![F:(real > cartrealn1),G:(cartrealq200786 > real),X:cartrealq200786]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealq200786 > real),S:(cartrealq200786 > $o)]:((continuousu_on @ (o @ lift @ F) @ S) <=> ![X:cartrealq200786]:((in @ X @ S) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealq200786]:(((in @ XI_ @ S) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ XI_ @ X)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ XI_) @ (F @ X))) @ E))))))).
