%   ORIGINAL: CONTINUOUS_ON_LIFT_NORM_COMPOSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_LIFT_NORM_COMPOSE: !net f. f continuous net ==> (\x. lift (norm (f x))) continuous net
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: TRUTH: T
% Goal: !f s. f continuous_on s ==> (\x. lift (norm (f x))) continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f. f continuous net ==> (\x. lift (norm (f x))) continuous net
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: T
% Goal: !f s. f continuous_on s ==> (\x. lift (norm (f x))) continuous_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(ccontinuous2, type, continuous2 : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(ccontinuous1, type, continuous1 : ((cartrealm > cartrealn1) > netcartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuous0, type, continuous0 : ((a > cartrealn1) > neta > $o)).
thf(ccontinuous, type, continuous : ((a > cartrealn) > neta > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_LIFTu_NORMu_COMPOSE, axiom, ![NET:neta,F:(a > cartrealn)]:((continuous @ F @ NET) => (continuous0 @ ^[X:a]:(lift @ (vectoru_norm @ (F @ X))) @ NET))).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHINu_monomorphized1, axiom, ![F:(cartrealm > cartrealn1),S:(cartrealm > $o)]:((continuousu_on0 @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (continuous1 @ F @ (within @ (at @ X) @ S))))).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHINu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (continuous2 @ F @ (within @ (at @ X) @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) => (continuousu_on0 @ ^[X:cartrealm]:(lift @ (vectoru_norm @ (F @ X))) @ S))).
