%   ORIGINAL: CONTINUOUS_ON_LIFT_NORM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_LIFT_RANGE: !f s. lift o f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ norm (x' - x) < d ==> abs (f x' - f x) < e))))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_SUB_NORM: abs (norm x - norm y) <= norm (x - y)
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: TRUTH: T
% Goal: !s. lift o norm continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. lift o f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ norm (x' - x) < d ==> abs (f x' - f x) < e))))
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. abs (norm x - norm y) <= norm (x - y)
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: T
% Goal: !s. lift o norm continuous_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq200878, type, cartrealq200878 : $tType).
thf(tq200878, type, q200878 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealq200878 > (cartrealq200878 > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq200878 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq200878 > cartrealn1) > (cartrealq200878 > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq200878 > cartrealq200878 > cartrealq200878)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealq200878 > real) > cartrealq200878 > cartrealn1)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_LIFTu_RANGE, axiom, ![F:(cartrealq200878 > real),S:(cartrealq200878 > $o)]:((continuousu_on @ (o @ lift @ F) @ S) <=> ![X:cartrealq200878]:((in @ X @ S) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealq200878]:(((in @ XI_ @ S) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ XI_ @ X)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ XI_) @ (F @ X))) @ E))))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_SUBu_NORM, axiom, ![X:cartrealq200878,Y:cartrealq200878]:(realu_le @ (realu_abs @ (realu_sub @ (vectoru_norm @ X) @ (vectoru_norm @ Y))) @ (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq200878 > $o)]:(continuousu_on @ (o @ lift @ vectoru_norm) @ S)).
