%   ORIGINAL: BOUNDED_PASTECART
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NORM_PASTECART_LE: !x y. norm (pastecart x y) <= norm x + norm y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_ADD2: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Assm: bounded: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s t. bounded s /\ bounded t ==> bounded {pastecart x y | x IN s /\ y IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y. norm (pastecart x y) <= norm x + norm y
% Assm: ~F <=> T
% Assm: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s t. bounded s /\ bounded t ==> bounded {pastecart x y | x IN s /\ y IN t}
%  TYPES
thf(tcartrealfiniteu_summn, type, cartrealfinite_summn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealn > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealfinite_summn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec1, type, gspec1 : ((cartrealm > $o) > cartrealm > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealfinite_summn > $o) > cartrealfinite_summn > $o)).
thf(csetspec1, type, setspec1 : (cartrealm > $o > cartrealm > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cpastecart, type, pastecart : (cartrealm > cartrealn > cartrealfinite_summn)).
thf(csetspec, type, setspec : (cartrealfinite_summn > $o > cartrealfinite_summn > $o)).
thf(cbounded1, type, bounded1 : ((cartrealfinite_summn > $o) > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in0 @ X @ (gspec0 @ ^[V:cartrealn]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > cartrealm > $o) > $o),X:cartrealm]:((in @ X @ (gspec1 @ ^[V:cartrealm]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:cartrealm]:(P0 & (X = T))))).
thf(aNORMu_PASTECARTu_LE, axiom, ![X:cartrealm,Y:cartrealn]:(realu_le @ (vectoru_norm @ (pastecart @ X @ Y)) @ (realu_add @ (vectoru_norm0 @ X) @ (vectoru_norm1 @ Y)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_ADD2, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ W @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_add @ W @ Y) @ (realu_add @ X @ Z)))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(aboundedu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((bounded0 @ S) <=> ?[A:real]:![X:cartrealn]:((in0 @ X @ S) => (realu_le @ (vectoru_norm1 @ X) @ A)))).
thf(aboundedu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((bounded @ S) <=> ?[A:real]:![X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm0 @ X) @ A)))).
thf(conjecture, conjecture, ![S:(cartrealm > $o),T:(cartrealn > $o)]:(((bounded @ S) & (bounded0 @ T)) => (bounded1 @ (gspec @ ^[GENR_PVARR_600:cartrealfinite_summn]:?[X:cartrealm,Y:cartrealn]:(setspec @ GENR_PVARR_600 @ ((in @ X @ S) & (in0 @ Y @ T)) @ (pastecart @ X @ Y)))))).
