%   ORIGINAL: COMPACT_PASTECART
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_PASTECART: !s t. bounded s /\ bounded t ==> bounded {pastecart x y | x IN s /\ y IN t}
% Assm: CLOSED_PASTECART: !s t. closed s /\ closed t ==> closed {pastecart x y | x IN s /\ y IN t}
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: TRUTH: T
% Goal: !s t. compact s /\ compact t ==> compact {pastecart x y | x IN s /\ y IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. bounded s /\ bounded t ==> bounded {pastecart x y | x IN s /\ y IN t}
% Assm: !s t. closed s /\ closed t ==> closed {pastecart x y | x IN s /\ y IN t}
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: T
% Goal: !s t. compact s /\ compact t ==> compact {pastecart x y | x IN s /\ y IN t}
%  TYPES
thf(tcartrealfiniteu_summn, type, cartrealfinite_summn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealfinite_summn > $o) > cartrealfinite_summn > $o)).
thf(cpastecart, type, pastecart : (cartrealm > cartrealn > cartrealfinite_summn)).
thf(csetspec, type, setspec : (cartrealfinite_summn > $o > cartrealfinite_summn > $o)).
thf(cclosed1, type, closed1 : ((cartrealfinite_summn > $o) > $o)).
thf(cclosed0, type, closed0 : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealm > $o) > $o)).
thf(cbounded1, type, bounded1 : ((cartrealfinite_summn > $o) > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealm > $o) > $o)).
thf(ccompact1, type, compact1 : ((cartrealfinite_summn > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_PASTECART, axiom, ![S:(cartrealm > $o),T:(cartrealn > $o)]:(((bounded @ S) & (bounded0 @ T)) => (bounded1 @ (gspec @ ^[GENR_PVARR_600:cartrealfinite_summn]:?[X:cartrealm,Y:cartrealn]:(setspec @ GENR_PVARR_600 @ ((in @ X @ S) & (in0 @ Y @ T)) @ (pastecart @ X @ Y)))))).
thf(aCLOSEDu_PASTECART, axiom, ![S:(cartrealm > $o),T:(cartrealn > $o)]:(((closed @ S) & (closed0 @ T)) => (closed1 @ (gspec @ ^[GENR_PVARR_601:cartrealfinite_summn]:?[X:cartrealm,Y:cartrealn]:(setspec @ GENR_PVARR_601 @ ((in @ X @ S) & (in0 @ Y @ T)) @ (pastecart @ X @ Y)))))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSEDu_monomorphized2, axiom, ![S:(cartrealfinite_summn > $o)]:((compact1 @ S) <=> ((bounded1 @ S) & (closed1 @ S)))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSEDu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((compact0 @ S) <=> ((bounded0 @ S) & (closed0 @ S)))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSEDu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealm > $o),T:(cartrealn > $o)]:(((compact @ S) & (compact0 @ T)) => (compact1 @ (gspec @ ^[GENR_PVARR_602:cartrealfinite_summn]:?[X:cartrealm,Y:cartrealn]:(setspec @ GENR_PVARR_602 @ ((in @ X @ S) & (in0 @ Y @ T)) @ (pastecart @ X @ Y)))))).
