%   ORIGINAL: CONTINUOUS_PASTECART
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_PASTECART: !net f g. (f --> a) net /\ (g --> b) net ==> ((\x. pastecart (f x) (g x)) --> pastecart a b) net
% Assm: TRUTH: T
% Assm: continuous: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Goal: !net f g. f continuous net /\ g continuous net ==> (\x. pastecart (f x) (g x)) continuous net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b net f g. (f --> a) net /\ (g --> b) net ==> ((\x. pastecart (f x) (g x)) --> pastecart a b) net
% Assm: T
% Assm: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Assm: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Assm: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Goal: !net f g. f continuous net /\ g continuous net ==> (\x. pastecart (f x) (g x)) continuous net
%  TYPES
thf(tcartrealfiniteu_summn, type, cartrealfinite_summn : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuous1, type, continuous1 : ((a > cartrealfinite_summn) > neta > $o)).
thf(ccontinuous0, type, continuous0 : ((a > cartrealn) > neta > $o)).
thf(ccontinuous, type, continuous : ((a > cartrealm) > neta > $o)).
thf(cnetlimit, type, netlimit : (neta > a)).
thf(cmu_mu_gu_1, type, m_m_g_1 : ((a > cartrealfinite_summn) > cartrealfinite_summn > neta > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealm) > cartrealm > neta > $o)).
thf(cpastecart, type, pastecart : (cartrealm > cartrealn > cartrealfinite_summn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_PASTECART, axiom, ![A:cartrealm,B:cartrealn,NET:neta,F:(a > cartrealm),G:(a > cartrealn)]:(((m_m_g_ @ F @ A @ NET) & (m_m_g_0 @ G @ B @ NET)) => (m_m_g_1 @ ^[X:a]:(pastecart @ (F @ X) @ (G @ X)) @ (pastecart @ A @ B) @ NET))).
thf(aTRUTH, axiom, $true).
thf(acontinuousu_monomorphized2, axiom, ![F:(a > cartrealfinite_summn),NET:neta]:((continuous1 @ F @ NET) <=> (m_m_g_1 @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(acontinuousu_monomorphized1, axiom, ![F:(a > cartrealn),NET:neta]:((continuous0 @ F @ NET) <=> (m_m_g_0 @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(acontinuousu_monomorphized0, axiom, ![F:(a > cartrealm),NET:neta]:((continuous @ F @ NET) <=> (m_m_g_ @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealm),G:(a > cartrealn)]:(((continuous @ F @ NET) & (continuous0 @ G @ NET)) => (continuous1 @ ^[X:a]:(pastecart @ (F @ X) @ (G @ X)) @ NET))).
