%   ORIGINAL: CONTINUOUS_ON_PASTECART
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON: !f s. f continuous_on s <=> (!x. x IN s ==> (f --> f x) (at x within s))
% Assm: LIM_PASTECART: !net f g. (f --> a) net /\ (g --> b) net ==> ((\x. pastecart (f x) (g x)) --> pastecart a b) net
% Assm: TRUTH: T
% Goal: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. pastecart (f x) (g x)) continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> (f --> f x) (at x within s))
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> (f --> f x) (at x within s))
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> (f --> f x) (at x within s))
% Assm: !a b net f g. (f --> a) net /\ (g --> b) net ==> ((\x. pastecart (f x) (g x)) --> pastecart a b) net
% Assm: T
% Goal: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. pastecart (f x) (g x)) continuous_on s
%  TYPES
thf(tp, type, p : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tfiniteu_sumnp, type, finite_sumnp : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tcartrealfiniteu_sumnp, type, cartrealfinite_sumnp : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealm > cartrealfinite_sumnp) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealm > cartrealp) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cmu_mu_gu_4, type, m_m_g_4 : ((a > cartrealfinite_sumnp) > cartrealfinite_sumnp > neta > $o)).
thf(cmu_mu_gu_3, type, m_m_g_3 : ((a > cartrealp) > cartrealp > neta > $o)).
thf(cmu_mu_gu_2, type, m_m_g_2 : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cmu_mu_gu_1, type, m_m_g_1 : ((cartrealm > cartrealn) > cartrealn > netcartrealm > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((cartrealm > cartrealp) > cartrealp > netcartrealm > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealm > cartrealfinite_sumnp) > cartrealfinite_sumnp > netcartrealm > $o)).
thf(cpastecart, type, pastecart : (cartrealn > cartrealp > cartrealfinite_sumnp)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_monomorphized2, axiom, ![F:(cartrealm > cartrealfinite_sumnp),S:(cartrealm > $o)]:((continuousu_on1 @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (m_m_g_ @ F @ (F @ X) @ (within @ (at @ X) @ S))))).
thf(aCONTINUOUSu_ONu_monomorphized1, axiom, ![F:(cartrealm > cartrealp),S:(cartrealm > $o)]:((continuousu_on0 @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (m_m_g_0 @ F @ (F @ X) @ (within @ (at @ X) @ S))))).
thf(aCONTINUOUSu_ONu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (m_m_g_1 @ F @ (F @ X) @ (within @ (at @ X) @ S))))).
thf(aLIMu_PASTECART, axiom, ![A:cartrealn,B:cartrealp,NET:neta,F:(a > cartrealn),G:(a > cartrealp)]:(((m_m_g_2 @ F @ A @ NET) & (m_m_g_3 @ G @ B @ NET)) => (m_m_g_4 @ ^[X:a]:(pastecart @ (F @ X) @ (G @ X)) @ (pastecart @ A @ B) @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealp),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (continuousu_on0 @ G @ S)) => (continuousu_on1 @ ^[X:cartrealm]:(pastecart @ (F @ X) @ (G @ X)) @ S))).
