%   ORIGINAL: COMPACT_SUP_MAXDISTANCE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_DIFFERENCES: !s t. compact s /\ compact t ==> compact {x - y | x IN s /\ y IN t}
% Assm: DISTANCE_ATTAINS_SUP: !s a. compact s /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> dist (a,y) <= dist (a,x)))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NORM_NEG: !x. norm (--x) = norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: VECTOR_SUB_LZERO: vec 0 - x = --x
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !s. compact s /\ ~(s = {}) ==> (?x y. x IN s /\ y IN s /\ (!u v. u IN s /\ v IN s ==> norm (u - v) <= norm (x - y)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. compact s /\ compact t ==> compact {x - y | x IN s /\ y IN t}
% Assm: !s a. compact s /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> dist (a,y) <= dist (a,x)))
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: !x. norm (--x) = norm x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !x. vec 0 - x = --x
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !s. compact s /\ ~(s = {}) ==> (?x y. x IN s /\ y IN s /\ (!u v. u IN s /\ v IN s ==> norm (u - v) <= norm (x - y)))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_DIFFERENCES, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (compact @ T)) => (compact @ (gspec @ ^[GENR_PVARR_613:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_613 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_sub @ X @ Y)))))).
thf(aDISTANCEu_ATTAINSu_SUP, axiom, ![S:(cartrealn > $o),A:cartrealn]:(((compact @ S) & ~ ((S = empty))) => ?[X:cartrealn]:((in @ X @ S) & ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (distance @ (c_ @ A @ Y)) @ (distance @ (c_ @ A @ X))))))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNORMu_NEG, axiom, ![X:cartrealn]:((vectoru_norm @ (vectoru_neg @ X)) = (vectoru_norm @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_LZERO, axiom, ![X:cartrealn]:((vectoru_sub @ (vec @ (numeral @ u_0)) @ X) = (vectoru_neg @ X))).
thf(adist, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((compact @ S) & ~ ((S = empty))) => ?[X:cartrealn,Y:cartrealn]:((in @ X @ S) & (in @ Y @ S) & ![U:cartrealn,V:cartrealn]:(((in @ U @ S) & (in @ V @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ U @ V)) @ (vectoru_norm @ (vectoru_sub @ X @ Y))))))).
