%   ORIGINAL: DIAMETER_BOUNDED_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIAMETER_BOUNDED: !s. bounded s ==> (!x y. x IN s /\ y IN s ==> norm (x - y) <= diameter s) /\ (!d. &0 <= d /\ d < diameter s ==> (?x y. x IN s /\ y IN s /\ norm (x - y) > d))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s x y. bounded s /\ x IN s /\ y IN s ==> norm (x - y) <= diameter s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded s ==> (!x y. x IN s /\ y IN s ==> norm (x - y) <= diameter s) /\ (!d. &0 <= d /\ d < diameter s ==> (?x y. x IN s /\ y IN s /\ norm (x - y) > d))
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s x y. bounded s /\ x IN s /\ y IN s ==> norm (x - y) <= diameter s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq203630, type, cartrealq203630 : $tType).
thf(treal, type, real : $tType).
thf(tq203630, type, q203630 : $tType).
%  CONSTS
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdiameter, type, diameter : ((cartrealq203630 > $o) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq203630 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq203630 > (cartrealq203630 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq203630 > cartrealq203630 > cartrealq203630)).
thf(cbounded, type, bounded : ((cartrealq203630 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIAMETERu_BOUNDED, axiom, ![S:(cartrealq203630 > $o)]:((bounded @ S) => (![X:cartrealq203630,Y:cartrealq203630]:(((in @ X @ S) & (in @ Y @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ X @ Y)) @ (diameter @ S))) & ![D:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (realu_lt @ D @ (diameter @ S))) => ?[X:cartrealq203630,Y:cartrealq203630]:((in @ X @ S) & (in @ Y @ S) & (realu_gt @ (vectoru_norm @ (vectoru_sub @ X @ Y)) @ D)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq203630 > $o),X:cartrealq203630,Y:cartrealq203630]:(((bounded @ S) & (in @ X @ S) & (in @ Y @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ X @ Y)) @ (diameter @ S)))).
