%   ORIGINAL: DIAMETER_COMPACT_ATTAINED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: COMPACT_SUP_MAXDISTANCE: !s. compact s /\ ~(s = {}) ==> (?x y. x IN s /\ y IN s /\ (!u v. u IN s /\ v IN s ==> norm (u - v) <= norm (x - y)))
% Assm: DIAMETER_BOUNDED: !s. bounded s ==> (!x y. x IN s /\ y IN s ==> norm (x - y) <= diameter s) /\ (!d. &0 <= d /\ d < diameter s ==> (?x y. x IN s /\ y IN s /\ norm (x - y) > d))
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: TRUTH: T
% Assm: real_gt: !y x. x > y <=> y < x
% Goal: !s. compact s /\ ~(s = {}) ==> (?x y. x IN s /\ y IN s /\ norm (x - y) = diameter s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s. compact s /\ ~(s = {}) ==> (?x y. x IN s /\ y IN s /\ (!u v. u IN s /\ v IN s ==> norm (u - v) <= norm (x - y)))
% Assm: !s. bounded s ==> (!x y. x IN s /\ y IN s ==> norm (x - y) <= diameter s) /\ (!d. &0 <= d /\ d < diameter s ==> (?x y. x IN s /\ y IN s /\ norm (x - y) > d))
% Assm: !x. &0 <= norm x
% Assm: ~F <=> T
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: T
% Assm: !y x. x > y <=> y < x
% Goal: !s. compact s /\ ~(s = {}) ==> (?x y. x IN s /\ y IN s /\ norm (x - y) = diameter s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdiameter, type, diameter : ((cartrealn > $o) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aCOMPACTu_SUPu_MAXDISTANCE, axiom, ![S:(cartrealn > $o)]:(((compact @ S) & ~ ((S = empty))) => ?[X:cartrealn,Y:cartrealn]:((in @ X @ S) & (in @ Y @ S) & ![U:cartrealn,V:cartrealn]:(((in @ U @ S) & (in @ V @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ U @ V)) @ (vectoru_norm @ (vectoru_sub @ X @ Y))))))).
thf(aDIAMETERu_BOUNDED, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ X @ Y)) @ (diameter @ S))) & ![D:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (realu_lt @ D @ (diameter @ S))) => ?[X:cartrealn,Y:cartrealn]:((in @ X @ S) & (in @ Y @ S) & (realu_gt @ (vectoru_norm @ (vectoru_sub @ X @ Y)) @ D)))))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((compact @ S) & ~ ((S = empty))) => ?[X:cartrealn,Y:cartrealn]:((in @ X @ S) & (in @ Y @ S) & ((vectoru_norm @ (vectoru_sub @ X @ Y)) = (diameter @ S))))).
