%   ORIGINAL: DIAMETER_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_SUB: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: diameter: !s. diameter s = (if s = {} then &0 else sup {norm (x - y) | x IN s /\ y IN s})
% Goal: !f s. linear f /\ (!x. norm (f x) = norm x) ==> diameter (IMAGE f s) = diameter s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. I x = x
% Assm: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: ~F <=> T
% Assm: T
% Assm: !s. diameter s = (if s = {} then &0 else sup {norm (x - y) | x IN s /\ y IN s})
% Assm: !s. diameter s = (if s = {} then &0 else sup {norm (x - y) | x IN s /\ y IN s})
% Goal: !f s. linear f /\ (!x. norm (f x) = norm x) ==> diameter (IMAGE f s) = diameter s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csup, type, sup : ((real > $o) > real)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(cin2, type, in2 : (real > (real > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdiameter0, type, diameter0 : ((cartrealm > $o) > real)).
thf(cdiameter, type, diameter : ((cartrealn > $o) > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealm > cartrealm > cartrealm)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cempty0, type, empty0 : (cartrealm > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(?[Y:cartrealn]:((in @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:cartrealm]:((in0 @ X @ S) & (P @ (F @ X))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in1 @ X @ S) <=> (in1 @ X @ T)))).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((image @ F @ S) = empty) <=> (S = empty0))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > real > $o) > $o),X:real]:((in2 @ X @ (gspec @ ^[V:real]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:real]:(P0 & (X = T))))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aLINEARu_SUB, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,Y:cartrealm]:((linear @ F) => ((F @ (vectoru_sub @ X @ Y)) = (vectoru_sub0 @ (F @ X) @ (F @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adiameteru_monomorphized1, axiom, ![S:(cartrealn > $o)]:((diameter @ S) = (cond @ (S = empty) @ (realu_ofu_num @ (numeral @ u_0)) @ (sup @ (gspec @ ^[GENR_PVARR_615:real]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_615 @ ((in @ X @ S) & (in @ Y @ S)) @ (vectoru_norm @ (vectoru_sub0 @ X @ Y)))))))).
thf(adiameteru_monomorphized0, axiom, ![S:(cartrealm > $o)]:((diameter0 @ S) = (cond @ (S = empty0) @ (realu_ofu_num @ (numeral @ u_0)) @ (sup @ (gspec @ ^[GENR_PVARR_615:real]:?[X:cartrealm,Y:cartrealm]:(setspec @ GENR_PVARR_615 @ ((in0 @ X @ S) & (in0 @ Y @ S)) @ (vectoru_norm0 @ (vectoru_sub @ X @ Y)))))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((diameter @ (image @ F @ S)) = (diameter0 @ S)))).
