%   ORIGINAL: DIAMETER_SUBSET_CBALL_NONEMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIAMETER_BOUNDED: !s. bounded s ==> (!x y. x IN s /\ y IN s ==> norm (x - y) <= diameter s) /\ (!d. &0 <= d /\ d < diameter s ==> (?x y. x IN s /\ y IN s /\ norm (x - y) > d))
% Assm: IN_CBALL: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !s. bounded s /\ ~(s = {}) ==> (?z. z IN s /\ s SUBSET cball (z,diameter s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded s ==> (!x y. x IN s /\ y IN s ==> norm (x - y) <= diameter s) /\ (!d. &0 <= d /\ d < diameter s ==> (?x y. x IN s /\ y IN s /\ norm (x - y) > d))
% Assm: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !s. bounded s /\ ~(s = {}) ==> (?z. z IN s /\ s SUBSET cball (z,diameter s))
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq98293 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq98293cartrealq98293 > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdiameter, type, diameter : ((cartrealn > $o) > real)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_1, type, c_1 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIAMETERu_BOUNDED, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ X @ Y)) @ (diameter @ S))) & ![D:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (realu_lt @ D @ (diameter @ S))) => ?[X:cartrealn,Y:cartrealn]:((in @ X @ S) & (in @ Y @ S) & (realu_gt @ (vectoru_norm @ (vectoru_sub @ X @ Y)) @ D)))))).
thf(aINu_CBALL, axiom, ![X:cartrealn,Y:cartrealn,E:real]:((in @ Y @ (cball @ (c_ @ X @ E))) <=> (realu_le @ (distance @ (c_0 @ X @ Y)) @ E))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance0 @ (c_1 @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub0 @ X @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((bounded @ S) & ~ ((S = empty))) => ?[Z:cartrealn]:((in @ Z @ S) & (subset @ S @ (cball @ (c_ @ Z @ (diameter @ S))))))).
