%   ORIGINAL: DIAMETER_SUBSET_CBALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIAMETER_SUBSET_CBALL_NONEMPTY: !s. bounded s /\ ~(s = {}) ==> (?z. z IN s /\ s SUBSET cball (z,diameter s))
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. bounded s ==> (?z. s SUBSET cball (z,diameter s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded s /\ ~(s = {}) ==> (?z. z IN s /\ s SUBSET cball (z,diameter s))
% Assm: !s. {} SUBSET s
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s. bounded s ==> (?z. s SUBSET cball (z,diameter s))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdiameter, type, diameter : ((cartrealn > $o) > real)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIAMETERu_SUBSETu_CBALLu_NONEMPTY, axiom, ![S:(cartrealn > $o)]:(((bounded @ S) & ~ ((S = empty))) => ?[Z:cartrealn]:((in @ Z @ S) & (subset @ S @ (cball @ (c_ @ Z @ (diameter @ S))))))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((bounded @ S) => ?[Z:cartrealn]:(subset @ S @ (cball @ (c_ @ Z @ (diameter @ S)))))).
