%   ORIGINAL: CLOSED_SCALING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_EMPTY: closed {}
% Assm: CLOSED_SEQUENTIAL_LIMITS: !s. closed s <=> (!x l. (!n. x n IN s) /\ (x --> l) sequentially ==> l IN s)
% Assm: CLOSED_SING: !a. closed {a}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_CLAUSES_conjunct0: IMAGE f {} = {}
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: LIM_CMUL: !f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: TRUTH: T
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Goal: !s c. closed s ==> closed (IMAGE (\x. c % x) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: closed {}
% Assm: !s. closed s <=> (!x l. (!n. x n IN s) /\ (x --> l) sequentially ==> l IN s)
% Assm: !a. closed {a}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f. IMAGE f {} = {}
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y. x IN {y} <=> x = y
% Assm: !net f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: T
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Assm: !x. &0 % x = vec 0
% Goal: !s c. closed s ==> closed (IMAGE (\x. c % x) s)
%  TYPES
thf(tq176203, type, q176203 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tnetq176203, type, netq176203 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((q176203 > cartrealn) > cartrealn > netq176203 > $o)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_EMPTY, axiom, (closed @ empty)).
thf(aCLOSEDu_SEQUENTIALu_LIMITS, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> ![X:(num > cartrealn),L:cartrealn]:((![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ L @ sequentially)) => (in @ L @ S)))).
thf(aCLOSEDu_SING, axiom, ![A:cartrealn]:(closed @ (insert @ A @ empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aIMAGEu_CLAUSESu_conjunct0, axiom, ![F:(cartrealn > cartrealn)]:((image @ F @ empty) = empty)).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in0 @ X @ (insert0 @ Y @ empty0)) <=> (X = Y))).
thf(aLIMu_CMUL, axiom, ![NET:netq176203,F:(q176203 > cartrealn),L:cartrealn,C:real]:((m_m_g_0 @ F @ L @ NET) => (m_m_g_0 @ ^[X:q176203]:(r_ @ C @ (F @ X)) @ (r_ @ C @ L) @ NET))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(a > $o)]:(?[X:a]:(in0 @ X @ S) <=> ~ ((S = empty0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec @ (numeral @ u_0)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),C:real]:((closed @ S) => (closed @ (image @ ^[X:cartrealn]:(r_ @ C @ X) @ S)))).
