%   ORIGINAL: SEPARATE_POINT_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISTANCE_ATTAINS_INF: !s a. closed s /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> dist (a,x) <= dist (a,y)))
% Assm: DIST_POS_LT: !x y. ~(x = y) ==> &0 < dist (x,y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LT_01: &0 < &1
% Assm: TRUTH: T
% Goal: !s a. closed s /\ ~(a IN s) ==> (?d. &0 < d /\ (!x. x IN s ==> d <= dist (a,x)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a. closed s /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> dist (a,x) <= dist (a,y)))
% Assm: !x y. ~(x = y) ==> &0 < dist (x,y)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: &0 < &1
% Assm: T
% Goal: !s a. closed s /\ ~(a IN s) ==> (?d. &0 < d /\ (!x. x IN s ==> d <= dist (a,x)))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTANCEu_ATTAINSu_INF, axiom, ![S:(cartrealn > $o),A:cartrealn]:(((closed @ S) & ~ ((S = empty))) => ?[X:cartrealn]:((in @ X @ S) & ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (distance @ (c_ @ A @ X)) @ (distance @ (c_ @ A @ Y))))))).
thf(aDISTu_POSu_LT, axiom, ![X:cartrealn,Y:cartrealn]:(~ ((X = Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ Y))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn]:(((closed @ S) & ~ ((in @ A @ S))) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ D @ (distance @ (c_ @ A @ X))))))).
