%   ORIGINAL: SEPARATE_CLOSED_COMPACT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTER_COMM: !s t. s INTER t = t INTER s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SEPARATE_COMPACT_CLOSED: !s t. compact s /\ closed t /\ s INTER t = {} ==> (?d. &0 < d /\ (!x y. x IN s /\ y IN t ==> d <= dist (x,y)))
% Assm: TRUTH: T
% Goal: !s t. closed s /\ compact t /\ s INTER t = {} ==> (?d. &0 < d /\ (!x y. x IN s /\ y IN t ==> d <= dist (x,y)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s INTER t = t INTER s
% Assm: ~F <=> T
% Assm: !s t. compact s /\ closed t /\ s INTER t = {} ==> (?d. &0 < d /\ (!x y. x IN s /\ y IN t ==> d <= dist (x,y)))
% Assm: T
% Goal: !s t. closed s /\ compact t /\ s INTER t = {} ==> (?d. &0 < d /\ (!x y. x IN s /\ y IN t ==> d <= dist (x,y)))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aINTERu_COMM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((inter @ S @ T) = (inter @ T @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSEPARATEu_COMPACTu_CLOSED, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (closed @ T) & ((inter @ S @ T) = empty)) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ D @ (distance @ (c_ @ X @ Y))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (compact @ T) & ((inter @ S @ T) = empty)) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ D @ (distance @ (c_ @ X @ Y))))))).
