%   ORIGINAL: interval_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FST: !x y. FST (x,y) = x
% Assm: HD: HD (CONS h t) = h
% Assm: SND: !x y. SND (x,y) = y
% Assm: TRUTH: T
% Assm: closed_interval: !l. interval l = {x | !i. 1 <= i /\ i <= dimindex (:N) ==> FST (HD l)$i <= x$i /\ x$i <= SND (HD l)$i}
% Assm: open_interval: !a b. interval (a,b) = {x | !i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i}
% Goal: interval (a,b) = {x | !i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. FST (x,y) = x
% Assm: !t h. HD (CONS h t) = h
% Assm: !x y. SND (x,y) = y
% Assm: T
% Assm: !l. interval l = {x | !i. 1 <= i /\ i <= dimindex (:N) ==> FST (HD l)$i <= x$i /\ x$i <= SND (HD l)$i}
% Assm: !a b. interval (a,b) = {x | !i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i}
% Goal: !b a. interval (a,b) = {x | !i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i}
%  TYPES
thf(tlistfuncartrealnbool, type, listfuncartrealnbool : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(chd, type, hd : (listfuncartrealnbool > cartrealn > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(chd0, type, hd0 : (listprodcartrealncartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : ((cartrealn > $o) > listfuncartrealnbool > listfuncartrealnbool)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(csnd, type, snd : (prodcartrealncartrealn > cartrealn)).
thf(cfst, type, fst : (prodcartrealncartrealn > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFST, axiom, ![X:cartrealn,Y:cartrealn]:((fst @ (c_ @ X @ Y)) = X)).
thf(aHD, axiom, ![T:listfuncartrealnbool,H:(cartrealn > $o)]:((hd @ (cons @ H @ T)) = H)).
thf(aSND, axiom, ![X:cartrealn,Y:cartrealn]:((snd @ (c_ @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(aclosedu_interval, axiom, ![L:listprodcartrealncartrealn]:((closedu_interval @ L) = (gspec @ ^[GENR_PVARR_639:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_639 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ (fst @ (hd0 @ L)) @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ (snd @ (hd0 @ L)) @ I)))) @ X)))).
thf(aopenu_interval, axiom, ![A:cartrealn,B:cartrealn]:((openu_interval @ (c_ @ A @ B)) = (gspec @ ^[GENR_PVARR_638:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_638 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_lt @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_lt @ (d_ @ X @ I) @ (d_ @ B @ I)))) @ X)))).
thf(conjecture, conjecture, ![B:cartrealn,A:cartrealn]:((openu_interval @ (c_ @ A @ B)) = (gspec @ ^[GENR_PVARR_640:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_640 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_lt @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_lt @ (d_ @ X @ I) @ (d_ @ B @ I)))) @ X)))).
