%   ORIGINAL: IN_INTERVAL_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Assm: interval_conjunct0: interval (a,b) = {x | !i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i}
% Assm: interval_conjunct1: interval [a,b] = {x | !i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i}
% Goal: !x. x IN interval (a,b) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Assm: !a b. interval (a,b) = {x | !i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i}
% Assm: !a b. interval [a,b] = {x | !i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i}
% Goal: !b a x. x IN interval (a,b) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(aintervalu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:((openu_interval @ (c_ @ A @ B)) = (gspec @ ^[GENR_PVARR_640:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_640 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_lt @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_lt @ (d_ @ X @ I) @ (d_ @ B @ I)))) @ X)))).
thf(aintervalu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = (gspec @ ^[GENR_PVARR_641:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_641 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I)))) @ X)))).
thf(conjecture, conjecture, ![B:cartrealn,A:cartrealn,X:cartrealn]:((in @ X @ (openu_interval @ (c_ @ A @ B))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_lt @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_lt @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
