%   ORIGINAL: INTER_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERVAL_conjunct1: !x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_MIN: !x y z. z <= min x y <=> z <= x /\ z <= y
% Assm: REAL_MAX_LE: !x y z. max x y <= z <=> x <= z /\ y <= z
% Assm: TRUTH: T
% Goal: interval [a,b] INTER interval [c,d] = interval [(lambda i. max (a$i) (c$i)),(lambda i. min (b$i) (d$i))]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !a b x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:?208617) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:?208617) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: !x y z. z <= min x y <=> z <= x /\ z <= y
% Assm: !x y z. max x y <= z <=> x <= z /\ y <= z
% Assm: T
% Goal: !d b c a. interval [a,b] INTER interval [c,d] = interval [(lambda i. max (a$i) (c$i)),(lambda i. min (b$i) (d$i))]
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq208617, type, cartrealq208617 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq208617cartrealq208617, type, prodcartrealq208617cartrealq208617 : $tType).
thf(tq208617, type, q208617 : $tType).
thf(tlistprodcartrealq208617cartrealq208617, type, listprodcartrealq208617cartrealq208617 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq208617cartrealq208617).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (cartrealq208617 > (cartrealq208617 > $o) > $o)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cdu_, type, d_ : (cartrealq208617 > num > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq208617cartrealq208617 > cartrealq208617 > $o)).
thf(cuniv, type, univ : (q208617 > $o)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealq208617)).
thf(ccu_, type, c_ : (cartrealq208617 > cartrealq208617 > prodcartrealq208617cartrealq208617)).
thf(ccons, type, cons : (prodcartrealq208617cartrealq208617 > listprodcartrealq208617cartrealq208617 > listprodcartrealq208617cartrealq208617)).
thf(cinter, type, inter : ((cartrealq208617 > $o) > (cartrealq208617 > $o) > cartrealq208617 > $o)).
thf(cdimindex, type, dimindex : ((q208617 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq208617 > $o),G:(a > cartrealq208617 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq208617 > $o)]:(^[X:cartrealq208617]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq208617 > $o),T:(cartrealq208617 > $o)]:((S = T) <=> ![X:cartrealq208617]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INTER, axiom, ![S:(cartrealq208617 > $o),T:(cartrealq208617 > $o),X:cartrealq208617]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_INTERVALu_conjunct1, axiom, ![A:cartrealq208617,B:cartrealq208617,X:cartrealq208617]:((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_le @ Z @ (realu_min @ X @ Y)) <=> ((realu_le @ Z @ X) & (realu_le @ Z @ Y)))).
thf(aREALu_MAXu_LE, axiom, ![X:real,Y:real,Z:real]:((realu_le @ (realu_max @ X @ Y) @ Z) <=> ((realu_le @ X @ Z) & (realu_le @ Y @ Z)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![D:cartrealq208617,B:cartrealq208617,C:cartrealq208617,A:cartrealq208617]:((inter @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) = (closedu_interval @ (cons @ (c_ @ (lambda0 @ ^[I:num]:(realu_max @ (d_ @ A @ I) @ (d_ @ C @ I))) @ (lambda0 @ ^[I:num]:(realu_min @ (d_ @ B @ I) @ (d_ @ D @ I)))) @ nil)))).
