%   ORIGINAL: BOUNDED_SUBSET_CLOSED_INTERVAL_SYMMETRIC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_SUBSET_OPEN_INTERVAL_SYMMETRIC: !s. bounded s ==> (?a. s SUBSET interval (--a,a))
% Assm: IN_INTERVAL_conjunct0: !x. x IN interval (a,b) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i)
% Assm: IN_INTERVAL_conjunct1: !x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. bounded s ==> (?a. s SUBSET interval [--a,a])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s ==> (?a. s SUBSET interval (--a,a))
% Assm: !a b x. x IN interval (a,b) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i)
% Assm: !a b x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: !x y. x < y ==> x <= y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. bounded s ==> (?a. s SUBSET interval [--a,a])
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_SUBSETu_OPENu_INTERVALu_SYMMETRIC, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => ?[A:cartrealn]:(subset @ S @ (openu_interval @ (c_ @ (vectoru_neg @ A) @ A))))).
thf(aINu_INTERVALu_conjunct0, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (openu_interval @ (c_ @ A @ B))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_lt @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_lt @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
thf(aINu_INTERVALu_conjunct1, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((bounded @ S) => ?[A:cartrealn]:(subset @ S @ (closedu_interval @ (cons @ (c_ @ (vectoru_neg @ A) @ A) @ nil))))).
