%   ORIGINAL: BOUNDED_SUBSET_CLOSED_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_SUBSET_CLOSED_INTERVAL_SYMMETRIC: !s. bounded s ==> (?a. s SUBSET interval [--a,a])
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. bounded s ==> (?a b. s SUBSET interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded s ==> (?a. s SUBSET interval [--a,a])
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s. bounded s ==> (?a b. s SUBSET interval [a,b])
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_SUBSETu_CLOSEDu_INTERVALu_SYMMETRIC, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => ?[A:cartrealn]:(subset @ S @ (closedu_interval @ (cons @ (c_ @ (vectoru_neg @ A) @ A) @ nil))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((bounded @ S) => ?[A:cartrealn,B:cartrealn]:(subset @ S @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
