%   ORIGINAL: FRONTIER_CLOSED_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_INTERVAL: !a b. closed (interval [a,b])
% Assm: CLOSURE_CLOSED: !s. closed s ==> closure s = s
% Assm: INTERIOR_CLOSED_INTERVAL: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !a b. frontier (interval [a,b]) = interval [a,b] DIFF interval (a,b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. closed (interval [a,b])
% Assm: !s. closed s ==> closure s = s
% Assm: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !a b. frontier (interval [a,b]) = interval [a,b] DIFF interval (a,b)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq210003, type, cartrealq210003 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq210003cartrealq210003, type, prodcartrealq210003cartrealq210003 : $tType).
thf(tq210003, type, q210003 : $tType).
thf(tlistprodcartrealq210003cartrealq210003, type, listprodcartrealq210003cartrealq210003 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq210003cartrealq210003).
thf(cinterior, type, interior : ((cartrealq210003 > $o) > cartrealq210003 > $o)).
thf(cclosure, type, closure : ((cartrealq210003 > $o) > cartrealq210003 > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealq210003cartrealq210003 > cartrealq210003 > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq210003cartrealq210003 > cartrealq210003 > $o)).
thf(cfrontier, type, frontier : ((cartrealq210003 > $o) > cartrealq210003 > $o)).
thf(cdiff, type, diff : ((cartrealq210003 > $o) > (cartrealq210003 > $o) > cartrealq210003 > $o)).
thf(ccu_, type, c_ : (cartrealq210003 > cartrealq210003 > prodcartrealq210003cartrealq210003)).
thf(ccons, type, cons : (prodcartrealq210003cartrealq210003 > listprodcartrealq210003cartrealq210003 > listprodcartrealq210003cartrealq210003)).
thf(cclosed, type, closed : ((cartrealq210003 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq210003 > $o),G:(a > cartrealq210003 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_INTERVAL, axiom, ![A:cartrealq210003,B:cartrealq210003]:(closed @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aCLOSUREu_CLOSED, axiom, ![S:(cartrealq210003 > $o)]:((closed @ S) => ((closure @ S) = S))).
thf(aINTERIORu_CLOSEDu_INTERVAL, axiom, ![A:cartrealq210003,B:cartrealq210003]:((interior @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (openu_interval @ (c_ @ A @ B)))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealq210003 > $o)]:((frontier @ S) = (diff @ (closure @ S) @ (interior @ S)))).
thf(conjecture, conjecture, ![A:cartrealq210003,B:cartrealq210003]:((frontier @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (diff @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (openu_interval @ (c_ @ A @ B))))).
