%   ORIGINAL: FRONTIER_OPEN_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_OPEN_INTERVAL: !a b. ~(interval (a,b) = {}) ==> closure (interval (a,b)) = interval [a,b]
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FRONTIER_EMPTY: frontier {} = {}
% Assm: INTERIOR_OPEN: !s. open s ==> interior s = s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_INTERVAL: !a b. open (interval (a,b))
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !a b. frontier (interval (a,b)) = (if interval (a,b) = {} then {} else interval [a,b] DIFF interval (a,b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. ~(interval (a,b) = {}) ==> closure (interval (a,b)) = interval [a,b]
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: frontier {} = {}
% Assm: !s. open s ==> interior s = s
% Assm: ~F <=> T
% Assm: !a b. open (interval (a,b))
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !a b. frontier (interval (a,b)) = (if interval (a,b) = {} then {} else interval [a,b] DIFF interval (a,b))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq210068, type, cartrealq210068 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq210068cartrealq210068, type, prodcartrealq210068cartrealq210068 : $tType).
thf(tq210068, type, q210068 : $tType).
thf(tlistprodcartrealq210068cartrealq210068, type, listprodcartrealq210068cartrealq210068 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq210068cartrealq210068).
thf(cinterior, type, interior : ((cartrealq210068 > $o) > cartrealq210068 > $o)).
thf(cclosure, type, closure : ((cartrealq210068 > $o) > cartrealq210068 > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq210068cartrealq210068 > cartrealq210068 > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealq210068cartrealq210068 > cartrealq210068 > $o)).
thf(cfrontier, type, frontier : ((cartrealq210068 > $o) > cartrealq210068 > $o)).
thf(ccons, type, cons : (prodcartrealq210068cartrealq210068 > listprodcartrealq210068cartrealq210068 > listprodcartrealq210068cartrealq210068)).
thf(cdiff, type, diff : ((cartrealq210068 > $o) > (cartrealq210068 > $o) > cartrealq210068 > $o)).
thf(ccond, type, cond : ($o > (cartrealq210068 > $o) > (cartrealq210068 > $o) > cartrealq210068 > $o)).
thf(ccu_, type, c_ : (cartrealq210068 > cartrealq210068 > prodcartrealq210068cartrealq210068)).
thf(copen, type, open : ((cartrealq210068 > $o) > $o)).
thf(cempty, type, empty : (cartrealq210068 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq210068 > $o),G:(a > cartrealq210068 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_OPENu_INTERVAL, axiom, ![A:cartrealq210068,B:cartrealq210068]:(~ (((openu_interval @ (c_ @ A @ B)) = empty)) => ((closure @ (openu_interval @ (c_ @ A @ B))) = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aCONDu_ELIMu_THM, axiom, ![X:(cartrealq210068 > $o),C:$o,P:((cartrealq210068 > $o) > $o),Y:(cartrealq210068 > $o)]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFRONTIERu_EMPTY, axiom, ((frontier @ empty) = empty)).
thf(aINTERIORu_OPEN, axiom, ![S:(cartrealq210068 > $o)]:((open @ S) => ((interior @ S) = S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INTERVAL, axiom, ![A:cartrealq210068,B:cartrealq210068]:(open @ (openu_interval @ (c_ @ A @ B)))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealq210068 > $o)]:((frontier @ S) = (diff @ (closure @ S) @ (interior @ S)))).
thf(conjecture, conjecture, ![A:cartrealq210068,B:cartrealq210068]:((frontier @ (openu_interval @ (c_ @ A @ B))) = (cond @ ((openu_interval @ (c_ @ A @ B)) = empty) @ empty @ (diff @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (openu_interval @ (c_ @ A @ B)))))).
