%   ORIGINAL: INTER_INTERVAL_MIXED_EQ_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_OPEN_INTERVAL: !a b. ~(interval (a,b) = {}) ==> closure (interval (a,b)) = interval [a,b]
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_INTERVAL: !a b. open (interval (a,b))
% Assm: OPEN_INTER_CLOSURE_EQ_EMPTY: !s t. open s ==> (s INTER closure t = {} <=> s INTER t = {})
% Assm: TRUTH: T
% Goal: !a b c d. ~(interval (c,d) = {}) ==> (interval (a,b) INTER interval [c,d] = {} <=> interval (a,b) INTER interval (c,d) = {})
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. ~(interval (a,b) = {}) ==> closure (interval (a,b)) = interval [a,b]
% Assm: ~F <=> T
% Assm: !a b. open (interval (a,b))
% Assm: !s t. open s ==> (s INTER closure t = {} <=> s INTER t = {})
% Assm: T
% Goal: !a b c d. ~(interval (c,d) = {}) ==> (interval (a,b) INTER interval [c,d] = {} <=> interval (a,b) INTER interval (c,d) = {})
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_OPENu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:(~ (((openu_interval @ (c_ @ A @ B)) = empty)) => ((closure @ (openu_interval @ (c_ @ A @ B))) = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:(open @ (openu_interval @ (c_ @ A @ B)))).
thf(aOPENu_INTERu_CLOSUREu_EQu_EMPTY, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((open @ S) => (((inter @ S @ (closure @ T)) = empty) <=> ((inter @ S @ T) = empty)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:(~ (((openu_interval @ (c_ @ C @ D)) = empty)) => (((inter @ (openu_interval @ (c_ @ A @ B)) @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) = empty) <=> ((inter @ (openu_interval @ (c_ @ A @ B)) @ (openu_interval @ (c_ @ C @ D))) = empty)))).
