%   ORIGINAL: INTERVAL_IMAGE_STRETCH_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EMPTY_AS_INTERVAL: {} = interval [vec 1,vec 0]
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IMAGE_STRETCH_INTERVAL: !a b m. IMAGE (\x. lambda k. m k * x$k) (interval [a,b]) = (if interval [a,b] = {} then {} else interval [(lambda k. min (m k * a$k) (m k * b$k)),(lambda k. max (m k * a$k) (m k * b$k))])
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b m. ?u v. IMAGE (\x. lambda k. m k * x$k) (interval [a,b]) = interval [u,v]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: {} = interval [vec 1,vec 0]
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !a b m. IMAGE (\x. lambda k. m k * x$k) (interval [a,b]) = (if interval [a,b] = {} then {} else interval [(lambda k. min (m k * a$k) (m k * b$k)),(lambda k. max (m k * a$k) (m k * b$k))])
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !a b m. ?u v. IMAGE (\x. lambda k. m k * x$k) (interval [a,b]) = interval [u,v]
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccond, type, cond : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn > $o),T2:(cartrealn > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aEMPTYu_ASu_INTERVAL, axiom, (empty = (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))) @ nil)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aIMAGEu_STRETCHu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn,M:(num > real)]:((image @ ^[X:cartrealn]:(lambda0 @ ^[K:num]:(realu_mul @ (M @ K) @ (d_ @ X @ K))) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (cond @ ((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty) @ empty @ (closedu_interval @ (cons @ (c_ @ (lambda0 @ ^[K:num]:(realu_min @ (realu_mul @ (M @ K) @ (d_ @ A @ K)) @ (realu_mul @ (M @ K) @ (d_ @ B @ K)))) @ (lambda0 @ ^[K:num]:(realu_max @ (realu_mul @ (M @ K) @ (d_ @ A @ K)) @ (realu_mul @ (M @ K) @ (d_ @ B @ K))))) @ nil))))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,M:(num > real)]:?[U:cartrealn,V:cartrealn]:((image @ ^[X:cartrealn]:(lambda0 @ ^[K:num]:(realu_mul @ (M @ K) @ (d_ @ X @ K))) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (closedu_interval @ (cons @ (c_ @ U @ V) @ nil)))).
