%   ORIGINAL: IS_INTERVAL_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_INTERVAL_conjunct0: !x. x IN interval (a,b) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i)
% Assm: IN_INTERVAL_conjunct1: !x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_LTE_TRANS: !x y z. x < y /\ y <= z ==> x < z
% Assm: REAL_LT_TRANS: !x y z. x < y /\ y < z ==> x < z
% Assm: TRUTH: T
% Assm: is_interval: !s. is_interval s <=> (!a b x. a IN s /\ b IN s /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i \/ b$i <= x$i /\ x$i <= a$i) ==> x IN s)
% Goal: !a b. is_interval (interval (a,b)) /\ is_interval (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !a b x. x IN interval (a,b) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i < x$i /\ x$i < b$i)
% Assm: !a b x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y z. x < y /\ y <= z ==> x < z
% Assm: !x y z. x < y /\ y < z ==> x < z
% Assm: T
% Assm: !s. is_interval s <=> (!a b x. a IN s /\ b IN s /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i \/ b$i <= x$i /\ x$i <= a$i) ==> x IN s)
% Goal: !a b. is_interval (interval (a,b)) /\ is_interval (interval [a,b])
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cisuu_interval, type, isu_interval : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_INTERVALu_conjunct0, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (openu_interval @ (c_ @ A @ B))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_lt @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_lt @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
thf(aINu_INTERVALu_conjunct1, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_LTEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_le @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LTu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(aisu_interval, axiom, ![S:(cartrealn > $o)]:((isu_interval @ S) <=> ![A:cartrealn,B:cartrealn,X:cartrealn]:(((in @ A @ S) & (in @ B @ S) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I))) | ((realu_le @ (d_ @ B @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ A @ I)))))) => (in @ X @ S)))).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:((isu_interval @ (openu_interval @ (c_ @ A @ B))) & (isu_interval @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
