%   ORIGINAL: IS_INTERVAL_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Assm: is_interval: !s. is_interval s <=> (!a b x. a IN s /\ b IN s /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i \/ b$i <= x$i /\ x$i <= a$i) ==> x IN s)
% Goal: is_interval (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x IN (:real^N)
% Assm: T
% Assm: !s. is_interval s <=> (!a b x. a IN s /\ b IN s /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i \/ b$i <= x$i /\ x$i <= a$i) ==> x IN s)
% Goal: is_interval (:real^N)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cisuu_interval, type, isu_interval : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aTRUTH, axiom, $true).
thf(aisu_interval, axiom, ![S:(cartrealn > $o)]:((isu_interval @ S) <=> ![A:cartrealn,B:cartrealn,X:cartrealn]:(((in @ A @ S) & (in @ B @ S) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ0))) => (((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I))) | ((realu_le @ (d_ @ B @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ A @ I)))))) => (in @ X @ S)))).
thf(conjecture, conjecture, (isu_interval @ univ)).
