%   ORIGINAL: IS_INTERVAL_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_1: (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: FORALL_LIFT: (!x. P x) <=> (!x. P (lift x))
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Assm: is_interval: !s. is_interval s <=> (!a b x. a IN s /\ b IN s /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i \/ b$i <= x$i /\ x$i <= a$i) ==> x IN s)
% Goal: !s. is_interval s <=> (!a b x. a IN s /\ b IN s /\ drop a <= drop x /\ drop x <= drop b ==> x IN s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: dimindex (:1) = 1
% Assm: !t. (\x. t x) = t
% Assm: !P. (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: !P. (!x. P x) <=> (!x. P (lift x))
% Assm: !x. drop (lift x) = x
% Assm: ~F <=> T
% Assm: T
% Assm: !x. drop x = x$1
% Assm: !s. is_interval s <=> (!a b x. a IN s /\ b IN s /\ (!i. 1 <= i /\ i <= dimindex (:1) ==> a$i <= x$i /\ x$i <= b$i \/ b$i <= x$i /\ x$i <= a$i) ==> x IN s)
% Goal: !s. is_interval s <=> (!a b x. a IN s /\ b IN s /\ drop a <= drop x /\ drop x <= drop b ==> x IN s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cisuu_interval, type, isu_interval : ((cartrealn1 > $o) > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_1, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ u_0)))) => (P @ I)) <=> (P @ (numeral @ (bit1 @ u_0))))).
thf(aFORALLu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(![X:cartrealn1]:(P @ X) <=> ![X:real]:(P @ (lift @ X)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(aisu_interval, axiom, ![S:(cartrealn1 > $o)]:((isu_interval @ S) <=> ![A:cartrealn1,B:cartrealn1,X:cartrealn1]:(((in @ A @ S) & (in @ B @ S) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I))) | ((realu_le @ (d_ @ B @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ A @ I)))))) => (in @ X @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn1 > $o)]:((isu_interval @ S) <=> ![A:cartrealn1,B:cartrealn1,X:cartrealn1]:(((in @ A @ S) & (in @ B @ S) & (realu_le @ (drop @ A) @ (drop @ X)) & (realu_le @ (drop @ X) @ (drop @ B))) => (in @ X @ S)))).
