%   ORIGINAL: SEGMENT_CLOSED_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ENDS_IN_SEGMENT: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: open_segment: !a b. segment (a,b) = segment [a,b] DIFF {a, b}
% Goal: !a b. segment [a,b] = segment (a,b) UNION {a, b}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !a b. segment (a,b) = segment [a,b] DIFF {a, b}
% Goal: !a b. segment [a,b] = segment (a,b) UNION {a, b}
%  TYPES
thf(tq214802, type, q214802 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq214802, type, cartrealq214802 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq214802cartrealq214802, type, prodcartrealq214802cartrealq214802 : $tType).
thf(tlistprodcartrealq214802cartrealq214802, type, listprodcartrealq214802cartrealq214802 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq214802cartrealq214802).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealq214802 > (cartrealq214802 > $o) > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealq214802cartrealq214802 > cartrealq214802 > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealq214802cartrealq214802 > cartrealq214802 > $o)).
thf(cdiff0, type, diff0 : ((cartrealq214802 > $o) > (cartrealq214802 > $o) > cartrealq214802 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cinsert, type, insert : (cartrealq214802 > (cartrealq214802 > $o) > cartrealq214802 > $o)).
thf(cunion, type, union : ((cartrealq214802 > $o) > (cartrealq214802 > $o) > cartrealq214802 > $o)).
thf(ccu_, type, c_ : (cartrealq214802 > cartrealq214802 > prodcartrealq214802cartrealq214802)).
thf(ccons, type, cons : (prodcartrealq214802cartrealq214802 > listprodcartrealq214802cartrealq214802 > listprodcartrealq214802cartrealq214802)).
thf(cempty, type, empty : (cartrealq214802 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq214802 > $o),G:(a > cartrealq214802 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aENDSu_INu_SEGMENT, axiom, ![A:cartrealq214802,B:cartrealq214802]:((in @ A @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & (in @ B @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aEXTENSION, axiom, ![S:(cartrealq214802 > $o),T:(cartrealq214802 > $o)]:((S = T) <=> ![X:cartrealq214802]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INSERT, axiom, ![X:cartrealq214802,Y:cartrealq214802,S:(cartrealq214802 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_UNION, axiom, ![S:(cartrealq214802 > $o),T:(cartrealq214802 > $o),X:cartrealq214802]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq214802]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aopenu_segment, axiom, ![A:cartrealq214802,B:cartrealq214802]:((openu_segment @ (c_ @ A @ B)) = (diff0 @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (insert @ A @ (insert @ B @ empty))))).
thf(conjecture, conjecture, ![A:cartrealq214802,B:cartrealq214802]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (union @ (openu_segment @ (c_ @ A @ B)) @ (insert @ A @ (insert @ B @ empty))))).
