%   ORIGINAL: IN_OPEN_SEGMENT_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN_OPEN_SEGMENT: !a b x. x IN segment (a,b) <=> x IN segment [a,b] /\ ~(x = a) /\ ~(x = b)
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SEGMENT_REFL_conjunct0: !a. segment [a,a] = {a}
% Assm: SEGMENT_REFL_conjunct1: !a. segment (a,a) = {}
% Assm: TRUTH: T
% Goal: !a b x. x IN segment (a,b) <=> x IN segment [a,b] /\ ~(x = a) /\ ~(x = b) /\ ~(a = b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b x. x IN segment (a,b) <=> x IN segment [a,b] /\ ~(x = a) /\ ~(x = b)
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !a. segment [a,a] = {a}
% Assm: !a. segment (a,a) = {}
% Assm: T
% Goal: !a b x. x IN segment (a,b) <=> x IN segment [a,b] /\ ~(x = a) /\ ~(x = b) /\ ~(a = b)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINu_OPENu_SEGMENT, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (openu_segment @ (c_ @ A @ B))) <=> ((in @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & ~ ((X = A)) & ~ ((X = B))))).
thf(aINu_SING, axiom, ![X:cartrealn,Y:cartrealn]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSEGMENTu_REFLu_conjunct0, axiom, ![A:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ A) @ nil)) = (insert @ A @ empty))).
thf(aSEGMENTu_REFLu_conjunct1, axiom, ![A:cartrealn]:((openu_segment @ (c_ @ A @ A)) = empty)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (openu_segment @ (c_ @ A @ B))) <=> ((in @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & ~ ((X = A)) & ~ ((X = B)) & ~ ((A = B))))).
