%   ORIGINAL: COLLINEAR_DIST_IN_OPEN_SEGMENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_DIST_IN_CLOSED_SEGMENT: !a b x. collinear {x, a, b} /\ dist (x,a) <= dist (a,b) /\ dist (x,b) <= dist (a,b) ==> x IN segment [a,b]
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_OPEN_SEGMENT: !a b x. x IN segment (a,b) <=> x IN segment [a,b] /\ ~(x = a) /\ ~(x = b)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: TRUTH: T
% Goal: !a b x. collinear {x, a, b} /\ dist (x,a) < dist (a,b) /\ dist (x,b) < dist (a,b) ==> x IN segment (a,b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b x. collinear {x, a, b} /\ dist (x,a) <= dist (a,b) /\ dist (x,b) <= dist (a,b) ==> x IN segment [a,b]
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !a b x. x IN segment (a,b) <=> x IN segment [a,b] /\ ~(x = a) /\ ~(x = b)
% Assm: ~F <=> T
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: T
% Goal: !a b x. collinear {x, a, b} /\ dist (x,a) < dist (a,b) /\ dist (x,b) < dist (a,b) ==> x IN segment (a,b)
%  TYPES
thf(tq215829, type, q215829 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq215829cartrealq215829, type, prodcartrealq215829cartrealq215829 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq215829, type, cartrealq215829 : $tType).
thf(tlistprodcartrealq215829cartrealq215829, type, listprodcartrealq215829cartrealq215829 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq215829cartrealq215829).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealq215829cartrealq215829 > cartrealq215829 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealq215829cartrealq215829 > cartrealq215829 > $o)).
thf(cin, type, in : (cartrealq215829 > (cartrealq215829 > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealq215829cartrealq215829 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccons, type, cons : (prodcartrealq215829cartrealq215829 > listprodcartrealq215829cartrealq215829 > listprodcartrealq215829cartrealq215829)).
thf(ccu_, type, c_ : (cartrealq215829 > cartrealq215829 > prodcartrealq215829cartrealq215829)).
thf(cinsert, type, insert : (cartrealq215829 > (cartrealq215829 > $o) > cartrealq215829 > $o)).
thf(cempty, type, empty : (cartrealq215829 > $o)).
thf(ccollinear, type, collinear : ((cartrealq215829 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_DISTu_INu_CLOSEDu_SEGMENT, axiom, ![A:cartrealq215829,B:cartrealq215829,X:cartrealq215829]:(((collinear @ (insert @ X @ (insert @ A @ (insert @ B @ empty)))) & (realu_le @ (distance @ (c_ @ X @ A)) @ (distance @ (c_ @ A @ B))) & (realu_le @ (distance @ (c_ @ X @ B)) @ (distance @ (c_ @ A @ B)))) => (in @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aDISTu_SYM, axiom, ![X:cartrealq215829,Y:cartrealq215829]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_OPENu_SEGMENT, axiom, ![A:cartrealq215829,B:cartrealq215829,X:cartrealq215829]:((in @ X @ (openu_segment @ (c_ @ A @ B))) <=> ((in @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & ~ ((X = A)) & ~ ((X = B))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealq215829,B:cartrealq215829,X:cartrealq215829]:(((collinear @ (insert @ X @ (insert @ A @ (insert @ B @ empty)))) & (realu_lt @ (distance @ (c_ @ X @ A)) @ (distance @ (c_ @ A @ B))) & (realu_lt @ (distance @ (c_ @ X @ B)) @ (distance @ (c_ @ A @ B)))) => (in @ X @ (openu_segment @ (c_ @ A @ B))))).
