%   ORIGINAL: LIM_COMPONENT_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVENTUALLY_AND: !net p q. eventually (\x. p x /\ q x) net <=> eventually p net /\ eventually q net
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: LIM_COMPONENT_LBOUND: !net f l b k. ~trivial_limit net /\ (f --> l) net /\ eventually (\x. b <= f x$k) net /\ 1 <= k /\ k <= dimindex (:N) ==> b <= l$k
% Assm: LIM_COMPONENT_UBOUND: !net f l b k. ~trivial_limit net /\ (f --> l) net /\ eventually (\x. f x$k <= b) net /\ 1 <= k /\ k <= dimindex (:N) ==> l$k <= b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: TRUTH: T
% Goal: !net f i l b. (f --> l) net /\ 1 <= i /\ i <= dimindex (:N) /\ ~trivial_limit net /\ eventually (\x. f x$i = b) net ==> l$i = b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !net p q. eventually (\x. p x /\ q x) net <=> eventually p net /\ eventually q net
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !net f l b k. ~trivial_limit net /\ (f --> l) net /\ eventually (\x. b <= f x$k) net /\ 1 <= k /\ k <= dimindex (:N) ==> b <= l$k
% Assm: !net f l b k. ~trivial_limit net /\ (f --> l) net /\ eventually (\x. f x$k <= b) net /\ 1 <= k /\ k <= dimindex (:N) ==> l$k <= b
% Assm: ~F <=> T
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: T
% Goal: !net f i l b. (f --> l) net /\ 1 <= i /\ i <= dimindex (:N) /\ ~trivial_limit net /\ eventually (\x. f x$i = b) net ==> l$i = b
%  TYPES
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn) > cartrealn > neta > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (neta > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEVENTUALLYu_AND, axiom, ![NET:neta,P:(a > $o),Q:(a > $o)]:((eventually @ ^[X:a]:((P @ X) & (Q @ X)) @ NET) <=> ((eventually @ P @ NET) & (eventually @ Q @ NET)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aLIMu_COMPONENTu_LBOUND, axiom, ![NET:neta,F:(a > cartrealn),L:cartrealn,B:real,K:num]:((~ ((trivialu_limit @ NET)) & (m_m_g_ @ F @ L @ NET) & (eventually @ ^[X:a]:(realu_le @ B @ (d_ @ (F @ X) @ K)) @ NET) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => (realu_le @ B @ (d_ @ L @ K)))).
thf(aLIMu_COMPONENTu_UBOUND, axiom, ![NET:neta,F:(a > cartrealn),L:cartrealn,B:real,K:num]:((~ ((trivialu_limit @ NET)) & (m_m_g_ @ F @ L @ NET) & (eventually @ ^[X:a]:(realu_le @ (d_ @ (F @ X) @ K) @ B) @ NET) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => (realu_le @ (d_ @ L @ K) @ B))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealn),I:num,L:cartrealn,B:real]:(((m_m_g_ @ F @ L @ NET) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & ~ ((trivialu_limit @ NET)) & (eventually @ ^[X:a]:((d_ @ (F @ X) @ I) = B) @ NET)) => ((d_ @ L @ I) = B))).
