%   ORIGINAL: LIM_COMPONENT_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LIM_COMPONENT_LBOUND: !net f l b k. ~trivial_limit net /\ (f --> l) net /\ eventually (\x. b <= f x$k) net /\ 1 <= k /\ k <= dimindex (:N) ==> b <= l$k
% Assm: LIM_SUB: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: TRUTH: T
% Assm: VECTOR_SUB_COMPONENT: !x y i. (x - y)$i = x$i - y$i
% Goal: !net f g k l m. ~trivial_limit net /\ (f --> l) net /\ (g --> m) net /\ eventually (\x. f x$k <= g x$k) net /\ 1 <= k /\ k <= dimindex (:N) ==> l$k <= m$k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !net f l b k. ~trivial_limit net /\ (f --> l) net /\ eventually (\x. b <= f x$k) net /\ 1 <= k /\ k <= dimindex (:N) ==> b <= l$k
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: T
% Assm: !x y i. (x - y)$i = x$i - y$i
% Goal: !net f g k l m. ~trivial_limit net /\ (f --> l) net /\ (g --> m) net /\ eventually (\x. f x$k <= g x$k) net /\ 1 <= k /\ k <= dimindex (:N) ==> l$k <= m$k
%  TYPES
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn) > cartrealn > neta > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (neta > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLIMu_COMPONENTu_LBOUND, axiom, ![NET:neta,F:(a > cartrealn),L:cartrealn,B:real,K:num]:((~ ((trivialu_limit @ NET)) & (m_m_g_ @ F @ L @ NET) & (eventually @ ^[X:a]:(realu_le @ B @ (d_ @ (F @ X) @ K)) @ NET) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => (realu_le @ B @ (d_ @ L @ K)))).
thf(aLIMu_SUB, axiom, ![NET:neta,F:(a > cartrealn),G:(a > cartrealn),L:cartrealn,M:cartrealn]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET)) => (m_m_g_ @ ^[X:a]:(vectoru_sub @ (F @ X) @ (G @ X)) @ (vectoru_sub @ L @ M) @ NET))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_ @ (vectoru_sub @ X @ Y) @ I) = (realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealn),G:(a > cartrealn),K:num,L:cartrealn,M:cartrealn]:((~ ((trivialu_limit @ NET)) & (m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET) & (eventually @ ^[X:a]:(realu_le @ (d_ @ (F @ X) @ K) @ (d_ @ (G @ X) @ K)) @ NET) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => (realu_le @ (d_ @ L @ K) @ (d_ @ M @ K)))).
