%   ORIGINAL: LIM_DROP_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: LE_REFL: !n. n <= n
% Assm: LIM_COMPONENT_LE: !net f g k l m. ~trivial_limit net /\ (f --> l) net /\ (g --> m) net /\ eventually (\x. f x$k <= g x$k) net /\ 1 <= k /\ k <= dimindex (:N) ==> l$k <= m$k
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Goal: !net f g l m. ~trivial_limit net /\ (f --> l) net /\ (g --> m) net /\ eventually (\x. drop (f x) <= drop (g x)) net ==> drop l <= drop m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: dimindex (:1) = 1
% Assm: !n. n <= n
% Assm: !net f g k l m. ~trivial_limit net /\ (f --> l) net /\ (g --> m) net /\ eventually (\x. f x$k <= g x$k) net /\ 1 <= k /\ k <= dimindex (:1) ==> l$k <= m$k
% Assm: ~F <=> T
% Assm: T
% Assm: !x. drop x = x$1
% Goal: !net f g l m. ~trivial_limit net /\ (f --> l) net /\ (g --> m) net /\ eventually (\x. drop (f x) <= drop (g x)) net ==> drop l <= drop m
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn1) > cartrealn1 > neta > $o)).
thf(cuniv, type, univ : (n1 > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (neta > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLIMu_COMPONENTu_LE, axiom, ![NET:neta,F:(a > cartrealn1),G:(a > cartrealn1),K:num,L:cartrealn1,M:cartrealn1]:((~ ((trivialu_limit @ NET)) & (m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET) & (eventually @ ^[X:a]:(realu_le @ (d_ @ (F @ X) @ K) @ (d_ @ (G @ X) @ K)) @ NET) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => (realu_le @ (d_ @ L @ K) @ (d_ @ M @ K)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealn1),G:(a > cartrealn1),L:cartrealn1,M:cartrealn1]:((~ ((trivialu_limit @ NET)) & (m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET) & (eventually @ ^[X:a]:(realu_le @ (drop @ (F @ X)) @ (drop @ (G @ X))) @ NET)) => (realu_le @ (drop @ L) @ (drop @ M)))).
