%   ORIGINAL: IMAGE_CLOSURE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: CLOSURE_MINIMAL: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: CONTINUOUS_CLOSED_PREIMAGE: !f s t. f continuous_on s /\ closed s /\ closed t ==> closed {x | x IN s /\ f x IN t}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !f s t. f continuous_on closure s /\ closed t /\ IMAGE f s SUBSET t ==> IMAGE f (closure s) SUBSET t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed (closure s)
% Assm: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: !s. s SUBSET closure s
% Assm: !f s t. f continuous_on s /\ closed s /\ closed t ==> closed {x | x IN s /\ f x IN t}
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !f s t. f continuous_on closure s /\ closed t /\ IMAGE f s SUBSET t ==> IMAGE f (closure s) SUBSET t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin2, type, in2 : (q43851 > (q43851 > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure0, type, closure0 : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealm) > (cartrealn > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cimage, type, image : ((cartrealn > cartrealm) > (cartrealn > $o) > cartrealm > $o)).
thf(cclosed0, type, closed0 : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealm > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealm > $o)]:(closed @ (closure0 @ S))).
thf(aCLOSUREu_MINIMAL, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((subset @ S @ T) & (closed @ T)) => (subset @ (closure0 @ S) @ T))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealm > $o)]:(subset @ S @ (closure0 @ S))).
thf(aCONTINUOUSu_CLOSEDu_PREIMAGE, axiom, ![F:(cartrealn > cartrealm),S:(cartrealn > $o),T:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (closed0 @ S) & (closed @ T)) => (closed0 @ (gspec @ ^[GENR_PVARR_506:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_506 @ ((in @ X @ S) & (in0 @ (F @ X) @ T)) @ X))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in1 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in2 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealm,S:(cartrealn > $o),F:(cartrealn > cartrealm)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),U:(cartrealm > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealm),S:(cartrealn > $o),T:(cartrealm > $o)]:(((continuousu_on @ F @ (closure @ S)) & (closed @ T) & (subset @ (image @ F @ S) @ T)) => (subset @ (image @ F @ (closure @ S)) @ T))).
