%   ORIGINAL: CONTINUOUS_ON_CLOSURE_COMPONENT_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_HALFSPACE_COMPONENT_GE: !a k. closed {x | x$k >= a}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IMAGE_CLOSURE_SUBSET: !f s t. f continuous_on closure s /\ closed t /\ IMAGE f s SUBSET t ==> IMAGE f (closure s) SUBSET t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: real_ge: !y x. x >= y <=> y <= x
% Goal: !f s x b k. f continuous_on closure s /\ (!y. y IN s ==> b <= f y$k) /\ x IN closure s ==> b <= f x$k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a k. closed {x | x$k >= a}
% Assm: !t. (\x. t x) = t
% Assm: !f s t. f continuous_on closure s /\ closed t /\ IMAGE f s SUBSET t ==> IMAGE f (closure s) SUBSET t
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !y x. x >= y <=> y <= x
% Goal: !f s x b k. f continuous_on closure s /\ (!y. y IN s ==> b <= f y$k) /\ x IN closure s ==> b <= f x$k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cdu_, type, d_ : (cartrealm > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealm) > (cartrealn > $o) > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cimage, type, image : ((cartrealn > cartrealm) > (cartrealn > $o) > cartrealm > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(cclosed, type, closed : ((cartrealm > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_HALFSPACEu_COMPONENTu_GE, axiom, ![A:real,K:num]:(closed @ (gspec @ ^[GENR_PVARR_523:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_523 @ (realu_ge @ (d_ @ X @ K) @ A) @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIMAGEu_CLOSUREu_SUBSET, axiom, ![F:(cartrealn > cartrealm),S:(cartrealn > $o),T:(cartrealm > $o)]:(((continuousu_on @ F @ (closure @ S)) & (closed @ T) & (subset @ (image @ F @ S) @ T)) => (subset @ (image @ F @ (closure @ S)) @ T))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec0 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset0 @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealm),S:(cartrealn > $o),X:cartrealn,B:real,K:num]:(((continuousu_on @ F @ (closure @ S)) & ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ B @ (d_ @ (F @ Y) @ K))) & (in @ X @ (closure @ S))) => (realu_le @ B @ (d_ @ (F @ X) @ K)))).
