%   ORIGINAL: CONTINUOUS_ON_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CONTINUOUS_ON_EQ: !f g s. (!x. x IN s ==> f x = g x) /\ f continuous_on s ==> g continuous_on s
% Assm: CONTINUOUS_ON_UNION: !f s t. closed s /\ closed t /\ f continuous_on s /\ f continuous_on t ==> f continuous_on s UNION t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !P f g s t. closed s /\ closed t /\ f continuous_on s /\ g continuous_on t /\ (!x. x IN s /\ ~P x \/ x IN t /\ P x ==> f x = g x) ==> (\x. if P x then f x else g x) continuous_on s UNION t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g s. (!x. x IN s ==> f x = g x) /\ f continuous_on s ==> g continuous_on s
% Assm: !f s t. closed s /\ closed t /\ f continuous_on s /\ f continuous_on t ==> f continuous_on s UNION t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !P f g s t. closed s /\ closed t /\ f continuous_on s /\ g continuous_on t /\ (!x. x IN s /\ ~P x \/ x IN t /\ P x ==> f x = g x) ==> (\x. if P x then f x else g x) continuous_on s UNION t
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cunion, type, union : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(cclosed, type, closed : ((cartrealm > $o) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONTINUOUSu_ONu_EQ, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => ((F @ X) = (G @ X))) & (continuousu_on @ F @ S)) => (continuousu_on @ G @ S))).
thf(aCONTINUOUSu_ONu_UNION, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((closed @ S) & (closed @ T) & (continuousu_on @ F @ S) & (continuousu_on @ F @ T)) => (continuousu_on @ F @ (union @ S @ T)))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealm > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((closed @ S) & (closed @ T) & (continuousu_on @ F @ S) & (continuousu_on @ G @ T) & ![X:cartrealm]:((((in @ X @ S) & ~ ((P @ X))) | ((in @ X @ T) & (P @ X))) => ((F @ X) = (G @ X)))) => (continuousu_on @ ^[X:cartrealm]:(cond @ (P @ X) @ (F @ X) @ (G @ X)) @ (union @ S @ T)))).
