%   ORIGINAL: CLOSED_IN_LIMPT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: CLOSED_IN_CLOSED: !s u. closed_in (subtopology euclidean u) s <=> (?t. closed t /\ s = u INTER t)
% Assm: CLOSED_LIMPT: !s. closed s <=> (!x. x limit_point_of s ==> x IN s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER_SUBSET_conjunct0: !s t. s INTER t SUBSET s
% Assm: INTER_SUBSET_conjunct1: !s t. t INTER s SUBSET s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: LIMPT_SUBSET: !x s t. x limit_point_of s /\ s SUBSET t ==> x limit_point_of t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: closure: !s. closure s = s UNION {x | x limit_point_of s}
% Goal: !s t. closed_in (subtopology euclidean t) s <=> s SUBSET t /\ (!x. x limit_point_of s /\ x IN t ==> x IN s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed (closure s)
% Assm: !s u. closed_in (subtopology euclidean u) s <=> (?t. closed t /\ s = u INTER t)
% Assm: !s. closed s <=> (!x. x limit_point_of s ==> x IN s)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s INTER t SUBSET s
% Assm: !s t. t INTER s SUBSET s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x <=> x
% Assm: !x s t. x limit_point_of s /\ s SUBSET t ==> x limit_point_of t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. closure s = s UNION {x | x limit_point_of s}
% Goal: !s t. closed_in (subtopology euclidean t) s <=> s SUBSET t /\ (!x. x limit_point_of s /\ x IN t ==> x IN s)
%  TYPES
thf(tq172577, type, q172577 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq172577, type, cartrealq172577 : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cclosure0, type, closure0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealq172577 > $o) > cartrealq172577 > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(ci, type, i : ($o > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cclosed0, type, closed0 : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealq172577 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealq172577 > $o)]:(closed @ (closure @ S))).
thf(aCLOSEDu_INu_CLOSED, axiom, ![S:(cartrealn > $o),U:(cartrealn > $o)]:((closedu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealn > $o)]:((closed0 @ T) & (S = (inter @ U @ T))))).
thf(aCLOSEDu_LIMPT, axiom, ![S:(cartrealn > $o)]:((closed0 @ S) <=> ![X:cartrealn]:((limitu_pointu_of @ X @ S) => (in @ X @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINTERu_SUBSETu_conjunct0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ (inter @ S @ T) @ S)).
thf(aINTERu_SUBSETu_conjunct1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ (inter @ T @ S) @ S)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aLIMPTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:(((limitu_pointu_of @ X @ S) & (subset @ S @ T)) => (limitu_pointu_of @ X @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aclosure, axiom, ![S:(cartrealn > $o)]:((closure0 @ S) = (union @ S @ (gspec @ ^[GENR_PVARR_467:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_467 @ (limitu_pointu_of @ X @ S) @ X))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((closedu_in @ (subtopology @ euclidean @ T) @ S) <=> ((subset @ S @ T) & ![X:cartrealn]:(((limitu_pointu_of @ X @ S) & (in @ X @ T)) => (in @ X @ S))))).
