%   ORIGINAL: CONTINUOUS_COMPONENTWISE_LIFT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_COMPONENTWISE_LIFT: !net f. (f --> l) net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. lift (f x$i)) --> lift (l$i)) net)
% Assm: TRUTH: T
% Assm: continuous: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Goal: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) continuous net)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !l net f. (f --> l) net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. lift (f x$i)) --> lift (l$i)) net)
% Assm: T
% Assm: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Assm: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Goal: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) continuous net)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuous0, type, continuous0 : ((a > cartrealn1) > neta > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccontinuous, type, continuous : ((a > cartrealn) > neta > $o)).
thf(cnetlimit, type, netlimit : (neta > a)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((a > cartrealn1) > cartrealn1 > neta > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_COMPONENTWISEu_LIFT, axiom, ![L:cartrealn,NET:neta,F:(a > cartrealn)]:((m_m_g_ @ F @ L @ NET) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (m_m_g_0 @ ^[X:a]:(lift @ (d_ @ (F @ X) @ I)) @ (lift @ (d_ @ L @ I)) @ NET)))).
thf(aTRUTH, axiom, $true).
thf(acontinuousu_monomorphized1, axiom, ![F:(a > cartrealn1),NET:neta]:((continuous0 @ F @ NET) <=> (m_m_g_0 @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(acontinuousu_monomorphized0, axiom, ![F:(a > cartrealn),NET:neta]:((continuous @ F @ NET) <=> (m_m_g_ @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealn)]:((continuous @ F @ NET) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (continuous0 @ ^[X:a]:(lift @ (d_ @ (F @ X) @ I)) @ NET)))).
