%   ORIGINAL: CONTINUOUS_ON_COMPONENTWISE_LIFT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_COMPONENTWISE_LIFT: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) continuous net)
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. f continuous_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) continuous_on s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) continuous net)
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. f continuous_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) continuous_on s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tneta, type, neta : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cuniv, type, univ : (n > $o)).
thf(ccontinuous2, type, continuous2 : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(ccontinuous1, type, continuous1 : ((cartrealm > cartrealn1) > netcartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuous0, type, continuous0 : ((a > cartrealn1) > neta > $o)).
thf(ccontinuous, type, continuous : ((a > cartrealn) > neta > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(ci, type, i : ($o > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_COMPONENTWISEu_LIFT, axiom, ![NET:neta,F:(a > cartrealn)]:((continuous @ F @ NET) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (continuous0 @ ^[X:a]:(lift @ (d_ @ (F @ X) @ I)) @ NET)))).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHINu_monomorphized1, axiom, ![F:(cartrealm > cartrealn1),S:(cartrealm > $o)]:((continuousu_on0 @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (continuous1 @ F @ (within @ (at @ X) @ S))))).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHINu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (continuous2 @ F @ (within @ (at @ X) @ S))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (continuousu_on0 @ ^[X:cartrealm]:(lift @ (d_ @ (F @ X) @ I)) @ S)))).
