%   ORIGINAL: CONNECTED_IVT_HYPERPLANE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_HALFSPACE_GT: !a b. open {x | a dot x > b}
% Assm: OPEN_HALFSPACE_LT: !a b. open {x | a dot x < b}
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: connected: !s. connected s <=> ~(?e1 e2. open e1 /\ open e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Assm: real_gt: !y x. x > y <=> y < x
% Goal: !s x y a b. connected s /\ x IN s /\ y IN s /\ a dot x <= b /\ b <= a dot y ==> (?z. z IN s /\ a dot z = b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !a b. open {x | a dot x > b}
% Assm: !a b. open {x | a dot x < b}
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. connected s <=> ~(?e1 e2. open e1 /\ open e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Assm: !y x. x > y <=> y < x
% Goal: !s x y a b. connected s /\ x IN s /\ y IN s /\ a dot x <= b /\ b <= a dot y ==> (?z. z IN s /\ a dot z = b)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aOPENu_HALFSPACEu_GT, axiom, ![A:cartrealn,B:real]:(open @ (gspec @ ^[GENR_PVARR_530:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_530 @ (realu_gt @ (dot @ A @ X) @ B) @ X)))).
thf(aOPENu_HALFSPACEu_LT, axiom, ![A:cartrealn,B:real]:(open @ (gspec @ ^[GENR_PVARR_526:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_526 @ (realu_lt @ (dot @ A @ X) @ B) @ X)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aconnected, axiom, ![S:(cartrealn > $o)]:((connected @ S) <=> ~ (?[E1:(cartrealn > $o),E2:(cartrealn > $o)]:((open @ E1) & (open @ E2) & (subset @ S @ (union @ E1 @ E2)) & ((inter @ E1 @ (inter @ E2 @ S)) = empty) & ~ (((inter @ E1 @ S) = empty)) & ~ (((inter @ E2 @ S) = empty)))))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn,A:cartrealn,B:real]:(((connected @ S) & (in @ X @ S) & (in @ Y @ S) & (realu_le @ (dot @ A @ X) @ B) & (realu_le @ B @ (dot @ A @ Y))) => ?[Z:cartrealn]:((in @ Z @ S) & ((dot @ A @ Z) = B)))).
