%   ORIGINAL: BOUNDED_DECREASING_CONVERGENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_INCREASING_CONVERGENT: !s. bounded {s n | n IN (:num)} /\ (!n. drop (s n) <= drop (s (SUC n))) ==> (?l. (s --> l) sequentially)
% Assm: DROP_NEG: !x. drop (--x) = --drop x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_GSPEC_conjunct0: !P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: LIM_NEG_EQ: !net f l. ((\x. --f x) --> --l) net <=> (f --> l) net
% Assm: NORM_NEG: !x. norm (--x) = norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: TRUTH: T
% Assm: VECTOR_NEG_NEG: -- --x = x
% Assm: bounded: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s. bounded {s n | n IN (:num)} /\ (!n. drop (s (SUC n)) <= drop (s n)) ==> (?l. (s --> l) sequentially)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded {s n | n IN (:num)} /\ (!n. drop (s n) <= drop (s (SUC n))) ==> (?l. (s --> l) sequentially)
% Assm: !x. drop (--x) = --drop x
% Assm: !t. (\x. t x) = t
% Assm: !Q P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: !net f l. ((\x. --f x) --> --l) net <=> (f --> l) net
% Assm: !x. norm (--x) = norm x
% Assm: ~F <=> T
% Assm: !x y. --x <= --y <=> y <= x
% Assm: T
% Assm: !x. -- --x = x
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Goal: !s. bounded {s n | n IN (:num)} /\ (!n. drop (s (SUC n)) <= drop (s n)) ==> (?l. (s --> l) sequentially)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq48167, type, q48167 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tq99740, type, q99740 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq99740, type, cartrealq99740 : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq99740 > real)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn1 > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn1 > $o) > cartrealn1 > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn1) > cartrealn1 > netnum > $o)).
thf(csetspec, type, setspec : (cartrealn1 > $o > cartrealn1 > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cbounded, type, bounded : ((cartrealn1 > $o) > $o)).
thf(cvectoruu_neg1, type, vectoru_neg1 : (cartrealn > cartrealn)).
thf(csequentially, type, sequentially : netnum).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealq99740 > cartrealq99740)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_INCREASINGu_CONVERGENT, axiom, ![S:(num > cartrealn1)]:(((bounded @ (gspec @ ^[GENR_PVARR_695:cartrealn1]:?[N:num]:(setspec @ GENR_PVARR_695 @ (in @ N @ univ) @ (S @ N)))) & ![N:num]:(realu_le @ (drop @ (S @ N)) @ (drop @ (S @ (suc @ N))))) => ?[L:cartrealn1]:(m_m_g_ @ S @ L @ sequentially))).
thf(aDROPu_NEG, axiom, ![X:cartrealn1]:((drop @ (vectoru_neg @ X)) = (realu_neg @ (drop @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_GSPECu_conjunct0, axiom, ![Q:(num > $o),P:(q48167 > $o),F:(q48167 > num)]:(![Z:num]:((in @ Z @ (gspec0 @ ^[GENR_PVARR_20:num]:?[X:q48167]:(setspec0 @ GENR_PVARR_20 @ (P @ X) @ (F @ X)))) => (Q @ Z)) <=> ![X:q48167]:((P @ X) => (Q @ (F @ X))))).
thf(aLIMu_NEGu_EQ, axiom, ![NET:netnum,F:(num > cartrealn1),L:cartrealn1]:((m_m_g_ @ ^[X:num]:(vectoru_neg @ (F @ X)) @ (vectoru_neg @ L) @ NET) <=> (m_m_g_ @ F @ L @ NET))).
thf(aNORMu_NEG, axiom, ![X:cartrealq99740]:((vectoru_norm @ (vectoru_neg0 @ X)) = (vectoru_norm @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_NEG, axiom, ![X:cartrealn]:((vectoru_neg1 @ (vectoru_neg1 @ X)) = X)).
thf(abounded, axiom, ![S:(cartrealn1 > $o)]:((bounded @ S) <=> ?[A:real]:![X:cartrealn1]:((in0 @ X @ S) => (realu_le @ (vectoru_norm0 @ X) @ A)))).
thf(conjecture, conjecture, ![S:(num > cartrealn1)]:(((bounded @ (gspec @ ^[GENR_PVARR_696:cartrealn1]:?[N:num]:(setspec @ GENR_PVARR_696 @ (in @ N @ univ) @ (S @ N)))) & ![N:num]:(realu_le @ (drop @ (S @ (suc @ N))) @ (drop @ (S @ N)))) => ?[L:cartrealn1]:(m_m_g_ @ S @ L @ sequentially))).
