%   ORIGINAL: HOMEOMORPHIC_AFFINITY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HOMEOMORPHIC_SCALING: !s c. ~(c = &0) ==> s homeomorphic IMAGE (\x. c % x) s
% Assm: HOMEOMORPHIC_TRANS: !s t u. s homeomorphic t /\ t homeomorphic u ==> s homeomorphic u
% Assm: HOMEOMORPHIC_TRANSLATION: !s a. s homeomorphic IMAGE (\x. a + x) s
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !s a c. ~(c = &0) ==> s homeomorphic IMAGE (\x. a + c % x) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s c. ~(c = &0) ==> s homeomorphic IMAGE (\x. c % x) s
% Assm: !s t u. s homeomorphic t /\ t homeomorphic u ==> s homeomorphic u
% Assm: !s a. s homeomorphic IMAGE (\x. a + x) s
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: ~F <=> T
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !s a c. ~(c = &0) ==> s homeomorphic IMAGE (\x. a + c % x) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chomeomorphic, type, homeomorphic : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHOMEOMORPHICu_SCALING, axiom, ![S:(cartrealn > $o),C:real]:(~ ((C = (realu_ofu_num @ (numeral @ u_0)))) => (homeomorphic @ S @ (image @ ^[X:cartrealn]:(r_ @ C @ X) @ S)))).
thf(aHOMEOMORPHICu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((homeomorphic @ S @ T) & (homeomorphic @ T @ U)) => (homeomorphic @ S @ U))).
thf(aHOMEOMORPHICu_TRANSLATION, axiom, ![S:(cartrealn > $o),A:cartrealn]:(homeomorphic @ S @ (image @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ S))).
thf(aIMAGEu_o, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image @ G @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,C:real]:(~ ((C = (realu_ofu_num @ (numeral @ u_0)))) => (homeomorphic @ S @ (image @ ^[X:cartrealn]:(vectoru_add @ A @ (r_ @ C @ X)) @ S)))).
