%   ORIGINAL: CAUCHY_ISOMETRIC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CAUCHY: !s. cauchy s <=> (!e. &0 < e ==> (?N. !n. n >= N ==> dist (s n,s N) < e))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_SUB: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LE_RDIV_EQ: !x y z. &0 < z ==> (x <= y / z <=> x * z <= y)
% Assm: REAL_LT_LDIV_EQ: !x y z. &0 < z ==> (x / z < y <=> x < y * z)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: SUBSPACE_SUB: !x y s. subspace s /\ x IN s /\ y IN s ==> x - y IN s
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: real_ge: !y x. x >= y <=> y <= x
% Goal: !f s e x. &0 < e /\ subspace s /\ linear f /\ (!x. x IN s ==> norm (f x) >= e * norm x) /\ (!n. x n IN s) /\ cauchy (f o x) ==> cauchy x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. cauchy s <=> (!e. &0 < e ==> (?N. !n. n >= N ==> dist (s n,s N) < e))
% Assm: !s. cauchy s <=> (!e. &0 < e ==> (?N. !n. n >= N ==> dist (s n,s N) < e))
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y z. &0 < z ==> (x <= y / z <=> x * z <= y)
% Assm: !x y z. &0 < z ==> (x / z < y <=> x < y * z)
% Assm: !x y. x * y = y * x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x y s. subspace s /\ x IN s /\ y IN s ==> x - y IN s
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !y x. x >= y <=> y <= x
% Goal: !f s e x. &0 < e /\ subspace s /\ linear f /\ (!x. x IN s ==> norm (f x) >= e * norm x) /\ (!n. x n IN s) /\ cauchy (f o x) ==> cauchy x
%  TYPES
thf(tcartrealq222377, type, cartrealq222377 : $tType).
thf(tnum, type, num : $tType).
thf(tq222418, type, q222418 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq222418cartrealq222418, type, prodcartrealq222418cartrealq222418 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq222418, type, cartrealq222418 : $tType).
thf(tprodcartrealq222377cartrealq222377, type, prodcartrealq222377cartrealq222377 : $tType).
thf(tq222377, type, q222377 : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdistance0, type, distance0 : (prodcartrealq222377cartrealq222377 > real)).
thf(cdistance, type, distance : (prodcartrealq222418cartrealq222418 > real)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq222418 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq222377 > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cin, type, in : (cartrealq222418 > (cartrealq222418 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq222377 > cartrealq222377 > cartrealq222377)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq222418 > cartrealq222418 > cartrealq222418)).
thf(ccu_0, type, c_0 : (cartrealq222377 > cartrealq222377 > prodcartrealq222377cartrealq222377)).
thf(ccu_, type, c_ : (cartrealq222418 > cartrealq222418 > prodcartrealq222418cartrealq222418)).
thf(co, type, o : ((cartrealq222418 > cartrealq222377) > (num > cartrealq222418) > num > cartrealq222377)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccauchy0, type, cauchy0 : ((num > cartrealq222418) > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealq222377) > $o)).
thf(clinear, type, linear : ((cartrealq222418 > cartrealq222377) > $o)).
thf(csubspace, type, subspace : ((cartrealq222418 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCAUCHYu_monomorphized1, axiom, ![S:(num > cartrealq222418)]:((cauchy0 @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((g_a_ @ N0 @ N) => (realu_lt @ (distance @ (c_ @ (S @ N0) @ (S @ N))) @ E))))).
thf(aCAUCHYu_monomorphized0, axiom, ![S:(num > cartrealq222377)]:((cauchy @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((g_a_ @ N0 @ N) => (realu_lt @ (distance0 @ (c_0 @ (S @ N0) @ (S @ N))) @ E))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLINEARu_SUB, axiom, ![F:(cartrealq222418 > cartrealq222377),X:cartrealq222418,Y:cartrealq222418]:((linear @ F) => ((F @ (vectoru_sub @ X @ Y)) = (vectoru_sub0 @ (F @ X) @ (F @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LEu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ X @ (realu_div @ Y @ Z)) <=> (realu_le @ (realu_mul @ X @ Z) @ Y)))).
thf(aREALu_LTu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_lt @ (realu_div @ X @ Z) @ Y) <=> (realu_lt @ X @ (realu_mul @ Y @ Z))))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aSUBSPACEu_SUB, axiom, ![X:cartrealq222418,Y:cartrealq222418,S:(cartrealq222418 > $o)]:(((subspace @ S) & (in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_sub @ X @ Y) @ S))).
thf(aTRUTH, axiom, $true).
thf(adistu_monomorphized1, axiom, ![X:cartrealq222418,Y:cartrealq222418]:((distance @ (c_ @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub @ X @ Y)))).
thf(adistu_monomorphized0, axiom, ![X:cartrealq222377,Y:cartrealq222377]:((distance0 @ (c_0 @ X @ Y)) = (vectoru_norm @ (vectoru_sub0 @ X @ Y)))).
thf(aou_THM, axiom, ![F:(cartrealq222418 > cartrealq222377),G:(num > cartrealq222418),X:num]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(conjecture, conjecture, ![F:(cartrealq222418 > cartrealq222377),S:(cartrealq222418 > $o),E:real,X:(num > cartrealq222418)]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subspace @ S) & (linear @ F) & ![X0:cartrealq222418]:((in @ X0 @ S) => (realu_ge @ (vectoru_norm @ (F @ X0)) @ (realu_mul @ E @ (vectoru_norm0 @ X0)))) & ![N:num]:(in @ (X @ N) @ S) & (cauchy @ (o @ F @ X))) => (cauchy0 @ X))).
