%   ORIGINAL: CLOSED_INJECTIVE_IMAGE_SUBSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLETE_EQ_CLOSED: !s. complete s <=> closed s
% Assm: COMPLETE_ISOMETRIC_IMAGE: !f s e. &0 < e /\ subspace s /\ linear f /\ (!x. x IN s ==> norm (f x) >= e * norm x) /\ complete s ==> complete (IMAGE f s)
% Assm: INJECTIVE_IMP_ISOMETRIC: !f s. closed s /\ subspace s /\ linear f /\ (!x. x IN s /\ f x = vec 0 ==> x = vec 0) ==> (?e. &0 < e /\ (!x. x IN s ==> norm (f x) >= e * norm x))
% Assm: TRUTH: T
% Goal: !f s. subspace s /\ linear f /\ (!x. x IN s /\ f x = vec 0 ==> x = vec 0) /\ closed s ==> closed (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. complete s <=> closed s
% Assm: !s. complete s <=> closed s
% Assm: !f s e. &0 < e /\ subspace s /\ linear f /\ (!x. x IN s ==> norm (f x) >= e * norm x) /\ complete s ==> complete (IMAGE f s)
% Assm: !f s. closed s /\ subspace s /\ linear f /\ (!x. x IN s /\ f x = vec 0 ==> x = vec 0) ==> (?e. &0 < e /\ (!x. x IN s ==> norm (f x) >= e * norm x))
% Assm: T
% Goal: !f s. subspace s /\ linear f /\ (!x. x IN s /\ f x = vec 0 ==> x = vec 0) /\ closed s ==> closed (IMAGE f s)
%  TYPES
thf(tnum, type, num : $tType).
thf(tq222836, type, q222836 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq222836, type, cartrealq222836 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq222831, type, cartrealq222831 : $tType).
thf(tq222831, type, q222831 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq222831)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq222836 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq222831 > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealq222836 > (cartrealq222836 > $o) > $o)).
thf(cvec0, type, vec0 : (num > cartrealq222836)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((cartrealq222836 > cartrealq222831) > (cartrealq222836 > $o) > cartrealq222831 > $o)).
thf(ccomplete0, type, complete0 : ((cartrealq222831 > $o) > $o)).
thf(ccomplete, type, complete : ((cartrealq222836 > $o) > $o)).
thf(cclosed0, type, closed0 : ((cartrealq222831 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealq222836 > $o) > $o)).
thf(clinear, type, linear : ((cartrealq222836 > cartrealq222831) > $o)).
thf(csubspace, type, subspace : ((cartrealq222836 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq222836),G:(a > cartrealq222836)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq222831),G:(a > cartrealq222831)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLETEu_EQu_CLOSEDu_monomorphized1, axiom, ![S:(cartrealq222836 > $o)]:((complete @ S) <=> (closed @ S))).
thf(aCOMPLETEu_EQu_CLOSEDu_monomorphized0, axiom, ![S:(cartrealq222831 > $o)]:((complete0 @ S) <=> (closed0 @ S))).
thf(aCOMPLETEu_ISOMETRICu_IMAGE, axiom, ![F:(cartrealq222836 > cartrealq222831),S:(cartrealq222836 > $o),E:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subspace @ S) & (linear @ F) & ![X:cartrealq222836]:((in @ X @ S) => (realu_ge @ (vectoru_norm @ (F @ X)) @ (realu_mul @ E @ (vectoru_norm0 @ X)))) & (complete @ S)) => (complete0 @ (image @ F @ S)))).
thf(aINJECTIVEu_IMPu_ISOMETRIC, axiom, ![F:(cartrealq222836 > cartrealq222831),S:(cartrealq222836 > $o)]:(((closed @ S) & (subspace @ S) & (linear @ F) & ![X:cartrealq222836]:(((in @ X @ S) & ((F @ X) = (vec @ (numeral @ u_0)))) => (X = (vec0 @ (numeral @ u_0))))) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![X:cartrealq222836]:((in @ X @ S) => (realu_ge @ (vectoru_norm @ (F @ X)) @ (realu_mul @ E @ (vectoru_norm0 @ X))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq222836 > cartrealq222831),S:(cartrealq222836 > $o)]:(((subspace @ S) & (linear @ F) & ![X:cartrealq222836]:(((in @ X @ S) & ((F @ X) = (vec @ (numeral @ u_0)))) => (X = (vec0 @ (numeral @ u_0)))) & (closed @ S)) => (closed0 @ (image @ F @ S)))).
