%   ORIGINAL: CLOSED_INJECTIVE_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_INJECTIVE_LINEAR_IMAGE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. closed s ==> closed (IMAGE f s))
% Assm: CONTINUOUS_CLOSED_PREIMAGE_UNIV: !f s. (!x. f continuous at x) /\ closed s ==> closed {x | f x IN s}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_CONTINUOUS_AT: !f a. linear f ==> f continuous at a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (closed (IMAGE f s) <=> closed s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. closed s ==> closed (IMAGE f s))
% Assm: !f s. (!x. f continuous at x) /\ closed s ==> closed {x | f x IN s}
% Assm: !f s. (!x. f continuous at x) /\ closed s ==> closed {x | f x IN s}
% Assm: !f s. (!x. f continuous at x) /\ closed s ==> closed {x | f x IN s}
% Assm: !f s. (!x. f continuous at x) /\ closed s ==> closed {x | f x IN s}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !f a. linear f ==> f continuous at a
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (closed (IMAGE f s) <=> closed s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat0, type, at0 : (cartrealm > netcartrealm)).
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(cgspec1, type, gspec1 : ((q43851 > $o) > q43851 > $o)).
thf(cin2, type, in2 : (q43851 > (q43851 > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(ccontinuous2, type, continuous2 : ((cartrealm > cartrealm) > netcartrealm > $o)).
thf(cgspec0, type, gspec0 : ((cartrealm > $o) > cartrealm > $o)).
thf(ccontinuous1, type, continuous1 : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuous0, type, continuous0 : ((cartrealn > cartrealm) > netcartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealn) > netcartrealn > $o)).
thf(csetspec1, type, setspec1 : (q43851 > $o > q43851 > $o)).
thf(csetspec0, type, setspec0 : (cartrealm > $o > cartrealm > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ci1, type, i1 : ($o > $o)).
thf(cclosed0, type, closed0 : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_INJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ![S:(cartrealm > $o)]:((closed0 @ S) => (closed @ (image @ F @ S))))).
thf(aCONTINUOUSu_CLOSEDu_PREIMAGEu_UNIVu_monomorphized3, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((![X:cartrealn]:(continuous @ F @ (at @ X)) & (closed @ S)) => (closed @ (gspec @ ^[GENR_PVARR_508:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_508 @ (in @ (F @ X) @ S) @ X))))).
thf(aCONTINUOUSu_CLOSEDu_PREIMAGEu_UNIVu_monomorphized2, axiom, ![F:(cartrealn > cartrealm),S:(cartrealm > $o)]:((![X:cartrealn]:(continuous0 @ F @ (at @ X)) & (closed0 @ S)) => (closed @ (gspec @ ^[GENR_PVARR_508:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_508 @ (in0 @ (F @ X) @ S) @ X))))).
thf(aCONTINUOUSu_CLOSEDu_PREIMAGEu_UNIVu_monomorphized1, axiom, ![F:(cartrealm > cartrealn),S:(cartrealn > $o)]:((![X:cartrealm]:(continuous1 @ F @ (at0 @ X)) & (closed @ S)) => (closed0 @ (gspec0 @ ^[GENR_PVARR_508:cartrealm]:?[X:cartrealm]:(setspec0 @ GENR_PVARR_508 @ (in @ (F @ X) @ S) @ X))))).
thf(aCONTINUOUSu_CLOSEDu_PREIMAGEu_UNIVu_monomorphized0, axiom, ![F:(cartrealm > cartrealm),S:(cartrealm > $o)]:((![X:cartrealm]:(continuous2 @ F @ (at0 @ X)) & (closed0 @ S)) => (closed0 @ (gspec0 @ ^[GENR_PVARR_508:cartrealm]:?[X:cartrealm]:(setspec0 @ GENR_PVARR_508 @ (in0 @ (F @ X) @ S) @ X))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in1 @ X @ S) <=> (in1 @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in1 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in2 @ X @ (gspec1 @ ^[V:q43851]:?[Y:q43851]:(setspec1 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aLINEARu_CONTINUOUSu_AT, axiom, ![F:(cartrealm > cartrealn),A:cartrealm]:((linear @ F) => (continuous1 @ F @ (at0 @ A)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((closed @ (image @ F @ S)) <=> (closed0 @ S)))).
