%   ORIGINAL: CLOSURE_LINEAR_IMAGE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: IMAGE_CLOSURE_SUBSET: !f s t. f continuous_on closure s /\ closed t /\ IMAGE f s SUBSET t ==> IMAGE f (closure s) SUBSET t
% Assm: LINEAR_CONTINUOUS_ON: !f s. linear f ==> f continuous_on s
% Assm: TRUTH: T
% Goal: !f s. linear f ==> IMAGE f (closure s) SUBSET closure (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. closed (closure s)
% Assm: !s. closed (closure s)
% Assm: !s. s SUBSET closure s
% Assm: !f s t. f continuous_on closure s /\ closed t /\ IMAGE f s SUBSET t ==> IMAGE f (closure s) SUBSET t
% Assm: !f s. linear f ==> f continuous_on s
% Assm: T
% Goal: !f s. linear f ==> IMAGE f (closure s) SUBSET closure (IMAGE f s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cclosure0, type, closure0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cclosed0, type, closed0 : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_CLOSUREu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(closed @ (closure0 @ S))).
thf(aCLOSEDu_CLOSUREu_monomorphized0, axiom, ![S:(cartrealm > $o)]:(closed0 @ (closure @ S))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure0 @ S))).
thf(aIMAGEu_CLOSUREu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealn > $o)]:(((continuousu_on @ F @ (closure @ S)) & (closed @ T) & (subset @ (image @ F @ S) @ T)) => (subset @ (image @ F @ (closure @ S)) @ T))).
thf(aLINEARu_CONTINUOUSu_ON, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => (continuousu_on @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => (subset @ (image @ F @ (closure @ S)) @ (closure0 @ (image @ F @ S))))).
