%   ORIGINAL: CLOSURE_INJECTIVE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: CLOSED_INJECTIVE_LINEAR_IMAGE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. closed s ==> closed (IMAGE f s))
% Assm: CLOSURE_LINEAR_IMAGE_SUBSET: !f s. linear f ==> IMAGE f (closure s) SUBSET closure (IMAGE f s)
% Assm: CLOSURE_MINIMAL: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IMAGE_SUBSET: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> closure (IMAGE f s) = IMAGE f (closure s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed (closure s)
% Assm: !s. closed (closure s)
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. closed s ==> closed (IMAGE f s))
% Assm: !f s. linear f ==> IMAGE f (closure s) SUBSET closure (IMAGE f s)
% Assm: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: !s. s SUBSET closure s
% Assm: !s. s SUBSET closure s
% Assm: !t. (\x. t x) = t
% Assm: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> closure (IMAGE f s) = IMAGE f (closure s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure0, type, closure0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cclosed0, type, closed0 : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci1, type, i1 : (cartrealm > cartrealm)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_CLOSUREu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(closed @ (closure @ S))).
thf(aCLOSEDu_CLOSUREu_monomorphized0, axiom, ![S:(cartrealm > $o)]:(closed0 @ (closure0 @ S))).
thf(aCLOSEDu_INJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ![S:(cartrealm > $o)]:((closed0 @ S) => (closed @ (image @ F @ S))))).
thf(aCLOSUREu_LINEARu_IMAGEu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => (subset @ (image @ F @ (closure0 @ S)) @ (closure @ (image @ F @ S))))).
thf(aCLOSUREu_MINIMALu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (closed @ T)) => (subset @ (closure @ S) @ T))).
thf(aCLOSUREu_MINIMALu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((subset0 @ S @ T) & (closed0 @ T)) => (subset0 @ (closure0 @ S) @ T))).
thf(aCLOSUREu_SUBSETu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure @ S))).
thf(aCLOSUREu_SUBSETu_monomorphized0, axiom, ![S:(cartrealm > $o)]:(subset0 @ S @ (closure0 @ S))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aIMAGEu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:((subset0 @ S @ T) => (subset @ (image @ F @ S) @ (image @ F @ T)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i1 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((closure @ (image @ F @ S)) = (image @ F @ (closure0 @ S))))).
