%   ORIGINAL: CLOSURE_BOUNDED_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSURE_LINEAR_IMAGE_SUBSET: !f s. linear f ==> IMAGE f (closure s) SUBSET closure (IMAGE f s)
% Assm: CLOSURE_MINIMAL: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: COMPACT_CLOSURE: !s. compact (closure s) <=> bounded s
% Assm: COMPACT_IMP_CLOSED: !s. compact s ==> closed s
% Assm: COMPACT_LINEAR_IMAGE: !f s. compact s /\ linear f ==> compact (IMAGE f s)
% Assm: IMAGE_SUBSET: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !f s. linear f /\ bounded s ==> closure (IMAGE f s) = IMAGE f (closure s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. linear f ==> IMAGE f (closure s) SUBSET closure (IMAGE f s)
% Assm: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: !s. s SUBSET closure s
% Assm: !s. s SUBSET closure s
% Assm: !s. compact (closure s) <=> bounded s
% Assm: !s. compact s ==> closed s
% Assm: !f s. compact s /\ linear f ==> compact (IMAGE f s)
% Assm: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !f s. linear f /\ bounded s ==> closure (IMAGE f s) = IMAGE f (closure s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq186135, type, cartrealq186135 : $tType).
thf(tq186135, type, q186135 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure0, type, closure0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ccompact1, type, compact1 : ((cartrealn > $o) > $o)).
thf(cclosed1, type, closed1 : ((cartrealq186135 > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealq186135 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealm > $o) > $o)).
thf(cclosed0, type, closed0 : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealm > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSUREu_LINEARu_IMAGEu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => (subset @ (image @ F @ (closure0 @ S)) @ (closure @ (image @ F @ S))))).
thf(aCLOSUREu_MINIMALu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (closed @ T)) => (subset @ (closure @ S) @ T))).
thf(aCLOSUREu_MINIMALu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((subset0 @ S @ T) & (closed0 @ T)) => (subset0 @ (closure0 @ S) @ T))).
thf(aCLOSUREu_SUBSETu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure @ S))).
thf(aCLOSUREu_SUBSETu_monomorphized0, axiom, ![S:(cartrealm > $o)]:(subset0 @ S @ (closure0 @ S))).
thf(aCOMPACTu_CLOSURE, axiom, ![S:(cartrealm > $o)]:((compact @ (closure0 @ S)) <=> (bounded @ S))).
thf(aCOMPACTu_IMPu_CLOSED, axiom, ![S:(cartrealq186135 > $o)]:((compact0 @ S) => (closed1 @ S))).
thf(aCOMPACTu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((compact @ S) & (linear @ F)) => (compact1 @ (image @ F @ S)))).
thf(aIMAGEu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:((subset0 @ S @ T) => (subset @ (image @ F @ S) @ (image @ F @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & (bounded @ S)) => ((closure @ (image @ F @ S)) = (image @ F @ (closure0 @ S))))).
