%   ORIGINAL: LINEAR_INTERIOR_IMAGE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTERIOR_IMAGE_SUBSET: !f s. (!x. f continuous at x) /\ (!x y. f x = f y ==> x = y) ==> interior (IMAGE f s) SUBSET IMAGE f (interior s)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_CONTINUOUS_AT: !f a. linear f ==> f continuous at a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> interior (IMAGE f s) SUBSET IMAGE f (interior s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. (!x. f continuous at x) /\ (!x y. f x = f y ==> x = y) ==> interior (IMAGE f s) SUBSET IMAGE f (interior s)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f a. linear f ==> f continuous at a
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> interior (IMAGE f s) SUBSET IMAGE f (interior s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cinterior0, type, interior0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTERIORu_IMAGEu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm]:(continuous @ F @ (at @ X)) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => (subset @ (interior @ (image @ F @ S)) @ (image @ F @ (interior0 @ S))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aLINEARu_CONTINUOUSu_AT, axiom, ![F:(cartrealm > cartrealn),A:cartrealm]:((linear @ F) => (continuous @ F @ (at @ A)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => (subset @ (interior @ (image @ F @ S)) @ (image @ F @ (interior0 @ S))))).
