%   ORIGINAL: LINEAR_IMAGE_SUBSET_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_SUBSET: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: INTERIOR_MAXIMAL: !s t. t SUBSET s /\ open t ==> t SUBSET interior s
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: OPEN_INTERIOR: !s. open (interior s)
% Assm: OPEN_SURJECTIVE_LINEAR_IMAGE: !f. linear f /\ (!y. ?x. f x = y) ==> (!s. open s ==> open (IMAGE f s))
% Assm: TRUTH: T
% Goal: !f s. linear f /\ (!y. ?x. f x = y) ==> IMAGE f (interior s) SUBSET interior (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: !s t. t SUBSET s /\ open t ==> t SUBSET interior s
% Assm: !s. interior s SUBSET s
% Assm: !s. open (interior s)
% Assm: !s. open (interior s)
% Assm: !f. linear f /\ (!y. ?x. f x = y) ==> (!s. open s ==> open (IMAGE f s))
% Assm: T
% Goal: !f s. linear f /\ (!y. ?x. f x = y) ==> IMAGE f (interior s) SUBSET interior (IMAGE f s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinterior0, type, interior0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(copen0, type, open0 : ((cartrealm > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_SUBSET, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (image0 @ F @ S) @ (image0 @ F @ T)))).
thf(aINTERIORu_MAXIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ T @ S) & (open @ T)) => (subset @ T @ (interior0 @ S)))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ (interior0 @ S) @ S)).
thf(aOPENu_INTERIORu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(open @ (interior0 @ S))).
thf(aOPENu_INTERIORu_monomorphized0, axiom, ![S:(cartrealm > $o)]:(open0 @ (interior @ S))).
thf(aOPENu_SURJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)) => ![S:(cartrealm > $o)]:((open0 @ S) => (open @ (image @ F @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)) => (subset @ (image @ F @ (interior @ S)) @ (interior0 @ (image @ F @ S))))).
