%   ORIGINAL: LINEAR_OPEN_MAPPING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_SURJECTIVE_LINEAR_IMAGE: !f. linear f /\ (!y. ?x. f x = y) ==> (!s. open s ==> open (IMAGE f s))
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g. linear f /\ linear g /\ f o g = I ==> (!s. open s ==> open (IMAGE f s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f. linear f /\ (!y. ?x. f x = y) ==> (!s. open s ==> open (IMAGE f s))
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g. linear f /\ linear g /\ f o g = I ==> (!s. open s ==> open (IMAGE f s))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(co, type, o : ((cartrealm > cartrealn) > (cartrealn > cartrealm) > cartrealn > cartrealn)).
thf(copen0, type, open0 : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealm > $o) > $o)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > cartrealn),G:(a > cartrealn > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > cartrealn)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn)]:((F = G) <=> ![X:cartrealn]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_SURJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)) => ![S:(cartrealm > $o)]:((open @ S) => (open0 @ (image @ F @ S))))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealm),X:cartrealn]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealm)]:(((linear @ F) & (linear0 @ G) & ((o @ F @ G) = i)) => ![S:(cartrealm > $o)]:((open @ S) => (open0 @ (image @ F @ S))))).
