%   ORIGINAL: COMPLETE_INJECTIVE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_INJECTIVE_LINEAR_IMAGE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. closed s ==> closed (IMAGE f s))
% Assm: COMPLETE_EQ_CLOSED: !s. complete s <=> closed s
% Assm: TRUTH: T
% Goal: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. complete s ==> complete (IMAGE f s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. closed s ==> closed (IMAGE f s))
% Assm: !s. complete s <=> closed s
% Assm: !s. complete s <=> closed s
% Assm: T
% Goal: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. complete s ==> complete (IMAGE f s))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cclosed0, type, closed0 : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealm > $o) > $o)).
thf(ccomplete0, type, complete0 : ((cartrealn > $o) > $o)).
thf(ccomplete, type, complete : ((cartrealm > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_INJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ![S:(cartrealm > $o)]:((closed @ S) => (closed0 @ (image @ F @ S))))).
thf(aCOMPLETEu_EQu_CLOSEDu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((complete0 @ S) <=> (closed0 @ S))).
thf(aCOMPLETEu_EQu_CLOSEDu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((complete @ S) <=> (closed @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ![S:(cartrealm > $o)]:((complete @ S) => (complete0 @ (image @ F @ S))))).
