%   ORIGINAL: COMPLETE_INJECTIVE_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_INJECTIVE_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (closed (IMAGE f s) <=> closed s)
% Assm: COMPLETE_EQ_CLOSED: !s. complete s <=> closed s
% Assm: TRUTH: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (complete (IMAGE f s) <=> complete s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (closed (IMAGE f s) <=> closed s)
% Assm: !s. complete s <=> closed s
% Assm: !s. complete s <=> closed s
% Assm: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (complete (IMAGE f s) <=> complete s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cclosed0, type, closed0 : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(ccomplete0, type, complete0 : ((cartrealm > $o) > $o)).
thf(ccomplete, type, complete : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_INJECTIVEu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((closed @ (image @ F @ S)) <=> (closed0 @ S)))).
thf(aCOMPLETEu_EQu_CLOSEDu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((complete @ S) <=> (closed @ S))).
thf(aCOMPLETEu_EQu_CLOSEDu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((complete0 @ S) <=> (closed0 @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((complete @ (image @ F @ S)) <=> (complete0 @ S)))).
