%   ORIGINAL: SYMMETRIC_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_IN_IMAGE: !f s x. x IN s ==> f x IN IMAGE f s
% Assm: INTERIOR_NEGATIONS: !s. interior (IMAGE (--) s) = IMAGE (--) (interior s)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_NEG_NEG: -- --x = x
% Goal: !s. (!x. x IN s ==> --x IN s) ==> (!x. x IN interior s ==> --x IN interior s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s x. x IN s ==> f x IN IMAGE f s
% Assm: !s. interior (IMAGE (--) s) = IMAGE (--) (interior s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: T
% Assm: !x. -- --x = x
% Goal: !s. (!x. x IN s ==> --x IN s) ==> (!x. x IN interior s ==> --x IN interior s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFUNu_INu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ (F @ X) @ (image @ F @ S)))).
thf(aINTERIORu_NEGATIONS, axiom, ![S:(cartrealn > $o)]:((interior @ (image @ vectoru_neg @ S)) = (image @ vectoru_neg @ (interior @ S)))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_NEG, axiom, ![X:cartrealn]:((vectoru_neg @ (vectoru_neg @ X)) = X)).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => (in @ (vectoru_neg @ X) @ S)) => ![X:cartrealn]:((in @ X @ (interior @ S)) => (in @ (vectoru_neg @ X) @ (interior @ S))))).
