%   ORIGINAL: DIM_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_SUBSPACE: !s. subspace s ==> closed s
% Assm: CLOSURE_MINIMAL: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: DIM_SUBSET: !s t. s SUBSET t ==> dim s <= dim t
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: SPAN_INC: !s. s SUBSET span s
% Assm: SUBSPACE_SPAN: !s. subspace (span s)
% Assm: TRUTH: T
% Goal: !s. dim (closure s) = dim s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. subspace s ==> closed s
% Assm: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: !s. s SUBSET closure s
% Assm: !s. dim (span s) = dim s
% Assm: !s t. s SUBSET t ==> dim s <= dim t
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !s. s SUBSET span s
% Assm: !s. subspace (span s)
% Assm: T
% Goal: !s. dim (closure s) = dim s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq119177, type, q119177 : $tType).
thf(tq119530, type, q119530 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq119530, type, cartrealq119530 : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq119177, type, cartrealq119177 : $tType).
%  CONSTS
thf(cspan1, type, span1 : ((cartrealq119177 > $o) > cartrealq119177 > $o)).
thf(cspan0, type, span0 : ((cartrealq119530 > $o) > cartrealq119530 > $o)).
thf(csubset0, type, subset0 : ((cartrealq119530 > $o) > (cartrealq119530 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(csubspace0, type, subspace0 : ((cartrealq119177 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_SUBSPACE, axiom, ![S:(cartrealn > $o)]:((subspace @ S) => (closed @ S))).
thf(aCLOSUREu_MINIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (closed @ T)) => (subset @ (closure @ S) @ T))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure @ S))).
thf(aDIMu_SPAN, axiom, ![S:(cartrealn > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aDIMu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (l_a_ @ (dim @ S) @ (dim @ T)))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aSPANu_INC, axiom, ![S:(cartrealq119530 > $o)]:(subset0 @ S @ (span0 @ S))).
thf(aSUBSPACEu_SPAN, axiom, ![S:(cartrealq119177 > $o)]:(subspace0 @ (span1 @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((dim @ (closure @ S)) = (dim @ S))).
