%   ORIGINAL: CLOSED_INJECTIVE_IMAGE_SUBSET_SUBSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_CBALL: !x e. bounded (cball (x,e))
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: CLOSED_BOUNDEDPREIM_CONTINUOUS_IMAGE: !f s. closed s /\ f continuous_on s /\ (!e. bounded {x | x IN s /\ norm (f x) <= e}) ==> closed (IMAGE f s)
% Assm: CLOSED_SUBSPACE: !s. subspace s ==> closed s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INJECTIVE_IMP_ISOMETRIC: !f s. closed s /\ subspace s /\ linear f /\ (!x. x IN s /\ f x = vec 0 ==> x = vec 0) ==> (?e. &0 < e /\ (!x. x IN s ==> norm (f x) >= e * norm x))
% Assm: IN_CBALL_0: !x e. x IN cball (vec 0,e) <=> norm x <= e
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_CONTINUOUS_ON: !f s. linear f ==> f continuous_on s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_RDIV_EQ: !x y z. &0 < z ==> (x <= y / z <=> x * z <= y)
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: real_ge: !y x. x >= y <=> y <= x
% Goal: !f s t. closed s /\ s SUBSET t /\ subspace t /\ linear f /\ (!x. x IN t /\ f x = vec 0 ==> x = vec 0) ==> closed (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. bounded (cball (x,e))
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !f s. closed s /\ f continuous_on s /\ (!e. bounded {x | x IN s /\ norm (f x) <= e}) ==> closed (IMAGE f s)
% Assm: !s. subspace s ==> closed s
% Assm: !t. (\x. t x) = t
% Assm: !f s. closed s /\ subspace s /\ linear f /\ (!x. x IN s /\ f x = vec 0 ==> x = vec 0) ==> (?e. &0 < e /\ (!x. x IN s ==> norm (f x) >= e * norm x))
% Assm: !x e. x IN cball (vec 0,e) <=> norm x <= e
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f s. linear f ==> f continuous_on s
% Assm: ~F <=> T
% Assm: !x y z. &0 < z ==> (x <= y / z <=> x * z <= y)
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y. x * y = y * x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !y x. x >= y <=> y <= x
% Goal: !f s t. closed s /\ s SUBSET t /\ subspace t /\ linear f /\ (!x. x IN t /\ f x = vec 0 ==> x = vec 0) ==> closed (IMAGE f s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealmreal, type, prodcartrealmreal : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccball0, type, cball0 : (prodcartrealmreal > cartrealm > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealm > real > prodcartrealmreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cbounded0, type, bounded0 : ((cartrealm > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cclosed0, type, closed0 : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(csubspace, type, subspace : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealm > $o) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(cvec0, type, vec0 : (num > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_CBALL, axiom, ![X:cartrealn,E:real]:(bounded @ (cball @ (c_ @ X @ E)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((bounded0 @ T) & (subset @ S @ T)) => (bounded0 @ S))).
thf(aCLOSEDu_BOUNDEDPREIMu_CONTINUOUSu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((closed @ S) & (continuousu_on @ F @ S) & ![E:real]:(bounded0 @ (gspec @ ^[GENR_PVARR_718:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_718 @ ((in @ X @ S) & (realu_le @ (vectoru_norm @ (F @ X)) @ E)) @ X)))) => (closed0 @ (image @ F @ S)))).
thf(aCLOSEDu_SUBSPACE, axiom, ![S:(cartrealm > $o)]:((subspace @ S) => (closed @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINJECTIVEu_IMPu_ISOMETRIC, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((closed @ S) & (subspace @ S) & (linear @ F) & ![X:cartrealm]:(((in @ X @ S) & ((F @ X) = (vec @ (numeral @ u_0)))) => (X = (vec0 @ (numeral @ u_0))))) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![X:cartrealm]:((in @ X @ S) => (realu_ge @ (vectoru_norm @ (F @ X)) @ (realu_mul @ E @ (vectoru_norm0 @ X))))))).
thf(aINu_CBALLu_0, axiom, ![X:cartrealm,E:real]:((in @ X @ (cball0 @ (c_0 @ (vec0 @ (numeral @ u_0)) @ E))) <=> (realu_le @ (vectoru_norm0 @ X) @ E))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aLINEARu_CONTINUOUSu_ON, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => (continuousu_on @ F @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ X @ (realu_div @ Y @ Z)) <=> (realu_le @ (realu_mul @ X @ Z) @ Y)))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((closed @ S) & (subset @ S @ T) & (subspace @ T) & (linear @ F) & ![X:cartrealm]:(((in @ X @ T) & ((F @ X) = (vec @ (numeral @ u_0)))) => (X = (vec0 @ (numeral @ u_0))))) => (closed0 @ (image @ F @ S)))).
