%   ORIGINAL: BASIS_COORDINATES_CONTINUOUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BASIS_COORDINATES_LIPSCHITZ: !b. independent b ==> (?B. &0 < B /\ (!c v. v IN b ==> abs (c v) <= B * norm (vsum b (\v. c v % v))))
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LT_DIV: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: REAL_LT_RDIV_EQ: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Goal: !b e. independent b /\ &0 < e ==> (?d. &0 < d /\ (!c. norm (vsum b (\v. c v % v)) < d ==> (!v. v IN b ==> abs (c v) < e)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !b. independent b ==> (?B. &0 < B /\ (!c v. v IN b ==> abs (c v) <= B * norm (vsum b (\v. c v % v))))
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: !x y. x * y = y * x
% Assm: T
% Goal: !b e. independent b /\ &0 < e ==> (?d. &0 < d /\ (!c. norm (vsum b (\v. c v % v)) < d ==> (!v. v IN b ==> abs (c v) < e)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBASISu_COORDINATESu_LIPSCHITZ, axiom, ![B:(cartrealn > $o)]:((independent @ B) => ?[B0:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B0) & ![C:(cartrealn > real),V:cartrealn]:((in @ V @ B) => (realu_le @ (realu_abs @ (C @ V)) @ (realu_mul @ B0 @ (vectoru_norm @ (vsum @ B @ ^[V:cartrealn]:(r_ @ (C @ V) @ V))))))))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LTu_DIV, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_LTu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_lt @ X @ (realu_div @ Y @ Z)) <=> (realu_lt @ (realu_mul @ X @ Z) @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:(cartrealn > $o),E:real]:(((independent @ B) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![C:(cartrealn > real)]:((realu_lt @ (vectoru_norm @ (vsum @ B @ ^[V:cartrealn]:(r_ @ (C @ V) @ V))) @ D) => ![V:cartrealn]:((in @ V @ B) => (realu_lt @ (realu_abs @ (C @ V)) @ E)))))).
