%   ORIGINAL: REAL_AFFINITY_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_AFFINITY: !m c x y. &0 < m ==> (y <= m * x + c <=> inv m * y + --(c / m) <= x)
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: TRUTH: T
% Goal: !m c x y. &0 < m ==> (m * x + c < y <=> x < inv m * y + --(c / m))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m c x y. &0 < m ==> (y <= m * x + c <=> inv m * y + --(c / m) <= x)
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: T
% Goal: !m c x y. &0 < m ==> (m * x + c < y <=> x < inv m * y + --(c / m))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_AFFINITY, axiom, ![M:real,C:real,X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ M) => ((realu_le @ Y @ (realu_add @ (realu_mul @ M @ X) @ C)) <=> (realu_le @ (realu_add @ (realu_mul @ (realu_inv @ M) @ Y) @ (realu_neg @ (realu_div @ C @ M))) @ X)))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:real,C:real,X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ M) => ((realu_lt @ (realu_add @ (realu_mul @ M @ X) @ C) @ Y) <=> (realu_lt @ X @ (realu_add @ (realu_mul @ (realu_inv @ M) @ Y) @ (realu_neg @ (realu_div @ C @ M))))))).
