%   ORIGINAL: VECTOR_AFFINITY_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_AFFINITY_EQ: !m c x y. ~(m = &0) ==> (m * x + c = y <=> x = inv m * y + --(c / m))
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: VECTOR_NEG_COMPONENT: !x i. --x$i = --(x$i)
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !m c x y. ~(m = &0) ==> (m % x + c = y <=> x = inv m % y + --(inv m % c))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?225904) ==> x$i = y$i)
% Assm: ~F <=> T
% Assm: !m c x y. ~(m = &0) ==> (m * x + c = y <=> x = inv m * y + --(c / m))
% Assm: !n m. m * n = n * m
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !x i. --x$i = --(x$i)
% Assm: !x y. x / y = x * inv y
% Goal: !m c x y. ~(m = &0) ==> (m % x + c = y <=> x = inv m % y + --(inv m % c))
%  TYPES
thf(tnum, type, num : $tType).
thf(tq225904, type, q225904 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq225904, type, cartrealq225904 : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdu_, type, d_ : (cartrealq225904 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cru_, type, r_ : (real > cartrealq225904 > cartrealq225904)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq225904 > cartrealq225904 > cartrealq225904)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (q225904 > $o)).
thf(cdimindex, type, dimindex : ((q225904 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq225904 > cartrealq225904)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq225904),G:(a > cartrealq225904)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealq225904,Y:cartrealq225904]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_AFFINITYu_EQ, axiom, ![M:real,C:real,X:real,Y:real]:(~ ((M = (realu_ofu_num @ (numeral @ u_0)))) => (((realu_add @ (realu_mul @ M @ X) @ C) = Y) <=> (X = (realu_add @ (realu_mul @ (realu_inv @ M) @ Y) @ (realu_neg @ (realu_div @ C @ M))))))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealq225904,Y:cartrealq225904,I:num]:((d_ @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealq225904,I:num]:((d_ @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(aVECTORu_NEGu_COMPONENT, axiom, ![X:cartrealq225904,I:num]:((d_ @ (vectoru_neg @ X) @ I) = (realu_neg @ (d_ @ X @ I)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![M:real,C:cartrealq225904,X:cartrealq225904,Y:cartrealq225904]:(~ ((M = (realu_ofu_num @ (numeral @ u_0)))) => (((vectoru_add @ (r_ @ M @ X) @ C) = Y) <=> (X = (vectoru_add @ (r_ @ (realu_inv @ M) @ Y) @ (vectoru_neg @ (r_ @ (realu_inv @ M) @ C))))))).
