%   ORIGINAL: SELF_ADJOINT_HAS_EIGENVECTOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELF_ADJOINT_HAS_EIGENVECTOR_IN_SUBSPACE: !f s. linear f /\ adjoint f = f /\ subspace s /\ ~(s = {vec 0}) /\ (!x. x IN s ==> f x IN s) ==> (?v c. v IN s /\ norm v = &1 /\ f v = c % v)
% Assm: SUBSPACE_UNIV: subspace (:real^N)
% Assm: TRUTH: T
% Assm: VEC_EQ: !m n. vec m = vec n <=> m = n
% Goal: !f. linear f /\ adjoint f = f ==> (?v c. norm v = &1 /\ f v = c % v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: !f s. linear f /\ adjoint f = f /\ subspace s /\ ~(s = {vec 0}) /\ (!x. x IN s ==> f x IN s) ==> (?v c. v IN s /\ norm v = &1 /\ f v = c % v)
% Assm: subspace (:real^N)
% Assm: T
% Assm: !m n. vec m = vec n <=> m = n
% Goal: !f. linear f /\ adjoint f = f ==> (?v c. norm v = &1 /\ f v = c % v)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin2, type, in2 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin1, type, in1 : ((cartrealn > cartrealn) > ((cartrealn > cartrealn) > $o) > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cinsert1, type, insert1 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert0, type, insert0 : ((cartrealn > cartrealn) > ((cartrealn > cartrealn) > $o) > (cartrealn > cartrealn) > $o)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cadjoint, type, adjoint : ((cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cempty1, type, empty1 : (cartrealn > $o)).
thf(cempty0, type, empty0 : ((cartrealn > cartrealn) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (real > $o)).
thf(cuniv, type, univ : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn)]:(![X:cartrealn]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_SINGu_monomorphized2, axiom, ![X:real,Y:real]:((in0 @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aINu_SINGu_monomorphized1, axiom, ![X:(cartrealn > cartrealn),Y:(cartrealn > cartrealn)]:((in1 @ X @ (insert0 @ Y @ empty0)) <=> (X = Y))).
thf(aINu_SINGu_monomorphized0, axiom, ![X:cartrealn,Y:cartrealn]:((in2 @ X @ (insert1 @ Y @ empty1)) <=> (X = Y))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELFu_ADJOINTu_HASu_EIGENVECTORu_INu_SUBSPACE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & ((adjoint @ F) = F) & (subspace @ S) & ~ ((S = (insert1 @ (vec @ (numeral @ u_0)) @ empty1))) & ![X:cartrealn]:((in2 @ X @ S) => (in2 @ (F @ X) @ S))) => ?[V:cartrealn,C:real]:((in2 @ V @ S) & ((vectoru_norm @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((F @ V) = (r_ @ C @ V))))).
thf(aSUBSPACEu_UNIV, axiom, (subspace @ univ0)).
thf(aTRUTH, axiom, $true).
thf(aVECu_EQ, axiom, ![M:num,N:num]:(((vec @ M) = (vec @ N)) <=> (M = N))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ((adjoint @ F) = F)) => ?[V:cartrealn,C:real]:(((vectoru_norm @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((F @ V) = (r_ @ C @ V))))).
