%   ORIGINAL: SELF_ADJOINT_HAS_EIGENVECTOR_BASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIM_UNIV: dim (:real^N) = dimindex (:N)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: SELF_ADJOINT_HAS_EIGENVECTOR_BASIS_OF_SUBSPACE: !f s. linear f /\ adjoint f = f /\ subspace s /\ (!x. x IN s ==> f x IN s) ==> (?b. b SUBSET s /\ pairwise orthogonal b /\ (!x. x IN b ==> norm x = &1 /\ (?c. f x = c % x)) /\ independent b /\ span b = s /\ b HAS_SIZE dim s)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: SUBSPACE_UNIV: subspace (:real^N)
% Assm: TRUTH: T
% Goal: !f. linear f /\ adjoint f = f ==> (?b. pairwise orthogonal b /\ (!x. x IN b ==> norm x = &1 /\ (?c. f x = c % x)) /\ independent b /\ span b = (:real^N) /\ b HAS_SIZE dimindex (:N))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: dim (:real^N) = dimindex (:N)
% Assm: !x. x IN (:real^N)
% Assm: !f s. linear f /\ adjoint f = f /\ subspace s /\ (!x. x IN s ==> f x IN s) ==> (?b. b SUBSET s /\ pairwise orthogonal b /\ (!x. x IN b ==> norm x = &1 /\ (?c. f x = c % x)) /\ independent b /\ span b = s /\ b HAS_SIZE dim s)
% Assm: !s. s SUBSET (:real^N)
% Assm: !s. s SUBSET (:N)
% Assm: subspace (:real^N)
% Assm: T
% Goal: !f. linear f /\ adjoint f = f ==> (?b. pairwise orthogonal b /\ (!x. x IN b ==> norm x = &1 /\ (?c. f x = c % x)) /\ independent b /\ span b = (:real^N) /\ b HAS_SIZE dimindex (:N))
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (n > $o)).
thf(csubset0, type, subset0 : ((n > $o) > (n > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cpairwise, type, pairwise : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cadjoint, type, adjoint : ((cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn)]:(![X:cartrealn]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMu_UNIV, axiom, ((dim @ univ) = (dimindex @ univ0))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aSELFu_ADJOINTu_HASu_EIGENVECTORu_BASISu_OFu_SUBSPACE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & ((adjoint @ F) = F) & (subspace @ S) & ![X:cartrealn]:((in @ X @ S) => (in @ (F @ X) @ S))) => ?[B:(cartrealn > $o)]:((subset @ B @ S) & (pairwise @ orthogonal @ B) & ![X:cartrealn]:((in @ X @ B) => (((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ?[C:real]:((F @ X) = (r_ @ C @ X)))) & (independent @ B) & ((span @ B) = S) & (hasu_size @ B @ (dim @ S))))).
thf(aSUBSETu_UNIVu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(subset @ S @ univ)).
thf(aSUBSETu_UNIVu_monomorphized0, axiom, ![S:(n > $o)]:(subset0 @ S @ univ0)).
thf(aSUBSPACEu_UNIV, axiom, (subspace @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ((adjoint @ F) = F)) => ?[B:(cartrealn > $o)]:((pairwise @ orthogonal @ B) & ![X:cartrealn]:((in @ X @ B) => (((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ?[C:real]:((F @ X) = (r_ @ C @ X)))) & (independent @ B) & ((span @ B) = univ) & (hasu_size @ B @ (dimindex @ univ0))))).
