%   ORIGINAL: SYMMETRIC_MATRIX_IMP_DIAGONALIZABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SYMMETRIC_MATRIX_DIAGONALIZABLE_EXPLICIT: !A. transp A = A ==> (?P d. orthogonal_matrix P /\ transp P ** A ** P = (lambda i j. if i = j then d i else &0))
% Assm: TRUTH: T
% Assm: diagonal_matrix: !A. diagonal_matrix A <=> (!i j. 1 <= i /\ i <= dimindex (:M) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) ==> A$i$j = &0)
% Goal: !A. transp A = A ==> (?P. orthogonal_matrix P /\ diagonal_matrix (transp P ** A ** P))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: !A. transp A = A ==> (?P d. orthogonal_matrix P /\ transp P ** A ** P = (lambda i j. if i = j then d i else &0))
% Assm: T
% Assm: !A. diagonal_matrix A <=> (!i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) ==> A$i$j = &0)
% Goal: !A. transp A = A ==> (?P. orthogonal_matrix P /\ diagonal_matrix (transp P ** A ** P))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartcartrealnnb, type, cartcartcartrealnnb : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartcartrealnn) > cartcartcartrealnnb)).
thf(cdu_1, type, d_1 : (cartcartrealnn > num > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cdu_, type, d_ : (cartcartcartrealnnb > num > cartcartrealnn)).
thf(ccond, type, cond : ($o > cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(cdiagonaluu_matrix, type, diagonalu_matrix : (cartcartrealnn > $o)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealnn > $o)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartcartrealnn,T2:cartcartrealnn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealnn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSYMMETRICu_MATRIXu_DIAGONALIZABLEu_EXPLICIT, axiom, ![A:cartcartrealnn]:(((transp @ A) = A) => ?[P:cartcartrealnn,D:(num > real)]:((orthogonalu_matrix @ P) & ((matrixu_mul @ (transp @ P) @ (matrixu_mul @ A @ P)) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(cond0 @ (I = J) @ (D @ I) @ (realu_ofu_num @ (numeral @ u_0))))))))).
thf(aTRUTH, axiom, $true).
thf(adiagonalu_matrix, axiom, ![A:cartcartrealnn]:((diagonalu_matrix @ A) <=> ![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex0 @ univ0)) & ~ ((I = J))) => ((d_0 @ (d_1 @ A @ I) @ J) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:(((transp @ A) = A) => ?[P:cartcartrealnn]:((orthogonalu_matrix @ P) & (diagonalu_matrix @ (matrixu_mul @ (transp @ P) @ (matrixu_mul @ A @ P)))))).
