%   ORIGINAL: SYMMETRIC_MATRIX_EQ_DIAGONALIZABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: MATRIX_MUL_ASSOC: !A B C. A ** B ** C = (A ** B) ** C
% Assm: MATRIX_MUL_LID: !A. mat 1 ** A = A
% Assm: MATRIX_MUL_RID: !A. A ** mat 1 = A
% Assm: MATRIX_TRANSP_MUL: !A B. transp (A ** B) = transp B ** transp A
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SYMMETRIC_MATRIX_IMP_DIAGONALIZABLE: !A. transp A = A ==> (?P. orthogonal_matrix P /\ diagonal_matrix (transp P ** A ** P))
% Assm: TRANSP_DIAGONAL_MATRIX: !A. diagonal_matrix A ==> transp A = A
% Assm: TRANSP_TRANSP: !A. transp (transp A) = A
% Assm: TRUTH: T
% Assm: orthogonal_matrix: !Q. orthogonal_matrix Q <=> transp Q ** Q = mat 1 /\ Q ** transp Q = mat 1
% Goal: !A. transp A = A <=> (?P. orthogonal_matrix P /\ diagonal_matrix (transp P ** A ** P))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !A B C. A ** B ** C = (A ** B) ** C
% Assm: !A. mat 1 ** A = A
% Assm: !A. A ** mat 1 = A
% Assm: !A B. transp (A ** B) = transp B ** transp A
% Assm: ~F <=> T
% Assm: !A. transp A = A ==> (?P. orthogonal_matrix P /\ diagonal_matrix (transp P ** A ** P))
% Assm: !A. diagonal_matrix A ==> transp A = A
% Assm: !A. transp (transp A) = A
% Assm: T
% Assm: !Q. orthogonal_matrix Q <=> transp Q ** Q = mat 1 /\ Q ** transp Q = mat 1
% Goal: !A. transp A = A <=> (?P. orthogonal_matrix P /\ diagonal_matrix (transp P ** A ** P))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(cdiagonaluu_matrix, type, diagonalu_matrix : (cartcartrealnn > $o)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealnn > $o)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealnn),G:(a > cartcartrealnn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aMATRIXu_MULu_ASSOC, axiom, ![A:cartcartrealnn,B:cartcartrealnn,C:cartcartrealnn]:((matrixu_mul @ A @ (matrixu_mul @ B @ C)) = (matrixu_mul @ (matrixu_mul @ A @ B) @ C))).
thf(aMATRIXu_MULu_LID, axiom, ![A:cartcartrealnn]:((matrixu_mul @ (mat @ (numeral @ (bit1 @ u_0))) @ A) = A)).
thf(aMATRIXu_MULu_RID, axiom, ![A:cartcartrealnn]:((matrixu_mul @ A @ (mat @ (numeral @ (bit1 @ u_0)))) = A)).
thf(aMATRIXu_TRANSPu_MUL, axiom, ![A:cartcartrealnn,B:cartcartrealnn]:((transp @ (matrixu_mul @ A @ B)) = (matrixu_mul @ (transp @ B) @ (transp @ A)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSYMMETRICu_MATRIXu_IMPu_DIAGONALIZABLE, axiom, ![A:cartcartrealnn]:(((transp @ A) = A) => ?[P:cartcartrealnn]:((orthogonalu_matrix @ P) & (diagonalu_matrix @ (matrixu_mul @ (transp @ P) @ (matrixu_mul @ A @ P)))))).
thf(aTRANSPu_DIAGONALu_MATRIX, axiom, ![A:cartcartrealnn]:((diagonalu_matrix @ A) => ((transp @ A) = A))).
thf(aTRANSPu_TRANSP, axiom, ![A:cartcartrealnn]:((transp @ (transp @ A)) = A)).
thf(aTRUTH, axiom, $true).
thf(aorthogonalu_matrix, axiom, ![Q:cartcartrealnn]:((orthogonalu_matrix @ Q) <=> (((matrixu_mul @ (transp @ Q) @ Q) = (mat @ (numeral @ (bit1 @ u_0)))) & ((matrixu_mul @ Q @ (transp @ Q)) = (mat @ (numeral @ (bit1 @ u_0))))))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:(((transp @ A) = A) <=> ?[P:cartcartrealnn]:((orthogonalu_matrix @ P) & (diagonalu_matrix @ (matrixu_mul @ (transp @ P) @ (matrixu_mul @ A @ P)))))).
