%   ORIGINAL: RIGID_TRANSFORMATION_BETWEEN_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_EQ_0: !x y. dist (x,y) = &0 <=> x = y
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RIGID_TRANSFORMATION_BETWEEN_3: !a b c a' b' c'. dist (a,b) = dist (a',b') /\ dist (b,c) = dist (b',c') /\ dist (c,a) = dist (c',a') ==> (?k f. orthogonal_transformation f /\ a' = k + f a /\ b' = k + f b /\ c' = k + f c)
% Assm: TRUTH: T
% Goal: !a b a' b'. dist (a,b) = dist (a',b') ==> (?k f. orthogonal_transformation f /\ a' = k + f a /\ b' = k + f b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. dist (x,y) = &0 <=> x = y
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !a b c a' b' c'. dist (a,b) = dist (a',b') /\ dist (b,c) = dist (b',c') /\ dist (c,a) = dist (c',a') ==> (?k f. orthogonal_transformation f /\ a' = k + f a /\ b' = k + f b /\ c' = k + f c)
% Assm: T
% Goal: !a b a' b'. dist (a,b) = dist (a',b') ==> (?k f. orthogonal_transformation f /\ a' = k + f a /\ b' = k + f b)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_EQu_0, axiom, ![X:cartrealn,Y:cartrealn]:(((distance @ (c_ @ X @ Y)) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aDISTu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRIGIDu_TRANSFORMATIONu_BETWEENu_3, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn,AI_:cartrealn,BI_:cartrealn,CI_:cartrealn]:((((distance @ (c_ @ A @ B)) = (distance @ (c_ @ AI_ @ BI_))) & ((distance @ (c_ @ B @ C)) = (distance @ (c_ @ BI_ @ CI_))) & ((distance @ (c_ @ C @ A)) = (distance @ (c_ @ CI_ @ AI_)))) => ?[K:cartrealn,F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) & (AI_ = (vectoru_add @ K @ (F @ A))) & (BI_ = (vectoru_add @ K @ (F @ B))) & (CI_ = (vectoru_add @ K @ (F @ C)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,AI_:cartrealn,BI_:cartrealn]:(((distance @ (c_ @ A @ B)) = (distance @ (c_ @ AI_ @ BI_))) => ?[K:cartrealn,F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) & (AI_ = (vectoru_add @ K @ (F @ A))) & (BI_ = (vectoru_add @ K @ (F @ B)))))).
