%   ORIGINAL: SUMS_LIM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: lim: !f net. lim net f = (@l. (f --> l) net)
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f s. (f sums lim sequentially (\n. vsum (s INTER (0..n)) f)) s <=> summable s f
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. lim net f = (@l. (f --> l) net)
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f s. (f sums lim sequentially (\n. vsum (s INTER (0..n)) f)) s <=> summable s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csummable, type, summable : ((num > $o) > (num > cartrealn) > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(clim, type, lim : (netnum > (num > cartrealn) > cartrealn)).
thf(csums, type, sums : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(chu_0, type, h_0 : ((cartrealn > $o) > cartrealn)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(alim, axiom, ![F:(num > cartrealn),NET:netnum]:((lim @ NET @ F) = (h_0 @ ^[L:cartrealn]:(m_m_g_ @ F @ L @ NET)))).
thf(asummable, axiom, ![F:(num > cartrealn),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn]:(sums @ F @ L @ S))).
thf(asums, axiom, ![S:(num > $o),F:(num > cartrealn),L:cartrealn]:((sums @ F @ L @ S) <=> (m_m_g_ @ ^[N:num]:(vsum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > cartrealn),S:(num > $o)]:((sums @ F @ (lim @ sequentially @ ^[N:num]:(vsum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F)) @ S) <=> (summable @ S @ F))).
