%   ORIGINAL: INFSUM_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SERIES_UNIQUE: !f l l' s. (f sums l) s /\ (f sums l') s ==> l = l'
% Assm: SUMS_INFSUM: !f s. (f sums infsum s f) s <=> summable s f
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f l s. (f sums l) s ==> infsum s f = l
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !f l l' s. (f sums l) s /\ (f sums l') s ==> l = l'
% Assm: !f s. (f sums infsum s f) s <=> summable s f
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f l s. (f sums l) s ==> infsum s f = l
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csummable, type, summable : ((num > $o) > (num > cartrealn) > $o)).
thf(cinfsum, type, infsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(csums, type, sums : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSERIESu_UNIQUE, axiom, ![F:(num > cartrealn),L:cartrealn,LI_:cartrealn,S:(num > $o)]:(((sums @ F @ L @ S) & (sums @ F @ LI_ @ S)) => (L = LI_))).
thf(aSUMSu_INFSUM, axiom, ![F:(num > cartrealn),S:(num > $o)]:((sums @ F @ (infsum @ S @ F) @ S) <=> (summable @ S @ F))).
thf(aTRUTH, axiom, $true).
thf(asummable, axiom, ![F:(num > cartrealn),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![F:(num > cartrealn),L:cartrealn,S:(num > $o)]:((sums @ F @ L @ S) => ((infsum @ S @ F) = L))).
