%   ORIGINAL: SERIES_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_REFL: !x. dist (x,x) = &0
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LE_0: !n. 0 <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LIM_SEQUENTIALLY: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: num_FINITE: !s. FINITE s <=> (?a. !x. x IN s ==> x <= a)
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f s. FINITE s ==> (f sums vsum s f) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. dist (x,x) = &0
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !n. 0 <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: ~F <=> T
% Assm: T
% Assm: !s. FINITE s <=> (?a. !x. x IN s ==> x <= a)
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f s. FINITE s ==> (f sums vsum s f) s
%  TYPES
thf(tcartrealq175665, type, cartrealq175665 : $tType).
thf(tq175665, type, q175665 : $tType).
thf(tcartrealq102218, type, cartrealq102218 : $tType).
thf(tq102218, type, q102218 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq175665cartrealq175665, type, prodcartrealq175665cartrealq175665 : $tType).
thf(tprodcartrealq102218cartrealq102218, type, prodcartrealq102218cartrealq102218 : $tType).
thf(tcartrealq229008, type, cartrealq229008 : $tType).
thf(tq229008, type, q229008 : $tType).
%  CONSTS
thf(cdistance0, type, distance0 : (prodcartrealq175665cartrealq175665 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealq102218cartrealq102218 > real)).
thf(cinter0, type, inter0 : ((num > $o) > (num > $o) > num > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealq229008) > cartrealq229008 > netnum > $o)).
thf(ccu_0, type, c_0 : (cartrealq175665 > cartrealq175665 > prodcartrealq175665cartrealq175665)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealq175665) > cartrealq175665 > netnum > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq102218 > cartrealq102218 > prodcartrealq102218cartrealq102218)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealq229008) > cartrealq229008)).
thf(csums, type, sums : ((num > cartrealq229008) > cartrealq229008 > (num > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_REFL, axiom, ![X:cartrealq102218]:((distance @ (c_ @ X @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLIMu_SEQUENTIALLY, axiom, ![S:(num > cartrealq175665),L:cartrealq175665]:((m_m_g_ @ S @ L @ sequentially) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (distance0 @ (c_0 @ (S @ N0) @ L)) @ E))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anumu_FINITE, axiom, ![S:(num > $o)]:((finite @ S) <=> ?[A:num]:![X:num]:((in0 @ X @ S) => (l_a_ @ X @ A)))).
thf(asums, axiom, ![S:(num > $o),F:(num > cartrealq229008),L:cartrealq229008]:((sums @ F @ L @ S) <=> (m_m_g_0 @ ^[N:num]:(vsum @ (inter0 @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > cartrealq229008),S:(num > $o)]:((finite @ S) => (sums @ F @ (vsum @ S @ F) @ S))).
