%   ORIGINAL: SERIES_DIFFS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EVENTUALLY_SEQUENTIALLY: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: FROM_INTER_NUMSEG: !k n. from k INTER (0..n) = k..n
% Assm: LIM_CONST: !net a. ((\x. a) --> a) net
% Assm: LIM_SUB: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: LIM_TRANSFORM_EVENTUALLY: !net f g l. eventually (\x. f x = g x) net /\ (f --> l) net ==> (g --> l) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SEQ_OFFSET: !f l k. (f --> l) sequentially ==> ((\i. f (i + k)) --> l) sequentially
% Assm: TRUTH: T
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Assm: VSUM_DIFFS: !m n. vsum (m..n) (\k. f k - f (k + 1)) = (if m <= n then f m - f (n + 1) else vec 0)
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f k. (f --> vec 0) sequentially ==> ((\n. f n - f (n + 1)) sums f k) (from k)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: !k n. from k INTER (0..n) = k..n
% Assm: !net a. ((\x. a) --> a) net
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: !net f g l. eventually (\x. f x = g x) net /\ (f --> l) net ==> (g --> l) net
% Assm: ~F <=> T
% Assm: !f l k. (f --> l) sequentially ==> ((\i. f (i + k)) --> l) sequentially
% Assm: T
% Assm: !x. x - vec 0 = x
% Assm: !f m n. vsum (m..n) (\k. f k - f (k + 1)) = (if m <= n then f m - f (n + 1) else vec 0)
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f k. (f --> vec 0) sequentially ==> ((\n. f n - f (n + 1)) sums f k) (from k)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ceventually, type, eventually : ((num > $o) > netnum > $o)).
thf(cfrom, type, from : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csums, type, sums : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aEVENTUALLYu_SEQUENTIALLY, axiom, ![P:(num > $o)]:((eventually @ P @ sequentially) <=> ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (P @ N0)))).
thf(aFROMu_INTERu_NUMSEG, axiom, ![K:num,N:num]:((inter @ (from @ K) @ (o_o_ @ (numeral @ u_0) @ N)) = (o_o_ @ K @ N))).
thf(aLIMu_CONST, axiom, ![NET:netnum,A:cartrealn]:(m_m_g_ @ ^[X:num]:A @ A @ NET)).
thf(aLIMu_SUB, axiom, ![NET:netnum,F:(num > cartrealn),G:(num > cartrealn),L:cartrealn,M:cartrealn]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET)) => (m_m_g_ @ ^[X:num]:(vectoru_sub @ (F @ X) @ (G @ X)) @ (vectoru_sub @ L @ M) @ NET))).
thf(aLIMu_TRANSFORMu_EVENTUALLY, axiom, ![NET:netnum,F:(num > cartrealn),G:(num > cartrealn),L:cartrealn]:(((eventually @ ^[X:num]:((F @ X) = (G @ X)) @ NET) & (m_m_g_ @ F @ L @ NET)) => (m_m_g_ @ G @ L @ NET))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSEQu_OFFSET, axiom, ![F:(num > cartrealn),L:cartrealn,K:num]:((m_m_g_ @ F @ L @ sequentially) => (m_m_g_ @ ^[I:num]:(F @ (p_ @ I @ K)) @ L @ sequentially))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealn]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(aVSUMu_DIFFS, axiom, ![F:(num > cartrealn),M:num,N:num]:((vsum @ (o_o_ @ M @ N) @ ^[K:num]:(vectoru_sub @ (F @ K) @ (F @ (p_ @ K @ (numeral @ (bit1 @ u_0)))))) = (cond0 @ (l_a_ @ M @ N) @ (vectoru_sub @ (F @ M) @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0))))) @ (vec @ (numeral @ u_0))))).
thf(asums, axiom, ![S:(num > $o),F:(num > cartrealn),L:cartrealn]:((sums @ F @ L @ S) <=> (m_m_g_ @ ^[N:num]:(vsum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > cartrealn),K:num]:((m_m_g_ @ F @ (vec @ (numeral @ u_0)) @ sequentially) => (sums @ ^[N:num]:(vectoru_sub @ (F @ N) @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0))))) @ (F @ K) @ (from @ K)))).
