%   ORIGINAL: SERIES_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER_UNIV_conjunct0: !s. (:A) INTER s = s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: VSUM_SUPERSET: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = vec 0) ==> vsum v f = vsum u f
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f k l. ((\n. if n IN k then f n else vec 0) sums l) (:num) <=> (f sums l) k
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P x. x IN P <=> P x
% Assm: !s. (:num) INTER s = s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = vec 0) ==> vsum v f = vsum u f
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f k l. ((\n. if n IN k then f n else vec 0) sums l) (:num) <=> (f sums l) k
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq103742, type, cartrealq103742 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tq103742, type, q103742 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((num > $o) > (num > $o) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cvsum0, type, vsum0 : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealq103742) > cartrealq103742)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(csums, type, sums : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aIN, axiom, ![P:(num > $o),X:num]:((in @ X @ P) <=> (P @ X))).
thf(aINTERu_UNIVu_conjunct0, axiom, ![S:(num > $o)]:((inter @ univ @ S) = S)).
thf(aINu_INTER, axiom, ![S:(num > $o),T:(num > $o),X:num]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(num > $o),T:(num > $o)]:((subset @ S @ T) <=> ![X:num]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_EQ, axiom, ![F:(num > cartrealq103742),G:(num > cartrealq103742),S:(num > $o)]:(![X:num]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((vsum @ S @ F) = (vsum @ S @ G)))).
thf(aVSUMu_SUPERSET, axiom, ![F:(num > cartrealn),U:(num > $o),V:(num > $o)]:(((subset @ U @ V) & ![X:num]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (vec @ (numeral @ u_0))))) => ((vsum0 @ V @ F) = (vsum0 @ U @ F)))).
thf(asums, axiom, ![S:(num > $o),F:(num > cartrealn),L:cartrealn]:((sums @ F @ L @ S) <=> (m_m_g_ @ ^[N:num]:(vsum0 @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > cartrealn),K:(num > $o),L:cartrealn]:((sums @ ^[N:num]:(cond @ (in @ N @ K) @ (F @ N) @ (vec @ (numeral @ u_0))) @ L @ univ) <=> (sums @ F @ L @ K))).
