%   ORIGINAL: SUMMABLE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SERIES_SUBSET: !x s t l. s SUBSET t /\ ((\i. if i IN s then x i else vec 0) sums l) t ==> (x sums l) s
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !x s t. s SUBSET t /\ summable t (\i. if i IN s then x i else vec 0) ==> summable s x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x s t l. s SUBSET t /\ ((\i. if i IN s then x i else vec 0) sums l) t ==> (x sums l) s
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !x s t. s SUBSET t /\ summable t (\i. if i IN s then x i else vec 0) ==> summable s x
%  TYPES
thf(tnum, type, num : $tType).
thf(tq230228, type, q230228 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq230228, type, cartrealq230228 : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealq230228) > $o)).
thf(csubset, type, subset : ((num > $o) > (num > $o) > $o)).
thf(csums, type, sums : ((num > cartrealq230228) > cartrealq230228 > (num > $o) > $o)).
thf(ccond, type, cond : ($o > cartrealq230228 > cartrealq230228 > cartrealq230228)).
thf(cvec, type, vec : (num > cartrealq230228)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealq230228,T2:cartrealq230228]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSERIESu_SUBSET, axiom, ![X:(num > cartrealq230228),S:(num > $o),T:(num > $o),L:cartrealq230228]:(((subset @ S @ T) & (sums @ ^[I:num]:(cond @ (in @ I @ S) @ (X @ I) @ (vec @ (numeral @ u_0))) @ L @ T)) => (sums @ X @ L @ S))).
thf(aTRUTH, axiom, $true).
thf(asummable, axiom, ![F:(num > cartrealq230228),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealq230228]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![X:(num > cartrealq230228),S:(num > $o),T:(num > $o)]:(((subset @ S @ T) & (summable @ T @ ^[I:num]:(cond @ (in @ I @ S) @ (X @ I) @ (vec @ (numeral @ u_0))))) => (summable @ S @ X))).
