%   ORIGINAL: SUMMABLE_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SERIES_RESTRICT: !f k l. ((\n. if n IN k then f n else vec 0) sums l) (:num) <=> (f sums l) k
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f k. summable (:num) (\n. if n IN k then f n else vec 0) <=> summable k f
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f k l. ((\n. if n IN k then f n else vec 0) sums l) (:num) <=> (f sums l) k
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f k. summable (:num) (\n. if n IN k then f n else vec 0) <=> summable k f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn) > $o)).
thf(csums, type, sums : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(cuniv, type, univ : (num > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSERIESu_RESTRICT, axiom, ![F:(num > cartrealn),K:(num > $o),L:cartrealn]:((sums @ ^[N:num]:(cond @ (in @ N @ K) @ (F @ N) @ (vec @ (numeral @ u_0))) @ L @ univ) <=> (sums @ F @ L @ K))).
thf(aTRUTH, axiom, $true).
thf(asummable, axiom, ![F:(num > cartrealn),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![F:(num > cartrealn),K:(num > $o)]:((summable @ univ @ ^[N:num]:(cond @ (in @ N @ K) @ (F @ N) @ (vec @ (numeral @ u_0)))) <=> (summable @ K @ F))).
