%   ORIGINAL: INFSUM_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INFSUM_UNIQUE: !f l s. (f sums l) s ==> infsum s f = l
% Assm: SERIES_SUB: !x x0 y y0 s. (x sums x0) s /\ (y sums y0) s ==> ((\n. x n - y n) sums x0 - y0) s
% Assm: SUMS_INFSUM: !f s. (f sums infsum s f) s <=> summable s f
% Assm: TRUTH: T
% Goal: !x y s. summable s x /\ summable s y ==> infsum s (\i. x i - y i) = infsum s x - infsum s y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f l s. (f sums l) s ==> infsum s f = l
% Assm: !x x0 y y0 s. (x sums x0) s /\ (y sums y0) s ==> ((\n. x n - y n) sums x0 - y0) s
% Assm: !f s. (f sums infsum s f) s <=> summable s f
% Assm: T
% Goal: !x y s. summable s x /\ summable s y ==> infsum s (\i. x i - y i) = infsum s x - infsum s y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq230748, type, q230748 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq230748, type, cartrealq230748 : $tType).
%  CONSTS
thf(csummable, type, summable : ((num > $o) > (num > cartrealq230748) > $o)).
thf(csums, type, sums : ((num > cartrealq230748) > cartrealq230748 > (num > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq230748 > cartrealq230748 > cartrealq230748)).
thf(cinfsum, type, infsum : ((num > $o) > (num > cartrealq230748) > cartrealq230748)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq230748),G:(a > cartrealq230748)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINFSUMu_UNIQUE, axiom, ![F:(num > cartrealq230748),L:cartrealq230748,S:(num > $o)]:((sums @ F @ L @ S) => ((infsum @ S @ F) = L))).
thf(aSERIESu_SUB, axiom, ![X:(num > cartrealq230748),X0:cartrealq230748,Y:(num > cartrealq230748),Y0:cartrealq230748,S:(num > $o)]:(((sums @ X @ X0 @ S) & (sums @ Y @ Y0 @ S)) => (sums @ ^[N:num]:(vectoru_sub @ (X @ N) @ (Y @ N)) @ (vectoru_sub @ X0 @ Y0) @ S))).
thf(aSUMSu_INFSUM, axiom, ![F:(num > cartrealq230748),S:(num > $o)]:((sums @ F @ (infsum @ S @ F) @ S) <=> (summable @ S @ F))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:(num > cartrealq230748),Y:(num > cartrealq230748),S:(num > $o)]:(((summable @ S @ X) & (summable @ S @ Y)) => ((infsum @ S @ ^[I:num]:(vectoru_sub @ (X @ I) @ (Y @ I))) = (vectoru_sub @ (infsum @ S @ X) @ (infsum @ S @ Y))))).
