%   ORIGINAL: INFSUM_CMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INFSUM_UNIQUE: !f l s. (f sums l) s ==> infsum s f = l
% Assm: SERIES_CMUL: !x x0 c s. (x sums x0) s ==> ((\n. c % x n) sums c % x0) s
% Assm: SUMS_INFSUM: !f s. (f sums infsum s f) s <=> summable s f
% Assm: TRUTH: T
% Goal: !s x c. summable s x ==> infsum s (\n. c % x n) = c % infsum s x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f l s. (f sums l) s ==> infsum s f = l
% Assm: !x x0 c s. (x sums x0) s ==> ((\n. c % x n) sums c % x0) s
% Assm: !f s. (f sums infsum s f) s <=> summable s f
% Assm: T
% Goal: !s x c. summable s x ==> infsum s (\n. c % x n) = c % infsum s x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq230790, type, q230790 : $tType).
thf(tcartrealq230790, type, cartrealq230790 : $tType).
%  CONSTS
thf(csummable, type, summable : ((num > $o) > (num > cartrealq230790) > $o)).
thf(csums, type, sums : ((num > cartrealq230790) > cartrealq230790 > (num > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq230790 > cartrealq230790)).
thf(cinfsum, type, infsum : ((num > $o) > (num > cartrealq230790) > cartrealq230790)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq230790),G:(a > cartrealq230790)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINFSUMu_UNIQUE, axiom, ![F:(num > cartrealq230790),L:cartrealq230790,S:(num > $o)]:((sums @ F @ L @ S) => ((infsum @ S @ F) = L))).
thf(aSERIESu_CMUL, axiom, ![X:(num > cartrealq230790),X0:cartrealq230790,C:real,S:(num > $o)]:((sums @ X @ X0 @ S) => (sums @ ^[N:num]:(r_ @ C @ (X @ N)) @ (r_ @ C @ X0) @ S))).
thf(aSUMSu_INFSUM, axiom, ![F:(num > cartrealq230790),S:(num > $o)]:((sums @ F @ (infsum @ S @ F) @ S) <=> (summable @ S @ F))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > $o),X:(num > cartrealq230790),C:real]:((summable @ S @ X) => ((infsum @ S @ ^[N:num]:(r_ @ C @ (X @ N))) = (r_ @ C @ (infsum @ S @ X))))).
