%   ORIGINAL: INFSUM_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUMS_EQ: !f g k. (!x. x IN k ==> f x = g x) /\ (f sums l) k ==> (g sums l) k
% Assm: SUMS_INFSUM: !f s. (f sums infsum s f) s <=> summable s f
% Assm: TRUTH: T
% Assm: infsum: !f s. infsum s f = (@l. (f sums l) s)
% Goal: !f g k. summable k f /\ summable k g /\ (!x. x IN k ==> f x = g x) ==> infsum k f = infsum k g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !l f g k. (!x. x IN k ==> f x = g x) /\ (f sums l) k ==> (g sums l) k
% Assm: !f s. (f sums infsum s f) s <=> summable s f
% Assm: T
% Assm: !f s. infsum s f = (@l. (f sums l) s)
% Goal: !f g k. summable k f /\ summable k g /\ (!x. x IN k ==> f x = g x) ==> infsum k f = infsum k g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq230880, type, cartrealq230880 : $tType).
thf(tq230880, type, q230880 : $tType).
%  CONSTS
thf(chu_, type, h_ : ((cartrealq230880 > $o) > cartrealq230880)).
thf(ci, type, i : (cartrealq230880 > cartrealq230880)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealq230880) > $o)).
thf(csums, type, sums : ((num > cartrealq230880) > cartrealq230880 > (num > $o) > $o)).
thf(cinfsum, type, infsum : ((num > $o) > (num > cartrealq230880) > cartrealq230880)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq230880),G:(a > cartrealq230880)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:cartrealq230880]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMSu_EQ, axiom, ![L:cartrealq230880,F:(num > cartrealq230880),G:(num > cartrealq230880),K:(num > $o)]:((![X:num]:((in @ X @ K) => ((F @ X) = (G @ X))) & (sums @ F @ L @ K)) => (sums @ G @ L @ K))).
thf(aSUMSu_INFSUM, axiom, ![F:(num > cartrealq230880),S:(num > $o)]:((sums @ F @ (infsum @ S @ F) @ S) <=> (summable @ S @ F))).
thf(aTRUTH, axiom, $true).
thf(ainfsum, axiom, ![F:(num > cartrealq230880),S:(num > $o)]:((infsum @ S @ F) = (h_ @ ^[L:cartrealq230880]:(sums @ F @ L @ S)))).
thf(conjecture, conjecture, ![F:(num > cartrealq230880),G:(num > cartrealq230880),K:(num > $o)]:(((summable @ K @ F) & (summable @ K @ G) & ![X:num]:((in @ X @ K) => ((F @ X) = (G @ X)))) => ((infsum @ K @ F) = (infsum @ K @ G)))).
