%   ORIGINAL: SUMMABLE_CAUCHY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SERIES_CAUCHY: !f s. (?l. (f sums l) s) <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> norm (vsum (s INTER (m..n)) f) < e))
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f s. summable s f <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> norm (vsum (s INTER (m..n)) f) < e))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. (?l. (f sums l) s) <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> norm (vsum (s INTER (m..n)) f) < e))
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f s. summable s f <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> norm (vsum (s INTER (m..n)) f) < e))
%  TYPES
thf(tq231632, type, q231632 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq231632, type, cartrealq231632 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq231632 > real)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealq231632) > $o)).
thf(csums, type, sums : ((num > cartrealq231632) > cartrealq231632 > (num > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealq231632) > cartrealq231632)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSERIESu_CAUCHY, axiom, ![F:(num > cartrealq231632),S:(num > $o)]:(?[L:cartrealq231632]:(sums @ F @ L @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:((g_a_ @ M @ N) => (realu_lt @ (vectoru_norm @ (vsum @ (inter @ S @ (o_o_ @ M @ N0)) @ F)) @ E))))).
thf(aTRUTH, axiom, $true).
thf(asummable, axiom, ![F:(num > cartrealq231632),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealq231632]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![F:(num > cartrealq231632),S:(num > $o)]:((summable @ S @ F) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:((g_a_ @ M @ N) => (realu_lt @ (vectoru_norm @ (vsum @ (inter @ S @ (o_o_ @ M @ N0)) @ F)) @ E))))).
