%   ORIGINAL: SERIES_GOESTOZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EVENTUALLY_SEQUENTIALLY: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NUMSEG_SING: !n. n..n = {n}
% Assm: SERIES_CAUCHY: !f s. (?l. (f sums l) s) <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> norm (vsum (s INTER (m..n)) f) < e))
% Assm: TRUTH: T
% Assm: VSUM_SING: !f x. vsum {x} f = f x
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !s x. summable s x ==> (!e. &0 < e ==> eventually (\n. n IN s ==> norm (x n) < e) sequentially)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !n m. m >= n <=> n <= m
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !n. n..n = {n}
% Assm: !f s. (?l. (f sums l) s) <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> norm (vsum (s INTER (m..n)) f) < e))
% Assm: T
% Assm: !f x. vsum {x} f = f x
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !s x. summable s x ==> (!e. &0 < e ==> eventually (\n. n IN s ==> norm (x n) < e) sequentially)
%  TYPES
thf(tq232315, type, q232315 : $tType).
thf(tnum, type, num : $tType).
thf(tq104170, type, q104170 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tcartrealq232315, type, cartrealq232315 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq104165, type, cartrealq104165 : $tType).
thf(tq104165, type, q104165 : $tType).
%  CONSTS
thf(cempty0, type, empty0 : (q104170 > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq232315 > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(ceventually, type, eventually : ((num > $o) > netnum > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealq232315) > $o)).
thf(cinsert0, type, insert0 : (q104170 > (q104170 > $o) > q104170 > $o)).
thf(cvsum0, type, vsum0 : ((q104170 > $o) > (q104170 > cartrealq104165) > cartrealq104165)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealq232315) > cartrealq232315)).
thf(csums, type, sums : ((num > cartrealq232315) > cartrealq232315 > (num > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(cinsert, type, insert : (num > (num > $o) > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (num > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEVENTUALLYu_SEQUENTIALLY, axiom, ![P:(num > $o)]:((eventually @ P @ sequentially) <=> ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (P @ N0)))).
thf(aEXTENSION, axiom, ![S:(num > $o),T:(num > $o)]:((S = T) <=> ![X:num]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aIN, axiom, ![P:(num > $o),X:num]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:num,Y:num,S:(num > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(num > $o),T:(num > $o),X:num]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:num]:~ ((in @ X @ empty))).
thf(aNUMSEGu_SING, axiom, ![N:num]:((o_o_ @ N @ N) = (insert @ N @ empty))).
thf(aSERIESu_CAUCHY, axiom, ![F:(num > cartrealq232315),S:(num > $o)]:(?[L:cartrealq232315]:(sums @ F @ L @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:((g_a_ @ M @ N) => (realu_lt @ (vectoru_norm @ (vsum @ (inter @ S @ (o_o_ @ M @ N0)) @ F)) @ E))))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_SING, axiom, ![F:(q104170 > cartrealq104165),X:q104170]:((vsum0 @ (insert0 @ X @ empty0) @ F) = (F @ X))).
thf(asummable, axiom, ![F:(num > cartrealq232315),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealq232315]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![S:(num > $o),X:(num > cartrealq232315)]:((summable @ S @ X) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[N:num]:((in @ N @ S) => (realu_lt @ (vectoru_norm @ (X @ N)) @ E)) @ sequentially)))).
