%   ORIGINAL: SUMMABLE_IMP_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_POS: !s. bounded s <=> (?b. &0 < b /\ (!x. x IN s ==> norm x <= b))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CONVERGENT_IMP_BOUNDED: !s l. (s --> l) sequentially ==> bounded (IMAGE s (:num))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: SUMMABLE_IMP_TOZERO: !f k. summable k f ==> ((\n. if n IN k then f n else vec 0) --> vec 0) sequentially
% Assm: TRUTH: T
% Goal: !f k. summable k f ==> bounded (IMAGE f k)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded s <=> (?b. &0 < b /\ (!x. x IN s ==> norm x <= b))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s l. (s --> l) sequentially ==> bounded (IMAGE s (:num))
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. x IN (:A)
% Assm: norm (vec 0) = &0
% Assm: ~F <=> T
% Assm: !x y. x < y ==> x <= y
% Assm: !f k. summable k f ==> ((\n. if n IN k then f n else vec 0) --> vec 0) sequentially
% Assm: T
% Goal: !f k. summable k f ==> bounded (IMAGE f k)
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq99706, type, cartrealq99706 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tq99706, type, q99706 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq99706 > real)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((num > cartrealn) > (num > $o) > cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealq99706)).
thf(cuniv, type, univ : (num > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_POS, axiom, ![S:(cartrealn > $o)]:((bounded @ S) <=> ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (vectoru_norm @ X) @ B))))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONVERGENTu_IMPu_BOUNDED, axiom, ![S:(num > cartrealn),L:cartrealn]:((m_m_g_ @ S @ L @ sequentially) => (bounded @ (image @ S @ univ)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(num > cartrealn),S:(num > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:num]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aINu_UNIV, axiom, ![X:a]:(in1 @ X @ univ0)).
thf(aNORMu_0, axiom, ((vectoru_norm0 @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aSUMMABLEu_IMPu_TOZERO, axiom, ![F:(num > cartrealn),K:(num > $o)]:((summable @ K @ F) => (m_m_g_ @ ^[N:num]:(cond0 @ (in0 @ N @ K) @ (F @ N) @ (vec0 @ (numeral @ u_0))) @ (vec0 @ (numeral @ u_0)) @ sequentially))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > cartrealn),K:(num > $o)]:((summable @ K @ F) => (bounded @ (image @ F @ K)))).
