%   ORIGINAL: SUMMABLE_IMP_SUMS_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVERGENT_IMP_BOUNDED: !s l. (s --> l) sequentially ==> bounded (IMAGE s (:num))
% Assm: FROM_INTER_NUMSEG: !k n. from k INTER (0..n) = k..n
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f k. summable (from k) f ==> bounded {vsum (k..n) f | n IN (:num)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s l. (s --> l) sequentially ==> bounded (IMAGE s (:num))
% Assm: !k n. from k INTER (0..n) = k..n
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f k. summable (from k) f ==> bounded {vsum (k..n) f | n IN (:num)}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cfrom, type, from : (num > num > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn) > $o)).
thf(csums, type, sums : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(cimage, type, image : ((num > cartrealn) > (num > $o) > cartrealn > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVERGENTu_IMPu_BOUNDED, axiom, ![S:(num > cartrealn),L:cartrealn]:((m_m_g_ @ S @ L @ sequentially) => (bounded @ (image @ S @ univ)))).
thf(aFROMu_INTERu_NUMSEG, axiom, ![K:num,N:num]:((inter @ (from @ K) @ (o_o_ @ (numeral @ u_0) @ N)) = (o_o_ @ K @ N))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(num > cartrealn),S:(num > $o)]:((gspec @ ^[GENR_PVARR_11:cartrealn]:?[X:num]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(asummable, axiom, ![F:(num > cartrealn),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn]:(sums @ F @ L @ S))).
thf(asums, axiom, ![S:(num > $o),F:(num > cartrealn),L:cartrealn]:((sums @ F @ L @ S) <=> (m_m_g_ @ ^[N:num]:(vsum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > cartrealn),K:num]:((summable @ (from @ K) @ F) => (bounded @ (gspec @ ^[GENR_PVARR_724:cartrealn]:?[N:num]:(setspec @ GENR_PVARR_724 @ (in @ N @ univ) @ (vsum @ (o_o_ @ K @ N) @ F)))))).
