%   ORIGINAL: SUMMABLE_COMPARISON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SERIES_COMPARISON: !f g s. (?l. (lift o g sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= g n) ==> (?l. (f sums l) s)
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f g s. summable s (lift o g) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= g n) ==> summable s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. (?l. (lift o g sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= g n) ==> (?l. (f sums l) s)
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f g s. summable s (lift o g) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= g n) ==> summable s f
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq232739, type, q232739 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq232739, type, cartrealq232739 : $tType).
%  CONSTS
thf(csummable0, type, summable0 : ((num > $o) > (num > cartrealq232739) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq232739 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(csums0, type, sums0 : ((num > cartrealq232739) > cartrealq232739 > (num > $o) > $o)).
thf(csums, type, sums : ((num > cartrealn1) > cartrealn1 > (num > $o) > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSERIESu_COMPARISON, axiom, ![F:(num > cartrealq232739),G:(num > real),S:(num > $o)]:((?[L:cartrealn1]:(sums @ (o @ lift @ G) @ L @ S) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (vectoru_norm @ (F @ N0)) @ (G @ N0)))) => ?[L:cartrealq232739]:(sums0 @ F @ L @ S))).
thf(aTRUTH, axiom, $true).
thf(asummableu_monomorphized1, axiom, ![F:(num > cartrealn1),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn1]:(sums @ F @ L @ S))).
thf(asummableu_monomorphized0, axiom, ![F:(num > cartrealq232739),S:(num > $o)]:((summable0 @ S @ F) <=> ?[L:cartrealq232739]:(sums0 @ F @ L @ S))).
thf(conjecture, conjecture, ![F:(num > cartrealq232739),G:(num > real),S:(num > $o)]:(((summable @ S @ (o @ lift @ G)) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (vectoru_norm @ (F @ N0)) @ (G @ N0)))) => (summable0 @ S @ F))).
