%   ORIGINAL: SERIES_LIFT_ABSCONV_IMP_CONV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: SERIES_COMPARISON: !f g s. (?l. (lift o g sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= g n) ==> (?l. (f sums l) s)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !x k. summable k (\n. lift (norm (x n))) ==> summable k x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !f g s. (?l. (lift o g sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= g n) ==> (?l. (f sums l) s)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !x k. summable k (\n. lift (norm (x n))) ==> summable k x
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csummable0, type, summable0 : ((num > $o) > (num > cartrealn) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(csums0, type, sums0 : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(csums, type, sums : ((num > cartrealn1) > cartrealn1 > (num > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSERIESu_COMPARISON, axiom, ![F:(num > cartrealn),G:(num > real),S:(num > $o)]:((?[L:cartrealn1]:(sums @ (o @ lift @ G) @ L @ S) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (vectoru_norm @ (F @ N0)) @ (G @ N0)))) => ?[L:cartrealn]:(sums0 @ F @ L @ S))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(asummableu_monomorphized1, axiom, ![F:(num > cartrealn1),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn1]:(sums @ F @ L @ S))).
thf(asummableu_monomorphized0, axiom, ![F:(num > cartrealn),S:(num > $o)]:((summable0 @ S @ F) <=> ?[L:cartrealn]:(sums0 @ F @ L @ S))).
thf(conjecture, conjecture, ![X:(num > cartrealn),K:(num > $o)]:((summable @ K @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))) => (summable0 @ K @ X))).
