%   ORIGINAL: SUMMABLE_SUBSET_ABSCONV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: SERIES_COMPARISON: !f g s. (?l. (lift o g sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= g n) ==> (?l. (f sums l) s)
% Assm: SUMMABLE_SUBSET: !x s t. s SUBSET t /\ summable t (\i. if i IN s then x i else vec 0) ==> summable s x
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !x s t. summable s (\n. lift (norm (x n))) /\ t SUBSET s ==> summable t (\n. lift (norm (x n)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: norm (vec 0) = &0
% Assm: !x. norm (lift x) = abs x
% Assm: !x. &0 <= norm x
% Assm: !x. abs (norm x) = norm x
% Assm: !x. x <= x
% Assm: !f g s. (?l. (lift o g sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= g n) ==> (?l. (f sums l) s)
% Assm: !x s t. s SUBSET t /\ summable t (\i. if i IN s then x i else vec 0) ==> summable s x
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !x s t. summable s (\n. lift (norm (x n))) /\ t SUBSET s ==> summable t (\n. lift (norm (x n)))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvec0, type, vec0 : (num > cartrealn1)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(csubset, type, subset : ((num > $o) > (num > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(ccond0, type, cond0 : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(csums0, type, sums0 : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(csums, type, sums : ((num > cartrealn1) > cartrealn1 > (num > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm0 @ (lift @ X)) = (realu_abs @ X))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealn]:((realu_abs @ (vectoru_norm @ X)) = (vectoru_norm @ X))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSERIESu_COMPARISON, axiom, ![F:(num > cartrealn),G:(num > real),S:(num > $o)]:((?[L:cartrealn1]:(sums @ (o @ lift @ G) @ L @ S) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (vectoru_norm @ (F @ N0)) @ (G @ N0)))) => ?[L:cartrealn]:(sums0 @ F @ L @ S))).
thf(aSUMMABLEu_SUBSET, axiom, ![X:(num > cartrealn1),S:(num > $o),T:(num > $o)]:(((subset @ S @ T) & (summable @ T @ ^[I:num]:(cond0 @ (in @ I @ S) @ (X @ I) @ (vec0 @ (numeral @ u_0))))) => (summable @ S @ X))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(asummable, axiom, ![F:(num > cartrealn1),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn1]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![X:(num > cartrealn),S:(num > $o),T:(num > $o)]:(((summable @ S @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))) & (subset @ T @ S)) => (summable @ T @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))))).
