%   ORIGINAL: SUMMABLE_BILINEAR_PARTIAL_PRE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BILINEAR_VSUM_PARTIAL_PRE: !f g h m n. bilinear h ==> vsum (m..n) (\k. h (f k) (g k - g (k - 1))) = (if m <= n then h (f (n + 1)) (g n) - h (f m) (g (m - 1)) - vsum (m..n) (\k. h (f (k + 1) - f k) (g k)) else vec 0)
% Assm: FROM_INTER_NUMSEG: !k n. from k INTER (0..n) = k..n
% Assm: LIM_CASES_SEQUENTIALLY: !f g l m. (((\n. if m <= n then f n else g n) --> l) sequentially <=> (f --> l) sequentially) /\ (((\n. if m < n then f n else g n) --> l) sequentially <=> (f --> l) sequentially) /\ (((\n. if n <= m then f n else g n) --> l) sequentially <=> (g --> l) sequentially) /\ (((\n. if n < m then f n else g n) --> l) sequentially <=> (g --> l) sequentially)
% Assm: LIM_CONST: !net a. ((\x. a) --> a) net
% Assm: LIM_SUB: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f g h l k. bilinear h /\ ((\n. h (f (n + 1)) (g n)) --> l) sequentially /\ summable (from k) (\n. h (f (n + 1) - f n) (g n)) ==> summable (from k) (\n. h (f n) (g n - g (n - 1)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g h m n. bilinear h ==> vsum (m..n) (\k. h (f k) (g k - g (k - 1))) = (if m <= n then h (f (n + 1)) (g n) - h (f m) (g (m - 1)) - vsum (m..n) (\k. h (f (k + 1) - f k) (g k)) else vec 0)
% Assm: !k n. from k INTER (0..n) = k..n
% Assm: !f g l m. (((\n. if m <= n then f n else g n) --> l) sequentially <=> (f --> l) sequentially) /\ (((\n. if m < n then f n else g n) --> l) sequentially <=> (f --> l) sequentially) /\ (((\n. if n <= m then f n else g n) --> l) sequentially <=> (g --> l) sequentially) /\ (((\n. if n < m then f n else g n) --> l) sequentially <=> (g --> l) sequentially)
% Assm: !net a. ((\x. a) --> a) net
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f g h l k. bilinear h /\ ((\n. h (f (n + 1)) (g n)) --> l) sequentially /\ summable (from k) (\n. h (f (n + 1) - f n) (g n)) ==> summable (from k) (\n. h (f n) (g n - g (n - 1)))
%  TYPES
thf(tp, type, p : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cfrom, type, from : (num > num > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealp) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(csums, type, sums : ((num > cartrealp) > cartrealp > (num > $o) > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(cvectoruu_sub1, type, vectoru_sub1 : (cartrealp > cartrealp > cartrealp)).
thf(ccond, type, cond : ($o > cartrealp > cartrealp > cartrealp)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealp) > cartrealp)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealm > cartrealm > cartrealm)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealp) > cartrealp > netnum > $o)).
thf(cbilinear, type, bilinear : ((cartrealm > cartrealn > cartrealp) > $o)).
thf(cvec, type, vec : (num > cartrealp)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBILINEARu_VSUMu_PARTIALu_PRE, axiom, ![F:(num > cartrealm),G:(num > cartrealn),H:(cartrealm > cartrealn > cartrealp),M:num,N:num]:((bilinear @ H) => ((vsum @ (o_o_ @ M @ N) @ ^[K:num]:(H @ (F @ K) @ (vectoru_sub0 @ (G @ K) @ (G @ (m_ @ K @ (numeral @ (bit1 @ u_0))))))) = (cond @ (l_a_ @ M @ N) @ (vectoru_sub1 @ (vectoru_sub1 @ (H @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) @ (G @ N)) @ (H @ (F @ M) @ (G @ (m_ @ M @ (numeral @ (bit1 @ u_0)))))) @ (vsum @ (o_o_ @ M @ N) @ ^[K:num]:(H @ (vectoru_sub @ (F @ (p_ @ K @ (numeral @ (bit1 @ u_0)))) @ (F @ K)) @ (G @ K)))) @ (vec @ (numeral @ u_0)))))).
thf(aFROMu_INTERu_NUMSEG, axiom, ![K:num,N:num]:((inter @ (from @ K) @ (o_o_ @ (numeral @ u_0) @ N)) = (o_o_ @ K @ N))).
thf(aLIMu_CASESu_SEQUENTIALLY, axiom, ![F:(num > cartrealp),G:(num > cartrealp),L:cartrealp,M:num]:(((m_m_g_ @ ^[N:num]:(cond @ (l_a_ @ M @ N) @ (F @ N) @ (G @ N)) @ L @ sequentially) <=> (m_m_g_ @ F @ L @ sequentially)) & ((m_m_g_ @ ^[N:num]:(cond @ (l_ @ M @ N) @ (F @ N) @ (G @ N)) @ L @ sequentially) <=> (m_m_g_ @ F @ L @ sequentially)) & ((m_m_g_ @ ^[N:num]:(cond @ (l_a_ @ N @ M) @ (F @ N) @ (G @ N)) @ L @ sequentially) <=> (m_m_g_ @ G @ L @ sequentially)) & ((m_m_g_ @ ^[N:num]:(cond @ (l_ @ N @ M) @ (F @ N) @ (G @ N)) @ L @ sequentially) <=> (m_m_g_ @ G @ L @ sequentially)))).
thf(aLIMu_CONST, axiom, ![NET:netnum,A:cartrealp]:(m_m_g_ @ ^[X:num]:A @ A @ NET)).
thf(aLIMu_SUB, axiom, ![NET:netnum,F:(num > cartrealp),G:(num > cartrealp),L:cartrealp,M:cartrealp]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET)) => (m_m_g_ @ ^[X:num]:(vectoru_sub1 @ (F @ X) @ (G @ X)) @ (vectoru_sub1 @ L @ M) @ NET))).
thf(aTRUTH, axiom, $true).
thf(asummable, axiom, ![F:(num > cartrealp),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealp]:(sums @ F @ L @ S))).
thf(asums, axiom, ![S:(num > $o),F:(num > cartrealp),L:cartrealp]:((sums @ F @ L @ S) <=> (m_m_g_ @ ^[N:num]:(vsum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > cartrealm),G:(num > cartrealn),H:(cartrealm > cartrealn > cartrealp),L:cartrealp,K:num]:(((bilinear @ H) & (m_m_g_ @ ^[N:num]:(H @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) @ (G @ N)) @ L @ sequentially) & (summable @ (from @ K) @ ^[N:num]:(H @ (vectoru_sub @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) @ (F @ N)) @ (G @ N)))) => (summable @ (from @ K) @ ^[N:num]:(H @ (F @ N) @ (vectoru_sub0 @ (G @ N) @ (G @ (m_ @ N @ (numeral @ (bit1 @ u_0))))))))).
