%   ORIGINAL: SERIES_INJECTIVE_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_TRANSFORM_EQ: !net f g l. ((\x. f x - g x) --> vec 0) net ==> ((f --> l) net <=> (g --> l) net)
% Assm: SERIES_INJECTIVE_IMAGE_STRONG: !x s f. summable (IMAGE f s) (\n. lift (norm (x n))) /\ (!m n. m IN s /\ n IN s /\ f m = f n ==> m = n) ==> ((\n. vsum (IMAGE f s INTER (0..n)) x - vsum (s INTER (0..n)) (x o f)) --> vec 0) sequentially
% Assm: TRUTH: T
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !x s f l. summable (IMAGE f s) (\n. lift (norm (x n))) /\ (!m n. m IN s /\ n IN s /\ f m = f n ==> m = n) ==> ((x o f sums l) s <=> (x sums l) (IMAGE f s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f g l. ((\x. f x - g x) --> vec 0) net ==> ((f --> l) net <=> (g --> l) net)
% Assm: !x s f. summable (IMAGE f s) (\n. lift (norm (x n))) /\ (!m n. m IN s /\ n IN s /\ f m = f n ==> m = n) ==> ((\n. vsum (IMAGE f s INTER (0..n)) x - vsum (s INTER (0..n)) (x o f)) --> vec 0) sequentially
% Assm: T
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !x s f l. summable (IMAGE f s) (\n. lift (norm (x n))) /\ (!m n. m IN s /\ n IN s /\ f m = f n ==> m = n) ==> ((x o f sums l) s <=> (x sums l) (IMAGE f s))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tneta, type, neta : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn) > cartrealn > neta > $o)).
thf(co, type, o : ((num > cartrealn) > (num > num) > num > cartrealn)).
thf(csums, type, sums : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(cimage, type, image : ((num > num) > (num > $o) > num > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_TRANSFORMu_EQ, axiom, ![NET:neta,F:(a > cartrealn),G:(a > cartrealn),L:cartrealn]:((m_m_g_ @ ^[X:a]:(vectoru_sub @ (F @ X) @ (G @ X)) @ (vec @ (numeral @ u_0)) @ NET) => ((m_m_g_ @ F @ L @ NET) <=> (m_m_g_ @ G @ L @ NET)))).
thf(aSERIESu_INJECTIVEu_IMAGEu_STRONG, axiom, ![X:(num > cartrealn),S:(num > $o),F:(num > num)]:(((summable @ (image @ F @ S) @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))) & ![M:num,N:num]:(((in @ M @ S) & (in @ N @ S) & ((F @ M) = (F @ N))) => (M = N))) => (m_m_g_0 @ ^[N:num]:(vectoru_sub @ (vsum @ (inter @ (image @ F @ S) @ (o_o_ @ (numeral @ u_0) @ N)) @ X) @ (vsum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ (o @ X @ F))) @ (vec @ (numeral @ u_0)) @ sequentially))).
thf(aTRUTH, axiom, $true).
thf(asums, axiom, ![S:(num > $o),F:(num > cartrealn),L:cartrealn]:((sums @ F @ L @ S) <=> (m_m_g_0 @ ^[N:num]:(vsum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![X:(num > cartrealn),S:(num > $o),F:(num > num),L:cartrealn]:(((summable @ (image @ F @ S) @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))) & ![M:num,N:num]:(((in @ M @ S) & (in @ N @ S) & ((F @ M) = (F @ N))) => (M = N))) => ((sums @ (o @ X @ F) @ L @ S) <=> (sums @ X @ L @ (image @ F @ S))))).
