%   ORIGINAL: SERIES_REARRANGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_IMAGE: !p s. p permutes s ==> IMAGE p s = s
% Assm: PERMUTES_INJECTIVE: !p s. p permutes s ==> (!x y. p x = p y <=> x = y)
% Assm: SERIES_INJECTIVE_IMAGE: !x s f l. summable (IMAGE f s) (\n. lift (norm (x n))) /\ (!m n. m IN s /\ n IN s /\ f m = f n ==> m = n) ==> ((x o f sums l) s <=> (x sums l) (IMAGE f s))
% Assm: TRUTH: T
% Goal: !x s p l. summable s (\n. lift (norm (x n))) /\ p permutes s ==> ((x o p sums l) s <=> (x sums l) s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> IMAGE p s = s
% Assm: !p s. p permutes s ==> (!x y. p x = p y <=> x = y)
% Assm: !x s f l. summable (IMAGE f s) (\n. lift (norm (x n))) /\ (!m n. m IN s /\ n IN s /\ f m = f n ==> m = n) ==> ((x o f sums l) s <=> (x sums l) (IMAGE f s))
% Assm: T
% Goal: !x s p l. summable s (\n. lift (norm (x n))) /\ p permutes s ==> ((x o p sums l) s <=> (x sums l) s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(cimage, type, image : ((num > num) > (num > $o) > num > $o)).
thf(co, type, o : ((num > cartrealn) > (num > num) > num > cartrealn)).
thf(csums, type, sums : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(ci, type, i : ($o > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_IMAGE, axiom, ![P:(num > num),S:(num > $o)]:((permutes @ P @ S) => ((image @ P @ S) = S))).
thf(aPERMUTESu_INJECTIVE, axiom, ![P:(num > num),S:(num > $o)]:((permutes @ P @ S) => ![X:num,Y:num]:(((P @ X) = (P @ Y)) <=> (X = Y)))).
thf(aSERIESu_INJECTIVEu_IMAGE, axiom, ![X:(num > cartrealn),S:(num > $o),F:(num > num),L:cartrealn]:(((summable @ (image @ F @ S) @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))) & ![M:num,N:num]:(((in @ M @ S) & (in @ N @ S) & ((F @ M) = (F @ N))) => (M = N))) => ((sums @ (o @ X @ F) @ L @ S) <=> (sums @ X @ L @ (image @ F @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:(num > cartrealn),S:(num > $o),P:(num > num),L:cartrealn]:(((summable @ S @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))) & (permutes @ P @ S)) => ((sums @ (o @ X @ P) @ L @ S) <=> (sums @ X @ L @ S)))).
