%   ORIGINAL: SERIES_REARRANGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SERIES_REARRANGE_EQ: !x s p l. summable s (\n. lift (norm (x n))) /\ p permutes s ==> ((x o p sums l) s <=> (x sums l) s)
% Assm: TRUTH: T
% Goal: !x s p l. summable s (\n. lift (norm (x n))) /\ p permutes s /\ (x sums l) s ==> (x o p sums l) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x s p l. summable s (\n. lift (norm (x n))) /\ p permutes s ==> ((x o p sums l) s <=> (x sums l) s)
% Assm: T
% Goal: !x s p l. summable s (\n. lift (norm (x n))) /\ p permutes s /\ (x sums l) s ==> (x o p sums l) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(co, type, o : ((num > cartrealn) > (num > num) > num > cartrealn)).
thf(csums, type, sums : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSERIESu_REARRANGEu_EQ, axiom, ![X:(num > cartrealn),S:(num > $o),P:(num > num),L:cartrealn]:(((summable @ S @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))) & (permutes @ P @ S)) => ((sums @ (o @ X @ P) @ L @ S) <=> (sums @ X @ L @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:(num > cartrealn),S:(num > $o),P:(num > num),L:cartrealn]:(((summable @ S @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))) & (permutes @ P @ S) & (sums @ X @ L @ S)) => (sums @ (o @ X @ P) @ L @ S))).
