%   ORIGINAL: SUMMABLE_REARRANGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SERIES_LIFT_ABSCONV_IMP_CONV: !x k. summable k (\n. lift (norm (x n))) ==> summable k x
% Assm: SERIES_REARRANGE: !x s p l. summable s (\n. lift (norm (x n))) /\ p permutes s /\ (x sums l) s ==> (x o p sums l) s
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !x s p. summable s (\n. lift (norm (x n))) /\ p permutes s ==> summable s (x o p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x k. summable k (\n. lift (norm (x n))) ==> summable k x
% Assm: !x s p l. summable s (\n. lift (norm (x n))) /\ p permutes s /\ (x sums l) s ==> (x o p sums l) s
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !x s p. summable s (\n. lift (norm (x n))) /\ p permutes s ==> summable s (x o p)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq235225, type, cartrealq235225 : $tType).
thf(tq235225, type, q235225 : $tType).
%  CONSTS
thf(csummable0, type, summable0 : ((num > $o) > (num > cartrealq235225) > $o)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq235225 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(csums0, type, sums0 : ((num > cartrealn1) > cartrealn1 > (num > $o) > $o)).
thf(csums, type, sums : ((num > cartrealq235225) > cartrealq235225 > (num > $o) > $o)).
thf(co, type, o : ((num > cartrealq235225) > (num > num) > num > cartrealq235225)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSERIESu_LIFTu_ABSCONVu_IMPu_CONV, axiom, ![X:(num > cartrealq235225),K:(num > $o)]:((summable @ K @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))) => (summable0 @ K @ X))).
thf(aSERIESu_REARRANGE, axiom, ![X:(num > cartrealq235225),S:(num > $o),P:(num > num),L:cartrealq235225]:(((summable @ S @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))) & (permutes @ P @ S) & (sums @ X @ L @ S)) => (sums @ (o @ X @ P) @ L @ S))).
thf(aTRUTH, axiom, $true).
thf(asummableu_monomorphized1, axiom, ![F:(num > cartrealn1),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn1]:(sums0 @ F @ L @ S))).
thf(asummableu_monomorphized0, axiom, ![F:(num > cartrealq235225),S:(num > $o)]:((summable0 @ S @ F) <=> ?[L:cartrealq235225]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![X:(num > cartrealq235225),S:(num > $o),P:(num > num)]:(((summable @ S @ ^[N:num]:(lift @ (vectoru_norm @ (X @ N)))) & (permutes @ P @ S)) => (summable0 @ S @ (o @ X @ P)))).
