%   ORIGINAL: CLOSEST_POINT_REFL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSEST_POINT_IN_SET: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s
% Assm: CLOSEST_POINT_SELF: !s x. x IN s ==> closest_point s x = x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s x. closed s /\ ~(s = {}) ==> (closest_point s x = x <=> x IN s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s
% Assm: !s x. x IN s ==> closest_point s x = x
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s x. closed s /\ ~(s = {}) ==> (closest_point s x = x <=> x IN s)
%  TYPES
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cclosestuu_point, type, closestu_point : ((cartrealn > $o) > cartrealn > cartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSESTu_POINTu_INu_SET, axiom, ![S:(cartrealn > $o),A:cartrealn]:(((closed @ S) & ~ ((S = empty))) => (in @ (closestu_point @ S @ A) @ S))).
thf(aCLOSESTu_POINTu_SELF, axiom, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => ((closestu_point @ S @ X) = X))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:(((closed @ S) & ~ ((S = empty))) => (((closestu_point @ S @ X) = X) <=> (in @ X @ S)))).
