%   ORIGINAL: CONTINUOUS_AT_DIST_CLOSEST_POINT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_CLOSEST_POINT_LIPSCHITZ: !s x y. closed s /\ ~(s = {}) ==> abs (dist (x,closest_point s x) - dist (y,closest_point s y)) <= dist (x,y)
% Assm: DIST_LIFT: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: TRUTH: T
% Assm: continuous_at: f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !s x. closed s /\ ~(s = {}) ==> (\x. lift (dist (x,closest_point s x))) continuous at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x y. closed s /\ ~(s = {}) ==> abs (dist (x,closest_point s x) - dist (y,closest_point s y)) <= dist (x,y)
% Assm: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: T
% Assm: !f x. f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !s x. closed s /\ ~(s = {}) ==> (\x. lift (dist (x,closest_point s x))) continuous at x
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdistance0, type, distance0 : (prodcartrealn1cartrealn1 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealn1) > netcartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(cclosestuu_point, type, closestu_point : ((cartrealn > $o) > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_CLOSESTu_POINTu_LIPSCHITZ, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((closed @ S) & ~ ((S = empty))) => (realu_le @ (realu_abs @ (realu_sub @ (distance @ (c_ @ X @ (closestu_point @ S @ X))) @ (distance @ (c_ @ Y @ (closestu_point @ S @ Y))))) @ (distance @ (c_ @ X @ Y))))).
thf(aDISTu_LIFT, axiom, ![X:real,Y:real]:((distance0 @ (c_0 @ (lift @ X) @ (lift @ Y))) = (realu_abs @ (realu_sub @ X @ Y)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(acontinuousu_at, axiom, ![F:(cartrealn > cartrealn1),X:cartrealn]:((continuous @ F @ (at @ X)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealn]:((realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D) => (realu_lt @ (distance0 @ (c_0 @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:(((closed @ S) & ~ ((S = empty))) => (continuous @ ^[X:cartrealn]:(lift @ (distance @ (c_ @ X @ (closestu_point @ S @ X)))) @ (at @ X)))).
