%   ORIGINAL: SEGMENT_TO_CLOSEST_POINT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSEST_POINT_EXISTS: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s /\ (!y. y IN s ==> dist (a,closest_point s a) <= dist (a,y))
% Assm: DIST_IN_OPEN_SEGMENT: !a b x. x IN segment (a,b) ==> dist (x,a) < dist (a,b) /\ dist (x,b) < dist (a,b)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: TRUTH: T
% Goal: !s a. closed s /\ ~(s = {}) ==> segment (a,closest_point s a) INTER s = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s /\ (!y. y IN s ==> dist (a,closest_point s a) <= dist (a,y))
% Assm: !a b x. x IN segment (a,b) ==> dist (x,a) < dist (a,b) /\ dist (x,b) < dist (a,b)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: T
% Goal: !s a. closed s /\ ~(s = {}) ==> segment (a,closest_point s a) INTER s = {}
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(cclosestuu_point, type, closestu_point : ((cartrealn > $o) > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSESTu_POINTu_EXISTS, axiom, ![S:(cartrealn > $o),A:cartrealn]:(((closed @ S) & ~ ((S = empty))) => ((in @ (closestu_point @ S @ A) @ S) & ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (distance @ (c_ @ A @ (closestu_point @ S @ A))) @ (distance @ (c_ @ A @ Y))))))).
thf(aDISTu_INu_OPENu_SEGMENT, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (openu_segment @ (c_ @ A @ B))) => ((realu_lt @ (distance @ (c_ @ X @ A)) @ (distance @ (c_ @ A @ B))) & (realu_lt @ (distance @ (c_ @ X @ B)) @ (distance @ (c_ @ A @ B)))))).
thf(aDISTu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn]:(((closed @ S) & ~ ((S = empty))) => ((inter @ (openu_segment @ (c_ @ A @ (closestu_point @ S @ A))) @ S) = empty))).
