%   ORIGINAL: REAL_LE_SETDIST_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_SETDIST: !s t d. ~(s = {}) /\ ~(t = {}) /\ (!x y. x IN s /\ y IN t ==> d <= dist (x,y)) ==> d <= setdist (s,t)
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SETDIST_EMPTY_conjunct0: !t. setdist ({},t) = &0
% Assm: SETDIST_EMPTY_conjunct1: !s. setdist (s,{}) = &0
% Assm: SETDIST_LE_DIST: !s t x y. x IN s /\ y IN t ==> setdist (s,t) <= dist (x,y)
% Assm: TRUTH: T
% Goal: !d s t. d <= setdist (s,t) <=> (!x y. x IN s /\ y IN t ==> d <= dist (x,y)) /\ (s = {} \/ t = {} ==> d <= &0)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t d. ~(s = {}) /\ ~(t = {}) /\ (!x y. x IN s /\ y IN t ==> d <= dist (x,y)) ==> d <= setdist (s,t)
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !t. setdist ({},t) = &0
% Assm: !s. setdist (s,{}) = &0
% Assm: !s t x y. x IN s /\ y IN t ==> setdist (s,t) <= dist (x,y)
% Assm: T
% Goal: !d s t. d <= setdist (s,t) <=> (!x y. x IN s /\ y IN t ==> d <= dist (x,y)) /\ (s = {} \/ t = {} ==> d <= &0)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csetdist, type, setdist : (prodfuncartrealnboolfuncartrealnbool > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_, type, c_ : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aREALu_LEu_SETDIST, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),D:real]:((~ ((S = empty)) & ~ ((T = empty)) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ D @ (distance @ (c_0 @ X @ Y))))) => (realu_le @ D @ (setdist @ (c_ @ S @ T))))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSETDISTu_EMPTYu_conjunct0, axiom, ![T:(cartrealn > $o)]:((setdist @ (c_ @ empty @ T)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSETDISTu_EMPTYu_conjunct1, axiom, ![S:(cartrealn > $o)]:((setdist @ (c_ @ S @ empty)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSETDISTu_LEu_DIST, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ (setdist @ (c_ @ S @ T)) @ (distance @ (c_0 @ X @ Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![D:real,S:(cartrealn > $o),T:(cartrealn > $o)]:((realu_le @ D @ (setdist @ (c_ @ S @ T))) <=> (![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ D @ (distance @ (c_0 @ X @ Y)))) & (((S = empty) | (T = empty)) => (realu_le @ D @ (realu_ofu_num @ (numeral @ u_0))))))).
