%   ORIGINAL: CONTINUOUS_AT_LIFT_SETDIST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_LIFT: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: SETDIST_LIPSCHITZ: !s t x y. abs (setdist ({x},s) - setdist ({y},s)) <= dist (x,y)
% Assm: TRUTH: T
% Assm: continuous_at: f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !s x. (\y. lift (setdist ({y},s))) continuous at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !s t x y. abs (setdist ({x},s) - setdist ({y},s)) <= dist (x,y)
% Assm: T
% Assm: !f x. f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !s x. (\y. lift (setdist ({y},s))) continuous at x
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq238104, type, q238104 : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(cdistance0, type, distance0 : (prodcartrealncartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(csetdist, type, setdist : (prodfuncartrealnboolfuncartrealnbool > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealn1) > netcartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_1, type, c_1 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_LIFT, axiom, ![X:real,Y:real]:((distance @ (c_0 @ (lift @ X) @ (lift @ Y))) = (realu_abs @ (realu_sub @ X @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aSETDISTu_LIPSCHITZ, axiom, ![S:(cartrealn > $o),T:q238104,X:cartrealn,Y:cartrealn]:(realu_le @ (realu_abs @ (realu_sub @ (setdist @ (c_ @ (insert @ X @ empty) @ S)) @ (setdist @ (c_ @ (insert @ Y @ empty) @ S)))) @ (distance0 @ (c_1 @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(acontinuousu_at, axiom, ![F:(cartrealn > cartrealn1),X:cartrealn]:((continuous @ F @ (at @ X)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealn]:((realu_lt @ (distance0 @ (c_1 @ XI_ @ X)) @ D) => (realu_lt @ (distance @ (c_0 @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:(continuous @ ^[Y:cartrealn]:(lift @ (setdist @ (c_ @ (insert @ Y @ empty) @ S))) @ (at @ X))).
