%   ORIGINAL: SETDIST_DIFFERENCES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DIST_0: !x. dist (x,vec 0) = norm x /\ dist (vec 0,x) = norm x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_INSERT_EMPTY: !x s. ~(x INSERT s = {})
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: setdist: !s t. setdist (s,t) = (if s = {} \/ t = {} then &0 else inf {dist (x,y) | x IN s /\ y IN t})
% Goal: !s t. setdist (s,t) = setdist ({vec 0},{x - y | x IN s /\ y IN t})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x. dist (x,vec 0) = norm x /\ dist (vec 0,x) = norm x
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !x s. ~(x INSERT s = {})
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !s t. setdist (s,t) = (if s = {} \/ t = {} then &0 else inf {dist (x,y) | x IN s /\ y IN t})
% Goal: !s t. setdist (s,t) = setdist ({vec 0},{x - y | x IN s /\ y IN t})
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((real > $o) > real > $o)).
thf(cinf, type, inf : ((real > $o) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csetdist, type, setdist : (prodfuncartrealnboolfuncartrealnbool > real)).
thf(csetspec0, type, setspec0 : (real > $o > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDISTu_0, axiom, ![X:cartrealn]:(((distance @ (c_0 @ X @ (vec @ (numeral @ u_0)))) = (vectoru_norm @ X)) & ((distance @ (c_0 @ (vec @ (numeral @ u_0)) @ X)) = (vectoru_norm @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_SING, axiom, ![X:cartrealn,Y:cartrealn]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INSERTu_EMPTY, axiom, ![X:cartrealn,S:(cartrealn > $o)]:~ (((insert @ X @ S) = empty))).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_0 @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(asetdist, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((setdist @ (c_ @ S @ T)) = (cond @ ((S = empty) | (T = empty)) @ (realu_ofu_num @ (numeral @ u_0)) @ (inf @ (gspec0 @ ^[GENR_PVARR_732:real]:?[X:cartrealn,Y:cartrealn]:(setspec0 @ GENR_PVARR_732 @ ((in @ X @ S) & (in @ Y @ T)) @ (distance @ (c_0 @ X @ Y)))))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((setdist @ (c_ @ S @ T)) = (setdist @ (c_ @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ (gspec @ ^[GENR_PVARR_737:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_737 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_sub @ X @ Y))))))).
