%   ORIGINAL: SETDIST_EQ_0_CLOSED_COMPACT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SETDIST_EQ_0_COMPACT_CLOSED: !s t. compact s /\ closed t ==> (setdist (s,t) = &0 <=> s = {} \/ t = {} \/ ~(s INTER t = {}))
% Assm: SETDIST_SYM: !s t. setdist (s,t) = setdist (t,s)
% Assm: TRUTH: T
% Goal: !s t. closed s /\ compact t ==> (setdist (s,t) = &0 <=> s = {} \/ t = {} \/ ~(s INTER t = {}))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. compact s /\ closed t ==> (setdist (s,t) = &0 <=> s = {} \/ t = {} \/ ~(s INTER t = {}))
% Assm: !s t. setdist (s,t) = setdist (t,s)
% Assm: T
% Goal: !s t. closed s /\ compact t ==> (setdist (s,t) = &0 <=> s = {} \/ t = {} \/ ~(s INTER t = {}))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci0, type, i0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csetdist, type, setdist : (prodfuncartrealnboolfuncartrealnbool > real)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(ci1, type, i1 : ($o > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealn > $o)]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSETDISTu_EQu_0u_COMPACTu_CLOSED, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (closed @ T)) => (((setdist @ (c_ @ S @ T)) = (realu_ofu_num @ (numeral @ u_0))) <=> ((S = empty) | (T = empty) | ~ (((inter @ S @ T) = empty)))))).
thf(aSETDISTu_SYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((setdist @ (c_ @ S @ T)) = (setdist @ (c_ @ T @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (compact @ T)) => (((setdist @ (c_ @ S @ T)) = (realu_ofu_num @ (numeral @ u_0))) <=> ((S = empty) | (T = empty) | ~ (((inter @ S @ T) = empty)))))).
