%   ORIGINAL: SETDIST_EQ_0_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: CLOSURE_EQ_EMPTY: !s. closure s = {} <=> s = {}
% Assm: COMPACT_CLOSURE: !s. compact (closure s) <=> bounded s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SETDIST_CLOSURE: (!s t. setdist (closure s,t) = setdist (s,t)) /\ (!s t. setdist (s,closure t) = setdist (s,t))
% Assm: SETDIST_EMPTY_conjunct0: !t. setdist ({},t) = &0
% Assm: SETDIST_EMPTY_conjunct1: !s. setdist (s,{}) = &0
% Assm: SETDIST_EQ_0_CLOSED_COMPACT: !s t. closed s /\ compact t ==> (setdist (s,t) = &0 <=> s = {} \/ t = {} \/ ~(s INTER t = {}))
% Assm: SETDIST_EQ_0_COMPACT_CLOSED: !s t. compact s /\ closed t ==> (setdist (s,t) = &0 <=> s = {} \/ t = {} \/ ~(s INTER t = {}))
% Assm: TRUTH: T
% Goal: !s t. bounded s \/ bounded t ==> (setdist (s,t) = &0 <=> s = {} \/ t = {} \/ ~(closure s INTER closure t = {}))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed (closure s)
% Assm: !s. closure s = {} <=> s = {}
% Assm: !s. compact (closure s) <=> bounded s
% Assm: ~F <=> T
% Assm: (!s t. setdist (closure s,t) = setdist (s,t)) /\ (!s t. setdist (s,closure t) = setdist (s,t))
% Assm: !t. setdist ({},t) = &0
% Assm: !s. setdist (s,{}) = &0
% Assm: !s t. closed s /\ compact t ==> (setdist (s,t) = &0 <=> s = {} \/ t = {} \/ ~(s INTER t = {}))
% Assm: !s t. compact s /\ closed t ==> (setdist (s,t) = &0 <=> s = {} \/ t = {} \/ ~(s INTER t = {}))
% Assm: T
% Goal: !s t. bounded s \/ bounded t ==> (setdist (s,t) = &0 <=> s = {} \/ t = {} \/ ~(closure s INTER closure t = {}))
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(csetdist, type, setdist : (prodfuncartrealnboolfuncartrealnbool > real)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealn > $o)]:(closed @ (closure @ S))).
thf(aCLOSUREu_EQu_EMPTY, axiom, ![S:(cartrealn > $o)]:(((closure @ S) = empty) <=> (S = empty))).
thf(aCOMPACTu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((compact @ (closure @ S)) <=> (bounded @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSETDISTu_CLOSURE, axiom, (![S:(cartrealn > $o),T:(cartrealn > $o)]:((setdist @ (c_ @ (closure @ S) @ T)) = (setdist @ (c_ @ S @ T))) & ![S:(cartrealn > $o),T:(cartrealn > $o)]:((setdist @ (c_ @ S @ (closure @ T))) = (setdist @ (c_ @ S @ T))))).
thf(aSETDISTu_EMPTYu_conjunct0, axiom, ![T:(cartrealn > $o)]:((setdist @ (c_ @ empty @ T)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSETDISTu_EMPTYu_conjunct1, axiom, ![S:(cartrealn > $o)]:((setdist @ (c_ @ S @ empty)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSETDISTu_EQu_0u_CLOSEDu_COMPACT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (compact @ T)) => (((setdist @ (c_ @ S @ T)) = (realu_ofu_num @ (numeral @ u_0))) <=> ((S = empty) | (T = empty) | ~ (((inter @ S @ T) = empty)))))).
thf(aSETDISTu_EQu_0u_COMPACTu_CLOSED, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (closed @ T)) => (((setdist @ (c_ @ S @ T)) = (realu_ofu_num @ (numeral @ u_0))) <=> ((S = empty) | (T = empty) | ~ (((inter @ S @ T) = empty)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((bounded @ S) | (bounded @ T)) => (((setdist @ (c_ @ S @ T)) = (realu_ofu_num @ (numeral @ u_0))) <=> ((S = empty) | (T = empty) | ~ (((inter @ (closure @ S) @ (closure @ T)) = empty)))))).
