%   ORIGINAL: SETDIST_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_SETDIST: !s t d. ~(s = {}) /\ ~(t = {}) /\ (!x y. x IN s /\ y IN t ==> d <= dist (x,y)) ==> d <= setdist (s,t)
% Assm: SETDIST_LE_DIST: !s t x y. x IN s /\ y IN t ==> setdist (s,t) <= dist (x,y)
% Assm: TRUTH: T
% Goal: !s t a b d. a IN s /\ b IN t /\ dist (a,b) = d /\ (!x y. x IN s /\ y IN t ==> dist (a,b) <= dist (x,y)) ==> setdist (s,t) = d
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !s t d. ~(s = {}) /\ ~(t = {}) /\ (!x y. x IN s /\ y IN t ==> d <= dist (x,y)) ==> d <= setdist (s,t)
% Assm: !s t x y. x IN s /\ y IN t ==> setdist (s,t) <= dist (x,y)
% Assm: T
% Goal: !s t a b d. a IN s /\ b IN t /\ dist (a,b) = d /\ (!x y. x IN s /\ y IN t ==> dist (a,b) <= dist (x,y)) ==> setdist (s,t) = d
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csetdist, type, setdist : (prodfuncartrealnboolfuncartrealnbool > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_0, type, c_0 : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_SETDIST, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),D:real]:((~ ((S = empty)) & ~ ((T = empty)) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ D @ (distance @ (c_ @ X @ Y))))) => (realu_le @ D @ (setdist @ (c_0 @ S @ T))))).
thf(aSETDISTu_LEu_DIST, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ (setdist @ (c_0 @ S @ T)) @ (distance @ (c_ @ X @ Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o),A:cartrealn,B:cartrealn,D:real]:(((in @ A @ S) & (in @ B @ T) & ((distance @ (c_ @ A @ B)) = D) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ (distance @ (c_ @ A @ B)) @ (distance @ (c_ @ X @ Y))))) => ((setdist @ (c_0 @ S @ T)) = D))).
