%   ORIGINAL: SETDIST_CLOSEST_POINT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSEST_POINT_EXISTS: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s /\ (!y. y IN s ==> dist (a,closest_point s a) <= dist (a,y))
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SETDIST_UNIQUE: !s t a b d. a IN s /\ b IN t /\ dist (a,b) = d /\ (!x y. x IN s /\ y IN t ==> dist (a,b) <= dist (x,y)) ==> setdist (s,t) = d
% Assm: TRUTH: T
% Goal: !a s. closed s /\ ~(s = {}) ==> setdist ({a},s) = dist (a,closest_point s a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s /\ (!y. y IN s ==> dist (a,closest_point s a) <= dist (a,y))
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !s t a b d. a IN s /\ b IN t /\ dist (a,b) = d /\ (!x y. x IN s /\ y IN t ==> dist (a,b) <= dist (x,y)) ==> setdist (s,t) = d
% Assm: T
% Goal: !a s. closed s /\ ~(s = {}) ==> setdist ({a},s) = dist (a,closest_point s a)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(csetdist, type, setdist : (prodfuncartrealnboolfuncartrealnbool > real)).
thf(cclosestuu_point, type, closestu_point : ((cartrealn > $o) > cartrealn > cartrealn)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSESTu_POINTu_EXISTS, axiom, ![S:(cartrealn > $o),A:cartrealn]:(((closed @ S) & ~ ((S = empty))) => ((in @ (closestu_point @ S @ A) @ S) & ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (distance @ (c_0 @ A @ (closestu_point @ S @ A))) @ (distance @ (c_0 @ A @ Y))))))).
thf(aDISTu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_0 @ X @ Y)) = (distance @ (c_0 @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aINu_SING, axiom, ![X:cartrealn,Y:cartrealn]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSETDISTu_UNIQUE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),A:cartrealn,B:cartrealn,D:real]:(((in @ A @ S) & (in @ B @ T) & ((distance @ (c_0 @ A @ B)) = D) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ (distance @ (c_0 @ A @ B)) @ (distance @ (c_0 @ X @ Y))))) => ((setdist @ (c_ @ S @ T)) = D))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,S:(cartrealn > $o)]:(((closed @ S) & ~ ((S = empty))) => ((setdist @ (c_ @ (insert @ A @ empty) @ S)) = (distance @ (c_0 @ A @ (closestu_point @ S @ A)))))).
