%   ORIGINAL: SEPARATION_NORMAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_CLOSED: !s. closed s ==> closure s = s
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SEPARATION_CLOSURES: !s t. s INTER closure t = {} /\ t INTER closure s = {} ==> (?u v. DISJOINT u v /\ open u /\ open v /\ s SUBSET u /\ t SUBSET v)
% Assm: TRUTH: T
% Goal: !s t. closed s /\ closed t /\ s INTER t = {} ==> (?u v. open u /\ open v /\ s SUBSET u /\ t SUBSET v /\ u INTER v = {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed s ==> closure s = s
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s INTER closure t = {} /\ t INTER closure s = {} ==> (?u v. DISJOINT u v /\ open u /\ open v /\ s SUBSET u /\ t SUBSET v)
% Assm: T
% Goal: !s t. closed s /\ closed t /\ s INTER t = {} ==> (?u v. open u /\ open v /\ s SUBSET u /\ t SUBSET v /\ u INTER v = {})
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_CLOSED, axiom, ![S:(cartrealn > $o)]:((closed @ S) => ((closure @ S) = S))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSEPARATIONu_CLOSURES, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((((inter @ S @ (closure @ T)) = empty) & ((inter @ T @ (closure @ S)) = empty)) => ?[U:(cartrealn > $o),V:(cartrealn > $o)]:((disjoint @ U @ V) & (open @ U) & (open @ V) & (subset @ S @ U) & (subset @ T @ V)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (closed @ T) & ((inter @ S @ T) = empty)) => ?[U:(cartrealn > $o),V:(cartrealn > $o)]:((open @ U) & (open @ V) & (subset @ S @ U) & (subset @ T @ V) & ((inter @ U @ V) = empty)))).
