%   ORIGINAL: SEPARATION_NORMAL_COMPACT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_BALL: !x e. bounded (ball (x,e))
% Assm: BOUNDED_CLOSURE: !s. bounded s ==> bounded (closure s)
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: BOUNDED_SUBSET_BALL: !s x. bounded s ==> (?r. &0 < r /\ s SUBSET ball (x,r))
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: CLOSED_UNION: !s t. closed s /\ closed t ==> closed (s UNION t)
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: OPEN_CLOSED: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: SEPARATION_NORMAL: !s t. closed s /\ closed t /\ s INTER t = {} ==> (?u v. open u /\ open v /\ s SUBSET u /\ t SUBSET v /\ u INTER v = {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. compact s /\ closed t /\ s INTER t = {} ==> (?u v. open u /\ compact (closure u) /\ open v /\ s SUBSET u /\ t SUBSET v /\ u INTER v = {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. bounded (ball (x,e))
% Assm: !s. bounded s ==> bounded (closure s)
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !s x. bounded s ==> (?r. &0 < r /\ s SUBSET ball (x,r))
% Assm: !s. closed (closure s)
% Assm: !s t. closed s /\ closed t ==> closed (s UNION t)
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:A)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x e. open (ball (x,e))
% Assm: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: !s t. closed s /\ closed t /\ s INTER t = {} ==> (?u v. open u /\ open v /\ s SUBSET u /\ t SUBSET v /\ u INTER v = {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. compact s /\ closed t /\ s INTER t = {} ==> (?u v. open u /\ compact (closure u) /\ open v /\ s SUBSET u /\ t SUBSET v /\ u INTER v = {})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(tprodcartrealq181707real, type, prodcartrealq181707real : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq181707, type, cartrealq181707 : $tType).
thf(tq181707, type, q181707 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cball0, type, ball0 : (prodcartrealnreal > cartrealn > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cball, type, ball : (prodcartrealq181707real > cartrealq181707 > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_0, type, c_0 : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq181707 > real > prodcartrealq181707real)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq181707 > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_BALL, axiom, ![X:cartrealq181707,E:real]:(bounded @ (ball @ (c_ @ X @ E)))).
thf(aBOUNDEDu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((bounded0 @ S) => (bounded0 @ (closure @ S)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((bounded0 @ T) & (subset @ S @ T)) => (bounded0 @ S))).
thf(aBOUNDEDu_SUBSETu_BALL, axiom, ![S:(cartrealn > $o),X:cartrealn]:((bounded0 @ S) => ?[R:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (subset @ S @ (ball0 @ (c_0 @ X @ R)))))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealn > $o)]:(closed @ (closure @ S))).
thf(aCLOSEDu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (closed @ T)) => (closed @ (union @ S @ T)))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) <=> ((bounded0 @ S) & (closed @ S)))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (union0 @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ)).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aOPENu_BALL, axiom, ![X:cartrealn,E:real]:(open @ (ball0 @ (c_0 @ X @ E)))).
thf(aOPENu_CLOSED, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (closed @ (diff0 @ univ0 @ S)))).
thf(aSEPARATIONu_NORMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (closed @ T) & ((inter @ S @ T) = empty)) => ?[U:(cartrealn > $o),V:(cartrealn > $o)]:((open @ U) & (open @ V) & (subset @ S @ U) & (subset @ T @ V) & ((inter @ U @ V) = empty)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (closed @ T) & ((inter @ S @ T) = empty)) => ?[U:(cartrealn > $o),V:(cartrealn > $o)]:((open @ U) & (compact @ (closure @ U)) & (open @ V) & (subset @ S @ U) & (subset @ T @ V) & ((inter @ U @ V) = empty)))).
