%   ORIGINAL: SEPARATION_HAUSDORFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_SING: !a. closed {a}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SEPARATION_NORMAL: !s t. closed s /\ closed t /\ s INTER t = {} ==> (?u v. open u /\ open v /\ s SUBSET u /\ t SUBSET v /\ u INTER v = {})
% Assm: SING_SUBSET: !s x. {x} SUBSET s <=> x IN s
% Assm: TRUTH: T
% Goal: !x y. ~(x = y) ==> (?u v. open u /\ open v /\ x IN u /\ y IN v /\ u INTER v = {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a. closed {a}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. closed s /\ closed t /\ s INTER t = {} ==> (?u v. open u /\ open v /\ s SUBSET u /\ t SUBSET v /\ u INTER v = {})
% Assm: !s x. {x} SUBSET s <=> x IN s
% Assm: T
% Goal: !x y. ~(x = y) ==> (?u v. open u /\ open v /\ x IN u /\ y IN v /\ u INTER v = {})
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_SING, axiom, ![A:cartrealn]:(closed @ (insert @ A @ empty))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSEPARATIONu_NORMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (closed @ T) & ((inter @ S @ T) = empty)) => ?[U:(cartrealn > $o),V:(cartrealn > $o)]:((open @ U) & (open @ V) & (subset @ S @ U) & (subset @ T @ V) & ((inter @ U @ V) = empty)))).
thf(aSINGu_SUBSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:((subset @ (insert @ X @ empty) @ S) <=> (in @ X @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn]:(~ ((X = Y)) => ?[U:(cartrealn > $o),V:(cartrealn > $o)]:((open @ U) & (open @ V) & (in @ X @ U) & (in @ Y @ V) & ((inter @ U @ V) = empty)))).
