%   ORIGINAL: URYSOHN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_CONST: !s c. (\x. c) continuous_on s
% Assm: ENDS_IN_SEGMENT: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: URYSOHN_STRONG: !s t a b. closed s /\ closed t /\ s INTER t = {} /\ ~(a = b) ==> (?f. f continuous_on (:real^N) /\ (!x. f x IN segment [a,b]) /\ (!x. f x = a <=> x IN s) /\ (!x. f x = b <=> x IN t))
% Goal: !s t a b. closed s /\ closed t /\ s INTER t = {} ==> (?f. f continuous_on (:real^N) /\ (!x. f x IN segment [a,b]) /\ (!x. x IN s ==> f x = a) /\ (!x. x IN t ==> f x = b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s c. (\x. c) continuous_on s
% Assm: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: ~F <=> T
% Assm: T
% Assm: !s t a b. closed s /\ closed t /\ s INTER t = {} /\ ~(a = b) ==> (?f. f continuous_on (:real^N) /\ (!x. f x IN segment [a,b]) /\ (!x. f x = a <=> x IN s) /\ (!x. f x = b <=> x IN t))
% Goal: !s t a b. closed s /\ closed t /\ s INTER t = {} ==> (?f. f continuous_on (:real^N) /\ (!x. f x IN segment [a,b]) /\ (!x. x IN s ==> f x = a) /\ (!x. x IN t ==> f x = b))
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealm) > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_CONST, axiom, ![S:(cartrealn > $o),C:cartrealm]:(continuousu_on @ ^[X:cartrealn]:C @ S)).
thf(aENDSu_INu_SEGMENT, axiom, ![A:cartrealm,B:cartrealm]:((in @ A @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & (in @ B @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aURYSOHNu_STRONG, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),A:cartrealm,B:cartrealm]:(((closed @ S) & (closed @ T) & ((inter @ S @ T) = empty) & ~ ((A = B))) => ?[F:(cartrealn > cartrealm)]:((continuousu_on @ F @ univ) & ![X:cartrealn]:(in @ (F @ X) @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & ![X:cartrealn]:(((F @ X) = A) <=> (in0 @ X @ S)) & ![X:cartrealn]:(((F @ X) = B) <=> (in0 @ X @ T))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o),A:cartrealm,B:cartrealm]:(((closed @ S) & (closed @ T) & ((inter @ S @ T) = empty)) => ?[F:(cartrealn > cartrealm)]:((continuousu_on @ F @ univ) & ![X:cartrealn]:(in @ (F @ X) @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & ![X:cartrealn]:((in0 @ X @ S) => ((F @ X) = A)) & ![X:cartrealn]:((in0 @ X @ T) => ((F @ X) = B))))).
