%   ORIGINAL: COUNTABLE_INTEGER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COUNTABLE_IMAGE: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: COUNTABLE_SUBSET: !s t. COUNTABLE t /\ s SUBSET t ==> COUNTABLE s
% Assm: COUNTABLE_UNION: !s t. COUNTABLE (s UNION t) <=> COUNTABLE s /\ COUNTABLE t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTEGER_CASES: integer x <=> (?n. x = &n) \/ (?n. x = -- &n)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: Misc_defs_and_lemmas.NUM_COUNTABLE: COUNTABLE (:num)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: COUNTABLE integer
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: !s t. COUNTABLE t /\ s SUBSET t ==> COUNTABLE s
% Assm: !s t. COUNTABLE (s UNION t) <=> COUNTABLE s /\ COUNTABLE t
% Assm: !P x. x IN P <=> P x
% Assm: !x. integer x <=> (?n. x = &n) \/ (?n. x = -- &n)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:A)
% Assm: COUNTABLE (:num)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: COUNTABLE integer
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cuniv0, type, univ0 : (num > $o)).
thf(ccountable0, type, countable0 : ((num > $o) > $o)).
thf(ccountable, type, countable : ((real > $o) > $o)).
thf(cinteger, type, integer : (real > $o)).
thf(cuniv, type, univ : (a > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOUNTABLEu_IMAGE, axiom, ![F:(real > real),S:(real > $o)]:((countable @ S) => (countable @ (image @ F @ S)))).
thf(aCOUNTABLEu_SUBSET, axiom, ![S:(real > $o),T:(real > $o)]:(((countable @ T) & (subset @ S @ T)) => (countable @ S))).
thf(aCOUNTABLEu_UNION, axiom, ![S:(real > $o),T:(real > $o)]:((countable @ (union @ S @ T)) <=> ((countable @ S) & (countable @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTEGERu_CASES, axiom, ![X:real]:((integer @ X) <=> (?[N:num]:(X = (realu_ofu_num @ N)) | ?[N:num]:(X = (realu_neg @ (realu_ofu_num @ N)))))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in0 @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aMiscu_defsu_andu_lemmaso_NUMu_COUNTABLE, axiom, (countable0 @ univ0)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (countable @ integer)).
