%   ORIGINAL: COUNTABLE_RATIONAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COUNTABLE_CROSS: !s t. COUNTABLE s /\ COUNTABLE t ==> COUNTABLE (s CROSS t)
% Assm: COUNTABLE_IMAGE: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: COUNTABLE_INTEGER: COUNTABLE integer
% Assm: COUNTABLE_SUBSET: !s t. COUNTABLE t /\ s SUBSET t ==> COUNTABLE s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_PAIR_THM: !P. (?p. P p) <=> (?p1 p2. P (p1,p2))
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_CROSS: !x y s t. x,y IN s CROSS t <=> x IN s /\ y IN t
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: rational: !x. rational x <=> (?m n. integer m /\ integer n /\ ~(n = &0) /\ x = m / n)
% Goal: COUNTABLE rational
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. COUNTABLE s /\ COUNTABLE t ==> COUNTABLE (s CROSS t)
% Assm: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: COUNTABLE integer
% Assm: !s t. COUNTABLE t /\ s SUBSET t ==> COUNTABLE s
% Assm: !t. (\x. t x) = t
% Assm: !P. (?p. P p) <=> (?p1 p2. P (p1,p2))
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !P x. x IN P <=> P x
% Assm: !x y s t. x,y IN s CROSS t <=> x IN s /\ y IN t
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !x. rational x <=> (?m n. integer m /\ integer n /\ ~(n = &0) /\ x = m / n)
% Goal: COUNTABLE rational
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(tprodq54601q54604, type, prodq54601q54604 : $tType).
thf(tprodq4523q4522, type, prodq4523q4522 : $tType).
thf(tq4522, type, q4522 : $tType).
thf(tprodab, type, prodab : $tType).
thf(tq4523, type, q4523 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tq54601, type, q54601 : $tType).
thf(tq54604, type, q54604 : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin3, type, in3 : (b > (b > $o) > $o)).
thf(cin2, type, in2 : (q54604 > (q54604 > $o) > $o)).
thf(cin1, type, in1 : (q54601 > (q54601 > $o) > $o)).
thf(cin0, type, in0 : (prodq54601q54604 > (prodq54601q54604 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgeq, type, geq : (a > a > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_1, type, c_1 : (a > b > prodab)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(ccross0, type, cross0 : ((q54601 > $o) > (q54604 > $o) > prodq54601q54604 > $o)).
thf(ccu_0, type, c_0 : (q54601 > q54604 > prodq54601q54604)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cgabs, type, gabs : ((a > $o) > a)).
thf(ccu_, type, c_ : (q4523 > q4522 > prodq4523q4522)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(ccross, type, cross : ((real > $o) > (real > $o) > prodrealreal > $o)).
thf(ccountable0, type, countable0 : ((prodrealreal > $o) > $o)).
thf(ccountable, type, countable : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(crational, type, rational : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOUNTABLEu_CROSS, axiom, ![S:(real > $o),T:(real > $o)]:(((countable @ S) & (countable @ T)) => (countable0 @ (cross @ S @ T)))).
thf(aCOUNTABLEu_IMAGE, axiom, ![F:(real > real),S:(real > $o)]:((countable @ S) => (countable @ (image @ F @ S)))).
thf(aCOUNTABLEu_INTEGER, axiom, (countable @ integer)).
thf(aCOUNTABLEu_SUBSET, axiom, ![S:(real > $o),T:(real > $o)]:(((countable @ T) & (subset @ S @ T)) => (countable @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_PAIRu_THM, axiom, ![P:(prodq4523q4522 > $o)]:(?[P0:prodq4523q4522]:(P @ P0) <=> ?[P1:q4523,P2:q4522]:(P @ (c_ @ P1 @ P2)))).
thf(aGABSu_DEF, axiom, ![P:(a > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:a,B:a]:((geq @ A @ B) <=> (A = B))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_CROSS, axiom, ![X:q54601,Y:q54604,S:(q54601 > $o),T:(q54604 > $o)]:((in0 @ (c_0 @ X @ Y) @ (cross0 @ S @ T)) <=> ((in1 @ X @ S) & (in2 @ Y @ T)))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in3 @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > b > c)]:?[FN:(prodab > c)]:![A0:a,A1:b]:((FN @ (c_1 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(arational, axiom, ![X:real]:((rational @ X) <=> ?[M:real,N:real]:((integer @ M) & (integer @ N) & ~ ((N = (realu_ofu_num @ (numeral @ u_0)))) & (X = (realu_div @ M @ N))))).
thf(conjecture, conjecture, (countable @ rational)).
