%   ORIGINAL: CARD_EQ_RATIONAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_LE_ANTISYM: !s t. s <=_c t /\ t <=_c s <=> s =_c t
% Assm: COUNTABLE_ALT: !s. COUNTABLE s <=> s <=_c (:num)
% Assm: COUNTABLE_RATIONAL: COUNTABLE rational
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: RATIONAL_NUM: !n. rational (&n)
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: TRUTH: T
% Assm: le_c: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Goal: rational =_c (:num)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s <=_c t /\ t <=_c s <=> s =_c t
% Assm: !s. COUNTABLE s <=> s <=_c (:num)
% Assm: COUNTABLE rational
% Assm: !P x. x IN P <=> P x
% Assm: !x. x IN (:num)
% Assm: !n. rational (&n)
% Assm: !m n. &m = &n <=> m = n
% Assm: T
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Goal: rational =_c (:num)
%  TYPES
thf(tnum, type, num : $tType).
thf(tq59202, type, q59202 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq59207, type, q59207 : $tType).
thf(tq91179, type, q91179 : $tType).
%  CONSTS
thf(cin2, type, in2 : (q59202 > (q59202 > $o) > $o)).
thf(cin1, type, in1 : (q59207 > (q59207 > $o) > $o)).
thf(clu_au_uu_c2, type, l_a_u_c2 : ((q59207 > $o) > (q59202 > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((q91179 > $o) > (num > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((num > $o) > (real > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((real > $o) > (num > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((real > $o) > (num > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (num > $o)).
thf(ccountable0, type, countable0 : ((real > $o) > $o)).
thf(ccountable, type, countable : ((q91179 > $o) > $o)).
thf(crational, type, rational : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_LEu_ANTISYM, axiom, ![S:(real > $o),T:(num > $o)]:(((l_a_u_c @ S @ T) & (l_a_u_c0 @ T @ S)) <=> (a_u_c @ S @ T))).
thf(aCOUNTABLEu_ALT, axiom, ![S:(q91179 > $o)]:((countable @ S) <=> (l_a_u_c1 @ S @ univ))).
thf(aCOUNTABLEu_RATIONAL, axiom, (countable0 @ rational)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:num]:(in0 @ X @ univ)).
thf(aRATIONALu_NUM, axiom, ![N:num]:(rational @ (realu_ofu_num @ N))).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(aleu_c, axiom, ![T:(q59202 > $o),S:(q59207 > $o)]:((l_a_u_c2 @ S @ T) <=> ?[F:(q59207 > q59202)]:(![X:q59207]:((in1 @ X @ S) => (in2 @ (F @ X) @ T)) & ![X:q59207,Y:q59207]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(conjecture, conjecture, (a_u_c @ rational @ univ)).
