%   ORIGINAL: COUNTABLE_INTEGER_COORDINATES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COUNTABLE_CART: !P. (!i. 1 <= i /\ i <= dimindex (:N) ==> COUNTABLE {x | P i x}) ==> COUNTABLE {v | !i. 1 <= i /\ i <= dimindex (:N) ==> P i (v$i)}
% Assm: COUNTABLE_INTEGER: COUNTABLE integer
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Goal: COUNTABLE {x | !i. 1 <= i /\ i <= dimindex (:N) ==> integer (x$i)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (!i. 1 <= i /\ i <= dimindex (:N) ==> COUNTABLE {x | P i x}) ==> COUNTABLE {v | !i. 1 <= i /\ i <= dimindex (:N) ==> P i (v$i)}
% Assm: COUNTABLE integer
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Goal: COUNTABLE {x | !i. 1 <= i /\ i <= dimindex (:N) ==> integer (x$i)}
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartcartrealnn > $o) > cartcartrealnn > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cdu_0, type, d_0 : (cartcartrealnn > num > cartrealn)).
thf(csetspec0, type, setspec0 : (cartcartrealnn > $o > cartcartrealnn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccountable1, type, countable1 : ((real > $o) > $o)).
thf(ccountable0, type, countable0 : ((cartcartrealnn > $o) > $o)).
thf(ccountable, type, countable : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOUNTABLEu_CART, axiom, ![P:(num > cartrealn > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (countable @ (gspec @ ^[GENR_PVARR_236:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_236 @ (P @ I @ X) @ X)))) => (countable0 @ (gspec0 @ ^[GENR_PVARR_237:cartcartrealnn]:?[V:cartcartrealnn]:(setspec0 @ GENR_PVARR_237 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (P @ I @ (d_0 @ V @ I))) @ V))))).
thf(aCOUNTABLEu_INTEGER, axiom, (countable1 @ integer)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (countable @ (gspec @ ^[GENR_PVARR_758:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_758 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (integer @ (d_ @ X @ I))) @ X)))).
