%   ORIGINAL: CLOSURE_RATIONAL_COORDINATES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_DYADIC_RATIONALS: closure {inv (&2 pow n) % x | n,x | !i. 1 <= i /\ i <= dimindex (:N) ==> integer (x$i)} = (:real^N)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_IN_GSPEC_conjunct1: !P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RATIONAL_CLOSED_conjunct6: !x r. rational x ==> rational (x pow r)
% Assm: RATIONAL_INTEGER: !x. integer x ==> rational x
% Assm: RATIONAL_INV: !x. rational x ==> rational (inv x)
% Assm: RATIONAL_MUL: !x y. rational x /\ rational y ==> rational (x * y)
% Assm: RATIONAL_NUM: !n. rational (&n)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_CLOSURE: !s t. s SUBSET t ==> closure s SUBSET closure t
% Assm: TRUTH: T
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Goal: closure {x | !i. 1 <= i /\ i <= dimindex (:N) ==> rational (x$i)} = (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: closure {inv (&2 pow n) % x | n,x | !i. 1 <= i /\ i <= dimindex (:N) ==> integer (x$i)} = (:real^N)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !Q P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:real^N)
% Assm: !x. x IN (:N)
% Assm: ~F <=> T
% Assm: !x r. rational x ==> rational (x pow r)
% Assm: !x. integer x ==> rational x
% Assm: !x. rational x ==> rational (inv x)
% Assm: !x y. rational x /\ rational y ==> rational (x * y)
% Assm: !n. rational (&n)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t ==> closure s SUBSET closure t
% Assm: T
% Assm: !c x i. (c % x)$i = c * x$i
% Goal: closure {x | !i. 1 <= i /\ i <= dimindex (:N) ==> rational (x$i)} = (:real^N)
%  TYPES
thf(tnum, type, num : $tType).
thf(tq48223, type, q48223 : $tType).
thf(tq48224, type, q48224 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin1, type, in1 : (n > (n > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(crational, type, rational : (real > $o)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_DYADICu_RATIONALS, axiom, ((closure @ (gspec @ ^[GENR_PVARR_761:cartrealn]:?[N:num,X:cartrealn]:(setspec @ GENR_PVARR_761 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (integer @ (d_ @ X @ I))) @ (r_ @ (realu_inv @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N)) @ X)))) = univ0)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_INu_GSPECu_conjunct1, axiom, ![Q:(cartrealn > $o),P:(q48224 > q48223 > $o),F:(q48224 > q48223 > cartrealn)]:(![Z:cartrealn]:((in @ Z @ (gspec @ ^[GENR_PVARR_21:cartrealn]:?[X:q48224,Y:q48223]:(setspec @ GENR_PVARR_21 @ (P @ X @ Y) @ (F @ X @ Y)))) => (Q @ Z)) <=> ![X:q48224,Y:q48223]:((P @ X @ Y) => (Q @ (F @ X @ Y))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIVu_monomorphized1, axiom, ![X:cartrealn]:(in @ X @ univ0)).
thf(aINu_UNIVu_monomorphized0, axiom, ![X:n]:(in1 @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRATIONALu_CLOSEDu_conjunct6, axiom, ![X:real,R:num]:((rational @ X) => (rational @ (realu_pow @ X @ R)))).
thf(aRATIONALu_INTEGER, axiom, ![X:real]:((integer @ X) => (rational @ X))).
thf(aRATIONALu_INV, axiom, ![X:real]:((rational @ X) => (rational @ (realu_inv @ X)))).
thf(aRATIONALu_MUL, axiom, ![X:real,Y:real]:(((rational @ X) & (rational @ Y)) => (rational @ (realu_mul @ X @ Y)))).
thf(aRATIONALu_NUM, axiom, ![N:num]:(rational @ (realu_ofu_num @ N))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_CLOSURE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset0 @ S @ T) => (subset0 @ (closure @ S) @ (closure @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealn,I:num]:((d_ @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(conjecture, conjecture, ((closure @ (gspec @ ^[GENR_PVARR_763:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_763 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (rational @ (d_ @ X @ I))) @ X))) = univ0)).
