%   ORIGINAL: CLOSURE_DYADIC_RATIONALS_IN_OPEN_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSURE_DYADIC_RATIONALS: closure {inv (&2 pow n) % x | n,x | !i. 1 <= i /\ i <= dimindex (:N) ==> integer (x$i)} = (:real^N)
% Assm: CLOSURE_OPEN_INTER_SUPERSET: !s t. open s /\ s SUBSET closure t ==> closure (s INTER t) = closure s
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !s. open s ==> closure (s INTER {inv (&2 pow n) % x | n,x | !i. 1 <= i /\ i <= dimindex (:N) ==> integer (x$i)}) = closure s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: closure {inv (&2 pow n) % x | n,x | !i. 1 <= i /\ i <= dimindex (:N) ==> integer (x$i)} = (:real^N)
% Assm: !s t. open s /\ s SUBSET closure t ==> closure (s INTER t) = closure s
% Assm: !s. s SUBSET (:N)
% Assm: T
% Goal: !s. open s ==> closure (s INTER {inv (&2 pow n) % x | n,x | !i. 1 <= i /\ i <= dimindex (:N) ==> integer (x$i)}) = closure s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset0, type, subset0 : ((n > $o) > (n > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSUREu_DYADICu_RATIONALS, axiom, ((closure @ (gspec @ ^[GENR_PVARR_761:cartrealn]:?[N:num,X:cartrealn]:(setspec @ GENR_PVARR_761 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (integer @ (d_ @ X @ I))) @ (r_ @ (realu_inv @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N)) @ X)))) = univ0)).
thf(aCLOSUREu_OPENu_INTERu_SUPERSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((open @ S) & (subset @ S @ (closure @ T))) => ((closure @ (inter @ S @ T)) = (closure @ S)))).
thf(aSUBSETu_UNIV, axiom, ![S:(n > $o)]:(subset0 @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((open @ S) => ((closure @ (inter @ S @ (gspec @ ^[GENR_PVARR_764:cartrealn]:?[N:num,X:cartrealn]:(setspec @ GENR_PVARR_764 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (integer @ (d_ @ X @ I))) @ (r_ @ (realu_inv @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N)) @ X))))) = (closure @ S)))).
