%   ORIGINAL: LINDELOF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COUNTABLE_IMAGE: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: COUNTABLE_RESTRICT: !s P. COUNTABLE s ==> COUNTABLE {x | x IN s /\ P x}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: UNIONS_IMAGE: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
% Assm: UNIV_SECOND_COUNTABLE: ?b. COUNTABLE b /\ (!c. c IN b ==> open c) /\ (!s. open s ==> (?u. u SUBSET b /\ s = UNIONS u))
% Goal: !f. (!s. s IN f ==> open s) ==> (?f'. f' SUBSET f /\ COUNTABLE f' /\ UNIONS f' = UNIONS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: !s P. COUNTABLE s ==> COUNTABLE {x | x IN s /\ P x}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
% Assm: ?b. COUNTABLE b /\ (!c. c IN b ==> open c) /\ (!s. open s ==> (?u. u SUBSET b /\ s = UNIONS u))
% Goal: !f. (!s. s IN f ==> open s) ==> (?f'. f' SUBSET f /\ COUNTABLE f' /\ UNIONS f' = UNIONS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin1, type, in1 : (((cartrealn > $o) > $o) > (((cartrealn > $o) > $o) > $o) > $o)).
thf(cunions0, type, unions0 : ((((cartrealn > $o) > $o) > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(csubset, type, subset : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cimage, type, image : (((cartrealn > $o) > cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(ccountable, type, countable : (((cartrealn > $o) > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOUNTABLEu_IMAGE, axiom, ![F:((cartrealn > $o) > cartrealn > $o),S:((cartrealn > $o) > $o)]:((countable @ S) => (countable @ (image @ F @ S)))).
thf(aCOUNTABLEu_RESTRICT, axiom, ![S:((cartrealn > $o) > $o),P:((cartrealn > $o) > $o)]:((countable @ S) => (countable @ (gspec @ ^[GENR_PVARR_227:(cartrealn > $o)]:?[X:(cartrealn > $o)]:(setspec @ GENR_PVARR_227 @ ((in @ X @ S) & (P @ X)) @ X))))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:((cartrealn > $o) > $o),F:((cartrealn > $o) > cartrealn > $o),S:((cartrealn > $o) > $o)]:(![Y:(cartrealn > $o)]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (P @ (F @ X))))).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn > $o)]:?[Y:(cartrealn > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIONS, axiom, ![S:(((cartrealn > $o) > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (unions0 @ S)) <=> ?[T:((cartrealn > $o) > $o)]:((in1 @ T @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((subset @ S @ T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_IMAGE, axiom, ![F:((cartrealn > $o) > cartrealn > $o),S:((cartrealn > $o) > $o)]:((unions @ (image @ F @ S)) = (gspec0 @ ^[GENR_PVARR_26:cartrealn]:?[Y:cartrealn]:(setspec0 @ GENR_PVARR_26 @ ?[X:(cartrealn > $o)]:((in @ X @ S) & (in0 @ Y @ (F @ X))) @ Y)))).
thf(aUNIVu_SECONDu_COUNTABLE, axiom, ?[B:((cartrealn > $o) > $o)]:((countable @ B) & ![C:(cartrealn > $o)]:((in @ C @ B) => (open @ C)) & ![S:(cartrealn > $o)]:((open @ S) => ?[U:((cartrealn > $o) > $o)]:((subset @ U @ B) & (S = (unions @ U)))))).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(![S:(cartrealn > $o)]:((in @ S @ F) => (open @ S)) => ?[FI_:((cartrealn > $o) > $o)]:((subset @ FI_ @ F) & (countable @ FI_) & ((unions @ FI_) = (unions @ F))))).
