%   ORIGINAL: BROUWER_REDUCTION_THEOREM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: BROUWER_REDUCTION_THEOREM_GEN: !P s. (!f. (!n. closed (f n) /\ P (f n)) /\ (!n. f (SUC n) SUBSET f n) ==> P (INTERS {f n | n IN (:num)})) /\ closed s /\ P s ==> (?t. t SUBSET s /\ closed t /\ P t /\ (!u. u SUBSET s /\ closed u /\ P u ==> ~(u PSUBSET t)))
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: COMPACT_IMP_CLOSED: !s. compact s ==> closed s
% Assm: COMPACT_NEST: !s. (!n. compact (s n) /\ ~(s n = {})) /\ (!m n. m <= n ==> s n SUBSET s m) ==> ~(INTERS {s n | n IN (:num)} = {})
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRANSITIVE_STEPWISE_LE: !R. (!x. R x x) /\ (!x y z. R x y /\ R y z ==> R x z) /\ (!n. R n (SUC n)) ==> (!m n. m <= n ==> R m n)
% Assm: TRUTH: T
% Goal: !P s. (!f. (!n. compact (f n) /\ ~(f n = {}) /\ P (f n)) /\ (!n. f (SUC n) SUBSET f n) ==> P (INTERS {f n | n IN (:num)})) /\ compact s /\ ~(s = {}) /\ P s ==> (?t. t SUBSET s /\ compact t /\ ~(t = {}) /\ P t /\ (!u. u SUBSET s /\ closed u /\ ~(u = {}) /\ P u ==> ~(u PSUBSET t)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !P s. (!f. (!n. closed (f n) /\ P (f n)) /\ (!n. f (SUC n) SUBSET f n) ==> P (INTERS {f n | n IN (:num)})) /\ closed s /\ P s ==> (?t. t SUBSET s /\ closed t /\ P t /\ (!u. u SUBSET s /\ closed u /\ P u ==> ~(u PSUBSET t)))
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s. compact s ==> closed s
% Assm: !s. (!n. compact (s n) /\ ~(s n = {})) /\ (!m n. m <= n ==> s n SUBSET s m) ==> ~(INTERS {s n | n IN (:num)} = {})
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. x IN (:num)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET s
% Assm: !R. (!x. R x x) /\ (!x y z. R x y /\ R y z ==> R x z) /\ (!n. R n (SUC n)) ==> (!m n. m <= n ==> R m n)
% Assm: T
% Goal: !P s. (!f. (!n. compact (f n) /\ ~(f n = {}) /\ P (f n)) /\ (!n. f (SUC n) SUBSET f n) ==> P (INTERS {f n | n IN (:num)})) /\ compact s /\ ~(s = {}) /\ P s ==> (?t. t SUBSET s /\ compact t /\ ~(t = {}) /\ P t /\ (!u. u SUBSET s /\ closed u /\ ~(u = {}) /\ P u ==> ~(u PSUBSET t)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin1, type, in1 : ((num > $o) > ((num > $o) > $o) > $o)).
thf(cinters0, type, inters0 : (((num > $o) > $o) > num > $o)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpsubset, type, psubset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (num > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aBROUWERu_REDUCTIONu_THEOREMu_GEN, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:((![F:(num > cartrealn > $o)]:((![N:num]:((closed @ (F @ N)) & (P @ (F @ N))) & ![N:num]:(subset @ (F @ (suc @ N)) @ (F @ N))) => (P @ (inters @ (gspec @ ^[GENR_PVARR_784:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_784 @ (in @ N @ univ) @ (F @ N)))))) & (closed @ S) & (P @ S)) => ?[T:(cartrealn > $o)]:((subset @ T @ S) & (closed @ T) & (P @ T) & ![U:(cartrealn > $o)]:(((subset @ U @ S) & (closed @ U) & (P @ U)) => ~ ((psubset @ U @ T)))))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aCOMPACTu_IMPu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (closed @ S))).
thf(aCOMPACTu_NEST, axiom, ![S:(num > cartrealn > $o)]:((![N:num]:((compact @ (S @ N)) & ~ (((S @ N) = empty))) & ![M:num,N:num]:((l_a_ @ M @ N) => (subset @ (S @ N) @ (S @ M)))) => ~ (((inters @ (gspec @ ^[GENR_PVARR_498:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_498 @ (in @ N @ univ) @ (S @ N)))) = empty)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aIN, axiom, ![P:(num > $o),X:num]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > num > $o) > $o),X:num]:((in @ X @ (gspec0 @ ^[V:num]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:num]:(P0 & (X = T))))).
thf(aINu_INTERS, axiom, ![S:((num > $o) > $o),X:num]:((in @ X @ (inters0 @ S)) <=> ![T:(num > $o)]:((in1 @ T @ S) => (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:num]:(in @ X @ univ)).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:num]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_REFL, axiom, ![S:(cartrealn > $o)]:(subset @ S @ S)).
thf(aTRANSITIVEu_STEPWISEu_LE, axiom, ![R:(num > num > $o)]:((![X:num]:(R @ X @ X) & ![X:num,Y:num,Z:num]:(((R @ X @ Y) & (R @ Y @ Z)) => (R @ X @ Z)) & ![N:num]:(R @ N @ (suc @ N))) => ![M:num,N:num]:((l_a_ @ M @ N) => (R @ M @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:((![F:(num > cartrealn > $o)]:((![N:num]:((compact @ (F @ N)) & ~ (((F @ N) = empty)) & (P @ (F @ N))) & ![N:num]:(subset @ (F @ (suc @ N)) @ (F @ N))) => (P @ (inters @ (gspec @ ^[GENR_PVARR_785:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_785 @ (in @ N @ univ) @ (F @ N)))))) & (compact @ S) & ~ ((S = empty)) & (P @ S)) => ?[T:(cartrealn > $o)]:((subset @ T @ S) & (compact @ T) & ~ ((T = empty)) & (P @ T) & ![U:(cartrealn > $o)]:(((subset @ U @ S) & (closed @ U) & ~ ((U = empty)) & (P @ U)) => ~ ((psubset @ U @ T)))))).
