%   ORIGINAL: SUBSEQUENCE_DIAGONALIZATION_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LET_TRANS: !m n p. m <= n /\ n < p ==> m < p
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LE_LT: !m n. m <= n <=> m < n \/ m = n
% Assm: LE_REFL: !n. n <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: MONOTONE_BIGGER: !r. (!m n. m < n ==> r m < r n) ==> (!n. n <= r n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: num_RECURSION: !e f. ?fn. fn 0 = e /\ (!n. fn (SUC n) = f (fn n) n)
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !P. (!i r. ?k. (!m n. m < n ==> k m < k n) /\ P i (r o k)) /\ (!i r k1 k2 N. P i (r o k1) /\ (!j. N <= j ==> (?j'. j <= j' /\ k2 j = k1 j')) ==> P i (r o k2)) ==> (!r. ?k. (!m n. m < n ==> k m < k n) /\ (!i. P i (r o k)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. m + 0 = m
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !m n p. m <= n /\ n < p ==> m < p
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !m n. m <= n <=> m < n \/ m = n
% Assm: !n. n <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m n. m < n ==> m <= n
% Assm: !r. (!m n. m < n ==> r m < r n) ==> (!n. n <= r n)
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !e f. ?fn. fn 0 = e /\ (!n. fn (SUC n) = f (fn n) n)
% Assm: !f g h. f o g o h = (f o g) o h
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !P. (!i r. ?k. (!m n. m < n ==> k m < k n) /\ P i (r o k)) /\ (!i r k1 k2 N. P i (r o k1) /\ (!j. N <= j ==> (?j'. j <= j' /\ k2 j = k1 j')) ==> P i (r o k2)) ==> (!r. ?k. (!m n. m < n ==> k m < k n) /\ (!i. P i (r o k)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(co0, type, o0 : ((num > num) > (num > num) > num > num)).
thf(co, type, o : ((num > a) > (num > num) > num > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:num]:((i @ X) = X)).
thf(aLETu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_ @ N @ P)) => (l_ @ M @ P))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLEu_LT, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ((l_ @ M @ N) | (M = N)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aMONOTONEu_BIGGER, axiom, ![R:(num > num)]:(![M:num,N:num]:((l_ @ M @ N) => (l_ @ (R @ M) @ (R @ N))) => ![N:num]:(l_a_ @ N @ (R @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(anumu_RECURSION, axiom, ![E:num,F:(num > num > num)]:?[FN:(num > num)]:(((FN @ (numeral @ u_0)) = E) & ![N:num]:((FN @ (suc @ N)) = (F @ (FN @ N) @ N)))).
thf(aou_ASSOC, axiom, ![F:(num > a),G:(num > num),H:(num > num)]:((o @ F @ (o0 @ G @ H)) = (o @ (o @ F @ G) @ H))).
thf(aou_THM, axiom, ![F:(num > a),G:(num > num),X:num]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![P:(num > (num > a) > $o)]:((![I:num,R:(num > a)]:?[K:(num > num)]:(![M:num,N:num]:((l_ @ M @ N) => (l_ @ (K @ M) @ (K @ N))) & (P @ I @ (o @ R @ K))) & ![I:num,R:(num > a),K1:(num > num),K2:(num > num),N:num]:(((P @ I @ (o @ R @ K1)) & ![J:num]:((l_a_ @ N @ J) => ?[JI_:num]:((l_a_ @ J @ JI_) & ((K2 @ J) = (K1 @ JI_))))) => (P @ I @ (o @ R @ K2)))) => ![R:(num > a)]:?[K:(num > num)]:(![M:num,N:num]:((l_ @ M @ N) => (l_ @ (K @ M) @ (K @ N))) & ![I:num]:(P @ I @ (o @ R @ K))))).
