%   ORIGINAL: DIM_EQ_HYPERPLANE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIM_HYPERPLANE: !a. ~(a = vec 0) ==> dim {x | a dot x = &0} = dimindex (:N) - 1
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: LOWDIM_EQ_HYPERPLANE: !s. dim s = dimindex (:N) - 1 ==> (?a. ~(a = vec 0) /\ span s = {x | a dot x = &0})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. dim s = dimindex (:N) - 1 <=> (?a. ~(a = vec 0) /\ span s = {x | a dot x = &0})
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a. ~(a = vec 0) ==> dim {x | a dot x = &0} = dimindex (:N) - 1
% Assm: !s. dim (span s) = dim s
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !s. dim s = dimindex (:N) - 1 ==> (?a. ~(a = vec 0) /\ span s = {x | a dot x = &0})
% Assm: ~F <=> T
% Assm: T
% Goal: !s. dim s = dimindex (:N) - 1 <=> (?a. ~(a = vec 0) /\ span s = {x | a dot x = &0})
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMu_HYPERPLANE, axiom, ![A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) => ((dim @ (gspec @ ^[GENR_PVARR_786:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_786 @ ((dot @ A @ X) = (realu_ofu_num @ (numeral @ u_0))) @ X))) = (m_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0)))))).
thf(aDIMu_SPAN, axiom, ![S:(cartrealn > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aLOWDIMu_EQu_HYPERPLANE, axiom, ![S:(cartrealn > $o)]:(((dim @ S) = (m_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0)))) => ?[A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) & ((span @ S) = (gspec @ ^[GENR_PVARR_787:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_787 @ ((dot @ A @ X) = (realu_ofu_num @ (numeral @ u_0))) @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((dim @ S) = (m_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0)))) <=> ?[A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) & ((span @ S) = (gspec @ ^[GENR_PVARR_788:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_788 @ ((dot @ A @ X) = (realu_ofu_num @ (numeral @ u_0))) @ X)))))).
