%   ORIGINAL: AFFINE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: affine: !s. affine s <=> (!x y u v. x IN s /\ y IN s /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !f s. affine s /\ linear f ==> affine (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. affine s <=> (!x y u v. x IN s /\ y IN s /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: !s. affine s <=> (!x y u v. x IN s /\ y IN s /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !f s. affine s /\ linear f ==> affine (IMAGE f s)
%  TYPES
thf(tcartrealq248773, type, cartrealq248773 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq248773, type, q248773 : $tType).
thf(tq248776, type, q248776 : $tType).
thf(tcartrealq248776, type, cartrealq248776 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin0, type, in0 : (cartrealq248773 > (cartrealq248773 > $o) > $o)).
thf(cin, type, in : (cartrealq248776 > (cartrealq248776 > $o) > $o)).
thf(cru_0, type, r_0 : (real > cartrealq248773 > cartrealq248773)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq248773 > cartrealq248773 > cartrealq248773)).
thf(cru_, type, r_ : (real > cartrealq248776 > cartrealq248776)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq248776 > cartrealq248776 > cartrealq248776)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((cartrealq248773 > cartrealq248776) > (cartrealq248773 > $o) > cartrealq248776 > $o)).
thf(caffine0, type, affine0 : ((cartrealq248776 > $o) > $o)).
thf(clinear, type, linear : ((cartrealq248773 > cartrealq248776) > $o)).
thf(caffine, type, affine : ((cartrealq248773 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealq248776 > $o),F:(cartrealq248773 > cartrealq248776),S:(cartrealq248773 > $o)]:(![Y:cartrealq248776]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealq248773]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealq248776,S:(cartrealq248773 > $o),F:(cartrealq248773 > cartrealq248776)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealq248773]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aaffineu_monomorphized1, axiom, ![S:(cartrealq248776 > $o)]:((affine0 @ S) <=> ![X:cartrealq248776,Y:cartrealq248776,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(aaffineu_monomorphized0, axiom, ![S:(cartrealq248773 > $o)]:((affine @ S) <=> ![X:cartrealq248773,Y:cartrealq248773,U:real,V:real]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in0 @ (vectoru_add0 @ (r_0 @ U @ X) @ (r_0 @ V @ Y)) @ S)))).
thf(alinear, axiom, ![F:(cartrealq248773 > cartrealq248776)]:((linear @ F) <=> (![X:cartrealq248773,Y:cartrealq248773]:((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq248773]:((F @ (r_0 @ C @ X)) = (r_ @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![F:(cartrealq248773 > cartrealq248776),S:(cartrealq248773 > $o)]:(((affine @ S) & (linear @ F)) => (affine0 @ (image @ F @ S)))).
