%   ORIGINAL: AFFINE_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: affine: !s. affine s <=> (!x y u v. x IN s /\ y IN s /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: (!s. s IN f ==> affine s) ==> affine (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. affine s <=> (!x y u v. x IN s /\ y IN s /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !f. (!s. s IN f ==> affine s) ==> affine (INTERS f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq248888, type, cartrealq248888 : $tType).
thf(tq248888, type, q248888 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin1, type, in1 : (cartrealq248888 > (cartrealq248888 > $o) > $o)).
thf(cin0, type, in0 : (((cartrealq248888 > $o) > $o) > (((cartrealq248888 > $o) > $o) > $o) > $o)).
thf(cinters0, type, inters0 : ((((cartrealq248888 > $o) > $o) > $o) > (cartrealq248888 > $o) > $o)).
thf(cinters, type, inters : (((cartrealq248888 > $o) > $o) > cartrealq248888 > $o)).
thf(cin, type, in : ((cartrealq248888 > $o) > ((cartrealq248888 > $o) > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq248888 > cartrealq248888)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq248888 > cartrealq248888 > cartrealq248888)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(caffine, type, affine : ((cartrealq248888 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINu_INTERS, axiom, ![S:(((cartrealq248888 > $o) > $o) > $o),X:(cartrealq248888 > $o)]:((in @ X @ (inters0 @ S)) <=> ![T:((cartrealq248888 > $o) > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aaffine, axiom, ![S:(cartrealq248888 > $o)]:((affine @ S) <=> ![X:cartrealq248888,Y:cartrealq248888,U:real,V:real]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in1 @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(conjecture, conjecture, ![F:((cartrealq248888 > $o) > $o)]:(![S:(cartrealq248888 > $o)]:((in @ S @ F) => (affine @ S)) => (affine @ (inters @ F)))).
