%   ORIGINAL: AFFINE_HULL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_INTERS: (!s. s IN f ==> affine s) ==> affine (INTERS f)
% Assm: HULL_EQ: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> (P hull s = s <=> P s)
% Assm: TRUTH: T
% Goal: !s. affine hull s = s <=> affine s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. (!s. s IN f ==> affine s) ==> affine (INTERS f)
% Assm: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> (P hull s = s <=> P s)
% Assm: T
% Goal: !s. affine hull s = s <=> affine s
%  TYPES
thf(treal, type, real : $tType).
thf(tcartrealq248941, type, cartrealq248941 : $tType).
thf(tq248941, type, q248941 : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealq248941 > $o) > $o) > cartrealq248941 > $o)).
thf(cin, type, in : ((cartrealq248941 > $o) > ((cartrealq248941 > $o) > $o) > $o)).
thf(chull, type, hull : (((cartrealq248941 > $o) > $o) > (cartrealq248941 > $o) > cartrealq248941 > $o)).
thf(caffine, type, affine : ((cartrealq248941 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealq248941 > $o),G:(cartrealq248941 > $o)]:(![X:cartrealq248941]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_INTERS, axiom, ![F:((cartrealq248941 > $o) > $o)]:(![S:(cartrealq248941 > $o)]:((in @ S @ F) => (affine @ S)) => (affine @ (inters @ F)))).
thf(aHULLu_EQ, axiom, ![P:((cartrealq248941 > $o) > $o),S:(cartrealq248941 > $o)]:(![F:((cartrealq248941 > $o) > $o)]:(![S:(cartrealq248941 > $o)]:((in @ S @ F) => (P @ S)) => (P @ (inters @ F))) => (((hull @ P @ S) = S) <=> (P @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq248941 > $o)]:(((hull @ affine @ S) = S) <=> (affine @ S))).
