%   ORIGINAL: IS_AFFINE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_INTERS: (!s. s IN f ==> affine s) ==> affine (INTERS f)
% Assm: IS_HULL: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> (P s <=> (?t. s = P hull t))
% Assm: TRUTH: T
% Goal: !s. affine s <=> (?t. s = affine hull t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. (!s. s IN f ==> affine s) ==> affine (INTERS f)
% Assm: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> (P s <=> (?t. s = P hull t))
% Assm: T
% Goal: !s. affine s <=> (?t. s = affine hull t)
%  TYPES
thf(treal, type, real : $tType).
thf(tq248961, type, q248961 : $tType).
thf(tcartrealq248961, type, cartrealq248961 : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealq248961 > $o) > $o) > cartrealq248961 > $o)).
thf(cin, type, in : ((cartrealq248961 > $o) > ((cartrealq248961 > $o) > $o) > $o)).
thf(chull, type, hull : (((cartrealq248961 > $o) > $o) > (cartrealq248961 > $o) > cartrealq248961 > $o)).
thf(caffine, type, affine : ((cartrealq248961 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealq248961 > $o),G:(cartrealq248961 > $o)]:(![X:cartrealq248961]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_INTERS, axiom, ![F:((cartrealq248961 > $o) > $o)]:(![S:(cartrealq248961 > $o)]:((in @ S @ F) => (affine @ S)) => (affine @ (inters @ F)))).
thf(aISu_HULL, axiom, ![P:((cartrealq248961 > $o) > $o),S:(cartrealq248961 > $o)]:(![F:((cartrealq248961 > $o) > $o)]:(![S:(cartrealq248961 > $o)]:((in @ S @ F) => (P @ S)) => (P @ (inters @ F))) => ((P @ S) <=> ?[T:(cartrealq248961 > $o)]:(S = (hull @ P @ T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq248961 > $o)]:((affine @ S) <=> ?[T:(cartrealq248961 > $o)]:(S = (hull @ affine @ T)))).
