%   ORIGINAL: AFFINE_HULL_EXPLICIT_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_HULL_EXPLICIT: !p. affine hull p = {y | ?s u. FINITE s /\ ~(s = {}) /\ s SUBSET p /\ sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct5: !n. _0 = BIT1 n <=> F
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: TRUTH: T
% Goal: !p. affine hull p = {y | ?s u. FINITE s /\ s SUBSET p /\ sum s u = &1 /\ vsum s (\v. u v % v) = y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p. affine hull p = {y | ?s u. FINITE s /\ ~(s = {}) /\ s SUBSET p /\ sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. _0 = BIT1 n <=> F
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !m n. &m = &n <=> m = n
% Assm: !f. sum {} f = &0
% Assm: T
% Goal: !p. affine hull p = {y | ?s u. FINITE s /\ s SUBSET p /\ sum s u = &1 /\ vsum s (\v. u v % v) = y}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_HULLu_EXPLICIT, axiom, ![P:(cartrealn > $o)]:((hull @ affine @ P) = (gspec @ ^[GENR_PVARR_797:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_797 @ ?[S:(cartrealn > $o),U:(cartrealn > real)]:((finite @ S) & ~ ((S = empty)) & (subset @ S @ P) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[V:cartrealn]:(r_ @ (U @ V) @ V)) = Y)) @ Y)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct5, axiom, ![N:num]:((u_0 = (bit1 @ N)) <=> $false)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(cartrealn > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn > $o)]:((hull @ affine @ P) = (gspec @ ^[GENR_PVARR_798:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_798 @ ?[S:(cartrealn > $o),U:(cartrealn > real)]:((finite @ S) & (subset @ S @ P) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[V:cartrealn]:(r_ @ (U @ V) @ V)) = Y)) @ Y)))).
