%   ORIGINAL: AFFINE_HULL_SPAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_INSERT_SPAN: !a s. ~(a IN s) ==> affine hull (a INSERT s) = {a + v | v | v IN span {x - a | x IN s}}
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a s. a IN s ==> affine hull s = {a + v | v | v IN span {x - a | x | x IN s DELETE a}}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !a s. ~(a IN s) ==> affine hull (a INSERT s) = {a + v | v | v IN span {x - a | x IN s}}
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Goal: !a s. a IN s ==> affine hull s = {a + v | v | v IN span {x - a | x | x IN s DELETE a}}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_INSERTu_SPAN, axiom, ![A:cartrealn,S:(cartrealn > $o)]:(~ ((in @ A @ S)) => ((hull @ affine @ (insert @ A @ S)) = (gspec @ ^[GENR_PVARR_809:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_809 @ (in @ V @ (span @ (gspec @ ^[GENR_PVARR_808:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_808 @ (in @ X @ S) @ (vectoru_sub @ X @ A))))) @ (vectoru_add @ A @ V)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,S:(cartrealn > $o)]:((in @ A @ S) => ((hull @ affine @ S) = (gspec @ ^[GENR_PVARR_811:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_811 @ (in @ V @ (span @ (gspec @ ^[GENR_PVARR_810:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_810 @ (in @ X @ (delete @ S @ A)) @ (vectoru_sub @ X @ A))))) @ (vectoru_add @ A @ V)))))).
