%   ORIGINAL: AFFINE_HULL_SING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_INSERT_SPAN: !a s. ~(a IN s) ==> affine hull (a INSERT s) = {a + v | v | v IN span {x - a | x IN s}}
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SPAN_EMPTY: span {} = {vec 0}
% Assm: TRUTH: T
% Assm: VECTOR_ADD_RID: !x. x + vec 0 = x
% Goal: !a. affine hull {a} = {a}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !a s. ~(a IN s) ==> affine hull (a INSERT s) = {a + v | v | v IN span {x - a | x IN s}}
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: span {} = {vec 0}
% Assm: T
% Assm: !x. x + vec 0 = x
% Goal: !a. affine hull {a} = {a}
%  TYPES
thf(tq97171, type, q97171 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq252625, type, q252625 : $tType).
thf(tcartrealq252625, type, cartrealq252625 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq97171, type, cartrealq97171 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((cartrealq252625 > $o) > $o) > (cartrealq252625 > $o) > $o)).
thf(cin0, type, in0 : ((cartrealq252625 > $o) > ((cartrealq252625 > $o) > $o) > $o)).
thf(cspan, type, span : ((cartrealq252625 > $o) > cartrealq252625 > $o)).
thf(cgspec, type, gspec : ((cartrealq252625 > $o) > cartrealq252625 > $o)).
thf(cin, type, in : (cartrealq252625 > (cartrealq252625 > $o) > $o)).
thf(cvec0, type, vec0 : (num > cartrealq97171)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq97171 > cartrealq97171 > cartrealq97171)).
thf(csetspec0, type, setspec0 : ((cartrealq252625 > $o) > $o > (cartrealq252625 > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq252625 > cartrealq252625 > cartrealq252625)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq252625 > cartrealq252625 > cartrealq252625)).
thf(csetspec, type, setspec : (cartrealq252625 > $o > cartrealq252625 > $o)).
thf(cinsert, type, insert : (cartrealq252625 > (cartrealq252625 > $o) > cartrealq252625 > $o)).
thf(chull, type, hull : (((cartrealq252625 > $o) > $o) > (cartrealq252625 > $o) > cartrealq252625 > $o)).
thf(cempty, type, empty : (cartrealq252625 > $o)).
thf(caffine, type, affine : ((cartrealq252625 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealq252625)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq252625 > $o),G:(a > cartrealq252625 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_INSERTu_SPAN, axiom, ![A:cartrealq252625,S:(cartrealq252625 > $o)]:(~ ((in @ A @ S)) => ((hull @ affine @ (insert @ A @ S)) = (gspec @ ^[GENR_PVARR_809:cartrealq252625]:?[V:cartrealq252625]:(setspec @ GENR_PVARR_809 @ (in @ V @ (span @ (gspec @ ^[GENR_PVARR_808:cartrealq252625]:?[X:cartrealq252625]:(setspec @ GENR_PVARR_808 @ (in @ X @ S) @ (vectoru_sub @ X @ A))))) @ (vectoru_add @ A @ V)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq252625 > $o)]:(^[X:cartrealq252625]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq252625 > $o),T:(cartrealq252625 > $o)]:((S = T) <=> ![X:cartrealq252625]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealq252625 > $o) > $o) > $o),X:(cartrealq252625 > $o)]:((in0 @ X @ (gspec0 @ ^[V:(cartrealq252625 > $o)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:(cartrealq252625 > $o)]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:cartrealq252625,Y:cartrealq252625,S:(cartrealq252625 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq252625]:~ ((in @ X @ empty))).
thf(aSPANu_EMPTY, axiom, ((span @ empty) = (insert @ (vec @ (numeral @ u_0)) @ empty))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_RID, axiom, ![X:cartrealq97171]:((vectoru_add0 @ X @ (vec0 @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![A:cartrealq252625]:((hull @ affine @ (insert @ A @ empty)) = (insert @ A @ empty))).
