%   ORIGINAL: IN_CONVEX_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_ALT: convex s <=> (!x y u. x IN s /\ y IN s /\ &0 <= u /\ u <= &1 ==> (&1 - u) % x + u % y IN s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s a b u. convex s /\ a IN s /\ b IN s /\ &0 <= u /\ u <= &1 ==> (&1 - u) % a + u % b IN s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex s <=> (!x y u. x IN s /\ y IN s /\ &0 <= u /\ u <= &1 ==> (&1 - u) % x + u % y IN s)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s a b u. convex s /\ a IN s /\ b IN s /\ &0 <= u /\ u <= &1 ==> (&1 - u) % a + u % b IN s
%  TYPES
thf(tnum, type, num : $tType).
thf(tq252965, type, q252965 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq252965, type, cartrealq252965 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq252965 > (cartrealq252965 > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq252965 > cartrealq252965)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq252965 > cartrealq252965 > cartrealq252965)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cconvex, type, convex : ((cartrealq252965 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_ALT, axiom, ![S:(cartrealq252965 > $o)]:((convex @ S) <=> ![X:cartrealq252965,Y:cartrealq252965,U:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ X) @ (r_ @ U @ Y)) @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq252965 > $o),A:cartrealq252965,B:cartrealq252965,U:real]:(((convex @ S) & (in @ A @ S) & (in @ B @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ A) @ (r_ @ U @ B)) @ S))).
