%   ORIGINAL: CONVEX_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: (!s. s IN f ==> convex s) ==> convex (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !f. (!s. s IN f ==> convex s) ==> convex (INTERS f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq253001, type, cartrealq253001 : $tType).
thf(treal, type, real : $tType).
thf(tq253001, type, q253001 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin1, type, in1 : (cartrealq253001 > (cartrealq253001 > $o) > $o)).
thf(cin0, type, in0 : (((cartrealq253001 > $o) > $o) > (((cartrealq253001 > $o) > $o) > $o) > $o)).
thf(cinters0, type, inters0 : ((((cartrealq253001 > $o) > $o) > $o) > (cartrealq253001 > $o) > $o)).
thf(cinters, type, inters : (((cartrealq253001 > $o) > $o) > cartrealq253001 > $o)).
thf(cin, type, in : ((cartrealq253001 > $o) > ((cartrealq253001 > $o) > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq253001 > cartrealq253001)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq253001 > cartrealq253001 > cartrealq253001)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cconvex, type, convex : ((cartrealq253001 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINu_INTERS, axiom, ![S:(((cartrealq253001 > $o) > $o) > $o),X:(cartrealq253001 > $o)]:((in @ X @ (inters0 @ S)) <=> ![T:((cartrealq253001 > $o) > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aconvex, axiom, ![S:(cartrealq253001 > $o)]:((convex @ S) <=> ![X:cartrealq253001,Y:cartrealq253001,U:real,V:real]:(((in1 @ X @ S) & (in1 @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in1 @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(conjecture, conjecture, ![F:((cartrealq253001 > $o) > $o)]:(![S:(cartrealq253001 > $o)]:((in @ S @ F) => (convex @ S)) => (convex @ (inters @ F)))).
