%   ORIGINAL: CONVEX_HALFSPACE_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_ADD2: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: REAL_LE_LMUL: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: TRUTH: T
% Assm: Tactics_jordan.REAL_RDISTRIB: !x y z. (x + y) * z = x * z + y * z
% Assm: convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !a b. convex {x | a dot x <= b}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: !x. x <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x. &1 * x = x
% Assm: T
% Assm: !x y z. (x + y) * z = x * z + y * z
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !a b. convex {x | a dot x <= b}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq253101, type, cartrealq253101 : $tType).
thf(tq253101, type, q253101 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealq253101 > (cartrealq253101 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdot, type, dot : (cartrealq253101 > cartrealq253101 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealq253101 > $o) > cartrealq253101 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealq253101 > cartrealq253101)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq253101 > cartrealq253101 > cartrealq253101)).
thf(csetspec, type, setspec : (cartrealq253101 > $o > cartrealq253101 > $o)).
thf(cconvex, type, convex : ((cartrealq253101 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_RADD, axiom, ![X:cartrealq253101,Y:cartrealq253101,Z:cartrealq253101]:((dot @ X @ (vectoru_add @ Y @ Z)) = (realu_add @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealq253101,Y:cartrealq253101]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq253101 > $o),X:cartrealq253101]:((in @ X @ (gspec @ ^[V:cartrealq253101]:?[Y:cartrealq253101]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_ADD2, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ W @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_add @ W @ Y) @ (realu_add @ X @ Z)))).
thf(aREALu_LEu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(aTacticsu_jordano_REALu_RDISTRIB, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ (realu_add @ X @ Y) @ Z) = (realu_add @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aconvex, axiom, ![S:(cartrealq253101 > $o)]:((convex @ S) <=> ![X:cartrealq253101,Y:cartrealq253101,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(conjecture, conjecture, ![A:cartrealq253101,B:real]:(convex @ (gspec @ ^[GENR_PVARR_816:cartrealq253101]:?[X:cartrealq253101]:(setspec @ GENR_PVARR_816 @ (realu_le @ (dot @ A @ X) @ B) @ X)))).
