%   ORIGINAL: CONVEX_HALFSPACE_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: REAL_CONVEX_BOUND_LT: !x y a u v. x < a /\ y < a /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u * x + v * y < a
% Assm: TRUTH: T
% Assm: convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !a b. convex {x | a dot x < b}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y a u v. x < a /\ y < a /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u * x + v * y < a
% Assm: T
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !a b. convex {x | a dot x < b}
%  TYPES
thf(tq253500, type, q253500 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq253500, type, cartrealq253500 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq253500 > (cartrealq253500 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdot, type, dot : (cartrealq253500 > cartrealq253500 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealq253500 > $o) > cartrealq253500 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealq253500 > cartrealq253500)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq253500 > cartrealq253500 > cartrealq253500)).
thf(csetspec, type, setspec : (cartrealq253500 > $o > cartrealq253500 > $o)).
thf(cconvex, type, convex : ((cartrealq253500 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_RADD, axiom, ![X:cartrealq253500,Y:cartrealq253500,Z:cartrealq253500]:((dot @ X @ (vectoru_add @ Y @ Z)) = (realu_add @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealq253500,Y:cartrealq253500]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq253500 > $o),X:cartrealq253500]:((in @ X @ (gspec @ ^[V:cartrealq253500]:?[Y:cartrealq253500]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aREALu_CONVEXu_BOUNDu_LT, axiom, ![X:real,Y:real,A:real,U:real,V:real]:(((realu_lt @ X @ A) & (realu_lt @ Y @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_lt @ (realu_add @ (realu_mul @ U @ X) @ (realu_mul @ V @ Y)) @ A))).
thf(aTRUTH, axiom, $true).
thf(aconvex, axiom, ![S:(cartrealq253500 > $o)]:((convex @ S) <=> ![X:cartrealq253500,Y:cartrealq253500,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(conjecture, conjecture, ![A:cartrealq253500,B:real]:(convex @ (gspec @ ^[GENR_PVARR_827:cartrealq253500]:?[X:cartrealq253500]:(setspec @ GENR_PVARR_827 @ (realu_lt @ (dot @ A @ X) @ B) @ X)))).
