%   ORIGINAL: CONVEX_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ID: !b t. (if b then t else t) = t
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: COND_RATOR: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: CONVEX_EXPLICIT: !s. convex s <=> (!t u. FINITE t /\ t SUBSET s /\ (!x. x IN t ==> &0 <= u x) /\ sum t u = &1 ==> vsum t (\x. u x % x) IN s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: SUM_RESTRICT_SET: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: VSUM_RESTRICT_SET: !P s f. vsum {x | x IN s /\ P x} f = vsum s (\x. if P x then f x else vec 0)
% Goal: !s. FINITE s ==> (convex s <=> (!u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 ==> vsum s (\x. u x % x) IN s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !b t. (if b then t else t) = t
% Assm: !b t. (if b then t else t) <=> t
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f x y. f (if b then x else y) <=> (if b then f x else f y)
% Assm: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: !b f g x. (if b then f else g) x <=> (if b then f x else g x)
% Assm: !s. convex s <=> (!t u. FINITE t /\ t SUBSET s /\ (!x. x IN t ==> &0 <= u x) /\ sum t u = &1 ==> vsum t (\x. u x % x) IN s)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET s
% Assm: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
% Assm: T
% Assm: !x. &0 % x = vec 0
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: !P s f. vsum {x | x IN s /\ P x} f = vsum s (\x. if P x then f x else vec 0)
% Goal: !s. FINITE s ==> (convex s <=> (!u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 ==> vsum s (\x. u x % x) IN s))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccond4, type, cond4 : ($o > cartrealn > cartrealn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccond3, type, cond3 : ($o > (a > $o) > (a > $o) > a > $o)).
thf(ccond2, type, cond2 : ($o > (a > real) > (a > real) > a > real)).
thf(ccond1, type, cond1 : ($o > a > a > a)).
thf(ccond0, type, cond0 : ($o > $o > $o > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ci0, type, i0 : ($o > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:$o,T2:$o]:(((cond0 @ $true @ T1 @ T2) <=> T1) & ((cond0 @ $false @ T1 @ T2) <=> T2))).
thf(aCONDu_IDu_monomorphized1, axiom, ![B:$o,T:real]:((cond @ B @ T @ T) = T)).
thf(aCONDu_IDu_monomorphized0, axiom, ![B:$o,T:$o]:((cond0 @ B @ T @ T) <=> T)).
thf(aCONDu_RANDu_monomorphized1, axiom, ![B:$o,F:(a > real),X:a,Y:a]:((F @ (cond1 @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RANDu_monomorphized0, axiom, ![B:$o,F:(a > $o),X:a,Y:a]:((F @ (cond1 @ B @ X @ Y)) <=> (cond0 @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RATORu_monomorphized1, axiom, ![B:$o,F:(a > real),G:(a > real),X:a]:((cond2 @ B @ F @ G @ X) = (cond @ B @ (F @ X) @ (G @ X)))).
thf(aCONDu_RATORu_monomorphized0, axiom, ![B:$o,F:(a > $o),G:(a > $o),X:a]:((cond3 @ B @ F @ G @ X) <=> (cond0 @ B @ (F @ X) @ (G @ X)))).
thf(aCONVEXu_EXPLICIT, axiom, ![S:(cartrealn > $o)]:((convex @ S) <=> ![T:(cartrealn > $o),U:(cartrealn > real)]:(((finite @ T) & (subset @ T @ S) & ![X:cartrealn]:((in @ X @ T) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ T @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vsum @ T @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset0 @ S @ S)).
thf(aSUMu_RESTRICTu_SET, axiom, ![P:(cartrealn > $o),S:(cartrealn > $o),F:(cartrealn > real)]:((sum @ (gspec @ ^[GENR_PVARR_177:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_177 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) = (sum @ S @ ^[X:cartrealn]:(cond @ (P @ X) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_EQ, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((vsum @ S @ F) = (vsum @ S @ G)))).
thf(aVSUMu_RESTRICTu_SET, axiom, ![P:(cartrealn > $o),S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((vsum @ (gspec @ ^[GENR_PVARR_252:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_252 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) = (vsum @ S @ ^[X:cartrealn]:(cond4 @ (P @ X) @ (F @ X) @ (vec @ (numeral @ u_0)))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((finite @ S) => ((convex @ S) <=> ![U:(cartrealn > real)]:((![X:cartrealn]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vsum @ S @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) @ S))))).
