%   ORIGINAL: SUBSPACE_IMP_CONIC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: conic: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Assm: subspace: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !s. subspace s ==> conic s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !s. subspace s ==> conic s
%  TYPES
thf(tnum, type, num : $tType).
thf(tq254625, type, q254625 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq254625, type, cartrealq254625 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq254625)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq254625 > (cartrealq254625 > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq254625 > cartrealq254625 > cartrealq254625)).
thf(cru_, type, r_ : (real > cartrealq254625 > cartrealq254625)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cconic, type, conic : ((cartrealq254625 > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealq254625 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aconic, axiom, ![S:(cartrealq254625 > $o)]:((conic @ S) <=> ![X:cartrealq254625,C:real]:(((in @ X @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C)) => (in @ (r_ @ C @ X) @ S)))).
thf(asubspace, axiom, ![S:(cartrealq254625 > $o)]:((subspace @ S) <=> ((in @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealq254625,Y:cartrealq254625]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S)) & ![C:real,X:cartrealq254625]:((in @ X @ S) => (in @ (r_ @ C @ X) @ S))))).
thf(conjecture, conjecture, ![S:(cartrealq254625 > $o)]:((subspace @ S) => (conic @ S))).
