%   ORIGINAL: CONIC_NEGATIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_MUL_RNEG: c % --x = --(c % x)
% Assm: conic: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Goal: !s. conic s ==> conic (IMAGE (--) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: T
% Assm: !c x. c % --x = --(c % x)
% Assm: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Goal: !s. conic s ==> conic (IMAGE (--) s)
%  TYPES
thf(tcartrealq254767, type, cartrealq254767 : $tType).
thf(tq254767, type, q254767 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq254767 > (cartrealq254767 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealq254767 > cartrealq254767)).
thf(cimage, type, image : ((cartrealq254767 > cartrealq254767) > (cartrealq254767 > $o) > cartrealq254767 > $o)).
thf(cconic, type, conic : ((cartrealq254767 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq254767 > cartrealq254767)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealq254767 > $o),F:(cartrealq254767 > cartrealq254767),S:(cartrealq254767 > $o)]:(![Y:cartrealq254767]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealq254767]:((in @ X @ S) => (P @ (F @ X))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealq254767,S:(cartrealq254767 > $o),F:(cartrealq254767 > cartrealq254767)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealq254767]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_RNEG, axiom, ![C:real,X:cartrealq254767]:((r_ @ C @ (vectoru_neg @ X)) = (vectoru_neg @ (r_ @ C @ X)))).
thf(aconic, axiom, ![S:(cartrealq254767 > $o)]:((conic @ S) <=> ![X:cartrealq254767,C:real]:(((in @ X @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C)) => (in @ (r_ @ C @ X) @ S)))).
thf(conjecture, conjecture, ![S:(cartrealq254767 > $o)]:((conic @ S) => (conic @ (image @ vectoru_neg @ S)))).
