%   ORIGINAL: CONIC_HULL_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_GSPEC_conjunct1: !P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: HULL_UNIQUE: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_POS: !n. &0 <= &n
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: conic: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Goal: !s. conic hull s = {c % x | &0 <= c /\ x IN s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !Q P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !n. &0 <= &n
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Assm: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Goal: !s. conic hull s = {c % x | &0 <= c /\ x IN s}
%  TYPES
thf(tnum, type, num : $tType).
thf(tq48223, type, q48223 : $tType).
thf(tq48224, type, q48224 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconic, type, conic : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFORALLu_INu_GSPECu_conjunct1, axiom, ![Q:(cartrealn > $o),P:(q48224 > q48223 > $o),F:(q48224 > q48223 > cartrealn)]:(![Z:cartrealn]:((in @ Z @ (gspec @ ^[GENR_PVARR_21:cartrealn]:?[X:q48224,Y:q48223]:(setspec @ GENR_PVARR_21 @ (P @ X @ Y) @ (F @ X @ Y)))) => (Q @ Z)) <=> ![X:q48224,Y:q48223]:((P @ X @ Y) => (Q @ (F @ X @ Y))))).
thf(aHULLu_UNIQUE, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (P @ T) & ![TI_:(cartrealn > $o)]:(((subset @ S @ TI_) & (P @ TI_)) => (subset @ T @ TI_))) => ((hull @ P @ S) = T))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aconic, axiom, ![S:(cartrealn > $o)]:((conic @ S) <=> ![X:cartrealn,C:real]:(((in @ X @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C)) => (in @ (r_ @ C @ X) @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((hull @ conic @ S) = (gspec @ ^[GENR_PVARR_833:cartrealn]:?[C:real,X:cartrealn]:(setspec @ GENR_PVARR_833 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & (in @ X @ S)) @ (r_ @ C @ X))))).
