%   ORIGINAL: CONIC_HALFSPACE_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: TRUTH: T
% Assm: conic: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Assm: real_ge: !y x. x >= y <=> y <= x
% Goal: !a. conic {x | a dot x >= &0}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: T
% Assm: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Assm: !y x. x >= y <=> y <= x
% Goal: !a. conic {x | a dot x >= &0}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq255201, type, cartrealq255201 : $tType).
thf(tq255201, type, q255201 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq255201 > (cartrealq255201 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq255201 > cartrealq255201 > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealq255201 > $o) > cartrealq255201 > $o)).
thf(cru_, type, r_ : (real > cartrealq255201 > cartrealq255201)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealq255201 > $o > cartrealq255201 > $o)).
thf(cconic, type, conic : ((cartrealq255201 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealq255201,Y:cartrealq255201]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq255201 > $o),X:cartrealq255201]:((in @ X @ (gspec @ ^[V:cartrealq255201]:?[Y:cartrealq255201]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aconic, axiom, ![S:(cartrealq255201 > $o)]:((conic @ S) <=> ![X:cartrealq255201,C:real]:(((in @ X @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C)) => (in @ (r_ @ C @ X) @ S)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(conjecture, conjecture, ![A:cartrealq255201]:(conic @ (gspec @ ^[GENR_PVARR_839:cartrealq255201]:?[X:cartrealq255201]:(setspec @ GENR_PVARR_839 @ (realu_ge @ (dot @ A @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ X)))).
