%   ORIGINAL: CONIC_SUMS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ADD_LDISTRIB: c % (x + y) = c % x + c % y
% Assm: conic: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Goal: !s t. conic s /\ conic t ==> conic {x + y | x IN s /\ y IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: T
% Assm: !x c y. c % (x + y) = c % x + c % y
% Assm: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Goal: !s t. conic s /\ conic t ==> conic {x + y | x IN s /\ y IN t}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cconic, type, conic : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_LDISTRIB, axiom, ![X:cartrealn,C:real,Y:cartrealn]:((r_ @ C @ (vectoru_add @ X @ Y)) = (vectoru_add @ (r_ @ C @ X) @ (r_ @ C @ Y)))).
thf(aconic, axiom, ![S:(cartrealn > $o)]:((conic @ S) <=> ![X:cartrealn,C:real]:(((in @ X @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C)) => (in @ (r_ @ C @ X) @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((conic @ S) & (conic @ T)) => (conic @ (gspec @ ^[GENR_PVARR_840:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_840 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))))).
