%   ORIGINAL: AFFINE_INDEPENDENT_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_EMPTY: affine hull {} = {}
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.affine_dependent: !s. affine_dependent s <=> (?x. x IN s /\ x IN affine hull (s DELETE x))
% Assm: EXISTS_IN_INSERT: !P a s. (?x. x IN a INSERT s /\ P x) <=> P a \/ (?x. x IN s /\ P x)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !a. ~affine_dependent {a}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: affine hull {} = {}
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. affine_dependent s <=> (?x. x IN s /\ x IN affine hull (s DELETE x))
% Assm: !P a s. (?x. x IN a INSERT s /\ P x) <=> P a \/ (?x. x IN s /\ P x)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !a. ~affine_dependent {a}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdelete0, type, delete0 : ((a > $o) > a > a > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_EMPTY, axiom, ((hull @ affine @ empty) = empty)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_affineu_dependent, axiom, ![S:(cartrealn > $o)]:((affineu_dependent @ S) <=> ?[X:cartrealn]:((in @ X @ S) & (in @ X @ (hull @ affine @ (delete @ S @ X)))))).
thf(aEXISTSu_INu_INSERT, axiom, ![P:(cartrealn > $o),A:cartrealn,S:(cartrealn > $o)]:(?[X:cartrealn]:((in @ X @ (insert @ A @ S)) & (P @ X)) <=> ((P @ A) | ?[X:cartrealn]:((in @ X @ S) & (P @ X))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in0 @ X @ (delete0 @ S @ Y)) <=> ((in0 @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn]:~ ((affineu_dependent @ (insert @ A @ empty)))).
