%   ORIGINAL: COLLINEAR_AFFINE_HULL_COLLINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_AFFINE_HULL: !s. collinear s <=> (?u v. s SUBSET affine hull {u, v})
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_HULL: !P s. P hull (P hull s) = P hull s
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. collinear (affine hull s) <=> collinear s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. collinear s <=> (?u v. s SUBSET affine hull {u, v})
% Assm: !t. (\x. t x) = t
% Assm: !P s. P hull (P hull s) = P hull s
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. collinear (affine hull s) <=> collinear s
%  TYPES
thf(tcartrealq256442, type, cartrealq256442 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq256442, type, q256442 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (cartrealq256442 > (cartrealq256442 > $o) > $o)).
thf(csubset, type, subset : ((cartrealq256442 > $o) > (cartrealq256442 > $o) > $o)).
thf(cinsert, type, insert : (cartrealq256442 > (cartrealq256442 > $o) > cartrealq256442 > $o)).
thf(chull, type, hull : (((cartrealq256442 > $o) > $o) > (cartrealq256442 > $o) > cartrealq256442 > $o)).
thf(cempty, type, empty : (cartrealq256442 > $o)).
thf(caffine, type, affine : ((cartrealq256442 > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealq256442 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_AFFINEu_HULL, axiom, ![S:(cartrealq256442 > $o)]:((collinear @ S) <=> ?[U:cartrealq256442,V:cartrealq256442]:(subset @ S @ (hull @ affine @ (insert @ U @ (insert @ V @ empty)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHULLu_HULL, axiom, ![P:((cartrealq256442 > $o) > $o),S:(cartrealq256442 > $o)]:((hull @ P @ (hull @ P @ S)) = (hull @ P @ S))).
thf(aHULLu_INC, axiom, ![P:((cartrealq256442 > $o) > $o),S:(cartrealq256442 > $o),X:cartrealq256442]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aHULLu_MONO, axiom, ![P:((cartrealq256442 > $o) > $o),S:(cartrealq256442 > $o),T:(cartrealq256442 > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq256442 > $o)]:((collinear @ (hull @ affine @ S)) <=> (collinear @ S))).
