%   ORIGINAL: COPLANAR_AFFINE_HULL_COPLANAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_HULL: !P s. P hull (P hull s) = P hull s
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Trigonometry2.coplanar: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !s. coplanar (affine hull s) <=> coplanar s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P s. P hull (P hull s) = P hull s
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !s. coplanar (affine hull s) <=> coplanar s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq256457, type, cartrealq256457 : $tType).
thf(tq256457, type, q256457 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealq256457 > $o) > (cartrealq256457 > $o) > $o)).
thf(cin, type, in : (cartrealq256457 > (cartrealq256457 > $o) > $o)).
thf(cinsert, type, insert : (cartrealq256457 > (cartrealq256457 > $o) > cartrealq256457 > $o)).
thf(chull, type, hull : (((cartrealq256457 > $o) > $o) > (cartrealq256457 > $o) > cartrealq256457 > $o)).
thf(cempty, type, empty : (cartrealq256457 > $o)).
thf(caffine, type, affine : ((cartrealq256457 > $o) > $o)).
thf(ccoplanar, type, coplanar : ((cartrealq256457 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHULLu_HULL, axiom, ![P:((cartrealq256457 > $o) > $o),S:(cartrealq256457 > $o)]:((hull @ P @ (hull @ P @ S)) = (hull @ P @ S))).
thf(aHULLu_INC, axiom, ![P:((cartrealq256457 > $o) > $o),S:(cartrealq256457 > $o),X:cartrealq256457]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aHULLu_MONO, axiom, ![P:((cartrealq256457 > $o) > $o),S:(cartrealq256457 > $o),T:(cartrealq256457 > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_coplanar, axiom, ![S:(cartrealq256457 > $o)]:((coplanar @ S) <=> ?[U:cartrealq256457,V:cartrealq256457,W:cartrealq256457]:(subset @ S @ (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty))))))).
thf(conjecture, conjecture, ![S:(cartrealq256457 > $o)]:((coplanar @ (hull @ affine @ S)) <=> (coplanar @ S))).
