%   ORIGINAL: COPLANAR_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_LINEAR_IMAGE: !f s. linear f ==> affine hull IMAGE f s = IMAGE f (affine hull s)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_SUBSET: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: Trigonometry2.coplanar: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !f s. coplanar s /\ linear f ==> coplanar (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s. linear f ==> affine hull IMAGE f s = IMAGE f (affine hull s)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Assm: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !f s. coplanar s /\ linear f ==> coplanar (IMAGE f s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin1, type, in1 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert1, type, insert1 : (cartrealm > (cartrealm > $o) > cartrealm > $o)).
thf(cinsert0, type, insert0 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(chull0, type, hull0 : (((cartrealm > $o) > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cempty1, type, empty1 : (cartrealm > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(caffine0, type, affine0 : ((cartrealm > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(ccoplanar0, type, coplanar0 : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ccoplanar, type, coplanar : ((cartrealm > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((hull @ affine @ (image @ F @ S)) = (image @ F @ (hull0 @ affine0 @ S))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGEu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) => (subset0 @ (image @ F @ S) @ (image @ F @ T)))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in1 @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_coplanaru_monomorphized1, axiom, ![S:(cartrealn > $o)]:((coplanar0 @ S) <=> ?[U:cartrealn,V:cartrealn,W:cartrealn]:(subset0 @ S @ (hull @ affine @ (insert0 @ U @ (insert0 @ V @ (insert0 @ W @ empty0))))))).
thf(aTrigonometry2o_coplanaru_monomorphized0, axiom, ![S:(cartrealm > $o)]:((coplanar @ S) <=> ?[U:cartrealm,V:cartrealm,W:cartrealm]:(subset @ S @ (hull0 @ affine0 @ (insert1 @ U @ (insert1 @ V @ (insert1 @ W @ empty1))))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((coplanar @ S) & (linear @ F)) => (coplanar0 @ (image @ F @ S)))).
