%   ORIGINAL: COPLANAR_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Trigonometry2.coplanar: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !s t. coplanar t /\ s SUBSET t ==> coplanar s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !s t. coplanar t /\ s SUBSET t ==> coplanar s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq256645, type, cartrealq256645 : $tType).
thf(treal, type, real : $tType).
thf(tq256645, type, q256645 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq256645 > (cartrealq256645 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealq256645 > $o) > (cartrealq256645 > $o) > $o)).
thf(cinsert, type, insert : (cartrealq256645 > (cartrealq256645 > $o) > cartrealq256645 > $o)).
thf(chull, type, hull : (((cartrealq256645 > $o) > $o) > (cartrealq256645 > $o) > cartrealq256645 > $o)).
thf(cempty, type, empty : (cartrealq256645 > $o)).
thf(caffine, type, affine : ((cartrealq256645 > $o) > $o)).
thf(ccoplanar, type, coplanar : ((cartrealq256645 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq256645 > $o),T:(cartrealq256645 > $o)]:((subset @ S @ T) <=> ![X:cartrealq256645]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_coplanar, axiom, ![S:(cartrealq256645 > $o)]:((coplanar @ S) <=> ?[U:cartrealq256645,V:cartrealq256645,W:cartrealq256645]:(subset @ S @ (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty))))))).
thf(conjecture, conjecture, ![S:(cartrealq256645 > $o),T:(cartrealq256645 > $o)]:(((coplanar @ T) & (subset @ S @ T)) => (coplanar @ S))).
