%   ORIGINAL: AFFINE_HULL_3_IMP_COLLINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COLLINEAR_2: !x y. collinear {x, y}
% Assm: COLLINEAR_AFFINE_HULL_COLLINEAR: !s. collinear (affine hull s) <=> collinear s
% Assm: HULL_REDUNDANT_EQ: !P a s. a IN P hull s <=> P hull (a INSERT s) = P hull s
% Assm: INSERT_AC_conjunct0: x INSERT y INSERT s = y INSERT x INSERT s
% Assm: TRUTH: T
% Goal: !a b c. c IN affine hull {a, b} ==> collinear {a, b, c}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. collinear {x, y}
% Assm: !s. collinear (affine hull s) <=> collinear s
% Assm: !P a s. a IN P hull s <=> P hull (a INSERT s) = P hull s
% Assm: !y x s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: T
% Goal: !a b c. c IN affine hull {a, b} ==> collinear {a, b, c}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq256667, type, cartrealq256667 : $tType).
thf(tq256667, type, q256667 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealq256667 > (cartrealq256667 > $o) > $o)).
thf(cinsert, type, insert : (cartrealq256667 > (cartrealq256667 > $o) > cartrealq256667 > $o)).
thf(chull, type, hull : (((cartrealq256667 > $o) > $o) > (cartrealq256667 > $o) > cartrealq256667 > $o)).
thf(ccollinear, type, collinear : ((cartrealq256667 > $o) > $o)).
thf(cempty, type, empty : (cartrealq256667 > $o)).
thf(caffine, type, affine : ((cartrealq256667 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOLLINEARu_2, axiom, ![X:cartrealq256667,Y:cartrealq256667]:(collinear @ (insert @ X @ (insert @ Y @ empty)))).
thf(aCOLLINEARu_AFFINEu_HULLu_COLLINEAR, axiom, ![S:(cartrealq256667 > $o)]:((collinear @ (hull @ affine @ S)) <=> (collinear @ S))).
thf(aHULLu_REDUNDANTu_EQ, axiom, ![P:((cartrealq256667 > $o) > $o),A:cartrealq256667,S:(cartrealq256667 > $o)]:((in @ A @ (hull @ P @ S)) <=> ((hull @ P @ (insert @ A @ S)) = (hull @ P @ S)))).
thf(aINSERTu_ACu_conjunct0, axiom, ![Y:cartrealq256667,X:cartrealq256667,S:(cartrealq256667 > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealq256667,B:cartrealq256667,C:cartrealq256667]:((in @ C @ (hull @ affine @ (insert @ A @ (insert @ B @ empty)))) => (collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))))).
