%   ORIGINAL: COLLINEAR_3_EQ_AFFINE_DEPENDENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_2: !x y. collinear {x, y}
% Assm: COLLINEAR_3_AFFINE_HULL: !a b c. ~(a = b) ==> (collinear {a, b, c} <=> c IN affine hull {a, b})
% Assm: Collect_geom.affine_dependent: !s. affine_dependent s <=> (?x. x IN s /\ x IN affine hull (s DELETE x))
% Assm: EXISTS_IN_INSERT: !P a s. (?x. x IN a INSERT s /\ P x) <=> P a \/ (?x. x IN s /\ P x)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_AC_conjunct0: x INSERT y INSERT s = y INSERT x INSERT s
% Assm: INSERT_AC_conjunct1: x INSERT x INSERT s = x INSERT s
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !a b c. collinear {a, b, c} <=> a = b \/ a = c \/ b = c \/ affine_dependent {a, b, c}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. collinear {x, y}
% Assm: !a b c. ~(a = b) ==> (collinear {a, b, c} <=> c IN affine hull {a, b})
% Assm: !s. affine_dependent s <=> (?x. x IN s /\ x IN affine hull (s DELETE x))
% Assm: !P a s. (?x. x IN a INSERT s /\ P x) <=> P a \/ (?x. x IN s /\ P x)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !P x. x IN P <=> P x
% Assm: !y x s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !x s. x INSERT x INSERT s = x INSERT s
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x <=> y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !a b c. collinear {a, b, c} <=> a = b \/ a = c \/ b = c \/ affine_dependent {a, b, c}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tq94614, type, q94614 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin1, type, in1 : ($o > ($o > $o) > $o)).
thf(csubset, type, subset : ((q94614 > $o) > (q94614 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdelete0, type, delete0 : (($o > $o) > $o > $o > $o)).
thf(chull0, type, hull0 : (((q94614 > $o) > $o) > (q94614 > $o) > q94614 > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_2, axiom, ![X:cartrealn,Y:cartrealn]:(collinear @ (insert @ X @ (insert @ Y @ empty)))).
thf(aCOLLINEARu_3u_AFFINEu_HULL, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn]:(~ ((A = B)) => ((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) <=> (in @ C @ (hull @ affine @ (insert @ A @ (insert @ B @ empty))))))).
thf(aCollectu_geomo_affineu_dependent, axiom, ![S:(cartrealn > $o)]:((affineu_dependent @ S) <=> ?[X:cartrealn]:((in @ X @ S) & (in @ X @ (hull @ affine @ (delete @ S @ X)))))).
thf(aEXISTSu_INu_INSERT, axiom, ![P:(cartrealn > $o),A:cartrealn,S:(cartrealn > $o)]:(?[X:cartrealn]:((in @ X @ (insert @ A @ S)) & (P @ X)) <=> ((P @ A) | ?[X:cartrealn]:((in @ X @ S) & (P @ X))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aHULLu_MONO, axiom, ![P:((q94614 > $o) > $o),S:(q94614 > $o),T:(q94614 > $o)]:((subset @ S @ T) => (subset @ (hull0 @ P @ S) @ (hull0 @ P @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINSERTu_ACu_conjunct0, axiom, ![Y:cartrealn,X:cartrealn,S:(cartrealn > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINSERTu_ACu_conjunct1, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((insert @ X @ (insert @ X @ S)) = (insert @ X @ S))).
thf(aINu_DELETEu_monomorphized1, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_DELETEu_monomorphized0, axiom, ![S:($o > $o),X:$o,Y:$o]:((in1 @ X @ (delete0 @ S @ Y)) <=> ((in1 @ X @ S) & ~ ((X <=> Y))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn]:((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) <=> ((A = B) | (A = C) | (B = C) | (affineu_dependent @ (insert @ A @ (insert @ B @ (insert @ C @ empty))))))).
