%   ORIGINAL: Collect_geom.AFFINE_DEPENDENT_3_IMP_COLLINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_AFFINE_HULL: !s. collinear s <=> (?u v. s SUBSET affine hull {u, v})
% Assm: Collect_geom.affine_dependent: !s. affine_dependent s <=> (?x. x IN s /\ x IN affine hull (s DELETE x))
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !a b c. affine_dependent {a, b, c} ==> collinear {a, b, c}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. collinear s <=> (?u v. s SUBSET affine hull {u, v})
% Assm: !s. affine_dependent s <=> (?x. x IN s /\ x IN affine hull (s DELETE x))
% Assm: !s. {} SUBSET s
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !P x. x IN P <=> P x
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !a b c. affine_dependent {a, b, c} ==> collinear {a, b, c}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq95026, type, q95026 : $tType).
thf(tn, type, n : $tType).
thf(tq94614, type, q94614 : $tType).
%  CONSTS
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((q94614 > $o) > (q94614 > $o) > $o)).
thf(cin0, type, in0 : (q95026 > (q95026 > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdelete0, type, delete0 : ((a > $o) > a > a > $o)).
thf(chull1, type, hull1 : (((q94614 > $o) > $o) > (q94614 > $o) > q94614 > $o)).
thf(chull0, type, hull0 : (((q95026 > $o) > $o) > (q95026 > $o) > q95026 > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:((collinear @ S) <=> ?[U:cartrealn,V:cartrealn]:(subset @ S @ (hull @ affine @ (insert @ U @ (insert @ V @ empty)))))).
thf(aCollectu_geomo_affineu_dependent, axiom, ![S:(cartrealn > $o)]:((affineu_dependent @ S) <=> ?[X:cartrealn]:((in @ X @ S) & (in @ X @ (hull @ affine @ (delete @ S @ X)))))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aHULLu_INC, axiom, ![P:((q95026 > $o) > $o),S:(q95026 > $o),X:q95026]:((in0 @ X @ S) => (in0 @ X @ (hull0 @ P @ S)))).
thf(aHULLu_MONO, axiom, ![P:((q94614 > $o) > $o),S:(q94614 > $o),T:(q94614 > $o)]:((subset0 @ S @ T) => (subset0 @ (hull1 @ P @ S) @ (hull1 @ P @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in1 @ X @ P) <=> (P @ X))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in1 @ X @ (delete0 @ S @ Y)) <=> ((in1 @ X @ S) & ~ ((X = Y))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset1 @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn]:((affineu_dependent @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) => (collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))))).
