%   ORIGINAL: CLOPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_EMPTY: closed {}
% Assm: CLOSED_IN: !s. closed s <=> closed_in euclidean s
% Assm: CLOSED_UNIV: closed (:real^N)
% Assm: CONNECTED_CLOPEN: !s. connected s <=> (!t. open_in (subtopology euclidean s) t /\ closed_in (subtopology euclidean s) t ==> t = {} \/ t = s)
% Assm: CONNECTED_UNIV: connected (:real^N)
% Assm: OPEN_EMPTY: open {}
% Assm: OPEN_IN: !s. open s <=> open_in euclidean s
% Assm: OPEN_UNIV: open (:real^N)
% Assm: SUBTOPOLOGY_UNIV: !top. subtopology top (:?167925) = top
% Assm: TRUTH: T
% Goal: !s. closed s /\ open s <=> s = {} \/ s = (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: closed {}
% Assm: !s. closed s <=> closed_in euclidean s
% Assm: closed (:real^N)
% Assm: !s. connected s <=> (!t. open_in (subtopology euclidean s) t /\ closed_in (subtopology euclidean s) t ==> t = {} \/ t = s)
% Assm: connected (:real^N)
% Assm: open {}
% Assm: !s. open s <=> open_in euclidean s
% Assm: open (:real^N)
% Assm: !top. subtopology top (:real^N) = top
% Assm: T
% Goal: !s. closed s /\ open s <=> s = {} \/ s = (:real^N)
%  TYPES
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_EMPTY, axiom, (closed @ empty)).
thf(aCLOSEDu_IN, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> (closedu_in @ euclidean @ S))).
thf(aCLOSEDu_UNIV, axiom, (closed @ univ)).
thf(aCONNECTEDu_CLOPEN, axiom, ![S:(cartrealn > $o)]:((connected @ S) <=> ![T:(cartrealn > $o)]:(((openu_in @ (subtopology @ euclidean @ S) @ T) & (closedu_in @ (subtopology @ euclidean @ S) @ T)) => ((T = empty) | (T = S))))).
thf(aCONNECTEDu_UNIV, axiom, (connected @ univ)).
thf(aOPENu_EMPTY, axiom, (open @ empty)).
thf(aOPENu_IN, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (openu_in @ euclidean @ S))).
thf(aOPENu_UNIV, axiom, (open @ univ)).
thf(aSUBTOPOLOGYu_UNIV, axiom, ![TOP:topologycartrealn]:((subtopology @ TOP @ univ) = TOP)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((closed @ S) & (open @ S)) <=> ((S = empty) | (S = univ)))).
