%   ORIGINAL: EQ_INTERVAL_conjunct3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: INTERVAL_NE_EMPTY_conjunct1: ~(interval (a,b) = {}) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i < b$i)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: SUBSET_ANTISYM_EQ: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: SUBSET_INTERVAL_conjunct3: interval (c,d) SUBSET interval (a,b) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> c$i < d$i) ==> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= c$i /\ d$i <= b$i)
% Assm: TRUTH: T
% Goal: !a b c d. interval (a,b) = interval (c,d) <=> interval (a,b) = {} /\ interval (c,d) = {} \/ a = c /\ b = d
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !a b. ~(interval (a,b) = {}) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i < b$i)
% Assm: ~F <=> T
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: !a c d b. interval (c,d) SUBSET interval (a,b) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> c$i < d$i) ==> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= c$i /\ d$i <= b$i)
% Assm: T
% Goal: !a b c d. interval (a,b) = interval (c,d) <=> interval (a,b) = {} /\ interval (c,d) = {} \/ a = c /\ b = d
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aINTERVALu_NEu_EMPTYu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:(~ (((openu_interval @ (c_ @ A @ B)) = empty)) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_lt @ (d_ @ A @ I) @ (d_ @ B @ I))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aSUBSETu_ANTISYMu_EQ, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) <=> (S = T))).
thf(aSUBSETu_INTERVALu_conjunct3, axiom, ![A:cartrealn,C:cartrealn,D:cartrealn,B:cartrealn]:((subset @ (openu_interval @ (c_ @ C @ D)) @ (openu_interval @ (c_ @ A @ B))) <=> (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_lt @ (d_ @ C @ I) @ (d_ @ D @ I))) => ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ C @ I)) & (realu_le @ (d_ @ D @ I) @ (d_ @ B @ I))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:(((openu_interval @ (c_ @ A @ B)) = (openu_interval @ (c_ @ C @ D))) <=> ((((openu_interval @ (c_ @ A @ B)) = empty) & ((openu_interval @ (c_ @ C @ D)) = empty)) | ((A = C) & (B = D))))).
