%   ORIGINAL: CONVEX_LOWER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_ADD2: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: REAL_LE_LMUL: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_MAX_MAX: !x y. x <= max x y /\ y <= max x y
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: TRUTH: T
% Assm: Tactics_jordan.REAL_RDISTRIB: !x y z. (x + y) * z = x * z + y * z
% Assm: convex_on: !s f. f convex_on s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u % x + v % y) <= u * f x + v * f y)
% Goal: !f s x y. f convex_on s /\ x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u % x + v % y) <= max (f x) (f y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y. x <= max x y /\ y <= max x y
% Assm: !x. &1 * x = x
% Assm: T
% Assm: !x y z. (x + y) * z = x * z + y * z
% Assm: !s f. f convex_on s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u % x + v % y) <= u * f x + v * f y)
% Goal: !v u f s x y. f convex_on s /\ x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u % x + v % y) <= max (f x) (f y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq258613, type, cartrealq258613 : $tType).
thf(tq258613, type, q258613 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq258613 > (cartrealq258613 > $o) > $o)).
thf(cconvexuu_on, type, convexu_on : ((cartrealq258613 > real) > (cartrealq258613 > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq258613 > cartrealq258613)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq258613 > cartrealq258613 > cartrealq258613)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_ADD2, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ W @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_add @ W @ Y) @ (realu_add @ X @ Z)))).
thf(aREALu_LEu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_MAXu_MAX, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_max @ X @ Y)) & (realu_le @ Y @ (realu_max @ X @ Y)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(aTacticsu_jordano_REALu_RDISTRIB, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ (realu_add @ X @ Y) @ Z) = (realu_add @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aconvexu_on, axiom, ![S:(cartrealq258613 > $o),F:(cartrealq258613 > real)]:((convexu_on @ F @ S) <=> ![X:cartrealq258613,Y:cartrealq258613,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_le @ (F @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y))) @ (realu_add @ (realu_mul @ U @ (F @ X)) @ (realu_mul @ V @ (F @ Y))))))).
thf(conjecture, conjecture, ![V:real,U:real,F:(cartrealq258613 > real),S:(cartrealq258613 > $o),X:cartrealq258613,Y:cartrealq258613]:(((convexu_on @ F @ S) & (in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_le @ (F @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y))) @ (realu_max @ (F @ X) @ (F @ Y))))).
