%   ORIGINAL: CONNECTED_CBALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_CBALL: !x e. convex (cball (x,e))
% Assm: CONVEX_CONNECTED: !s. convex s ==> connected s
% Assm: TRUTH: T
% Goal: !x e. connected (cball (x,e))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. convex (cball (x,e))
% Assm: !s. convex s ==> connected s
% Assm: T
% Goal: !x e. connected (cball (x,e))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_CBALL, axiom, ![X:cartrealn,E:real]:(convex @ (cball @ (c_ @ X @ E)))).
thf(aCONVEXu_CONNECTED, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (connected @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn,E:real]:(connected @ (cball @ (c_ @ X @ E)))).
