%   ORIGINAL: CONVEX_SCALING_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_SCALING: !s c. convex s ==> convex (IMAGE (\x. c % x) s)
% Assm: IMAGE_ID: !s. IMAGE (\x. x) s = s
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: TRUTH: T
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !s c. ~(c = &0) ==> (convex (IMAGE (\x. c % x) s) <=> convex s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s c. convex s ==> convex (IMAGE (\x. c % x) s)
% Assm: !s. IMAGE (\x. x) s = s
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: ~F <=> T
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: T
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !s c. ~(c = &0) ==> (convex (IMAGE (\x. c % x) s) <=> convex s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq260262, type, cartrealq260262 : $tType).
thf(tq260262, type, q260262 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((cartrealq260262 > cartrealq260262) > (cartrealq260262 > cartrealq260262) > cartrealq260262 > cartrealq260262)).
thf(cru_, type, r_ : (real > cartrealq260262 > cartrealq260262)).
thf(cimage, type, image : ((cartrealq260262 > cartrealq260262) > (cartrealq260262 > $o) > cartrealq260262 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cconvex, type, convex : ((cartrealq260262 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_SCALING, axiom, ![S:(cartrealq260262 > $o),C:real]:((convex @ S) => (convex @ (image @ ^[X:cartrealq260262]:(r_ @ C @ X) @ S)))).
thf(aIMAGEu_ID, axiom, ![S:(cartrealq260262 > $o)]:((image @ ^[X:cartrealq260262]:X @ S) = S)).
thf(aIMAGEu_o, axiom, ![F:(cartrealq260262 > cartrealq260262),G:(cartrealq260262 > cartrealq260262),S:(cartrealq260262 > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image @ G @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealq260262]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq260262]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(cartrealq260262 > $o),C:real]:(~ ((C = (realu_ofu_num @ (numeral @ u_0)))) => ((convex @ (image @ ^[X:cartrealq260262]:(r_ @ C @ X) @ S)) <=> (convex @ S)))).
