%   ORIGINAL: CONVEX_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !f s. convex s /\ linear f ==> convex (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !f s. convex s /\ linear f ==> convex (IMAGE f s)
%  TYPES
thf(tcartrealq260825, type, cartrealq260825 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq260825, type, q260825 : $tType).
thf(tq260828, type, q260828 : $tType).
thf(tcartrealq260828, type, cartrealq260828 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin0, type, in0 : (cartrealq260825 > (cartrealq260825 > $o) > $o)).
thf(cin, type, in : (cartrealq260828 > (cartrealq260828 > $o) > $o)).
thf(cru_0, type, r_0 : (real > cartrealq260825 > cartrealq260825)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq260825 > cartrealq260825 > cartrealq260825)).
thf(cru_, type, r_ : (real > cartrealq260828 > cartrealq260828)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq260828 > cartrealq260828 > cartrealq260828)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((cartrealq260825 > cartrealq260828) > (cartrealq260825 > $o) > cartrealq260828 > $o)).
thf(cconvex0, type, convex0 : ((cartrealq260828 > $o) > $o)).
thf(clinear, type, linear : ((cartrealq260825 > cartrealq260828) > $o)).
thf(cconvex, type, convex : ((cartrealq260825 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealq260828 > $o),F:(cartrealq260825 > cartrealq260828),S:(cartrealq260825 > $o)]:(![Y:cartrealq260828]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealq260825]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealq260828,S:(cartrealq260825 > $o),F:(cartrealq260825 > cartrealq260828)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealq260825]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aconvexu_monomorphized1, axiom, ![S:(cartrealq260828 > $o)]:((convex0 @ S) <=> ![X:cartrealq260828,Y:cartrealq260828,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(aconvexu_monomorphized0, axiom, ![S:(cartrealq260825 > $o)]:((convex @ S) <=> ![X:cartrealq260825,Y:cartrealq260825,U:real,V:real]:(((in0 @ X @ S) & (in0 @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in0 @ (vectoru_add0 @ (r_0 @ U @ X) @ (r_0 @ V @ Y)) @ S)))).
thf(alinear, axiom, ![F:(cartrealq260825 > cartrealq260828)]:((linear @ F) <=> (![X:cartrealq260825,Y:cartrealq260825]:((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq260825]:((F @ (r_0 @ C @ X)) = (r_ @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![F:(cartrealq260825 > cartrealq260828),S:(cartrealq260825 > $o)]:(((convex @ S) & (linear @ F)) => (convex0 @ (image @ F @ S)))).
