%   ORIGINAL: CONVEX_LINEAR_PREIMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_ALT: convex s <=> (!x y u. x IN s /\ y IN s /\ &0 <= u /\ u <= &1 ==> (&1 - u) % x + u % y IN s)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: LINEAR_ADD: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: LINEAR_CMUL: !f c x. linear f ==> f (c % x) = c % f x
% Assm: TRUTH: T
% Goal: !f. linear f /\ convex s ==> convex {x | f x IN s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. convex s <=> (!x y u. x IN s /\ y IN s /\ &0 <= u /\ u <= &1 ==> (&1 - u) % x + u % y IN s)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: !f c x. linear f ==> f (c % x) = c % f x
% Assm: T
% Goal: !s f. linear f /\ convex s ==> convex {x | f x IN s}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cru_0, type, r_0 : (real > cartrealm > cartrealm)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealm > cartrealm > cartrealm)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(cconvex0, type, convex0 : ((cartrealm > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_ALT, axiom, ![S:(cartrealn > $o)]:((convex @ S) <=> ![X:cartrealn,Y:cartrealn,U:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ X) @ (r_ @ U @ Y)) @ S)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec0 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLINEARu_ADD, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,Y:cartrealm]:((linear @ F) => ((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))))).
thf(aLINEARu_CMUL, axiom, ![F:(cartrealm > cartrealn),C:real,X:cartrealm]:((linear @ F) => ((F @ (r_0 @ C @ X)) = (r_ @ C @ (F @ X))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),F:(cartrealm > cartrealn)]:(((linear @ F) & (convex @ S)) => (convex0 @ (gspec @ ^[GENR_PVARR_855:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_855 @ (in @ (F @ X) @ S) @ X))))).
