%   ORIGINAL: CONVEX_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_INTERS: (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: P_HULL: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> P (P hull s)
% Assm: TRUTH: T
% Goal: !s. convex (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> P (P hull s)
% Assm: T
% Goal: !s. convex (convex hull s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq260921, type, q260921 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq260921, type, cartrealq260921 : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealq260921 > $o) > $o) > cartrealq260921 > $o)).
thf(cin, type, in : ((cartrealq260921 > $o) > ((cartrealq260921 > $o) > $o) > $o)).
thf(chull, type, hull : (((cartrealq260921 > $o) > $o) > (cartrealq260921 > $o) > cartrealq260921 > $o)).
thf(cconvex, type, convex : ((cartrealq260921 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_INTERS, axiom, ![F:((cartrealq260921 > $o) > $o)]:(![S:(cartrealq260921 > $o)]:((in @ S @ F) => (convex @ S)) => (convex @ (inters @ F)))).
thf(aPu_HULL, axiom, ![P:((cartrealq260921 > $o) > $o),S:(cartrealq260921 > $o)]:(![F:((cartrealq260921 > $o) > $o)]:(![S:(cartrealq260921 > $o)]:((in @ S @ F) => (P @ S)) => (P @ (inters @ F))) => (P @ (hull @ P @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq260921 > $o)]:(convex @ (hull @ convex @ S))).
