%   ORIGINAL: CONVEX_HULL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_INTERS: (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: HULL_EQ: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> (P hull s = s <=> P s)
% Assm: TRUTH: T
% Goal: !s. convex hull s = s <=> convex s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> (P hull s = s <=> P s)
% Assm: T
% Goal: !s. convex hull s = s <=> convex s
%  TYPES
thf(tcartrealq260937, type, cartrealq260937 : $tType).
thf(treal, type, real : $tType).
thf(tq260937, type, q260937 : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealq260937 > $o) > $o) > cartrealq260937 > $o)).
thf(cin, type, in : ((cartrealq260937 > $o) > ((cartrealq260937 > $o) > $o) > $o)).
thf(chull, type, hull : (((cartrealq260937 > $o) > $o) > (cartrealq260937 > $o) > cartrealq260937 > $o)).
thf(cconvex, type, convex : ((cartrealq260937 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealq260937 > $o),G:(cartrealq260937 > $o)]:(![X:cartrealq260937]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_INTERS, axiom, ![F:((cartrealq260937 > $o) > $o)]:(![S:(cartrealq260937 > $o)]:((in @ S @ F) => (convex @ S)) => (convex @ (inters @ F)))).
thf(aHULLu_EQ, axiom, ![P:((cartrealq260937 > $o) > $o),S:(cartrealq260937 > $o)]:(![F:((cartrealq260937 > $o) > $o)]:(![S:(cartrealq260937 > $o)]:((in @ S @ F) => (P @ S)) => (P @ (inters @ F))) => (((hull @ P @ S) = S) <=> (P @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq260937 > $o)]:(((hull @ convex @ S) = S) <=> (convex @ S))).
