%   ORIGINAL: IS_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_INTERS: (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: IS_HULL: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> (P s <=> (?t. s = P hull t))
% Assm: TRUTH: T
% Goal: !s. convex s <=> (?t. s = convex hull t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> (P s <=> (?t. s = P hull t))
% Assm: T
% Goal: !s. convex s <=> (?t. s = convex hull t)
%  TYPES
thf(tcartrealq260957, type, cartrealq260957 : $tType).
thf(treal, type, real : $tType).
thf(tq260957, type, q260957 : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealq260957 > $o) > $o) > cartrealq260957 > $o)).
thf(cin, type, in : ((cartrealq260957 > $o) > ((cartrealq260957 > $o) > $o) > $o)).
thf(chull, type, hull : (((cartrealq260957 > $o) > $o) > (cartrealq260957 > $o) > cartrealq260957 > $o)).
thf(cconvex, type, convex : ((cartrealq260957 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealq260957 > $o),G:(cartrealq260957 > $o)]:(![X:cartrealq260957]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_INTERS, axiom, ![F:((cartrealq260957 > $o) > $o)]:(![S:(cartrealq260957 > $o)]:((in @ S @ F) => (convex @ S)) => (convex @ (inters @ F)))).
thf(aISu_HULL, axiom, ![P:((cartrealq260957 > $o) > $o),S:(cartrealq260957 > $o)]:(![F:((cartrealq260957 > $o) > $o)]:(![S:(cartrealq260957 > $o)]:((in @ S @ F) => (P @ S)) => (P @ (inters @ F))) => ((P @ S) <=> ?[T:(cartrealq260957 > $o)]:(S = (hull @ P @ T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq260957 > $o)]:((convex @ S) <=> ?[T:(cartrealq260957 > $o)]:(S = (hull @ convex @ T)))).
