%   ORIGINAL: CONVEX_HULL_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HULL_EQ: !s. convex hull s = s <=> convex s
% Assm: CONVEX_UNIV: convex (:real^N)
% Assm: TRUTH: T
% Goal: convex hull (:real^N) = (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. convex hull s = s <=> convex s
% Assm: convex (:real^N)
% Assm: T
% Goal: convex hull (:real^N) = (:real^N)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HULLu_EQ, axiom, ![S:(cartrealn > $o)]:(((hull @ convex @ S) = S) <=> (convex @ S))).
thf(aCONVEXu_UNIV, axiom, (convex @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ((hull @ convex @ univ) = univ)).
