%   ORIGINAL: BOUNDED_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CBALL: !x e. bounded (cball (x,e))
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: CONVEX_CBALL: !x e. convex (cball (x,e))
% Assm: IN_CBALL: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: NORM_NEG: !x. norm (--x) = norm x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_HULL: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: TRUTH: T
% Assm: VECTOR_SUB_LZERO: vec 0 - x = --x
% Assm: bounded: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !s. bounded s ==> bounded (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. bounded (cball (x,e))
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !x e. convex (cball (x,e))
% Assm: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: !x. norm (--x) = norm x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: T
% Assm: !x. vec 0 - x = --x
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !s. bounded s ==> bounded (convex hull s)
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tcartrealq97595, type, cartrealq97595 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealq168451real, type, prodcartrealq168451real : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(tq97595, type, q97595 : $tType).
thf(tq99740, type, q99740 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq168451, type, cartrealq168451 : $tType).
thf(tq168451, type, q168451 : $tType).
thf(tcartrealq99740, type, cartrealq99740 : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealq168451cartrealq168451, type, prodcartrealq168451cartrealq168451 : $tType).
%  CONSTS
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq98293 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq98293cartrealq98293 > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn > real)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq99740 > real)).
thf(cdistance, type, distance : (prodcartrealq168451cartrealq168451 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccball0, type, cball0 : (prodcartrealq168451real > cartrealq168451 > $o)).
thf(cin, type, in : (cartrealq168451 > (cartrealq168451 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_2, type, c_2 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq97595 > cartrealq97595 > cartrealq97595)).
thf(ccu_1, type, c_1 : (cartrealq168451 > cartrealq168451 > prodcartrealq168451cartrealq168451)).
thf(ccu_0, type, c_0 : (cartrealq168451 > real > prodcartrealq168451real)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq99740 > cartrealq99740)).
thf(cnumeral, type, numeral : (num > num)).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealq97595 > cartrealq97595)).
thf(cvec, type, vec : (num > cartrealq97595)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CBALL, axiom, ![X:cartrealn,E:real]:(bounded @ (cball @ (c_ @ X @ E)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aCONVEXu_CBALL, axiom, ![X:cartrealn,E:real]:(convex @ (cball @ (c_ @ X @ E)))).
thf(aINu_CBALL, axiom, ![X:cartrealq168451,Y:cartrealq168451,E:real]:((in @ Y @ (cball0 @ (c_0 @ X @ E))) <=> (realu_le @ (distance @ (c_1 @ X @ Y)) @ E))).
thf(aNORMu_NEG, axiom, ![X:cartrealq99740]:((vectoru_norm @ (vectoru_neg @ X)) = (vectoru_norm @ X))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_HULL, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((P @ T) => ((subset @ (hull @ P @ S) @ T) <=> (subset @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_LZERO, axiom, ![X:cartrealq97595]:((vectoru_sub @ (vec @ (numeral @ u_0)) @ X) = (vectoru_neg0 @ X))).
thf(abounded, axiom, ![S:(cartrealn > $o)]:((bounded @ S) <=> ?[A:real]:![X:cartrealn]:((in1 @ X @ S) => (realu_le @ (vectoru_norm0 @ X) @ A)))).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance0 @ (c_2 @ X @ Y)) = (vectoru_norm1 @ (vectoru_sub0 @ X @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((bounded @ S) => (bounded @ (hull @ convex @ S)))).
