%   ORIGINAL: BOUNDED_CONVEX_HULL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_CONVEX_HULL: !s. bounded s ==> bounded (convex hull s)
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. bounded (convex hull s) <=> bounded s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded s ==> bounded (convex hull s)
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !t. (\x. t x) = t
% Assm: !P s. s SUBSET P hull s
% Assm: ~F <=> T
% Assm: T
% Goal: !s. bounded (convex hull s) <=> bounded s
%  TYPES
thf(tcartrealq261007, type, cartrealq261007 : $tType).
thf(ta, type, a : $tType).
thf(tq261007, type, q261007 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealq261007 > $o) > (cartrealq261007 > $o) > $o)).
thf(chull, type, hull : (((cartrealq261007 > $o) > $o) > (cartrealq261007 > $o) > cartrealq261007 > $o)).
thf(cconvex, type, convex : ((cartrealq261007 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq261007 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_CONVEXu_HULL, axiom, ![S:(cartrealq261007 > $o)]:((bounded @ S) => (bounded @ (hull @ convex @ S)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealq261007 > $o),T:(cartrealq261007 > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealq261007 > $o) > $o),S:(cartrealq261007 > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq261007 > $o)]:((bounded @ (hull @ convex @ S)) <=> (bounded @ S))).
