%   ORIGINAL: FINITE_IMP_BOUNDED_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CONVEX_HULL: !s. bounded s ==> bounded (convex hull s)
% Assm: FINITE_IMP_BOUNDED: !s. FINITE s ==> bounded s
% Assm: TRUTH: T
% Goal: !s. FINITE s ==> bounded (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s ==> bounded (convex hull s)
% Assm: !s. FINITE s ==> bounded s
% Assm: T
% Goal: !s. FINITE s ==> bounded (convex hull s)
%  TYPES
thf(tcartrealq261022, type, cartrealq261022 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq261022, type, q261022 : $tType).
%  CONSTS
thf(chull, type, hull : (((cartrealq261022 > $o) > $o) > (cartrealq261022 > $o) > cartrealq261022 > $o)).
thf(cconvex, type, convex : ((cartrealq261022 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq261022 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealq261022 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CONVEXu_HULL, axiom, ![S:(cartrealq261022 > $o)]:((bounded @ S) => (bounded @ (hull @ convex @ S)))).
thf(aFINITEu_IMPu_BOUNDED, axiom, ![S:(cartrealq261022 > $o)]:((finite @ S) => (bounded @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq261022 > $o)]:((finite @ S) => (bounded @ (hull @ convex @ S)))).
