%   ORIGINAL: SUBSPACE_IMP_AFFINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: affine: !s. affine s <=> (!x y u v. x IN s /\ y IN s /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: subspace: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !s. subspace s ==> affine s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. affine s <=> (!x y u v. x IN s /\ y IN s /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !s. subspace s ==> affine s
%  TYPES
thf(tnum, type, num : $tType).
thf(tq263722, type, q263722 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq263722, type, cartrealq263722 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin, type, in : (cartrealq263722 > (cartrealq263722 > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq263722 > cartrealq263722)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq263722 > cartrealq263722 > cartrealq263722)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec, type, vec : (num > cartrealq263722)).
thf(caffine, type, affine : ((cartrealq263722 > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealq263722 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aaffine, axiom, ![S:(cartrealq263722 > $o)]:((affine @ S) <=> ![X:cartrealq263722,Y:cartrealq263722,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(asubspace, axiom, ![S:(cartrealq263722 > $o)]:((subspace @ S) <=> ((in @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealq263722,Y:cartrealq263722]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S)) & ![C:real,X:cartrealq263722]:((in @ X @ S) => (in @ (r_ @ C @ X) @ S))))).
thf(conjecture, conjecture, ![S:(cartrealq263722 > $o)]:((subspace @ S) => (affine @ S))).
