%   ORIGINAL: AFFINE_IMP_CONVEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: affine: !s. affine s <=> (!x y u v. x IN s /\ y IN s /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !s. affine s ==> convex s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. affine s <=> (!x y u v. x IN s /\ y IN s /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !s. affine s ==> convex s
%  TYPES
thf(tnum, type, num : $tType).
thf(tq263733, type, q263733 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq263733, type, cartrealq263733 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin, type, in : (cartrealq263733 > (cartrealq263733 > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq263733 > cartrealq263733)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq263733 > cartrealq263733 > cartrealq263733)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cconvex, type, convex : ((cartrealq263733 > $o) > $o)).
thf(caffine, type, affine : ((cartrealq263733 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aaffine, axiom, ![S:(cartrealq263733 > $o)]:((affine @ S) <=> ![X:cartrealq263733,Y:cartrealq263733,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(aconvex, axiom, ![S:(cartrealq263733 > $o)]:((convex @ S) <=> ![X:cartrealq263733,Y:cartrealq263733,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(conjecture, conjecture, ![S:(cartrealq263733 > $o)]:((affine @ S) => (convex @ S))).
