%   ORIGINAL: AFFINE_HULL_SUBSET_SPAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HULL_ANTIMONO: !P Q s. P SUBSET Q ==> Q hull s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSPACE_IMP_AFFINE: !s. subspace s ==> affine s
% Assm: TRUTH: T
% Assm: span: !s. span s = subspace hull s
% Goal: !s. affine hull s SUBSET span s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P Q s. P SUBSET Q ==> Q hull s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. subspace s ==> affine s
% Assm: T
% Assm: !s. span s = subspace hull s
% Goal: !s. affine hull s SUBSET span s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq263760, type, cartrealq263760 : $tType).
thf(tq263760, type, q263760 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq263760 > (cartrealq263760 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : (((cartrealq263760 > $o) > $o) > ((cartrealq263760 > $o) > $o) > $o)).
thf(cspan, type, span : ((cartrealq263760 > $o) > cartrealq263760 > $o)).
thf(csubset, type, subset : ((cartrealq263760 > $o) > (cartrealq263760 > $o) > $o)).
thf(chull, type, hull : (((cartrealq263760 > $o) > $o) > (cartrealq263760 > $o) > cartrealq263760 > $o)).
thf(csubspace, type, subspace : ((cartrealq263760 > $o) > $o)).
thf(caffine, type, affine : ((cartrealq263760 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHULLu_ANTIMONO, axiom, ![P:((cartrealq263760 > $o) > $o),Q:((cartrealq263760 > $o) > $o),S:(cartrealq263760 > $o)]:((subset0 @ P @ Q) => (subset @ (hull @ Q @ S) @ (hull @ P @ S)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aSUBSET, axiom, ![S:(cartrealq263760 > $o),T:(cartrealq263760 > $o)]:((subset @ S @ T) <=> ![X:cartrealq263760]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSPACEu_IMPu_AFFINE, axiom, ![S:(cartrealq263760 > $o)]:((subspace @ S) => (affine @ S))).
thf(aTRUTH, axiom, $true).
thf(aspan, axiom, ![S:(cartrealq263760 > $o)]:((span @ S) = (hull @ subspace @ S))).
thf(conjecture, conjecture, ![S:(cartrealq263760 > $o)]:(subset @ (hull @ affine @ S) @ (span @ S))).
