%   ORIGINAL: CONVEX_HULL_SUBSET_AFFINE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_IMP_CONVEX: !s. affine s ==> convex s
% Assm: HULL_ANTIMONO: !P Q s. P SUBSET Q ==> Q hull s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. convex hull s SUBSET affine hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. affine s ==> convex s
% Assm: !P Q s. P SUBSET Q ==> Q hull s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. convex hull s SUBSET affine hull s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq263790, type, cartrealq263790 : $tType).
thf(treal, type, real : $tType).
thf(tq263790, type, q263790 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq263790 > (cartrealq263790 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : (((cartrealq263790 > $o) > $o) > ((cartrealq263790 > $o) > $o) > $o)).
thf(csubset, type, subset : ((cartrealq263790 > $o) > (cartrealq263790 > $o) > $o)).
thf(chull, type, hull : (((cartrealq263790 > $o) > $o) > (cartrealq263790 > $o) > cartrealq263790 > $o)).
thf(caffine, type, affine : ((cartrealq263790 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq263790 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_IMPu_CONVEX, axiom, ![S:(cartrealq263790 > $o)]:((affine @ S) => (convex @ S))).
thf(aHULLu_ANTIMONO, axiom, ![P:((cartrealq263790 > $o) > $o),Q:((cartrealq263790 > $o) > $o),S:(cartrealq263790 > $o)]:((subset0 @ P @ Q) => (subset @ (hull @ Q @ S) @ (hull @ P @ S)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aSUBSET, axiom, ![S:(cartrealq263790 > $o),T:(cartrealq263790 > $o)]:((subset @ S @ T) <=> ![X:cartrealq263790]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq263790 > $o)]:(subset @ (hull @ convex @ S) @ (hull @ affine @ S))).
