%   ORIGINAL: CLOSURE_SUBSET_AFFINE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_AFFINE_HULL: !s. closed (affine hull s)
% Assm: CLOSURE_MINIMAL: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: TRUTH: T
% Goal: !s. closure s SUBSET affine hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. closed (affine hull s)
% Assm: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: !P s. s SUBSET P hull s
% Assm: T
% Goal: !s. closure s SUBSET affine hull s
%  TYPES
thf(tcartrealq264159, type, cartrealq264159 : $tType).
thf(tq264159, type, q264159 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cclosure, type, closure : ((cartrealq264159 > $o) > cartrealq264159 > $o)).
thf(csubset, type, subset : ((cartrealq264159 > $o) > (cartrealq264159 > $o) > $o)).
thf(chull, type, hull : (((cartrealq264159 > $o) > $o) > (cartrealq264159 > $o) > cartrealq264159 > $o)).
thf(cclosed, type, closed : ((cartrealq264159 > $o) > $o)).
thf(caffine, type, affine : ((cartrealq264159 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_AFFINEu_HULL, axiom, ![S:(cartrealq264159 > $o)]:(closed @ (hull @ affine @ S))).
thf(aCLOSUREu_MINIMAL, axiom, ![S:(cartrealq264159 > $o),T:(cartrealq264159 > $o)]:(((subset @ S @ T) & (closed @ T)) => (subset @ (closure @ S) @ T))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealq264159 > $o) > $o),S:(cartrealq264159 > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq264159 > $o)]:(subset @ (closure @ S) @ (hull @ affine @ S))).
