%   ORIGINAL: AFFINE_HULL_EQ_SPAN_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_HULL_EQ_SPAN: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: SPAN_0: vec 0 IN span s
% Assm: TRUTH: T
% Goal: !s. affine hull s = span s <=> vec 0 IN affine hull s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: !s. vec 0 IN span s
% Assm: T
% Goal: !s. affine hull s = span s <=> vec 0 IN affine hull s
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_HULLu_EQu_SPAN, axiom, ![S:(cartrealn > $o)]:((in @ (vec @ (numeral @ u_0)) @ (hull @ affine @ S)) => ((hull @ affine @ S) = (span @ S)))).
thf(aSPANu_0, axiom, ![S:(cartrealn > $o)]:(in @ (vec @ (numeral @ u_0)) @ (span @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((hull @ affine @ S) = (span @ S)) <=> (in @ (vec @ (numeral @ u_0)) @ (hull @ affine @ S)))).
