%   ORIGINAL: AFFINE_HULL_EXPLICIT_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_DEPENDENT_EXPLICIT_FINITE: !s. FINITE s ==> (affine_dependent s <=> (?u. sum s u = &0 /\ (?v. v IN s /\ ~(u v = &0)) /\ vsum s (\v. u v % v) = vec 0))
% Assm: AFFINE_INDEPENDENT_IMP_FINITE: !s. ~affine_dependent s ==> FINITE s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_REFL: !x. x - x = &0
% Assm: SUM_SUB: !f g s. FINITE s ==> sum s (\x. f x - g x) = sum s f - sum s g
% Assm: TRUTH: T
% Assm: VECTOR_SUB_RDISTRIB: (a - b) % x = a % x - b % x
% Assm: VECTOR_SUB_REFL: !x. x - x = vec 0
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: VSUM_SUB: !f g s. FINITE s ==> vsum s (\x. f x - g x) = vsum s f - vsum s g
% Goal: !s u u'. ~affine_dependent s /\ sum s u = &1 /\ sum s u' = &1 /\ vsum s (\x. u x % x) = vsum s (\x. u' x % x) ==> (!x. x IN s ==> u x = u' x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. FINITE s ==> (affine_dependent s <=> (?u. sum s u = &0 /\ (?v. v IN s /\ ~(u v = &0)) /\ vsum s (\v. u v % v) = vec 0))
% Assm: !s. ~affine_dependent s ==> FINITE s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: ~F <=> T
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x. x - x = &0
% Assm: !f g s. FINITE s ==> sum s (\x. f x - g x) = sum s f - sum s g
% Assm: T
% Assm: !a b x. (a - b) % x = a % x - b % x
% Assm: !x. x - x = vec 0
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: !f g s. FINITE s ==> vsum s (\x. f x - g x) = vsum s f - vsum s g
% Goal: !s u u'. ~affine_dependent s /\ sum s u = &1 /\ sum s u' = &1 /\ vsum s (\x. u x % x) = vsum s (\x. u' x % x) ==> (!x. x IN s ==> u x = u' x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_DEPENDENTu_EXPLICITu_FINITE, axiom, ![S:(cartrealn > $o)]:((finite @ S) => ((affineu_dependent @ S) <=> ?[U:(cartrealn > real)]:(((sum @ S @ U) = (realu_ofu_num @ (numeral @ u_0))) & ?[V:cartrealn]:((in @ V @ S) & ~ (((U @ V) = (realu_ofu_num @ (numeral @ u_0))))) & ((vsum @ S @ ^[V:cartrealn]:(r_ @ (U @ V) @ V)) = (vec @ (numeral @ u_0))))))).
thf(aAFFINEu_INDEPENDENTu_IMPu_FINITE, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => (finite @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_REFL, axiom, ![X:real]:((realu_sub @ X @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_SUB, axiom, ![F:(cartrealn > real),G:(cartrealn > real),S:(cartrealn > $o)]:((finite @ S) => ((sum @ S @ ^[X:cartrealn]:(realu_sub @ (F @ X) @ (G @ X))) = (realu_sub @ (sum @ S @ F) @ (sum @ S @ G))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_RDISTRIB, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ (realu_sub @ A @ B) @ X) = (vectoru_sub @ (r_ @ A @ X) @ (r_ @ B @ X)))).
thf(aVECTORu_SUBu_REFL, axiom, ![X:cartrealn]:((vectoru_sub @ X @ X) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_EQ, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((vsum @ S @ F) = (vsum @ S @ G)))).
thf(aVSUMu_SUB, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o)]:((finite @ S) => ((vsum @ S @ ^[X:cartrealn]:(vectoru_sub @ (F @ X) @ (G @ X))) = (vectoru_sub @ (vsum @ S @ F) @ (vsum @ S @ G))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),U:(cartrealn > real),UI_:(cartrealn > real)]:((~ ((affineu_dependent @ S)) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((sum @ S @ UI_) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) = (vsum @ S @ ^[X:cartrealn]:(r_ @ (UI_ @ X) @ X)))) => ![X:cartrealn]:((in @ X @ S) => ((U @ X) = (UI_ @ X))))).
