%   ORIGINAL: AFFINE_INDEPENDENT_STDBASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INDEPENDENT_IMP_AFFINE_DEPENDENT_0: !s. independent s ==> ~affine_dependent (vec 0 INSERT s)
% Assm: INDEPENDENT_STDBASIS: independent {basis i | 1 <= i /\ i <= dimindex (:N)}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: ~affine_dependent (vec 0 INSERT {basis i | 1 <= i /\ i <= dimindex (:N)})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. independent s ==> ~affine_dependent (vec 0 INSERT s)
% Assm: independent {basis i | 1 <= i /\ i <= dimindex (:N)}
% Assm: ~F <=> T
% Assm: T
% Goal: ~affine_dependent (vec 0 INSERT {basis i | 1 <= i /\ i <= dimindex (:N)})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINDEPENDENTu_IMPu_AFFINEu_DEPENDENTu_0, axiom, ![S:(cartrealn > $o)]:((independent @ S) => ~ ((affineu_dependent @ (insert @ (vec @ (numeral @ u_0)) @ S))))).
thf(aINDEPENDENTu_STDBASIS, axiom, (independent @ (gspec @ ^[GENR_PVARR_291:cartrealn]:?[I:num]:(setspec @ GENR_PVARR_291 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (basis @ I))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ~ ((affineu_dependent @ (insert @ (vec @ (numeral @ u_0)) @ (gspec @ ^[GENR_PVARR_878:cartrealn]:?[I:num]:(setspec @ GENR_PVARR_878 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (basis @ I))))))).
