%   ORIGINAL: AFFINE_TRANSLATION_SUBSPACE_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_DIFFS_SUBSPACE: !s a. affine s /\ a IN s ==> subspace {x - a | x IN s}
% Assm: IMAGE_ID: !s. IMAGE (\x. x) s = s
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Assm: VECTOR_SUB_ADD2: y + x - y = x
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !t a. affine t /\ a IN t ==> subspace {x - a | x IN t} /\ t = IMAGE (\x. a + x) {x - a | x IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s a. affine s /\ a IN s ==> subspace {x - a | x IN s}
% Assm: !s. IMAGE (\x. x) s = s
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Assm: !y x. y + x - y = x
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !t a. affine t /\ a IN t ==> subspace {x - a | x IN t} /\ t = IMAGE (\x. a + x) {x - a | x IN t}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(co0, type, o0 : ((b > $o) > (cartrealn > b) > cartrealn > $o)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_DIFFSu_SUBSPACE, axiom, ![S:(cartrealn > $o),A:cartrealn]:(((affine @ S) & (in @ A @ S)) => (subspace @ (gspec @ ^[GENR_PVARR_792:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_792 @ (in @ X @ S) @ (vectoru_sub @ X @ A)))))).
thf(aIMAGEu_ID, axiom, ![S:(cartrealn > $o)]:((image @ ^[X:cartrealn]:X @ S) = S)).
thf(aIMAGEu_o, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image @ G @ S)))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((gspec @ ^[GENR_PVARR_11:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_ADD2, axiom, ![Y:cartrealn,X:cartrealn]:((vectoru_add @ Y @ (vectoru_sub @ X @ Y)) = X)).
thf(aou_DEF, axiom, ![F:(b > $o),G:(cartrealn > b)]:((o0 @ F @ G) = ^[X:cartrealn]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![T:(cartrealn > $o),A:cartrealn]:(((affine @ T) & (in @ A @ T)) => ((subspace @ (gspec @ ^[GENR_PVARR_879:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_879 @ (in @ X @ T) @ (vectoru_sub @ X @ A)))) & (T = (image @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ (gspec @ ^[GENR_PVARR_880:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_880 @ (in @ X @ T) @ (vectoru_sub @ X @ A)))))))).
