%   ORIGINAL: MAXIMAL_AFFINE_INDEPENDENT_SUBSET_AFFINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: HULL_P: !P s. P s ==> P hull s = s
% Assm: I_THM: !x. I x = x
% Assm: MAXIMAL_AFFINE_INDEPENDENT_SUBSET: !s b. b SUBSET s /\ ~affine_dependent b /\ (!b'. b SUBSET b' /\ b' SUBSET s /\ ~affine_dependent b' ==> b' = b) ==> s SUBSET affine hull b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !s b. affine s /\ b SUBSET s /\ ~affine_dependent b /\ (!b'. b SUBSET b' /\ b' SUBSET s /\ ~affine_dependent b' ==> b' = b) ==> affine hull b = s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !P s. P s ==> P hull s = s
% Assm: !x. I x = x
% Assm: !s b. b SUBSET s /\ ~affine_dependent b /\ (!b'. b SUBSET b' /\ b' SUBSET s /\ ~affine_dependent b' ==> b' = b) ==> s SUBSET affine hull b
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !s b. affine s /\ b SUBSET s /\ ~affine_dependent b /\ (!b'. b SUBSET b' /\ b' SUBSET s /\ ~affine_dependent b' ==> b' = b) ==> affine hull b = s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aHULLu_MONO, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aHULLu_P, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:((P @ S) => ((hull @ P @ S) = S))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aMAXIMALu_AFFINEu_INDEPENDENTu_SUBSET, axiom, ![S:(cartrealn > $o),B:(cartrealn > $o)]:(((subset @ B @ S) & ~ ((affineu_dependent @ B)) & ![BI_:(cartrealn > $o)]:(((subset @ B @ BI_) & (subset @ BI_ @ S) & ~ ((affineu_dependent @ BI_))) => (BI_ = B))) => (subset @ S @ (hull @ affine @ B)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),B:(cartrealn > $o)]:(((affine @ S) & (subset @ B @ S) & ~ ((affineu_dependent @ B)) & ![BI_:(cartrealn > $o)]:(((subset @ B @ BI_) & (subset @ BI_ @ S) & ~ ((affineu_dependent @ BI_))) => (BI_ = B))) => ((hull @ affine @ B) = S))).
