%   ORIGINAL: EXTEND_TO_AFFINE_BASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_AFFINE_HULL: !s. affine (affine hull s)
% Assm: AFFINE_INDEPENDENT_CARD_LE: !s. ~affine_dependent s ==> CARD s <= dimindex (:N) + 1
% Assm: AFFINE_INDEPENDENT_IMP_FINITE: !s. ~affine_dependent s ==> FINITE s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_SUBSET_LE: !a b. FINITE b /\ a SUBSET b /\ CARD b <= CARD a ==> a = b
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: HULL_P: !P s. P s ==> P hull s = s
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: MAXIMAL_AFFINE_INDEPENDENT_SUBSET: !s b. b SUBSET s /\ ~affine_dependent b /\ (!b'. b SUBSET b' /\ b' SUBSET s /\ ~affine_dependent b' ==> b' = b) ==> s SUBSET affine hull b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Assm: num_MAX: !P. (?x. P x) /\ (?M. !x. P x ==> x <= M) <=> (?m. P m /\ (!x. P x ==> x <= m))
% Goal: !s u. ~affine_dependent s /\ s SUBSET u ==> (?t. ~affine_dependent t /\ s SUBSET t /\ t SUBSET u /\ affine hull t = affine hull u)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. affine (affine hull s)
% Assm: !s. ~affine_dependent s ==> CARD s <= dimindex (:N) + 1
% Assm: !s. ~affine_dependent s ==> FINITE s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. FINITE b /\ a SUBSET b /\ CARD b <= CARD a ==> a = b
% Assm: !t. (\x. t x) = t
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !P s. P s ==> P hull s = s
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: !s b. b SUBSET s /\ ~affine_dependent b /\ (!b'. b SUBSET b' /\ b' SUBSET s /\ ~affine_dependent b' ==> b' = b) ==> s SUBSET affine hull b
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s. s SUBSET s
% Assm: T
% Assm: !P. (?x. P x) /\ (?M. !x. P x ==> x <= M) <=> (?m. P m /\ (!x. P x ==> x <= m))
% Goal: !s u. ~affine_dependent s /\ s SUBSET u ==> (?t. ~affine_dependent t /\ s SUBSET t /\ t SUBSET u /\ affine hull t = affine hull u)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(affine @ (hull @ affine @ S))).
thf(aAFFINEu_INDEPENDENTu_CARDu_LE, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => (l_a_ @ (card @ S) @ (p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0)))))).
thf(aAFFINEu_INDEPENDENTu_IMPu_FINITE, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => (finite @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_SUBSETu_LE, axiom, ![A:(cartrealn > $o),B:(cartrealn > $o)]:(((finite @ B) & (subset @ A @ B) & (l_a_ @ (card @ B) @ (card @ A))) => (A = B))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aHULLu_MINIMAL, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aHULLu_MONO, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aHULLu_P, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:((P @ S) => ((hull @ P @ S) = S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aMAXIMALu_AFFINEu_INDEPENDENTu_SUBSET, axiom, ![S:(cartrealn > $o),B:(cartrealn > $o)]:(((subset @ B @ S) & ~ ((affineu_dependent @ B)) & ![BI_:(cartrealn > $o)]:(((subset @ B @ BI_) & (subset @ BI_ @ S) & ~ ((affineu_dependent @ BI_))) => (BI_ = B))) => (subset @ S @ (hull @ affine @ B)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_REFL, axiom, ![S:(cartrealn > $o)]:(subset @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(anumu_MAX, axiom, ![P:(num > $o)]:((?[X:num]:(P @ X) & ?[M:num]:![X:num]:((P @ X) => (l_a_ @ X @ M))) <=> ?[M:num]:((P @ M) & ![X:num]:((P @ X) => (l_a_ @ X @ M))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),U:(cartrealn > $o)]:((~ ((affineu_dependent @ S)) & (subset @ S @ U)) => ?[T:(cartrealn > $o)]:(~ ((affineu_dependent @ T)) & (subset @ S @ T) & (subset @ T @ U) & ((hull @ affine @ T) = (hull @ affine @ U))))).
