%   ORIGINAL: AFFINE_BASIS_EXISTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_INDEPENDENT_EMPTY: ~affine_dependent {}
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: EXTEND_TO_AFFINE_BASIS: !s u. ~affine_dependent s /\ s SUBSET u ==> (?t. ~affine_dependent t /\ s SUBSET t /\ t SUBSET u /\ affine hull t = affine hull u)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. ?b. ~affine_dependent b /\ b SUBSET s /\ affine hull b = affine hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~affine_dependent {}
% Assm: !s. {} SUBSET s
% Assm: !s u. ~affine_dependent s /\ s SUBSET u ==> (?t. ~affine_dependent t /\ s SUBSET t /\ t SUBSET u /\ affine hull t = affine hull u)
% Assm: ~F <=> T
% Assm: T
% Goal: !s. ?b. ~affine_dependent b /\ b SUBSET s /\ affine hull b = affine hull s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_INDEPENDENTu_EMPTY, axiom, ~ ((affineu_dependent @ empty))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aEXTENDu_TOu_AFFINEu_BASIS, axiom, ![S:(cartrealn > $o),U:(cartrealn > $o)]:((~ ((affineu_dependent @ S)) & (subset @ S @ U)) => ?[T:(cartrealn > $o)]:(~ ((affineu_dependent @ T)) & (subset @ S @ T) & (subset @ T @ U) & ((hull @ affine @ T) = (hull @ affine @ U))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:?[B:(cartrealn > $o)]:(~ ((affineu_dependent @ B)) & (subset @ B @ S) & ((hull @ affine @ B) = (hull @ affine @ S)))).
