%   ORIGINAL: AFF_DIM_DIM_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_AFFINE_HULL: !s. affine (affine hull s)
% Assm: AFFINE_HULL_EQ_SPAN: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: AFF_DIM_AFFINE_HULL: !s. aff_dim (affine hull s) = aff_dim s
% Assm: AFF_DIM_DIM_AFFINE_DIFFS: !a s. affine s /\ a IN s ==> aff_dim s = &(dim {x - a | x IN s})
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Goal: !s. vec 0 IN affine hull s ==> aff_dim s = &(dim s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. affine (affine hull s)
% Assm: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: !s. aff_dim (affine hull s) = aff_dim s
% Assm: !a s. affine s /\ a IN s ==> aff_dim s = &(dim {x - a | x IN s})
% Assm: !s. dim (span s) = dim s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Assm: !x. x - vec 0 = x
% Goal: !s. vec 0 IN affine hull s ==> aff_dim s = &(dim s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(affine @ (hull @ affine @ S))).
thf(aAFFINEu_HULLu_EQu_SPAN, axiom, ![S:(cartrealn > $o)]:((in @ (vec @ (numeral @ u_0)) @ (hull @ affine @ S)) => ((hull @ affine @ S) = (span @ S)))).
thf(aAFFu_DIMu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:((affu_dim @ (hull @ affine @ S)) = (affu_dim @ S))).
thf(aAFFu_DIMu_DIMu_AFFINEu_DIFFS, axiom, ![A:cartrealn,S:(cartrealn > $o)]:(((affine @ S) & (in @ A @ S)) => ((affu_dim @ S) = (intu_ofu_num @ (dim @ (gspec @ ^[GENR_PVARR_894:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_894 @ (in @ X @ S) @ (vectoru_sub @ X @ A)))))))).
thf(aDIMu_SPAN, axiom, ![S:(cartrealn > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealn]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((in @ (vec @ (numeral @ u_0)) @ (hull @ affine @ S)) => ((affu_dim @ S) = (intu_ofu_num @ (dim @ S))))).
