%   ORIGINAL: AFF_DIM_DIM_SUBSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFF_DIM_DIM_0: !s. vec 0 IN affine hull s ==> aff_dim s = &(dim s)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSPACE_0: subspace s ==> vec 0 IN s
% Assm: TRUTH: T
% Goal: !s. subspace s ==> aff_dim s = &(dim s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. vec 0 IN affine hull s ==> aff_dim s = &(dim s)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: ~F <=> T
% Assm: !s. subspace s ==> vec 0 IN s
% Assm: T
% Goal: !s. subspace s ==> aff_dim s = &(dim s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tq95026, type, q95026 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (q95026 > (q95026 > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(chull0, type, hull0 : (((q95026 > $o) > $o) > (q95026 > $o) > q95026 > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFu_DIMu_DIMu_0, axiom, ![S:(cartrealn > $o)]:((in @ (vec @ (numeral @ u_0)) @ (hull @ affine @ S)) => ((affu_dim @ S) = (intu_ofu_num @ (dim @ S))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHULLu_INC, axiom, ![P:((q95026 > $o) > $o),S:(q95026 > $o),X:q95026]:((in0 @ X @ S) => (in0 @ X @ (hull0 @ P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSPACEu_0, axiom, ![S:(cartrealn > $o)]:((subspace @ S) => (in @ (vec @ (numeral @ u_0)) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((subspace @ S) => ((affu_dim @ S) = (intu_ofu_num @ (dim @ S))))).
