%   ORIGINAL: AFF_DIM_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFF_DIM_AFFINE_HULL: !s. aff_dim (affine hull s) = aff_dim s
% Assm: AFF_DIM_AFFINE_INDEPENDENT: !b. ~affine_dependent b ==> aff_dim b = &(CARD b) - &1
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s b. affine hull b = affine hull s /\ ~affine_dependent b ==> aff_dim s = &(CARD b) - &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. aff_dim (affine hull s) = aff_dim s
% Assm: !b. ~affine_dependent b ==> aff_dim b = &(CARD b) - &1
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s b. affine hull b = affine hull s /\ ~affine_dependent b ==> aff_dim s = &(CARD b) - &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFu_DIMu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:((affu_dim @ (hull @ affine @ S)) = (affu_dim @ S))).
thf(aAFFu_DIMu_AFFINEu_INDEPENDENT, axiom, ![B:(cartrealn > $o)]:(~ ((affineu_dependent @ B)) => ((affu_dim @ B) = (intu_sub @ (intu_ofu_num @ (card @ B)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),B:(cartrealn > $o)]:((((hull @ affine @ B) = (hull @ affine @ S)) & ~ ((affineu_dependent @ B))) => ((affu_dim @ S) = (intu_sub @ (intu_ofu_num @ (card @ B)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
