%   ORIGINAL: AFF_DIM_SING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_INDEPENDENT_1: !a. ~affine_dependent {a}
% Assm: AFF_DIM_AFFINE_INDEPENDENT: !b. ~affine_dependent b ==> aff_dim b = &(CARD b) - &1
% Assm: ARITH_SUC_conjunct0: !n. SUC (NUMERAL n) = NUMERAL (SUC n)
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_CLAUSES_conjunct0: CARD {} = 0
% Assm: CARD_CLAUSES_conjunct1: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: INT_SUB_REFL: !x. x - x = &0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !a. aff_dim {a} = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !a. ~affine_dependent {a}
% Assm: !b. ~affine_dependent b ==> aff_dim b = &(CARD b) - &1
% Assm: !n. SUC (NUMERAL n) = NUMERAL (SUC n)
% Assm: SUC _0 = BIT1 _0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD {} = 0
% Assm: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE {}
% Assm: !x. x - x = &0
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !a. aff_dim {a} = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(ccond0, type, cond0 : ($o > int > int > int)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_INDEPENDENTu_1, axiom, ![A:cartrealn]:~ ((affineu_dependent @ (insert @ A @ empty)))).
thf(aAFFu_DIMu_AFFINEu_INDEPENDENT, axiom, ![B:(cartrealn > $o)]:(~ ((affineu_dependent @ B)) => ((affu_dim @ B) = (intu_sub @ (intu_ofu_num @ (card @ B)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aARITHu_SUCu_conjunct0, axiom, ![N:num]:((suc @ (numeral @ N)) = (numeral @ (suc @ N)))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_CLAUSESu_conjunct0, axiom, ((card @ empty) = (numeral @ u_0))).
thf(aCARDu_CLAUSESu_conjunct1, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
thf(aCONDu_CLAUSES, axiom, ![T1:int,T2:int]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aINTu_SUBu_REFL, axiom, ![X:int]:((intu_sub @ X @ X) = (intu_ofu_num @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn]:((affu_dim @ (insert @ A @ empty)) = (intu_ofu_num @ (numeral @ u_0)))).
