%   ORIGINAL: AFF_DIM_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFF_DIM: !s. ?b. affine hull b = affine hull s /\ ~affine_dependent b /\ aff_dim s = &(CARD b) - &1
% Assm: INT_ADD_LINV: !x. --x + x = &0
% Assm: INT_LE_SUB_LADD: !x y z. x <= y - z <=> x + z <= y
% Assm: INT_POS: !n. &0 <= &n
% Assm: TRUTH: T
% Goal: !s. -- &1 <= aff_dim s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. ?b. affine hull b = affine hull s /\ ~affine_dependent b /\ aff_dim s = &(CARD b) - &1
% Assm: !x. --x + x = &0
% Assm: !x y z. x <= y - z <=> x + z <= y
% Assm: !n. &0 <= &n
% Assm: T
% Goal: !s. -- &1 <= aff_dim s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFu_DIM, axiom, ![S:(cartrealn > $o)]:?[B:(cartrealn > $o)]:(((hull @ affine @ B) = (hull @ affine @ S)) & ~ ((affineu_dependent @ B)) & ((affu_dim @ S) = (intu_sub @ (intu_ofu_num @ (card @ B)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aINTu_ADDu_LINV, axiom, ![X:int]:((intu_add @ (intu_neg @ X) @ X) = (intu_ofu_num @ (numeral @ u_0)))).
thf(aINTu_LEu_SUBu_LADD, axiom, ![X:int,Y:int,Z:int]:((intu_le @ X @ (intu_sub @ Y @ Z)) <=> (intu_le @ (intu_add @ X @ Z) @ Y))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(intu_le @ (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (affu_dim @ S))).
