%   ORIGINAL: AFF_DIM_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFF_DIM_DIM_SUBSPACE: !s. subspace s ==> aff_dim s = &(dim s)
% Assm: DIM_UNIV: dim (:real^N) = dimindex (:N)
% Assm: SUBSPACE_UNIV: subspace (:real^N)
% Assm: TRUTH: T
% Goal: aff_dim (:real^N) = &(dimindex (:N))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. subspace s ==> aff_dim s = &(dim s)
% Assm: dim (:real^N) = dimindex (:N)
% Assm: subspace (:real^N)
% Assm: T
% Goal: aff_dim (:real^N) = &(dimindex (:N))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (n > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFu_DIMu_DIMu_SUBSPACE, axiom, ![S:(cartrealn > $o)]:((subspace @ S) => ((affu_dim @ S) = (intu_ofu_num @ (dim @ S))))).
thf(aDIMu_UNIV, axiom, ((dim @ univ) = (dimindex @ univ0))).
thf(aSUBSPACEu_UNIV, axiom, (subspace @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ((affu_dim @ univ) = (intu_ofu_num @ (dimindex @ univ0)))).
