%   ORIGINAL: AFF_DIM_PSUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFF_DIM_AFFINE_HULL: !s. aff_dim (affine hull s) = aff_dim s
% Assm: AFF_DIM_EQ_AFFINE_HULL: !s t. s SUBSET t /\ aff_dim t <= aff_dim s ==> affine hull s = affine hull t
% Assm: AFF_DIM_SUBSET: !s t. s SUBSET t ==> aff_dim s <= aff_dim t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_HULL: !P s. P hull (P hull s) = P hull s
% Assm: INT_EQ_IMP_LE: !x y. x = y ==> x <= y
% Assm: INT_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PSUBSET: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: TRUTH: T
% Goal: !s t. affine hull s PSUBSET affine hull t ==> aff_dim s < aff_dim t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. aff_dim (affine hull s) = aff_dim s
% Assm: !s t. s SUBSET t /\ aff_dim t <= aff_dim s ==> affine hull s = affine hull t
% Assm: !s t. s SUBSET t ==> aff_dim s <= aff_dim t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P s. P hull (P hull s) = P hull s
% Assm: !x y. x = y ==> x <= y
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: ~F <=> T
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: T
% Goal: !s t. affine hull s PSUBSET affine hull t ==> aff_dim s < aff_dim t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq268690, type, q268690 : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tcartrealq268690, type, cartrealq268690 : $tType).
%  CONSTS
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(csubset, type, subset : ((cartrealq268690 > $o) > (cartrealq268690 > $o) > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cpsubset, type, psubset : ((cartrealq268690 > $o) > (cartrealq268690 > $o) > $o)).
thf(chull, type, hull : (((cartrealq268690 > $o) > $o) > (cartrealq268690 > $o) > cartrealq268690 > $o)).
thf(caffine, type, affine : ((cartrealq268690 > $o) > $o)).
thf(caffuu_dim, type, affu_dim : ((cartrealq268690 > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFu_DIMu_AFFINEu_HULL, axiom, ![S:(cartrealq268690 > $o)]:((affu_dim @ (hull @ affine @ S)) = (affu_dim @ S))).
thf(aAFFu_DIMu_EQu_AFFINEu_HULL, axiom, ![S:(cartrealq268690 > $o),T:(cartrealq268690 > $o)]:(((subset @ S @ T) & (intu_le @ (affu_dim @ T) @ (affu_dim @ S))) => ((hull @ affine @ S) = (hull @ affine @ T)))).
thf(aAFFu_DIMu_SUBSET, axiom, ![S:(cartrealq268690 > $o),T:(cartrealq268690 > $o)]:((subset @ S @ T) => (intu_le @ (affu_dim @ S) @ (affu_dim @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHULLu_HULL, axiom, ![P:((cartrealq268690 > $o) > $o),S:(cartrealq268690 > $o)]:((hull @ P @ (hull @ P @ S)) = (hull @ P @ S))).
thf(aINTu_EQu_IMPu_LE, axiom, ![X:int,Y:int]:((X = Y) => (intu_le @ X @ Y))).
thf(aINTu_LTu_LE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> ((intu_le @ X @ Y) & ~ ((X = Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPSUBSET, axiom, ![S:(cartrealq268690 > $o),T:(cartrealq268690 > $o)]:((psubset @ S @ T) <=> ((subset @ S @ T) & ~ ((S = T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq268690 > $o),T:(cartrealq268690 > $o)]:((psubset @ (hull @ affine @ S) @ (hull @ affine @ T)) => (intu_lt @ (affu_dim @ S) @ (affu_dim @ T)))).
