%   ORIGINAL: AFF_DIM_EQ_FULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_HULL_UNIV: affine hull (:real^N) = (:real^N)
% Assm: AFF_DIM_AFFINE_HULL: !s. aff_dim (affine hull s) = aff_dim s
% Assm: AFF_DIM_EQ_AFFINE_HULL: !s t. s SUBSET t /\ aff_dim t <= aff_dim s ==> affine hull s = affine hull t
% Assm: AFF_DIM_UNIV: aff_dim (:real^N) = &(dimindex (:N))
% Assm: INT_LE_REFL: !x. x <= x
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !s. aff_dim s = &(dimindex (:N)) <=> affine hull s = (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: affine hull (:real^N) = (:real^N)
% Assm: !s. aff_dim (affine hull s) = aff_dim s
% Assm: !s t. s SUBSET t /\ aff_dim t <= aff_dim s ==> affine hull s = affine hull t
% Assm: aff_dim (:real^N) = &(dimindex (:N))
% Assm: !x. x <= x
% Assm: !s. s SUBSET (:real^N)
% Assm: !s. s SUBSET (:N)
% Assm: T
% Goal: !s. aff_dim s = &(dimindex (:N)) <=> affine hull s = (:real^N)
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset0, type, subset0 : ((n > $o) > (n > $o) > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_HULLu_UNIV, axiom, ((hull @ affine @ univ0) = univ0)).
thf(aAFFu_DIMu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:((affu_dim @ (hull @ affine @ S)) = (affu_dim @ S))).
thf(aAFFu_DIMu_EQu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (intu_le @ (affu_dim @ T) @ (affu_dim @ S))) => ((hull @ affine @ S) = (hull @ affine @ T)))).
thf(aAFFu_DIMu_UNIV, axiom, ((affu_dim @ univ0) = (intu_ofu_num @ (dimindex @ univ)))).
thf(aINTu_LEu_REFL, axiom, ![X:int]:(intu_le @ X @ X)).
thf(aSUBSETu_UNIVu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(subset @ S @ univ0)).
thf(aSUBSETu_UNIVu_monomorphized0, axiom, ![S:(n > $o)]:(subset0 @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((affu_dim @ S) = (intu_ofu_num @ (dimindex @ univ))) <=> ((hull @ affine @ S) = univ0))).
