%   ORIGINAL: CONVEX_AND_AFFINE_INTER_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_CONVEX_INTER_OPEN: !s t. convex s /\ open t /\ ~(s INTER t = {}) ==> affine hull (s INTER t) = affine hull s
% Assm: AFFINE_HULL_EQ: !s. affine hull s = s <=> affine s
% Assm: AFFINE_IMP_CONVEX: !s. affine s ==> convex s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !s t u. convex s /\ affine t /\ open u /\ s INTER u = t INTER u /\ ~(s INTER u = {}) ==> affine hull s = t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s t. convex s /\ open t /\ ~(s INTER t = {}) ==> affine hull (s INTER t) = affine hull s
% Assm: !s. affine hull s = s <=> affine s
% Assm: !s. affine s ==> convex s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !s t u. convex s /\ affine t /\ open u /\ s INTER u = t INTER u /\ ~(s INTER u = {}) ==> affine hull s = t
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_CONVEXu_INTERu_OPEN, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (open @ T) & ~ (((inter @ S @ T) = empty))) => ((hull @ affine @ (inter @ S @ T)) = (hull @ affine @ S)))).
thf(aAFFINEu_HULLu_EQ, axiom, ![S:(cartrealn > $o)]:(((hull @ affine @ S) = S) <=> (affine @ S))).
thf(aAFFINEu_IMPu_CONVEX, axiom, ![S:(cartrealn > $o)]:((affine @ S) => (convex @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((convex @ S) & (affine @ T) & (open @ U) & ((inter @ S @ U) = (inter @ T @ U)) & ~ (((inter @ S @ U) = empty))) => ((hull @ affine @ S) = T))).
