%   ORIGINAL: AFFINE_HULL_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_HULL_CONVEX_INTER_OPEN: !s t. convex s /\ open t /\ ~(s INTER t = {}) ==> affine hull (s INTER t) = affine hull s
% Assm: AFFINE_HULL_UNIV: affine hull (:real^N) = (:real^N)
% Assm: CONVEX_UNIV: convex (:real^N)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. open s /\ ~(s = {}) ==> affine hull s = (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. convex s /\ open t /\ ~(s INTER t = {}) ==> affine hull (s INTER t) = affine hull s
% Assm: affine hull (:real^N) = (:real^N)
% Assm: convex (:real^N)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. x IN (:real^N)
% Assm: ~F <=> T
% Assm: T
% Goal: !s. open s /\ ~(s = {}) ==> affine hull s = (:real^N)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_HULLu_CONVEXu_INTERu_OPEN, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (open @ T) & ~ (((inter @ S @ T) = empty))) => ((hull @ affine @ (inter @ S @ T)) = (hull @ affine @ S)))).
thf(aAFFINEu_HULLu_UNIV, axiom, ((hull @ affine @ univ) = univ)).
thf(aCONVEXu_UNIV, axiom, (convex @ univ)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((open @ S) & ~ ((S = empty))) => ((hull @ affine @ S) = univ))).
