%   ORIGINAL: CONVEX_HULL_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_DEPENDENT_MONO: !s t. affine_dependent s /\ s SUBSET t ==> affine_dependent t
% Assm: AFFINE_INDEPENDENT_IMP_FINITE: !s. ~affine_dependent s ==> FINITE s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_HULL_INTER: !s t. ~affine_dependent (s UNION t) ==> convex hull s INTER convex hull t = convex hull (s INTER t)
% Assm: CONVEX_HULL_UNIV: convex hull (:real^N) = (:real^N)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FINITE_UNIONS: !s. FINITE (UNIONS s) <=> FINITE s /\ (!t. t IN s ==> FINITE t)
% Assm: FORALL_IN_INSERT: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: INTERS_1: INTERS {s} = s
% Assm: INTERS_INSERT: INTERS (s INSERT u) = s INTER INTERS u
% Assm: INTER_UNIV_conjunct1: !s. s INTER (:A) = s
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !s. ~affine_dependent (UNIONS s) ==> convex hull INTERS s = INTERS {convex hull t | t IN s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s t. affine_dependent s /\ s SUBSET t ==> affine_dependent t
% Assm: !s. ~affine_dependent s ==> FINITE s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. ~affine_dependent (s UNION t) ==> convex hull s INTER convex hull t = convex hull (s INTER t)
% Assm: convex hull (:real^N) = (:real^N)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !s. FINITE (UNIONS s) <=> FINITE s /\ (!t. t IN s ==> FINITE t)
% Assm: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: !P x. x IN P <=> P x
% Assm: INTERS {} = (:real^N)
% Assm: !s. INTERS {s} = s
% Assm: !s u. INTERS (s INSERT u) = s INTER INTERS u
% Assm: !s. s INTER (:real^N) = s
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x y. x IN {y} <=> x = y
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !s. ~affine_dependent (UNIONS s) ==> convex hull INTERS s = INTERS {convex hull t | t IN s}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cunions0, type, unions0 : ((((cartrealn > $o) > $o) > $o) > (cartrealn > $o) > $o)).
thf(cin1, type, in1 : (((cartrealn > $o) > $o) > (((cartrealn > $o) > $o) > $o) > $o)).
thf(cinters0, type, inters0 : ((((cartrealn > $o) > $o) > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cunion0, type, union0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : ((cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cfinite0, type, finite0 : (((cartrealn > $o) > $o) > $o)).
thf(cempty, type, empty : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_DEPENDENTu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((affineu_dependent @ S) & (subset @ S @ T)) => (affineu_dependent @ T))).
thf(aAFFINEu_INDEPENDENTu_IMPu_FINITE, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => (finite @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_HULLu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(~ ((affineu_dependent @ (union @ S @ T))) => ((inter @ (hull @ convex @ S) @ (hull @ convex @ T)) = (hull @ convex @ (inter @ S @ T))))).
thf(aCONVEXu_HULLu_UNIV, axiom, ((hull @ convex @ univ) = univ)).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealn > $o) > $o) > $o)]:(((P @ empty) & ![X:(cartrealn > $o),S:((cartrealn > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite0 @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealn > $o) > $o)]:((finite0 @ S) => (P @ S)))).
thf(aFINITEu_UNIONS, axiom, ![S:((cartrealn > $o) > $o)]:((finite @ (unions @ S)) <=> ((finite0 @ S) & ![T:(cartrealn > $o)]:((in @ T @ S) => (finite @ T))))).
thf(aFORALLu_INu_INSERT, axiom, ![P:((cartrealn > $o) > $o),A:(cartrealn > $o),S:((cartrealn > $o) > $o)]:(![X:(cartrealn > $o)]:((in @ X @ (insert @ A @ S)) => (P @ X)) <=> ((P @ A) & ![X:(cartrealn > $o)]:((in @ X @ S) => (P @ X))))).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINTERSu_0, axiom, ((inters @ empty) = univ)).
thf(aINTERSu_1, axiom, ![S:(cartrealn > $o)]:((inters @ (insert @ S @ empty)) = S)).
thf(aINTERSu_INSERT, axiom, ![S:(cartrealn > $o),U:((cartrealn > $o) > $o)]:((inters @ (insert @ S @ U)) = (inter @ S @ (inters @ U)))).
thf(aINTERu_UNIVu_conjunct1, axiom, ![S:(cartrealn > $o)]:((inter @ S @ univ) = S)).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealn > $o) > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn > $o)]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:(cartrealn > $o),Y:(cartrealn > $o),S:((cartrealn > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTERS, axiom, ![S:(((cartrealn > $o) > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (inters0 @ S)) <=> ![T:((cartrealn > $o) > $o)]:((in1 @ T @ S) => (in @ X @ T)))).
thf(aINu_SING, axiom, ![X:(cartrealn > $o),Y:(cartrealn > $o)]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aINu_UNION, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIONS, axiom, ![S:(((cartrealn > $o) > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (unions0 @ S)) <=> ?[T:((cartrealn > $o) > $o)]:((in1 @ T @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealn > $o)]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((subset0 @ S @ T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty) = empty0)).
thf(aUNIONSu_INSERT, axiom, ![S:(cartrealn > $o),U:((cartrealn > $o) > $o)]:((unions @ (insert @ S @ U)) = (union @ S @ (unions @ U)))).
thf(conjecture, conjecture, ![S:((cartrealn > $o) > $o)]:(~ ((affineu_dependent @ (unions @ S))) => ((hull @ convex @ (inters @ S)) = (inters @ (gspec @ ^[GENR_PVARR_920:(cartrealn > $o)]:?[T:(cartrealn > $o)]:(setspec @ GENR_PVARR_920 @ (in @ T @ S) @ (hull @ convex @ T))))))).
