%   ORIGINAL: IN_CONVEX_HULL_EXCHANGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARATHEODORY: !p. convex hull p = {x | ?s. FINITE s /\ s SUBSET p /\ CARD s <= dimindex (:N) + 1 /\ x IN convex hull s}
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: COND_ID: !b t. (if b then t else t) = t
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: COND_RATOR: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: CONVEX_HULL_EMPTY: convex hull {} = {}
% Assm: CONVEX_HULL_FINITE: !s. convex hull s = {y | ?u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y}
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_DELETE: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FORALL_IN_INSERT: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_DELETE: !x s. x IN s ==> x INSERT (s DELETE x) = s
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_DIV_RMUL: !x y. ~(y = &0) ==> x / y * y = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_DIV: !x y. &0 <= x /\ &0 <= y ==> &0 <= x / y
% Assm: REAL_LE_INV2: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: REAL_LE_LDIV_EQ: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RDIV_EQ: !x y z. &0 < z ==> (x <= y / z <=> x * z <= y)
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_DIV: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_POS_NZ: !x. &0 < x ==> ~(x = &0)
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: REAL_SUB_RZERO: !x. x - &0 = x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_0: !s. sum s (\n. &0) = &0
% Assm: SUM_CASES: !s P f g. FINITE s ==> sum s (\x. if P x then f x else g x) = sum {x | x IN s /\ P x} f + sum {x | x IN s /\ ~P x} g
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: SUM_DELETE: !f s a. FINITE s /\ a IN s ==> sum (s DELETE a) f = sum s f - f a
% Assm: SUM_EQ_0: !f s. (!x. x IN s ==> f x = &0) ==> sum s f = &0
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: SUM_SUB: !f g s. FINITE s ==> sum s (\x. f x - g x) = sum s f - sum s g
% Assm: SUP_FINITE: !s. FINITE s /\ ~(s = {}) ==> sup s IN s /\ (!x. x IN s ==> x <= sup s)
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: VECTOR_ADD_LID: !x. vec 0 + x = x
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Assm: VECTOR_SUB_RDISTRIB: (a - b) % x = a % x - b % x
% Assm: VSUM_0: vsum s (\x. vec 0) = vec 0
% Assm: VSUM_CASES: !s P f g. FINITE s ==> vsum s (\x. if P x then f x else g x) = vsum {x | x IN s /\ P x} f + vsum {x | x IN s /\ ~P x} g
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Assm: VSUM_DELETE: !f s a. FINITE s /\ a IN s ==> vsum (s DELETE a) f = vsum s f - f a
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: VSUM_LMUL: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: VSUM_SUB: !f g s. FINITE s ==> vsum s (\x. f x - g x) = vsum s f - vsum s g
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: vec: !n. vec n = (lambda i. &n)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !s a x. a IN convex hull s /\ x IN convex hull s ==> (?b. b IN s /\ x IN convex hull (a INSERT (s DELETE b)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: BIT0 _0 = _0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p. convex hull p = {x | ?s. FINITE s /\ s SUBSET p /\ CARD s <= dimindex (:N) + 1 /\ x IN convex hull s}
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !b t. (if b then t else t) = t
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: convex hull {} = {}
% Assm: !s. convex hull s = {y | ?u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y}
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: !P x. x IN P <=> P x
% Assm: !x s. x IN s ==> x INSERT (s DELETE x) = s
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m. m * 0 = 0
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. ~(y = &0) ==> x / y * y = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x / y) = y / x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x / y
% Assm: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y z. &0 < z ==> (x <= y / z <=> x * z <= y)
% Assm: !x. x <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x. &0 < x ==> ~(x = &0)
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x. x - &0 = x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. sum s (\n. &0) = &0
% Assm: !s P f g. FINITE s ==> sum s (\x. if P x then f x else g x) = sum {x | x IN s /\ P x} f + sum {x | x IN s /\ ~P x} g
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: !f s a. FINITE s /\ a IN s ==> sum (s DELETE a) f = sum s f - f a
% Assm: !f s. (!x. x IN s ==> f x = &0) ==> sum s f = &0
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: !f g s. FINITE s ==> sum s (\x. f x - g x) = sum s f - sum s g
% Assm: !s. FINITE s /\ ~(s = {}) ==> sup s IN s /\ (!x. x IN s ==> x <= sup s)
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x. vec 0 + x = x
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &0 % x = vec 0
% Assm: !a b x. (a - b) % x = a % x - b % x
% Assm: !s. vsum s (\x. vec 0) = vec 0
% Assm: !s P f g. FINITE s ==> vsum s (\x. if P x then f x else g x) = vsum {x | x IN s /\ P x} f + vsum {x | x IN s /\ ~P x} g
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Assm: !f s a. FINITE s /\ a IN s ==> vsum (s DELETE a) f = vsum s f - f a
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: !f g s. FINITE s ==> vsum s (\x. f x - g x) = vsum s f - vsum s g
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n. vec n = (lambda i. &n)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !s a x. a IN convex hull s /\ x IN convex hull s ==> (?b. b IN s /\ x IN convex hull (a INSERT (s DELETE b)))
%  TYPES
thf(tq103614, type, q103614 : $tType).
thf(tcartrealq97472, type, cartrealq97472 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq103742, type, cartrealq103742 : $tType).
thf(tq47530, type, q47530 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq103212, type, cartrealq103212 : $tType).
thf(tq97472, type, q97472 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq97326, type, cartrealq97326 : $tType).
thf(tq103053, type, q103053 : $tType).
thf(tq97156, type, q97156 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq103179, type, cartrealq103179 : $tType).
thf(tq103175, type, q103175 : $tType).
thf(tq103055, type, q103055 : $tType).
thf(tcartrealq97156, type, cartrealq97156 : $tType).
thf(tq47526, type, q47526 : $tType).
thf(tcartrealq103614, type, cartrealq103614 : $tType).
thf(tq97357, type, q97357 : $tType).
thf(tq70770, type, q70770 : $tType).
thf(tq103321, type, q103321 : $tType).
thf(tq103101, type, q103101 : $tType).
thf(tq103212, type, q103212 : $tType).
thf(tq103179, type, q103179 : $tType).
thf(tcartrealq97357, type, cartrealq97357 : $tType).
thf(tq97326, type, q97326 : $tType).
thf(tcartab, type, cartab : $tType).
thf(tq103334, type, q103334 : $tType).
thf(tcartrealq103055, type, cartrealq103055 : $tType).
thf(tq103742, type, q103742 : $tType).
thf(tcartrealq103101, type, cartrealq103101 : $tType).
thf(tq70214, type, q70214 : $tType).
thf(tq103205, type, q103205 : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq103334, type, cartrealq103334 : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cvec0, type, vec0 : (num > cartrealq97357)).
thf(cempty1, type, empty1 : (q47530 > $o)).
thf(cempty4, type, empty4 : (q103053 > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(csum2, type, sum2 : ((q70770 > $o) > (q70770 > real) > real)).
thf(csum1, type, sum1 : ((q70214 > $o) > (q70214 > real) > real)).
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(clambda0, type, lambda0 : ((num > a) > cartab)).
thf(cvectoruu_sub2, type, vectoru_sub2 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub1, type, vectoru_sub1 : (cartrealq103334 > cartrealq103334 > cartrealq103334)).
thf(cvsum6, type, vsum6 : ((q103321 > $o) > (q103321 > cartrealq103334) > cartrealq103334)).
thf(cru_3, type, r_3 : (real > cartrealq103212 > cartrealq103212)).
thf(cvsum5, type, vsum5 : ((q103205 > $o) > (q103205 > cartrealq103212) > cartrealq103212)).
thf(cvsum4, type, vsum4 : ((cartrealn > $o) > (cartrealn > cartrealq103742) > cartrealq103742)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq103614 > cartrealq103614 > cartrealq103614)).
thf(cvsum3, type, vsum3 : ((cartrealn > $o) > (cartrealn > cartrealq103614) > cartrealq103614)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealq103101 > cartrealq103101 > cartrealq103101)).
thf(ccond4, type, cond4 : ($o > cartrealq103101 > cartrealq103101 > cartrealq103101)).
thf(cvsum2, type, vsum2 : ((cartrealn > $o) > (cartrealn > cartrealq103101) > cartrealq103101)).
thf(cvsum1, type, vsum1 : ((q103053 > $o) > (q103053 > cartrealq103055) > cartrealq103055)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(ccond3, type, cond3 : ($o > cartrealn > cartrealn > cartrealn)).
thf(cvsum0, type, vsum0 : ((q103175 > $o) > (q103175 > cartrealq103179) > cartrealq103179)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq97472 > cartrealq97472 > cartrealq97472)).
thf(cru_2, type, r_2 : (real > cartrealq97472 > cartrealq97472)).
thf(cru_1, type, r_1 : (real > cartrealq97357 > cartrealq97357)).
thf(cru_0, type, r_0 : (real > cartrealq97326 > cartrealq97326)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq97156 > cartrealq97156 > cartrealq97156)).
thf(ccond2, type, cond2 : ($o > real > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage1, type, image1 : ((q47530 > q47526) > (q47530 > $o) > q47526 > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond1, type, cond1 : ($o > (a > b) > (a > b) > a > b)).
thf(ccond0, type, cond0 : ($o > b > b > b)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite4, type, finite4 : ((q103321 > $o) > $o)).
thf(cfinite3, type, finite3 : ((real > $o) > $o)).
thf(cfinite2, type, finite2 : ((q70770 > $o) > $o)).
thf(cfinite1, type, finite1 : ((b > $o) > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cvec3, type, vec3 : (num > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cempty2, type, empty2 : (q70214 > $o)).
thf(cvec2, type, vec2 : (num > cartrealq103055)).
thf(cvec, type, vec : (num > cartrealq97156)).
thf(cvec1, type, vec1 : (num > cartrealq103179)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (q47526 > $o)).
thf(cempty3, type, empty3 : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARATHEODORY, axiom, ![P:(cartrealn > $o)]:((hull @ convex @ P) = (gspec @ ^[GENR_PVARR_908:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_908 @ ?[S:(cartrealn > $o)]:((finite @ S) & (subset @ S @ P) & (l_a_ @ (card @ S) @ (p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0)))) & (in @ X @ (hull @ convex @ S))) @ X)))).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONDu_ID, axiom, ![B:$o,T:a]:((cond @ B @ T @ T) = T)).
thf(aCONDu_RAND, axiom, ![B:$o,F:(a > b),X:a,Y:a]:((F @ (cond @ B @ X @ Y)) = (cond0 @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RATOR, axiom, ![B:$o,F:(a > b),G:(a > b),X:a]:((cond1 @ B @ F @ G @ X) = (cond0 @ B @ (F @ X) @ (G @ X)))).
thf(aCONVEXu_HULLu_EMPTY, axiom, ((hull @ convex @ empty) = empty)).
thf(aCONVEXu_HULLu_FINITE, axiom, ![S:(cartrealn > $o)]:((hull @ convex @ S) = (gspec @ ^[GENR_PVARR_862:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_862 @ ?[U:(cartrealn > real)]:(![X:cartrealn]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) = Y)) @ Y)))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn]:((finite @ (delete @ S @ X)) <=> (finite @ S))).
thf(aFINITEu_IMAGE, axiom, ![F:(a > b),S:(a > $o)]:((finite0 @ S) => (finite1 @ (image @ F @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_INu_INSERT, axiom, ![P:(cartrealn > $o),A:cartrealn,S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ (insert @ A @ S)) => (P @ X)) <=> ((P @ A) & ![X:cartrealn]:((in @ X @ S) => (P @ X))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHULLu_MONO, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(q47530 > q47526),S:(q47530 > $o)]:(((image1 @ F @ S) = empty0) <=> (S = empty1))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINSERTu_DELETE, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((in @ X @ S) => ((insert @ X @ (delete @ S @ X)) = S))).
thf(aINu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_DIVu_RMUL, axiom, ![X:real,Y:real]:(~ ((Y = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_div @ X @ Y) @ Y) = X))).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_DIV, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_LEu_INV2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (realu_inv @ Y) @ (realu_inv @ X)))).
thf(aREALu_LEu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_div @ X @ Z) @ Y) <=> (realu_le @ X @ (realu_mul @ Y @ Z))))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ X @ (realu_div @ Y @ Z)) <=> (realu_le @ (realu_mul @ X @ Z) @ Y)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_DIV, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_POSu_NZ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ~ ((X = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_SUBu_RZERO, axiom, ![X:real]:((realu_sub @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUMu_0, axiom, ![S:(a > $o)]:((sum0 @ S @ ^[N:a]:(realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CASES, axiom, ![S:(cartrealn > $o),P:(cartrealn > $o),F:(cartrealn > real),G:(cartrealn > real)]:((finite @ S) => ((sum @ S @ ^[X:cartrealn]:(cond2 @ (P @ X) @ (F @ X) @ (G @ X))) = (realu_add @ (sum @ (gspec @ ^[GENR_PVARR_190:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_190 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) @ (sum @ (gspec @ ^[GENR_PVARR_191:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_191 @ ((in @ X @ S) & ~ ((P @ X))) @ X)) @ G))))).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(q70214 > real)]:((sum1 @ empty2 @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:cartrealn,F:(cartrealn > real),S:(cartrealn > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond2 @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aSUMu_DELETE, axiom, ![F:(cartrealn > real),S:(cartrealn > $o),A:cartrealn]:(((finite @ S) & (in @ A @ S)) => ((sum @ (delete @ S @ A) @ F) = (realu_sub @ (sum @ S @ F) @ (F @ A))))).
thf(aSUMu_EQu_0, axiom, ![F:(cartrealn > real),S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0)))) => ((sum @ S @ F) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum0 @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum0 @ S @ F)))).
thf(aSUMu_SUB, axiom, ![F:(q70770 > real),G:(q70770 > real),S:(q70770 > $o)]:((finite2 @ S) => ((sum2 @ S @ ^[X:q70770]:(realu_sub @ (F @ X) @ (G @ X))) = (realu_sub @ (sum2 @ S @ F) @ (sum2 @ S @ G))))).
thf(aSUPu_FINITE, axiom, ![S:(real > $o)]:(((finite3 @ S) & ~ ((S = empty3))) => ((in1 @ (sup @ S) @ S) & ![X:real]:((in1 @ X @ S) => (realu_le @ X @ (sup @ S)))))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aVECTORu_ADDu_LID, axiom, ![X:cartrealq97156]:((vectoru_add @ (vec @ (numeral @ u_0)) @ X) = X)).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealq97326]:((r_0 @ A @ (r_0 @ B @ X)) = (r_0 @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealq97357]:((r_1 @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec0 @ (numeral @ u_0)))).
thf(aVECTORu_SUBu_RDISTRIB, axiom, ![A:real,B:real,X:cartrealq97472]:((r_2 @ (realu_sub @ A @ B) @ X) = (vectoru_sub @ (r_2 @ A @ X) @ (r_2 @ B @ X)))).
thf(aVSUMu_0, axiom, ![S:(q103175 > $o)]:((vsum0 @ S @ ^[X:q103175]:(vec1 @ (numeral @ u_0))) = (vec1 @ (numeral @ u_0)))).
thf(aVSUMu_CASES, axiom, ![S:(cartrealn > $o),P:(cartrealn > $o),F:(cartrealn > cartrealn),G:(cartrealn > cartrealn)]:((finite @ S) => ((vsum @ S @ ^[X:cartrealn]:(cond3 @ (P @ X) @ (F @ X) @ (G @ X))) = (vectoru_add0 @ (vsum @ (gspec @ ^[GENR_PVARR_253:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_253 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) @ (vsum @ (gspec @ ^[GENR_PVARR_254:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_254 @ ((in @ X @ S) & ~ ((P @ X))) @ X)) @ G))))).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q103053 > cartrealq103055)]:((vsum1 @ empty4 @ F) = (vec2 @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:cartrealn,F:(cartrealn > cartrealq103101),S:(cartrealn > $o)]:((finite @ S) => ((vsum2 @ (insert @ X @ S) @ F) = (cond4 @ (in @ X @ S) @ (vsum2 @ S @ F) @ (vectoru_add1 @ (F @ X) @ (vsum2 @ S @ F)))))).
thf(aVSUMu_DELETE, axiom, ![F:(cartrealn > cartrealq103614),S:(cartrealn > $o),A:cartrealn]:(((finite @ S) & (in @ A @ S)) => ((vsum3 @ (delete @ S @ A) @ F) = (vectoru_sub0 @ (vsum3 @ S @ F) @ (F @ A))))).
thf(aVSUMu_EQ, axiom, ![F:(cartrealn > cartrealq103742),G:(cartrealn > cartrealq103742),S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((vsum4 @ S @ F) = (vsum4 @ S @ G)))).
thf(aVSUMu_LMUL, axiom, ![F:(q103205 > cartrealq103212),C:real,S:(q103205 > $o)]:((vsum5 @ S @ ^[X:q103205]:(r_3 @ C @ (F @ X))) = (r_3 @ C @ (vsum5 @ S @ F)))).
thf(aVSUMu_SUB, axiom, ![F:(q103321 > cartrealq103334),G:(q103321 > cartrealq103334),S:(q103321 > $o)]:((finite4 @ S) => ((vsum6 @ S @ ^[X:q103321]:(vectoru_sub1 @ (F @ X) @ (G @ X))) = (vectoru_sub1 @ (vsum6 @ S @ F) @ (vsum6 @ S @ G))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(avec, axiom, ![N:num]:((vec3 @ N) = (lambda1 @ ^[I:num]:(realu_ofu_num @ N)))).
thf(avectoru_add, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add0 @ X @ Y) = (lambda1 @ ^[I:num]:(realu_add @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_ @ C @ X) = (lambda1 @ ^[I:num]:(realu_mul @ C @ (d_0 @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub2 @ X @ Y) = (lambda1 @ ^[I:num]:(realu_sub @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,X:cartrealn]:(((in @ A @ (hull @ convex @ S)) & (in @ X @ (hull @ convex @ S))) => ?[B:cartrealn]:((in @ B @ S) & (in @ X @ (hull @ convex @ (insert @ A @ (delete @ S @ B))))))).
