%   ORIGINAL: CONVEX_HULL_EXCHANGE_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_GSPEC_conjunct0: !P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: FORALL_IN_UNIONS: !P s. (!x. x IN UNIONS s ==> P x) <=> (!t x. t IN s /\ x IN t ==> P x)
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: IN_CONVEX_HULL_EXCHANGE: !s a x. a IN convex hull s /\ x IN convex hull s ==> (?b. b IN s /\ x IN convex hull (a INSERT (s DELETE b)))
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_HULL: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: TRUTH: T
% Assm: UNIONS_IMAGE: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
% Goal: !s a. a IN convex hull s ==> convex hull s = UNIONS {convex hull (a INSERT (s DELETE b)) | b | b IN s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex (convex hull s)
% Assm: !t. (\x. t x) = t
% Assm: !Q P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: !P s. (!x. x IN UNIONS s ==> P x) <=> (!t x. t IN s /\ x IN t ==> P x)
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !s a x. a IN convex hull s /\ x IN convex hull s ==> (?b. b IN s /\ x IN convex hull (a INSERT (s DELETE b)))
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: T
% Assm: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
% Goal: !s a. a IN convex hull s ==> convex hull s = UNIONS {convex hull (a INSERT (s DELETE b)) | b | b IN s}
%  TYPES
thf(tq48167, type, q48167 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(convex @ (hull @ convex @ S))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFORALLu_INu_GSPECu_conjunct0, axiom, ![Q:(cartrealn > $o),P:(q48167 > $o),F:(q48167 > cartrealn)]:(![Z:cartrealn]:((in @ Z @ (gspec0 @ ^[GENR_PVARR_20:cartrealn]:?[X:q48167]:(setspec0 @ GENR_PVARR_20 @ (P @ X) @ (F @ X)))) => (Q @ Z)) <=> ![X:q48167]:((P @ X) => (Q @ (F @ X))))).
thf(aFORALLu_INu_UNIONS, axiom, ![P:(cartrealn > $o),S:((cartrealn > $o) > $o)]:(![X:cartrealn]:((in @ X @ (unions @ S)) => (P @ X)) <=> ![T:(cartrealn > $o),X:cartrealn]:(((in0 @ T @ S) & (in @ X @ T)) => (P @ X)))).
thf(aHULLu_INC, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aINu_CONVEXu_HULLu_EXCHANGE, axiom, ![S:(cartrealn > $o),A:cartrealn,X:cartrealn]:(((in @ A @ (hull @ convex @ S)) & (in @ X @ (hull @ convex @ S))) => ?[B:cartrealn]:((in @ B @ S) & (in @ X @ (hull @ convex @ (insert @ A @ (delete @ S @ B))))))).
thf(aINu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec0 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSIMPLEu_IMAGE, axiom, ![F:(cartrealn > cartrealn > $o),S:(cartrealn > $o)]:((gspec @ ^[GENR_PVARR_11:(cartrealn > $o)]:?[X:cartrealn]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image @ F @ S))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_HULL, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((P @ T) => ((subset @ (hull @ P @ S) @ T) <=> (subset @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_IMAGE, axiom, ![F:(cartrealn > cartrealn > $o),S:(cartrealn > $o)]:((unions @ (image @ F @ S)) = (gspec0 @ ^[GENR_PVARR_26:cartrealn]:?[Y:cartrealn]:(setspec0 @ GENR_PVARR_26 @ ?[X:cartrealn]:((in @ X @ S) & (in @ Y @ (F @ X))) @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn]:((in @ A @ (hull @ convex @ S)) => ((hull @ convex @ S) = (unions @ (gspec @ ^[GENR_PVARR_925:(cartrealn > $o)]:?[B:cartrealn]:(setspec @ GENR_PVARR_925 @ (in @ B @ S) @ (hull @ convex @ (insert @ A @ (delete @ S @ B))))))))).
