%   ORIGINAL: CONVEX_HULL_EXCHANGE_INTER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_CONVEX_HULL_EXCHANGE_UNIQUE: !s t t' a x. ~affine_dependent s /\ a IN convex hull s /\ t SUBSET s /\ t' SUBSET s /\ x IN convex hull (a INSERT t) /\ x IN convex hull (a INSERT t') ==> x IN convex hull (a INSERT (t INTER t'))
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_INTER: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: TRUTH: T
% Goal: !s a t t'. ~affine_dependent s /\ a IN convex hull s /\ t SUBSET s /\ t' SUBSET s ==> convex hull (a INSERT t) INTER convex hull (a INSERT t') = convex hull (a INSERT (t INTER t'))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !P x. x IN P <=> P x
% Assm: !s t t' a x. ~affine_dependent s /\ a IN convex hull s /\ t SUBSET s /\ t' SUBSET s /\ x IN convex hull (a INSERT t) /\ x IN convex hull (a INSERT t') ==> x IN convex hull (a INSERT (t INTER t'))
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: T
% Goal: !s a t t'. ~affine_dependent s /\ a IN convex hull s /\ t SUBSET s /\ t' SUBSET s ==> convex hull (a INSERT t) INTER convex hull (a INSERT t') = convex hull (a INSERT (t INTER t'))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHULLu_MONO, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_CONVEXu_HULLu_EXCHANGEu_UNIQUE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),TI_:(cartrealn > $o),A:cartrealn,X:cartrealn]:((~ ((affineu_dependent @ S)) & (in @ A @ (hull @ convex @ S)) & (subset @ T @ S) & (subset @ TI_ @ S) & (in @ X @ (hull @ convex @ (insert @ A @ T))) & (in @ X @ (hull @ convex @ (insert @ A @ TI_)))) => (in @ X @ (hull @ convex @ (insert @ A @ (inter @ T @ TI_)))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:((subset @ S @ (inter @ T @ U)) <=> ((subset @ S @ T) & (subset @ S @ U)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,T:(cartrealn > $o),TI_:(cartrealn > $o)]:((~ ((affineu_dependent @ S)) & (in @ A @ (hull @ convex @ S)) & (subset @ T @ S) & (subset @ TI_ @ S)) => ((inter @ (hull @ convex @ (insert @ A @ T)) @ (hull @ convex @ (insert @ A @ TI_))) = (hull @ convex @ (insert @ A @ (inter @ T @ TI_)))))).
