%   ORIGINAL: AFF_DIM_HYPERPLANE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_HULL_EQ: !s. affine hull s = s <=> affine s
% Assm: AFFINE_HYPERPLANE: !a b. affine {x | a dot x = b}
% Assm: AFF_DIM_EQ_HYPERPLANE: !s. aff_dim s = &(dimindex (:N)) - &1 <=> (?a b. ~(a = vec 0) /\ affine hull s = {x | a dot x = b})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b. ~(a = vec 0) ==> aff_dim {x | a dot x = b} = &(dimindex (:N)) - &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. affine hull s = s <=> affine s
% Assm: !a b. affine {x | a dot x = b}
% Assm: !s. aff_dim s = &(dimindex (:N)) - &1 <=> (?a b. ~(a = vec 0) /\ affine hull s = {x | a dot x = b})
% Assm: ~F <=> T
% Assm: T
% Goal: !a b. ~(a = vec 0) ==> aff_dim {x | a dot x = b} = &(dimindex (:N)) - &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tcartrealq248941, type, cartrealq248941 : $tType).
thf(tq248941, type, q248941 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(chull0, type, hull0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealq248941 > $o) > $o) > (cartrealq248941 > $o) > cartrealq248941 > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(caffine0, type, affine0 : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealq248941 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_HULLu_EQ, axiom, ![S:(cartrealq248941 > $o)]:(((hull @ affine @ S) = S) <=> (affine @ S))).
thf(aAFFINEu_HYPERPLANE, axiom, ![A:cartrealn,B:real]:(affine0 @ (gspec @ ^[GENR_PVARR_791:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_791 @ ((dot @ A @ X) = B) @ X)))).
thf(aAFFu_DIMu_EQu_HYPERPLANE, axiom, ![S:(cartrealn > $o)]:(((affu_dim @ S) = (intu_sub @ (intu_ofu_num @ (dimindex @ univ)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) <=> ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & ((hull0 @ affine0 @ S) = (gspec @ ^[GENR_PVARR_926:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_926 @ ((dot @ A @ X) = B) @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) => ((affu_dim @ (gspec @ ^[GENR_PVARR_927:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_927 @ ((dot @ A @ X) = B) @ X))) = (intu_sub @ (intu_ofu_num @ (dimindex @ univ)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
