%   ORIGINAL: SUBSET_HYPERPLANES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_EQ: !s. affine hull s = s <=> affine s
% Assm: AFFINE_HYPERPLANE: !a b. affine {x | a dot x = b}
% Assm: AFF_DIM_HYPERPLANE: !a b. ~(a = vec 0) ==> aff_dim {x | a dot x = b} = &(dimindex (:N)) - &1
% Assm: AFF_DIM_PSUBSET: !s t. affine hull s PSUBSET affine hull t ==> aff_dim s < aff_dim t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HYPERPLANE_EQ_EMPTY: !a b. {x | a dot x = b} = {} <=> a = vec 0 /\ ~(b = &0)
% Assm: HYPERPLANE_EQ_UNIV: !a b. {x | a dot x = b} = (:real^N) <=> a = vec 0 /\ b = &0
% Assm: INT_LT_REFL: !x. ~(x < x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PSUBSET: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM_EQ: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !a b a' b'. {x | a dot x = b} SUBSET {x | a' dot x = b'} <=> {x | a dot x = b} = {} \/ {x | a' dot x = b'} = (:real^N) \/ {x | a dot x = b} = {x | a' dot x = b'}
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !s. affine hull s = s <=> affine s
% Assm: !a b. affine {x | a dot x = b}
% Assm: !a b. ~(a = vec 0) ==> aff_dim {x | a dot x = b} = &(dimindex (:N)) - &1
% Assm: !s t. affine hull s PSUBSET affine hull t ==> aff_dim s < aff_dim t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. vec 0 dot x = &0
% Assm: !s. {} SUBSET s
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !a b. {x | a dot x = b} = {} <=> a = vec 0 /\ ~(b = &0)
% Assm: !a b. {x | a dot x = b} = (:real^N) <=> a = vec 0 /\ b = &0
% Assm: !x. ~(x < x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: !s. s SUBSET s
% Assm: !s. s SUBSET (:real^N)
% Assm: T
% Goal: !a b a' b'. {x | a dot x = b} SUBSET {x | a' dot x = b'} <=> {x | a dot x = b} = {} \/ {x | a' dot x = b'} = (:real^N) \/ {x | a dot x = b} = {x | a' dot x = b'}
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq268690, type, q268690 : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tcartrealq268690, type, cartrealq268690 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (n > $o)).
thf(cpsubset0, type, psubset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cpsubset, type, psubset : ((cartrealq268690 > $o) > (cartrealq268690 > $o) > $o)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chull0, type, hull0 : (((cartrealq268690 > $o) > $o) > (cartrealq268690 > $o) > cartrealq268690 > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(caffine0, type, affine0 : ((cartrealq268690 > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(caffuu_dim0, type, affu_dim0 : ((cartrealq268690 > $o) > int)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_EQ, axiom, ![S:(cartrealn > $o)]:(((hull @ affine @ S) = S) <=> (affine @ S))).
thf(aAFFINEu_HYPERPLANE, axiom, ![A:cartrealn,B:real]:(affine @ (gspec @ ^[GENR_PVARR_791:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_791 @ ((dot @ A @ X) = B) @ X)))).
thf(aAFFu_DIMu_HYPERPLANE, axiom, ![A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) => ((affu_dim @ (gspec @ ^[GENR_PVARR_927:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_927 @ ((dot @ A @ X) = B) @ X))) = (intu_sub @ (intu_ofu_num @ (dimindex @ univ0)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aAFFu_DIMu_PSUBSET, axiom, ![S:(cartrealq268690 > $o),T:(cartrealq268690 > $o)]:((psubset @ (hull0 @ affine0 @ S) @ (hull0 @ affine0 @ T)) => (intu_lt @ (affu_dim0 @ S) @ (affu_dim0 @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_LZERO, axiom, ![X:cartrealn]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aHYPERPLANEu_EQu_EMPTY, axiom, ![A:cartrealn,B:real]:(((gspec @ ^[GENR_PVARR_949:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_949 @ ((dot @ A @ X) = B) @ X)) = empty) <=> ((A = (vec @ (numeral @ u_0))) & ~ ((B = (realu_ofu_num @ (numeral @ u_0))))))).
thf(aHYPERPLANEu_EQu_UNIV, axiom, ![A:cartrealn,B:real]:(((gspec @ ^[GENR_PVARR_950:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_950 @ ((dot @ A @ X) = B) @ X)) = univ) <=> ((A = (vec @ (numeral @ u_0))) & (B = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aINTu_LTu_REFL, axiom, ![X:int]:~ ((intu_lt @ X @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((psubset0 @ S @ T) <=> ((subset @ S @ T) & ~ ((S = T))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYMu_EQ, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) <=> (S = T))).
thf(aSUBSETu_REFL, axiom, ![S:(cartrealn > $o)]:(subset @ S @ S)).
thf(aSUBSETu_UNIV, axiom, ![S:(cartrealn > $o)]:(subset @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:real,AI_:cartrealn,BI_:real]:((subset @ (gspec @ ^[GENR_PVARR_959:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_959 @ ((dot @ A @ X) = B) @ X)) @ (gspec @ ^[GENR_PVARR_960:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_960 @ ((dot @ AI_ @ X) = BI_) @ X))) <=> (((gspec @ ^[GENR_PVARR_961:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_961 @ ((dot @ A @ X) = B) @ X)) = empty) | ((gspec @ ^[GENR_PVARR_962:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_962 @ ((dot @ AI_ @ X) = BI_) @ X)) = univ) | ((gspec @ ^[GENR_PVARR_963:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_963 @ ((dot @ A @ X) = B) @ X)) = (gspec @ ^[GENR_PVARR_964:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_964 @ ((dot @ AI_ @ X) = BI_) @ X)))))).
