%   ORIGINAL: NORM_INCREASES_ONLINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_INCREASES_ONLINE: !a b d. ~(d = vec 0) ==> dist (a,b + d) > dist (a,b) \/ dist (a,b - d) > dist (a,b)
% Assm: NORM_NEG: !x. norm (--x) = norm x
% Assm: TRUTH: T
% Assm: VECTOR_SUB_LZERO: vec 0 - x = --x
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !a d. ~(d = vec 0) ==> norm (a + d) > norm a \/ norm (a - d) > norm a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b d. ~(d = vec 0) ==> dist (a,b + d) > dist (a,b) \/ dist (a,b - d) > dist (a,b)
% Assm: !x. norm (--x) = norm x
% Assm: T
% Assm: !x. vec 0 - x = --x
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !a d. ~(d = vec 0) ==> norm (a + d) > norm a \/ norm (a - d) > norm a
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_INCREASESu_ONLINE, axiom, ![A:cartrealn,B:cartrealn,D:cartrealn]:(~ ((D = (vec @ (numeral @ u_0)))) => ((realu_gt @ (distance @ (c_ @ A @ (vectoru_add @ B @ D))) @ (distance @ (c_ @ A @ B))) | (realu_gt @ (distance @ (c_ @ A @ (vectoru_sub @ B @ D))) @ (distance @ (c_ @ A @ B)))))).
thf(aNORMu_NEG, axiom, ![X:cartrealn]:((vectoru_norm @ (vectoru_neg @ X)) = (vectoru_norm @ X))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_LZERO, axiom, ![X:cartrealn]:((vectoru_sub @ (vec @ (numeral @ u_0)) @ X) = (vectoru_neg @ X))).
thf(adist, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(conjecture, conjecture, ![A:cartrealn,D:cartrealn]:(~ ((D = (vec @ (numeral @ u_0)))) => ((realu_gt @ (vectoru_norm @ (vectoru_add @ A @ D)) @ (vectoru_norm @ A)) | (realu_gt @ (vectoru_norm @ (vectoru_sub @ A @ D)) @ (vectoru_norm @ A))))).
