%   ORIGINAL: SIMPLEX_FURTHEST_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISTANCE_ATTAINS_SUP: !s a. compact s /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> dist (a,y) <= dist (a,x)))
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMP_COMPACT_CONVEX_HULL: !s. FINITE s ==> compact (convex hull s)
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: SIMPLEX_FURTHEST_LT: !a s. FINITE s ==> (!x. x IN convex hull s /\ ~(x IN s) ==> (?y. y IN convex hull s /\ norm (x - a) < norm (y - a)))
% Assm: SUBSET_EMPTY: !s. s SUBSET {} <=> s = {}
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !a s. FINITE s /\ ~(s = {}) ==> (?y. y IN s /\ (!x. x IN convex hull s ==> norm (x - a) <= norm (y - a)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a. compact s /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> dist (a,y) <= dist (a,x)))
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !s. FINITE s ==> compact (convex hull s)
% Assm: !P s. s SUBSET P hull s
% Assm: ~F <=> T
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !a s. FINITE s ==> (!x. x IN convex hull s /\ ~(x IN s) ==> (?y. y IN convex hull s /\ norm (x - a) < norm (y - a)))
% Assm: !s. s SUBSET {} <=> s = {}
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !a s. FINITE s /\ ~(s = {}) ==> (?y. y IN s /\ (!x. x IN convex hull s ==> norm (x - a) <= norm (y - a)))
%  TYPES
thf(tprodcartrealq102240cartrealq102240, type, prodcartrealq102240cartrealq102240 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq102240, type, q102240 : $tType).
thf(tcartrealq102240, type, cartrealq102240 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdistance0, type, distance0 : (prodcartrealq102240cartrealq102240 > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealq102240 > cartrealq102240 > prodcartrealq102240cartrealq102240)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTANCEu_ATTAINSu_SUP, axiom, ![S:(cartrealn > $o),A:cartrealn]:(((compact @ S) & ~ ((S = empty))) => ?[X:cartrealn]:((in @ X @ S) & ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (distance @ (c_ @ A @ Y)) @ (distance @ (c_ @ A @ X))))))).
thf(aDISTu_SYM, axiom, ![X:cartrealq102240,Y:cartrealq102240]:((distance0 @ (c_0 @ X @ Y)) = (distance0 @ (c_0 @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFINITEu_IMPu_COMPACTu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((finite @ S) => (compact @ (hull @ convex @ S)))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aSIMPLEXu_FURTHESTu_LT, axiom, ![A:cartrealn,S:(cartrealn > $o)]:((finite @ S) => ![X:cartrealn]:(((in @ X @ (hull @ convex @ S)) & ~ ((in @ X @ S))) => ?[Y:cartrealn]:((in @ Y @ (hull @ convex @ S)) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ X @ A)) @ (vectoru_norm @ (vectoru_sub @ Y @ A))))))).
thf(aSUBSETu_EMPTY, axiom, ![S:(cartrealn > $o)]:((subset @ S @ empty) <=> (S = empty))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(conjecture, conjecture, ![A:cartrealn,S:(cartrealn > $o)]:(((finite @ S) & ~ ((S = empty))) => ?[Y:cartrealn]:((in @ Y @ S) & ![X:cartrealn]:((in @ X @ (hull @ convex @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ X @ A)) @ (vectoru_norm @ (vectoru_sub @ Y @ A))))))).
