%   ORIGINAL: SIMPLEX_FURTHEST_LE_EXISTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_HULL_EMPTY: convex hull {} = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SIMPLEX_FURTHEST_LE: !a s. FINITE s /\ ~(s = {}) ==> (?y. y IN s /\ (!x. x IN convex hull s ==> norm (x - a) <= norm (y - a)))
% Assm: TRUTH: T
% Goal: !a s. FINITE s ==> (!x. x IN convex hull s ==> (?y. y IN s /\ norm (x - a) <= norm (y - a)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: convex hull {} = {}
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !a s. FINITE s /\ ~(s = {}) ==> (?y. y IN s /\ (!x. x IN convex hull s ==> norm (x - a) <= norm (y - a)))
% Assm: T
% Goal: !a s. FINITE s ==> (!x. x IN convex hull s ==> (?y. y IN s /\ norm (x - a) <= norm (y - a)))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_HULLu_EMPTY, axiom, ((hull @ convex @ empty) = empty)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSIMPLEXu_FURTHESTu_LE, axiom, ![A:cartrealn,S:(cartrealn > $o)]:(((finite @ S) & ~ ((S = empty))) => ?[Y:cartrealn]:((in @ Y @ S) & ![X:cartrealn]:((in @ X @ (hull @ convex @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ X @ A)) @ (vectoru_norm @ (vectoru_sub @ Y @ A))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,S:(cartrealn > $o)]:((finite @ S) => ![X:cartrealn]:((in @ X @ (hull @ convex @ S)) => ?[Y:cartrealn]:((in @ Y @ S) & (realu_le @ (vectoru_norm @ (vectoru_sub @ X @ A)) @ (vectoru_norm @ (vectoru_sub @ Y @ A))))))).
