%   ORIGINAL: SIMPLEX_EXTREMAL_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_SUP_MAXDISTANCE: !s. compact s /\ ~(s = {}) ==> (?x y. x IN s /\ y IN s /\ (!u v. u IN s /\ v IN s ==> norm (u - v) <= norm (x - y)))
% Assm: FINITE_IMP_COMPACT_CONVEX_HULL: !s. FINITE s ==> compact (convex hull s)
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: NORM_SUB: !x y. norm (x - y) = norm (y - x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: SIMPLEX_FURTHEST_LT: !a s. FINITE s ==> (!x. x IN convex hull s /\ ~(x IN s) ==> (?y. y IN convex hull s /\ norm (x - a) < norm (y - a)))
% Assm: SUBSET_EMPTY: !s. s SUBSET {} <=> s = {}
% Assm: TRUTH: T
% Goal: !s. FINITE s /\ ~(s = {}) ==> (?u v. u IN s /\ v IN s /\ (!x y. x IN convex hull s /\ y IN convex hull s ==> norm (x - y) <= norm (u - v)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s /\ ~(s = {}) ==> (?x y. x IN s /\ y IN s /\ (!u v. u IN s /\ v IN s ==> norm (u - v) <= norm (x - y)))
% Assm: !s. FINITE s ==> compact (convex hull s)
% Assm: !P s. s SUBSET P hull s
% Assm: !x y. norm (x - y) = norm (y - x)
% Assm: ~F <=> T
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !a s. FINITE s ==> (!x. x IN convex hull s /\ ~(x IN s) ==> (?y. y IN convex hull s /\ norm (x - a) < norm (y - a)))
% Assm: !s. s SUBSET {} <=> s = {}
% Assm: T
% Goal: !s. FINITE s /\ ~(s = {}) ==> (?u v. u IN s /\ v IN s /\ (!x y. x IN convex hull s /\ y IN convex hull s ==> norm (x - y) <= norm (u - v)))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_SUPu_MAXDISTANCE, axiom, ![S:(cartrealn > $o)]:(((compact @ S) & ~ ((S = empty))) => ?[X:cartrealn,Y:cartrealn]:((in @ X @ S) & (in @ Y @ S) & ![U:cartrealn,V:cartrealn]:(((in @ U @ S) & (in @ V @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ U @ V)) @ (vectoru_norm @ (vectoru_sub @ X @ Y))))))).
thf(aFINITEu_IMPu_COMPACTu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((finite @ S) => (compact @ (hull @ convex @ S)))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aNORMu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_norm @ (vectoru_sub @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ Y @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aSIMPLEXu_FURTHESTu_LT, axiom, ![A:cartrealn,S:(cartrealn > $o)]:((finite @ S) => ![X:cartrealn]:(((in @ X @ (hull @ convex @ S)) & ~ ((in @ X @ S))) => ?[Y:cartrealn]:((in @ Y @ (hull @ convex @ S)) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ X @ A)) @ (vectoru_norm @ (vectoru_sub @ Y @ A))))))).
thf(aSUBSETu_EMPTY, axiom, ![S:(cartrealn > $o)]:((subset @ S @ empty) <=> (S = empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((finite @ S) & ~ ((S = empty))) => ?[U:cartrealn,V:cartrealn]:((in @ U @ S) & (in @ V @ S) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ (hull @ convex @ S)) & (in @ Y @ (hull @ convex @ S))) => (realu_le @ (vectoru_norm @ (vectoru_sub @ X @ Y)) @ (vectoru_norm @ (vectoru_sub @ U @ V))))))).
