%   ORIGINAL: DIAMETER_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CONVEX_CBALL: !x e. convex (cball (x,e))
% Assm: CONVEX_HULL_EQ_EMPTY: !s. convex hull s = {} <=> s = {}
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_GSPEC_conjunct1: !P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: HULL_INDUCT: !P p s. (!x. x IN s ==> p x) /\ P {x | p x} ==> (!x. x IN P hull s ==> p x)
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUP_EQ: !s t. (!b. (!x. x IN s ==> x <= b) <=> (!x. x IN t ==> x <= b)) ==> sup s = sup t
% Assm: TRUTH: T
% Assm: cball: !x e. cball (x,e) = {y | dist (x,y) <= e}
% Assm: diameter: !s. diameter s = (if s = {} then &0 else sup {norm (x - y) | x IN s /\ y IN s})
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !s. diameter (convex hull s) = diameter s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x e. convex (cball (x,e))
% Assm: !s. convex hull s = {} <=> s = {}
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !Q P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: !P p s. (!x. x IN s ==> p x) /\ P {x | p x} ==> (!x. x IN P hull s ==> p x)
% Assm: !P s. s SUBSET P hull s
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. (!b. (!x. x IN s ==> x <= b) <=> (!x. x IN t ==> x <= b)) ==> sup s = sup t
% Assm: T
% Assm: !x e. cball (x,e) = {y | dist (x,y) <= e}
% Assm: !s. diameter s = (if s = {} then &0 else sup {norm (x - y) | x IN s /\ y IN s})
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !s. diameter (convex hull s) = diameter s
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tprodcartrealq102240cartrealq102240, type, prodcartrealq102240cartrealq102240 : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tnum, type, num : $tType).
thf(tq48288, type, q48288 : $tType).
thf(tq48223, type, q48223 : $tType).
thf(tprodcartrealq168390cartrealq168390, type, prodcartrealq168390cartrealq168390 : $tType).
thf(tq48224, type, q48224 : $tType).
thf(ta, type, a : $tType).
thf(tq168390, type, q168390 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealq168390real, type, prodcartrealq168390real : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tq102240, type, q102240 : $tType).
thf(tcartrealq102240, type, cartrealq102240 : $tType).
thf(tcartrealq168390, type, cartrealq168390 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq98293 > real)).
thf(cdistance1, type, distance1 : (prodcartrealq98293cartrealq98293 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cgspec2, type, gspec2 : ((real > $o) > real > $o)).
thf(cdistance0, type, distance0 : (prodcartrealq168390cartrealq168390 > real)).
thf(cgspec1, type, gspec1 : ((cartrealq168390 > $o) > cartrealq168390 > $o)).
thf(ccball0, type, cball0 : (prodcartrealq168390real > cartrealq168390 > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin2, type, in2 : (real > (real > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((q48288 > $o) > q48288 > $o)).
thf(cin, type, in : (q48288 > (q48288 > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealq102240cartrealq102240 > real)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(cdiameter, type, diameter : ((cartrealn > $o) > real)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_3, type, c_3 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csetspec2, type, setspec2 : (real > $o > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_2, type, c_2 : (cartrealq168390 > cartrealq168390 > prodcartrealq168390cartrealq168390)).
thf(csetspec1, type, setspec1 : (cartrealq168390 > $o > cartrealq168390 > $o)).
thf(ccu_1, type, c_1 : (cartrealq168390 > real > prodcartrealq168390real)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : (q48288 > $o > q48288 > $o)).
thf(ccu_0, type, c_0 : (cartrealq102240 > cartrealq102240 > prodcartrealq102240cartrealq102240)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONVEXu_CBALL, axiom, ![X:cartrealn,E:real]:(convex @ (cball @ (c_ @ X @ E)))).
thf(aCONVEXu_HULLu_EQu_EMPTY, axiom, ![S:(cartrealn > $o)]:(((hull @ convex @ S) = empty) <=> (S = empty))).
thf(aDISTu_SYM, axiom, ![X:cartrealq102240,Y:cartrealq102240]:((distance @ (c_0 @ X @ Y)) = (distance @ (c_0 @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_GSPECu_conjunct1, axiom, ![Q:(q48288 > $o),P:(q48224 > q48223 > $o),F:(q48224 > q48223 > q48288)]:(![Z:q48288]:((in @ Z @ (gspec @ ^[GENR_PVARR_21:q48288]:?[X:q48224,Y:q48223]:(setspec @ GENR_PVARR_21 @ (P @ X @ Y) @ (F @ X @ Y)))) => (Q @ Z)) <=> ![X:q48224,Y:q48223]:((P @ X @ Y) => (Q @ (F @ X @ Y))))).
thf(aHULLu_INDUCT, axiom, ![P:((cartrealn > $o) > $o),P0:(cartrealn > $o),S:(cartrealn > $o)]:((![X:cartrealn]:((in0 @ X @ S) => (P0 @ X)) & (P @ (gspec0 @ ^[GENR_PVARR_248:cartrealn]:?[X:cartrealn]:(setspec0 @ GENR_PVARR_248 @ (P0 @ X) @ X)))) => ![X:cartrealn]:((in0 @ X @ (hull @ P @ S)) => (P0 @ X)))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aSUPu_EQ, axiom, ![S:(real > $o),T:(real > $o)]:(![B:real]:(![X:real]:((in2 @ X @ S) => (realu_le @ X @ B)) <=> ![X:real]:((in2 @ X @ T) => (realu_le @ X @ B))) => ((sup @ S) = (sup @ T)))).
thf(aTRUTH, axiom, $true).
thf(acball, axiom, ![X:cartrealq168390,E:real]:((cball0 @ (c_1 @ X @ E)) = (gspec1 @ ^[GENR_PVARR_460:cartrealq168390]:?[Y:cartrealq168390]:(setspec1 @ GENR_PVARR_460 @ (realu_le @ (distance0 @ (c_2 @ X @ Y)) @ E) @ Y)))).
thf(adiameter, axiom, ![S:(cartrealn > $o)]:((diameter @ S) = (cond @ (S = empty) @ (realu_ofu_num @ (numeral @ u_0)) @ (sup @ (gspec2 @ ^[GENR_PVARR_615:real]:?[X:cartrealn,Y:cartrealn]:(setspec2 @ GENR_PVARR_615 @ ((in0 @ X @ S) & (in0 @ Y @ S)) @ (vectoru_norm @ (vectoru_sub @ X @ Y)))))))).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance1 @ (c_3 @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub0 @ X @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((diameter @ (hull @ convex @ S)) = (diameter @ S))).
