%   ORIGINAL: CLOSEST_POINT_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ANY_CLOSEST_POINT_UNIQUE: !s a x y. convex s /\ closed s /\ x IN s /\ y IN s /\ (!z. z IN s ==> dist (a,x) <= dist (a,z)) /\ (!z. z IN s ==> dist (a,y) <= dist (a,z)) ==> x = y
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSEST_POINT_EXISTS: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s /\ (!y. y IN s ==> dist (a,closest_point s a) <= dist (a,y))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s a x. convex s /\ closed s /\ x IN s /\ (!z. z IN s ==> dist (a,x) <= dist (a,z)) ==> x = closest_point s a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s a x y. convex s /\ closed s /\ x IN s /\ y IN s /\ (!z. z IN s ==> dist (a,x) <= dist (a,z)) /\ (!z. z IN s ==> dist (a,y) <= dist (a,z)) ==> x = y
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s /\ (!y. y IN s ==> dist (a,closest_point s a) <= dist (a,y))
% Assm: !t. (\x. t x) = t
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: T
% Goal: !s a x. convex s /\ closed s /\ x IN s /\ (!z. z IN s ==> dist (a,x) <= dist (a,z)) ==> x = closest_point s a
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cclosestuu_point, type, closestu_point : ((cartrealn > $o) > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aANYu_CLOSESTu_POINTu_UNIQUE, axiom, ![S:(cartrealn > $o),A:cartrealn,X:cartrealn,Y:cartrealn]:(((convex @ S) & (closed @ S) & (in @ X @ S) & (in @ Y @ S) & ![Z:cartrealn]:((in @ Z @ S) => (realu_le @ (distance @ (c_ @ A @ X)) @ (distance @ (c_ @ A @ Z)))) & ![Z:cartrealn]:((in @ Z @ S) => (realu_le @ (distance @ (c_ @ A @ Y)) @ (distance @ (c_ @ A @ Z))))) => (X = Y))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSESTu_POINTu_EXISTS, axiom, ![S:(cartrealn > $o),A:cartrealn]:(((closed @ S) & ~ ((S = empty))) => ((in @ (closestu_point @ S @ A) @ S) & ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (distance @ (c_ @ A @ (closestu_point @ S @ A))) @ (distance @ (c_ @ A @ Y))))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,X:cartrealn]:(((convex @ S) & (closed @ S) & (in @ X @ S) & ![Z:cartrealn]:((in @ Z @ S) => (realu_le @ (distance @ (c_ @ A @ X)) @ (distance @ (c_ @ A @ Z))))) => (X = (closestu_point @ S @ A)))).
