%   ORIGINAL: CLOSEST_POINT_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSEST_POINT_LE: !s a x. closed s /\ x IN s ==> dist (a,closest_point s a) <= dist (a,x)
% Assm: CLOSEST_POINT_UNIQUE: !s a x. convex s /\ closed s /\ x IN s /\ (!z. z IN s ==> dist (a,x) <= dist (a,z)) ==> x = closest_point s a
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: TRUTH: T
% Goal: !s a x. convex s /\ closed s /\ x IN s /\ ~(x = closest_point s a) ==> dist (a,closest_point s a) < dist (a,x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a x. closed s /\ x IN s ==> dist (a,closest_point s a) <= dist (a,x)
% Assm: !s a x. convex s /\ closed s /\ x IN s /\ (!z. z IN s ==> dist (a,x) <= dist (a,z)) ==> x = closest_point s a
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: T
% Goal: !s a x. convex s /\ closed s /\ x IN s /\ ~(x = closest_point s a) ==> dist (a,closest_point s a) < dist (a,x)
%  TYPES
thf(ta, type, a : $tType).
thf(tq276517, type, q276517 : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq276517cartrealq276517, type, prodcartrealq276517cartrealq276517 : $tType).
thf(tcartrealq276517, type, cartrealq276517 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealq276517cartrealq276517 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealq276517 > (cartrealq276517 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealq276517 > cartrealq276517 > prodcartrealq276517cartrealq276517)).
thf(cclosestuu_point, type, closestu_point : ((cartrealq276517 > $o) > cartrealq276517 > cartrealq276517)).
thf(cclosed, type, closed : ((cartrealq276517 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq276517 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq276517),G:(a > cartrealq276517)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSESTu_POINTu_LE, axiom, ![S:(cartrealq276517 > $o),A:cartrealq276517,X:cartrealq276517]:(((closed @ S) & (in @ X @ S)) => (realu_le @ (distance @ (c_ @ A @ (closestu_point @ S @ A))) @ (distance @ (c_ @ A @ X))))).
thf(aCLOSESTu_POINTu_UNIQUE, axiom, ![S:(cartrealq276517 > $o),A:cartrealq276517,X:cartrealq276517]:(((convex @ S) & (closed @ S) & (in @ X @ S) & ![Z:cartrealq276517]:((in @ Z @ S) => (realu_le @ (distance @ (c_ @ A @ X)) @ (distance @ (c_ @ A @ Z))))) => (X = (closestu_point @ S @ A)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq276517 > $o),A:cartrealq276517,X:cartrealq276517]:(((convex @ S) & (closed @ S) & (in @ X @ S) & ~ ((X = (closestu_point @ S @ A)))) => (realu_lt @ (distance @ (c_ @ A @ (closestu_point @ S @ A))) @ (distance @ (c_ @ A @ X))))).
