%   ORIGINAL: CONTINUOUS_AT_CLOSEST_POINT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSEST_POINT_LIPSCHITZ: !s x y. convex s /\ closed s /\ ~(s = {}) ==> dist (closest_point s x,closest_point s y) <= dist (x,y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: TRUTH: T
% Assm: continuous_at: f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !s x. convex s /\ closed s /\ ~(s = {}) ==> closest_point s continuous at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x y. convex s /\ closed s /\ ~(s = {}) ==> dist (closest_point s x,closest_point s y) <= dist (x,y)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: T
% Assm: !f x. f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !s x. convex s /\ closed s /\ ~(s = {}) ==> closest_point s continuous at x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq276720, type, cartrealq276720 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq276720cartrealq276720, type, prodcartrealq276720cartrealq276720 : $tType).
thf(tnetcartrealq276720, type, netcartrealq276720 : $tType).
thf(tq276720, type, q276720 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq276720 > netcartrealq276720)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealq276720cartrealq276720 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccontinuous, type, continuous : ((cartrealq276720 > cartrealq276720) > netcartrealq276720 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq276720 > cartrealq276720 > prodcartrealq276720cartrealq276720)).
thf(cclosestuu_point, type, closestu_point : ((cartrealq276720 > $o) > cartrealq276720 > cartrealq276720)).
thf(cempty, type, empty : (cartrealq276720 > $o)).
thf(cclosed, type, closed : ((cartrealq276720 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq276720 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq276720 > $o),G:(a > cartrealq276720 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSESTu_POINTu_LIPSCHITZ, axiom, ![S:(cartrealq276720 > $o),X:cartrealq276720,Y:cartrealq276720]:(((convex @ S) & (closed @ S) & ~ ((S = empty))) => (realu_le @ (distance @ (c_ @ (closestu_point @ S @ X) @ (closestu_point @ S @ Y))) @ (distance @ (c_ @ X @ Y))))).
thf(aETAu_AX, axiom, ![T:(cartrealq276720 > $o)]:(^[X:cartrealq276720]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(acontinuousu_at, axiom, ![F:(cartrealq276720 > cartrealq276720),X:cartrealq276720]:((continuous @ F @ (at @ X)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealq276720]:((realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D) => (realu_lt @ (distance @ (c_ @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(conjecture, conjecture, ![S:(cartrealq276720 > $o),X:cartrealq276720]:(((convex @ S) & (closed @ S) & ~ ((S = empty))) => (continuous @ (closestu_point @ S) @ (at @ X)))).
