%   ORIGINAL: CLOSEST_POINT_AFFINE_ORTHOGONAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ANY_CLOSEST_POINT_AFFINE_ORTHOGONAL: !s a b. affine s /\ b IN s /\ (!x. x IN s ==> dist (a,b) <= dist (a,x)) ==> (!x. x IN s ==> orthogonal (x - b) (a - b))
% Assm: CLOSED_AFFINE: !s. affine s ==> closed s
% Assm: CLOSEST_POINT_EXISTS: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s /\ (!y. y IN s ==> dist (a,closest_point s a) <= dist (a,y))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s a x. affine s /\ ~(s = {}) /\ x IN s ==> orthogonal (x - closest_point s a) (a - closest_point s a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a b. affine s /\ b IN s /\ (!x. x IN s ==> dist (a,b) <= dist (a,x)) ==> (!x. x IN s ==> orthogonal (x - b) (a - b))
% Assm: !s. affine s ==> closed s
% Assm: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s /\ (!y. y IN s ==> dist (a,closest_point s a) <= dist (a,y))
% Assm: ~F <=> T
% Assm: T
% Goal: !s a x. affine s /\ ~(s = {}) /\ x IN s ==> orthogonal (x - closest_point s a) (a - closest_point s a)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cclosestuu_point, type, closestu_point : ((cartrealn > $o) > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aANYu_CLOSESTu_POINTu_AFFINEu_ORTHOGONAL, axiom, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:(((affine @ S) & (in @ B @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (distance @ (c_ @ A @ B)) @ (distance @ (c_ @ A @ X))))) => ![X:cartrealn]:((in @ X @ S) => (orthogonal @ (vectoru_sub @ X @ B) @ (vectoru_sub @ A @ B))))).
thf(aCLOSEDu_AFFINE, axiom, ![S:(cartrealn > $o)]:((affine @ S) => (closed @ S))).
thf(aCLOSESTu_POINTu_EXISTS, axiom, ![S:(cartrealn > $o),A:cartrealn]:(((closed @ S) & ~ ((S = empty))) => ((in @ (closestu_point @ S @ A) @ S) & ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (distance @ (c_ @ A @ (closestu_point @ S @ A))) @ (distance @ (c_ @ A @ Y))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,X:cartrealn]:(((affine @ S) & ~ ((S = empty)) & (in @ X @ S)) => (orthogonal @ (vectoru_sub @ X @ (closestu_point @ S @ A)) @ (vectoru_sub @ A @ (closestu_point @ S @ A))))).
