%   ORIGINAL: CLOSEST_POINT_AFFINE_ORTHOGONAL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_IMP_CONVEX: !s. affine s ==> convex s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_AFFINE: !s. affine s ==> closed s
% Assm: CLOSEST_POINT_AFFINE_ORTHOGONAL: !s a x. affine s /\ ~(s = {}) /\ x IN s ==> orthogonal (x - closest_point s a) (a - closest_point s a)
% Assm: CLOSEST_POINT_UNIQUE: !s a x. convex s /\ closed s /\ x IN s /\ (!z. z IN s ==> dist (a,x) <= dist (a,z)) ==> x = closest_point s a
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_ANY_CLOSEST_POINT: !s a b. b IN s /\ (!x. x IN s ==> orthogonal (x - b) (a - b)) ==> (!x. x IN s ==> dist (a,b) <= dist (a,x))
% Assm: TRUTH: T
% Goal: !s a b. affine s /\ b IN s ==> (closest_point s a = b <=> (!x. x IN s ==> orthogonal (x - b) (a - b)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !s. affine s ==> convex s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. affine s ==> closed s
% Assm: !s a x. affine s /\ ~(s = {}) /\ x IN s ==> orthogonal (x - closest_point s a) (a - closest_point s a)
% Assm: !s a x. convex s /\ closed s /\ x IN s /\ (!z. z IN s ==> dist (a,x) <= dist (a,z)) ==> x = closest_point s a
% Assm: !t. (\x. t x) = t
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !s a b. b IN s /\ (!x. x IN s ==> orthogonal (x - b) (a - b)) ==> (!x. x IN s ==> dist (a,b) <= dist (a,x))
% Assm: T
% Goal: !s a b. affine s /\ b IN s ==> (closest_point s a = b <=> (!x. x IN s ==> orthogonal (x - b) (a - b)))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cclosestuu_point, type, closestu_point : ((cartrealn > $o) > cartrealn > cartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAFFINEu_IMPu_CONVEX, axiom, ![S:(cartrealn > $o)]:((affine @ S) => (convex @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_AFFINE, axiom, ![S:(cartrealn > $o)]:((affine @ S) => (closed @ S))).
thf(aCLOSESTu_POINTu_AFFINEu_ORTHOGONAL, axiom, ![S:(cartrealn > $o),A:cartrealn,X:cartrealn]:(((affine @ S) & ~ ((S = empty)) & (in @ X @ S)) => (orthogonal @ (vectoru_sub @ X @ (closestu_point @ S @ A)) @ (vectoru_sub @ A @ (closestu_point @ S @ A))))).
thf(aCLOSESTu_POINTu_UNIQUE, axiom, ![S:(cartrealn > $o),A:cartrealn,X:cartrealn]:(((convex @ S) & (closed @ S) & (in @ X @ S) & ![Z:cartrealn]:((in @ Z @ S) => (realu_le @ (distance @ (c_ @ A @ X)) @ (distance @ (c_ @ A @ Z))))) => (X = (closestu_point @ S @ A)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_ANYu_CLOSESTu_POINT, axiom, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:(((in @ B @ S) & ![X:cartrealn]:((in @ X @ S) => (orthogonal @ (vectoru_sub @ X @ B) @ (vectoru_sub @ A @ B)))) => ![X:cartrealn]:((in @ X @ S) => (realu_le @ (distance @ (c_ @ A @ B)) @ (distance @ (c_ @ A @ X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:(((affine @ S) & (in @ B @ S)) => (((closestu_point @ S @ A) = B) <=> ![X:cartrealn]:((in @ X @ S) => (orthogonal @ (vectoru_sub @ X @ B) @ (vectoru_sub @ A @ B)))))).
