%   ORIGINAL: SEPARATING_HYPERPLANE_CLOSED_0_INSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SEPARATING_HYPERPLANE_CLOSED_POINT_INSET: !s z. convex s /\ closed s /\ ~(s = {}) /\ ~(z IN s) ==> (?a b. a IN s /\ (a - z) dot z < b /\ (!x. x IN s ==> (a - z) dot x > b))
% Assm: TRUTH: T
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Assm: real_gt: !y x. x > y <=> y < x
% Goal: !s. convex s /\ closed s /\ ~(s = {}) /\ ~(vec 0 IN s) ==> (?a b. a IN s /\ ~(a = vec 0) /\ &0 < b /\ (!x. x IN s ==> a dot x > b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x dot vec 0 = &0
% Assm: ~F <=> T
% Assm: !s z. convex s /\ closed s /\ ~(s = {}) /\ ~(z IN s) ==> (?a b. a IN s /\ (a - z) dot z < b /\ (!x. x IN s ==> (a - z) dot x > b))
% Assm: T
% Assm: !x. x - vec 0 = x
% Assm: !y x. x > y <=> y < x
% Goal: !s. convex s /\ closed s /\ ~(s = {}) /\ ~(vec 0 IN s) ==> (?a b. a IN s /\ ~(a = vec 0) /\ &0 < b /\ (!x. x IN s ==> a dot x > b))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_RZERO, axiom, ![X:cartrealn]:((dot @ X @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSEPARATINGu_HYPERPLANEu_CLOSEDu_POINTu_INSET, axiom, ![S:(cartrealn > $o),Z:cartrealn]:(((convex @ S) & (closed @ S) & ~ ((S = empty)) & ~ ((in @ Z @ S))) => ?[A:cartrealn,B:real]:((in @ A @ S) & (realu_lt @ (dot @ (vectoru_sub @ A @ Z) @ Z) @ B) & ![X:cartrealn]:((in @ X @ S) => (realu_gt @ (dot @ (vectoru_sub @ A @ Z) @ X) @ B))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealn]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((convex @ S) & (closed @ S) & ~ ((S = empty)) & ~ ((in @ (vec @ (numeral @ u_0)) @ S))) => ?[A:cartrealn,B:real]:((in @ A @ S) & ~ ((A = (vec @ (numeral @ u_0)))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealn]:((in @ X @ S) => (realu_gt @ (dot @ A @ X) @ B))))).
