%   ORIGINAL: SEPARATING_HYPERPLANE_CLOSED_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_GE_1: !s. 1 <= dimindex s
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LE_REFL: !n. n <= n
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NORM_BASIS: !k. 1 <= k /\ k <= dimindex (:N) ==> norm (basis k) = &1
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_ANTISYM: !x y. ~(x < y /\ y < x)
% Assm: SEPARATING_HYPERPLANE_CLOSED_POINT: !s z. convex s /\ closed s /\ ~(z IN s) ==> (?a b. a dot z < b /\ (!x. x IN s ==> a dot x > b))
% Assm: TRUTH: T
% Assm: real_gt: !y x. x > y <=> y < x
% Goal: !s. convex s /\ closed s /\ ~(vec 0 IN s) ==> (?a b. ~(a = vec 0) /\ &0 < b /\ (!x. x IN s ==> a dot x > b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. 1 <= dimindex s
% Assm: !x. vec 0 dot x = &0
% Assm: !x. x dot vec 0 = &0
% Assm: !t. (\x. t x) = t
% Assm: !n. n <= n
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: !k. 1 <= k /\ k <= dimindex (:N) ==> norm (basis k) = &1
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: &0 < &1
% Assm: !x y. ~(x < y /\ y < x)
% Assm: !s z. convex s /\ closed s /\ ~(z IN s) ==> (?a b. a dot z < b /\ (!x. x IN s ==> a dot x > b))
% Assm: T
% Assm: !y x. x > y <=> y < x
% Goal: !s. convex s /\ closed s /\ ~(vec 0 IN s) ==> (?a b. ~(a = vec 0) /\ &0 < b /\ (!x. x IN s ==> a dot x > b))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_GEu_1, axiom, ![S:(a > $o)]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ S))).
thf(aDOTu_LZERO, axiom, ![X:cartrealn]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDOTu_RZERO, axiom, ![X:cartrealn]:((dot @ X @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNORMu_BASIS, axiom, ![K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ))) => ((vectoru_norm @ (basis @ K)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealn]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X)) <=> ~ ((X = (vec @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_ANTISYM, axiom, ![X:real,Y:real]:~ (((realu_lt @ X @ Y) & (realu_lt @ Y @ X)))).
thf(aSEPARATINGu_HYPERPLANEu_CLOSEDu_POINT, axiom, ![S:(cartrealn > $o),Z:cartrealn]:(((convex @ S) & (closed @ S) & ~ ((in @ Z @ S))) => ?[A:cartrealn,B:real]:((realu_lt @ (dot @ A @ Z) @ B) & ![X:cartrealn]:((in @ X @ S) => (realu_gt @ (dot @ A @ X) @ B))))).
thf(aTRUTH, axiom, $true).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((convex @ S) & (closed @ S) & ~ ((in @ (vec @ (numeral @ u_0)) @ S))) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealn]:((in @ X @ S) => (realu_gt @ (dot @ A @ X) @ B))))).
