%   ORIGINAL: SEPARATING_HYPERPLANE_COMPACT_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT_SYM: !s t. DISJOINT s t <=> DISJOINT t s
% Assm: DOT_LNEG: !x y. --x dot y = --(x dot y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_NEG2: !x y. --x < --y <=> y < x
% Assm: SEPARATING_HYPERPLANE_CLOSED_COMPACT: !s t. convex s /\ closed s /\ convex t /\ compact t /\ ~(t = {}) /\ DISJOINT s t ==> (?a b. (!x. x IN s ==> a dot x < b) /\ (!x. x IN t ==> a dot x > b))
% Assm: TRUTH: T
% Assm: real_gt: !y x. x > y <=> y < x
% Goal: !s t. convex s /\ compact s /\ ~(s = {}) /\ convex t /\ closed t /\ DISJOINT s t ==> (?a b. (!x. x IN s ==> a dot x < b) /\ (!x. x IN t ==> a dot x > b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> DISJOINT t s
% Assm: !x y. --x dot y = --(x dot y)
% Assm: ~F <=> T
% Assm: !x y. --x < --y <=> y < x
% Assm: !s t. convex s /\ closed s /\ convex t /\ compact t /\ ~(t = {}) /\ DISJOINT s t ==> (?a b. (!x. x IN s ==> a dot x < b) /\ (!x. x IN t ==> a dot x > b))
% Assm: T
% Assm: !y x. x > y <=> y < x
% Goal: !s t. convex s /\ compact s /\ ~(s = {}) /\ convex t /\ closed t /\ DISJOINT s t ==> (?a b. (!x. x IN s ==> a dot x < b) /\ (!x. x IN t ==> a dot x > b))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINTu_SYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> (disjoint @ T @ S))).
thf(aDOTu_LNEG, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ (vectoru_neg @ X) @ Y) = (realu_neg @ (dot @ X @ Y)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_NEG2, axiom, ![X:real,Y:real]:((realu_lt @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_lt @ Y @ X))).
thf(aSEPARATINGu_HYPERPLANEu_CLOSEDu_COMPACT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (closed @ S) & (convex @ T) & (compact @ T) & ~ ((T = empty)) & (disjoint @ S @ T)) => ?[A:cartrealn,B:real]:(![X:cartrealn]:((in @ X @ S) => (realu_lt @ (dot @ A @ X) @ B)) & ![X:cartrealn]:((in @ X @ T) => (realu_gt @ (dot @ A @ X) @ B))))).
thf(aTRUTH, axiom, $true).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (compact @ S) & ~ ((S = empty)) & (convex @ T) & (closed @ T) & (disjoint @ S @ T)) => ?[A:cartrealn,B:real]:(![X:cartrealn]:((in @ X @ S) => (realu_lt @ (dot @ A @ X) @ B)) & ![X:cartrealn]:((in @ X @ T) => (realu_gt @ (dot @ A @ X) @ B))))).
