%   ORIGINAL: SEPARATING_HYPERPLANE_SETS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_DIFFERENCES: !s t. convex s /\ convex t ==> convex {x - y | x IN s /\ y IN t}
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: DOT_RSUB: !x y z. x dot (y - z) = x dot y - x dot z
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: SEPARATING_HYPERPLANE_SET_0: !s. convex s /\ ~(vec 0 IN s) ==> (?a b. ~(a = vec 0) /\ (!x. x IN s ==> &0 <= a dot x))
% Assm: SUP: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Goal: !s t. convex s /\ convex t /\ ~(s = {}) /\ ~(t = {}) /\ DISJOINT s t ==> (?a b. ~(a = vec 0) /\ (!x. x IN s ==> a dot x <= b) /\ (!x. x IN t ==> a dot x >= b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. convex s /\ convex t ==> convex {x - y | x IN s /\ y IN t}
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !x y z. x dot (y - z) = x dot y - x dot z
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !s. convex s /\ ~(vec 0 IN s) ==> (?a b. ~(a = vec 0) /\ (!x. x IN s ==> &0 <= a dot x))
% Assm: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !y x. x >= y <=> y <= x
% Goal: !s t. convex s /\ convex t /\ ~(s = {}) /\ ~(t = {}) /\ DISJOINT s t ==> (?a b. ~(a = vec 0) /\ (!x. x IN s ==> a dot x <= b) /\ (!x. x IN t ==> a dot x >= b))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq279178, type, q279178 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csup, type, sup : ((real > $o) > real)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_DIFFERENCES, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (convex @ T)) => (convex @ (gspec @ ^[GENR_PVARR_854:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_854 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_sub @ X @ Y)))))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aDOTu_RSUB, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:((dot @ X @ (vectoru_sub @ Y @ Z)) = (realu_sub @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((image @ F @ S) = empty) <=> (S = empty))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aSEPARATINGu_HYPERPLANEu_SETu_0, axiom, ![S:(cartrealn > $o)]:(((convex @ S) & ~ ((in @ (vec @ (numeral @ u_0)) @ S))) => ?[A:cartrealn,B:q279178]:(~ ((A = (vec @ (numeral @ u_0)))) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ A @ X)))))).
thf(aSUP, axiom, ![S:(real > $o)]:((~ ((S = empty0)) & ?[B:real]:![X:real]:((in0 @ X @ S) => (realu_le @ X @ B))) => (![X:real]:((in0 @ X @ S) => (realu_le @ X @ (sup @ S))) & ![B:real]:(![X:real]:((in0 @ X @ S) => (realu_le @ X @ B)) => (realu_le @ (sup @ S) @ B))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (convex @ T) & ~ ((S = empty)) & ~ ((T = empty)) & (disjoint @ S @ T)) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (dot @ A @ X) @ B)) & ![X:cartrealn]:((in @ X @ T) => (realu_ge @ (dot @ A @ X) @ B))))).
