%   ORIGINAL: CONVEX_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSURE_SEQUENTIAL: !s l. l IN closure s <=> (?x. (!n. x n IN s) /\ (x --> l) sequentially)
% Assm: LIM_ADD: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x + g x) --> l + m) net
% Assm: LIM_CMUL: !f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: TRUTH: T
% Assm: convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !s. convex s ==> convex (closure s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s l. l IN closure s <=> (?x. (!n. x n IN s) /\ (x --> l) sequentially)
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x + g x) --> l + m) net
% Assm: !net f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: T
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !s. convex s ==> convex (closure s)
%  TYPES
thf(tq176203, type, q176203 : $tType).
thf(tq176206, type, q176206 : $tType).
thf(tneta, type, neta : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq176206, type, cartrealq176206 : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tnetq176203, type, netq176203 : $tType).
thf(tcartrealq176453, type, cartrealq176453 : $tType).
thf(tq176453, type, q176453 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cru_0, type, r_0 : (real > cartrealn > cartrealn)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealq176206 > cartrealq176206)).
thf(cmu_mu_gu_1, type, m_m_g_1 : ((q176203 > cartrealq176206) > cartrealq176206 > netq176203 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq176453 > cartrealq176453 > cartrealq176453)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((a > cartrealq176453) > cartrealq176453 > neta > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSUREu_SEQUENTIAL, axiom, ![S:(cartrealn > $o),L:cartrealn]:((in @ L @ (closure @ S)) <=> ?[X:(num > cartrealn)]:(![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ L @ sequentially)))).
thf(aLIMu_ADD, axiom, ![NET:neta,F:(a > cartrealq176453),G:(a > cartrealq176453),L:cartrealq176453,M:cartrealq176453]:(((m_m_g_0 @ F @ L @ NET) & (m_m_g_0 @ G @ M @ NET)) => (m_m_g_0 @ ^[X:a]:(vectoru_add @ (F @ X) @ (G @ X)) @ (vectoru_add @ L @ M) @ NET))).
thf(aLIMu_CMUL, axiom, ![NET:netq176203,F:(q176203 > cartrealq176206),L:cartrealq176206,C:real]:((m_m_g_1 @ F @ L @ NET) => (m_m_g_1 @ ^[X:q176203]:(r_ @ C @ (F @ X)) @ (r_ @ C @ L) @ NET))).
thf(aTRUTH, axiom, $true).
thf(aconvex, axiom, ![S:(cartrealn > $o)]:((convex @ S) <=> ![X:cartrealn,Y:cartrealn,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add0 @ (r_0 @ U @ X) @ (r_0 @ V @ Y)) @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((convex @ S) => (convex @ (closure @ S)))).
