%   ORIGINAL: CONVEX_HULL_AFFINITY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HULL_SCALING: !s c. convex hull IMAGE (\x. c % x) s = IMAGE (\x. c % x) (convex hull s)
% Assm: CONVEX_HULL_TRANSLATION: !a s. convex hull IMAGE (\x. a + x) s = IMAGE (\x. a + x) (convex hull s)
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !s a c. convex hull IMAGE (\x. a + c % x) s = IMAGE (\x. a + c % x) (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s c. convex hull IMAGE (\x. c % x) s = IMAGE (\x. c % x) (convex hull s)
% Assm: !a s. convex hull IMAGE (\x. a + x) s = IMAGE (\x. a + x) (convex hull s)
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !s a c. convex hull IMAGE (\x. a + c % x) s = IMAGE (\x. a + c % x) (convex hull s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(co0, type, o0 : ((b > $o) > (cartrealn > b) > cartrealn > $o)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HULLu_SCALING, axiom, ![S:(cartrealn > $o),C:real]:((hull @ convex @ (image @ ^[X:cartrealn]:(r_ @ C @ X) @ S)) = (image @ ^[X:cartrealn]:(r_ @ C @ X) @ (hull @ convex @ S)))).
thf(aCONVEXu_HULLu_TRANSLATION, axiom, ![A:cartrealn,S:(cartrealn > $o)]:((hull @ convex @ (image @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ S)) = (image @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ (hull @ convex @ S)))).
thf(aIMAGEu_o, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image @ G @ S)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > $o),G:(cartrealn > b)]:((o0 @ F @ G) = ^[X:cartrealn]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,C:real]:((hull @ convex @ (image @ ^[X:cartrealn]:(vectoru_add @ A @ (r_ @ C @ X)) @ S)) = (image @ ^[X:cartrealn]:(vectoru_add @ A @ (r_ @ C @ X)) @ (hull @ convex @ S)))).
