%   ORIGINAL: RADON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_DEPENDENT_EXPLICIT: !p. affine_dependent p <=> (?s u. FINITE s /\ s SUBSET p /\ sum s u = &0 /\ (?v. v IN s /\ ~(u v = &0)) /\ vsum s (\v. u v % v) = vec 0)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: RADON_PARTITION: !c. FINITE c /\ affine_dependent c ==> (?m p. DISJOINT m p /\ m UNION p = c /\ ~DISJOINT (convex hull m) (convex hull p))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !c. affine_dependent c ==> (?m p. m SUBSET c /\ p SUBSET c /\ DISJOINT m p /\ ~DISJOINT (convex hull m) (convex hull p))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !p. affine_dependent p <=> (?s u. FINITE s /\ s SUBSET p /\ sum s u = &0 /\ (?v. v IN s /\ ~(u v = &0)) /\ vsum s (\v. u v % v) = vec 0)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !c. FINITE c /\ affine_dependent c ==> (?m p. DISJOINT m p /\ m UNION p = c /\ ~DISJOINT (convex hull m) (convex hull p))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !c. affine_dependent c ==> (?m p. m SUBSET c /\ p SUBSET c /\ DISJOINT m p /\ ~DISJOINT (convex hull m) (convex hull p))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cunion0, type, union0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_DEPENDENTu_EXPLICIT, axiom, ![P:(cartrealn > $o)]:((affineu_dependent @ P) <=> ?[S:(cartrealn > $o),U:(cartrealn > real)]:((finite @ S) & (subset @ S @ P) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ u_0))) & ?[V:cartrealn]:((in @ V @ S) & ~ (((U @ V) = (realu_ofu_num @ (numeral @ u_0))))) & ((vsum @ S @ ^[V:cartrealn]:(r_ @ (U @ V) @ V)) = (vec @ (numeral @ u_0)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty0))).
thf(aRADONu_PARTITION, axiom, ![C:(cartrealn > $o)]:(((finite @ C) & (affineu_dependent @ C)) => ?[M:(cartrealn > $o),P:(cartrealn > $o)]:((disjoint @ M @ P) & ((union0 @ M @ P) = C) & ~ ((disjoint @ (hull @ convex @ M) @ (hull @ convex @ P)))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:(cartrealn > $o)]:((affineu_dependent @ C) => ?[M:(cartrealn > $o),P:(cartrealn > $o)]:((subset @ M @ C) & (subset @ P @ C) & (disjoint @ M @ P) & ~ ((disjoint @ (hull @ convex @ M) @ (hull @ convex @ P)))))).
