%   ORIGINAL: HELLY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HELLY_INDUCT: !n f. f HAS_SIZE n /\ n >= dimindex (:N) + 1 /\ (!s. s IN f ==> convex s) /\ (!t. t SUBSET f /\ CARD t = dimindex (:N) + 1 ==> ~(INTERS t = {})) ==> ~(INTERS f = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f. FINITE f /\ CARD f >= dimindex (:N) + 1 /\ (!s. s IN f ==> convex s) /\ (!t. t SUBSET f /\ CARD t = dimindex (:N) + 1 ==> ~(INTERS t = {})) ==> ~(INTERS f = {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !n f. f HAS_SIZE n /\ n >= dimindex (:N) + 1 /\ (!s. s IN f ==> convex s) /\ (!t. t SUBSET f /\ CARD t = dimindex (:N) + 1 ==> ~(INTERS t = {})) ==> ~(INTERS f = {})
% Assm: ~F <=> T
% Assm: T
% Goal: !f. FINITE f /\ CARD f >= dimindex (:N) + 1 /\ (!s. s IN f ==> convex s) /\ (!t. t SUBSET f /\ CARD t = dimindex (:N) + 1 ==> ~(INTERS t = {})) ==> ~(INTERS f = {})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(chasuu_size, type, hasu_size : (((cartrealn > $o) > $o) > num > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(csubset, type, subset : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(ccard, type, card : (((cartrealn > $o) > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aHASu_SIZE, axiom, ![S:((cartrealn > $o) > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aHELLYu_INDUCT, axiom, ![N:num,F:((cartrealn > $o) > $o)]:(((hasu_size @ F @ N) & (g_a_ @ N @ (p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0)))) & ![S:(cartrealn > $o)]:((in @ S @ F) => (convex @ S)) & ![T:((cartrealn > $o) > $o)]:(((subset @ T @ F) & ((card @ T) = (p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))))) => ~ (((inters @ T) = empty)))) => ~ (((inters @ F) = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(((finite @ F) & (g_a_ @ (card @ F) @ (p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0)))) & ![S:(cartrealn > $o)]:((in @ S @ F) => (convex @ S)) & ![T:((cartrealn > $o) > $o)]:(((subset @ T @ F) & ((card @ T) = (p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))))) => ~ (((inters @ T) = empty)))) => ~ (((inters @ F) = empty)))).
