%   ORIGINAL: CONVEX_HULL_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUN_IN_IMAGE: !f s x. x IN s ==> f x IN IMAGE f s
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: HULL_INDUCT: !P p s. (!x. x IN s ==> p x) /\ P {x | p x} ==> (!x. x IN P hull s ==> p x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_ADD: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: LINEAR_CMUL: !f c x. linear f ==> f (c % x) = c % f x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Assm: convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !f s. linear f ==> convex hull IMAGE f s = IMAGE f (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex (convex hull s)
% Assm: !s. convex (convex hull s)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f s x. x IN s ==> f x IN IMAGE f s
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P p s. (!x. x IN s ==> p x) /\ P {x | p x} ==> (!x. x IN P hull s ==> p x)
% Assm: !P p s. (!x. x IN s ==> p x) /\ P {x | p x} ==> (!x. x IN P hull s ==> p x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: !f c x. linear f ==> f (c % x) = c % f x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !f s. linear f ==> convex hull IMAGE f s = IMAGE f (convex hull s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq282162, type, cartrealq282162 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealq282143, type, cartrealq282143 : $tType).
thf(tq282162, type, q282162 : $tType).
thf(tq282143, type, q282143 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset0, type, subset0 : ((cartrealq282143 > $o) > (cartrealq282143 > $o) > $o)).
thf(cin2, type, in2 : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(ci, type, i : ((cartrealq282143 > $o) > cartrealq282143 > $o)).
thf(cgspec1, type, gspec1 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealq282143 > $o) > cartrealq282143 > $o)).
thf(cgspec, type, gspec : ((cartrealq282162 > $o) > cartrealq282162 > $o)).
thf(cin0, type, in0 : (cartrealq282162 > (cartrealq282162 > $o) > $o)).
thf(cin, type, in : (cartrealq282143 > (cartrealq282143 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_0, type, r_0 : (real > cartrealq282143 > cartrealq282143)).
thf(cru_, type, r_ : (real > cartrealq282162 > cartrealq282162)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq282143 > cartrealq282143 > cartrealq282143)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq282162 > cartrealq282162 > cartrealq282162)).
thf(csetspec1, type, setspec1 : (q43851 > $o > q43851 > $o)).
thf(csetspec0, type, setspec0 : (cartrealq282143 > $o > cartrealq282143 > $o)).
thf(csetspec, type, setspec : (cartrealq282162 > $o > cartrealq282162 > $o)).
thf(chull0, type, hull0 : (((cartrealq282162 > $o) > $o) > (cartrealq282162 > $o) > cartrealq282162 > $o)).
thf(cimage, type, image : ((cartrealq282162 > cartrealq282143) > (cartrealq282162 > $o) > cartrealq282143 > $o)).
thf(chull, type, hull : (((cartrealq282143 > $o) > $o) > (cartrealq282143 > $o) > cartrealq282143 > $o)).
thf(cconvex0, type, convex0 : ((cartrealq282162 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq282143 > $o) > $o)).
thf(clinear, type, linear : ((cartrealq282162 > cartrealq282143) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq282143 > $o),G:(a > cartrealq282143 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONVEXu_HULLu_monomorphized1, axiom, ![S:(cartrealq282162 > $o)]:(convex0 @ (hull0 @ convex0 @ S))).
thf(aCONVEXu_CONVEXu_HULLu_monomorphized0, axiom, ![S:(cartrealq282143 > $o)]:(convex @ (hull @ convex @ S))).
thf(aETAu_AX, axiom, ![T:(cartrealq282143 > $o)]:(^[X:cartrealq282143]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealq282143 > $o),F:(cartrealq282162 > cartrealq282143),S:(cartrealq282162 > $o)]:(![Y:cartrealq282143]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealq282162]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aFUNu_INu_IMAGE, axiom, ![F:(cartrealq282162 > cartrealq282143),S:(cartrealq282162 > $o),X:cartrealq282162]:((in0 @ X @ S) => (in @ (F @ X) @ (image @ F @ S)))).
thf(aHULLu_INCu_monomorphized1, axiom, ![P:((cartrealq282162 > $o) > $o),S:(cartrealq282162 > $o),X:cartrealq282162]:((in0 @ X @ S) => (in0 @ X @ (hull0 @ P @ S)))).
thf(aHULLu_INCu_monomorphized0, axiom, ![P:((cartrealq282143 > $o) > $o),S:(cartrealq282143 > $o),X:cartrealq282143]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aHULLu_INDUCTu_monomorphized1, axiom, ![P:((cartrealq282162 > $o) > $o),P0:(cartrealq282162 > $o),S:(cartrealq282162 > $o)]:((![X:cartrealq282162]:((in0 @ X @ S) => (P0 @ X)) & (P @ (gspec @ ^[GENR_PVARR_248:cartrealq282162]:?[X:cartrealq282162]:(setspec @ GENR_PVARR_248 @ (P0 @ X) @ X)))) => ![X:cartrealq282162]:((in0 @ X @ (hull0 @ P @ S)) => (P0 @ X)))).
thf(aHULLu_INDUCTu_monomorphized0, axiom, ![P:((cartrealq282143 > $o) > $o),P0:(cartrealq282143 > $o),S:(cartrealq282143 > $o)]:((![X:cartrealq282143]:((in @ X @ S) => (P0 @ X)) & (P @ (gspec0 @ ^[GENR_PVARR_248:cartrealq282143]:?[X:cartrealq282143]:(setspec0 @ GENR_PVARR_248 @ (P0 @ X) @ X)))) => ![X:cartrealq282143]:((in @ X @ (hull @ P @ S)) => (P0 @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec1 @ ^[V:q43851]:?[Y:q43851]:(setspec1 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealq282143,S:(cartrealq282162 > $o),F:(cartrealq282162 > cartrealq282143)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealq282162]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aIu_THM, axiom, ![X:(cartrealq282143 > $o)]:((i @ X) = X)).
thf(aLINEARu_ADD, axiom, ![F:(cartrealq282162 > cartrealq282143),X:cartrealq282162,Y:cartrealq282162]:((linear @ F) => ((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))))).
thf(aLINEARu_CMUL, axiom, ![F:(cartrealq282162 > cartrealq282143),C:real,X:cartrealq282162]:((linear @ F) => ((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in2 @ X @ S) => (in2 @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealq282143 > $o),T:(cartrealq282143 > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(aconvexu_monomorphized1, axiom, ![S:(cartrealq282162 > $o)]:((convex0 @ S) <=> ![X:cartrealq282162,Y:cartrealq282162,U:real,V:real]:(((in0 @ X @ S) & (in0 @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in0 @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(aconvexu_monomorphized0, axiom, ![S:(cartrealq282143 > $o)]:((convex @ S) <=> ![X:cartrealq282143,Y:cartrealq282143,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add0 @ (r_0 @ U @ X) @ (r_0 @ V @ Y)) @ S)))).
thf(conjecture, conjecture, ![F:(cartrealq282162 > cartrealq282143),S:(cartrealq282162 > $o)]:((linear @ F) => ((hull @ convex @ (image @ F @ S)) = (image @ F @ (hull0 @ convex0 @ S))))).
