%   ORIGINAL: IS_INTERVAL_CONNECTED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONNECTED: !s. convex s ==> connected s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IS_INTERVAL_CONVEX: !s. is_interval s ==> convex s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. is_interval s ==> connected s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex s ==> connected s
% Assm: !t. (\x. t x) = t
% Assm: !s. is_interval s ==> convex s
% Assm: ~F <=> T
% Assm: T
% Goal: !s. is_interval s ==> connected s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cisuu_interval, type, isu_interval : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONNECTED, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (connected @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aISu_INTERVALu_CONVEX, axiom, ![S:(cartrealn > $o)]:((isu_interval @ S) => (convex @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((isu_interval @ S) => (connected @ S))).
