%   ORIGINAL: CONVEX_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IS_INTERVAL_CONVEX: !s. is_interval s ==> convex s
% Assm: IS_INTERVAL_INTERVAL: !a b. is_interval (interval (a,b)) /\ is_interval (interval [a,b])
% Assm: TRUTH: T
% Goal: !a b. convex (interval [a,b]) /\ convex (interval (a,b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. is_interval s ==> convex s
% Assm: !a b. is_interval (interval (a,b)) /\ is_interval (interval [a,b])
% Assm: T
% Goal: !a b. convex (interval [a,b]) /\ convex (interval (a,b))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cisuu_interval, type, isu_interval : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aISu_INTERVALu_CONVEX, axiom, ![S:(cartrealn > $o)]:((isu_interval @ S) => (convex @ S))).
thf(aISu_INTERVALu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:((isu_interval @ (openu_interval @ (c_ @ A @ B))) & (isu_interval @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:((convex @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (convex @ (openu_interval @ (c_ @ A @ B))))).
