%   ORIGINAL: HOMEOMORPHIC_CONVEX_COMPACT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HOMEOMORPHIC_CONVEX_COMPACT_CBALL: !s b e. convex s /\ compact s /\ ~(interior s = {}) /\ &0 < e ==> s homeomorphic cball (b,e)
% Assm: HOMEOMORPHIC_SYM: !s t. s homeomorphic t <=> t homeomorphic s
% Assm: HOMEOMORPHIC_TRANS: !s t u. s homeomorphic t /\ t homeomorphic u ==> s homeomorphic u
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_01: &0 < &1
% Assm: TRUTH: T
% Goal: !s t. convex s /\ compact s /\ ~(interior s = {}) /\ convex t /\ compact t /\ ~(interior t = {}) ==> s homeomorphic t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s b e. convex s /\ compact s /\ ~(interior s = {}) /\ &0 < e ==> s homeomorphic cball (b,e)
% Assm: !s t. s homeomorphic t <=> t homeomorphic s
% Assm: !s t u. s homeomorphic t /\ t homeomorphic u ==> s homeomorphic u
% Assm: ~F <=> T
% Assm: &0 < &1
% Assm: T
% Goal: !s t. convex s /\ compact s /\ ~(interior s = {}) /\ convex t /\ compact t /\ ~(interior t = {}) ==> s homeomorphic t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(chomeomorphic, type, homeomorphic : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aHOMEOMORPHICu_CONVEXu_COMPACTu_CBALL, axiom, ![S:(cartrealn > $o),B:cartrealn,E:real]:(((convex @ S) & (compact @ S) & ~ (((interior @ S) = empty)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => (homeomorphic @ S @ (cball @ (c_ @ B @ E))))).
thf(aHOMEOMORPHICu_SYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((homeomorphic @ S @ T) <=> (homeomorphic @ T @ S))).
thf(aHOMEOMORPHICu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((homeomorphic @ S @ T) & (homeomorphic @ T @ U)) => (homeomorphic @ S @ U))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (compact @ S) & ~ (((interior @ S) = empty)) & (convex @ T) & (compact @ T) & ~ (((interior @ T) = empty))) => (homeomorphic @ S @ T))).
