%   ORIGINAL: HOMEOMORPHIC_CLOSED_INTERVALS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_INTERVAL: !a b. compact (interval [a,b])
% Assm: CONVEX_INTERVAL: !a b. convex (interval [a,b]) /\ convex (interval (a,b))
% Assm: HOMEOMORPHIC_CONVEX_COMPACT: !s t. convex s /\ compact s /\ ~(interior s = {}) /\ convex t /\ compact t /\ ~(interior t = {}) ==> s homeomorphic t
% Assm: INTERIOR_CLOSED_INTERVAL: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b c d. ~(interval (a,b) = {}) /\ ~(interval (c,d) = {}) ==> interval [a,b] homeomorphic interval [c,d]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. compact (interval [a,b])
% Assm: !a b. convex (interval [a,b]) /\ convex (interval (a,b))
% Assm: !s t. convex s /\ compact s /\ ~(interior s = {}) /\ convex t /\ compact t /\ ~(interior t = {}) ==> s homeomorphic t
% Assm: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: ~F <=> T
% Assm: T
% Goal: !a b c d. ~(interval (a,b) = {}) /\ ~(interval (c,d) = {}) ==> interval [a,b] homeomorphic interval [c,d]
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(chomeomorphic, type, homeomorphic : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:(compact @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aCONVEXu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:((convex @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (convex @ (openu_interval @ (c_ @ A @ B))))).
thf(aHOMEOMORPHICu_CONVEXu_COMPACT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (compact @ S) & ~ (((interior @ S) = empty)) & (convex @ T) & (compact @ T) & ~ (((interior @ T) = empty))) => (homeomorphic @ S @ T))).
thf(aINTERIORu_CLOSEDu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:((interior @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (openu_interval @ (c_ @ A @ B)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:((~ (((openu_interval @ (c_ @ A @ B)) = empty)) & ~ (((openu_interval @ (c_ @ C @ D)) = empty))) => (homeomorphic @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))))).
