%   ORIGINAL: CONVEX_CONE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONIC_LINEAR_IMAGE: !f s. conic s /\ linear f ==> conic (IMAGE f s)
% Assm: CONVEX_LINEAR_IMAGE: !f s. convex s /\ linear f ==> convex (IMAGE f s)
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: convex_cone: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !f s. convex_cone s /\ linear f ==> convex_cone (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. conic s /\ linear f ==> conic (IMAGE f s)
% Assm: !f s. convex s /\ linear f ==> convex (IMAGE f s)
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: ~F <=> T
% Assm: T
% Assm: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Assm: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !f s. convex_cone s /\ linear f ==> convex_cone (IMAGE f s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cempty0, type, empty0 : (cartrealm > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex0, type, convex0 : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealm > $o) > $o)).
thf(cconic0, type, conic0 : ((cartrealn > $o) > $o)).
thf(cconic, type, conic : ((cartrealm > $o) > $o)).
thf(cconvexuu_cone0, type, convexu_cone0 : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONICu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((conic @ S) & (linear @ F)) => (conic0 @ (image @ F @ S)))).
thf(aCONVEXu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((convex @ S) & (linear @ F)) => (convex0 @ (image @ F @ S)))).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((image @ F @ S) = empty) <=> (S = empty0))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aconvexu_coneu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((convexu_cone0 @ S) <=> (~ ((S = empty)) & (convex0 @ S) & (conic0 @ S)))).
thf(aconvexu_coneu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((convexu_cone @ S) <=> (~ ((S = empty0)) & (convex @ S) & (conic @ S)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((convexu_cone @ S) & (linear @ F)) => (convexu_cone0 @ (image @ F @ S)))).
