%   ORIGINAL: CONVEX_CONE_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONIC_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (conic (IMAGE f s) <=> conic s)
% Assm: CONVEX_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (convex (IMAGE f s) <=> convex s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: convex_cone: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (convex_cone (IMAGE f s) <=> convex_cone s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (conic (IMAGE f s) <=> conic s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (convex (IMAGE f s) <=> convex s)
% Assm: !t. (\x. t x) = t
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: T
% Assm: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Assm: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (convex_cone (IMAGE f s) <=> convex_cone s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ci1, type, i1 : ($o > $o)).
thf(cempty0, type, empty0 : (cartrealm > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex0, type, convex0 : ((cartrealm > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cconic0, type, conic0 : ((cartrealm > $o) > $o)).
thf(cconic, type, conic : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone0, type, convexu_cone0 : ((cartrealm > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONICu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((conic @ (image @ F @ S)) <=> (conic0 @ S)))).
thf(aCONVEXu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((convex @ (image @ F @ S)) <=> (convex0 @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((image @ F @ S) = empty) <=> (S = empty0))).
thf(aIu_THMu_monomorphized2, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aconvexu_coneu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((convexu_cone @ S) <=> (~ ((S = empty)) & (convex @ S) & (conic @ S)))).
thf(aconvexu_coneu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((convexu_cone0 @ S) <=> (~ ((S = empty0)) & (convex0 @ S) & (conic0 @ S)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((convexu_cone @ (image @ F @ S)) <=> (convexu_cone0 @ S)))).
