%   ORIGINAL: CONVEX_CONE_HALFSPACE_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_CONE: !s. convex_cone s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: Real_ext.REAL_PROP_NN_ADD2: !x y. &0 <= x /\ &0 <= y ==> &0 <= x + y
% Assm: TRUTH: T
% Assm: real_ge: !y x. x >= y <=> y <= x
% Goal: !a. convex_cone {x | a dot x >= &0}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. convex_cone s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x. x dot vec 0 = &0
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x. x <= x
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x + y
% Assm: T
% Assm: !y x. x >= y <=> y <= x
% Goal: !a. convex_cone {x | a dot x >= &0}
%  TYPES
thf(tnum, type, num : $tType).
thf(tq284436, type, q284436 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq284436, type, cartrealq284436 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq284436 > (cartrealq284436 > $o) > $o)).
thf(cdot, type, dot : (cartrealq284436 > cartrealq284436 > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealq284436 > $o) > cartrealq284436 > $o)).
thf(cvec, type, vec : (num > cartrealq284436)).
thf(cru_, type, r_ : (real > cartrealq284436 > cartrealq284436)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq284436 > cartrealq284436 > cartrealq284436)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealq284436 > $o > cartrealq284436 > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealq284436 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_CONE, axiom, ![S:(cartrealq284436 > $o)]:((convexu_cone @ S) <=> ((in @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealq284436,Y:cartrealq284436]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S)) & ![X:cartrealq284436,C:real]:(((in @ X @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C)) => (in @ (r_ @ C @ X) @ S))))).
thf(aDOTu_RADD, axiom, ![X:cartrealq284436,Y:cartrealq284436,Z:cartrealq284436]:((dot @ X @ (vectoru_add @ Y @ Z)) = (realu_add @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealq284436,Y:cartrealq284436]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_RZERO, axiom, ![X:cartrealq284436]:((dot @ X @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq284436 > $o),X:cartrealq284436]:((in @ X @ (gspec @ ^[V:cartrealq284436]:?[Y:cartrealq284436]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aRealu_exto_REALu_PROPu_NNu_ADD2, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(conjecture, conjecture, ![A:cartrealq284436]:(convexu_cone @ (gspec @ ^[GENR_PVARR_1016:cartrealq284436]:?[X:cartrealq284436]:(setspec @ GENR_PVARR_1016 @ (realu_ge @ (dot @ A @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ X)))).
