%   ORIGINAL: CONVEX_CONE_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONIC_INTERS: (!s. s IN f ==> conic s) ==> conic (INTERS f)
% Assm: CONVEX_CONE_CONTAINS_0: !s. convex_cone s ==> vec 0 IN s
% Assm: CONVEX_INTERS: (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: TRUTH: T
% Assm: convex_cone: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !f. (!s. s IN f ==> convex_cone s) ==> convex_cone (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. (!s. s IN f ==> conic s) ==> conic (INTERS f)
% Assm: !s. convex_cone s ==> vec 0 IN s
% Assm: !f. (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: T
% Assm: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !f. (!s. s IN f ==> convex_cone s) ==> convex_cone (INTERS f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin1, type, in1 : (((cartrealn > $o) > $o) > (((cartrealn > $o) > $o) > $o) > $o)).
thf(cinters0, type, inters0 : ((((cartrealn > $o) > $o) > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cempty, type, empty : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cconic, type, conic : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONICu_INTERS, axiom, ![F:((cartrealn > $o) > $o)]:(![S:(cartrealn > $o)]:((in @ S @ F) => (conic @ S)) => (conic @ (inters @ F)))).
thf(aCONVEXu_CONEu_CONTAINSu_0, axiom, ![S:(cartrealn > $o)]:((convexu_cone @ S) => (in0 @ (vec @ (numeral @ u_0)) @ S))).
thf(aCONVEXu_INTERS, axiom, ![F:((cartrealn > $o) > $o)]:(![S:(cartrealn > $o)]:((in @ S @ F) => (convex @ S)) => (convex @ (inters @ F)))).
thf(aINu_INTERS, axiom, ![S:(((cartrealn > $o) > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (inters0 @ S)) <=> ![T:((cartrealn > $o) > $o)]:((in1 @ T @ S) => (in @ X @ T)))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:((cartrealn > $o) > $o)]:(?[X:(cartrealn > $o)]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aTRUTH, axiom, $true).
thf(aconvexu_cone, axiom, ![S:(cartrealn > $o)]:((convexu_cone @ S) <=> (~ ((S = empty0)) & (convex @ S) & (conic @ S)))).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(![S:(cartrealn > $o)]:((in @ S @ F) => (convexu_cone @ S)) => (convexu_cone @ (inters @ F)))).
