%   ORIGINAL: CONVEX_CONE_CONVEX_CONE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_CONE_INTERS: !f. (!s. s IN f ==> convex_cone s) ==> convex_cone (INTERS f)
% Assm: P_HULL: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> P (P hull s)
% Assm: TRUTH: T
% Goal: !s. convex_cone (convex_cone hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. (!s. s IN f ==> convex_cone s) ==> convex_cone (INTERS f)
% Assm: !P s. (!f. (!s. s IN f ==> P s) ==> P (INTERS f)) ==> P (P hull s)
% Assm: T
% Goal: !s. convex_cone (convex_cone hull s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq284530, type, cartrealq284530 : $tType).
thf(treal, type, real : $tType).
thf(tq284530, type, q284530 : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealq284530 > $o) > $o) > cartrealq284530 > $o)).
thf(cin, type, in : ((cartrealq284530 > $o) > ((cartrealq284530 > $o) > $o) > $o)).
thf(chull, type, hull : (((cartrealq284530 > $o) > $o) > (cartrealq284530 > $o) > cartrealq284530 > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealq284530 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_CONEu_INTERS, axiom, ![F:((cartrealq284530 > $o) > $o)]:(![S:(cartrealq284530 > $o)]:((in @ S @ F) => (convexu_cone @ S)) => (convexu_cone @ (inters @ F)))).
thf(aPu_HULL, axiom, ![P:((cartrealq284530 > $o) > $o),S:(cartrealq284530 > $o)]:(![F:((cartrealq284530 > $o) > $o)]:(![S:(cartrealq284530 > $o)]:((in @ S @ F) => (P @ S)) => (P @ (inters @ F))) => (P @ (hull @ P @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq284530 > $o)]:(convexu_cone @ (hull @ convexu_cone @ S))).
