%   ORIGINAL: CONVEX_CONE_HULL_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONE: !s. convex_cone s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Assm: CONVEX_CONE_CONVEX_CONE_HULL: !s. convex_cone (convex_cone hull s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s c x. &0 <= c /\ x IN convex_cone hull s ==> c % x IN convex_cone hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex_cone s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Assm: !s. convex_cone (convex_cone hull s)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !s c x. &0 <= c /\ x IN convex_cone hull s ==> c % x IN convex_cone hull s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONE, axiom, ![S:(cartrealn > $o)]:((convexu_cone @ S) <=> ((in @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S)) & ![X:cartrealn,C:real]:(((in @ X @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C)) => (in @ (r_ @ C @ X) @ S))))).
thf(aCONVEXu_CONEu_CONVEXu_CONEu_HULL, axiom, ![S:(cartrealn > $o)]:(convexu_cone @ (hull @ convexu_cone @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),C:real,X:cartrealn]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & (in @ X @ (hull @ convexu_cone @ S))) => (in @ (r_ @ C @ X) @ (hull @ convexu_cone @ S)))).
