%   ORIGINAL: CONVEX_CONE_SUMS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONIC_SUMS: !s t. conic s /\ conic t ==> conic {x + y | x IN s /\ y IN t}
% Assm: CONVEX_SUMS: !s t. convex s /\ convex t ==> convex {x + y | x IN s /\ y IN t}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: convex_cone: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !s t. convex_cone s /\ convex_cone t ==> convex_cone {x + y | x IN s /\ y IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. conic s /\ conic t ==> conic {x + y | x IN s /\ y IN t}
% Assm: !s t. convex s /\ convex t ==> convex {x + y | x IN s /\ y IN t}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !s t. convex_cone s /\ convex_cone t ==> convex_cone {x + y | x IN s /\ y IN t}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cconic, type, conic : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONICu_SUMS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((conic @ S) & (conic @ T)) => (conic @ (gspec @ ^[GENR_PVARR_840:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_840 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))))).
thf(aCONVEXu_SUMS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (convex @ T)) => (convex @ (gspec @ ^[GENR_PVARR_853:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_853 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aconvexu_cone, axiom, ![S:(cartrealn > $o)]:((convexu_cone @ S) <=> (~ ((S = empty)) & (convex @ S) & (conic @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convexu_cone @ S) & (convexu_cone @ T)) => (convexu_cone @ (gspec @ ^[GENR_PVARR_1018:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_1018 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))))).
