%   ORIGINAL: CONIC_HULL_SUBSET_CONVEX_CONE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HULL_ANTIMONO: !P Q s. P SUBSET Q ==> Q hull s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: convex_cone: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !s. conic hull s SUBSET convex_cone hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P Q s. P SUBSET Q ==> Q hull s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !s. conic hull s SUBSET convex_cone hull s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq284828, type, cartrealq284828 : $tType).
thf(tq284828, type, q284828 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq284828 > (cartrealq284828 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : (((cartrealq284828 > $o) > $o) > ((cartrealq284828 > $o) > $o) > $o)).
thf(csubset, type, subset : ((cartrealq284828 > $o) > (cartrealq284828 > $o) > $o)).
thf(chull, type, hull : (((cartrealq284828 > $o) > $o) > (cartrealq284828 > $o) > cartrealq284828 > $o)).
thf(cconvex, type, convex : ((cartrealq284828 > $o) > $o)).
thf(cempty, type, empty : (cartrealq284828 > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealq284828 > $o) > $o)).
thf(cconic, type, conic : ((cartrealq284828 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHULLu_ANTIMONO, axiom, ![P:((cartrealq284828 > $o) > $o),Q:((cartrealq284828 > $o) > $o),S:(cartrealq284828 > $o)]:((subset0 @ P @ Q) => (subset @ (hull @ Q @ S) @ (hull @ P @ S)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aSUBSET, axiom, ![S:(cartrealq284828 > $o),T:(cartrealq284828 > $o)]:((subset @ S @ T) <=> ![X:cartrealq284828]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aconvexu_cone, axiom, ![S:(cartrealq284828 > $o)]:((convexu_cone @ S) <=> (~ ((S = empty)) & (convex @ S) & (conic @ S)))).
thf(conjecture, conjecture, ![S:(cartrealq284828 > $o)]:(subset @ (hull @ conic @ S) @ (hull @ convexu_cone @ S))).
