%   ORIGINAL: CONVEX_CONE_HULL_SEPARATE_NONEMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONIC_CONIC_HULL: !s. conic (conic hull s)
% Assm: CONIC_CONVEX_CONE_HULL: !s. conic (convex_cone hull s)
% Assm: CONIC_HULL_EQ_EMPTY: !s. conic hull s = {} <=> s = {}
% Assm: CONVEX_CONIC_HULL: !s. convex s ==> convex (conic hull s)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: CONVEX_HULL_EQ_EMPTY: !s. convex hull s = {} <=> s = {}
% Assm: CONVEX_HULL_SUBSET_CONVEX_CONE_HULL: !s. convex hull s SUBSET convex_cone hull s
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: convex_cone: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !s. ~(s = {}) ==> convex_cone hull s = conic hull (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. conic (conic hull s)
% Assm: !s. conic (convex_cone hull s)
% Assm: !s. conic hull s = {} <=> s = {}
% Assm: !s. convex s ==> convex (conic hull s)
% Assm: !s. convex (convex hull s)
% Assm: !s. convex hull s = {} <=> s = {}
% Assm: !s. convex hull s SUBSET convex_cone hull s
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: !P s. s SUBSET P hull s
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s. s SUBSET s
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !s. ~(s = {}) ==> convex_cone hull s = conic hull (convex hull s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cconic, type, conic : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONICu_CONICu_HULL, axiom, ![S:(cartrealn > $o)]:(conic @ (hull @ conic @ S))).
thf(aCONICu_CONVEXu_CONEu_HULL, axiom, ![S:(cartrealn > $o)]:(conic @ (hull @ convexu_cone @ S))).
thf(aCONICu_HULLu_EQu_EMPTY, axiom, ![S:(cartrealn > $o)]:(((hull @ conic @ S) = empty) <=> (S = empty))).
thf(aCONVEXu_CONICu_HULL, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (convex @ (hull @ conic @ S)))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(convex @ (hull @ convex @ S))).
thf(aCONVEXu_HULLu_EQu_EMPTY, axiom, ![S:(cartrealn > $o)]:(((hull @ convex @ S) = empty) <=> (S = empty))).
thf(aCONVEXu_HULLu_SUBSETu_CONVEXu_CONEu_HULL, axiom, ![S:(cartrealn > $o)]:(subset @ (hull @ convex @ S) @ (hull @ convexu_cone @ S))).
thf(aHULLu_MINIMAL, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset0 @ S @ S)).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(aconvexu_cone, axiom, ![S:(cartrealn > $o)]:((convexu_cone @ S) <=> (~ ((S = empty)) & (convex @ S) & (conic @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(~ ((S = empty)) => ((hull @ convexu_cone @ S) = (hull @ conic @ (hull @ convex @ S))))).
