%   ORIGINAL: CONVEX_CONE_HULL_SEPARATE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONIC_CONIC_HULL: !s. conic (conic hull s)
% Assm: CONIC_CONTAINS_0: !s. conic s ==> (vec 0 IN s <=> ~(s = {}))
% Assm: CONIC_HULL_EMPTY: conic hull {} = {}
% Assm: CONIC_HULL_EQ_EMPTY: !s. conic hull s = {} <=> s = {}
% Assm: CONVEX_CONE_HULL_EMPTY: convex_cone hull {} = {vec 0}
% Assm: CONVEX_CONE_HULL_SEPARATE_NONEMPTY: !s. ~(s = {}) ==> convex_cone hull s = conic hull (convex hull s)
% Assm: CONVEX_HULL_EMPTY: convex hull {} = {}
% Assm: CONVEX_HULL_EQ_EMPTY: !s. convex hull s = {} <=> s = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. convex_cone hull s = vec 0 INSERT (conic hull (convex hull s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. conic (conic hull s)
% Assm: !s. conic s ==> (vec 0 IN s <=> ~(s = {}))
% Assm: conic hull {} = {}
% Assm: !s. conic hull s = {} <=> s = {}
% Assm: convex_cone hull {} = {vec 0}
% Assm: !s. ~(s = {}) ==> convex_cone hull s = conic hull (convex hull s)
% Assm: convex hull {} = {}
% Assm: !s. convex hull s = {} <=> s = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Goal: !s. convex_cone hull s = vec 0 INSERT (conic hull (convex hull s))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cconic, type, conic : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONICu_CONICu_HULL, axiom, ![S:(cartrealn > $o)]:(conic @ (hull @ conic @ S))).
thf(aCONICu_CONTAINSu_0, axiom, ![S:(cartrealn > $o)]:((conic @ S) => ((in @ (vec @ (numeral @ u_0)) @ S) <=> ~ ((S = empty))))).
thf(aCONICu_HULLu_EMPTY, axiom, ((hull @ conic @ empty) = empty)).
thf(aCONICu_HULLu_EQu_EMPTY, axiom, ![S:(cartrealn > $o)]:(((hull @ conic @ S) = empty) <=> (S = empty))).
thf(aCONVEXu_CONEu_HULLu_EMPTY, axiom, ((hull @ convexu_cone @ empty) = (insert @ (vec @ (numeral @ u_0)) @ empty))).
thf(aCONVEXu_CONEu_HULLu_SEPARATEu_NONEMPTY, axiom, ![S:(cartrealn > $o)]:(~ ((S = empty)) => ((hull @ convexu_cone @ S) = (hull @ conic @ (hull @ convex @ S))))).
thf(aCONVEXu_HULLu_EMPTY, axiom, ((hull @ convex @ empty) = empty)).
thf(aCONVEXu_HULLu_EQu_EMPTY, axiom, ![S:(cartrealn > $o)]:(((hull @ convex @ S) = empty) <=> (S = empty))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((hull @ convexu_cone @ S) = (insert @ (vec @ (numeral @ u_0)) @ (hull @ conic @ (hull @ convex @ S))))).
