%   ORIGINAL: CONVEX_CONE_HULL_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONIC_HULL_EXPLICIT: !s. conic hull s = {c % x | &0 <= c /\ x IN s}
% Assm: CONVEX_CONE_HULL_SEPARATE: !s. convex_cone hull s = vec 0 INSERT (conic hull (convex hull s))
% Assm: TRUTH: T
% Goal: !s. convex_cone hull s = vec 0 INSERT {c % x | &0 <= c /\ x IN convex hull s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. conic hull s = {c % x | &0 <= c /\ x IN s}
% Assm: !s. convex_cone hull s = vec 0 INSERT (conic hull (convex hull s))
% Assm: T
% Goal: !s. convex_cone hull s = vec 0 INSERT {c % x | &0 <= c /\ x IN convex hull s}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconic, type, conic : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONICu_HULLu_EXPLICIT, axiom, ![S:(cartrealn > $o)]:((hull @ conic @ S) = (gspec @ ^[GENR_PVARR_833:cartrealn]:?[C:real,X:cartrealn]:(setspec @ GENR_PVARR_833 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & (in @ X @ S)) @ (r_ @ C @ X))))).
thf(aCONVEXu_CONEu_HULLu_SEPARATE, axiom, ![S:(cartrealn > $o)]:((hull @ convexu_cone @ S) = (insert @ (vec @ (numeral @ u_0)) @ (hull @ conic @ (hull @ convex @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((hull @ convexu_cone @ S) = (insert @ (vec @ (numeral @ u_0)) @ (gspec @ ^[GENR_PVARR_1021:cartrealn]:?[C:real,X:cartrealn]:(setspec @ GENR_PVARR_1021 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & (in @ X @ (hull @ convex @ S))) @ (r_ @ C @ X)))))).
