%   ORIGINAL: CONVEX_CONE_HULL_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONIC_HULL_LINEAR_IMAGE: !f s. linear f ==> conic hull IMAGE f s = IMAGE f (conic hull s)
% Assm: CONVEX_CONE_HULL_EMPTY: convex_cone hull {} = {vec 0}
% Assm: CONVEX_CONE_HULL_SEPARATE_NONEMPTY: !s. ~(s = {}) ==> convex_cone hull s = conic hull (convex hull s)
% Assm: CONVEX_HULL_LINEAR_IMAGE: !f s. linear f ==> convex hull IMAGE f s = IMAGE f (convex hull s)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_CLAUSES_conjunct0: IMAGE f {} = {}
% Assm: IMAGE_CLAUSES_conjunct1: IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_0: !f. linear f ==> f (vec 0) = vec 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !f s. linear f ==> convex_cone hull IMAGE f s = IMAGE f (convex_cone hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. linear f ==> conic hull IMAGE f s = IMAGE f (conic hull s)
% Assm: convex_cone hull {} = {vec 0}
% Assm: !s. ~(s = {}) ==> convex_cone hull s = conic hull (convex hull s)
% Assm: !f s. linear f ==> convex hull IMAGE f s = IMAGE f (convex hull s)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f. IMAGE f {} = {}
% Assm: !x f s. IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: !f. linear f ==> f (vec 0) = vec 0
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !f s. linear f ==> convex_cone hull IMAGE f s = IMAGE f (convex_cone hull s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert1, type, insert1 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinsert0, type, insert0 : (cartrealm > (cartrealm > $o) > cartrealm > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull0, type, hull0 : (((cartrealm > $o) > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty0, type, empty0 : (cartrealm > $o)).
thf(cconvex0, type, convex0 : ((cartrealm > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconic0, type, conic0 : ((cartrealm > $o) > $o)).
thf(cconic, type, conic : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone0, type, convexu_cone0 : ((cartrealm > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cvec0, type, vec0 : (num > cartrealm)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cempty1, type, empty1 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONICu_HULLu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((hull @ conic @ (image @ F @ S)) = (image @ F @ (hull0 @ conic0 @ S))))).
thf(aCONVEXu_CONEu_HULLu_EMPTY, axiom, ((hull @ convexu_cone @ empty) = (insert @ (vec @ (numeral @ u_0)) @ empty))).
thf(aCONVEXu_CONEu_HULLu_SEPARATEu_NONEMPTY, axiom, ![S:(cartrealn > $o)]:(~ ((S = empty)) => ((hull @ convexu_cone @ S) = (hull @ conic @ (hull @ convex @ S))))).
thf(aCONVEXu_HULLu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((hull @ convex @ (image @ F @ S)) = (image @ F @ (hull0 @ convex0 @ S))))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGEu_CLAUSESu_conjunct0, axiom, ![F:(cartrealm > cartrealn)]:((image @ F @ empty0) = empty)).
thf(aIMAGEu_CLAUSESu_conjunct1, axiom, ![X:cartrealm,F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((image @ F @ (insert0 @ X @ S)) = (insert @ (F @ X) @ (image @ F @ S)))).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((image @ F @ S) = empty) <=> (S = empty0))).
thf(aINu_INSERT, axiom, ![X:(cartrealn > $o),Y:(cartrealn > $o),S:((cartrealn > $o) > $o)]:((in0 @ X @ (insert1 @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aLINEARu_0, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => ((F @ (vec0 @ (numeral @ u_0))) = (vec @ (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in1 @ X @ empty1))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((hull @ convexu_cone @ (image @ F @ S)) = (image @ F @ (hull0 @ convexu_cone0 @ S))))).
