%   ORIGINAL: CONVEX_CONE_NEGATIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONIC_NEGATIONS: !s. conic s ==> conic (IMAGE (--) s)
% Assm: CONVEX_NEGATIONS: !s. convex s ==> convex (IMAGE (--) s)
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: convex_cone: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !s. convex_cone s ==> convex_cone (IMAGE (--) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. conic s ==> conic (IMAGE (--) s)
% Assm: !s. convex s ==> convex (IMAGE (--) s)
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: ~F <=> T
% Assm: T
% Assm: !s. convex_cone s <=> ~(s = {}) /\ convex s /\ conic s
% Goal: !s. convex_cone s ==> convex_cone (IMAGE (--) s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq285123, type, cartrealq285123 : $tType).
thf(tq285123, type, q285123 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq285123 > cartrealq285123)).
thf(cimage, type, image : ((cartrealq285123 > cartrealq285123) > (cartrealq285123 > $o) > cartrealq285123 > $o)).
thf(cempty, type, empty : (cartrealq285123 > $o)).
thf(cconvex, type, convex : ((cartrealq285123 > $o) > $o)).
thf(cconic, type, conic : ((cartrealq285123 > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealq285123 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONICu_NEGATIONS, axiom, ![S:(cartrealq285123 > $o)]:((conic @ S) => (conic @ (image @ vectoru_neg @ S)))).
thf(aCONVEXu_NEGATIONS, axiom, ![S:(cartrealq285123 > $o)]:((convex @ S) => (convex @ (image @ vectoru_neg @ S)))).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(cartrealq285123 > cartrealq285123),S:(cartrealq285123 > $o)]:(((image @ F @ S) = empty) <=> (S = empty))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aconvexu_cone, axiom, ![S:(cartrealq285123 > $o)]:((convexu_cone @ S) <=> (~ ((S = empty)) & (convex @ S) & (conic @ S)))).
thf(conjecture, conjecture, ![S:(cartrealq285123 > $o)]:((convexu_cone @ S) => (convexu_cone @ (image @ vectoru_neg @ S)))).
