%   ORIGINAL: FORALL_OF_PASTECART
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FSTCART_PASTECART: !x y. fstcart (pastecart x y) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SNDCART_PASTECART: !x y. sndcart (pastecart x y) = y
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: (!p. P (fstcart o p) (sndcart o p)) <=> (!x y. P x y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x y. fstcart (pastecart x y) = x
% Assm: ~F <=> T
% Assm: !x y. sndcart (pastecart x y) = y
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !P. (!p. P (fstcart o p) (sndcart o p)) <=> (!x y. P x y)
%  TYPES
thf(tcartbfiniteu_summn, type, cartbfinite_summn : $tType).
thf(tcartbm, type, cartbm : $tType).
thf(tcartbn, type, cartbn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cpastecart, type, pastecart : (cartbm > cartbn > cartbfinite_summn)).
thf(co0, type, o0 : ((cartbfinite_summn > cartbn) > (a > cartbfinite_summn) > a > cartbn)).
thf(co, type, o : ((cartbfinite_summn > cartbm) > (a > cartbfinite_summn) > a > cartbm)).
thf(cfstcart, type, fstcart : (cartbfinite_summn > cartbm)).
thf(csndcart, type, sndcart : (cartbfinite_summn > cartbn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFSTCARTu_PASTECART, axiom, ![X:cartbm,Y:cartbn]:((fstcart @ (pastecart @ X @ Y)) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSNDCARTu_PASTECART, axiom, ![X:cartbm,Y:cartbn]:((sndcart @ (pastecart @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(aou_DEFu_monomorphized1, axiom, ![F:(cartbfinite_summn > cartbn),G:(a > cartbfinite_summn)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(aou_DEFu_monomorphized0, axiom, ![F:(cartbfinite_summn > cartbm),G:(a > cartbfinite_summn)]:((o @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![P:((a > cartbm) > (a > cartbn) > $o)]:(![P0:(a > cartbfinite_summn)]:(P @ (o @ fstcart @ P0) @ (o0 @ sndcart @ P0)) <=> ![X:(a > cartbm),Y:(a > cartbn)]:(P @ X @ Y))).
