%   ORIGINAL: CONVEX_ON_CONVEX_HULL_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: CONVEX_HULL_INDEXED: !s. convex hull s = {y | ?k u x. (!i. 1 <= i /\ i <= k ==> &0 <= u i /\ x i IN s) /\ sum (1..k) u = &1 /\ vsum (1..k) (\i. u i % x i) = y}
% Assm: CONVEX_ON_JENSEN: !f s. convex s ==> (f convex_on s <=> (!k u x. (!i. 1 <= i /\ i <= k ==> &0 <= u i /\ x i IN s) /\ sum (1..k) u = &1 ==> f (vsum (1..k) (\i. u i % x i)) <= sum (1..k) (\i. u i * f (x i))))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LMUL: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_LE_NUMSEG: !f g m n. (!i. m <= i /\ i <= n ==> f i <= g i) ==> sum (m..n) f <= sum (m..n) g
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: TRUTH: T
% Goal: !f s b. f convex_on convex hull s /\ (!x. x IN s ==> f x <= b) ==> (!x. x IN convex hull s ==> f x <= b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex (convex hull s)
% Assm: !s. convex hull s = {y | ?k u x. (!i. 1 <= i /\ i <= k ==> &0 <= u i /\ x i IN s) /\ sum (1..k) u = &1 /\ vsum (1..k) (\i. u i % x i) = y}
% Assm: !f s. convex s ==> (f convex_on s <=> (!k u x. (!i. 1 <= i /\ i <= k ==> &0 <= u i /\ x i IN s) /\ sum (1..k) u = &1 ==> f (vsum (1..k) (\i. u i % x i)) <= sum (1..k) (\i. u i * f (x i))))
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P s. s SUBSET P hull s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: !x. x <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x. x * &1 = x
% Assm: !x y. x * y = y * x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f g m n. (!i. m <= i /\ i <= n ==> f i <= g i) ==> sum (m..n) f <= sum (m..n) g
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: T
% Goal: !f s b. f convex_on convex hull s /\ (!x. x IN s ==> f x <= b) ==> (!x. x IN convex hull s ==> f x <= b)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cconvexuu_on, type, convexu_on : ((cartrealn > real) > (cartrealn > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(convex @ (hull @ convex @ S))).
thf(aCONVEXu_HULLu_INDEXED, axiom, ![S:(cartrealn > $o)]:((hull @ convex @ S) = (gspec @ ^[GENR_PVARR_858:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_858 @ ?[K:num,U:(num > real),X:(num > cartrealn)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ K)) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ I)) & (in @ (X @ I) @ S))) & ((sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ K) @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ K) @ ^[I:num]:(r_ @ (U @ I) @ (X @ I))) = Y)) @ Y)))).
thf(aCONVEXu_ONu_JENSEN, axiom, ![F:(cartrealn > real),S:(cartrealn > $o)]:((convex @ S) => ((convexu_on @ F @ S) <=> ![K:num,U:(num > real),X:(num > cartrealn)]:((![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ K)) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ I)) & (in @ (X @ I) @ S))) & ((sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ K) @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_le @ (F @ (vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ K) @ ^[I:num]:(r_ @ (U @ I) @ (X @ I)))) @ (sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ K) @ ^[I:num]:(realu_mul @ (U @ I) @ (F @ (X @ I))))))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUMu_LEu_NUMSEG, axiom, ![F:(num > real),G:(num > real),M:num,N:num]:(![I:num]:(((l_a_ @ M @ I) & (l_a_ @ I @ N)) => (realu_le @ (F @ I) @ (G @ I))) => (realu_le @ (sum @ (o_o_ @ M @ N) @ F) @ (sum @ (o_o_ @ M @ N) @ G)))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum0 @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum0 @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > real),S:(cartrealn > $o),B:real]:(((convexu_on @ F @ (hull @ convex @ S)) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (F @ X) @ B))) => ![X:cartrealn]:((in @ X @ (hull @ convex @ S)) => (realu_le @ (F @ X) @ B)))).
