%   ORIGINAL: SEGMENT_FURTHEST_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NORM_SUB: !x y. norm (x - y) = norm (y - x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_INSERT_EMPTY: !x s. ~(x INSERT s = {})
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SEGMENT_CONVEX_HULL: !a b. segment [a,b] = convex hull {a, b}
% Assm: SIMPLEX_FURTHEST_LE: !a s. FINITE s /\ ~(s = {}) ==> (?y. y IN s /\ (!x. x IN convex hull s ==> norm (x - a) <= norm (y - a)))
% Assm: TRUTH: T
% Goal: !a b x y. x IN segment [a,b] ==> norm (y - x) <= norm (y - a) \/ norm (y - x) <= norm (y - b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE {}
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. norm (x - y) = norm (y - x)
% Assm: ~F <=> T
% Assm: !x s. ~(x INSERT s = {})
% Assm: !x. ~(x IN {})
% Assm: !a b. segment [a,b] = convex hull {a, b}
% Assm: !a s. FINITE s /\ ~(s = {}) ==> (?y. y IN s /\ (!x. x IN convex hull s ==> norm (x - a) <= norm (y - a)))
% Assm: T
% Goal: !a b x y. x IN segment [a,b] ==> norm (y - x) <= norm (y - a) \/ norm (y - x) <= norm (y - b)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert0, type, insert0 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFINITEu_INSERT, axiom, ![S:(a > $o),X:a]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNORMu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_norm @ (vectoru_sub @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ Y @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INSERTu_EMPTY, axiom, ![X:a,S:(a > $o)]:~ (((insert @ X @ S) = empty))).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty0))).
thf(aSEGMENTu_CONVEXu_HULL, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (hull @ convex @ (insert0 @ A @ (insert0 @ B @ empty0))))).
thf(aSIMPLEXu_FURTHESTu_LE, axiom, ![A:cartrealn,S:(cartrealn > $o)]:(((finite0 @ S) & ~ ((S = empty0))) => ?[Y:cartrealn]:((in @ Y @ S) & ![X:cartrealn]:((in @ X @ (hull @ convex @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ X @ A)) @ (vectoru_norm @ (vectoru_sub @ Y @ A))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,X:cartrealn,Y:cartrealn]:((in @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) => ((realu_le @ (vectoru_norm @ (vectoru_sub @ Y @ X)) @ (vectoru_norm @ (vectoru_sub @ Y @ A))) | (realu_le @ (vectoru_norm @ (vectoru_sub @ Y @ X)) @ (vectoru_norm @ (vectoru_sub @ Y @ B)))))).
