%   ORIGINAL: SEGMENT_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NORM_SUB: !x y. norm (x - y) = norm (y - x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SEGMENT_FURTHEST_LE: !a b x y. x IN segment [a,b] ==> norm (y - x) <= norm (y - a) \/ norm (y - x) <= norm (y - b)
% Assm: TRUTH: T
% Assm: VECTOR_SUB_REFL: !x. x - x = vec 0
% Goal: !a b x. x IN segment [a,b] ==> norm (x - a) <= norm (b - a) /\ norm (x - b) <= norm (b - a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: norm (vec 0) = &0
% Assm: !x. &0 <= norm x
% Assm: !x y. norm (x - y) = norm (y - x)
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !a b x y. x IN segment [a,b] ==> norm (y - x) <= norm (y - a) \/ norm (y - x) <= norm (y - b)
% Assm: T
% Assm: !x. x - x = vec 0
% Goal: !a b x. x IN segment [a,b] ==> norm (x - a) <= norm (b - a) /\ norm (x - b) <= norm (b - a)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNORMu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_norm @ (vectoru_sub @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ Y @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSEGMENTu_FURTHESTu_LE, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn,Y:cartrealn]:((in @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) => ((realu_le @ (vectoru_norm @ (vectoru_sub @ Y @ X)) @ (vectoru_norm @ (vectoru_sub @ Y @ A))) | (realu_le @ (vectoru_norm @ (vectoru_sub @ Y @ X)) @ (vectoru_norm @ (vectoru_sub @ Y @ B)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_REFL, axiom, ![X:cartrealn]:((vectoru_sub @ X @ X) = (vec @ (numeral @ u_0)))).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) => ((realu_le @ (vectoru_norm @ (vectoru_sub @ X @ A)) @ (vectoru_norm @ (vectoru_sub @ B @ A))) & (realu_le @ (vectoru_norm @ (vectoru_sub @ X @ B)) @ (vectoru_norm @ (vectoru_sub @ B @ A)))))).
