%   ORIGINAL: STARLIKE_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_EMPTY: bounded {}
% Assm: CONVEX_IMP_STARLIKE: !s. convex s /\ ~(s = {}) ==> starlike s
% Assm: CONVEX_UNIV: convex (:real^N)
% Assm: NOT_BOUNDED_UNIV: ~bounded (:real^N)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: starlike (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: bounded {}
% Assm: !s. convex s /\ ~(s = {}) ==> starlike s
% Assm: convex (:real^N)
% Assm: ~bounded (:real^N)
% Assm: ~F <=> T
% Assm: T
% Goal: starlike (:real^N)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq181609, type, cartrealq181609 : $tType).
thf(treal, type, real : $tType).
thf(tq181609, type, q181609 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cbounded0, type, bounded0 : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealq181609 > $o)).
thf(cbounded, type, bounded : ((cartrealq181609 > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cstarlike, type, starlike : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_EMPTY, axiom, (bounded @ empty)).
thf(aCONVEXu_IMPu_STARLIKE, axiom, ![S:(cartrealn > $o)]:(((convex @ S) & ~ ((S = empty0))) => (starlike @ S))).
thf(aCONVEXu_UNIV, axiom, (convex @ univ)).
thf(aNOTu_BOUNDEDu_UNIV, axiom, ~ ((bounded0 @ univ))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (starlike @ univ)).
