%   ORIGINAL: RELATIVE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_OPEN: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: relative_interior: !s. relative_interior s = {x | ?t. open_in (subtopology euclidean (affine hull s)) t /\ x IN t /\ t SUBSET s}
% Goal: !s. relative_interior s = {x | x IN s /\ (?t. open t /\ x IN t /\ t INTER affine hull s SUBSET s)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. relative_interior s = {x | ?t. open_in (subtopology euclidean (affine hull s)) t /\ x IN t /\ t SUBSET s}
% Goal: !s. relative_interior s = {x | x IN s /\ (?t. open t /\ x IN t /\ t INTER affine hull s SUBSET s)}
%  TYPES
thf(tcartrealq291010, type, cartrealq291010 : $tType).
thf(tq291010, type, q291010 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealq291010, type, topologycartrealq291010 : $tType).
%  CONSTS
thf(ceuclidean, type, euclidean : topologycartrealq291010).
thf(copenuu_in, type, openu_in : (topologycartrealq291010 > (cartrealq291010 > $o) > $o)).
thf(csubset, type, subset : ((cartrealq291010 > $o) > (cartrealq291010 > $o) > $o)).
thf(cin, type, in : (cartrealq291010 > (cartrealq291010 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq291010 > $o) > cartrealq291010 > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealq291010 > $o) > cartrealq291010 > $o)).
thf(csubtopology, type, subtopology : (topologycartrealq291010 > (cartrealq291010 > $o) > topologycartrealq291010)).
thf(chull, type, hull : (((cartrealq291010 > $o) > $o) > (cartrealq291010 > $o) > cartrealq291010 > $o)).
thf(cinter, type, inter : ((cartrealq291010 > $o) > (cartrealq291010 > $o) > cartrealq291010 > $o)).
thf(csetspec, type, setspec : (cartrealq291010 > $o > cartrealq291010 > $o)).
thf(caffine, type, affine : ((cartrealq291010 > $o) > $o)).
thf(copen, type, open : ((cartrealq291010 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq291010 > $o),G:(a > cartrealq291010 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq291010 > $o)]:(^[X:cartrealq291010]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq291010 > $o),T:(cartrealq291010 > $o)]:((S = T) <=> ![X:cartrealq291010]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHULLu_INC, axiom, ![P:((cartrealq291010 > $o) > $o),S:(cartrealq291010 > $o),X:cartrealq291010]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq291010 > $o),X:cartrealq291010]:((in @ X @ (gspec @ ^[V:cartrealq291010]:?[Y:cartrealq291010]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealq291010 > $o),T:(cartrealq291010 > $o),X:cartrealq291010]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_OPEN, axiom, ![S:(cartrealq291010 > $o),U:(cartrealq291010 > $o)]:((openu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealq291010 > $o)]:((open @ T) & (S = (inter @ U @ T))))).
thf(aSUBSET, axiom, ![S:(cartrealq291010 > $o),T:(cartrealq291010 > $o)]:((subset @ S @ T) <=> ![X:cartrealq291010]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(arelativeu_interior, axiom, ![S:(cartrealq291010 > $o)]:((relativeu_interior @ S) = (gspec @ ^[GENR_PVARR_1036:cartrealq291010]:?[X:cartrealq291010]:(setspec @ GENR_PVARR_1036 @ ?[T:(cartrealq291010 > $o)]:((openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ T) & (in @ X @ T) & (subset @ T @ S)) @ X)))).
thf(conjecture, conjecture, ![S:(cartrealq291010 > $o)]:((relativeu_interior @ S) = (gspec @ ^[GENR_PVARR_1037:cartrealq291010]:?[X:cartrealq291010]:(setspec @ GENR_PVARR_1037 @ ((in @ X @ S) & ?[T:(cartrealq291010 > $o)]:((open @ T) & (in @ X @ T) & (subset @ (inter @ T @ (hull @ affine @ S)) @ S))) @ X)))).
