%   ORIGINAL: RELATIVE_INTERIOR_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_SUBOPEN: !top s. open_in top s <=> (!x. x IN s ==> (?t. open_in top t /\ x IN t /\ t SUBSET s))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: relative_interior: !s. relative_interior s = {x | ?t. open_in (subtopology euclidean (affine hull s)) t /\ x IN t /\ t SUBSET s}
% Goal: !s. relative_interior s = s <=> open_in (subtopology euclidean (affine hull s)) s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !top s. open_in top s <=> (!x. x IN s ==> (?t. open_in top t /\ x IN t /\ t SUBSET s))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. relative_interior s = {x | ?t. open_in (subtopology euclidean (affine hull s)) t /\ x IN t /\ t SUBSET s}
% Goal: !s. relative_interior s = s <=> open_in (subtopology euclidean (affine hull s)) s
%  TYPES
thf(tq291022, type, q291022 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(ttopologycartrealq291022, type, topologycartrealq291022 : $tType).
thf(tcartrealq291022, type, cartrealq291022 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealq291022 > $o) > cartrealq291022 > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealq291022 > $o) > (cartrealq291022 > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (cartrealq291022 > (cartrealq291022 > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealq291022 > (cartrealq291022 > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealq291022 > $o) > cartrealq291022 > $o)).
thf(csetspec0, type, setspec0 : (cartrealq291022 > $o > cartrealq291022 > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(chull, type, hull : (((cartrealq291022 > $o) > $o) > (cartrealq291022 > $o) > cartrealq291022 > $o)).
thf(csubtopology, type, subtopology : (topologycartrealq291022 > (cartrealq291022 > $o) > topologycartrealq291022)).
thf(caffine, type, affine : ((cartrealq291022 > $o) > $o)).
thf(ceuclidean, type, euclidean : topologycartrealq291022).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealq291022 > $o),G:(cartrealq291022 > $o)]:(![X:cartrealq291022]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq291022 > $o)]:(^[X:cartrealq291022]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq291022 > $o),T:(cartrealq291022 > $o)]:((S = T) <=> ![X:cartrealq291022]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_SUBOPEN, axiom, ![TOP:topologycartrealq291022,S:(cartrealq291022 > $o)]:((openu_in @ TOP @ S) <=> ![X:cartrealq291022]:((in @ X @ S) => ?[T:(cartrealq291022 > $o)]:((openu_in @ TOP @ T) & (in @ X @ T) & (subset @ T @ S))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(arelativeu_interior, axiom, ![S:(cartrealq291022 > $o)]:((relativeu_interior @ S) = (gspec0 @ ^[GENR_PVARR_1036:cartrealq291022]:?[X:cartrealq291022]:(setspec0 @ GENR_PVARR_1036 @ ?[T:(cartrealq291022 > $o)]:((openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ T) & (in @ X @ T) & (subset @ T @ S)) @ X)))).
thf(conjecture, conjecture, ![S:(cartrealq291022 > $o)]:(((relativeu_interior @ S) = S) <=> (openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ S))).
