%   ORIGINAL: RELATIVE_INTERIOR_AFFINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HULL_P: !P s. P s ==> P hull s = s
% Assm: OPEN_IN_SUBTOPOLOGY_REFL: !top u. open_in (subtopology top u) u <=> u SUBSET topspace top
% Assm: RELATIVE_INTERIOR_EQ: !s. relative_interior s = s <=> open_in (subtopology euclidean (affine hull s)) s
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TOPSPACE_EUCLIDEAN: topspace euclidean = (:real^N)
% Assm: TRUTH: T
% Goal: !s. affine s ==> relative_interior s = s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P s. P s ==> P hull s = s
% Assm: !top u. open_in (subtopology top u) u <=> u SUBSET topspace top
% Assm: !s. relative_interior s = s <=> open_in (subtopology euclidean (affine hull s)) s
% Assm: !s. s SUBSET (:A)
% Assm: topspace euclidean = (:real^N)
% Assm: T
% Goal: !s. affine s ==> relative_interior s = s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(ttopologya, type, topologya : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ctopspace0, type, topspace0 : (topologycartrealn > cartrealn > $o)).
thf(copenuu_in0, type, openu_in0 : (topologycartrealn > (cartrealn > $o) > $o)).
thf(ctopspace, type, topspace : (topologya > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologya > (a > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csubtopology0, type, subtopology0 : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(csubtopology, type, subtopology : (topologya > (a > $o) > topologya)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHULLu_P, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:((P @ S) => ((hull @ P @ S) = S))).
thf(aOPENu_INu_SUBTOPOLOGYu_REFL, axiom, ![TOP:topologya,U:(a > $o)]:((openu_in @ (subtopology @ TOP @ U) @ U) <=> (subset @ U @ (topspace @ TOP)))).
thf(aRELATIVEu_INTERIORu_EQ, axiom, ![S:(cartrealn > $o)]:(((relativeu_interior @ S) = S) <=> (openu_in0 @ (subtopology0 @ euclidean @ (hull @ affine @ S)) @ S))).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset @ S @ univ)).
thf(aTOPSPACEu_EUCLIDEAN, axiom, ((topspace0 @ euclidean) = univ0)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((affine @ S) => ((relativeu_interior @ S) = S))).
