%   ORIGINAL: SUBSET_RELATIVE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: relative_interior: !s. relative_interior s = {x | ?t. open_in (subtopology euclidean (affine hull s)) t /\ x IN t /\ t SUBSET s}
% Goal: !s t. s SUBSET t /\ affine hull s = affine hull t ==> relative_interior s SUBSET relative_interior t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. relative_interior s = {x | ?t. open_in (subtopology euclidean (affine hull s)) t /\ x IN t /\ t SUBSET s}
% Goal: !s t. s SUBSET t /\ affine hull s = affine hull t ==> relative_interior s SUBSET relative_interior t
%  TYPES
thf(ttopologycartrealq291158, type, topologycartrealq291158 : $tType).
thf(ta, type, a : $tType).
thf(tq291158, type, q291158 : $tType).
thf(tcartrealq291158, type, cartrealq291158 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(ceuclidean, type, euclidean : topologycartrealq291158).
thf(copenuu_in, type, openu_in : (topologycartrealq291158 > (cartrealq291158 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealq291158 > $o) > cartrealq291158 > $o)).
thf(cin0, type, in0 : (cartrealq291158 > (cartrealq291158 > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealq291158 > $o) > cartrealq291158 > $o)).
thf(csubset, type, subset : ((cartrealq291158 > $o) > (cartrealq291158 > $o) > $o)).
thf(csubtopology, type, subtopology : (topologycartrealq291158 > (cartrealq291158 > $o) > topologycartrealq291158)).
thf(csetspec0, type, setspec0 : (cartrealq291158 > $o > cartrealq291158 > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(chull, type, hull : (((cartrealq291158 > $o) > $o) > (cartrealq291158 > $o) > cartrealq291158 > $o)).
thf(caffine, type, affine : ((cartrealq291158 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq291158 > $o),G:(a > cartrealq291158 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq291158 > $o)]:(^[X:cartrealq291158]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq291158 > $o),T:(cartrealq291158 > $o)]:((subset @ S @ T) <=> ![X:cartrealq291158]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(arelativeu_interior, axiom, ![S:(cartrealq291158 > $o)]:((relativeu_interior @ S) = (gspec0 @ ^[GENR_PVARR_1036:cartrealq291158]:?[X:cartrealq291158]:(setspec0 @ GENR_PVARR_1036 @ ?[T:(cartrealq291158 > $o)]:((openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ T) & (in0 @ X @ T) & (subset @ T @ S)) @ X)))).
thf(conjecture, conjecture, ![S:(cartrealq291158 > $o),T:(cartrealq291158 > $o)]:(((subset @ S @ T) & ((hull @ affine @ S) = (hull @ affine @ T))) => (subset @ (relativeu_interior @ S) @ (relativeu_interior @ T)))).
