%   ORIGINAL: IN_RELATIVE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: OPEN_CONTAINS_BALL: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: OPEN_IN_OPEN: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: relative_interior: !s. relative_interior s = {x | ?t. open_in (subtopology euclidean (affine hull s)) t /\ x IN t /\ t SUBSET s}
% Goal: !x s. x IN relative_interior s <=> x IN s /\ (?e. &0 < e /\ ball (x,e) INTER affine hull s SUBSET s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !t. (\x. t x) = t
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x e. open (ball (x,e))
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. relative_interior s = {x | ?t. open_in (subtopology euclidean (affine hull s)) t /\ x IN t /\ t SUBSET s}
% Goal: !x s. x IN relative_interior s <=> x IN s /\ (?e. &0 < e /\ ball (x,e) INTER affine hull s SUBSET s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealn,E:real]:((in @ X @ (ball @ (c_ @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHULLu_INC, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_BALL, axiom, ![X:cartrealn,E:real]:(open @ (ball @ (c_ @ X @ E)))).
thf(aOPENu_CONTAINSu_BALL, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> ![X:cartrealn]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (ball @ (c_ @ X @ E)) @ S))))).
thf(aOPENu_INu_OPEN, axiom, ![S:(cartrealn > $o),U:(cartrealn > $o)]:((openu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealn > $o)]:((open @ T) & (S = (inter @ U @ T))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(arelativeu_interior, axiom, ![S:(cartrealn > $o)]:((relativeu_interior @ S) = (gspec @ ^[GENR_PVARR_1036:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1036 @ ?[T:(cartrealn > $o)]:((openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ T) & (in @ X @ T) & (subset @ T @ S)) @ X)))).
thf(conjecture, conjecture, ![X:cartrealn,S:(cartrealn > $o)]:((in @ X @ (relativeu_interior @ S)) <=> ((in @ X @ S) & ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (inter @ (ball @ (c_ @ X @ E)) @ (hull @ affine @ S)) @ S))))).
