%   ORIGINAL: OPEN_IN_SUBSET_RELATIVE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RELATIVE_INTERIOR_MAXIMAL: !s t. t SUBSET s /\ open_in (subtopology euclidean (affine hull s)) t ==> t SUBSET relative_interior s
% Assm: RELATIVE_INTERIOR_SUBSET: !s. relative_interior s SUBSET s
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !s t. open_in (subtopology euclidean (affine hull t)) s ==> (s SUBSET relative_interior t <=> s SUBSET t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s t. t SUBSET s /\ open_in (subtopology euclidean (affine hull s)) t ==> t SUBSET relative_interior s
% Assm: !s. relative_interior s SUBSET s
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !s t. open_in (subtopology euclidean (affine hull t)) s ==> (s SUBSET relative_interior t <=> s SUBSET t)
%  TYPES
thf(tq291451, type, q291451 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealq291451, type, topologycartrealq291451 : $tType).
thf(tcartrealq291451, type, cartrealq291451 : $tType).
%  CONSTS
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealq291451 > $o) > cartrealq291451 > $o)).
thf(csubset, type, subset : ((cartrealq291451 > $o) > (cartrealq291451 > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealq291451 > (cartrealq291451 > $o) > $o)).
thf(chull, type, hull : (((cartrealq291451 > $o) > $o) > (cartrealq291451 > $o) > cartrealq291451 > $o)).
thf(csubtopology, type, subtopology : (topologycartrealq291451 > (cartrealq291451 > $o) > topologycartrealq291451)).
thf(caffine, type, affine : ((cartrealq291451 > $o) > $o)).
thf(ceuclidean, type, euclidean : topologycartrealq291451).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRELATIVEu_INTERIORu_MAXIMAL, axiom, ![S:(cartrealq291451 > $o),T:(cartrealq291451 > $o)]:(((subset @ T @ S) & (openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ T)) => (subset @ T @ (relativeu_interior @ S)))).
thf(aRELATIVEu_INTERIORu_SUBSET, axiom, ![S:(cartrealq291451 > $o)]:(subset @ (relativeu_interior @ S) @ S)).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealq291451 > $o),T:(cartrealq291451 > $o),U:(cartrealq291451 > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq291451 > $o),T:(cartrealq291451 > $o)]:((openu_in @ (subtopology @ euclidean @ (hull @ affine @ T)) @ S) => ((subset @ S @ (relativeu_interior @ T)) <=> (subset @ S @ T)))).
