%   ORIGINAL: RELATIVE_INTERIOR_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN: !s. open s <=> open_in euclidean s
% Assm: SUBTOPOLOGY_UNIV: !top. subtopology top (:?167925) = top
% Assm: TRUTH: T
% Assm: interior: !s. interior s = {x | ?t. open t /\ x IN t /\ t SUBSET s}
% Assm: relative_interior: !s. relative_interior s = {x | ?t. open_in (subtopology euclidean (affine hull s)) t /\ x IN t /\ t SUBSET s}
% Goal: !s. affine hull s = (:real^N) ==> relative_interior s = interior s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. open s <=> open_in euclidean s
% Assm: !top. subtopology top (:real^N) = top
% Assm: T
% Assm: !s. interior s = {x | ?t. open t /\ x IN t /\ t SUBSET s}
% Assm: !s. relative_interior s = {x | ?t. open_in (subtopology euclidean (affine hull s)) t /\ x IN t /\ t SUBSET s}
% Goal: !s. affine hull s = (:real^N) ==> relative_interior s = interior s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_IN, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (openu_in @ euclidean @ S))).
thf(aSUBTOPOLOGYu_UNIV, axiom, ![TOP:topologycartrealn]:((subtopology @ TOP @ univ) = TOP)).
thf(aTRUTH, axiom, $true).
thf(ainterior, axiom, ![S:(cartrealn > $o)]:((interior @ S) = (gspec @ ^[GENR_PVARR_466:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_466 @ ?[T:(cartrealn > $o)]:((open @ T) & (in @ X @ T) & (subset @ T @ S)) @ X)))).
thf(arelativeu_interior, axiom, ![S:(cartrealn > $o)]:((relativeu_interior @ S) = (gspec @ ^[GENR_PVARR_1036:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1036 @ ?[T:(cartrealn > $o)]:((openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ T) & (in @ X @ T) & (subset @ T @ S)) @ X)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((hull @ affine @ S) = univ) => ((relativeu_interior @ S) = (interior @ S)))).
