%   ORIGINAL: RELATIVE_INTERIOR_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_HULL_OPEN: !s. open s /\ ~(s = {}) ==> affine hull s = (:real^N)
% Assm: INTERIOR_EQ: !s. interior s = s <=> open s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RELATIVE_INTERIOR_EMPTY: relative_interior {} = {}
% Assm: RELATIVE_INTERIOR_INTERIOR: !s. affine hull s = (:real^N) ==> relative_interior s = interior s
% Assm: TRUTH: T
% Goal: !s. open s ==> relative_interior s = s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. open s /\ ~(s = {}) ==> affine hull s = (:real^N)
% Assm: !s. interior s = s <=> open s
% Assm: ~F <=> T
% Assm: relative_interior {} = {}
% Assm: !s. affine hull s = (:real^N) ==> relative_interior s = interior s
% Assm: T
% Goal: !s. open s ==> relative_interior s = s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_HULLu_OPEN, axiom, ![S:(cartrealn > $o)]:(((open @ S) & ~ ((S = empty))) => ((hull @ affine @ S) = univ))).
thf(aINTERIORu_EQ, axiom, ![S:(cartrealn > $o)]:(((interior @ S) = S) <=> (open @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRELATIVEu_INTERIORu_EMPTY, axiom, ((relativeu_interior @ empty) = empty)).
thf(aRELATIVEu_INTERIORu_INTERIOR, axiom, ![S:(cartrealn > $o)]:(((hull @ affine @ S) = univ) => ((relativeu_interior @ S) = (interior @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((open @ S) => ((relativeu_interior @ S) = S))).
