%   ORIGINAL: AFFINE_HULL_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_AFFINE_HULL: !s. affine (affine hull s)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_HULL_SUBSET_AFFINE_HULL: !s. convex hull s SUBSET affine hull s
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: HULL_UNIQUE: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !s. affine hull (convex hull s) = affine hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. affine (affine hull s)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex hull s SUBSET affine hull s
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: !P s. s SUBSET P hull s
% Assm: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
% Assm: ~F <=> T
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !s. affine hull (convex hull s) = affine hull s
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq291957, type, q291957 : $tType).
thf(tcartrealq291957, type, cartrealq291957 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealq291957 > $o) > (cartrealq291957 > $o) > $o)).
thf(chull, type, hull : (((cartrealq291957 > $o) > $o) > (cartrealq291957 > $o) > cartrealq291957 > $o)).
thf(cconvex, type, convex : ((cartrealq291957 > $o) > $o)).
thf(caffine, type, affine : ((cartrealq291957 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq291957 > $o),G:(a > cartrealq291957 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_AFFINEu_HULL, axiom, ![S:(cartrealq291957 > $o)]:(affine @ (hull @ affine @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_HULLu_SUBSETu_AFFINEu_HULL, axiom, ![S:(cartrealq291957 > $o)]:(subset @ (hull @ convex @ S) @ (hull @ affine @ S))).
thf(aHULLu_MINIMAL, axiom, ![P:((cartrealq291957 > $o) > $o),S:(cartrealq291957 > $o),T:(cartrealq291957 > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealq291957 > $o) > $o),S:(cartrealq291957 > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aHULLu_UNIQUE, axiom, ![P:((cartrealq291957 > $o) > $o),S:(cartrealq291957 > $o),T:(cartrealq291957 > $o)]:(((subset @ S @ T) & (P @ T) & ![TI_:(cartrealq291957 > $o)]:(((subset @ S @ TI_) & (P @ TI_)) => (subset @ T @ TI_))) => ((hull @ P @ S) = T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq291957 > $o)]:((hull @ affine @ (hull @ convex @ S)) = (hull @ affine @ S))).
