%   ORIGINAL: INTERIOR_SIMPLEX_NONEMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_EQ_SPAN: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_GE_DIM_INDEPENDENT: !v b. b SUBSET v /\ independent b /\ dim v <= CARD b ==> v SUBSET span b
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: CONVEX_HULL_EQ_EMPTY: !s. convex hull s = {} <=> s = {}
% Assm: DIM_UNIV: dim (:real^N) = dimindex (:N)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LE_REFL: !n. n <= n
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_INSERT_EMPTY: !x s. ~(x INSERT s = {})
% Assm: RELATIVE_INTERIOR_EQ_EMPTY: !s. convex s ==> (relative_interior s = {} <=> s = {})
% Assm: RELATIVE_INTERIOR_INTERIOR: !s. affine hull s = (:real^N) ==> relative_interior s = interior s
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !s. independent s /\ s HAS_SIZE dimindex (:N) ==> (?a. a IN interior (convex hull (vec 0 INSERT s)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v b. b SUBSET v /\ independent b /\ dim v <= CARD b ==> v SUBSET span b
% Assm: !s. convex (convex hull s)
% Assm: !s. convex hull s = {} <=> s = {}
% Assm: dim (:real^N) = dimindex (:N)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P s. s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. x IN (:real^N)
% Assm: !x. I x = x
% Assm: !n. n <= n
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !x s. ~(x INSERT s = {})
% Assm: !s. convex s ==> (relative_interior s = {} <=> s = {})
% Assm: !s. affine hull s = (:real^N) ==> relative_interior s = interior s
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET (:N)
% Assm: T
% Goal: !s. independent s /\ s HAS_SIZE dimindex (:N) ==> (?a. a IN interior (convex hull (vec 0 INSERT s)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq119168, type, q119168 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq119168, type, cartrealq119168 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset1, type, subset1 : ((n > $o) > (n > $o) > $o)).
thf(cspan0, type, span0 : ((cartrealq119168 > $o) > cartrealq119168 > $o)).
thf(csubset0, type, subset0 : ((cartrealq119168 > $o) > (cartrealq119168 > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_EQu_SPAN, axiom, ![S:(cartrealn > $o)]:((in @ (vec @ (numeral @ u_0)) @ (hull @ affine @ S)) => ((hull @ affine @ S) = (span @ S)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_GEu_DIMu_INDEPENDENT, axiom, ![V:(cartrealn > $o),B:(cartrealn > $o)]:(((subset @ B @ V) & (independent @ B) & (l_a_ @ (dim @ V) @ (card @ B))) => (subset @ V @ (span @ B)))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(convex @ (hull @ convex @ S))).
thf(aCONVEXu_HULLu_EQu_EMPTY, axiom, ![S:(cartrealn > $o)]:(((hull @ convex @ S) = empty) <=> (S = empty))).
thf(aDIMu_UNIV, axiom, ((dim @ univ0) = (dimindex @ univ))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHASu_SIZE, axiom, ![S:(cartrealn > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aHULLu_INC, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ0)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INSERTu_EMPTY, axiom, ![X:cartrealn,S:(cartrealn > $o)]:~ (((insert @ X @ S) = empty))).
thf(aRELATIVEu_INTERIORu_EQu_EMPTY, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (((relativeu_interior @ S) = empty) <=> (S = empty)))).
thf(aRELATIVEu_INTERIORu_INTERIOR, axiom, ![S:(cartrealn > $o)]:(((hull @ affine @ S) = univ0) => ((relativeu_interior @ S) = (interior @ S)))).
thf(aSPANu_MONO, axiom, ![S:(cartrealq119168 > $o),T:(cartrealq119168 > $o)]:((subset0 @ S @ T) => (subset0 @ (span0 @ S) @ (span0 @ T)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_UNIV, axiom, ![S:(n > $o)]:(subset1 @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((independent @ S) & (hasu_size @ S @ (dimindex @ univ))) => ?[A:cartrealn]:(in @ A @ (interior @ (hull @ convex @ (insert @ (vec @ (numeral @ u_0)) @ S)))))).
