%   ORIGINAL: INTERIOR_SUBSET_RELATIVE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERIOR: !x s. x IN interior s <=> (?e. &0 < e /\ ball (x,e) SUBSET s)
% Assm: IN_RELATIVE_INTERIOR: !x s. x IN relative_interior s <=> x IN s /\ (?e. &0 < e /\ ball (x,e) INTER affine hull s SUBSET s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. interior s SUBSET relative_interior s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !t. (\x. t x) = t
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x s. x IN interior s <=> (?e. &0 < e /\ ball (x,e) SUBSET s)
% Assm: !x s. x IN relative_interior s <=> x IN s /\ (?e. &0 < e /\ ball (x,e) INTER affine hull s SUBSET s)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. interior s SUBSET relative_interior s
%  TYPES
thf(tnum, type, num : $tType).
thf(tq169309, type, q169309 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq292072real, type, prodcartrealq292072real : $tType).
thf(tprodcartrealq169309real, type, prodcartrealq169309real : $tType).
thf(tcartrealq169309, type, cartrealq169309 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq292072, type, cartrealq292072 : $tType).
thf(tq292072, type, q292072 : $tType).
%  CONSTS
thf(cball0, type, ball0 : (prodcartrealq292072real > cartrealq292072 > $o)).
thf(cin1, type, in1 : (cartrealq292072 > (cartrealq292072 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cball, type, ball : (prodcartrealq169309real > cartrealq169309 > $o)).
thf(cin, type, in : (cartrealq169309 > (cartrealq169309 > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealq292072 > $o) > cartrealq292072 > $o)).
thf(cinterior, type, interior : ((cartrealq292072 > $o) > cartrealq292072 > $o)).
thf(csubset, type, subset : ((cartrealq292072 > $o) > (cartrealq292072 > $o) > $o)).
thf(chull, type, hull : (((cartrealq292072 > $o) > $o) > (cartrealq292072 > $o) > cartrealq292072 > $o)).
thf(cinter0, type, inter0 : ((cartrealq292072 > $o) > (cartrealq292072 > $o) > cartrealq292072 > $o)).
thf(ccu_0, type, c_0 : (cartrealq292072 > real > prodcartrealq292072real)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq169309 > real > prodcartrealq169309real)).
thf(caffine, type, affine : ((cartrealq292072 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealq169309,E:real]:((in @ X @ (ball @ (c_ @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_INTERIOR, axiom, ![X:cartrealq292072,S:(cartrealq292072 > $o)]:((in1 @ X @ (interior @ S)) <=> ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (ball0 @ (c_0 @ X @ E)) @ S)))).
thf(aINu_RELATIVEu_INTERIOR, axiom, ![X:cartrealq292072,S:(cartrealq292072 > $o)]:((in1 @ X @ (relativeu_interior @ S)) <=> ((in1 @ X @ S) & ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (inter0 @ (ball0 @ (c_0 @ X @ E)) @ (hull @ affine @ S)) @ S))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq292072 > $o),T:(cartrealq292072 > $o)]:((subset @ S @ T) <=> ![X:cartrealq292072]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq292072 > $o)]:(subset @ (interior @ S) @ (relativeu_interior @ S))).
