%   ORIGINAL: RELATIVE_INTERIOR_EQ_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_AFFINE_HULL: !s. affine (affine hull s)
% Assm: AFFINE_EMPTY: affine {}
% Assm: AFFINE_HULL_EQ: !s. affine hull s = s <=> affine s
% Assm: AFFINE_IMP_CONVEX: !s. affine s ==> convex s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_AFFINE: !s. affine s ==> closed s
% Assm: CLOSED_SUBSET: !s t. s SUBSET t /\ closed s ==> closed_in (subtopology euclidean t) s
% Assm: CLOSURE_CLOSED: !s. closed s ==> closure s = s
% Assm: CLOSURE_EMPTY: closure {} = {}
% Assm: CLOSURE_EQ: !s. closure s = s <=> closed s
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: CONNECTED_CLOPEN: !s. connected s <=> (!t. open_in (subtopology euclidean s) t /\ closed_in (subtopology euclidean s) t ==> t = {} \/ t = s)
% Assm: CONVEX_CONNECTED: !s. convex s ==> connected s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: RELATIVE_INTERIOR_AFFINE: !s. affine s ==> relative_interior s = s
% Assm: RELATIVE_INTERIOR_EMPTY: relative_interior {} = {}
% Assm: RELATIVE_INTERIOR_EQ: !s. relative_interior s = s <=> open_in (subtopology euclidean (affine hull s)) s
% Assm: RELATIVE_INTERIOR_SUBSET: !s. relative_interior s SUBSET s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. relative_interior s = closure s <=> affine s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !s. affine (affine hull s)
% Assm: affine {}
% Assm: !s. affine hull s = s <=> affine s
% Assm: !s. affine s ==> convex s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. affine s ==> closed s
% Assm: !s t. s SUBSET t /\ closed s ==> closed_in (subtopology euclidean t) s
% Assm: !s. closed s ==> closure s = s
% Assm: closure {} = {}
% Assm: !s. closure s = s <=> closed s
% Assm: !s. s SUBSET closure s
% Assm: !s. connected s <=> (!t. open_in (subtopology euclidean s) t /\ closed_in (subtopology euclidean s) t ==> t = {} \/ t = s)
% Assm: !s. convex s ==> connected s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P s. s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. affine s ==> relative_interior s = s
% Assm: relative_interior {} = {}
% Assm: !s. relative_interior s = s <=> open_in (subtopology euclidean (affine hull s)) s
% Assm: !s. relative_interior s SUBSET s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. relative_interior s = closure s <=> affine s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq94587, type, q94587 : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((q94587 > $o) > (q94587 > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(chull0, type, hull0 : (((q94587 > $o) > $o) > (q94587 > $o) > q94587 > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAFFINEu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(affine @ (hull @ affine @ S))).
thf(aAFFINEu_EMPTY, axiom, (affine @ empty)).
thf(aAFFINEu_HULLu_EQ, axiom, ![S:(cartrealn > $o)]:(((hull @ affine @ S) = S) <=> (affine @ S))).
thf(aAFFINEu_IMPu_CONVEX, axiom, ![S:(cartrealn > $o)]:((affine @ S) => (convex @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_AFFINE, axiom, ![S:(cartrealn > $o)]:((affine @ S) => (closed @ S))).
thf(aCLOSEDu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (closed @ S)) => (closedu_in @ (subtopology @ euclidean @ T) @ S))).
thf(aCLOSUREu_CLOSED, axiom, ![S:(cartrealn > $o)]:((closed @ S) => ((closure @ S) = S))).
thf(aCLOSUREu_EMPTY, axiom, ((closure @ empty) = empty)).
thf(aCLOSUREu_EQ, axiom, ![S:(cartrealn > $o)]:(((closure @ S) = S) <=> (closed @ S))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure @ S))).
thf(aCONNECTEDu_CLOPEN, axiom, ![S:(cartrealn > $o)]:((connected @ S) <=> ![T:(cartrealn > $o)]:(((openu_in @ (subtopology @ euclidean @ S) @ T) & (closedu_in @ (subtopology @ euclidean @ S) @ T)) => ((T = empty) | (T = S))))).
thf(aCONVEXu_CONNECTED, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (connected @ S))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHULLu_SUBSET, axiom, ![P:((q94587 > $o) > $o),S:(q94587 > $o)]:(subset0 @ S @ (hull0 @ P @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty0))).
thf(aRELATIVEu_INTERIORu_AFFINE, axiom, ![S:(cartrealn > $o)]:((affine @ S) => ((relativeu_interior @ S) = S))).
thf(aRELATIVEu_INTERIORu_EMPTY, axiom, ((relativeu_interior @ empty) = empty)).
thf(aRELATIVEu_INTERIORu_EQ, axiom, ![S:(cartrealn > $o)]:(((relativeu_interior @ S) = S) <=> (openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ S))).
thf(aRELATIVEu_INTERIORu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ (relativeu_interior @ S) @ S)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset1 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((relativeu_interior @ S) = (closure @ S)) <=> (affine @ S))).
