%   ORIGINAL: AFFINE_HULL_RELATIVE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_CLOSURE: !s. affine hull closure s = affine hull s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CLOSURE_RELATIVE_INTERIOR: !s. convex s ==> closure (relative_interior s) = closure s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. convex s ==> affine hull relative_interior s = affine hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. affine hull closure s = affine hull s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex s ==> closure (relative_interior s) = closure s
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s. convex s ==> affine hull relative_interior s = affine hull s
%  TYPES
thf(tcartrealq294665, type, cartrealq294665 : $tType).
thf(tq294665, type, q294665 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cclosure, type, closure : ((cartrealq294665 > $o) > cartrealq294665 > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealq294665 > $o) > cartrealq294665 > $o)).
thf(chull, type, hull : (((cartrealq294665 > $o) > $o) > (cartrealq294665 > $o) > cartrealq294665 > $o)).
thf(caffine, type, affine : ((cartrealq294665 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq294665 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq294665 > $o),G:(a > cartrealq294665 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_CLOSURE, axiom, ![S:(cartrealq294665 > $o)]:((hull @ affine @ (closure @ S)) = (hull @ affine @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CLOSUREu_RELATIVEu_INTERIOR, axiom, ![S:(cartrealq294665 > $o)]:((convex @ S) => ((closure @ (relativeu_interior @ S)) = (closure @ S)))).
thf(aETAu_AX, axiom, ![T:(cartrealq294665 > $o)]:(^[X:cartrealq294665]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq294665 > $o)]:((convex @ S) => ((hull @ affine @ (relativeu_interior @ S)) = (hull @ affine @ S)))).
