%   ORIGINAL: CLOSED_RELATIVE_FRONTIER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_AFFINE_HULL: !s. closed (affine hull s)
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: CLOSED_IN_CLOSED_TRANS: !s t. closed_in (subtopology euclidean t) s /\ closed t ==> closed s
% Assm: CLOSED_IN_DIFF: !top s t. closed_in top s /\ open_in top t ==> closed_in top (s DIFF t)
% Assm: CLOSED_SUBSET: !s t. s SUBSET t /\ closed s ==> closed_in (subtopology euclidean t) s
% Assm: CLOSURE_EQ: !s. closure s = s <=> closed s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_RELATIVE_INTERIOR: !s. open_in (subtopology euclidean (affine hull s)) (relative_interior s)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_CLOSURE: !s t. s SUBSET t ==> closure s SUBSET closure t
% Assm: TRUTH: T
% Goal: !s. closed (closure s DIFF relative_interior s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed (affine hull s)
% Assm: !s. closed (closure s)
% Assm: !s t. closed_in (subtopology euclidean t) s /\ closed t ==> closed s
% Assm: !top s t. closed_in top s /\ open_in top t ==> closed_in top (s DIFF t)
% Assm: !s t. s SUBSET t /\ closed s ==> closed_in (subtopology euclidean t) s
% Assm: !s. closure s = s <=> closed s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P s. s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s. open_in (subtopology euclidean (affine hull s)) (relative_interior s)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t ==> closure s SUBSET closure t
% Assm: T
% Goal: !s. closed (closure s DIFF relative_interior s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq94587, type, q94587 : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((q94587 > $o) > (q94587 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(chull0, type, hull0 : (((q94587 > $o) > $o) > (q94587 > $o) > q94587 > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(closed @ (hull @ affine @ S))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealn > $o)]:(closed @ (closure @ S))).
thf(aCLOSEDu_INu_CLOSEDu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closedu_in @ (subtopology @ euclidean @ T) @ S) & (closed @ T)) => (closed @ S))).
thf(aCLOSEDu_INu_DIFF, axiom, ![TOP:topologycartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:(((closedu_in @ TOP @ S) & (openu_in @ TOP @ T)) => (closedu_in @ TOP @ (diff @ S @ T)))).
thf(aCLOSEDu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (closed @ S)) => (closedu_in @ (subtopology @ euclidean @ T) @ S))).
thf(aCLOSUREu_EQ, axiom, ![S:(cartrealn > $o)]:(((closure @ S) = S) <=> (closed @ S))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHULLu_SUBSET, axiom, ![P:((q94587 > $o) > $o),S:(q94587 > $o)]:(subset0 @ S @ (hull0 @ P @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_RELATIVEu_INTERIOR, axiom, ![S:(cartrealn > $o)]:(openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ (relativeu_interior @ S))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset1 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_CLOSURE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (closure @ S) @ (closure @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(closed @ (diff @ (closure @ S) @ (relativeu_interior @ S)))).
