%   ORIGINAL: CONVEX_SAME_RELATIVE_INTERIOR_CLOSURE_STRADDLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_CLOSURE: !s. closure (closure s) = closure s
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: CONVEX_CLOSURE_RELATIVE_INTERIOR: !s. convex s ==> closure (relative_interior s) = closure s
% Assm: CONVEX_RELATIVE_INTERIOR_CLOSURE: !s. convex s ==> relative_interior (closure s) = relative_interior s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RELATIVE_INTERIOR_SUBSET: !s. relative_interior s SUBSET s
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_CLOSURE: !s t. s SUBSET t ==> closure s SUBSET closure t
% Assm: TRUTH: T
% Goal: !s t. convex s /\ convex t ==> (relative_interior s = relative_interior t <=> relative_interior s SUBSET t /\ t SUBSET closure s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closure (closure s) = closure s
% Assm: !s. s SUBSET closure s
% Assm: !s. convex s ==> closure (relative_interior s) = closure s
% Assm: !s. convex s ==> relative_interior (closure s) = relative_interior s
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s. relative_interior s SUBSET s
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t. s SUBSET t ==> closure s SUBSET closure t
% Assm: T
% Goal: !s t. convex s /\ convex t ==> (relative_interior s = relative_interior t <=> relative_interior s SUBSET t /\ t SUBSET closure s)
%  TYPES
thf(treal, type, real : $tType).
thf(tcartrealq295277, type, cartrealq295277 : $tType).
thf(tq295277, type, q295277 : $tType).
%  CONSTS
thf(cclosure, type, closure : ((cartrealq295277 > $o) > cartrealq295277 > $o)).
thf(csubset, type, subset : ((cartrealq295277 > $o) > (cartrealq295277 > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealq295277 > $o) > cartrealq295277 > $o)).
thf(cconvex, type, convex : ((cartrealq295277 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealq295277 > $o),G:(cartrealq295277 > $o)]:(![X:cartrealq295277]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_CLOSURE, axiom, ![S:(cartrealq295277 > $o)]:((closure @ (closure @ S)) = (closure @ S))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealq295277 > $o)]:(subset @ S @ (closure @ S))).
thf(aCONVEXu_CLOSUREu_RELATIVEu_INTERIOR, axiom, ![S:(cartrealq295277 > $o)]:((convex @ S) => ((closure @ (relativeu_interior @ S)) = (closure @ S)))).
thf(aCONVEXu_RELATIVEu_INTERIORu_CLOSURE, axiom, ![S:(cartrealq295277 > $o)]:((convex @ S) => ((relativeu_interior @ (closure @ S)) = (relativeu_interior @ S)))).
thf(aETAu_AX, axiom, ![T:(cartrealq295277 > $o)]:(^[X:cartrealq295277]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRELATIVEu_INTERIORu_SUBSET, axiom, ![S:(cartrealq295277 > $o)]:(subset @ (relativeu_interior @ S) @ S)).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealq295277 > $o),T:(cartrealq295277 > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_CLOSURE, axiom, ![S:(cartrealq295277 > $o),T:(cartrealq295277 > $o)]:((subset @ S @ T) => (subset @ (closure @ S) @ (closure @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq295277 > $o),T:(cartrealq295277 > $o)]:(((convex @ S) & (convex @ T)) => (((relativeu_interior @ S) = (relativeu_interior @ T)) <=> ((subset @ (relativeu_interior @ S) @ T) & (subset @ T @ (closure @ S)))))).
