%   ORIGINAL: CLOSURE_INTERS_CONVEX_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_EMPTY: closure {} = {}
% Assm: CLOSURE_INTERS_CONVEX: !f. (!s. s IN f ==> convex s) /\ ~(INTERS (IMAGE relative_interior f) = {}) ==> closure (INTERS f) = INTERS (IMAGE closure f)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: RELATIVE_INTERIOR_OPEN: !s. open s ==> relative_interior s = s
% Assm: TRUTH: T
% Goal: !f. (!s. s IN f ==> convex s /\ open s) ==> closure (INTERS f) = (if INTERS f = {} then {} else INTERS (IMAGE closure f))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: closure {} = {}
% Assm: !f. (!s. s IN f ==> convex s) /\ ~(INTERS (IMAGE relative_interior f) = {}) ==> closure (INTERS f) = INTERS (IMAGE closure f)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. open s ==> relative_interior s = s
% Assm: T
% Goal: !f. (!s. s IN f ==> convex s /\ open s) ==> closure (INTERS f) = (if INTERS f = {} then {} else INTERS (IMAGE closure f))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cimage, type, image : (((cartrealn > $o) > cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(ccond, type, cond : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty0, type, empty0 : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_EMPTY, axiom, ((closure @ empty) = empty)).
thf(aCLOSUREu_INTERSu_CONVEX, axiom, ![F:((cartrealn > $o) > $o)]:((![S:(cartrealn > $o)]:((in @ S @ F) => (convex @ S)) & ~ (((inters @ (image @ relativeu_interior @ F)) = empty))) => ((closure @ (inters @ F)) = (inters @ (image @ closure @ F))))).
thf(aCONDu_ELIMu_THM, axiom, ![X:(cartrealn > $o),C:$o,P:((cartrealn > $o) > $o),Y:(cartrealn > $o)]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:(cartrealn > $o),S:((cartrealn > $o) > $o),F:((cartrealn > $o) > cartrealn > $o)]:((in @ Y @ (image @ F @ S)) <=> ?[X:(cartrealn > $o)]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealn > $o)]:~ ((in @ X @ empty0))).
thf(aRELATIVEu_INTERIORu_OPEN, axiom, ![S:(cartrealn > $o)]:((open @ S) => ((relativeu_interior @ S) = S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(![S:(cartrealn > $o)]:((in @ S @ F) => ((convex @ S) & (open @ S))) => ((closure @ (inters @ F)) = (cond @ ((inters @ F) = empty) @ empty @ (inters @ (image @ closure @ F)))))).
