%   ORIGINAL: CLOSURE_INTER_CONVEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_INTERS_CONVEX: !f. (!s. s IN f ==> convex s) /\ ~(INTERS (IMAGE relative_interior f) = {}) ==> closure (INTERS f) = INTERS (IMAGE closure f)
% Assm: FORALL_IN_INSERT: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: IMAGE_CLAUSES_conjunct0: IMAGE f {} = {}
% Assm: IMAGE_CLAUSES_conjunct1: IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: INTERS_2: INTERS {s, t} = s INTER t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !s t. convex s /\ convex t /\ ~(relative_interior s INTER relative_interior t = {}) ==> closure (s INTER t) = closure s INTER closure t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. (!s. s IN f ==> convex s) /\ ~(INTERS (IMAGE relative_interior f) = {}) ==> closure (INTERS f) = INTERS (IMAGE closure f)
% Assm: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: !f. IMAGE f {} = {}
% Assm: !x f s. IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: !s t. INTERS {s, t} = s INTER t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !s t. convex s /\ convex t /\ ~(relative_interior s INTER relative_interior t = {}) ==> closure (s INTER t) = closure s INTER closure t
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq47225, type, q47225 : $tType).
thf(treal, type, real : $tType).
thf(tq44739, type, q44739 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (q44739 > (q44739 > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cinsert2, type, insert2 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinsert1, type, insert1 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert0, type, insert0 : (q47225 > (q47225 > $o) > q47225 > $o)).
thf(cimage1, type, image1 : ((q47225 > cartrealn) > (q47225 > $o) > cartrealn > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (q44739 > (q44739 > $o) > q44739 > $o)).
thf(cimage, type, image : (((cartrealn > $o) > cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty0, type, empty0 : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_INTERSu_CONVEX, axiom, ![F:((cartrealn > $o) > $o)]:((![S:(cartrealn > $o)]:((in @ S @ F) => (convex @ S)) & ~ (((inters @ (image @ relativeu_interior @ F)) = empty))) => ((closure @ (inters @ F)) = (inters @ (image @ closure @ F))))).
thf(aFORALLu_INu_INSERT, axiom, ![P:(q44739 > $o),A:q44739,S:(q44739 > $o)]:(![X:q44739]:((in0 @ X @ (insert @ A @ S)) => (P @ X)) <=> ((P @ A) & ![X:q44739]:((in0 @ X @ S) => (P @ X))))).
thf(aIMAGEu_CLAUSESu_conjunct0, axiom, ![F:(cartrealn > cartrealn)]:((image0 @ F @ empty) = empty)).
thf(aIMAGEu_CLAUSESu_conjunct1, axiom, ![X:q47225,F:(q47225 > cartrealn),S:(q47225 > $o)]:((image1 @ F @ (insert0 @ X @ S)) = (insert1 @ (F @ X) @ (image1 @ F @ S)))).
thf(aINTERSu_2, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((inters @ (insert2 @ S @ (insert2 @ T @ empty0))) = (inter @ S @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in1 @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (convex @ T) & ~ (((inter @ (relativeu_interior @ S) @ (relativeu_interior @ T)) = empty))) => ((closure @ (inter @ S @ T)) = (inter @ (closure @ S) @ (closure @ T))))).
