%   ORIGINAL: CLOSURE_INTER_CONVEX_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_EMPTY: closure {} = {}
% Assm: CLOSURE_INTER_CONVEX: !s t. convex s /\ convex t /\ ~(relative_interior s INTER relative_interior t = {}) ==> closure (s INTER t) = closure s INTER closure t
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RELATIVE_INTERIOR_OPEN: !s. open s ==> relative_interior s = s
% Assm: TRUTH: T
% Goal: !s t. convex s /\ open s /\ convex t /\ open t ==> closure (s INTER t) = (if s INTER t = {} then {} else closure s INTER closure t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: closure {} = {}
% Assm: !s t. convex s /\ convex t /\ ~(relative_interior s INTER relative_interior t = {}) ==> closure (s INTER t) = closure s INTER closure t
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ~F <=> T
% Assm: !s. open s ==> relative_interior s = s
% Assm: T
% Goal: !s t. convex s /\ open s /\ convex t /\ open t ==> closure (s INTER t) = (if s INTER t = {} then {} else closure s INTER closure t)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq295718, type, cartrealq295718 : $tType).
thf(tq295718, type, q295718 : $tType).
%  CONSTS
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealq295718 > $o) > cartrealq295718 > $o)).
thf(cclosure, type, closure : ((cartrealq295718 > $o) > cartrealq295718 > $o)).
thf(ccond, type, cond : ($o > (cartrealq295718 > $o) > (cartrealq295718 > $o) > cartrealq295718 > $o)).
thf(cinter, type, inter : ((cartrealq295718 > $o) > (cartrealq295718 > $o) > cartrealq295718 > $o)).
thf(cempty, type, empty : (cartrealq295718 > $o)).
thf(copen, type, open : ((cartrealq295718 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq295718 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq295718 > $o),G:(a > cartrealq295718 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_EMPTY, axiom, ((closure @ empty) = empty)).
thf(aCLOSUREu_INTERu_CONVEX, axiom, ![S:(cartrealq295718 > $o),T:(cartrealq295718 > $o)]:(((convex @ S) & (convex @ T) & ~ (((inter @ (relativeu_interior @ S) @ (relativeu_interior @ T)) = empty))) => ((closure @ (inter @ S @ T)) = (inter @ (closure @ S) @ (closure @ T))))).
thf(aCONDu_ELIMu_THM, axiom, ![X:(cartrealq295718 > $o),C:$o,P:((cartrealq295718 > $o) > $o),Y:(cartrealq295718 > $o)]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRELATIVEu_INTERIORu_OPEN, axiom, ![S:(cartrealq295718 > $o)]:((open @ S) => ((relativeu_interior @ S) = S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq295718 > $o),T:(cartrealq295718 > $o)]:(((convex @ S) & (open @ S) & (convex @ T) & (open @ T)) => ((closure @ (inter @ S @ T)) = (cond @ ((inter @ S @ T) = empty) @ empty @ (inter @ (closure @ S) @ (closure @ T)))))).
