%   ORIGINAL: CLOSURE_RATIONALS_IN_CONVEX_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_CONVEX_INTER_SUPERSET: !s t. convex s /\ ~(interior s = {}) /\ interior s SUBSET closure t ==> closure (s INTER t) = closure s
% Assm: CLOSURE_RATIONAL_COORDINATES: closure {x | !i. 1 <= i /\ i <= dimindex (:N) ==> rational (x$i)} = (:real^N)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !s. convex s /\ ~(interior s = {}) ==> closure (s INTER {x | !i. 1 <= i /\ i <= dimindex (:N) ==> rational (x$i)}) = closure s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. convex s /\ ~(interior s = {}) /\ interior s SUBSET closure t ==> closure (s INTER t) = closure s
% Assm: closure {x | !i. 1 <= i /\ i <= dimindex (:N) ==> rational (x$i)} = (:real^N)
% Assm: ~F <=> T
% Assm: !s. s SUBSET (:N)
% Assm: T
% Goal: !s. convex s /\ ~(interior s = {}) ==> closure (s INTER {x | !i. 1 <= i /\ i <= dimindex (:N) ==> rational (x$i)}) = closure s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset0, type, subset0 : ((n > $o) > (n > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crational, type, rational : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_CONVEXu_INTERu_SUPERSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & ~ (((interior @ S) = empty)) & (subset @ (interior @ S) @ (closure @ T))) => ((closure @ (inter @ S @ T)) = (closure @ S)))).
thf(aCLOSUREu_RATIONALu_COORDINATES, axiom, ((closure @ (gspec @ ^[GENR_PVARR_763:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_763 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (rational @ (d_ @ X @ I))) @ X))) = univ0)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_UNIV, axiom, ![S:(n > $o)]:(subset0 @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((convex @ S) & ~ (((interior @ S) = empty))) => ((closure @ (inter @ S @ (gspec @ ^[GENR_PVARR_1043:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1043 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (rational @ (d_ @ X @ I))) @ X)))) = (closure @ S)))).
