%   ORIGINAL: SUPPORTING_HYPERPLANE_RELATIVE_FRONTIER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CLOSURE: !s. convex s ==> convex (closure s)
% Assm: CONVEX_RELATIVE_INTERIOR_CLOSURE: !s. convex s ==> relative_interior (closure s) = relative_interior s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUPPORTING_HYPERPLANE_RELATIVE_BOUNDARY: !s x. convex s /\ x IN s /\ ~(x IN relative_interior s) ==> (?a. ~(a = vec 0) /\ (!y. y IN s ==> a dot x <= a dot y) /\ (!y. y IN relative_interior s ==> a dot x < a dot y))
% Assm: TRUTH: T
% Goal: !s x. convex s /\ x IN closure s /\ ~(x IN relative_interior s) ==> (?a. ~(a = vec 0) /\ (!y. y IN closure s ==> a dot x <= a dot y) /\ (!y. y IN relative_interior s ==> a dot x < a dot y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex s ==> convex (closure s)
% Assm: !s. convex s ==> relative_interior (closure s) = relative_interior s
% Assm: ~F <=> T
% Assm: !s x. convex s /\ x IN s /\ ~(x IN relative_interior s) ==> (?a. ~(a = vec 0) /\ (!y. y IN s ==> a dot x <= a dot y) /\ (!y. y IN relative_interior s ==> a dot x < a dot y))
% Assm: T
% Goal: !s x. convex s /\ x IN closure s /\ ~(x IN relative_interior s) ==> (?a. ~(a = vec 0) /\ (!y. y IN closure s ==> a dot x <= a dot y) /\ (!y. y IN relative_interior s ==> a dot x < a dot y))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (convex @ (closure @ S)))).
thf(aCONVEXu_RELATIVEu_INTERIORu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((convex @ S) => ((relativeu_interior @ (closure @ S)) = (relativeu_interior @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUPPORTINGu_HYPERPLANEu_RELATIVEu_BOUNDARY, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((convex @ S) & (in @ X @ S) & ~ ((in @ X @ (relativeu_interior @ S)))) => ?[A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) & ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (dot @ A @ X) @ (dot @ A @ Y))) & ![Y:cartrealn]:((in @ Y @ (relativeu_interior @ S)) => (realu_lt @ (dot @ A @ X) @ (dot @ A @ Y)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:(((convex @ S) & (in @ X @ (closure @ S)) & ~ ((in @ X @ (relativeu_interior @ S)))) => ?[A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) & ![Y:cartrealn]:((in @ Y @ (closure @ S)) => (realu_le @ (dot @ A @ X) @ (dot @ A @ Y))) & ![Y:cartrealn]:((in @ Y @ (relativeu_interior @ S)) => (realu_lt @ (dot @ A @ X) @ (dot @ A @ Y)))))).
