%   ORIGINAL: EXPLICIT_SUBSET_RELATIVE_INTERIOR_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: AFFINE_HULL_CONVEX_HULL: !s. affine hull (convex hull s) = affine hull s
% Assm: AFFINE_HULL_FINITE: !s. affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_EQ_conjunct5: !n. _0 = BIT1 n <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BASIS_COORDINATES_LIPSCHITZ: !b. independent b ==> (?B. &0 < B /\ (!c v. v IN b ==> abs (c v) <= B * norm (vsum b (\v. c v % v))))
% Assm: BASIS_EXISTS: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CONVEX_HULL_FINITE: !s. convex hull s = {y | ?u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y}
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: EMPTY_GSPEC: {x | F} = {}
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Float.ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INF_LE_FINITE: !s a. FINITE s /\ ~(s = {}) ==> (inf s <= a <=> (?x. x IN s /\ x <= a))
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_DIV2_EQ: !x y z. &0 < z ==> (x / z <= y / z <=> x <= y)
% Assm: REAL_LE_LMUL: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LE_SUP_FINITE: !s a. FINITE s /\ ~(s = {}) ==> (a <= sup s <=> (?x. x IN s /\ a <= x))
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_DIV: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: REAL_LT_INF_FINITE: !s a. FINITE s /\ ~(s = {}) ==> (a < inf s <=> (!x. x IN s ==> a < x))
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: REAL_LT_RDIV_EQ: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: REAL_SUB_REFL: !x. x - x = &0
% Assm: RELATIVE_INTERIOR_MAXIMAL: !s t. t SUBSET s /\ open_in (subtopology euclidean (affine hull s)) t ==> t SUBSET relative_interior s
% Assm: Real_ext.ABS_POS: !x. &0 <= abs x
% Assm: Real_ext.REAL_PROP_LE_LRMUL: !w x y z. &0 <= w /\ w <= x /\ &0 <= y /\ y <= z ==> w * y <= x * z
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SPAN_FINITE: !s. FINITE s ==> span s = {y | ?u. vsum s (\v. u v % v) = y}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_IMAGE: !f s t. s SUBSET IMAGE f t <=> (?u. u SUBSET t /\ s = IMAGE f u)
% Assm: SUM_ABS_LE: !f g s. FINITE s /\ (!x. x IN s ==> abs (f x) <= g x) ==> abs (sum s f) <= sum s g
% Assm: SUM_ADD: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_EQ_0: !f s. (!x. x IN s ==> f x = &0) ==> sum s f = &0
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: SUM_POS_LE: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= sum s f
% Assm: SUM_SUB: !f g s. FINITE s ==> sum s (\x. f x - g x) = sum s f - sum s g
% Assm: SUM_SWAP: !f s t. FINITE s /\ FINITE t ==> sum s (\i. sum t (f i)) = sum t (\j. sum s (\i. f i j))
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Assm: VECTOR_ADD_RDISTRIB: (a + b) % x = a % x + b % x
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_SUB: x - y = x + --y
% Assm: VECTOR_SUB_RDISTRIB: (a - b) % x = a % x - b % x
% Assm: VSUM_ADD: !f g s. FINITE s ==> vsum s (\x. f x + g x) = vsum s f + vsum s g
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: VSUM_LMUL: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: VSUM_RMUL: !c s v. vsum s (\x. c x % v) = sum s c % v
% Assm: VSUM_SUB: !f g s. FINITE s ==> vsum s (\x. f x - g x) = vsum s f - vsum s g
% Assm: VSUM_SWAP: !f s t. FINITE s /\ FINITE t ==> vsum s (\i. vsum t (f i)) = vsum t (\j. vsum s (\i. f i j))
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: open_in: !u s. open_in (subtopology euclidean u) s <=> s SUBSET u /\ (!x. x IN s ==> (?e. &0 < e /\ (!x'. x' IN u /\ dist (x',x) < e ==> x' IN s)))
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Assm: real_min: !m n. min m n = (if m <= n then m else n)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_neg: !x. --x = (lambda i. --(x$i))
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !s. FINITE s ==> {y | ?u. (!x. x IN s ==> &0 < u x /\ u x < &1) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y} SUBSET relative_interior (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !s. affine hull (convex hull s) = affine hull s
% Assm: !s. affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !n. _0 = BIT1 n <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !b. independent b ==> (?B. &0 < B /\ (!c v. v IN b ==> abs (c v) <= B * norm (vsum b (\v. c v % v))))
% Assm: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s. convex hull s = {y | ?u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y}
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: {x | F} = {}
% Assm: !s. {} SUBSET s
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. &0 <= norm x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !s a. FINITE s /\ ~(s = {}) ==> (inf s <= a <=> (?x. x IN s /\ x <= a))
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y z. &0 < z ==> (x / z <= y / z <=> x <= y)
% Assm: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x. x <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: !s a. FINITE s /\ ~(s = {}) ==> (a <= sup s <=> (?x. x IN s /\ a <= x))
% Assm: &0 < &1
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: !s a. FINITE s /\ ~(s = {}) ==> (a < inf s <=> (!x. x IN s ==> a < x))
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x. x - x = &0
% Assm: !s t. t SUBSET s /\ open_in (subtopology euclidean (affine hull s)) t ==> t SUBSET relative_interior s
% Assm: !x. &0 <= abs x
% Assm: !w x y z. &0 <= w /\ w <= x /\ &0 <= y /\ y <= z ==> w * y <= x * z
% Assm: !x y. x < y ==> x <= y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !s. FINITE s ==> span s = {y | ?u. vsum s (\v. u v % v) = y}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f s t. s SUBSET IMAGE f t <=> (?u. u SUBSET t /\ s = IMAGE f u)
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> abs (f x) <= g x) ==> abs (sum s f) <= sum s g
% Assm: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: !f. sum {} f = &0
% Assm: !f s. (!x. x IN s ==> f x = &0) ==> sum s f = &0
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= sum s f
% Assm: !f g s. FINITE s ==> sum s (\x. f x - g x) = sum s f - sum s g
% Assm: !f s t. FINITE s /\ FINITE t ==> sum s (\i. sum t (f i)) = sum t (\j. sum s (\i. f i j))
% Assm: T
% Assm: 2 = SUC 1
% Assm: abs (&1) = &1
% Assm: !a b x. (a + b) % x = a % x + b % x
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x y. x - y = x + --y
% Assm: !a b x. (a - b) % x = a % x - b % x
% Assm: !f g s. FINITE s ==> vsum s (\x. f x + g x) = vsum s f + vsum s g
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: !c s v. vsum s (\x. c x % v) = sum s c % v
% Assm: !f g s. FINITE s ==> vsum s (\x. f x - g x) = vsum s f - vsum s g
% Assm: !f s t. FINITE s /\ FINITE t ==> vsum s (\i. vsum t (f i)) = vsum t (\j. vsum s (\i. f i j))
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !u s. open_in (subtopology euclidean u) s <=> s SUBSET u /\ (!x. x IN s ==> (?e. &0 < e /\ (!x'. x' IN u /\ dist (x',x) < e ==> x' IN s)))
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n m. max m n = (if m <= n then n else m)
% Assm: !m n. min m n = (if m <= n then m else n)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x. --x = (lambda i. --(x$i))
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !s. FINITE s ==> {y | ?u. (!x. x IN s ==> &0 < u x /\ u x < &1) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y} SUBSET relative_interior (convex hull s)
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tnum, type, num : $tType).
thf(tq47530, type, q47530 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq47526, type, q47526 : $tType).
thf(tq99722, type, q99722 : $tType).
thf(tcartcartrealnb, type, cartcartrealnb : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tcartrealq99722, type, cartrealq99722 : $tType).
thf(tcartrealb, type, cartrealb : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cempty1, type, empty1 : (q47530 > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cdistance0, type, distance0 : (prodcartrealncartrealn > real)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq98293 > real)).
thf(cdistance, type, distance : (prodcartrealq98293cartrealq98293 > real)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(csup, type, sup : ((real > $o) > real)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cinf, type, inf : ((real > $o) > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq99722 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdu_0, type, d_0 : (cartrealb > num > real)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnb)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealb)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(co0, type, o0 : ((b > cartrealn) > (a > b) > a > cartrealn)).
thf(co, type, o : ((b > real) > (a > b) > a > real)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_, type, c_ : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(cdu_1, type, d_1 : (cartcartrealnb > num > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage0, type, image0 : ((q47530 > q47526) > (q47530 > $o) > q47526 > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(ccond1, type, cond1 : ($o > a > a > a)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cfinite0, type, finite0 : ((real > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (q47526 > $o)).
thf(cempty2, type, empty2 : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(ci, type, i : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aAFFINEu_HULLu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((hull @ affine @ (hull @ convex @ S)) = (hull @ affine @ S))).
thf(aAFFINEu_HULLu_FINITE, axiom, ![S:(cartrealn > $o)]:((hull @ affine @ S) = (gspec @ ^[GENR_PVARR_800:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_800 @ ?[U:(cartrealn > real)]:(((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[V:cartrealn]:(r_ @ (U @ V) @ V)) = Y)) @ Y)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_EQu_conjunct5, axiom, ![N:num]:((u_0 = (bit1 @ N)) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBASISu_COORDINATESu_LIPSCHITZ, axiom, ![B:(cartrealn > $o)]:((independent @ B) => ?[B0:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B0) & ![C:(cartrealn > real),V:cartrealn]:((in @ V @ B) => (realu_le @ (realu_abs @ (C @ V)) @ (realu_mul @ B0 @ (vectoru_norm @ (vsum @ B @ ^[V:cartrealn]:(r_ @ (C @ V) @ V))))))))).
thf(aBASISu_EXISTS, axiom, ![V:(cartrealn > $o)]:?[B:(cartrealn > $o)]:((subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B)) & (hasu_size @ B @ (dim @ V)))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond1 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONVEXu_HULLu_FINITE, axiom, ![S:(cartrealn > $o)]:((hull @ convex @ S) = (gspec @ ^[GENR_PVARR_862:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_862 @ ?[U:(cartrealn > real)]:(![X:cartrealn]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) = Y)) @ Y)))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aEMPTYu_GSPEC, axiom, ((gspec @ ^[GENR_PVARR_14:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_14 @ $false @ X)) = empty)).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(?[Y:cartrealn]:((in @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:cartrealn]:((in @ X @ S) & (P @ (F @ X))))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFloato_ABSu_MUL, axiom, ![X:real,Y:real]:((realu_abs @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aHASu_SIZE, axiom, ![S:(cartrealn > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(q47530 > q47526),S:(q47530 > $o)]:(((image0 @ F @ S) = empty0) <=> (S = empty1))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_1 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealn]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealq99722]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm0 @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INFu_LEu_FINITE, axiom, ![S:(real > $o),A:real]:(((finite0 @ S) & ~ ((S = empty2))) => ((realu_le @ (inf @ S) @ A) <=> ?[X:real]:((in1 @ X @ S) & (realu_le @ X @ A))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_DIV2u_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_div @ X @ Z) @ (realu_div @ Y @ Z)) <=> (realu_le @ X @ Y)))).
thf(aREALu_LEu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LEu_SUPu_FINITE, axiom, ![S:(real > $o),A:real]:(((finite0 @ S) & ~ ((S = empty2))) => ((realu_le @ A @ (sup @ S)) <=> ?[X:real]:((in1 @ X @ S) & (realu_le @ A @ X))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_DIV, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_LTu_INFu_FINITE, axiom, ![S:(real > $o),A:real]:(((finite0 @ S) & ~ ((S = empty2))) => ((realu_lt @ A @ (inf @ S)) <=> ![X:real]:((in1 @ X @ S) => (realu_lt @ A @ X))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aREALu_LTu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_lt @ X @ (realu_div @ Y @ Z)) <=> (realu_lt @ (realu_mul @ X @ Z) @ Y)))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_SUBu_REFL, axiom, ![X:real]:((realu_sub @ X @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRELATIVEu_INTERIORu_MAXIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ T @ S) & (openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ T)) => (subset @ T @ (relativeu_interior @ S)))).
thf(aRealu_exto_ABSu_POS, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ X))).
thf(aRealu_exto_REALu_PROPu_LEu_LRMUL, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ W) & (realu_le @ W @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ W @ Y) @ (realu_mul @ X @ Z)))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSPANu_FINITE, axiom, ![S:(cartrealn > $o)]:((finite @ S) => ((span @ S) = (gspec @ ^[GENR_PVARR_280:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_280 @ ?[U:(cartrealn > real)]:((vsum @ S @ ^[V:cartrealn]:(r_ @ (U @ V) @ V)) = Y) @ Y))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ (image @ F @ T)) <=> ?[U:(cartrealn > $o)]:((subset @ U @ T) & (S = (image @ F @ U))))).
thf(aSUMu_ABSu_LE, axiom, ![F:(cartrealn > real),G:(cartrealn > real),S:(cartrealn > $o)]:(((finite @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (realu_abs @ (F @ X)) @ (G @ X)))) => (realu_le @ (realu_abs @ (sum @ S @ F)) @ (sum @ S @ G)))).
thf(aSUMu_ADD, axiom, ![F:(cartrealn > real),G:(cartrealn > real),S:(cartrealn > $o)]:((finite @ S) => ((sum @ S @ ^[X:cartrealn]:(realu_add @ (F @ X) @ (G @ X))) = (realu_add @ (sum @ S @ F) @ (sum @ S @ G))))).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(cartrealn > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_EQu_0, axiom, ![F:(cartrealn > real),S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0)))) => ((sum @ S @ F) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aSUMu_LMUL, axiom, ![F:(cartrealn > real),C:real,S:(cartrealn > $o)]:((sum @ S @ ^[X:cartrealn]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum @ S @ F)))).
thf(aSUMu_POSu_LE, axiom, ![F:(cartrealn > real),S:(cartrealn > $o)]:(((finite @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sum @ S @ F)))).
thf(aSUMu_SUB, axiom, ![F:(cartrealn > real),G:(cartrealn > real),S:(cartrealn > $o)]:((finite @ S) => ((sum @ S @ ^[X:cartrealn]:(realu_sub @ (F @ X) @ (G @ X))) = (realu_sub @ (sum @ S @ F) @ (sum @ S @ G))))).
thf(aSUMu_SWAP, axiom, ![F:(cartrealn > cartrealn > real),S:(cartrealn > $o),T:(cartrealn > $o)]:(((finite @ S) & (finite @ T)) => ((sum @ S @ ^[I:cartrealn]:(sum @ T @ (F @ I))) = (sum @ T @ ^[J:cartrealn]:(sum @ S @ ^[I:cartrealn]:(F @ I @ J)))))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aVECTORu_ADDu_RDISTRIB, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ (realu_add @ A @ B) @ X) = (vectoru_add @ (r_ @ A @ X) @ (r_ @ B @ X)))).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub @ X @ Y) = (vectoru_add @ X @ (vectoru_neg @ Y)))).
thf(aVECTORu_SUBu_RDISTRIB, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ (realu_sub @ A @ B) @ X) = (vectoru_sub @ (r_ @ A @ X) @ (r_ @ B @ X)))).
thf(aVSUMu_ADD, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o)]:((finite @ S) => ((vsum @ S @ ^[X:cartrealn]:(vectoru_add @ (F @ X) @ (G @ X))) = (vectoru_add @ (vsum @ S @ F) @ (vsum @ S @ G))))).
thf(aVSUMu_EQ, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((vsum @ S @ F) = (vsum @ S @ G)))).
thf(aVSUMu_LMUL, axiom, ![F:(cartrealn > cartrealn),C:real,S:(cartrealn > $o)]:((vsum @ S @ ^[X:cartrealn]:(r_ @ C @ (F @ X))) = (r_ @ C @ (vsum @ S @ F)))).
thf(aVSUMu_RMUL, axiom, ![C:(cartrealn > real),S:(cartrealn > $o),V:cartrealn]:((vsum @ S @ ^[X:cartrealn]:(r_ @ (C @ X) @ V)) = (r_ @ (sum @ S @ C) @ V))).
thf(aVSUMu_SUB, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o)]:((finite @ S) => ((vsum @ S @ ^[X:cartrealn]:(vectoru_sub @ (F @ X) @ (G @ X))) = (vectoru_sub @ (vsum @ S @ F) @ (vsum @ S @ G))))).
thf(aVSUMu_SWAP, axiom, ![F:(cartrealn > cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > $o)]:(((finite @ S) & (finite @ T)) => ((vsum @ S @ ^[I:cartrealn]:(vsum @ T @ (F @ I))) = (vsum @ T @ ^[J:cartrealn]:(vsum @ S @ ^[I:cartrealn]:(F @ I @ J)))))).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance @ (c_ @ X @ Y)) = (vectoru_norm1 @ (vectoru_sub0 @ X @ Y)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > real),G:(a > b),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > cartrealn),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(aopenu_in, axiom, ![U:(cartrealn > $o),S:(cartrealn > $o)]:((openu_in @ (subtopology @ euclidean @ U) @ S) <=> ((subset @ S @ U) & ![X:cartrealn]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![XI_:cartrealn]:(((in @ XI_ @ U) & (realu_lt @ (distance0 @ (c_0 @ XI_ @ X)) @ E)) => (in @ XI_ @ S))))))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond @ (realu_le @ M @ N) @ N @ M))).
thf(arealu_min, axiom, ![M:real,N:real]:((realu_min @ M @ N) = (cond @ (realu_le @ M @ N) @ M @ N))).
thf(avectoru_add, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add @ X @ Y) = (lambda2 @ ^[I:num]:(realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_ @ C @ X) = (lambda2 @ ^[I:num]:(realu_mul @ C @ (d_ @ X @ I))))).
thf(avectoru_neg, axiom, ![X:cartrealn]:((vectoru_neg @ X) = (lambda2 @ ^[I:num]:(realu_neg @ (d_ @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub @ X @ Y) = (lambda2 @ ^[I:num]:(realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((finite @ S) => (subset @ (gspec @ ^[GENR_PVARR_1044:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_1044 @ ?[U:(cartrealn > real)]:(![X:cartrealn]:((in @ X @ S) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X)) & (realu_lt @ (U @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) = Y)) @ Y)) @ (relativeu_interior @ (hull @ convex @ S))))).
