%   ORIGINAL: EXPLICIT_SUBSET_INTERIOR_CONVEX_HULL_MINIMAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_HULL_CONVEX_HULL: !s. affine hull (convex hull s) = affine hull s
% Assm: EXPLICIT_SUBSET_RELATIVE_INTERIOR_CONVEX_HULL_MINIMAL: !s. FINITE s ==> {y | ?u. (!x. x IN s ==> &0 < u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y} SUBSET relative_interior (convex hull s)
% Assm: RELATIVE_INTERIOR_INTERIOR: !s. affine hull s = (:real^N) ==> relative_interior s = interior s
% Assm: TRUTH: T
% Goal: !s. FINITE s /\ affine hull s = (:real^N) ==> {y | ?u. (!x. x IN s ==> &0 < u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y} SUBSET interior (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. affine hull (convex hull s) = affine hull s
% Assm: !s. FINITE s ==> {y | ?u. (!x. x IN s ==> &0 < u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y} SUBSET relative_interior (convex hull s)
% Assm: !s. affine hull s = (:real^N) ==> relative_interior s = interior s
% Assm: T
% Goal: !s. FINITE s /\ affine hull s = (:real^N) ==> {y | ?u. (!x. x IN s ==> &0 < u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y} SUBSET interior (convex hull s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_HULLu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((hull @ affine @ (hull @ convex @ S)) = (hull @ affine @ S))).
thf(aEXPLICITu_SUBSETu_RELATIVEu_INTERIORu_CONVEXu_HULLu_MINIMAL, axiom, ![S:(cartrealn > $o)]:((finite @ S) => (subset @ (gspec @ ^[GENR_PVARR_1045:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_1045 @ ?[U:(cartrealn > real)]:(![X:cartrealn]:((in @ X @ S) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) = Y)) @ Y)) @ (relativeu_interior @ (hull @ convex @ S))))).
thf(aRELATIVEu_INTERIORu_INTERIOR, axiom, ![S:(cartrealn > $o)]:(((hull @ affine @ S) = univ) => ((relativeu_interior @ S) = (interior @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((finite @ S) & ((hull @ affine @ S) = univ)) => (subset @ (gspec @ ^[GENR_PVARR_1050:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_1050 @ ?[U:(cartrealn > real)]:(![X:cartrealn]:((in @ X @ S) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) = Y)) @ Y)) @ (interior @ (hull @ convex @ S))))).
