%   ORIGINAL: CLOSURE_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSURE_CLOSED: !s. closed s ==> closure s = s
% Assm: COMPACT_CONVEX_HULL: !s. compact s ==> compact (convex hull s)
% Assm: COMPACT_IMP_CLOSED: !s. compact s ==> closed s
% Assm: TRUTH: T
% Goal: !s. compact s ==> closure (convex hull s) = convex hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. closed s ==> closure s = s
% Assm: !s. compact s ==> compact (convex hull s)
% Assm: !s. compact s ==> closed s
% Assm: T
% Goal: !s. compact s ==> closure (convex hull s) = convex hull s
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq298382, type, cartrealq298382 : $tType).
thf(tq298382, type, q298382 : $tType).
%  CONSTS
thf(cclosure, type, closure : ((cartrealq298382 > $o) > cartrealq298382 > $o)).
thf(chull, type, hull : (((cartrealq298382 > $o) > $o) > (cartrealq298382 > $o) > cartrealq298382 > $o)).
thf(cclosed, type, closed : ((cartrealq298382 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq298382 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealq298382 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq298382 > $o),G:(a > cartrealq298382 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSUREu_CLOSED, axiom, ![S:(cartrealq298382 > $o)]:((closed @ S) => ((closure @ S) = S))).
thf(aCOMPACTu_CONVEXu_HULL, axiom, ![S:(cartrealq298382 > $o)]:((compact @ S) => (compact @ (hull @ convex @ S)))).
thf(aCOMPACTu_IMPu_CLOSED, axiom, ![S:(cartrealq298382 > $o)]:((compact @ S) => (closed @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq298382 > $o)]:((compact @ S) => ((closure @ (hull @ convex @ S)) = (hull @ convex @ S)))).
