%   ORIGINAL: FRONTIER_CONVEX_HULL_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_INDEPENDENT_IMP_FINITE: !s. ~affine_dependent s ==> FINITE s
% Assm: AFFINE_INDEPENDENT_SPAN_GT: !s. ~affine_dependent s /\ dimindex (:N) < CARD s ==> affine hull s = (:real^N)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_CONVEX_HULL: !s. compact s ==> closure (convex hull s) = convex hull s
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DIFF_EMPTY: !s. s DIFF {} = s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMP_COMPACT: !s. FINITE s ==> compact s
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_CONVEX_HULL_EXPLICIT: !s. ~affine_dependent s ==> interior (convex hull s) = (if CARD s <= dimindex (:N) then {} else {y | ?u. (!x. x IN s ==> &0 < u x /\ u x < &1) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y})
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: RELATIVE_FRONTIER_CONVEX_HULL_CASES: !s. ~affine_dependent s ==> closure (convex hull s) DIFF relative_interior (convex hull s) = UNIONS {convex hull (s DELETE a) | a | a IN s}
% Assm: RELATIVE_INTERIOR_INTERIOR: !s. affine hull s = (:real^N) ==> relative_interior s = interior s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !s. ~affine_dependent s ==> frontier (convex hull s) = (if CARD s <= dimindex (:N) then convex hull s else UNIONS {convex hull (s DELETE a) | a | a IN s})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. ~affine_dependent s ==> FINITE s
% Assm: !s. ~affine_dependent s /\ dimindex (:N) < CARD s ==> affine hull s = (:real^N)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s ==> closure (convex hull s) = convex hull s
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s. s DIFF {} = s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. FINITE s ==> compact s
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !P s. s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !s. ~affine_dependent s ==> interior (convex hull s) = (if CARD s <= dimindex (:N) then {} else {y | ?u. (!x. x IN s ==> &0 < u x /\ u x < &1) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y})
% Assm: !x. x IN (:real^N)
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !s. ~affine_dependent s ==> closure (convex hull s) DIFF relative_interior (convex hull s) = UNIONS {convex hull (s DELETE a) | a | a IN s}
% Assm: !s. affine hull s = (:real^N) ==> relative_interior s = interior s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !s. ~affine_dependent s ==> frontier (convex hull s) = (if CARD s <= dimindex (:N) then convex hull s else UNIONS {convex hull (s DELETE a) | a | a IN s})
%  TYPES
thf(tcartrealq186529, type, cartrealq186529 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq186529, type, q186529 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(ccond, type, cond : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccompact0, type, compact0 : ((cartrealq186529 > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealq186529 > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_INDEPENDENTu_IMPu_FINITE, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => (finite @ S))).
thf(aAFFINEu_INDEPENDENTu_SPANu_GT, axiom, ![S:(cartrealn > $o)]:((~ ((affineu_dependent @ S)) & (l_ @ (dimindex @ univ) @ (card @ S))) => ((hull @ affine @ S) = univ0))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((compact @ S) => ((closure @ (hull @ convex @ S)) = (hull @ convex @ S)))).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn > $o),T2:(cartrealn > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:(cartrealn > $o),C:$o,P:((cartrealn > $o) > $o),Y:(cartrealn > $o)]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDIFFu_EMPTY, axiom, ![S:(cartrealn > $o)]:((diff @ S @ empty) = S)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMPu_COMPACT, axiom, ![S:(cartrealq186529 > $o)]:((finite0 @ S) => (compact0 @ S))).
thf(aHULLu_MONO, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINTERIORu_CONVEXu_HULLu_EXPLICIT, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => ((interior @ (hull @ convex @ S)) = (cond @ (l_a_ @ (card @ S) @ (dimindex @ univ)) @ empty @ (gspec0 @ ^[GENR_PVARR_1052:cartrealn]:?[Y:cartrealn]:(setspec0 @ GENR_PVARR_1052 @ ?[U:(cartrealn > real)]:(![X:cartrealn]:((in @ X @ S) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X)) & (realu_lt @ (U @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) = Y)) @ Y)))))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ0)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aRELATIVEu_FRONTIERu_CONVEXu_HULLu_CASES, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => ((diff @ (closure @ (hull @ convex @ S)) @ (relativeu_interior @ (hull @ convex @ S))) = (unions @ (gspec @ ^[GENR_PVARR_1057:(cartrealn > $o)]:?[A:cartrealn]:(setspec @ GENR_PVARR_1057 @ (in @ A @ S) @ (hull @ convex @ (delete @ S @ A)))))))).
thf(aRELATIVEu_INTERIORu_INTERIOR, axiom, ![S:(cartrealn > $o)]:(((hull @ affine @ S) = univ0) => ((relativeu_interior @ S) = (interior @ S)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealn > $o)]:((frontier @ S) = (diff @ (closure @ S) @ (interior @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => ((frontier @ (hull @ convex @ S)) = (cond @ (l_a_ @ (card @ S) @ (dimindex @ univ)) @ (hull @ convex @ S) @ (unions @ (gspec @ ^[GENR_PVARR_1058:(cartrealn > $o)]:?[A:cartrealn]:(setspec @ GENR_PVARR_1058 @ (in @ A @ S) @ (hull @ convex @ (delete @ S @ A))))))))).
