%   ORIGINAL: JOINPATHS_TRANSLATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: TRUTH: T
% Assm: joinpaths: !g1 g2. g1 ++ g2 = (\x. if drop x <= &1 / &2 then g1 (&2 % x) else g2 (&2 % x - vec 1))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !a g1 g2. (\x. a + x) o g1 ++ (\x. a + x) o g2 = (\x. a + x) o (g1 ++ g2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: T
% Assm: !g1 g2. g1 ++ g2 = (\x. if drop x <= &1 / &2 then g1 (&2 % x) else g2 (&2 % x - vec 1))
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !a g1 g2. (\x. a + x) o g1 ++ (\x. a + x) o g2 = (\x. a + x) o (g1 ++ g2)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn1)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond1, type, cond1 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(cpu_pu_, type, p_p_ : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn1 > cartrealn),G:(a > cartrealn1 > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn1 > cartrealn),T2:(cartrealn1 > cartrealn)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn1 > cartrealn),G:(cartrealn1 > cartrealn)]:((F = G) <=> ![X:cartrealn1]:((F @ X) = (G @ X)))).
thf(aTRUTH, axiom, $true).
thf(ajoinpaths, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:((p_p_ @ G1 @ G2) = ^[X:cartrealn1]:(cond1 @ (realu_le @ (drop @ X) @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (G1 @ (r_ @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X)) @ (G2 @ (vectoru_sub @ (r_ @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X) @ (vec @ (numeral @ (bit1 @ u_0)))))))).
thf(aou_THM, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn1 > cartrealn),X:cartrealn1]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![A:cartrealn,G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:((p_p_ @ (o @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ G1) @ (o @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ G2)) = (o @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ (p_p_ @ G1 @ G2)))).
