%   ORIGINAL: SIMPLE_PATH_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: arc: !g. arc g <=> path g /\ (!x y. x IN interval [vec 0,vec 1] /\ y IN interval [vec 0,vec 1] /\ g x = g y ==> x = y)
% Assm: pathfinish: !g. pathfinish g = g (vec 1)
% Assm: pathstart: !g. pathstart g = g (vec 0)
% Assm: simple_path: !g. simple_path g <=> path g /\ (!x y. x IN interval [vec 0,vec 1] /\ y IN interval [vec 0,vec 1] /\ g x = g y ==> x = y \/ x = vec 0 /\ y = vec 1 \/ x = vec 1 /\ y = vec 0)
% Goal: !g. simple_path g ==> arc g \/ pathfinish g = pathstart g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !g. arc g <=> path g /\ (!x y. x IN interval [vec 0,vec 1] /\ y IN interval [vec 0,vec 1] /\ g x = g y ==> x = y)
% Assm: !g. pathfinish g = g (vec 1)
% Assm: !g. pathstart g = g (vec 0)
% Assm: !g. simple_path g <=> path g /\ (!x y. x IN interval [vec 0,vec 1] /\ y IN interval [vec 0,vec 1] /\ g x = g y ==> x = y \/ x = vec 0 /\ y = vec 1 \/ x = vec 1 /\ y = vec 0)
% Goal: !g. simple_path g ==> arc g \/ pathfinish g = pathstart g
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(carc, type, arc : ((cartrealn1 > cartrealn) > $o)).
thf(csimpleuu_path, type, simpleu_path : ((cartrealn1 > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aarc, axiom, ![G:(cartrealn1 > cartrealn)]:((arc @ G) <=> ((path @ G) & ![X:cartrealn1,Y:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & ((G @ X) = (G @ Y))) => (X = Y))))).
thf(apathfinish, axiom, ![G:(cartrealn1 > cartrealn)]:((pathfinish @ G) = (G @ (vec @ (numeral @ (bit1 @ u_0)))))).
thf(apathstart, axiom, ![G:(cartrealn1 > cartrealn)]:((pathstart @ G) = (G @ (vec @ (numeral @ u_0))))).
thf(asimpleu_path, axiom, ![G:(cartrealn1 > cartrealn)]:((simpleu_path @ G) <=> ((path @ G) & ![X:cartrealn1,Y:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & ((G @ X) = (G @ Y))) => ((X = Y) | ((X = (vec @ (numeral @ u_0))) & (Y = (vec @ (numeral @ (bit1 @ u_0))))) | ((X = (vec @ (numeral @ (bit1 @ u_0)))) & (Y = (vec @ (numeral @ u_0))))))))).
thf(conjecture, conjecture, ![G:(cartrealn1 > cartrealn)]:((simpleu_path @ G) => ((arc @ G) | ((pathfinish @ G) = (pathstart @ G))))).
