%   ORIGINAL: PATH_COMPOSE_JOIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: joinpaths: !g1 g2. g1 ++ g2 = (\x. if drop x <= &1 / &2 then g1 (&2 % x) else g2 (&2 % x - vec 1))
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f p q. f o (p ++ q) = f o p ++ f o q
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: T
% Assm: !g1 g2. g1 ++ g2 = (\x. if drop x <= &1 / &2 then g1 (&2 % x) else g2 (&2 % x - vec 1))
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f p q. f o (p ++ q) = f o p ++ f o q
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq301383, type, q301383 : $tType).
thf(tn1, type, n1 : $tType).
thf(tq301396, type, q301396 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn1)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond0, type, cond0 : ($o > q301396 > q301396 > q301396)).
thf(ccond, type, cond : ($o > (cartrealn1 > q301396) > (cartrealn1 > q301396) > cartrealn1 > q301396)).
thf(cpu_pu_0, type, p_p_0 : ((cartrealn1 > q301396) > (cartrealn1 > q301396) > cartrealn1 > q301396)).
thf(cpu_pu_, type, p_p_ : ((cartrealn1 > q301383) > (cartrealn1 > q301383) > cartrealn1 > q301383)).
thf(co, type, o : ((q301383 > q301396) > (cartrealn1 > q301383) > cartrealn1 > q301396)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn1 > q301396),G:(a > cartrealn1 > q301396)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn1 > q301396),T2:(cartrealn1 > q301396)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn1 > q301396),G:(cartrealn1 > q301396)]:((F = G) <=> ![X:cartrealn1]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ajoinpaths, axiom, ![G1:(cartrealn1 > q301396),G2:(cartrealn1 > q301396)]:((p_p_0 @ G1 @ G2) = ^[X:cartrealn1]:(cond0 @ (realu_le @ (drop @ X) @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (G1 @ (r_ @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X)) @ (G2 @ (vectoru_sub @ (r_ @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X) @ (vec @ (numeral @ (bit1 @ u_0)))))))).
thf(aou_DEF, axiom, ![F:(q301383 > q301396),G:(cartrealn1 > q301383)]:((o @ F @ G) = ^[X:cartrealn1]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(q301383 > q301396),P:(cartrealn1 > q301383),Q:(cartrealn1 > q301383)]:((o @ F @ (p_p_ @ P @ Q)) = (p_p_0 @ (o @ F @ P) @ (o @ F @ Q)))).
