%   ORIGINAL: PATHSTART_REVERSEPATH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Assm: pathfinish: !g. pathfinish g = g (vec 1)
% Assm: pathstart: !g. pathstart g = g (vec 0)
% Assm: reversepath: !g. reversepath g = (\x. g (vec 1 - x))
% Goal: pathstart (reversepath g) = pathfinish g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !x. x - vec 0 = x
% Assm: !g. pathfinish g = g (vec 1)
% Assm: !g. pathstart g = g (vec 0)
% Assm: !g. reversepath g = (\x. g (vec 1 - x))
% Goal: !g. pathstart (reversepath g) = pathfinish g
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq301760, type, cartrealq301760 : $tType).
thf(tq301760, type, q301760 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq301760)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq301760) > cartrealq301760)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq301760) > cartrealq301760)).
thf(cvec0, type, vec0 : (num > cartrealn1)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq301760 > cartrealq301760 > cartrealq301760)).
thf(creversepath, type, reversepath : ((cartrealn1 > cartrealq301760) > cartrealn1 > cartrealq301760)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq301760),G:(a > cartrealq301760)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealq301760]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(apathfinish, axiom, ![G:(cartrealn1 > cartrealq301760)]:((pathfinish @ G) = (G @ (vec0 @ (numeral @ (bit1 @ u_0)))))).
thf(apathstart, axiom, ![G:(cartrealn1 > cartrealq301760)]:((pathstart @ G) = (G @ (vec0 @ (numeral @ u_0))))).
thf(areversepath, axiom, ![G:(cartrealn1 > cartrealq301760)]:((reversepath @ G) = ^[X:cartrealn1]:(G @ (vectoru_sub0 @ (vec0 @ (numeral @ (bit1 @ u_0))) @ X)))).
thf(conjecture, conjecture, ![G:(cartrealn1 > cartrealq301760)]:((pathstart @ (reversepath @ G)) = (pathfinish @ G))).
