%   ORIGINAL: PATHFINISH_REVERSEPATH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_SUB_REFL: !x. x - x = vec 0
% Assm: pathfinish: !g. pathfinish g = g (vec 1)
% Assm: pathstart: !g. pathstart g = g (vec 0)
% Assm: reversepath: !g. reversepath g = (\x. g (vec 1 - x))
% Goal: pathfinish (reversepath g) = pathstart g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !x. x - x = vec 0
% Assm: !g. pathfinish g = g (vec 1)
% Assm: !g. pathstart g = g (vec 0)
% Assm: !g. reversepath g = (\x. g (vec 1 - x))
% Goal: !g. pathfinish (reversepath g) = pathstart g
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq301770, type, cartrealq301770 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq301770, type, q301770 : $tType).
%  CONSTS
thf(cvec0, type, vec0 : (num > cartrealn1)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq301770 > cartrealq301770 > cartrealq301770)).
thf(creversepath, type, reversepath : ((cartrealn1 > cartrealq301770) > cartrealn1 > cartrealq301770)).
thf(cvec, type, vec : (num > cartrealq301770)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq301770) > cartrealq301770)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq301770) > cartrealq301770)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq301770),G:(a > cartrealq301770)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_REFL, axiom, ![X:cartrealq301770]:((vectoru_sub @ X @ X) = (vec @ (numeral @ u_0)))).
thf(apathfinish, axiom, ![G:(cartrealn1 > cartrealq301770)]:((pathfinish @ G) = (G @ (vec0 @ (numeral @ (bit1 @ u_0)))))).
thf(apathstart, axiom, ![G:(cartrealn1 > cartrealq301770)]:((pathstart @ G) = (G @ (vec0 @ (numeral @ u_0))))).
thf(areversepath, axiom, ![G:(cartrealn1 > cartrealq301770)]:((reversepath @ G) = ^[X:cartrealn1]:(G @ (vectoru_sub0 @ (vec0 @ (numeral @ (bit1 @ u_0))) @ X)))).
thf(conjecture, conjecture, ![G:(cartrealn1 > cartrealq301770)]:((pathfinish @ (reversepath @ G)) = (pathstart @ G))).
