%   ORIGINAL: SUBSET_PATH_IMAGE_JOIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATH_IMAGE_JOIN_SUBSET: !g1 g2. path_image (g1 ++ g2) SUBSET path_image g1 UNION path_image g2
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !g1 g2 s. path_image g1 SUBSET s /\ path_image g2 SUBSET s ==> path_image (g1 ++ g2) SUBSET s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !g1 g2. path_image (g1 ++ g2) SUBSET path_image g1 UNION path_image g2
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !g1 g2 s. path_image g1 SUBSET s /\ path_image g2 SUBSET s ==> path_image (g1 ++ g2) SUBSET s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cunion0, type, union0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cpu_pu_, type, p_p_ : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHu_IMAGEu_JOINu_SUBSET, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:(subset @ (pathu_image @ (p_p_ @ G1 @ G2)) @ (union0 @ (pathu_image @ G1) @ (pathu_image @ G2)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn),S:(cartrealn > $o)]:(((subset @ (pathu_image @ G1) @ S) & (subset @ (pathu_image @ G2) @ S)) => (subset @ (pathu_image @ (p_p_ @ G1 @ G2)) @ S))).
