%   ORIGINAL: PATH_ASSOC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATHFINISH_JOIN: !g1 g2. pathfinish (g1 ++ g2) = pathfinish g2
% Assm: PATHSTART_JOIN: !g1 g2. pathstart (g1 ++ g2) = pathstart g1
% Assm: PATH_JOIN: !g1 g2. pathfinish g1 = pathstart g2 ==> (path (g1 ++ g2) <=> path g1 /\ path g2)
% Assm: TRUTH: T
% Goal: !p q r. pathfinish p = pathstart q /\ pathfinish q = pathstart r ==> (path (p ++ q ++ r) <=> path ((p ++ q) ++ r))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !g1 g2. pathfinish (g1 ++ g2) = pathfinish g2
% Assm: !g1 g2. pathstart (g1 ++ g2) = pathstart g1
% Assm: !g1 g2. pathfinish g1 = pathstart g2 ==> (path (g1 ++ g2) <=> path g1 /\ path g2)
% Assm: T
% Goal: !p q r. pathfinish p = pathstart q /\ pathfinish q = pathstart r ==> (path (p ++ q ++ r) <=> path ((p ++ q) ++ r))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cpu_pu_, type, p_p_ : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHFINISHu_JOIN, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:((pathfinish @ (p_p_ @ G1 @ G2)) = (pathfinish @ G2))).
thf(aPATHSTARTu_JOIN, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:((pathstart @ (p_p_ @ G1 @ G2)) = (pathstart @ G1))).
thf(aPATHu_JOIN, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:(((pathfinish @ G1) = (pathstart @ G2)) => ((path @ (p_p_ @ G1 @ G2)) <=> ((path @ G1) & (path @ G2))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn),R:(cartrealn1 > cartrealn)]:((((pathfinish @ P) = (pathstart @ Q)) & ((pathfinish @ Q) = (pathstart @ R))) => ((path @ (p_p_ @ P @ (p_p_ @ Q @ R))) <=> (path @ (p_p_ @ (p_p_ @ P @ Q) @ R))))).
