%   ORIGINAL: SHIFTPATH_TRANSLATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: shiftpath: !f a. shiftpath a f = (\x. if drop (a + x) <= &1 then f (a + x) else f (a + x - vec 1))
% Goal: !a t g. shiftpath t ((\x. a + x) o g) = (\x. a + x) o shiftpath t g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f a. shiftpath a f = (\x. if drop (a + x) <= &1 then f (a + x) else f (a + x - vec 1))
% Goal: !a t g. shiftpath t ((\x. a + x) o g) = (\x. a + x) o shiftpath t g
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq304632, type, q304632 : $tType).
thf(tcartrealq304632, type, cartrealq304632 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(ccond0, type, cond0 : ($o > cartrealq304632 > cartrealq304632 > cartrealq304632)).
thf(ccond, type, cond : ($o > (cartrealn1 > cartrealq304632) > (cartrealn1 > cartrealq304632) > cartrealn1 > cartrealq304632)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq304632 > cartrealq304632 > cartrealq304632)).
thf(co, type, o : ((cartrealq304632 > cartrealq304632) > (cartrealn1 > cartrealq304632) > cartrealn1 > cartrealq304632)).
thf(cshiftpath, type, shiftpath : (cartrealn1 > (cartrealn1 > cartrealq304632) > cartrealn1 > cartrealq304632)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn1 > cartrealq304632),G:(a > cartrealn1 > cartrealq304632)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn1 > cartrealq304632),T2:(cartrealn1 > cartrealq304632)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn1 > cartrealq304632),G:(cartrealn1 > cartrealq304632)]:((F = G) <=> ![X:cartrealn1]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(cartrealq304632 > cartrealq304632),G:(cartrealn1 > cartrealq304632),X:cartrealn1]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(ashiftpath, axiom, ![F:(cartrealn1 > cartrealq304632),A:cartrealn1]:((shiftpath @ A @ F) = ^[X:cartrealn1]:(cond0 @ (realu_le @ (drop @ (vectoru_add0 @ A @ X)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (F @ (vectoru_add0 @ A @ X)) @ (F @ (vectoru_add0 @ A @ (vectoru_sub @ X @ (vec @ (numeral @ (bit1 @ u_0))))))))).
thf(conjecture, conjecture, ![A:cartrealq304632,T:cartrealn1,G:(cartrealn1 > cartrealq304632)]:((shiftpath @ T @ (o @ ^[X:cartrealq304632]:(vectoru_add @ A @ X) @ G)) = (o @ ^[X:cartrealq304632]:(vectoru_add @ A @ X) @ (shiftpath @ T @ G)))).
