%   ORIGINAL: PATHSTART_SHIFTPATH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ADD_RID: !x. x + vec 0 = x
% Assm: pathstart: !g. pathstart g = g (vec 0)
% Assm: shiftpath: !f a. shiftpath a f = (\x. if drop (a + x) <= &1 then f (a + x) else f (a + x - vec 1))
% Goal: !a g. drop a <= &1 ==> pathstart (shiftpath a g) = g a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: T
% Assm: !x. x + vec 0 = x
% Assm: !g. pathstart g = g (vec 0)
% Assm: !f a. shiftpath a f = (\x. if drop (a + x) <= &1 then f (a + x) else f (a + x - vec 1))
% Goal: !a g. drop a <= &1 ==> pathstart (shiftpath a g) = g a
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq304700, type, cartrealq304700 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq304700, type, q304700 : $tType).
%  CONSTS
thf(cvec0, type, vec0 : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvec, type, vec : (num > cartrealq304700)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq304700) > cartrealq304700)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq304700 > cartrealq304700 > cartrealq304700)).
thf(ccond, type, cond : ($o > cartrealq304700 > cartrealq304700 > cartrealq304700)).
thf(cshiftpath, type, shiftpath : (cartrealn1 > (cartrealn1 > cartrealq304700) > cartrealn1 > cartrealq304700)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq304700),G:(a > cartrealq304700)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealq304700,T2:cartrealq304700]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_RID, axiom, ![X:cartrealq304700]:((vectoru_add @ X @ (vec @ (numeral @ u_0))) = X)).
thf(apathstart, axiom, ![G:(cartrealn1 > cartrealq304700)]:((pathstart @ G) = (G @ (vec0 @ (numeral @ u_0))))).
thf(ashiftpath, axiom, ![F:(cartrealn1 > cartrealq304700),A:cartrealn1]:((shiftpath @ A @ F) = ^[X:cartrealn1]:(cond @ (realu_le @ (drop @ (vectoru_add0 @ A @ X)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (F @ (vectoru_add0 @ A @ X)) @ (F @ (vectoru_add0 @ A @ (vectoru_sub @ X @ (vec0 @ (numeral @ (bit1 @ u_0))))))))).
thf(conjecture, conjecture, ![A:cartrealn1,G:(cartrealn1 > cartrealq304700)]:((realu_le @ (drop @ A) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ((pathstart @ (shiftpath @ A @ G)) = (G @ A)))).
