%   ORIGINAL: PATH_IMAGE_SUBPATH_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: SUBPATH_SCALING_LEMMA: !u v. IMAGE (\x. u + drop (v - u) % x) (interval [vec 0,vec 1]) = segment [u,v]
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: path_image: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Assm: subpath: !g v u. subpath u v g = (\x. g (u + drop (v - u) % x))
% Goal: !u v g. path_image (subpath u v g) = IMAGE g (segment [u,v])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !u v. IMAGE (\x. u + drop (v - u) % x) (interval [vec 0,vec 1]) = segment [u,v]
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Assm: !g v u. subpath u v g = (\x. g (u + drop (v - u) % x))
% Goal: !u v g. path_image (subpath u v g) = IMAGE g (segment [u,v])
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(co0, type, o0 : ((b > $o) > (cartrealn > b) > cartrealn > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cimage0, type, image0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(co, type, o : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn1) > cartrealn1 > cartrealn)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage, type, image : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > cartrealn > $o)).
thf(csubpath, type, subpath : (cartrealn1 > cartrealn1 > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_o, axiom, ![F:(cartrealn1 > cartrealn),G:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image0 @ G @ S)))).
thf(aSUBPATHu_SCALINGu_LEMMA, axiom, ![U:cartrealn1,V:cartrealn1]:((image0 @ ^[X:cartrealn1]:(vectoru_add @ U @ (r_ @ (drop @ (vectoru_sub @ V @ U)) @ X)) @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) = (closedu_segment @ (cons @ (c_ @ U @ V) @ nil)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > $o),G:(cartrealn > b)]:((o0 @ F @ G) = ^[X:cartrealn]:(F @ (G @ X)))).
thf(apathu_image, axiom, ![G:(cartrealn1 > cartrealn)]:((pathu_image @ G) = (image @ G @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(asubpath, axiom, ![G:(cartrealn1 > cartrealn),V:cartrealn1,U:cartrealn1]:((subpath @ U @ V @ G) = ^[X:cartrealn1]:(G @ (vectoru_add @ U @ (r_ @ (drop @ (vectoru_sub @ V @ U)) @ X))))).
thf(conjecture, conjecture, ![U:cartrealn1,V:cartrealn1,G:(cartrealn1 > cartrealn)]:((pathu_image @ (subpath @ U @ V @ G)) = (image @ G @ (closedu_segment @ (cons @ (c_ @ U @ V) @ nil))))).
