%   ORIGINAL: PATH_IMAGE_SUBPATH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATH_IMAGE_SUBPATH_GEN: !u v g. path_image (subpath u v g) = IMAGE g (segment [u,v])
% Assm: SEGMENT_1_conjunct0: !a b. segment [a,b] = (if drop a <= drop b then interval [a,b] else interval [b,a])
% Assm: TRUTH: T
% Goal: !u v g. drop u <= drop v ==> path_image (subpath u v g) = IMAGE g (interval [u,v])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !u v g. path_image (subpath u v g) = IMAGE g (segment [u,v])
% Assm: !a b. segment [a,b] = (if drop a <= drop b then interval [a,b] else interval [b,a])
% Assm: T
% Goal: !u v g. drop u <= drop v ==> path_image (subpath u v g) = IMAGE g (interval [u,v])
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccond0, type, cond0 : ($o > (cartrealn1 > $o) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(ccond, type, cond : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage, type, image : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > cartrealn > $o)).
thf(csubpath, type, subpath : (cartrealn1 > cartrealn1 > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn > $o),T2:(cartrealn > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHu_IMAGEu_SUBPATHu_GEN, axiom, ![U:cartrealn1,V:cartrealn1,G:(cartrealn1 > cartrealn)]:((pathu_image @ (subpath @ U @ V @ G)) = (image @ G @ (closedu_segment @ (cons @ (c_ @ U @ V) @ nil))))).
thf(aSEGMENTu_1u_conjunct0, axiom, ![A:cartrealn1,B:cartrealn1]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (cond0 @ (realu_le @ (drop @ A) @ (drop @ B)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (closedu_interval @ (cons @ (c_ @ B @ A) @ nil))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![U:cartrealn1,V:cartrealn1,G:(cartrealn1 > cartrealn)]:((realu_le @ (drop @ U) @ (drop @ V)) => ((pathu_image @ (subpath @ U @ V @ G)) = (image @ G @ (closedu_interval @ (cons @ (c_ @ U @ V) @ nil)))))).
