%   ORIGINAL: PATHSTART_SUBPATH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ADD_RID: !x. x + vec 0 = x
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: pathstart: !g. pathstart g = g (vec 0)
% Assm: subpath: !g v u. subpath u v g = (\x. g (u + drop (v - u) % x))
% Goal: !u v g. pathstart (subpath u v g) = g u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !x. x + vec 0 = x
% Assm: !c. c % vec 0 = vec 0
% Assm: !g. pathstart g = g (vec 0)
% Assm: !g v u. subpath u v g = (\x. g (u + drop (v - u) % x))
% Goal: !u v g. pathstart (subpath u v g) = g u
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvec0, type, vec0 : (num > cartrealn1)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cru_0, type, r_0 : (real > cartrealn1 > cartrealn1)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csubpath, type, subpath : (cartrealn1 > cartrealn1 > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_RID, axiom, ![X:cartrealn]:((vectoru_add @ X @ (vec @ (numeral @ u_0))) = X)).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_ @ C @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(apathstart, axiom, ![G:(cartrealn1 > cartrealn)]:((pathstart @ G) = (G @ (vec0 @ (numeral @ u_0))))).
thf(asubpath, axiom, ![G:(cartrealn1 > cartrealn),V:cartrealn1,U:cartrealn1]:((subpath @ U @ V @ G) = ^[X:cartrealn1]:(G @ (vectoru_add0 @ U @ (r_0 @ (drop @ (vectoru_sub @ V @ U)) @ X))))).
thf(conjecture, conjecture, ![U:cartrealn1,V:cartrealn1,G:(cartrealn1 > cartrealn)]:((pathstart @ (subpath @ U @ V @ G)) = (G @ U))).
