%   ORIGINAL: EXISTS_PATH_SUBPATH_TO_FRONTIER_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_EQ: !s. closure s = s <=> closed s
% Assm: EXISTS_PATH_SUBPATH_TO_FRONTIER: !g s. path g /\ pathstart g IN s /\ ~(pathfinish g IN s) ==> (?h. path h /\ pathstart h = pathstart g /\ path_image h SUBSET path_image g /\ path_image h DELETE pathfinish h SUBSET interior s /\ pathfinish h IN frontier s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_INTER: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !g s. closed s /\ path g /\ pathstart g IN s /\ ~(pathfinish g IN s) ==> (?h. path h /\ pathstart h = pathstart g /\ path_image h SUBSET path_image g INTER s /\ pathfinish h IN frontier s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closure s = s <=> closed s
% Assm: !g s. path g /\ pathstart g IN s /\ ~(pathfinish g IN s) ==> (?h. path h /\ pathstart h = pathstart g /\ path_image h SUBSET path_image g /\ path_image h DELETE pathfinish h SUBSET interior s /\ pathfinish h IN frontier s)
% Assm: !P x. x IN P <=> P x
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !s. interior s SUBSET s
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !g s. closed s /\ path g /\ pathstart g IN s /\ ~(pathfinish g IN s) ==> (?h. path h /\ pathstart h = pathstart g /\ path_image h SUBSET path_image g INTER s /\ pathfinish h IN frontier s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_EQ, axiom, ![S:(cartrealn > $o)]:(((closure @ S) = S) <=> (closed @ S))).
thf(aEXISTSu_PATHu_SUBPATHu_TOu_FRONTIER, axiom, ![G:(cartrealn1 > cartrealn),S:(cartrealn > $o)]:(((path @ G) & (in @ (pathstart @ G) @ S) & ~ ((in @ (pathfinish @ G) @ S))) => ?[H:(cartrealn1 > cartrealn)]:((path @ H) & ((pathstart @ H) = (pathstart @ G)) & (subset @ (pathu_image @ H) @ (pathu_image @ G)) & (subset @ (delete @ (pathu_image @ H) @ (pathfinish @ H)) @ (interior @ S)) & (in @ (pathfinish @ H) @ (frontier @ S))))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ (interior @ S) @ S)).
thf(aINu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:((subset @ S @ (inter @ T @ U)) <=> ((subset @ S @ T) & (subset @ S @ U)))).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealn > $o)]:((frontier @ S) = (diff @ (closure @ S) @ (interior @ S)))).
thf(conjecture, conjecture, ![G:(cartrealn1 > cartrealn),S:(cartrealn > $o)]:(((closed @ S) & (path @ G) & (in @ (pathstart @ G) @ S) & ~ ((in @ (pathfinish @ G) @ S))) => ?[H:(cartrealn1 > cartrealn)]:((path @ H) & ((pathstart @ H) = (pathstart @ G)) & (subset @ (pathu_image @ H) @ (inter @ (pathu_image @ G) @ S)) & (in @ (pathfinish @ H) @ (frontier @ S))))).
