%   ORIGINAL: PATH_COMPONENT_REFL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATH_COMPONENT_IN: !s x y. path_component s x y ==> x IN s /\ y IN s
% Assm: PATH_COMPONENT_REFL: !s x. x IN s ==> path_component s x x
% Assm: TRUTH: T
% Goal: !s x. path_component s x x <=> x IN s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s x y. path_component s x y ==> x IN s /\ y IN s
% Assm: !s x. x IN s ==> path_component s x x
% Assm: T
% Goal: !s x. path_component s x x <=> x IN s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHu_COMPONENTu_IN, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((pathu_component @ S @ X @ Y) => ((in @ X @ S) & (in @ Y @ S)))).
thf(aPATHu_COMPONENTu_REFL, axiom, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (pathu_component @ S @ X @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:((pathu_component @ S @ X @ X) <=> (in @ X @ S))).
