%   ORIGINAL: PATH_COMPONENT_TRANS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATHFINISH_JOIN: !g1 g2. pathfinish (g1 ++ g2) = pathfinish g2
% Assm: PATHSTART_JOIN: !g1 g2. pathstart (g1 ++ g2) = pathstart g1
% Assm: PATH_IMAGE_JOIN: !g1 g2. pathfinish g1 = pathstart g2 ==> path_image (g1 ++ g2) = path_image g1 UNION path_image g2
% Assm: PATH_JOIN: !g1 g2. pathfinish g1 = pathstart g2 ==> (path (g1 ++ g2) <=> path g1 /\ path g2)
% Assm: TRUTH: T
% Assm: UNION_SUBSET: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: path_component: !s x y. path_component s x y <=> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y)
% Goal: !s x y. path_component s x y /\ path_component s y z ==> path_component s x z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !g1 g2. pathfinish (g1 ++ g2) = pathfinish g2
% Assm: !g1 g2. pathstart (g1 ++ g2) = pathstart g1
% Assm: !g1 g2. pathfinish g1 = pathstart g2 ==> path_image (g1 ++ g2) = path_image g1 UNION path_image g2
% Assm: !g1 g2. pathfinish g1 = pathstart g2 ==> (path (g1 ++ g2) <=> path g1 /\ path g2)
% Assm: T
% Assm: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: !s x y. path_component s x y <=> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y)
% Goal: !z s x y. path_component s x y /\ path_component s y z ==> path_component s x z
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq301789, type, cartrealq301789 : $tType).
thf(tq45386, type, q45386 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq301808, type, q301808 : $tType).
thf(tcartrealq302685, type, cartrealq302685 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq301808, type, cartrealq301808 : $tType).
thf(tq302685, type, q302685 : $tType).
thf(tn, type, n : $tType).
thf(tq301789, type, q301789 : $tType).
%  CONSTS
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq301808) > cartrealq301808)).
thf(cpathuu_image0, type, pathu_image0 : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((q45386 > $o) > (q45386 > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealq302685) > cartrealq302685 > $o)).
thf(cunion0, type, union0 : ((q45386 > $o) > (q45386 > $o) > q45386 > $o)).
thf(cpu_pu_2, type, p_p_2 : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(cunion, type, union : ((cartrealq302685 > $o) > (cartrealq302685 > $o) > cartrealq302685 > $o)).
thf(cpu_pu_1, type, p_p_1 : ((cartrealn1 > cartrealq302685) > (cartrealn1 > cartrealq302685) > cartrealn1 > cartrealq302685)).
thf(cpu_pu_0, type, p_p_0 : ((cartrealn1 > cartrealq301789) > (cartrealn1 > cartrealq301789) > cartrealn1 > cartrealq301789)).
thf(cpu_pu_, type, p_p_ : ((cartrealn1 > cartrealq301808) > (cartrealn1 > cartrealq301808) > cartrealn1 > cartrealq301808)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cpathstart1, type, pathstart1 : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish1, type, pathfinish1 : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathstart0, type, pathstart0 : ((cartrealn1 > cartrealq302685) > cartrealq302685)).
thf(cpathfinish0, type, pathfinish0 : ((cartrealn1 > cartrealq302685) > cartrealq302685)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq301789) > cartrealq301789)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHFINISHu_JOIN, axiom, ![G1:(cartrealn1 > cartrealq301808),G2:(cartrealn1 > cartrealq301808)]:((pathfinish @ (p_p_ @ G1 @ G2)) = (pathfinish @ G2))).
thf(aPATHSTARTu_JOIN, axiom, ![G1:(cartrealn1 > cartrealq301789),G2:(cartrealn1 > cartrealq301789)]:((pathstart @ (p_p_0 @ G1 @ G2)) = (pathstart @ G1))).
thf(aPATHu_IMAGEu_JOIN, axiom, ![G1:(cartrealn1 > cartrealq302685),G2:(cartrealn1 > cartrealq302685)]:(((pathfinish0 @ G1) = (pathstart0 @ G2)) => ((pathu_image @ (p_p_1 @ G1 @ G2)) = (union @ (pathu_image @ G1) @ (pathu_image @ G2))))).
thf(aPATHu_JOIN, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:(((pathfinish1 @ G1) = (pathstart1 @ G2)) => ((path @ (p_p_2 @ G1 @ G2)) <=> ((path @ G1) & (path @ G2))))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_SUBSET, axiom, ![S:(q45386 > $o),T:(q45386 > $o),U:(q45386 > $o)]:((subset @ (union0 @ S @ T) @ U) <=> ((subset @ S @ U) & (subset @ T @ U)))).
thf(apathu_component, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((pathu_component @ S @ X @ Y) <=> ?[G:(cartrealn1 > cartrealn)]:((path @ G) & (subset0 @ (pathu_image0 @ G) @ S) & ((pathstart1 @ G) = X) & ((pathfinish1 @ G) = Y)))).
thf(conjecture, conjecture, ![Z:cartrealn,S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((pathu_component @ S @ X @ Y) & (pathu_component @ S @ Y @ Z)) => (pathu_component @ S @ X @ Z))).
