%   ORIGINAL: PATH_COMPONENT_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATH_COMPONENT_SYM: !s x y. path_component s x y ==> path_component s y x
% Assm: PATH_COMPONENT_TRANS: !s x y. path_component s x y /\ path_component s y z ==> path_component s x z
% Assm: TRUTH: T
% Goal: !s x y. y IN path_component s x ==> path_component s y = path_component s x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !s x y. path_component s x y ==> path_component s y x
% Assm: !z s x y. path_component s x y /\ path_component s y z ==> path_component s x z
% Assm: T
% Goal: !s x y. y IN path_component s x ==> path_component s y = path_component s x
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq310581, type, q310581 : $tType).
thf(tcartrealq310581, type, cartrealq310581 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealq310581 > (cartrealq310581 > $o) > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealq310581 > $o) > cartrealq310581 > cartrealq310581 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq310581 > $o),G:(a > cartrealq310581 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq310581 > $o)]:(^[X:cartrealq310581]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq310581 > $o),T:(cartrealq310581 > $o)]:((S = T) <=> ![X:cartrealq310581]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealq310581 > $o),X:cartrealq310581]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHu_COMPONENTu_SYM, axiom, ![S:(cartrealq310581 > $o),X:cartrealq310581,Y:cartrealq310581]:((pathu_component @ S @ X @ Y) => (pathu_component @ S @ Y @ X))).
thf(aPATHu_COMPONENTu_TRANS, axiom, ![Z:cartrealq310581,S:(cartrealq310581 > $o),X:cartrealq310581,Y:cartrealq310581]:(((pathu_component @ S @ X @ Y) & (pathu_component @ S @ Y @ Z)) => (pathu_component @ S @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq310581 > $o),X:cartrealq310581,Y:cartrealq310581]:((in @ Y @ (pathu_component @ S @ X)) => ((pathu_component @ S @ Y) = (pathu_component @ S @ X)))).
