%   ORIGINAL: PATH_CONNECTED_PATH_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATH_COMPONENT_EQ: !s x y. y IN path_component s x ==> path_component s y = path_component s x
% Assm: PATH_COMPONENT_MONO: !s t x. s SUBSET t ==> path_component s x SUBSET path_component t x
% Assm: PATH_COMPONENT_PATH_IMAGE_PATHSTART: !p x. path p /\ x IN path_image p ==> path_component (path_image p) (pathstart p) x
% Assm: PATH_COMPONENT_SYM: !s x y. path_component s x y ==> path_component s y x
% Assm: PATH_COMPONENT_TRANS: !s x y. path_component s x y /\ path_component s y z ==> path_component s x z
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: path_component: !s x y. path_component s x y <=> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y)
% Assm: path_connected: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y))
% Goal: !s x. path_connected (path_component s x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s x y. y IN path_component s x ==> path_component s y = path_component s x
% Assm: !s t x. s SUBSET t ==> path_component s x SUBSET path_component t x
% Assm: !p x. path p /\ x IN path_image p ==> path_component (path_image p) (pathstart p) x
% Assm: !s x y. path_component s x y ==> path_component s y x
% Assm: !z s x y. path_component s x y /\ path_component s y z ==> path_component s x z
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s x y. path_component s x y <=> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y)
% Assm: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y))
% Goal: !s x. path_connected (path_component s x)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHu_COMPONENTu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in0 @ Y @ (pathu_component @ S @ X)) => ((pathu_component @ S @ Y) = (pathu_component @ S @ X)))).
thf(aPATHu_COMPONENTu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((subset @ S @ T) => (subset @ (pathu_component @ S @ X) @ (pathu_component @ T @ X)))).
thf(aPATHu_COMPONENTu_PATHu_IMAGEu_PATHSTART, axiom, ![P:(cartrealn1 > cartrealn),X:cartrealn]:(((path @ P) & (in0 @ X @ (pathu_image @ P))) => (pathu_component @ (pathu_image @ P) @ (pathstart @ P) @ X))).
thf(aPATHu_COMPONENTu_SYM, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((pathu_component @ S @ X @ Y) => (pathu_component @ S @ Y @ X))).
thf(aPATHu_COMPONENTu_TRANS, axiom, ![Z:cartrealn,S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((pathu_component @ S @ X @ Y) & (pathu_component @ S @ Y @ Z)) => (pathu_component @ S @ X @ Z))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(apathu_component, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((pathu_component @ S @ X @ Y) <=> ?[G:(cartrealn1 > cartrealn)]:((path @ G) & (subset @ (pathu_image @ G) @ S) & ((pathstart @ G) = X) & ((pathfinish @ G) = Y)))).
thf(apathu_connected, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in0 @ X @ S) & (in0 @ Y @ S)) => ?[G:(cartrealn1 > cartrealn)]:((path @ G) & (subset @ (pathu_image @ G) @ S) & ((pathstart @ G) = X) & ((pathfinish @ G) = Y))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:(pathu_connected @ (pathu_component @ S @ X))).
