%   ORIGINAL: PATH_COMPONENT_PATH_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: PATH_COMPONENT_EQ_EMPTY: !s x. path_component s x = {} <=> ~(x IN s)
% Assm: PATH_COMPONENT_MAXIMAL: !s t x. x IN t /\ path_connected t /\ t SUBSET s ==> t SUBSET path_component s x
% Assm: PATH_COMPONENT_MONO: !s t x. s SUBSET t ==> path_component s x SUBSET path_component t x
% Assm: PATH_COMPONENT_REFL_EQ: !s x. path_component s x x <=> x IN s
% Assm: PATH_COMPONENT_SUBSET: !s x. path_component s x SUBSET s
% Assm: PATH_CONNECTED_PATH_COMPONENT: !s x. path_connected (path_component s x)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Goal: !s x. path_component (path_component s x) x = path_component s x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s x. path_component s x = {} <=> ~(x IN s)
% Assm: !s t x. x IN t /\ path_connected t /\ t SUBSET s ==> t SUBSET path_component s x
% Assm: !s t x. s SUBSET t ==> path_component s x SUBSET path_component t x
% Assm: !s x. path_component s x x <=> x IN s
% Assm: !s x. path_component s x SUBSET s
% Assm: !s x. path_connected (path_component s x)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s. s SUBSET s
% Assm: T
% Goal: !s x. path_component (path_component s x) x = path_component s x
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty))).
thf(aPATHu_COMPONENTu_EQu_EMPTY, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((pathu_component @ S @ X) = empty0) <=> ~ ((in @ X @ S)))).
thf(aPATHu_COMPONENTu_MAXIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:(((in @ X @ T) & (pathu_connected @ T) & (subset @ T @ S)) => (subset @ T @ (pathu_component @ S @ X)))).
thf(aPATHu_COMPONENTu_MONO, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((subset @ S @ T) => (subset @ (pathu_component @ S @ X) @ (pathu_component @ T @ X)))).
thf(aPATHu_COMPONENTu_REFLu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn]:((pathu_component @ S @ X @ X) <=> (in @ X @ S))).
thf(aPATHu_COMPONENTu_SUBSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:(subset @ (pathu_component @ S @ X) @ S)).
thf(aPATHu_CONNECTEDu_PATHu_COMPONENT, axiom, ![S:(cartrealn > $o),X:cartrealn]:(pathu_connected @ (pathu_component @ S @ X))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset0 @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:((pathu_component @ (pathu_component @ S @ X) @ X) = (pathu_component @ S @ X))).
