%   ORIGINAL: PATH_CONNECTED_LINEPATH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATHFINISH_LINEPATH: !a b. pathfinish (linepath (a,b)) = b
% Assm: PATHSTART_LINEPATH: !a b. pathstart (linepath (a,b)) = a
% Assm: PATH_IMAGE_LINEPATH: !a b. path_image (linepath (a,b)) = segment [a,b]
% Assm: PATH_LINEPATH: !a b. path (linepath (a,b))
% Assm: TRUTH: T
% Assm: path_component: !s x y. path_component s x y <=> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y)
% Goal: !s a b. segment [a,b] SUBSET s ==> path_component s a b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. pathfinish (linepath (a,b)) = b
% Assm: !a b. pathstart (linepath (a,b)) = a
% Assm: !a b. path_image (linepath (a,b)) = segment [a,b]
% Assm: !a b. path (linepath (a,b))
% Assm: T
% Assm: !s x y. path_component s x y <=> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y)
% Goal: !s a b. segment [a,b] SUBSET s ==> path_component s a b
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clinepath, type, linepath : (prodcartrealncartrealn > cartrealn1 > cartrealn)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHFINISHu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((pathfinish @ (linepath @ (c_ @ A @ B))) = B)).
thf(aPATHSTARTu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((pathstart @ (linepath @ (c_ @ A @ B))) = A)).
thf(aPATHu_IMAGEu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((pathu_image @ (linepath @ (c_ @ A @ B))) = (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aPATHu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:(path @ (linepath @ (c_ @ A @ B)))).
thf(aTRUTH, axiom, $true).
thf(apathu_component, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((pathu_component @ S @ X @ Y) <=> ?[G:(cartrealn1 > cartrealn)]:((path @ G) & (subset @ (pathu_image @ G) @ S) & ((pathstart @ G) = X) & ((pathfinish @ G) = Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:((subset @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ S) => (pathu_component @ S @ A @ B))).
