%   ORIGINAL: PATH_COMPONENT_DISJOINT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: PATH_COMPONENT_SYM: !s x y. path_component s x y ==> path_component s y x
% Assm: PATH_COMPONENT_TRANS: !s x y. path_component s x y /\ path_component s y z ==> path_component s x z
% Assm: TRUTH: T
% Goal: !s a b. DISJOINT (path_component s a) (path_component s b) <=> ~(a IN path_component s b)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s x y. path_component s x y ==> path_component s y x
% Assm: !z s x y. path_component s x y /\ path_component s y z ==> path_component s x z
% Assm: T
% Goal: !s a b. DISJOINT (path_component s a) (path_component s b) <=> ~(a IN path_component s b)
%  TYPES
thf(tq310789, type, q310789 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq310789, type, cartrealq310789 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (cartrealq310789 > (cartrealq310789 > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealq310789 > $o) > (cartrealq310789 > $o) > $o)).
thf(cinter, type, inter : ((cartrealq310789 > $o) > (cartrealq310789 > $o) > cartrealq310789 > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealq310789 > $o) > cartrealq310789 > cartrealq310789 > $o)).
thf(cempty, type, empty : (cartrealq310789 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealq310789 > $o),T:(cartrealq310789 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq310789 > $o),T:(cartrealq310789 > $o)]:((S = T) <=> ![X:cartrealq310789]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealq310789 > $o),X:cartrealq310789]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealq310789 > $o),T:(cartrealq310789 > $o),X:cartrealq310789]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq310789]:~ ((in @ X @ empty))).
thf(aPATHu_COMPONENTu_SYM, axiom, ![S:(cartrealq310789 > $o),X:cartrealq310789,Y:cartrealq310789]:((pathu_component @ S @ X @ Y) => (pathu_component @ S @ Y @ X))).
thf(aPATHu_COMPONENTu_TRANS, axiom, ![Z:cartrealq310789,S:(cartrealq310789 > $o),X:cartrealq310789,Y:cartrealq310789]:(((pathu_component @ S @ X @ Y) & (pathu_component @ S @ Y @ Z)) => (pathu_component @ S @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq310789 > $o),A:cartrealq310789,B:cartrealq310789]:((disjoint @ (pathu_component @ S @ A) @ (pathu_component @ S @ B)) <=> ~ ((in @ A @ (pathu_component @ S @ B))))).
