%   ORIGINAL: PATH_CONNECTED_IMP_CONNECTED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_IFF_CONNECTED_COMPONENT: !s. connected s <=> (!x y. x IN s /\ y IN s ==> connected_component s x y)
% Assm: CONNECTED_PATH_IMAGE: !g. path g ==> connected (path_image g)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATHFINISH_IN_PATH_IMAGE: !g. pathfinish g IN path_image g
% Assm: PATHSTART_IN_PATH_IMAGE: !g. pathstart g IN path_image g
% Assm: TRUTH: T
% Assm: connected_component: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Assm: path_connected: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y))
% Goal: !s. path_connected s ==> connected s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. connected s <=> (!x y. x IN s /\ y IN s ==> connected_component s x y)
% Assm: !g. path g ==> connected (path_image g)
% Assm: ~F <=> T
% Assm: !g. pathfinish g IN path_image g
% Assm: !g. pathstart g IN path_image g
% Assm: T
% Assm: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Assm: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y))
% Goal: !s. path_connected s ==> connected s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq301122, type, cartrealq301122 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq301122, type, q301122 : $tType).
thf(tq301134, type, q301134 : $tType).
thf(tcartrealq301134, type, cartrealq301134 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq301122) > cartrealq301122)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpathuu_image1, type, pathu_image1 : ((cartrealn1 > cartrealq301122) > cartrealq301122 > $o)).
thf(cin1, type, in1 : (cartrealq301122 > (cartrealq301122 > $o) > $o)).
thf(cpathuu_image0, type, pathu_image0 : ((cartrealn1 > cartrealq301134) > cartrealq301134 > $o)).
thf(cin0, type, in0 : (cartrealq301134 > (cartrealq301134 > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cpathfinish0, type, pathfinish0 : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathstart0, type, pathstart0 : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq301134) > cartrealq301134)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_IFFu_CONNECTEDu_COMPONENT, axiom, ![S:(cartrealn > $o)]:((connected @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => (connectedu_component @ S @ X @ Y)))).
thf(aCONNECTEDu_PATHu_IMAGE, axiom, ![G:(cartrealn1 > cartrealn)]:((path @ G) => (connected @ (pathu_image @ G)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHFINISHu_INu_PATHu_IMAGE, axiom, ![G:(cartrealn1 > cartrealq301134)]:(in0 @ (pathfinish @ G) @ (pathu_image0 @ G))).
thf(aPATHSTARTu_INu_PATHu_IMAGE, axiom, ![G:(cartrealn1 > cartrealq301122)]:(in1 @ (pathstart @ G) @ (pathu_image1 @ G))).
thf(aTRUTH, axiom, $true).
thf(aconnectedu_component, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((connectedu_component @ S @ X @ Y) <=> ?[T:(cartrealn > $o)]:((connected @ T) & (subset @ T @ S) & (in @ X @ T) & (in @ Y @ T)))).
thf(apathu_connected, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => ?[G:(cartrealn1 > cartrealn)]:((path @ G) & (subset @ (pathu_image @ G) @ S) & ((pathstart0 @ G) = X) & ((pathfinish0 @ G) = Y))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((pathu_connected @ S) => (connected @ S))).
