%   ORIGINAL: AFFINE_HULL_SEGMENT_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_HULL_CLOSURE: !s. affine hull closure s = affine hull s
% Assm: AFFINE_HULL_CONVEX_HULL: !s. affine hull (convex hull s) = affine hull s
% Assm: AFFINE_HULL_EMPTY: affine hull {} = {}
% Assm: CLOSURE_SEGMENT_conjunct1: !a b. closure (segment (a,b)) = (if a = b then {} else segment [a,b])
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: SEGMENT_CONVEX_HULL: !a b. segment [a,b] = convex hull {a, b}
% Assm: TRUTH: T
% Goal: !a b. affine hull segment (a,b) = (if a = b then {} else affine hull {a, b})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. affine hull closure s = affine hull s
% Assm: !s. affine hull (convex hull s) = affine hull s
% Assm: affine hull {} = {}
% Assm: !a b. closure (segment (a,b)) = (if a = b then {} else segment [a,b])
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !a b. segment [a,b] = convex hull {a, b}
% Assm: T
% Goal: !a b. affine hull segment (a,b) = (if a = b then {} else affine hull {a, b})
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccond, type, cond : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_HULLu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((hull @ affine @ (closure @ S)) = (hull @ affine @ S))).
thf(aAFFINEu_HULLu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((hull @ affine @ (hull @ convex @ S)) = (hull @ affine @ S))).
thf(aAFFINEu_HULLu_EMPTY, axiom, ((hull @ affine @ empty) = empty)).
thf(aCLOSUREu_SEGMENTu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:((closure @ (openu_segment @ (c_ @ A @ B))) = (cond @ (A = B) @ empty @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn > $o),T2:(cartrealn > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:(cartrealn > $o),C:$o,P:((cartrealn > $o) > $o),Y:(cartrealn > $o)]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aSEGMENTu_CONVEXu_HULL, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (hull @ convex @ (insert @ A @ (insert @ B @ empty))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:((hull @ affine @ (openu_segment @ (c_ @ A @ B))) = (cond @ (A = B) @ empty @ (hull @ affine @ (insert @ A @ (insert @ B @ empty)))))).
