%   ORIGINAL: AFFINE_HULL_SEGMENT_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_HULL_CONVEX_HULL: !s. affine hull (convex hull s) = affine hull s
% Assm: AFFINE_HULL_SEGMENT_conjunct1: !a b. affine hull segment (a,b) = (if a = b then {} else affine hull {a, b})
% Assm: SEGMENT_CONVEX_HULL: !a b. segment [a,b] = convex hull {a, b}
% Assm: TRUTH: T
% Goal: !a b. affine hull segment [a,b] = affine hull {a, b}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. affine hull (convex hull s) = affine hull s
% Assm: !a b. affine hull segment (a,b) = (if a = b then {} else affine hull {a, b})
% Assm: !a b. segment [a,b] = convex hull {a, b}
% Assm: T
% Goal: !a b. affine hull segment [a,b] = affine hull {a, b}
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccond, type, cond : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_HULLu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((hull @ affine @ (hull @ convex @ S)) = (hull @ affine @ S))).
thf(aAFFINEu_HULLu_SEGMENTu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:((hull @ affine @ (openu_segment @ (c_ @ A @ B))) = (cond @ (A = B) @ empty @ (hull @ affine @ (insert @ A @ (insert @ B @ empty)))))).
thf(aSEGMENTu_CONVEXu_HULL, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (hull @ convex @ (insert @ A @ (insert @ B @ empty))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:((hull @ affine @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) = (hull @ affine @ (insert @ A @ (insert @ B @ empty))))).
