%   ORIGINAL: RELATIVE_INTERIOR_SEGMENT_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_HULL_SEGMENT_conjunct1: !a b. affine hull segment (a,b) = (if a = b then {} else affine hull {a, b})
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: OPEN_IN_OPEN: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: RELATIVE_INTERIOR_EMPTY: relative_interior {} = {}
% Assm: RELATIVE_INTERIOR_EQ: !s. relative_interior s = s <=> open_in (subtopology euclidean (affine hull s)) s
% Assm: SEGMENT_AS_BALL_conjunct1: !a b. segment (a,b) = affine hull {a, b} INTER ball (inv (&2) % (a + b),norm (b - a) / &2)
% Assm: SEGMENT_REFL_conjunct1: !a. segment (a,a) = {}
% Assm: TRUTH: T
% Goal: !a b. relative_interior (segment (a,b)) = segment (a,b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. affine hull segment (a,b) = (if a = b then {} else affine hull {a, b})
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x e. open (ball (x,e))
% Assm: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: relative_interior {} = {}
% Assm: !s. relative_interior s = s <=> open_in (subtopology euclidean (affine hull s)) s
% Assm: !a b. segment (a,b) = affine hull {a, b} INTER ball (inv (&2) % (a + b),norm (b - a) / &2)
% Assm: !a. segment (a,a) = {}
% Assm: T
% Goal: !a b. relative_interior (segment (a,b)) = segment (a,b)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(tprodcartrealq169289real, type, prodcartrealq169289real : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq169289, type, cartrealq169289 : $tType).
thf(tq169289, type, q169289 : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cball0, type, ball0 : (prodcartrealnreal > cartrealn > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cball, type, ball : (prodcartrealq169289real > cartrealq169289 > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(ccu_1, type, c_1 : (cartrealn > real > prodcartrealnreal)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(ccu_0, type, c_0 : (cartrealq169289 > real > prodcartrealq169289real)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccond, type, cond : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(copen0, type, open0 : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealq169289 > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_HULLu_SEGMENTu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:((hull @ affine @ (openu_segment @ (c_ @ A @ B))) = (cond @ (A = B) @ empty @ (hull @ affine @ (insert @ A @ (insert @ B @ empty)))))).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn > $o),T2:(cartrealn > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aOPENu_BALL, axiom, ![X:cartrealq169289,E:real]:(open @ (ball @ (c_0 @ X @ E)))).
thf(aOPENu_INu_OPEN, axiom, ![S:(cartrealn > $o),U:(cartrealn > $o)]:((openu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealn > $o)]:((open0 @ T) & (S = (inter @ U @ T))))).
thf(aRELATIVEu_INTERIORu_EMPTY, axiom, ((relativeu_interior @ empty) = empty)).
thf(aRELATIVEu_INTERIORu_EQ, axiom, ![S:(cartrealn > $o)]:(((relativeu_interior @ S) = S) <=> (openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ S))).
thf(aSEGMENTu_ASu_BALLu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:((openu_segment @ (c_ @ A @ B)) = (inter @ (hull @ affine @ (insert @ A @ (insert @ B @ empty))) @ (ball0 @ (c_1 @ (r_ @ (realu_inv @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (vectoru_add @ A @ B)) @ (realu_div @ (vectoru_norm @ (vectoru_sub @ B @ A)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))).
thf(aSEGMENTu_REFLu_conjunct1, axiom, ![A:cartrealn]:((openu_segment @ (c_ @ A @ A)) = empty)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:((relativeu_interior @ (openu_segment @ (c_ @ A @ B))) = (openu_segment @ (c_ @ A @ B)))).
