%   ORIGINAL: FINITE_INTERVAL_1_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_DELETE: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: FINITE_INTERVAL_1_conjunct0: !a b. FINITE (interval [a,b]) <=> drop b <= drop a
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_CLOSED_INTERVAL_1: !a b. interval (a,b) = interval [a,b] DIFF {a, b}
% Assm: TRUTH: T
% Goal: !a b. FINITE (interval (a,b)) <=> drop b <= drop a
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: !a b. FINITE (interval [a,b]) <=> drop b <= drop a
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x <=> y)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x y s. x IN y INSERT s <=> (x <=> y) \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !a b. interval (a,b) = interval [a,b] DIFF {a, b}
% Assm: T
% Goal: !a b. FINITE (interval (a,b)) <=> drop b <= drop a
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cin0, type, in0 : ($o > ($o > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cinsert0, type, insert0 : (cartrealn1 > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(cdiff0, type, diff0 : ((cartrealn1 > $o) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(cinsert, type, insert : ($o > ($o > $o) > $o > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cdelete0, type, delete0 : (($o > $o) > $o > $o > $o)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cdelete, type, delete : ((cartrealn1 > $o) > cartrealn1 > cartrealn1 > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(cempty0, type, empty0 : (cartrealn1 > $o)).
thf(cfinite, type, finite : ((cartrealn1 > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_DELETE, axiom, ![S:(cartrealn1 > $o),X:cartrealn1]:((finite @ (delete @ S @ X)) <=> (finite @ S))).
thf(aFINITEu_INTERVALu_1u_conjunct0, axiom, ![A:cartrealn1,B:cartrealn1]:((finite @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> (realu_le @ (drop @ B) @ (drop @ A)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:($o > $o),X:$o,Y:$o]:((in0 @ X @ (delete0 @ S @ Y)) <=> ((in0 @ X @ S) & ~ ((X <=> Y))))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INSERT, axiom, ![X:$o,Y:$o,S:($o > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X <=> Y) | (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aOPENu_CLOSEDu_INTERVALu_1, axiom, ![A:cartrealn1,B:cartrealn1]:((openu_interval @ (c_ @ A @ B)) = (diff0 @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (insert0 @ A @ (insert0 @ B @ empty0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn1,B:cartrealn1]:((finite @ (openu_interval @ (c_ @ A @ B))) <=> (realu_le @ (drop @ B) @ (drop @ A)))).
