%   ORIGINAL: SUBSET_SEGMENT_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_SEGMENT_conjunct0: !a b. convex (segment [a,b])
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SEGMENT_CONVEX_HULL: !a b. segment [a,b] = convex hull {a, b}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_HULL: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: TRUTH: T
% Goal: !a b c d. segment [a,b] SUBSET segment [c,d] <=> a IN segment [c,d] /\ b IN segment [c,d]
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. convex (segment [a,b])
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !a b. segment [a,b] = convex hull {a, b}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: T
% Goal: !a b c d. segment [a,b] SUBSET segment [c,d] <=> a IN segment [c,d] /\ b IN segment [c,d]
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_SEGMENTu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:(convex @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSEGMENTu_CONVEXu_HULL, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (hull @ convex @ (insert @ A @ (insert @ B @ empty))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_HULL, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((P @ T) => ((subset @ (hull @ P @ S) @ T) <=> (subset @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:((subset @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (closedu_segment @ (cons @ (c_ @ C @ D) @ nil))) <=> ((in @ A @ (closedu_segment @ (cons @ (c_ @ C @ D) @ nil))) & (in @ B @ (closedu_segment @ (cons @ (c_ @ C @ D) @ nil)))))).
