%   ORIGINAL: RELATIVE_INTERIOR_SEGMENT_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_SEGMENT_conjunct1: !a b. closure (segment (a,b)) = (if a = b then {} else segment [a,b])
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CONVEX_RELATIVE_INTERIOR_CLOSURE: !s. convex s ==> relative_interior (closure s) = relative_interior s
% Assm: CONVEX_SEGMENT_conjunct1: !a b. convex (segment (a,b))
% Assm: RELATIVE_INTERIOR_SEGMENT_conjunct1: !a b. relative_interior (segment (a,b)) = segment (a,b)
% Assm: RELATIVE_INTERIOR_SING: !a. relative_interior {a} = {a}
% Assm: SEGMENT_REFL_conjunct0: !a. segment [a,a] = {a}
% Assm: TRUTH: T
% Goal: !a b. relative_interior (segment [a,b]) = (if a = b then {a} else segment (a,b))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. closure (segment (a,b)) = (if a = b then {} else segment [a,b])
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s. convex s ==> relative_interior (closure s) = relative_interior s
% Assm: !a b. convex (segment (a,b))
% Assm: !a b. relative_interior (segment (a,b)) = segment (a,b)
% Assm: !a. relative_interior {a} = {a}
% Assm: !a. segment [a,a] = {a}
% Assm: T
% Goal: !a b. relative_interior (segment [a,b]) = (if a = b then {a} else segment (a,b))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccond, type, cond : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_SEGMENTu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:((closure @ (openu_segment @ (c_ @ A @ B))) = (cond @ (A = B) @ empty @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn > $o),T2:(cartrealn > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:(cartrealn > $o),C:$o,P:((cartrealn > $o) > $o),Y:(cartrealn > $o)]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONVEXu_RELATIVEu_INTERIORu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((convex @ S) => ((relativeu_interior @ (closure @ S)) = (relativeu_interior @ S)))).
thf(aCONVEXu_SEGMENTu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:(convex @ (openu_segment @ (c_ @ A @ B)))).
thf(aRELATIVEu_INTERIORu_SEGMENTu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:((relativeu_interior @ (openu_segment @ (c_ @ A @ B))) = (openu_segment @ (c_ @ A @ B)))).
thf(aRELATIVEu_INTERIORu_SING, axiom, ![A:cartrealn]:((relativeu_interior @ (insert @ A @ empty)) = (insert @ A @ empty))).
thf(aSEGMENTu_REFLu_conjunct0, axiom, ![A:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ A) @ nil)) = (insert @ A @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:((relativeu_interior @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) = (cond @ (A = B) @ (insert @ A @ empty) @ (openu_segment @ (c_ @ A @ B))))).
