%   ORIGINAL: SEGMENT_EQ_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ENDS_IN_SEGMENT: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: RELATIVE_INTERIOR_SEGMENT_conjunct0: !a b. relative_interior (segment [a,b]) = (if a = b then {a} else segment (a,b))
% Assm: SEGMENT_CONVEX_HULL: !a b. segment [a,b] = convex hull {a, b}
% Assm: SEGMENT_EQ_SING_conjunct0: !a b c. segment [a,b] = {c} <=> a = c /\ b = c
% Assm: SEGMENT_EQ_SING_conjunct1: !a b c. ~(segment (a,b) = {c})
% Assm: SEGMENT_REFL_conjunct0: !a. segment [a,a] = {a}
% Assm: TRUTH: T
% Assm: open_segment: !a b. segment (a,b) = segment [a,b] DIFF {a, b}
% Goal: !a b c d. segment [a,b] = segment [c,d] <=> {a, b} = {c, d}
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !a b. relative_interior (segment [a,b]) = (if a = b then {a} else segment (a,b))
% Assm: !a b. segment [a,b] = convex hull {a, b}
% Assm: !a b c. segment [a,b] = {c} <=> a = c /\ b = c
% Assm: !a b c. ~(segment (a,b) = {c})
% Assm: !a. segment [a,a] = {a}
% Assm: T
% Assm: !a b. segment (a,b) = segment [a,b] DIFF {a, b}
% Goal: !a b c d. segment [a,b] = segment [c,d] <=> {a, b} = {c, d}
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccond0, type, cond0 : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aENDSu_INu_SEGMENT, axiom, ![A:cartrealn,B:cartrealn]:((in @ A @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & (in @ B @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aRELATIVEu_INTERIORu_SEGMENTu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:((relativeu_interior @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) = (cond0 @ (A = B) @ (insert @ A @ empty) @ (openu_segment @ (c_ @ A @ B))))).
thf(aSEGMENTu_CONVEXu_HULL, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (hull @ convex @ (insert @ A @ (insert @ B @ empty))))).
thf(aSEGMENTu_EQu_SINGu_conjunct0, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn]:(((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (insert @ C @ empty)) <=> ((A = C) & (B = C)))).
thf(aSEGMENTu_EQu_SINGu_conjunct1, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn]:~ (((openu_segment @ (c_ @ A @ B)) = (insert @ C @ empty)))).
thf(aSEGMENTu_REFLu_conjunct0, axiom, ![A:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ A) @ nil)) = (insert @ A @ empty))).
thf(aTRUTH, axiom, $true).
thf(aopenu_segment, axiom, ![A:cartrealn,B:cartrealn]:((openu_segment @ (c_ @ A @ B)) = (diff0 @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (insert @ A @ (insert @ B @ empty))))).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:(((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (closedu_segment @ (cons @ (c_ @ C @ D) @ nil))) <=> ((insert @ A @ (insert @ B @ empty)) = (insert @ C @ (insert @ D @ empty))))).
