%   ORIGINAL: BOUNDED_SEGMENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: COMPACT_IMP_BOUNDED: !s. compact s ==> bounded s
% Assm: COMPACT_SEGMENT: !a b. compact (segment [a,b])
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SEGMENT_OPEN_SUBSET_CLOSED: !a b. segment (a,b) SUBSET segment [a,b]
% Assm: TRUTH: T
% Goal: (!a b. bounded (segment [a,b])) /\ (!a b. bounded (segment (a,b)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !s. compact s ==> bounded s
% Assm: !a b. compact (segment [a,b])
% Assm: ~F <=> T
% Assm: !a b. segment (a,b) SUBSET segment [a,b]
% Assm: T
% Goal: (!a b. bounded (segment [a,b])) /\ (!a b. bounded (segment (a,b)))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aCOMPACTu_IMPu_BOUNDED, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (bounded @ S))).
thf(aCOMPACTu_SEGMENT, axiom, ![A:cartrealn,B:cartrealn]:(compact @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSEGMENTu_OPENu_SUBSETu_CLOSED, axiom, ![A:cartrealn,B:cartrealn]:(subset @ (openu_segment @ (c_ @ A @ B)) @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (![A:cartrealn,B:cartrealn]:(bounded @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & ![A:cartrealn,B:cartrealn]:(bounded @ (openu_segment @ (c_ @ A @ B))))).
