%   ORIGINAL: COLLINEAR_SEGMENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_AFFINE_HULL: !s. collinear s <=> (?u v. s SUBSET affine hull {u, v})
% Assm: COLLINEAR_SUBSET: !s t. collinear t /\ s SUBSET t ==> collinear s
% Assm: CONVEX_HULL_SUBSET_AFFINE_HULL: !s. convex hull s SUBSET affine hull s
% Assm: SEGMENT_CONVEX_HULL: !a b. segment [a,b] = convex hull {a, b}
% Assm: SEGMENT_OPEN_SUBSET_CLOSED: !a b. segment (a,b) SUBSET segment [a,b]
% Assm: TRUTH: T
% Goal: (!a b. collinear (segment [a,b])) /\ (!a b. collinear (segment (a,b)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. collinear s <=> (?u v. s SUBSET affine hull {u, v})
% Assm: !s t. collinear t /\ s SUBSET t ==> collinear s
% Assm: !s. convex hull s SUBSET affine hull s
% Assm: !a b. segment [a,b] = convex hull {a, b}
% Assm: !a b. segment (a,b) SUBSET segment [a,b]
% Assm: T
% Goal: (!a b. collinear (segment [a,b])) /\ (!a b. collinear (segment (a,b)))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq263790, type, cartrealq263790 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq263790, type, q263790 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(csubset0, type, subset0 : ((cartrealq263790 > $o) > (cartrealq263790 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(chull0, type, hull0 : (((cartrealq263790 > $o) > $o) > (cartrealq263790 > $o) > cartrealq263790 > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cconvex0, type, convex0 : ((cartrealn > $o) > $o)).
thf(caffine0, type, affine0 : ((cartrealq263790 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq263790 > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:((collinear @ S) <=> ?[U:cartrealn,V:cartrealn]:(subset @ S @ (hull @ affine @ (insert @ U @ (insert @ V @ empty)))))).
thf(aCOLLINEARu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((collinear @ T) & (subset @ S @ T)) => (collinear @ S))).
thf(aCONVEXu_HULLu_SUBSETu_AFFINEu_HULL, axiom, ![S:(cartrealq263790 > $o)]:(subset0 @ (hull0 @ convex @ S) @ (hull0 @ affine0 @ S))).
thf(aSEGMENTu_CONVEXu_HULL, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (hull @ convex0 @ (insert @ A @ (insert @ B @ empty))))).
thf(aSEGMENTu_OPENu_SUBSETu_CLOSED, axiom, ![A:cartrealn,B:cartrealn]:(subset @ (openu_segment @ (c_ @ A @ B)) @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (![A:cartrealn,B:cartrealn]:(collinear @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & ![A:cartrealn,B:cartrealn]:(collinear @ (openu_segment @ (c_ @ A @ B))))).
