%   ORIGINAL: INTER_SEGMENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_INDEPENDENT_2: !a b. ~affine_dependent {a, b}
% Assm: BETWEEN_IMP_COLLINEAR: !a b x. between x (a,b) ==> collinear {a, x, b}
% Assm: BETWEEN_IN_SEGMENT: !x a b. between x (a,b) <=> x IN segment [a,b]
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_2: !x y. collinear {x, y}
% Assm: COLLINEAR_3_TRANS: !a b c d. collinear {a, b, c} /\ collinear {b, c, d} /\ ~(b = c) ==> collinear {a, b, d}
% Assm: CONVEX_HULL_EXCHANGE_INTER: !s a t t'. ~affine_dependent s /\ a IN convex hull s /\ t SUBSET s /\ t' SUBSET s ==> convex hull (a INSERT t) INTER convex hull (a INSERT t') = convex hull (a INSERT (t INTER t'))
% Assm: CONVEX_HULL_SING: !a. convex hull {a} = {a}
% Assm: ENDS_IN_SEGMENT: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_AC_conjunct0: x INSERT y INSERT s = y INSERT x INSERT s
% Assm: INSERT_AC_conjunct1: x INSERT x INSERT s = x INSERT s
% Assm: INTER_IDEMPOT: !s. s INTER s = s
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SEGMENT_CONVEX_HULL: !a b. segment [a,b] = convex hull {a, b}
% Assm: SEGMENT_REFL_conjunct0: !a. segment [a,a] = {a}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !a b c. b IN segment [a,c] \/ ~collinear {a, b, c} ==> segment [a,b] INTER segment [b,c] = {b}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !a b. ~affine_dependent {a, b}
% Assm: !a b x. between x (a,b) ==> collinear {a, x, b}
% Assm: !x a b. between x (a,b) <=> x IN segment [a,b]
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. collinear {x, y}
% Assm: !a b c d. collinear {a, b, c} /\ collinear {b, c, d} /\ ~(b = c) ==> collinear {a, b, d}
% Assm: !s a t t'. ~affine_dependent s /\ a IN convex hull s /\ t SUBSET s /\ t' SUBSET s ==> convex hull (a INSERT t) INTER convex hull (a INSERT t') = convex hull (a INSERT (t INTER t'))
% Assm: !a. convex hull {a} = {a}
% Assm: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !y x s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !x s. x INSERT x INSERT s = x INSERT s
% Assm: !s. s INTER s = s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !a b. segment [a,b] = convex hull {a, b}
% Assm: !a. segment [a,a] = {a}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !a b c. b IN segment [a,c] \/ ~collinear {a, b, c} ==> segment [a,b] INTER segment [b,c] = {b}
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cbetween, type, between : (cartrealn > prodcartrealncartrealn > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_INDEPENDENTu_2, axiom, ![A:cartrealn,B:cartrealn]:~ ((affineu_dependent @ (insert @ A @ (insert @ B @ empty))))).
thf(aBETWEENu_IMPu_COLLINEAR, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((between @ X @ (c_ @ A @ B)) => (collinear @ (insert @ A @ (insert @ X @ (insert @ B @ empty)))))).
thf(aBETWEENu_INu_SEGMENT, axiom, ![X:cartrealn,A:cartrealn,B:cartrealn]:((between @ X @ (c_ @ A @ B)) <=> (in @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_2, axiom, ![X:cartrealn,Y:cartrealn]:(collinear @ (insert @ X @ (insert @ Y @ empty)))).
thf(aCOLLINEARu_3u_TRANS, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:(((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) & (collinear @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) & ~ ((B = C))) => (collinear @ (insert @ A @ (insert @ B @ (insert @ D @ empty)))))).
thf(aCONVEXu_HULLu_EXCHANGEu_INTER, axiom, ![S:(cartrealn > $o),A:cartrealn,T:(cartrealn > $o),TI_:(cartrealn > $o)]:((~ ((affineu_dependent @ S)) & (in @ A @ (hull @ convex @ S)) & (subset @ T @ S) & (subset @ TI_ @ S)) => ((inter @ (hull @ convex @ (insert @ A @ T)) @ (hull @ convex @ (insert @ A @ TI_))) = (hull @ convex @ (insert @ A @ (inter @ T @ TI_)))))).
thf(aCONVEXu_HULLu_SING, axiom, ![A:cartrealn]:((hull @ convex @ (insert @ A @ empty)) = (insert @ A @ empty))).
thf(aENDSu_INu_SEGMENT, axiom, ![A:cartrealn,B:cartrealn]:((in @ A @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & (in @ B @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINSERTu_ACu_conjunct0, axiom, ![Y:cartrealn,X:cartrealn,S:(cartrealn > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINSERTu_ACu_conjunct1, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((insert @ X @ (insert @ X @ S)) = (insert @ X @ S))).
thf(aINTERu_IDEMPOT, axiom, ![S:(cartrealn > $o)]:((inter @ S @ S) = S)).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_SING, axiom, ![X:cartrealn,Y:cartrealn]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSEGMENTu_CONVEXu_HULL, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (hull @ convex @ (insert @ A @ (insert @ B @ empty))))).
thf(aSEGMENTu_REFLu_conjunct0, axiom, ![A:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ A) @ nil)) = (insert @ A @ empty))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn]:(((in @ B @ (closedu_segment @ (cons @ (c_ @ A @ C) @ nil))) | ~ ((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))))) => ((inter @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (closedu_segment @ (cons @ (c_ @ B @ C) @ nil))) = (insert @ B @ empty)))).
