%   ORIGINAL: CARD_EQ_BALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BALL_EQ_EMPTY: !x e. ball (x,e) = {} <=> e <= &0
% Assm: CARD_EQ_OPEN: !s. open s /\ ~(s = {}) ==> s =_c (:real)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: TRUTH: T
% Goal: !a r. &0 < r ==> ball (a,r) =_c (:real)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. ball (x,e) = {} <=> e <= &0
% Assm: !s. open s /\ ~(s = {}) ==> s =_c (:real)
% Assm: ~F <=> T
% Assm: !x e. open (ball (x,e))
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: T
% Goal: !a r. &0 < r ==> ball (a,r) =_c (:real)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(cau_uu_c, type, a_u_c : ((cartrealn > $o) > (real > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBALLu_EQu_EMPTY, axiom, ![X:cartrealn,E:real]:(((ball @ (c_ @ X @ E)) = empty) <=> (realu_le @ E @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCARDu_EQu_OPEN, axiom, ![S:(cartrealn > $o)]:(((open @ S) & ~ ((S = empty))) => (a_u_c @ S @ univ))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_BALL, axiom, ![X:cartrealn,E:real]:(open @ (ball @ (c_ @ X @ E)))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,R:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) => (a_u_c @ (ball @ (c_ @ A @ R)) @ univ))).
