%   ORIGINAL: CARD_EQ_CBALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BALL_SUBSET_CBALL: !x e. ball (x,e) SUBSET cball (x,e)
% Assm: CARD_EQ_BALL: !a r. &0 < r ==> ball (a,r) =_c (:real)
% Assm: CARD_EQ_EUCLIDEAN: (:real^N) =_c (:real)
% Assm: CARD_EQ_IMP_LE: !s t. s =_c t ==> s <=_c t
% Assm: CARD_EQ_SYM: !s t. s =_c t <=> t =_c s
% Assm: CARD_LE_ANTISYM: !s t. s <=_c t /\ t <=_c s <=> s =_c t
% Assm: CARD_LE_SUBSET: !s t. s SUBSET t ==> s <=_c t
% Assm: CARD_LE_TRANS: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: CARD_LE_UNIV: !s. s <=_c (:A)
% Assm: TRUTH: T
% Goal: !a r. &0 < r ==> cball (a,r) =_c (:real)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. ball (x,e) SUBSET cball (x,e)
% Assm: !a r. &0 < r ==> ball (a,r) =_c (:real)
% Assm: (:real^N) =_c (:real)
% Assm: !s t. s =_c t ==> s <=_c t
% Assm: !s t. s =_c t <=> t =_c s
% Assm: !s t. s <=_c t /\ t <=_c s <=> s =_c t
% Assm: !s t. s SUBSET t ==> s <=_c t
% Assm: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: !s. s <=_c (:real)
% Assm: T
% Goal: !a r. &0 < r ==> cball (a,r) =_c (:real)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clu_au_uu_c5, type, l_a_u_c5 : ((real > $o) > (real > $o) > $o)).
thf(clu_au_uu_c4, type, l_a_u_c4 : ((a > $o) > (c > $o) > $o)).
thf(clu_au_uu_c3, type, l_a_u_c3 : ((b > $o) > (c > $o) > $o)).
thf(clu_au_uu_c2, type, l_a_u_c2 : ((a > $o) > (b > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((a > $o) > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((real > $o) > (cartrealn > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((real > $o) > (cartrealn > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((cartrealn > $o) > (real > $o) > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(cau_uu_c, type, a_u_c : ((cartrealn > $o) > (real > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBALLu_SUBSETu_CBALL, axiom, ![X:cartrealn,E:real]:(subset @ (ball @ (c_ @ X @ E)) @ (cball @ (c_ @ X @ E)))).
thf(aCARDu_EQu_BALL, axiom, ![A:cartrealn,R:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) => (a_u_c @ (ball @ (c_ @ A @ R)) @ univ))).
thf(aCARDu_EQu_EUCLIDEAN, axiom, (a_u_c @ univ0 @ univ)).
thf(aCARDu_EQu_IMPu_LE, axiom, ![S:(cartrealn > $o),T:(real > $o)]:((a_u_c @ S @ T) => (l_a_u_c @ S @ T))).
thf(aCARDu_EQu_SYM, axiom, ![S:(cartrealn > $o),T:(real > $o)]:((a_u_c @ S @ T) <=> (a_u_c0 @ T @ S))).
thf(aCARDu_LEu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(real > $o)]:(((l_a_u_c @ S @ T) & (l_a_u_c0 @ T @ S)) <=> (a_u_c @ S @ T))).
thf(aCARDu_LEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) => (l_a_u_c1 @ S @ T))).
thf(aCARDu_LEu_TRANS, axiom, ![S:(a > $o),T:(b > $o),U:(c > $o)]:(((l_a_u_c2 @ S @ T) & (l_a_u_c3 @ T @ U)) => (l_a_u_c4 @ S @ U))).
thf(aCARDu_LEu_UNIV, axiom, ![S:(real > $o)]:(l_a_u_c5 @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,R:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) => (a_u_c @ (cball @ (c_ @ A @ R)) @ univ))).
