%   ORIGINAL: CARD_EQ_CONVEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_EQ_EUCLIDEAN: (:real^N) =_c (:real)
% Assm: CARD_EQ_IMP_LE: !s t. s =_c t ==> s <=_c t
% Assm: CARD_EQ_SEGMENT_conjunct0: !a b. ~(a = b) ==> segment [a,b] =_c (:real)
% Assm: CARD_EQ_SYM: !s t. s =_c t <=> t =_c s
% Assm: CARD_LE_ANTISYM: !s t. s <=_c t /\ t <=_c s <=> s =_c t
% Assm: CARD_LE_SUBSET: !s t. s SUBSET t ==> s <=_c t
% Assm: CARD_LE_TRANS: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: CARD_LE_UNIV: !s. s <=_c (:A)
% Assm: CONVEX_CONTAINS_SEGMENT: !s. convex s <=> (!a b. a IN s /\ b IN s ==> segment [a,b] SUBSET s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s a b. convex s /\ a IN s /\ b IN s /\ ~(a = b) ==> s =_c (:real)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: (:real^N) =_c (:real)
% Assm: !s t. s =_c t ==> s <=_c t
% Assm: !a b. ~(a = b) ==> segment [a,b] =_c (:real)
% Assm: !s t. s =_c t <=> t =_c s
% Assm: !s t. s <=_c t /\ t <=_c s <=> s =_c t
% Assm: !s t. s SUBSET t ==> s <=_c t
% Assm: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: !s. s <=_c (:real)
% Assm: !s. convex s <=> (!a b. a IN s /\ b IN s ==> segment [a,b] SUBSET s)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s a b. convex s /\ a IN s /\ b IN s /\ ~(a = b) ==> s =_c (:real)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clu_au_uu_c5, type, l_a_u_c5 : ((real > $o) > (real > $o) > $o)).
thf(clu_au_uu_c4, type, l_a_u_c4 : ((a > $o) > (c > $o) > $o)).
thf(clu_au_uu_c3, type, l_a_u_c3 : ((b > $o) > (c > $o) > $o)).
thf(clu_au_uu_c2, type, l_a_u_c2 : ((a > $o) > (b > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((real > $o) > (cartrealn > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((real > $o) > (cartrealn > $o) > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((cartrealn > $o) > (real > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((cartrealn > $o) > (real > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_EQu_EUCLIDEAN, axiom, (a_u_c @ univ0 @ univ)).
thf(aCARDu_EQu_IMPu_LE, axiom, ![S:(cartrealn > $o),T:(real > $o)]:((a_u_c @ S @ T) => (l_a_u_c @ S @ T))).
thf(aCARDu_EQu_SEGMENTu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:(~ ((A = B)) => (a_u_c @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ univ))).
thf(aCARDu_EQu_SYM, axiom, ![S:(cartrealn > $o),T:(real > $o)]:((a_u_c @ S @ T) <=> (a_u_c0 @ T @ S))).
thf(aCARDu_LEu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(real > $o)]:(((l_a_u_c @ S @ T) & (l_a_u_c0 @ T @ S)) <=> (a_u_c @ S @ T))).
thf(aCARDu_LEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) => (l_a_u_c1 @ S @ T))).
thf(aCARDu_LEu_TRANS, axiom, ![S:(a > $o),T:(b > $o),U:(c > $o)]:(((l_a_u_c2 @ S @ T) & (l_a_u_c3 @ T @ U)) => (l_a_u_c4 @ S @ U))).
thf(aCARDu_LEu_UNIV, axiom, ![S:(real > $o)]:(l_a_u_c5 @ S @ univ)).
thf(aCONVEXu_CONTAINSu_SEGMENT, axiom, ![S:(cartrealn > $o)]:((convex @ S) <=> ![A:cartrealn,B:cartrealn]:(((in @ A @ S) & (in @ B @ S)) => (subset0 @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:(((convex @ S) & (in @ A @ S) & (in @ B @ S) & ~ ((A = B))) => (a_u_c @ S @ univ))).
