%   ORIGINAL: ARC_CONNECTED_TRANS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ARC_IMP_PATH: !g. arc g ==> path g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATHFINISH_JOIN: !g1 g2. pathfinish (g1 ++ g2) = pathfinish g2
% Assm: PATHSTART_JOIN: !g1 g2. pathstart (g1 ++ g2) = pathstart g1
% Assm: PATH_CONTAINS_ARC: !p a b. path p /\ pathstart p = a /\ pathfinish p = b /\ ~(a = b) ==> (?q. arc q /\ path_image q SUBSET path_image p /\ pathstart q = a /\ pathfinish q = b)
% Assm: PATH_IMAGE_JOIN: !g1 g2. pathfinish g1 = pathstart g2 ==> path_image (g1 ++ g2) = path_image g1 UNION path_image g2
% Assm: PATH_JOIN_EQ: !g1 g2. path g1 /\ path g2 ==> (path (g1 ++ g2) <=> pathfinish g1 = pathstart g2)
% Assm: TRUTH: T
% Goal: !g h. arc g /\ arc h /\ pathfinish g = pathstart h /\ ~(pathstart g = pathfinish h) ==> (?i. arc i /\ path_image i SUBSET path_image g UNION path_image h /\ pathstart i = pathstart g /\ pathfinish i = pathfinish h)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !g. arc g ==> path g
% Assm: ~F <=> T
% Assm: !g1 g2. pathfinish (g1 ++ g2) = pathfinish g2
% Assm: !g1 g2. pathstart (g1 ++ g2) = pathstart g1
% Assm: !p a b. path p /\ pathstart p = a /\ pathfinish p = b /\ ~(a = b) ==> (?q. arc q /\ path_image q SUBSET path_image p /\ pathstart q = a /\ pathfinish q = b)
% Assm: !g1 g2. pathfinish g1 = pathstart g2 ==> path_image (g1 ++ g2) = path_image g1 UNION path_image g2
% Assm: !g1 g2. path g1 /\ path g2 ==> (path (g1 ++ g2) <=> pathfinish g1 = pathstart g2)
% Assm: T
% Goal: !g h. arc g /\ arc h /\ pathfinish g = pathstart h /\ ~(pathstart g = pathfinish h) ==> (?i. arc i /\ path_image i SUBSET path_image g UNION path_image h /\ pathstart i = pathstart g /\ pathfinish i = pathfinish h)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpu_pu_, type, p_p_ : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(carc, type, arc : ((cartrealn1 > cartrealn) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aARCu_IMPu_PATH, axiom, ![G:(cartrealn1 > cartrealn)]:((arc @ G) => (path @ G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHFINISHu_JOIN, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:((pathfinish @ (p_p_ @ G1 @ G2)) = (pathfinish @ G2))).
thf(aPATHSTARTu_JOIN, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:((pathstart @ (p_p_ @ G1 @ G2)) = (pathstart @ G1))).
thf(aPATHu_CONTAINSu_ARC, axiom, ![P:(cartrealn1 > cartrealn),A:cartrealn,B:cartrealn]:(((path @ P) & ((pathstart @ P) = A) & ((pathfinish @ P) = B) & ~ ((A = B))) => ?[Q:(cartrealn1 > cartrealn)]:((arc @ Q) & (subset @ (pathu_image @ Q) @ (pathu_image @ P)) & ((pathstart @ Q) = A) & ((pathfinish @ Q) = B)))).
thf(aPATHu_IMAGEu_JOIN, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:(((pathfinish @ G1) = (pathstart @ G2)) => ((pathu_image @ (p_p_ @ G1 @ G2)) = (union @ (pathu_image @ G1) @ (pathu_image @ G2))))).
thf(aPATHu_JOINu_EQ, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:(((path @ G1) & (path @ G2)) => ((path @ (p_p_ @ G1 @ G2)) <=> ((pathfinish @ G1) = (pathstart @ G2))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![G:(cartrealn1 > cartrealn),H:(cartrealn1 > cartrealn)]:(((arc @ G) & (arc @ H) & ((pathfinish @ G) = (pathstart @ H)) & ~ (((pathstart @ G) = (pathfinish @ H)))) => ?[I:(cartrealn1 > cartrealn)]:((arc @ I) & (subset @ (pathu_image @ I) @ (union @ (pathu_image @ G) @ (pathu_image @ H))) & ((pathstart @ I) = (pathstart @ G)) & ((pathfinish @ I) = (pathfinish @ H))))).
