%   ORIGINAL: OPEN_CONNECTED_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: CONNECTED_BALL: !x e. connected (ball (x,e))
% Assm: CONNECTED_COMPONENT_EQ: !s x y. y IN connected_component s x ==> connected_component s y = connected_component s x
% Assm: CONNECTED_COMPONENT_MAXIMAL: !s t x. x IN t /\ connected t /\ t SUBSET s ==> t SUBSET connected_component s x
% Assm: CONNECTED_COMPONENT_SUBSET: !s x. connected_component s x SUBSET s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_CONTAINS_BALL: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s x. open s ==> open (connected_component s x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !x e. connected (ball (x,e))
% Assm: !s x y. y IN connected_component s x ==> connected_component s y = connected_component s x
% Assm: !s t x. x IN t /\ connected t /\ t SUBSET s ==> t SUBSET connected_component s x
% Assm: !s x. connected_component s x SUBSET s
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s x. open s ==> open (connected_component s x)
%  TYPES
thf(tnum, type, num : $tType).
thf(tq169309, type, q169309 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(tprodcartrealq169309real, type, prodcartrealq169309real : $tType).
thf(tcartrealq169309, type, cartrealq169309 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cball0, type, ball0 : (prodcartrealnreal > cartrealn > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cball, type, ball : (prodcartrealq169309real > cartrealq169309 > $o)).
thf(cin, type, in : (cartrealq169309 > (cartrealq169309 > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq169309 > real > prodcartrealq169309real)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealq169309,E:real]:((in @ X @ (ball @ (c_ @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aCONNECTEDu_BALL, axiom, ![X:cartrealn,E:real]:(connected @ (ball0 @ (c_0 @ X @ E)))).
thf(aCONNECTEDu_COMPONENTu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in0 @ Y @ (connectedu_component @ S @ X)) => ((connectedu_component @ S @ Y) = (connectedu_component @ S @ X)))).
thf(aCONNECTEDu_COMPONENTu_MAXIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:(((in0 @ X @ T) & (connected @ T) & (subset @ T @ S)) => (subset @ T @ (connectedu_component @ S @ X)))).
thf(aCONNECTEDu_COMPONENTu_SUBSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:(subset @ (connectedu_component @ S @ X) @ S)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_CONTAINSu_BALL, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> ![X:cartrealn]:((in0 @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (ball0 @ (c_0 @ X @ E)) @ S))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:((open @ S) => (open @ (connectedu_component @ S @ X)))).
