%   ORIGINAL: IN_CLOSURE_CONNECTED_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: CONNECTED_COMPONENT_OVERLAP: !s a b. ~(connected_component s a INTER connected_component s b = {}) <=> a IN s /\ b IN s /\ connected_component s a = connected_component s b
% Assm: CONNECTED_COMPONENT_REFL_EQ: !s x. connected_component s x x <=> x IN s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: OPEN_CONNECTED_COMPONENT: !s x. open s ==> open (connected_component s x)
% Assm: OPEN_INTER_CLOSURE_EQ_EMPTY: !s t. open s ==> (s INTER closure t = {} <=> s INTER t = {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !x y. x IN s /\ open s ==> (x IN closure (connected_component s y) <=> x IN connected_component s y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. s SUBSET closure s
% Assm: !s a b. ~(connected_component s a INTER connected_component s b = {}) <=> a IN s /\ b IN s /\ connected_component s a = connected_component s b
% Assm: !s x. connected_component s x x <=> x IN s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: !s x. open s ==> open (connected_component s x)
% Assm: !s t. open s ==> (s INTER closure t = {} <=> s INTER t = {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s x y. x IN s /\ open s ==> (x IN closure (connected_component s y) <=> x IN connected_component s y)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure @ S))).
thf(aCONNECTEDu_COMPONENTu_OVERLAP, axiom, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:(~ (((inter @ (connectedu_component @ S @ A) @ (connectedu_component @ S @ B)) = empty)) <=> ((in @ A @ S) & (in @ B @ S) & ((connectedu_component @ S @ A) = (connectedu_component @ S @ B))))).
thf(aCONNECTEDu_COMPONENTu_REFLu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn]:((connectedu_component @ S @ X @ X) <=> (in @ X @ S))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aOPENu_CONNECTEDu_COMPONENT, axiom, ![S:(cartrealn > $o),X:cartrealn]:((open @ S) => (open @ (connectedu_component @ S @ X)))).
thf(aOPENu_INTERu_CLOSUREu_EQu_EMPTY, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((open @ S) => (((inter @ S @ (closure @ T)) = empty) <=> ((inter @ S @ T) = empty)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (open @ S)) => ((in @ X @ (closure @ (connectedu_component @ S @ Y))) <=> (in @ X @ (connectedu_component @ S @ Y))))).
