%   ORIGINAL: PATH_COMPONENT_SUBSET_CONNECTED_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_EQ_EMPTY: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: CONNECTED_COMPONENT_MAXIMAL: !s t x. x IN t /\ connected t /\ t SUBSET s ==> t SUBSET connected_component s x
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATH_COMPONENT_EQ_EMPTY: !s x. path_component s x = {} <=> ~(x IN s)
% Assm: PATH_COMPONENT_REFL_EQ: !s x. path_component s x x <=> x IN s
% Assm: PATH_COMPONENT_SUBSET: !s x. path_component s x SUBSET s
% Assm: PATH_CONNECTED_IMP_CONNECTED: !s. path_connected s ==> connected s
% Assm: PATH_CONNECTED_PATH_COMPONENT: !s x. path_connected (path_component s x)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Goal: !s x. path_component s x SUBSET connected_component s x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: !s t x. x IN t /\ connected t /\ t SUBSET s ==> t SUBSET connected_component s x
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !s x. path_component s x = {} <=> ~(x IN s)
% Assm: !s x. path_component s x x <=> x IN s
% Assm: !s x. path_component s x SUBSET s
% Assm: !s. path_connected s ==> connected s
% Assm: !s x. path_connected (path_component s x)
% Assm: !s. s SUBSET s
% Assm: T
% Goal: !s x. path_component s x SUBSET connected_component s x
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_EQu_EMPTY, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((connectedu_component @ S @ X) = empty) <=> ~ ((in @ X @ S)))).
thf(aCONNECTEDu_COMPONENTu_MAXIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:(((in @ X @ T) & (connected @ T) & (subset @ T @ S)) => (subset @ T @ (connectedu_component @ S @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHu_COMPONENTu_EQu_EMPTY, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((pathu_component @ S @ X) = empty) <=> ~ ((in @ X @ S)))).
thf(aPATHu_COMPONENTu_REFLu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn]:((pathu_component @ S @ X @ X) <=> (in @ X @ S))).
thf(aPATHu_COMPONENTu_SUBSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:(subset @ (pathu_component @ S @ X) @ S)).
thf(aPATHu_CONNECTEDu_IMPu_CONNECTED, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) => (connected @ S))).
thf(aPATHu_CONNECTEDu_PATHu_COMPONENT, axiom, ![S:(cartrealn > $o),X:cartrealn]:(pathu_connected @ (pathu_component @ S @ X))).
thf(aSUBSETu_REFL, axiom, ![S:(cartrealn > $o)]:(subset @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:(subset @ (pathu_component @ S @ X) @ (connectedu_component @ S @ X))).
