%   ORIGINAL: OPEN_PATH_CONNECTED_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_EQ_EMPTY: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: CONNECTED_COMPONENT_REFL_EQ: !s x. connected_component s x x <=> x IN s
% Assm: CONNECTED_COMPONENT_SUBSET: !s x. connected_component s x SUBSET s
% Assm: CONNECTED_CONNECTED_COMPONENT: !s x. connected (connected_component s x)
% Assm: CONNECTED_OPEN_PATH_CONNECTED: !s. open s /\ connected s ==> path_connected s
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_CONNECTED_COMPONENT: !s x. open s ==> open (connected_component s x)
% Assm: PATH_COMPONENT_EQ_EMPTY: !s x. path_component s x = {} <=> ~(x IN s)
% Assm: PATH_COMPONENT_MAXIMAL: !s t x. x IN t /\ path_connected t /\ t SUBSET s ==> t SUBSET path_component s x
% Assm: PATH_COMPONENT_SUBSET_CONNECTED_COMPONENT: !s x. path_component s x SUBSET connected_component s x
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !s x. open s ==> path_component s x = connected_component s x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: !s x. connected_component s x x <=> x IN s
% Assm: !s x. connected_component s x SUBSET s
% Assm: !s x. connected (connected_component s x)
% Assm: !s. open s /\ connected s ==> path_connected s
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !s x. open s ==> open (connected_component s x)
% Assm: !s x. path_component s x = {} <=> ~(x IN s)
% Assm: !s t x. x IN t /\ path_connected t /\ t SUBSET s ==> t SUBSET path_component s x
% Assm: !s x. path_component s x SUBSET connected_component s x
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !s x. open s ==> path_component s x = connected_component s x
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_EQu_EMPTY, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((connectedu_component @ S @ X) = empty) <=> ~ ((in @ X @ S)))).
thf(aCONNECTEDu_COMPONENTu_REFLu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn]:((connectedu_component @ S @ X @ X) <=> (in @ X @ S))).
thf(aCONNECTEDu_COMPONENTu_SUBSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:(subset @ (connectedu_component @ S @ X) @ S)).
thf(aCONNECTEDu_CONNECTEDu_COMPONENT, axiom, ![S:(cartrealn > $o),X:cartrealn]:(connected @ (connectedu_component @ S @ X))).
thf(aCONNECTEDu_OPENu_PATHu_CONNECTED, axiom, ![S:(cartrealn > $o)]:(((open @ S) & (connected @ S)) => (pathu_connected @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_CONNECTEDu_COMPONENT, axiom, ![S:(cartrealn > $o),X:cartrealn]:((open @ S) => (open @ (connectedu_component @ S @ X)))).
thf(aPATHu_COMPONENTu_EQu_EMPTY, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((pathu_component @ S @ X) = empty) <=> ~ ((in @ X @ S)))).
thf(aPATHu_COMPONENTu_MAXIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:(((in @ X @ T) & (pathu_connected @ T) & (subset @ T @ S)) => (subset @ T @ (pathu_component @ S @ X)))).
thf(aPATHu_COMPONENTu_SUBSETu_CONNECTEDu_COMPONENT, axiom, ![S:(cartrealn > $o),X:cartrealn]:(subset @ (pathu_component @ S @ X) @ (connectedu_component @ S @ X))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:((open @ S) => ((pathu_component @ S @ X) = (connectedu_component @ S @ X)))).
