%   ORIGINAL: OPEN_COMPONENTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_COMPONENTS: !u s. s IN components u <=> (?x. x IN u /\ s = connected_component u x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_CONNECTED_COMPONENT: !s x. open s ==> open (connected_component s x)
% Assm: TRUTH: T
% Goal: !u s. open u /\ s IN components u ==> open s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !u s. s IN components u <=> (?x. x IN u /\ s = connected_component u x)
% Assm: ~F <=> T
% Assm: !s x. open s ==> open (connected_component s x)
% Assm: T
% Goal: !u s. open u /\ s IN components u ==> open s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(ccomponents, type, components : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_COMPONENTS, axiom, ![U:(cartrealn > $o),S:(cartrealn > $o)]:((in @ S @ (components @ U)) <=> ?[X:cartrealn]:((in0 @ X @ U) & (S = (connectedu_component @ U @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_CONNECTEDu_COMPONENT, axiom, ![S:(cartrealn > $o),X:cartrealn]:((open @ S) => (open @ (connectedu_component @ S @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![U:(cartrealn > $o),S:(cartrealn > $o)]:(((open @ U) & (in @ S @ (components @ U))) => (open @ S))).
