%   ORIGINAL: CONTINUOUS_ON_COMPONENTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_COMPONENTS_GEN: !f s. (!c. c IN components s ==> open_in (subtopology euclidean s) c /\ f continuous_on c) ==> f continuous_on s
% Assm: IN_COMPONENTS_SUBSET: !s c. c IN components s ==> c SUBSET s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_COMPONENTS: !u s. open u /\ s IN components u ==> open s
% Assm: OPEN_SUBSET: !s t. s SUBSET t /\ open s ==> open_in (subtopology euclidean t) s
% Assm: TRUTH: T
% Goal: !f s. open s /\ (!c. c IN components s ==> f continuous_on c) ==> f continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. (!c. c IN components s ==> open_in (subtopology euclidean s) c /\ f continuous_on c) ==> f continuous_on s
% Assm: !s c. c IN components s ==> c SUBSET s
% Assm: ~F <=> T
% Assm: !u s. open u /\ s IN components u ==> open s
% Assm: !s t. s SUBSET t /\ open s ==> open_in (subtopology euclidean t) s
% Assm: T
% Goal: !f s. open s /\ (!c. c IN components s ==> f continuous_on c) ==> f continuous_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(ttopologycartrealm, type, topologycartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ceuclidean, type, euclidean : topologycartrealm).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccomponents, type, components : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cin, type, in : ((cartrealm > $o) > ((cartrealm > $o) > $o) > $o)).
thf(csubtopology, type, subtopology : (topologycartrealm > (cartrealm > $o) > topologycartrealm)).
thf(copen, type, open : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_COMPONENTSu_GEN, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![C:(cartrealm > $o)]:((in @ C @ (components @ S)) => ((openu_in @ (subtopology @ euclidean @ S) @ C) & (continuousu_on @ F @ C))) => (continuousu_on @ F @ S))).
thf(aINu_COMPONENTSu_SUBSET, axiom, ![S:(cartrealm > $o),C:(cartrealm > $o)]:((in @ C @ (components @ S)) => (subset @ C @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_COMPONENTS, axiom, ![U:(cartrealm > $o),S:(cartrealm > $o)]:(((open @ U) & (in @ S @ (components @ U))) => (open @ S))).
thf(aOPENu_SUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((subset @ S @ T) & (open @ S)) => (openu_in @ (subtopology @ euclidean @ T) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((open @ S) & ![C:(cartrealm > $o)]:((in @ C @ (components @ S)) => (continuousu_on @ F @ C))) => (continuousu_on @ F @ S))).
