%   ORIGINAL: PATH_CONNECTED_OPEN_DIFF_COUNTABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_LE_COUNTABLE: !s t. COUNTABLE t /\ s <=_c t ==> COUNTABLE s
% Assm: CARD_NOT_LE: !s t. ~(s <=_c t) <=> t <_c s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATH_CONNECTED_OPEN_DIFF_CARD_LT: !s t. 2 <= dimindex (:N) /\ open s /\ connected s /\ t <_c (:real) ==> path_connected (s DIFF t)
% Assm: TRUTH: T
% Assm: UNCOUNTABLE_REAL: ~COUNTABLE (:real)
% Goal: !s t. 2 <= dimindex (:N) /\ open s /\ connected s /\ COUNTABLE t ==> path_connected (s DIFF t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. COUNTABLE t /\ s <=_c t ==> COUNTABLE s
% Assm: !s t. ~(s <=_c t) <=> t <_c s
% Assm: ~F <=> T
% Assm: !s t. 2 <= dimindex (:N) /\ open s /\ connected s /\ t <_c (:real) ==> path_connected (s DIFF t)
% Assm: T
% Assm: ~COUNTABLE (:real)
% Goal: !s t. 2 <= dimindex (:N) /\ open s /\ connected s /\ COUNTABLE t ==> path_connected (s DIFF t)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_uu_c0, type, l_u_c0 : ((cartrealn > $o) > (real > $o) > $o)).
thf(clu_uu_c, type, l_u_c : ((b > $o) > (a > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((a > $o) > (b > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccountable0, type, countable0 : ((real > $o) > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(ccountable, type, countable : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_LEu_COUNTABLE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((countable @ T) & (l_a_u_c @ S @ T)) => (countable @ S))).
thf(aCARDu_NOTu_LE, axiom, ![S:(a > $o),T:(b > $o)]:(~ ((l_a_u_c0 @ S @ T)) <=> (l_u_c @ T @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHu_CONNECTEDu_OPENu_DIFFu_CARDu_LT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & (open @ S) & (connected @ S) & (l_u_c0 @ T @ univ0)) => (pathu_connected @ (diff @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNCOUNTABLEu_REAL, axiom, ~ ((countable0 @ univ0))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & (open @ S) & (connected @ S) & (countable @ T)) => (pathu_connected @ (diff @ S @ T)))).
