%   ORIGINAL: PATH_CONNECTED_PUNCTURED_UNIVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONNECTED_UNIV: connected (:real^N)
% Assm: COUNTABLE_SING: !x. COUNTABLE {x}
% Assm: OPEN_UNIV: open (:real^N)
% Assm: PATH_CONNECTED_OPEN_DIFF_COUNTABLE: !s t. 2 <= dimindex (:N) /\ open s /\ connected s /\ COUNTABLE t ==> path_connected (s DIFF t)
% Assm: TRUTH: T
% Goal: !a. 2 <= dimindex (:N) ==> path_connected ((:real^N) DIFF {a})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: connected (:real^N)
% Assm: !x. COUNTABLE {x}
% Assm: open (:real^N)
% Assm: !s t. 2 <= dimindex (:N) /\ open s /\ connected s /\ COUNTABLE t ==> path_connected (s DIFF t)
% Assm: T
% Goal: !a. 2 <= dimindex (:N) ==> path_connected ((:real^N) DIFF {a})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(ccountable, type, countable : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONNECTEDu_UNIV, axiom, (connected @ univ0)).
thf(aCOUNTABLEu_SING, axiom, ![X:cartrealn]:(countable @ (insert @ X @ empty))).
thf(aOPENu_UNIV, axiom, (open @ univ0)).
thf(aPATHu_CONNECTEDu_OPENu_DIFFu_COUNTABLE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & (open @ S) & (connected @ S) & (countable @ T)) => (pathu_connected @ (diff @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn]:((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) => (pathu_connected @ (diff @ univ0 @ (insert @ A @ empty))))).
