%   ORIGINAL: PATH_CONNECTED_PUNCTURED_BALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONNECTED_BALL: !x e. connected (ball (x,e))
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: PATH_CONNECTED_OPEN_DELETE: !s a. 2 <= dimindex (:N) /\ open s /\ connected s ==> path_connected (s DELETE a)
% Assm: TRUTH: T
% Goal: !a r. 2 <= dimindex (:N) ==> path_connected (ball (a,r) DELETE a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. connected (ball (x,e))
% Assm: !x e. open (ball (x,e))
% Assm: !s a. 2 <= dimindex (:N) /\ open s /\ connected s ==> path_connected (s DELETE a)
% Assm: T
% Goal: !a r. 2 <= dimindex (:N) ==> path_connected (ball (a,r) DELETE a)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONNECTEDu_BALL, axiom, ![X:cartrealn,E:real]:(connected @ (ball @ (c_ @ X @ E)))).
thf(aOPENu_BALL, axiom, ![X:cartrealn,E:real]:(open @ (ball @ (c_ @ X @ E)))).
thf(aPATHu_CONNECTEDu_OPENu_DELETE, axiom, ![S:(cartrealn > $o),A:cartrealn]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & (open @ S) & (connected @ S)) => (pathu_connected @ (delete @ S @ A)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,R:real]:((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) => (pathu_connected @ (delete @ (ball @ (c_ @ A @ R)) @ A)))).
