%   ORIGINAL: CONNECTED_SPHERE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATH_CONNECTED_IMP_CONNECTED: !s. path_connected s ==> connected s
% Assm: PATH_CONNECTED_SPHERE: !a r. 2 <= dimindex (:N) ==> path_connected {x | norm (x - a) = r}
% Assm: TRUTH: T
% Goal: !a r. 2 <= dimindex (:N) ==> connected {x | norm (x - a) = r}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. path_connected s ==> connected s
% Assm: !a r. 2 <= dimindex (:N) ==> path_connected {x | norm (x - a) = r}
% Assm: T
% Goal: !a r. 2 <= dimindex (:N) ==> connected {x | norm (x - a) = r}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHu_CONNECTEDu_IMPu_CONNECTED, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) => (connected @ S))).
thf(aPATHu_CONNECTEDu_SPHERE, axiom, ![A:cartrealn,R:real]:((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) => (pathu_connected @ (gspec @ ^[GENR_PVARR_1099:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1099 @ ((vectoru_norm @ (vectoru_sub @ X @ A)) = R) @ X))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,R:real]:((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) => (connected @ (gspec @ ^[GENR_PVARR_1100:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1100 @ ((vectoru_norm @ (vectoru_sub @ X @ A)) = R) @ X))))).
