%   ORIGINAL: CONNECTED_ANNULUS_conjunct3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATH_CONNECTED_ANNULUS_conjunct3: !a r1 r2. 2 <= dimindex (:N) ==> path_connected {x | r1 <= norm (x - a) /\ norm (x - a) < r2}
% Assm: PATH_CONNECTED_IMP_CONNECTED: !s. path_connected s ==> connected s
% Assm: TRUTH: T
% Goal: !a r1 r2. 2 <= dimindex (:N) ==> connected {x | r1 <= norm (x - a) /\ norm (x - a) < r2}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a r1 r2. 2 <= dimindex (:N) ==> path_connected {x | r1 <= norm (x - a) /\ norm (x - a) < r2}
% Assm: !s. path_connected s ==> connected s
% Assm: T
% Goal: !a r1 r2. 2 <= dimindex (:N) ==> connected {x | r1 <= norm (x - a) /\ norm (x - a) < r2}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHu_CONNECTEDu_ANNULUSu_conjunct3, axiom, ![A:cartrealn,R1:real,R2:real]:((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) => (pathu_connected @ (gspec @ ^[GENR_PVARR_1110:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1110 @ ((realu_le @ R1 @ (vectoru_norm @ (vectoru_sub @ X @ A))) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ X @ A)) @ R2)) @ X))))).
thf(aPATHu_CONNECTEDu_IMPu_CONNECTED, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) => (connected @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,R1:real,R2:real]:((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) => (connected @ (gspec @ ^[GENR_PVARR_1114:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1114 @ ((realu_le @ R1 @ (vectoru_norm @ (vectoru_sub @ X @ A))) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ X @ A)) @ R2)) @ X))))).
