%   ORIGINAL: CONNECTED_COMPLEMENT_BOUNDED_CONVEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATH_CONNECTED_COMPLEMENT_BOUNDED_CONVEX: !s. 2 <= dimindex (:N) /\ bounded s /\ convex s ==> path_connected ((:real^N) DIFF s)
% Assm: PATH_CONNECTED_IMP_CONNECTED: !s. path_connected s ==> connected s
% Assm: TRUTH: T
% Goal: !s. 2 <= dimindex (:N) /\ bounded s /\ convex s ==> connected ((:real^N) DIFF s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. 2 <= dimindex (:N) /\ bounded s /\ convex s ==> path_connected ((:real^N) DIFF s)
% Assm: !s. path_connected s ==> connected s
% Assm: T
% Goal: !s. 2 <= dimindex (:N) /\ bounded s /\ convex s ==> connected ((:real^N) DIFF s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHu_CONNECTEDu_COMPLEMENTu_BOUNDEDu_CONVEX, axiom, ![S:(cartrealn > $o)]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & (bounded @ S) & (convex @ S)) => (pathu_connected @ (diff @ univ0 @ S)))).
thf(aPATHu_CONNECTEDu_IMPu_CONNECTED, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) => (connected @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & (bounded @ S) & (convex @ S)) => (connected @ (diff @ univ0 @ S)))).
