%   ORIGINAL: OUTSIDE_MONO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: CONNECTED_COMPONENT_MONO: !s t x. s SUBSET t ==> connected_component s x SUBSET connected_component t x
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OUTSIDE: !s. outside s = {x | ~bounded (connected_component ((:real^N) DIFF s) x)}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. s SUBSET t ==> outside t SUBSET outside s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !s t x. s SUBSET t ==> connected_component s x SUBSET connected_component t x
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: !s. outside s = {x | ~bounded (connected_component ((:real^?335232) DIFF s) x)}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. s SUBSET t ==> outside t SUBSET outside s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealq335232, type, cartrealq335232 : $tType).
thf(tq335232, type, q335232 : $tType).
%  CONSTS
thf(cin1, type, in1 : (cartrealq335232 > (cartrealq335232 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealq335232 > $o) > cartrealq335232 > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(coutside, type, outside : ((cartrealq335232 > $o) > cartrealq335232 > $o)).
thf(csubset, type, subset : ((cartrealq335232 > $o) > (cartrealq335232 > $o) > $o)).
thf(cdiff0, type, diff0 : ((cartrealq335232 > $o) > (cartrealq335232 > $o) > cartrealq335232 > $o)).
thf(csetspec0, type, setspec0 : (cartrealq335232 > $o > cartrealq335232 > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealq335232 > $o) > cartrealq335232 > cartrealq335232 > $o)).
thf(cuniv0, type, univ0 : (cartrealq335232 > $o)).
thf(cbounded, type, bounded : ((cartrealq335232 > $o) > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealq335232 > $o),T:(cartrealq335232 > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aCONNECTEDu_COMPONENTu_MONO, axiom, ![S:(cartrealq335232 > $o),T:(cartrealq335232 > $o),X:cartrealq335232]:((subset @ S @ T) => (subset @ (connectedu_component @ S @ X) @ (connectedu_component @ T @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOUTSIDE, axiom, ![S:(cartrealq335232 > $o)]:((outside @ S) = (gspec0 @ ^[GENR_PVARR_1121:cartrealq335232]:?[X:cartrealq335232]:(setspec0 @ GENR_PVARR_1121 @ ~ ((bounded @ (connectedu_component @ (diff0 @ univ0 @ S) @ X))) @ X)))).
thf(aSUBSET, axiom, ![S:(cartrealq335232 > $o),T:(cartrealq335232 > $o)]:((subset @ S @ T) <=> ![X:cartrealq335232]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq335232 > $o),T:(cartrealq335232 > $o)]:((subset @ S @ T) => (subset @ (outside @ T) @ (outside @ S)))).
