%   ORIGINAL: UNBOUNDED_OUTSIDE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COBOUNDED_IMP_UNBOUNDED: !s. bounded ((:real^N) DIFF s) ==> ~bounded s
% Assm: COBOUNDED_OUTSIDE: !s. bounded s ==> bounded ((:real^N) DIFF outside s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. bounded s ==> ~bounded (outside s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded ((:real^N) DIFF s) ==> ~bounded s
% Assm: !s. bounded s ==> bounded ((:real^N) DIFF outside s)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s. bounded s ==> ~bounded (outside s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(coutside, type, outside : ((cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOBOUNDEDu_IMPu_UNBOUNDED, axiom, ![S:(cartrealn > $o)]:((bounded @ (diff @ univ @ S)) => ~ ((bounded @ S)))).
thf(aCOBOUNDEDu_OUTSIDE, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (bounded @ (diff @ univ @ (outside @ S))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((bounded @ S) => ~ ((bounded @ (outside @ S))))).
