%   ORIGINAL: INSIDE_CONNECTED_COMPONENT_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSIDE_OUTSIDE: !s. inside s = (:real^N) DIFF (s UNION outside s)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_OUTSIDE_CONNECTED_COMPONENT_LT: !s. 2 <= dimindex (:N) /\ bounded s ==> (:real^N) DIFF outside s = {x | !B. ?y. B < norm y /\ ~connected_component ((:real^N) DIFF s) x y}
% Assm: TRUTH: T
% Goal: !s. 2 <= dimindex (:N) /\ bounded s ==> inside s = {x | ~(x IN s) /\ (!B. ?y. B < norm y /\ ~connected_component ((:real^N) DIFF s) x y)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s. inside s = (:real^N) DIFF (s UNION outside s)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:real^N)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s. 2 <= dimindex (:N) /\ bounded s ==> (:real^N) DIFF outside s = {x | !B. ?y. B < norm y /\ ~connected_component ((:real^N) DIFF s) x y}
% Assm: T
% Goal: !s. 2 <= dimindex (:N) /\ bounded s ==> inside s = {x | ~(x IN s) /\ (!B. ?y. B < norm y /\ ~connected_component ((:real^N) DIFF s) x y)}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(coutside, type, outside : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cinside, type, inside : ((cartrealn > $o) > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINSIDEu_OUTSIDE, axiom, ![S:(cartrealn > $o)]:((inside @ S) = (diff @ univ0 @ (union @ S @ (outside @ S))))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ0)).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_OUTSIDEu_CONNECTEDu_COMPONENTu_LT, axiom, ![S:(cartrealn > $o)]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & (bounded @ S)) => ((diff @ univ0 @ (outside @ S)) = (gspec @ ^[GENR_PVARR_1126:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1126 @ ![B:real]:?[Y:cartrealn]:((realu_lt @ B @ (vectoru_norm @ Y)) & ~ ((connectedu_component @ (diff @ univ0 @ S) @ X @ Y))) @ X))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & (bounded @ S)) => ((inside @ S) = (gspec @ ^[GENR_PVARR_1128:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1128 @ (~ ((in @ X @ S)) & ![B:real]:?[Y:cartrealn]:((realu_lt @ B @ (vectoru_norm @ Y)) & ~ ((connectedu_component @ (diff @ univ0 @ S) @ X @ Y)))) @ X))))).
