%   ORIGINAL: INSIDE_OUTSIDE_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_UNION: !s t. connected s /\ connected t /\ ~(s INTER t = {}) ==> connected (s UNION t)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSIDE_NO_OVERLAP: !s. inside s INTER s = {}
% Assm: INSIDE_UNIQUE: !s t u. connected t /\ bounded t /\ connected u /\ ~bounded u /\ ~connected ((:real^N) DIFF s) /\ t UNION u = (:real^N) DIFF s ==> inside s = t
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OUTSIDE_INSIDE: !s. outside s = (:real^N) DIFF (s UNION inside s)
% Assm: TRUTH: T
% Goal: !s t u. connected t /\ bounded t /\ connected u /\ ~bounded u /\ ~connected ((:real^N) DIFF s) /\ t UNION u = (:real^N) DIFF s ==> inside s = t /\ outside s = u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. connected s /\ connected t /\ ~(s INTER t = {}) ==> connected (s UNION t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s. inside s INTER s = {}
% Assm: !s t u. connected t /\ bounded t /\ connected u /\ ~bounded u /\ ~connected ((:real^N) DIFF s) /\ t UNION u = (:real^N) DIFF s ==> inside s = t
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:real^N)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. outside s = (:real^N) DIFF (s UNION inside s)
% Assm: T
% Goal: !s t u. connected t /\ bounded t /\ connected u /\ ~bounded u /\ ~connected ((:real^N) DIFF s) /\ t UNION u = (:real^N) DIFF s ==> inside s = t /\ outside s = u
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(coutside, type, outside : ((cartrealn > $o) > cartrealn > $o)).
thf(cinside, type, inside : ((cartrealn > $o) > cartrealn > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((connected @ S) & (connected @ T) & ~ (((inter @ S @ T) = empty))) => (connected @ (union @ S @ T)))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINSIDEu_NOu_OVERLAP, axiom, ![S:(cartrealn > $o)]:((inter @ (inside @ S) @ S) = empty)).
thf(aINSIDEu_UNIQUE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((connected @ T) & (bounded @ T) & (connected @ U) & ~ ((bounded @ U)) & ~ ((connected @ (diff @ univ @ S))) & ((union @ T @ U) = (diff @ univ @ S))) => ((inside @ S) = T))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty0))).
thf(aOUTSIDEu_INSIDE, axiom, ![S:(cartrealn > $o)]:((outside @ S) = (diff @ univ @ (union @ S @ (inside @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((connected @ T) & (bounded @ T) & (connected @ U) & ~ ((bounded @ U)) & ~ ((connected @ (diff @ univ @ S))) & ((union @ T @ U) = (diff @ univ @ S))) => (((inside @ S) = T) & ((outside @ S) = U)))).
