%   ORIGINAL: OUTSIDE_SAME_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_EQ: !s x y. y IN connected_component s x ==> connected_component s y = connected_component s x
% Assm: CONNECTED_COMPONENT_IN: !s x y. connected_component s x y ==> x IN s /\ y IN s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: outside: !s. outside s = {x | ~(x IN s) /\ ~bounded (connected_component ((:real^N) DIFF s) x)}
% Goal: !s x y. connected_component ((:real^N) DIFF s) x y /\ x IN outside s ==> y IN outside s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x y. y IN connected_component s x ==> connected_component s y = connected_component s x
% Assm: !s x y. connected_component s x y ==> x IN s /\ y IN s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: T
% Assm: !s. outside s = {x | ~(x IN s) /\ ~bounded (connected_component ((:real^N) DIFF s) x)}
% Goal: !s x y. connected_component ((:real^N) DIFF s) x y /\ x IN outside s ==> y IN outside s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(coutside, type, outside : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ Y @ (connectedu_component @ S @ X)) => ((connectedu_component @ S @ Y) = (connectedu_component @ S @ X)))).
thf(aCONNECTEDu_COMPONENTu_IN, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((connectedu_component @ S @ X @ Y) => ((in @ X @ S) & (in @ Y @ S)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aoutside, axiom, ![S:(cartrealn > $o)]:((outside @ S) = (gspec @ ^[GENR_PVARR_1120:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1120 @ (~ ((in @ X @ S)) & ~ ((bounded @ (connectedu_component @ (diff @ univ @ S) @ X)))) @ X)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((connectedu_component @ (diff @ univ @ S) @ X @ Y) & (in @ X @ (outside @ S))) => (in @ Y @ (outside @ S)))).
