%   ORIGINAL: OUTSIDE_BOUNDED_NONEMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_BALL: !x e. bounded (ball (x,e))
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: BOUNDED_SUBSET_BALL: !s x. bounded s ==> (?r. &0 < r /\ s SUBSET ball (x,r))
% Assm: CONVEX_BALL: !x e. convex (ball (x,e))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: NOT_BOUNDED_UNIV: ~bounded (:real^N)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OUTSIDE_SUBSET_CONVEX: !s t. convex t /\ s SUBSET t ==> (:real^N) DIFF t SUBSET outside s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_EMPTY: !s. s SUBSET {} <=> s = {}
% Assm: TRUTH: T
% Goal: !s. bounded s ==> ~(outside s = {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. bounded (ball (x,e))
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !s x. bounded s ==> (?r. &0 < r /\ s SUBSET ball (x,r))
% Assm: !x e. convex (ball (x,e))
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: ~bounded (:real^N)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. convex t /\ s SUBSET t ==> (:real^N) DIFF t SUBSET outside s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET {} <=> s = {}
% Assm: T
% Goal: !s. bounded s ==> ~(outside s = {})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(coutside, type, outside : ((cartrealn > $o) > cartrealn > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_BALL, axiom, ![X:cartrealn,E:real]:(bounded @ (ball @ (c_ @ X @ E)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aBOUNDEDu_SUBSETu_BALL, axiom, ![S:(cartrealn > $o),X:cartrealn]:((bounded @ S) => ?[R:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (subset @ S @ (ball @ (c_ @ X @ R)))))).
thf(aCONVEXu_BALL, axiom, ![X:cartrealn,E:real]:(convex @ (ball @ (c_ @ X @ E)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aNOTu_BOUNDEDu_UNIV, axiom, ~ ((bounded @ univ))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aOUTSIDEu_SUBSETu_CONVEX, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ T) & (subset @ S @ T)) => (subset @ (diff0 @ univ @ T) @ (outside @ S)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_EMPTY, axiom, ![S:(cartrealn > $o)]:((subset @ S @ empty) <=> (S = empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((bounded @ S) => ~ (((outside @ S) = empty)))).
