%   ORIGINAL: INSIDE_INSIDE_EQ_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_UNION: !s t. bounded (s UNION t) <=> bounded s /\ bounded t
% Assm: CONNECTED_COMPONENT_EQ_SELF: !s x. connected s /\ x IN s ==> connected_component s x = s
% Assm: CONNECTED_WITH_OUTSIDE: !s. closed s /\ connected s ==> connected (s UNION outside s)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSIDE_OUTSIDE: !s. inside s = (:real^N) DIFF (s UNION outside s)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: UNBOUNDED_OUTSIDE: !s. bounded s ==> ~bounded (outside s)
% Assm: inside: !s. inside s = {x | ~(x IN s) /\ bounded (connected_component ((:real^N) DIFF s) x)}
% Goal: !s. closed s /\ connected s ==> inside (inside s) = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. bounded (s UNION t) <=> bounded s /\ bounded t
% Assm: !s x. connected s /\ x IN s ==> connected_component s x = s
% Assm: !s. closed s /\ connected s ==> connected (s UNION outside s)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s. inside s = (:real^N) DIFF (s UNION outside s)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. bounded s ==> ~bounded (outside s)
% Assm: !s. inside s = {x | ~(x IN s) /\ bounded (connected_component ((:real^N) DIFF s) x)}
% Goal: !s. closed s /\ connected s ==> inside (inside s) = {}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq181787, type, q181787 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealq181787, type, cartrealq181787 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(coutside, type, outside : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinside, type, inside : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion0, type, union0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cunion, type, union : ((cartrealq181787 > $o) > (cartrealq181787 > $o) > cartrealq181787 > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealq181787 > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cuniv0, type, univ0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_UNION, axiom, ![S:(cartrealq181787 > $o),T:(cartrealq181787 > $o)]:((bounded @ (union @ S @ T)) <=> ((bounded @ S) & (bounded @ T)))).
thf(aCONNECTEDu_COMPONENTu_EQu_SELF, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((connected @ S) & (in @ X @ S)) => ((connectedu_component @ S @ X) = S))).
thf(aCONNECTEDu_WITHu_OUTSIDE, axiom, ![S:(cartrealn > $o)]:(((closed @ S) & (connected @ S)) => (connected @ (union0 @ S @ (outside @ S))))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINSIDEu_OUTSIDE, axiom, ![S:(cartrealn > $o)]:((inside @ S) = (diff @ univ @ (union0 @ S @ (outside @ S))))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff0 @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ0)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aUNBOUNDEDu_OUTSIDE, axiom, ![S:(cartrealn > $o)]:((bounded0 @ S) => ~ ((bounded0 @ (outside @ S))))).
thf(ainside, axiom, ![S:(cartrealn > $o)]:((inside @ S) = (gspec0 @ ^[GENR_PVARR_1119:cartrealn]:?[X:cartrealn]:(setspec0 @ GENR_PVARR_1119 @ (~ ((in @ X @ S)) & (bounded0 @ (connectedu_component @ (diff @ univ @ S) @ X))) @ X)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((closed @ S) & (connected @ S)) => ((inside @ (inside @ S)) = empty))).
