%   ORIGINAL: HOMOTOPIC_PATHS_IMP_PATHSTART
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_WITH_IMP_PROPERTY: !P X Y f g. homotopic_with P (X,Y) f g ==> P f /\ P g
% Assm: TRUTH: T
% Assm: homotopic_paths: !s p q. homotopic_paths s p q <=> homotopic_with (\r. pathstart r = pathstart p /\ pathfinish r = pathfinish p) (interval [vec 0,vec 1],s) p q
% Goal: !s p q. homotopic_paths s p q ==> pathstart p = pathstart q
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P X Y f g. homotopic_with P (X,Y) f g ==> P f /\ P g
% Assm: T
% Assm: !s p q. homotopic_paths s p q <=> homotopic_with (\r. pathstart r = pathstart p /\ pathfinish r = pathfinish p) (interval [vec 0,vec 1],s) p q
% Goal: !s p q. homotopic_paths s p q ==> pathstart p = pathstart q
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq340210, type, cartrealq340210 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodfuncartrealn1boolfuncartrealq340210bool, type, prodfuncartrealn1boolfuncartrealq340210bool : $tType).
thf(tfuncartrealq340210bool, type, funcartrealq340210bool : $tType).
thf(tfuncartrealn1bool, type, funcartrealn1bool : $tType).
thf(tprodfuncartrealmboolfuncartrealnbool, type, prodfuncartrealmboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tq340210, type, q340210 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccu_1, type, c_1 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_0, type, c_0 : ((cartrealn1 > $o) > (cartrealq340210 > $o) > prodfuncartrealn1boolfuncartrealq340210bool)).
thf(chomotopicuu_with0, type, homotopicu_with0 : (((cartrealn1 > cartrealq340210) > $o) > prodfuncartrealn1boolfuncartrealq340210bool > (cartrealn1 > cartrealq340210) > (cartrealn1 > cartrealq340210) > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealn > $o) > prodfuncartrealmboolfuncartrealnbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealn) > $o) > prodfuncartrealmboolfuncartrealnbool > (cartrealm > cartrealn) > (cartrealm > cartrealn) > $o)).
thf(chomotopicuu_paths, type, homotopicu_paths : ((cartrealq340210 > $o) > (cartrealn1 > cartrealq340210) > (cartrealn1 > cartrealq340210) > $o)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq340210) > cartrealq340210)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq340210) > cartrealq340210)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq340210),G:(a > cartrealq340210)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_WITHu_IMPu_PROPERTY, axiom, ![P:((cartrealm > cartrealn) > $o),X:(cartrealm > $o),Y:(cartrealn > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) => ((P @ F) & (P @ G)))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_paths, axiom, ![S:(cartrealq340210 > $o),P:(cartrealn1 > cartrealq340210),Q:(cartrealn1 > cartrealq340210)]:((homotopicu_paths @ S @ P @ Q) <=> (homotopicu_with0 @ ^[R:(cartrealn1 > cartrealq340210)]:(((pathstart @ R) = (pathstart @ P)) & ((pathfinish @ R) = (pathfinish @ P))) @ (c_0 @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(conjecture, conjecture, ![S:(cartrealq340210 > $o),P:(cartrealn1 > cartrealq340210),Q:(cartrealn1 > cartrealq340210)]:((homotopicu_paths @ S @ P @ Q) => ((pathstart @ P) = (pathstart @ Q)))).
