%   ORIGINAL: HOMOTOPIC_PATHS_TRANS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_PATHS_IMP_PATHFINISH: !s p q. homotopic_paths s p q ==> pathfinish p = pathfinish q
% Assm: HOMOTOPIC_PATHS_IMP_PATHSTART: !s p q. homotopic_paths s p q ==> pathstart p = pathstart q
% Assm: HOMOTOPIC_WITH_TRANS: !P X Y f g h. homotopic_with P (X,Y) f g /\ homotopic_with P (X,Y) g h ==> homotopic_with P (X,Y) f h
% Assm: TRUTH: T
% Assm: homotopic_paths: !s p q. homotopic_paths s p q <=> homotopic_with (\r. pathstart r = pathstart p /\ pathfinish r = pathfinish p) (interval [vec 0,vec 1],s) p q
% Goal: !s p q r. homotopic_paths s p q /\ homotopic_paths s q r ==> homotopic_paths s p r
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p q. homotopic_paths s p q ==> pathfinish p = pathfinish q
% Assm: !s p q. homotopic_paths s p q ==> pathstart p = pathstart q
% Assm: !P X Y f g h. homotopic_with P (X,Y) f g /\ homotopic_with P (X,Y) g h ==> homotopic_with P (X,Y) f h
% Assm: T
% Assm: !s p q. homotopic_paths s p q <=> homotopic_with (\r. pathstart r = pathstart p /\ pathfinish r = pathfinish p) (interval [vec 0,vec 1],s) p q
% Goal: !s p q r. homotopic_paths s p q /\ homotopic_paths s q r ==> homotopic_paths s p r
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodfuncartrealn1boolfuncartrealq340364bool, type, prodfuncartrealn1boolfuncartrealq340364bool : $tType).
thf(tfuncartrealq340364bool, type, funcartrealq340364bool : $tType).
thf(tfuncartrealn1bool, type, funcartrealn1bool : $tType).
thf(tprodfuncartrealmboolfuncartrealnbool, type, prodfuncartrealmboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tcartrealq340364, type, cartrealq340364 : $tType).
thf(tq340364, type, q340364 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccu_1, type, c_1 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_0, type, c_0 : ((cartrealn1 > $o) > (cartrealq340364 > $o) > prodfuncartrealn1boolfuncartrealq340364bool)).
thf(chomotopicuu_with0, type, homotopicu_with0 : (((cartrealn1 > cartrealq340364) > $o) > prodfuncartrealn1boolfuncartrealq340364bool > (cartrealn1 > cartrealq340364) > (cartrealn1 > cartrealq340364) > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealn > $o) > prodfuncartrealmboolfuncartrealnbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealn) > $o) > prodfuncartrealmboolfuncartrealnbool > (cartrealm > cartrealn) > (cartrealm > cartrealn) > $o)).
thf(chomotopicuu_paths, type, homotopicu_paths : ((cartrealq340364 > $o) > (cartrealn1 > cartrealq340364) > (cartrealn1 > cartrealq340364) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq340364) > cartrealq340364)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq340364) > cartrealq340364)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_PATHSu_IMPu_PATHFINISH, axiom, ![S:(cartrealq340364 > $o),P:(cartrealn1 > cartrealq340364),Q:(cartrealn1 > cartrealq340364)]:((homotopicu_paths @ S @ P @ Q) => ((pathfinish @ P) = (pathfinish @ Q)))).
thf(aHOMOTOPICu_PATHSu_IMPu_PATHSTART, axiom, ![S:(cartrealq340364 > $o),P:(cartrealn1 > cartrealq340364),Q:(cartrealn1 > cartrealq340364)]:((homotopicu_paths @ S @ P @ Q) => ((pathstart @ P) = (pathstart @ Q)))).
thf(aHOMOTOPICu_WITHu_TRANS, axiom, ![P:((cartrealm > cartrealn) > $o),X:(cartrealm > $o),Y:(cartrealn > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),H:(cartrealm > cartrealn)]:(((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) & (homotopicu_with @ P @ (c_ @ X @ Y) @ G @ H)) => (homotopicu_with @ P @ (c_ @ X @ Y) @ F @ H))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_paths, axiom, ![S:(cartrealq340364 > $o),P:(cartrealn1 > cartrealq340364),Q:(cartrealn1 > cartrealq340364)]:((homotopicu_paths @ S @ P @ Q) <=> (homotopicu_with0 @ ^[R:(cartrealn1 > cartrealq340364)]:(((pathstart @ R) = (pathstart @ P)) & ((pathfinish @ R) = (pathfinish @ P))) @ (c_0 @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(conjecture, conjecture, ![S:(cartrealq340364 > $o),P:(cartrealn1 > cartrealq340364),Q:(cartrealn1 > cartrealq340364),R:(cartrealn1 > cartrealq340364)]:(((homotopicu_paths @ S @ P @ Q) & (homotopicu_paths @ S @ Q @ R)) => (homotopicu_paths @ S @ P @ R))).
