%   ORIGINAL: HOMOTOPIC_PATHS_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_WITH_SUBSET: !P X Y Z f g h. homotopic_with P (X,Y) f g /\ Y SUBSET Z ==> homotopic_with P (X,Z) f g
% Assm: TRUTH: T
% Assm: homotopic_paths: !s p q. homotopic_paths s p q <=> homotopic_with (\r. pathstart r = pathstart p /\ pathfinish r = pathfinish p) (interval [vec 0,vec 1],s) p q
% Goal: !s p q. homotopic_paths s p q /\ s SUBSET t ==> homotopic_paths t p q
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P X Y Z f g h. homotopic_with P (X,Y) f g /\ Y SUBSET Z ==> homotopic_with P (X,Z) f g
% Assm: T
% Assm: !s p q. homotopic_paths s p q <=> homotopic_with (\r. pathstart r = pathstart p /\ pathfinish r = pathfinish p) (interval [vec 0,vec 1],s) p q
% Goal: !t s p q. homotopic_paths s p q /\ s SUBSET t ==> homotopic_paths t p q
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq339011, type, q339011 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealq340782, type, cartrealq340782 : $tType).
thf(tprodfuncartrealn1boolfuncartrealq340782bool, type, prodfuncartrealn1boolfuncartrealq340782bool : $tType).
thf(tfuncartrealn1bool, type, funcartrealn1bool : $tType).
thf(tprodfuncartrealmboolfuncartrealq340782bool, type, prodfuncartrealmboolfuncartrealq340782bool : $tType).
thf(tfuncartrealq340782bool, type, funcartrealq340782bool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tq340782, type, q340782 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(csubset, type, subset : ((cartrealq340782 > $o) > (cartrealq340782 > $o) > $o)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq340782) > cartrealq340782)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq340782) > cartrealq340782)).
thf(ccu_1, type, c_1 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_0, type, c_0 : ((cartrealn1 > $o) > (cartrealq340782 > $o) > prodfuncartrealn1boolfuncartrealq340782bool)).
thf(chomotopicuu_with0, type, homotopicu_with0 : (((cartrealn1 > cartrealq340782) > $o) > prodfuncartrealn1boolfuncartrealq340782bool > (cartrealn1 > cartrealq340782) > (cartrealn1 > cartrealq340782) > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealq340782 > $o) > prodfuncartrealmboolfuncartrealq340782bool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealq340782) > $o) > prodfuncartrealmboolfuncartrealq340782bool > (cartrealm > cartrealq340782) > (cartrealm > cartrealq340782) > $o)).
thf(chomotopicuu_paths, type, homotopicu_paths : ((cartrealq340782 > $o) > (cartrealn1 > cartrealq340782) > (cartrealn1 > cartrealq340782) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_WITHu_SUBSET, axiom, ![P:((cartrealm > cartrealq340782) > $o),X:(cartrealm > $o),Y:(cartrealq340782 > $o),Z:(cartrealq340782 > $o),F:(cartrealm > cartrealq340782),G:(cartrealm > cartrealq340782),H:q339011]:(((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) & (subset @ Y @ Z)) => (homotopicu_with @ P @ (c_ @ X @ Z) @ F @ G))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_paths, axiom, ![S:(cartrealq340782 > $o),P:(cartrealn1 > cartrealq340782),Q:(cartrealn1 > cartrealq340782)]:((homotopicu_paths @ S @ P @ Q) <=> (homotopicu_with0 @ ^[R:(cartrealn1 > cartrealq340782)]:(((pathstart @ R) = (pathstart @ P)) & ((pathfinish @ R) = (pathfinish @ P))) @ (c_0 @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(conjecture, conjecture, ![T:(cartrealq340782 > $o),S:(cartrealq340782 > $o),P:(cartrealn1 > cartrealq340782),Q:(cartrealn1 > cartrealq340782)]:(((homotopicu_paths @ S @ P @ Q) & (subset @ S @ T)) => (homotopicu_paths @ T @ P @ Q))).
