%   ORIGINAL: HOMOTOPIC_PATHS_LID
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_PATHS_REVERSEPATH: !s p q. homotopic_paths s (reversepath p) (reversepath q) <=> homotopic_paths s p q
% Assm: HOMOTOPIC_PATHS_RID: !s p. path p /\ path_image p SUBSET s ==> homotopic_paths s (p ++ linepath (pathfinish p,pathfinish p)) p
% Assm: PATHFINISH_LINEPATH: !a b. pathfinish (linepath (a,b)) = b
% Assm: PATHFINISH_REVERSEPATH: pathfinish (reversepath g) = pathstart g
% Assm: PATH_IMAGE_REVERSEPATH: !g. path_image (reversepath g) = path_image g
% Assm: PATH_REVERSEPATH: !g. path (reversepath g) <=> path g
% Assm: REVERSEPATH_JOINPATHS: !g1 g2. pathfinish g1 = pathstart g2 ==> reversepath (g1 ++ g2) = reversepath g2 ++ reversepath g1
% Assm: REVERSEPATH_LINEPATH: !a b. reversepath (linepath (a,b)) = linepath (b,a)
% Assm: TRUTH: T
% Goal: !s p. path p /\ path_image p SUBSET s ==> homotopic_paths s (linepath (pathstart p,pathstart p) ++ p) p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p q. homotopic_paths s (reversepath p) (reversepath q) <=> homotopic_paths s p q
% Assm: !s p. path p /\ path_image p SUBSET s ==> homotopic_paths s (p ++ linepath (pathfinish p,pathfinish p)) p
% Assm: !a b. pathfinish (linepath (a,b)) = b
% Assm: !g. pathfinish (reversepath g) = pathstart g
% Assm: !g. path_image (reversepath g) = path_image g
% Assm: !g. path (reversepath g) <=> path g
% Assm: !g1 g2. pathfinish g1 = pathstart g2 ==> reversepath (g1 ++ g2) = reversepath g2 ++ reversepath g1
% Assm: !a b. reversepath (linepath (a,b)) = linepath (b,a)
% Assm: T
% Goal: !s p. path p /\ path_image p SUBSET s ==> homotopic_paths s (linepath (pathstart p,pathstart p) ++ p) p
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(creversepath, type, reversepath : ((cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(clinepath, type, linepath : (prodcartrealncartrealn > cartrealn1 > cartrealn)).
thf(cpu_pu_, type, p_p_ : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(chomotopicuu_paths, type, homotopicu_paths : ((cartrealn > $o) > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_PATHSu_REVERSEPATH, axiom, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn)]:((homotopicu_paths @ S @ (reversepath @ P) @ (reversepath @ Q)) <=> (homotopicu_paths @ S @ P @ Q))).
thf(aHOMOTOPICu_PATHSu_RID, axiom, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn)]:(((path @ P) & (subset @ (pathu_image @ P) @ S)) => (homotopicu_paths @ S @ (p_p_ @ P @ (linepath @ (c_ @ (pathfinish @ P) @ (pathfinish @ P)))) @ P))).
thf(aPATHFINISHu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((pathfinish @ (linepath @ (c_ @ A @ B))) = B)).
thf(aPATHFINISHu_REVERSEPATH, axiom, ![G:(cartrealn1 > cartrealn)]:((pathfinish @ (reversepath @ G)) = (pathstart @ G))).
thf(aPATHu_IMAGEu_REVERSEPATH, axiom, ![G:(cartrealn1 > cartrealn)]:((pathu_image @ (reversepath @ G)) = (pathu_image @ G))).
thf(aPATHu_REVERSEPATH, axiom, ![G:(cartrealn1 > cartrealn)]:((path @ (reversepath @ G)) <=> (path @ G))).
thf(aREVERSEPATHu_JOINPATHS, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:(((pathfinish @ G1) = (pathstart @ G2)) => ((reversepath @ (p_p_ @ G1 @ G2)) = (p_p_ @ (reversepath @ G2) @ (reversepath @ G1))))).
thf(aREVERSEPATHu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((reversepath @ (linepath @ (c_ @ A @ B))) = (linepath @ (c_ @ B @ A)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn)]:(((path @ P) & (subset @ (pathu_image @ P) @ S)) => (homotopicu_paths @ S @ (p_p_ @ (linepath @ (c_ @ (pathstart @ P) @ (pathstart @ P))) @ P) @ P))).
