%   ORIGINAL: HOMOTOPIC_PATHS_LINV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_PATHS_RINV: !s p. path p /\ path_image p SUBSET s ==> homotopic_paths s (p ++ reversepath p) (linepath (pathstart p,pathstart p))
% Assm: PATHSTART_REVERSEPATH: pathstart (reversepath g) = pathfinish g
% Assm: PATH_IMAGE_REVERSEPATH: !g. path_image (reversepath g) = path_image g
% Assm: PATH_REVERSEPATH: !g. path (reversepath g) <=> path g
% Assm: REVERSEPATH_REVERSEPATH: !g. reversepath (reversepath g) = g
% Assm: TRUTH: T
% Goal: !s p. path p /\ path_image p SUBSET s ==> homotopic_paths s (reversepath p ++ p) (linepath (pathfinish p,pathfinish p))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p. path p /\ path_image p SUBSET s ==> homotopic_paths s (p ++ reversepath p) (linepath (pathstart p,pathstart p))
% Assm: !g. pathstart (reversepath g) = pathfinish g
% Assm: !g. path_image (reversepath g) = path_image g
% Assm: !g. path (reversepath g) <=> path g
% Assm: !g. reversepath (reversepath g) = g
% Assm: T
% Goal: !s p. path p /\ path_image p SUBSET s ==> homotopic_paths s (reversepath p ++ p) (linepath (pathfinish p,pathfinish p))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(clinepath, type, linepath : (prodcartrealncartrealn > cartrealn1 > cartrealn)).
thf(creversepath, type, reversepath : ((cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(cpu_pu_, type, p_p_ : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(chomotopicuu_paths, type, homotopicu_paths : ((cartrealn > $o) > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_PATHSu_RINV, axiom, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn)]:(((path @ P) & (subset @ (pathu_image @ P) @ S)) => (homotopicu_paths @ S @ (p_p_ @ P @ (reversepath @ P)) @ (linepath @ (c_ @ (pathstart @ P) @ (pathstart @ P)))))).
thf(aPATHSTARTu_REVERSEPATH, axiom, ![G:(cartrealn1 > cartrealn)]:((pathstart @ (reversepath @ G)) = (pathfinish @ G))).
thf(aPATHu_IMAGEu_REVERSEPATH, axiom, ![G:(cartrealn1 > cartrealn)]:((pathu_image @ (reversepath @ G)) = (pathu_image @ G))).
thf(aPATHu_REVERSEPATH, axiom, ![G:(cartrealn1 > cartrealn)]:((path @ (reversepath @ G)) <=> (path @ G))).
thf(aREVERSEPATHu_REVERSEPATH, axiom, ![G:(cartrealn1 > cartrealn)]:((reversepath @ (reversepath @ G)) = G)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn)]:(((path @ P) & (subset @ (pathu_image @ P) @ S)) => (homotopicu_paths @ S @ (p_p_ @ (reversepath @ P) @ P) @ (linepath @ (c_ @ (pathfinish @ P) @ (pathfinish @ P)))))).
