%   ORIGINAL: HOMOTOPIC_LOOPS_IMP_LOOP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_WITH_IMP_PROPERTY: !P X Y f g. homotopic_with P (X,Y) f g ==> P f /\ P g
% Assm: TRUTH: T
% Assm: homotopic_loops: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Goal: !s p q. homotopic_loops s p q ==> pathfinish p = pathstart p /\ pathfinish q = pathstart q
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P X Y f g. homotopic_with P (X,Y) f g ==> P f /\ P g
% Assm: T
% Assm: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Goal: !s p q. homotopic_loops s p q ==> pathfinish p = pathstart p /\ pathfinish q = pathstart q
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealq342373, type, cartrealq342373 : $tType).
thf(tq342373, type, q342373 : $tType).
thf(tprodfuncartrealn1boolfuncartrealq342373bool, type, prodfuncartrealn1boolfuncartrealq342373bool : $tType).
thf(tfuncartrealq342373bool, type, funcartrealq342373bool : $tType).
thf(tfuncartrealn1bool, type, funcartrealn1bool : $tType).
thf(tprodfuncartrealmboolfuncartrealnbool, type, prodfuncartrealmboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccu_1, type, c_1 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_0, type, c_0 : ((cartrealn1 > $o) > (cartrealq342373 > $o) > prodfuncartrealn1boolfuncartrealq342373bool)).
thf(chomotopicuu_with0, type, homotopicu_with0 : (((cartrealn1 > cartrealq342373) > $o) > prodfuncartrealn1boolfuncartrealq342373bool > (cartrealn1 > cartrealq342373) > (cartrealn1 > cartrealq342373) > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealn > $o) > prodfuncartrealmboolfuncartrealnbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealn) > $o) > prodfuncartrealmboolfuncartrealnbool > (cartrealm > cartrealn) > (cartrealm > cartrealn) > $o)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealq342373 > $o) > (cartrealn1 > cartrealq342373) > (cartrealn1 > cartrealq342373) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq342373) > cartrealq342373)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq342373) > cartrealq342373)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq342373),G:(a > cartrealq342373)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_WITHu_IMPu_PROPERTY, axiom, ![P:((cartrealm > cartrealn) > $o),X:(cartrealm > $o),Y:(cartrealn > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) => ((P @ F) & (P @ G)))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_loops, axiom, ![S:(cartrealq342373 > $o),P:(cartrealn1 > cartrealq342373),Q:(cartrealn1 > cartrealq342373)]:((homotopicu_loops @ S @ P @ Q) <=> (homotopicu_with0 @ ^[R:(cartrealn1 > cartrealq342373)]:((pathfinish @ R) = (pathstart @ R)) @ (c_0 @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(conjecture, conjecture, ![S:(cartrealq342373 > $o),P:(cartrealn1 > cartrealq342373),Q:(cartrealn1 > cartrealq342373)]:((homotopicu_loops @ S @ P @ Q) => (((pathfinish @ P) = (pathstart @ P)) & ((pathfinish @ Q) = (pathstart @ Q))))).
