%   ORIGINAL: HOMOTOPIC_LOOPS_IMP_PATH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_WITH_IMP_CONTINUOUS: !P X Y f g. homotopic_with P (X,Y) f g ==> f continuous_on X /\ g continuous_on X
% Assm: TRUTH: T
% Assm: homotopic_loops: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Assm: path: !g. path g <=> g continuous_on interval [vec 0,vec 1]
% Goal: !s p q. homotopic_loops s p q ==> path p /\ path q
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P X Y f g. homotopic_with P (X,Y) f g ==> f continuous_on X /\ g continuous_on X
% Assm: T
% Assm: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Assm: !g. path g <=> g continuous_on interval [vec 0,vec 1]
% Goal: !s p q. homotopic_loops s p q ==> path p /\ path q
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq342392, type, cartrealq342392 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq342392, type, q342392 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodfuncartrealn1boolfuncartrealq342392bool, type, prodfuncartrealn1boolfuncartrealq342392bool : $tType).
thf(tfuncartrealq342392bool, type, funcartrealq342392bool : $tType).
thf(tfuncartrealn1bool, type, funcartrealn1bool : $tType).
thf(tprodfuncartrealmboolfuncartrealnbool, type, prodfuncartrealmboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq342392) > cartrealq342392)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq342392) > cartrealq342392)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn1 > cartrealq342392) > (cartrealn1 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_0, type, c_0 : ((cartrealn1 > $o) > (cartrealq342392 > $o) > prodfuncartrealn1boolfuncartrealq342392bool)).
thf(chomotopicuu_with0, type, homotopicu_with0 : (((cartrealn1 > cartrealq342392) > $o) > prodfuncartrealn1boolfuncartrealq342392bool > (cartrealn1 > cartrealq342392) > (cartrealn1 > cartrealq342392) > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealn > $o) > prodfuncartrealmboolfuncartrealnbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealn) > $o) > prodfuncartrealmboolfuncartrealnbool > (cartrealm > cartrealn) > (cartrealm > cartrealn) > $o)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealq342392 > $o) > (cartrealn1 > cartrealq342392) > (cartrealn1 > cartrealq342392) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealq342392) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_WITHu_IMPu_CONTINUOUS, axiom, ![P:((cartrealm > cartrealn) > $o),X:(cartrealm > $o),Y:(cartrealn > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) => ((continuousu_on @ F @ X) & (continuousu_on @ G @ X)))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_loops, axiom, ![S:(cartrealq342392 > $o),P:(cartrealn1 > cartrealq342392),Q:(cartrealn1 > cartrealq342392)]:((homotopicu_loops @ S @ P @ Q) <=> (homotopicu_with0 @ ^[R:(cartrealn1 > cartrealq342392)]:((pathfinish @ R) = (pathstart @ R)) @ (c_0 @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(apath, axiom, ![G:(cartrealn1 > cartrealq342392)]:((path @ G) <=> (continuousu_on0 @ G @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(conjecture, conjecture, ![S:(cartrealq342392 > $o),P:(cartrealn1 > cartrealq342392),Q:(cartrealn1 > cartrealq342392)]:((homotopicu_loops @ S @ P @ Q) => ((path @ P) & (path @ Q)))).
