%   ORIGINAL: HOMOTOPIC_LOOPS_IMP_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_WITH_IMP_SUBSET: !P X Y f g. homotopic_with P (X,Y) f g ==> IMAGE f X SUBSET Y /\ IMAGE g X SUBSET Y
% Assm: TRUTH: T
% Assm: homotopic_loops: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Assm: path_image: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Goal: !s p q. homotopic_loops s p q ==> path_image p SUBSET s /\ path_image q SUBSET s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P X Y f g. homotopic_with P (X,Y) f g ==> IMAGE f X SUBSET Y /\ IMAGE g X SUBSET Y
% Assm: T
% Assm: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Assm: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Goal: !s p q. homotopic_loops s p q ==> path_image p SUBSET s /\ path_image q SUBSET s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq342417, type, cartrealq342417 : $tType).
thf(tnum, type, num : $tType).
thf(tq342417, type, q342417 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodfuncartrealn1boolfuncartrealq342417bool, type, prodfuncartrealn1boolfuncartrealq342417bool : $tType).
thf(tfuncartrealn1bool, type, funcartrealn1bool : $tType).
thf(tprodfuncartrealmboolfuncartrealq342417bool, type, prodfuncartrealmboolfuncartrealq342417bool : $tType).
thf(tfuncartrealq342417bool, type, funcartrealq342417bool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealq342417) > cartrealq342417 > $o)).
thf(csubset, type, subset : ((cartrealq342417 > $o) > (cartrealq342417 > $o) > $o)).
thf(cimage0, type, image0 : ((cartrealn1 > cartrealq342417) > (cartrealn1 > $o) > cartrealq342417 > $o)).
thf(ccu_1, type, c_1 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_0, type, c_0 : ((cartrealn1 > $o) > (cartrealq342417 > $o) > prodfuncartrealn1boolfuncartrealq342417bool)).
thf(chomotopicuu_with0, type, homotopicu_with0 : (((cartrealn1 > cartrealq342417) > $o) > prodfuncartrealn1boolfuncartrealq342417bool > (cartrealn1 > cartrealq342417) > (cartrealn1 > cartrealq342417) > $o)).
thf(cimage, type, image : ((cartrealm > cartrealq342417) > (cartrealm > $o) > cartrealq342417 > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealq342417 > $o) > prodfuncartrealmboolfuncartrealq342417bool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealq342417) > $o) > prodfuncartrealmboolfuncartrealq342417bool > (cartrealm > cartrealq342417) > (cartrealm > cartrealq342417) > $o)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealq342417 > $o) > (cartrealn1 > cartrealq342417) > (cartrealn1 > cartrealq342417) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq342417) > cartrealq342417)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq342417) > cartrealq342417)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_WITHu_IMPu_SUBSET, axiom, ![P:((cartrealm > cartrealq342417) > $o),X:(cartrealm > $o),Y:(cartrealq342417 > $o),F:(cartrealm > cartrealq342417),G:(cartrealm > cartrealq342417)]:((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) => ((subset @ (image @ F @ X) @ Y) & (subset @ (image @ G @ X) @ Y)))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_loops, axiom, ![S:(cartrealq342417 > $o),P:(cartrealn1 > cartrealq342417),Q:(cartrealn1 > cartrealq342417)]:((homotopicu_loops @ S @ P @ Q) <=> (homotopicu_with0 @ ^[R:(cartrealn1 > cartrealq342417)]:((pathfinish @ R) = (pathstart @ R)) @ (c_0 @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(apathu_image, axiom, ![G:(cartrealn1 > cartrealq342417)]:((pathu_image @ G) = (image0 @ G @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(conjecture, conjecture, ![S:(cartrealq342417 > $o),P:(cartrealn1 > cartrealq342417),Q:(cartrealn1 > cartrealq342417)]:((homotopicu_loops @ S @ P @ Q) => ((subset @ (pathu_image @ P) @ S) & (subset @ (pathu_image @ Q) @ S)))).
