%   ORIGINAL: HOMOTOPIC_LOOPS_TRANS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_WITH_TRANS: !P X Y f g h. homotopic_with P (X,Y) f g /\ homotopic_with P (X,Y) g h ==> homotopic_with P (X,Y) f h
% Assm: TRUTH: T
% Assm: homotopic_loops: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Goal: !s p q r. homotopic_loops s p q /\ homotopic_loops s q r ==> homotopic_loops s p r
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P X Y f g h. homotopic_with P (X,Y) f g /\ homotopic_with P (X,Y) g h ==> homotopic_with P (X,Y) f h
% Assm: T
% Assm: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Goal: !s p q r. homotopic_loops s p q /\ homotopic_loops s q r ==> homotopic_loops s p r
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq342510, type, cartrealq342510 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodfuncartrealn1boolfuncartrealq342510bool, type, prodfuncartrealn1boolfuncartrealq342510bool : $tType).
thf(tfuncartrealq342510bool, type, funcartrealq342510bool : $tType).
thf(tfuncartrealn1bool, type, funcartrealn1bool : $tType).
thf(tprodfuncartrealmboolfuncartrealnbool, type, prodfuncartrealmboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tq342510, type, q342510 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccu_1, type, c_1 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_0, type, c_0 : ((cartrealn1 > $o) > (cartrealq342510 > $o) > prodfuncartrealn1boolfuncartrealq342510bool)).
thf(chomotopicuu_with0, type, homotopicu_with0 : (((cartrealn1 > cartrealq342510) > $o) > prodfuncartrealn1boolfuncartrealq342510bool > (cartrealn1 > cartrealq342510) > (cartrealn1 > cartrealq342510) > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealn > $o) > prodfuncartrealmboolfuncartrealnbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealn) > $o) > prodfuncartrealmboolfuncartrealnbool > (cartrealm > cartrealn) > (cartrealm > cartrealn) > $o)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealq342510 > $o) > (cartrealn1 > cartrealq342510) > (cartrealn1 > cartrealq342510) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq342510) > cartrealq342510)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq342510) > cartrealq342510)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_WITHu_TRANS, axiom, ![P:((cartrealm > cartrealn) > $o),X:(cartrealm > $o),Y:(cartrealn > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),H:(cartrealm > cartrealn)]:(((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) & (homotopicu_with @ P @ (c_ @ X @ Y) @ G @ H)) => (homotopicu_with @ P @ (c_ @ X @ Y) @ F @ H))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_loops, axiom, ![S:(cartrealq342510 > $o),P:(cartrealn1 > cartrealq342510),Q:(cartrealn1 > cartrealq342510)]:((homotopicu_loops @ S @ P @ Q) <=> (homotopicu_with0 @ ^[R:(cartrealn1 > cartrealq342510)]:((pathfinish @ R) = (pathstart @ R)) @ (c_0 @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(conjecture, conjecture, ![S:(cartrealq342510 > $o),P:(cartrealn1 > cartrealq342510),Q:(cartrealn1 > cartrealq342510),R:(cartrealn1 > cartrealq342510)]:(((homotopicu_loops @ S @ P @ Q) & (homotopicu_loops @ S @ Q @ R)) => (homotopicu_loops @ S @ P @ R))).
