%   ORIGINAL: HOMOTOPIC_LOOPS_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_WITH_SUBSET: !P X Y Z f g h. homotopic_with P (X,Y) f g /\ Y SUBSET Z ==> homotopic_with P (X,Z) f g
% Assm: TRUTH: T
% Assm: homotopic_loops: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Goal: !s p q. homotopic_loops s p q /\ s SUBSET t ==> homotopic_loops t p q
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P X Y Z f g h. homotopic_with P (X,Y) f g /\ Y SUBSET Z ==> homotopic_with P (X,Z) f g
% Assm: T
% Assm: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Goal: !t s p q. homotopic_loops s p q /\ s SUBSET t ==> homotopic_loops t p q
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq342546, type, q342546 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq342546, type, cartrealq342546 : $tType).
thf(tq339011, type, q339011 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodfuncartrealn1boolfuncartrealq342546bool, type, prodfuncartrealn1boolfuncartrealq342546bool : $tType).
thf(tfuncartrealn1bool, type, funcartrealn1bool : $tType).
thf(tprodfuncartrealmboolfuncartrealq342546bool, type, prodfuncartrealmboolfuncartrealq342546bool : $tType).
thf(tfuncartrealq342546bool, type, funcartrealq342546bool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(csubset, type, subset : ((cartrealq342546 > $o) > (cartrealq342546 > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_0, type, c_0 : ((cartrealn1 > $o) > (cartrealq342546 > $o) > prodfuncartrealn1boolfuncartrealq342546bool)).
thf(chomotopicuu_with0, type, homotopicu_with0 : (((cartrealn1 > cartrealq342546) > $o) > prodfuncartrealn1boolfuncartrealq342546bool > (cartrealn1 > cartrealq342546) > (cartrealn1 > cartrealq342546) > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealq342546 > $o) > prodfuncartrealmboolfuncartrealq342546bool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealq342546) > $o) > prodfuncartrealmboolfuncartrealq342546bool > (cartrealm > cartrealq342546) > (cartrealm > cartrealq342546) > $o)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealq342546 > $o) > (cartrealn1 > cartrealq342546) > (cartrealn1 > cartrealq342546) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq342546) > cartrealq342546)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq342546) > cartrealq342546)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_WITHu_SUBSET, axiom, ![P:((cartrealm > cartrealq342546) > $o),X:(cartrealm > $o),Y:(cartrealq342546 > $o),Z:(cartrealq342546 > $o),F:(cartrealm > cartrealq342546),G:(cartrealm > cartrealq342546),H:q339011]:(((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) & (subset @ Y @ Z)) => (homotopicu_with @ P @ (c_ @ X @ Z) @ F @ G))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_loops, axiom, ![S:(cartrealq342546 > $o),P:(cartrealn1 > cartrealq342546),Q:(cartrealn1 > cartrealq342546)]:((homotopicu_loops @ S @ P @ Q) <=> (homotopicu_with0 @ ^[R:(cartrealn1 > cartrealq342546)]:((pathfinish @ R) = (pathstart @ R)) @ (c_0 @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(conjecture, conjecture, ![T:(cartrealq342546 > $o),S:(cartrealq342546 > $o),P:(cartrealn1 > cartrealq342546),Q:(cartrealn1 > cartrealq342546)]:(((homotopicu_loops @ S @ P @ Q) & (subset @ S @ T)) => (homotopicu_loops @ T @ P @ Q))).
