%   ORIGINAL: HOMOTOPIC_PATHS_IMP_HOMOTOPIC_LOOPS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_WITH_MONO: !P Q X Y f g. homotopic_with P (X,Y) f g /\ (!h. h continuous_on X /\ IMAGE h X SUBSET Y /\ P h ==> Q h) ==> homotopic_with Q (X,Y) f g
% Assm: TRUTH: T
% Assm: homotopic_loops: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Assm: homotopic_paths: !s p q. homotopic_paths s p q <=> homotopic_with (\r. pathstart r = pathstart p /\ pathfinish r = pathfinish p) (interval [vec 0,vec 1],s) p q
% Goal: !s p q. homotopic_paths s p q /\ pathfinish p = pathstart p /\ pathfinish q = pathstart p ==> homotopic_loops s p q
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P Q X Y f g. homotopic_with P (X,Y) f g /\ (!h. h continuous_on X /\ IMAGE h X SUBSET Y /\ P h ==> Q h) ==> homotopic_with Q (X,Y) f g
% Assm: T
% Assm: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Assm: !s p q. homotopic_paths s p q <=> homotopic_with (\r. pathstart r = pathstart p /\ pathfinish r = pathfinish p) (interval [vec 0,vec 1],s) p q
% Goal: !s p q. homotopic_paths s p q /\ pathfinish p = pathstart p /\ pathfinish q = pathstart p ==> homotopic_loops s p q
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealq342583, type, cartrealq342583 : $tType).
thf(tq342583, type, q342583 : $tType).
thf(tprodfuncartrealn1boolfuncartrealq342583bool, type, prodfuncartrealn1boolfuncartrealq342583bool : $tType).
thf(tfuncartrealq342583bool, type, funcartrealq342583bool : $tType).
thf(tfuncartrealn1bool, type, funcartrealn1bool : $tType).
thf(tprodfuncartrealmboolfuncartrealnbool, type, prodfuncartrealmboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq342583) > cartrealq342583)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq342583) > cartrealq342583)).
thf(ccu_1, type, c_1 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_0, type, c_0 : ((cartrealn1 > $o) > (cartrealq342583 > $o) > prodfuncartrealn1boolfuncartrealq342583bool)).
thf(chomotopicuu_with0, type, homotopicu_with0 : (((cartrealn1 > cartrealq342583) > $o) > prodfuncartrealn1boolfuncartrealq342583bool > (cartrealn1 > cartrealq342583) > (cartrealn1 > cartrealq342583) > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealn > $o) > prodfuncartrealmboolfuncartrealnbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealn) > $o) > prodfuncartrealmboolfuncartrealnbool > (cartrealm > cartrealn) > (cartrealm > cartrealn) > $o)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealq342583 > $o) > (cartrealn1 > cartrealq342583) > (cartrealn1 > cartrealq342583) > $o)).
thf(chomotopicuu_paths, type, homotopicu_paths : ((cartrealq342583 > $o) > (cartrealn1 > cartrealq342583) > (cartrealn1 > cartrealq342583) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq342583),G:(a > cartrealq342583)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_WITHu_MONO, axiom, ![P:((cartrealm > cartrealn) > $o),Q:((cartrealm > cartrealn) > $o),X:(cartrealm > $o),Y:(cartrealn > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:(((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) & ![H:(cartrealm > cartrealn)]:(((continuousu_on @ H @ X) & (subset @ (image @ H @ X) @ Y) & (P @ H)) => (Q @ H))) => (homotopicu_with @ Q @ (c_ @ X @ Y) @ F @ G))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_loops, axiom, ![S:(cartrealq342583 > $o),P:(cartrealn1 > cartrealq342583),Q:(cartrealn1 > cartrealq342583)]:((homotopicu_loops @ S @ P @ Q) <=> (homotopicu_with0 @ ^[R:(cartrealn1 > cartrealq342583)]:((pathfinish @ R) = (pathstart @ R)) @ (c_0 @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(ahomotopicu_paths, axiom, ![S:(cartrealq342583 > $o),P:(cartrealn1 > cartrealq342583),Q:(cartrealn1 > cartrealq342583)]:((homotopicu_paths @ S @ P @ Q) <=> (homotopicu_with0 @ ^[R:(cartrealn1 > cartrealq342583)]:(((pathstart @ R) = (pathstart @ P)) & ((pathfinish @ R) = (pathfinish @ P))) @ (c_0 @ (closedu_interval @ (cons @ (c_1 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(conjecture, conjecture, ![S:(cartrealq342583 > $o),P:(cartrealn1 > cartrealq342583),Q:(cartrealn1 > cartrealq342583)]:(((homotopicu_paths @ S @ P @ Q) & ((pathfinish @ P) = (pathstart @ P)) & ((pathfinish @ Q) = (pathstart @ P))) => (homotopicu_loops @ S @ P @ Q))).
