%   ORIGINAL: PATH_CONNECTED_EQ_HOMOTOPIC_POINTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_POINTS_EQ_PATH_COMPONENT: !s a b. homotopic_loops s (linepath (a,a)) (linepath (b,b)) <=> path_component s a b
% Assm: TRUTH: T
% Assm: path_component: !s x y. path_component s x y <=> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y)
% Assm: path_connected: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y))
% Goal: !s. path_connected s <=> (!a b. a IN s /\ b IN s ==> homotopic_loops s (linepath (a,a)) (linepath (b,b)))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s a b. homotopic_loops s (linepath (a,a)) (linepath (b,b)) <=> path_component s a b
% Assm: T
% Assm: !s x y. path_component s x y <=> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y)
% Assm: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y))
% Goal: !s. path_connected s <=> (!a b. a IN s /\ b IN s ==> homotopic_loops s (linepath (a,a)) (linepath (b,b)))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq309949, type, cartrealq309949 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq309949, type, q309949 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cpathuu_image0, type, pathu_image0 : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealq309949) > cartrealq309949 > $o)).
thf(csubset, type, subset : ((cartrealq309949 > $o) > (cartrealq309949 > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq309949) > cartrealq309949)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq309949) > cartrealq309949)).
thf(cpathuu_component0, type, pathu_component0 : ((cartrealq309949 > $o) > cartrealq309949 > cartrealq309949 > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(clinepath, type, linepath : (prodcartrealncartrealn > cartrealn1 > cartrealn)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealn > $o) > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(cpath0, type, path0 : ((cartrealn1 > cartrealn) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealq309949) > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cpathfinish0, type, pathfinish0 : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathstart0, type, pathstart0 : ((cartrealn1 > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_POINTSu_EQu_PATHu_COMPONENT, axiom, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:((homotopicu_loops @ S @ (linepath @ (c_ @ A @ A)) @ (linepath @ (c_ @ B @ B))) <=> (pathu_component @ S @ A @ B))).
thf(aTRUTH, axiom, $true).
thf(apathu_component, axiom, ![S:(cartrealq309949 > $o),X:cartrealq309949,Y:cartrealq309949]:((pathu_component0 @ S @ X @ Y) <=> ?[G:(cartrealn1 > cartrealq309949)]:((path @ G) & (subset @ (pathu_image @ G) @ S) & ((pathstart @ G) = X) & ((pathfinish @ G) = Y)))).
thf(apathu_connected, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => ?[G:(cartrealn1 > cartrealn)]:((path0 @ G) & (subset0 @ (pathu_image0 @ G) @ S) & ((pathstart0 @ G) = X) & ((pathfinish0 @ G) = Y))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((pathu_connected @ S) <=> ![A:cartrealn,B:cartrealn]:(((in @ A @ S) & (in @ B @ S)) => (homotopicu_loops @ S @ (linepath @ (c_ @ A @ A)) @ (linepath @ (c_ @ B @ B)))))).
