%   ORIGINAL: HOMOTOPIC_PATHS_NEARBY_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_IN_CLOSED_SEGMENT: !a b x. x IN segment [a,b] ==> dist (x,a) <= dist (a,b) /\ dist (x,b) <= dist (a,b)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: DROP_VEC: !n. drop (vec n) = &n
% Assm: FORALL_IN_GSPEC_conjunct0: !P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: HOMOTOPIC_LOOPS_LINEAR: !g s h. path g /\ path h /\ pathfinish g = pathstart g /\ pathfinish h = pathstart h /\ (!t x. t IN interval [vec 0,vec 1] ==> segment [g t,h t] SUBSET s) ==> homotopic_loops s g h
% Assm: HOMOTOPIC_PATHS_LINEAR: !g s h. path g /\ path h /\ pathstart h = pathstart g /\ pathfinish h = pathfinish g /\ (!t x. t IN interval [vec 0,vec 1] ==> segment [g t,h t] SUBSET s) ==> homotopic_paths s g h
% Assm: IN_INTERVAL_1: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: segment_conjunct0: segment [a,b] = {(&1 - u) % a + u % b | &0 <= u /\ u <= &1}
% Goal: !g s h. path g /\ path h /\ pathstart h = pathstart g /\ pathfinish h = pathfinish g /\ (!t x. t IN interval [vec 0,vec 1] /\ ~(x IN s) ==> norm (h t - g t) < norm (g t - x)) ==> homotopic_paths s g h
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b x. x IN segment [a,b] ==> dist (x,a) <= dist (a,b) /\ dist (x,b) <= dist (a,b)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !n. drop (vec n) = &n
% Assm: !Q P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: !Q P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: !g s h. path g /\ path h /\ pathfinish g = pathstart g /\ pathfinish h = pathstart h /\ (!t x. t IN interval [vec 0,vec 1] ==> segment [g t,h t] SUBSET s) ==> homotopic_loops s g h
% Assm: !g s h. path g /\ path h /\ pathstart h = pathstart g /\ pathfinish h = pathfinish g /\ (!t x. t IN interval [vec 0,vec 1] ==> segment [g t,h t] SUBSET s) ==> homotopic_paths s g h
% Assm: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !a b. segment [a,b] = {(&1 - u) % a + u % b | &0 <= u /\ u <= &1}
% Goal: !g s h. path g /\ path h /\ pathstart h = pathstart g /\ pathfinish h = pathfinish g /\ (!t x. t IN interval [vec 0,vec 1] /\ ~(x IN s) ==> norm (h t - g t) < norm (g t - x)) ==> homotopic_paths s g h
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq48167, type, q48167 : $tType).
thf(tnum, type, num : $tType).
thf(tq343704, type, q343704 : $tType).
thf(ta, type, a : $tType).
thf(tq343618, type, q343618 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealncartrealn).
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(csubset0, type, subset0 : ((cartrealn1 > $o) > (cartrealn1 > $o) > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccloseduu_segment0, type, closedu_segment0 : (listprodcartrealncartrealn > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec, type, gspec : ((cartrealn1 > $o) > cartrealn1 > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealn > $o) > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons0, type, cons0 : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn1 > $o > cartrealn1 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chomotopicuu_paths, type, homotopicu_paths : ((cartrealn > $o) > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_INu_CLOSEDu_SEGMENT, axiom, ![A:cartrealn1,B:cartrealn1,X:cartrealn1]:((in @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) => ((realu_le @ (distance @ (c_ @ X @ A)) @ (distance @ (c_ @ A @ B))) & (realu_le @ (distance @ (c_ @ X @ B)) @ (distance @ (c_ @ A @ B)))))).
thf(aDISTu_SYM, axiom, ![X:cartrealn1,Y:cartrealn1]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aDROPu_VEC, axiom, ![N:num]:((drop @ (vec @ N)) = (realu_ofu_num @ N))).
thf(aFORALLu_INu_GSPECu_conjunct0u_monomorphized1, axiom, ![Q:(cartrealn1 > $o),P:(q48167 > $o),F:(q48167 > cartrealn1)]:(![Z:cartrealn1]:((in @ Z @ (gspec @ ^[GENR_PVARR_20:cartrealn1]:?[X:q48167]:(setspec @ GENR_PVARR_20 @ (P @ X) @ (F @ X)))) => (Q @ Z)) <=> ![X:q48167]:((P @ X) => (Q @ (F @ X))))).
thf(aFORALLu_INu_GSPECu_conjunct0u_monomorphized0, axiom, ![Q:(cartrealn > $o),P:(q48167 > $o),F:(q48167 > cartrealn)]:(![Z:cartrealn]:((in0 @ Z @ (gspec0 @ ^[GENR_PVARR_20:cartrealn]:?[X:q48167]:(setspec0 @ GENR_PVARR_20 @ (P @ X) @ (F @ X)))) => (Q @ Z)) <=> ![X:q48167]:((P @ X) => (Q @ (F @ X))))).
thf(aHOMOTOPICu_LOOPSu_LINEAR, axiom, ![G:(cartrealn1 > cartrealn),S:(cartrealn > $o),H:(cartrealn1 > cartrealn)]:(((path @ G) & (path @ H) & ((pathfinish @ G) = (pathstart @ G)) & ((pathfinish @ H) = (pathstart @ H)) & ![T:cartrealn1,X:q343704]:((in @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) => (subset @ (closedu_segment0 @ (cons0 @ (c_0 @ (G @ T) @ (H @ T)) @ nil0)) @ S))) => (homotopicu_loops @ S @ G @ H))).
thf(aHOMOTOPICu_PATHSu_LINEAR, axiom, ![G:(cartrealn1 > cartrealn),S:(cartrealn > $o),H:(cartrealn1 > cartrealn)]:(((path @ G) & (path @ H) & ((pathstart @ H) = (pathstart @ G)) & ((pathfinish @ H) = (pathfinish @ G)) & ![T:cartrealn1,X:q343618]:((in @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) => (subset @ (closedu_segment0 @ (cons0 @ (c_0 @ (G @ T) @ (H @ T)) @ nil0)) @ S))) => (homotopicu_paths @ S @ G @ H))).
thf(aINu_INTERVALu_1, axiom, ![A:cartrealn1,B:cartrealn1,X:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ((realu_le @ (drop @ A) @ (drop @ X)) & (realu_le @ (drop @ X) @ (drop @ B)))) & ((in @ X @ (openu_interval @ (c_ @ A @ B))) <=> ((realu_lt @ (drop @ A) @ (drop @ X)) & (realu_lt @ (drop @ X) @ (drop @ B)))))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aSUBSETu_monomorphized1, axiom, ![S:(cartrealn1 > $o),T:(cartrealn1 > $o)]:((subset0 @ S @ T) <=> ![X:cartrealn1]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealn1,Y:cartrealn1]:((distance @ (c_ @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub0 @ X @ Y)))).
thf(asegmentu_conjunct0, axiom, ![A:cartrealn1,B:cartrealn1]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (gspec @ ^[GENR_PVARR_661:cartrealn1]:?[U:real]:(setspec @ GENR_PVARR_661 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ A) @ (r_ @ U @ B)))))).
thf(conjecture, conjecture, ![G:(cartrealn1 > cartrealn),S:(cartrealn > $o),H:(cartrealn1 > cartrealn)]:(((path @ G) & (path @ H) & ((pathstart @ H) = (pathstart @ G)) & ((pathfinish @ H) = (pathfinish @ G)) & ![T:cartrealn1,X:cartrealn]:(((in @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & ~ ((in0 @ X @ S))) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (H @ T) @ (G @ T))) @ (vectoru_norm @ (vectoru_sub @ (G @ T) @ X))))) => (homotopicu_paths @ S @ G @ H))).
