%   ORIGINAL: SIMPLY_CONNECTED_EQ_CONTRACTIBLE_LOOP_ANY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HOMOTOPIC_LOOPS_SYM: !s p q. homotopic_loops s p q <=> homotopic_loops s q p
% Assm: HOMOTOPIC_LOOPS_TRANS: !s p q r. homotopic_loops s p q /\ homotopic_loops s q r ==> homotopic_loops s p r
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATHFINISH_LINEPATH: !a b. pathfinish (linepath (a,b)) = b
% Assm: PATHSTART_IN_PATH_IMAGE: !g. pathstart g IN path_image g
% Assm: PATHSTART_LINEPATH: !a b. pathstart (linepath (a,b)) = a
% Assm: PATH_IMAGE_LINEPATH: !a b. path_image (linepath (a,b)) = segment [a,b]
% Assm: PATH_LINEPATH: !a b. path (linepath (a,b))
% Assm: SEGMENT_REFL_conjunct0: !a. segment [a,a] = {a}
% Assm: SING_SUBSET: !s x. {x} SUBSET s <=> x IN s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: simply_connected: !s. simply_connected s <=> (!p q. path p /\ pathfinish p = pathstart p /\ path_image p SUBSET s /\ path q /\ pathfinish q = pathstart q /\ path_image q SUBSET s ==> homotopic_loops s p q)
% Goal: !s. simply_connected s <=> (!p a. path p /\ path_image p SUBSET s /\ pathfinish p = pathstart p /\ a IN s ==> homotopic_loops s p (linepath (a,a)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s p q. homotopic_loops s p q <=> homotopic_loops s q p
% Assm: !s p q r. homotopic_loops s p q /\ homotopic_loops s q r ==> homotopic_loops s p r
% Assm: ~F <=> T
% Assm: !a b. pathfinish (linepath (a,b)) = b
% Assm: !g. pathstart g IN path_image g
% Assm: !a b. pathstart (linepath (a,b)) = a
% Assm: !a b. path_image (linepath (a,b)) = segment [a,b]
% Assm: !a b. path (linepath (a,b))
% Assm: !a. segment [a,a] = {a}
% Assm: !s x. {x} SUBSET s <=> x IN s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. simply_connected s <=> (!p q. path p /\ pathfinish p = pathstart p /\ path_image p SUBSET s /\ path q /\ pathfinish q = pathstart q /\ path_image q SUBSET s ==> homotopic_loops s p q)
% Goal: !s. simply_connected s <=> (!p a. path p /\ path_image p SUBSET s /\ pathfinish p = pathstart p /\ a IN s ==> homotopic_loops s p (linepath (a,a)))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(clinepath, type, linepath : (prodcartrealncartrealn > cartrealn1 > cartrealn)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealn > $o) > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(csimplyuu_connected, type, simplyu_connected : ((cartrealn > $o) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHOMOTOPICu_LOOPSu_SYM, axiom, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn)]:((homotopicu_loops @ S @ P @ Q) <=> (homotopicu_loops @ S @ Q @ P))).
thf(aHOMOTOPICu_LOOPSu_TRANS, axiom, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn),R:(cartrealn1 > cartrealn)]:(((homotopicu_loops @ S @ P @ Q) & (homotopicu_loops @ S @ Q @ R)) => (homotopicu_loops @ S @ P @ R))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHFINISHu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((pathfinish @ (linepath @ (c_ @ A @ B))) = B)).
thf(aPATHSTARTu_INu_PATHu_IMAGE, axiom, ![G:(cartrealn1 > cartrealn)]:(in @ (pathstart @ G) @ (pathu_image @ G))).
thf(aPATHSTARTu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((pathstart @ (linepath @ (c_ @ A @ B))) = A)).
thf(aPATHu_IMAGEu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((pathu_image @ (linepath @ (c_ @ A @ B))) = (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aPATHu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:(path @ (linepath @ (c_ @ A @ B)))).
thf(aSEGMENTu_REFLu_conjunct0, axiom, ![A:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ A) @ nil)) = (insert @ A @ empty))).
thf(aSINGu_SUBSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:((subset @ (insert @ X @ empty) @ S) <=> (in @ X @ S))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(asimplyu_connected, axiom, ![S:(cartrealn > $o)]:((simplyu_connected @ S) <=> ![P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn)]:(((path @ P) & ((pathfinish @ P) = (pathstart @ P)) & (subset @ (pathu_image @ P) @ S) & (path @ Q) & ((pathfinish @ Q) = (pathstart @ Q)) & (subset @ (pathu_image @ Q) @ S)) => (homotopicu_loops @ S @ P @ Q)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((simplyu_connected @ S) <=> ![P:(cartrealn1 > cartrealn),A:cartrealn]:(((path @ P) & (subset @ (pathu_image @ P) @ S) & ((pathfinish @ P) = (pathstart @ P)) & (in @ A @ S)) => (homotopicu_loops @ S @ P @ (linepath @ (c_ @ A @ A)))))).
