%   ORIGINAL: SIMPLY_CONNECTED_EQ_CONTRACTIBLE_LOOP_SOME
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HOMOTOPIC_LOOPS_TRANS: !s p q r. homotopic_loops s p q /\ homotopic_loops s q r ==> homotopic_loops s p r
% Assm: HOMOTOPIC_POINTS_EQ_PATH_COMPONENT: !s a b. homotopic_loops s (linepath (a,a)) (linepath (b,b)) <=> path_component s a b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATHSTART_IN_PATH_IMAGE: !g. pathstart g IN path_image g
% Assm: PATH_CONNECTED_IFF_PATH_COMPONENT: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> path_component s x y)
% Assm: SIMPLY_CONNECTED_EQ_CONTRACTIBLE_LOOP_ANY: !s. simply_connected s <=> (!p a. path p /\ path_image p SUBSET s /\ pathfinish p = pathstart p /\ a IN s ==> homotopic_loops s p (linepath (a,a)))
% Assm: SIMPLY_CONNECTED_IMP_PATH_CONNECTED: !s. simply_connected s ==> path_connected s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. simply_connected s <=> path_connected s /\ (!p. path p /\ path_image p SUBSET s /\ pathfinish p = pathstart p ==> (?a. a IN s /\ homotopic_loops s p (linepath (a,a))))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s p q r. homotopic_loops s p q /\ homotopic_loops s q r ==> homotopic_loops s p r
% Assm: !s a b. homotopic_loops s (linepath (a,a)) (linepath (b,b)) <=> path_component s a b
% Assm: ~F <=> T
% Assm: !g. pathstart g IN path_image g
% Assm: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> path_component s x y)
% Assm: !s. simply_connected s <=> (!p a. path p /\ path_image p SUBSET s /\ pathfinish p = pathstart p /\ a IN s ==> homotopic_loops s p (linepath (a,a)))
% Assm: !s. simply_connected s ==> path_connected s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. simply_connected s <=> path_connected s /\ (!p. path p /\ path_image p SUBSET s /\ pathfinish p = pathstart p ==> (?a. a IN s /\ homotopic_loops s p (linepath (a,a))))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(clinepath, type, linepath : (prodcartrealncartrealn > cartrealn1 > cartrealn)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealn > $o) > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(csimplyuu_connected, type, simplyu_connected : ((cartrealn > $o) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHOMOTOPICu_LOOPSu_TRANS, axiom, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn),R:(cartrealn1 > cartrealn)]:(((homotopicu_loops @ S @ P @ Q) & (homotopicu_loops @ S @ Q @ R)) => (homotopicu_loops @ S @ P @ R))).
thf(aHOMOTOPICu_POINTSu_EQu_PATHu_COMPONENT, axiom, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:((homotopicu_loops @ S @ (linepath @ (c_ @ A @ A)) @ (linepath @ (c_ @ B @ B))) <=> (pathu_component @ S @ A @ B))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHSTARTu_INu_PATHu_IMAGE, axiom, ![G:(cartrealn1 > cartrealn)]:(in @ (pathstart @ G) @ (pathu_image @ G))).
thf(aPATHu_CONNECTEDu_IFFu_PATHu_COMPONENT, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => (pathu_component @ S @ X @ Y)))).
thf(aSIMPLYu_CONNECTEDu_EQu_CONTRACTIBLEu_LOOPu_ANY, axiom, ![S:(cartrealn > $o)]:((simplyu_connected @ S) <=> ![P:(cartrealn1 > cartrealn),A:cartrealn]:(((path @ P) & (subset @ (pathu_image @ P) @ S) & ((pathfinish @ P) = (pathstart @ P)) & (in @ A @ S)) => (homotopicu_loops @ S @ P @ (linepath @ (c_ @ A @ A)))))).
thf(aSIMPLYu_CONNECTEDu_IMPu_PATHu_CONNECTED, axiom, ![S:(cartrealn > $o)]:((simplyu_connected @ S) => (pathu_connected @ S))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((simplyu_connected @ S) <=> ((pathu_connected @ S) & ![P:(cartrealn1 > cartrealn)]:(((path @ P) & (subset @ (pathu_image @ P) @ S) & ((pathfinish @ P) = (pathstart @ P))) => ?[A:cartrealn]:((in @ A @ S) & (homotopicu_loops @ S @ P @ (linepath @ (c_ @ A @ A)))))))).
