%   ORIGINAL: SIMPLY_CONNECTED_EQ_CONTRACTIBLE_LOOP_ALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HOMOTOPIC_LOOPS_SYM: !s p q. homotopic_loops s p q <=> homotopic_loops s q p
% Assm: HOMOTOPIC_LOOPS_TRANS: !s p q r. homotopic_loops s p q /\ homotopic_loops s q r ==> homotopic_loops s p r
% Assm: HOMOTOPIC_POINTS_EQ_PATH_COMPONENT: !s a b. homotopic_loops s (linepath (a,a)) (linepath (b,b)) <=> path_component s a b
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: PATHFINISH_LINEPATH: !a b. pathfinish (linepath (a,b)) = b
% Assm: PATHSTART_LINEPATH: !a b. pathstart (linepath (a,b)) = a
% Assm: PATH_CONNECTED_EQ_HOMOTOPIC_POINTS: !s. path_connected s <=> (!a b. a IN s /\ b IN s ==> homotopic_loops s (linepath (a,a)) (linepath (b,b)))
% Assm: PATH_CONNECTED_IFF_PATH_COMPONENT: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> path_component s x y)
% Assm: PATH_IMAGE_LINEPATH: !a b. path_image (linepath (a,b)) = segment [a,b]
% Assm: PATH_LINEPATH: !a b. path (linepath (a,b))
% Assm: SEGMENT_REFL_conjunct0: !a. segment [a,a] = {a}
% Assm: SIMPLY_CONNECTED_EMPTY: simply_connected {}
% Assm: SIMPLY_CONNECTED_EQ_CONTRACTIBLE_LOOP_SOME: !s. simply_connected s <=> path_connected s /\ (!p. path p /\ path_image p SUBSET s /\ pathfinish p = pathstart p ==> (?a. a IN s /\ homotopic_loops s p (linepath (a,a))))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. simply_connected s <=> s = {} \/ (?a. a IN s /\ (!p. path p /\ path_image p SUBSET s /\ pathfinish p = pathstart p ==> homotopic_loops s p (linepath (a,a))))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s p q. homotopic_loops s p q <=> homotopic_loops s q p
% Assm: !s p q r. homotopic_loops s p q /\ homotopic_loops s q r ==> homotopic_loops s p r
% Assm: !s a b. homotopic_loops s (linepath (a,a)) (linepath (b,b)) <=> path_component s a b
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !a b. pathfinish (linepath (a,b)) = b
% Assm: !a b. pathstart (linepath (a,b)) = a
% Assm: !s. path_connected s <=> (!a b. a IN s /\ b IN s ==> homotopic_loops s (linepath (a,a)) (linepath (b,b)))
% Assm: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> path_component s x y)
% Assm: !a b. path_image (linepath (a,b)) = segment [a,b]
% Assm: !a b. path (linepath (a,b))
% Assm: !a. segment [a,a] = {a}
% Assm: simply_connected {}
% Assm: !s. simply_connected s <=> path_connected s /\ (!p. path p /\ path_image p SUBSET s /\ pathfinish p = pathstart p ==> (?a. a IN s /\ homotopic_loops s p (linepath (a,a))))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. simply_connected s <=> s = {} \/ (?a. a IN s /\ (!p. path p /\ path_image p SUBSET s /\ pathfinish p = pathstart p ==> homotopic_loops s p (linepath (a,a))))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(clinepath, type, linepath : (prodcartrealncartrealn > cartrealn1 > cartrealn)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealn > $o) > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(csimplyuu_connected, type, simplyu_connected : ((cartrealn > $o) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHOMOTOPICu_LOOPSu_SYM, axiom, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn)]:((homotopicu_loops @ S @ P @ Q) <=> (homotopicu_loops @ S @ Q @ P))).
thf(aHOMOTOPICu_LOOPSu_TRANS, axiom, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn),R:(cartrealn1 > cartrealn)]:(((homotopicu_loops @ S @ P @ Q) & (homotopicu_loops @ S @ Q @ R)) => (homotopicu_loops @ S @ P @ R))).
thf(aHOMOTOPICu_POINTSu_EQu_PATHu_COMPONENT, axiom, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:((homotopicu_loops @ S @ (linepath @ (c_ @ A @ A)) @ (linepath @ (c_ @ B @ B))) <=> (pathu_component @ S @ A @ B))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aPATHFINISHu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((pathfinish @ (linepath @ (c_ @ A @ B))) = B)).
thf(aPATHSTARTu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((pathstart @ (linepath @ (c_ @ A @ B))) = A)).
thf(aPATHu_CONNECTEDu_EQu_HOMOTOPICu_POINTS, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) <=> ![A:cartrealn,B:cartrealn]:(((in @ A @ S) & (in @ B @ S)) => (homotopicu_loops @ S @ (linepath @ (c_ @ A @ A)) @ (linepath @ (c_ @ B @ B)))))).
thf(aPATHu_CONNECTEDu_IFFu_PATHu_COMPONENT, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => (pathu_component @ S @ X @ Y)))).
thf(aPATHu_IMAGEu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((pathu_image @ (linepath @ (c_ @ A @ B))) = (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aPATHu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:(path @ (linepath @ (c_ @ A @ B)))).
thf(aSEGMENTu_REFLu_conjunct0, axiom, ![A:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ A) @ nil)) = (insert @ A @ empty))).
thf(aSIMPLYu_CONNECTEDu_EMPTY, axiom, (simplyu_connected @ empty)).
thf(aSIMPLYu_CONNECTEDu_EQu_CONTRACTIBLEu_LOOPu_SOME, axiom, ![S:(cartrealn > $o)]:((simplyu_connected @ S) <=> ((pathu_connected @ S) & ![P:(cartrealn1 > cartrealn)]:(((path @ P) & (subset @ (pathu_image @ P) @ S) & ((pathfinish @ P) = (pathstart @ P))) => ?[A:cartrealn]:((in @ A @ S) & (homotopicu_loops @ S @ P @ (linepath @ (c_ @ A @ A)))))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((simplyu_connected @ S) <=> ((S = empty) | ?[A:cartrealn]:((in @ A @ S) & ![P:(cartrealn1 > cartrealn)]:(((path @ P) & (subset @ (pathu_image @ P) @ S) & ((pathfinish @ P) = (pathstart @ P))) => (homotopicu_loops @ S @ P @ (linepath @ (c_ @ A @ A)))))))).
