%   ORIGINAL: HOMEOMORPHIC_CONTRACTIBLE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HOMEOMORPHIC_CONTRACTIBLE: !s t. s homeomorphic t /\ contractible s ==> contractible t
% Assm: HOMEOMORPHIC_SYM: !s t. s homeomorphic t <=> t homeomorphic s
% Assm: TRUTH: T
% Goal: !s t. s homeomorphic t ==> (contractible s <=> contractible t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s homeomorphic t /\ contractible s ==> contractible t
% Assm: !s t. s homeomorphic t <=> t homeomorphic s
% Assm: T
% Goal: !s t. s homeomorphic t ==> (contractible s <=> contractible t)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chomeomorphic0, type, homeomorphic0 : ((cartrealn > $o) > (cartrealm > $o) > $o)).
thf(chomeomorphic, type, homeomorphic : ((cartrealm > $o) > (cartrealn > $o) > $o)).
thf(ccontractible0, type, contractible0 : ((cartrealn > $o) > $o)).
thf(ccontractible, type, contractible : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHOMEOMORPHICu_CONTRACTIBLE, axiom, ![S:(cartrealm > $o),T:(cartrealn > $o)]:(((homeomorphic @ S @ T) & (contractible @ S)) => (contractible0 @ T))).
thf(aHOMEOMORPHICu_SYM, axiom, ![S:(cartrealm > $o),T:(cartrealn > $o)]:((homeomorphic @ S @ T) <=> (homeomorphic0 @ T @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealm > $o),T:(cartrealn > $o)]:((homeomorphic @ S @ T) => ((contractible @ S) <=> (contractible0 @ T)))).
