%   ORIGINAL: CONTRACTIBLE_INJECTIVE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HOMEOMORPHIC_CONTRACTIBLE_EQ: !s t. s homeomorphic t ==> (contractible s <=> contractible t)
% Assm: HOMEOMORPHIC_INJECTIVE_LINEAR_IMAGE_LEFT_EQ: !f s t. linear f /\ (!x y. f x = f y ==> x = y) ==> (IMAGE f s homeomorphic t <=> s homeomorphic t)
% Assm: HOMEOMORPHIC_REFL: !s. s homeomorphic s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (contractible (IMAGE f s) <=> contractible s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s homeomorphic t ==> (contractible s <=> contractible t)
% Assm: !s t. s homeomorphic t ==> (contractible s <=> contractible t)
% Assm: !s t. s homeomorphic t ==> (contractible s <=> contractible t)
% Assm: !s t. s homeomorphic t ==> (contractible s <=> contractible t)
% Assm: !f s t. linear f /\ (!x y. f x = f y ==> x = y) ==> (IMAGE f s homeomorphic t <=> s homeomorphic t)
% Assm: !s. s homeomorphic s
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (contractible (IMAGE f s) <=> contractible s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq220471, type, cartrealq220471 : $tType).
thf(tq220471, type, q220471 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chomeomorphic4, type, homeomorphic4 : ((cartrealm > $o) > (cartrealq220471 > $o) > $o)).
thf(chomeomorphic3, type, homeomorphic3 : ((cartrealn > $o) > (cartrealq220471 > $o) > $o)).
thf(chomeomorphic2, type, homeomorphic2 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(chomeomorphic1, type, homeomorphic1 : ((cartrealm > $o) > (cartrealn > $o) > $o)).
thf(chomeomorphic0, type, homeomorphic0 : ((cartrealn > $o) > (cartrealm > $o) > $o)).
thf(chomeomorphic, type, homeomorphic : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ci1, type, i1 : ($o > $o)).
thf(ccontractible0, type, contractible0 : ((cartrealm > $o) > $o)).
thf(ccontractible, type, contractible : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHOMEOMORPHICu_CONTRACTIBLEu_EQu_monomorphized3, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((homeomorphic @ S @ T) => ((contractible @ S) <=> (contractible @ T)))).
thf(aHOMEOMORPHICu_CONTRACTIBLEu_EQu_monomorphized2, axiom, ![S:(cartrealn > $o),T:(cartrealm > $o)]:((homeomorphic0 @ S @ T) => ((contractible @ S) <=> (contractible0 @ T)))).
thf(aHOMEOMORPHICu_CONTRACTIBLEu_EQu_monomorphized1, axiom, ![S:(cartrealm > $o),T:(cartrealn > $o)]:((homeomorphic1 @ S @ T) => ((contractible0 @ S) <=> (contractible @ T)))).
thf(aHOMEOMORPHICu_CONTRACTIBLEu_EQu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((homeomorphic2 @ S @ T) => ((contractible0 @ S) <=> (contractible0 @ T)))).
thf(aHOMEOMORPHICu_INJECTIVEu_LINEARu_IMAGEu_LEFTu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealq220471 > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((homeomorphic3 @ (image @ F @ S) @ T) <=> (homeomorphic4 @ S @ T)))).
thf(aHOMEOMORPHICu_REFL, axiom, ![S:(cartrealn > $o)]:(homeomorphic @ S @ S)).
thf(aIu_THMu_monomorphized2, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((contractible @ (image @ F @ S)) <=> (contractible0 @ S)))).
