%   ORIGINAL: FACE_OF_INTER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_INTER: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: face_of: !s t. t face_of s <=> t SUBSET s /\ convex t /\ (!a b x. a IN s /\ b IN s /\ x IN t /\ x IN segment (a,b) ==> a IN t /\ b IN t)
% Goal: !s t1 t2. t1 face_of s /\ t2 face_of s ==> t1 INTER t2 face_of s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s t. t face_of s <=> t SUBSET s /\ convex t /\ (!a b x. a IN s /\ b IN s /\ x IN t /\ x IN segment (a,b) ==> a IN t /\ b IN t)
% Goal: !s t1 t2. t1 face_of s /\ t2 face_of s ==> t1 INTER t2 face_of s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq351780, type, cartrealq351780 : $tType).
thf(treal, type, real : $tType).
thf(tq351780, type, q351780 : $tType).
thf(tprodcartrealq351780cartrealq351780, type, prodcartrealq351780cartrealq351780 : $tType).
%  CONSTS
thf(copenuu_segment, type, openu_segment : (prodcartrealq351780cartrealq351780 > cartrealq351780 > $o)).
thf(csubset0, type, subset0 : ((cartrealq351780 > $o) > (cartrealq351780 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealq351780 > (cartrealq351780 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealq351780 > $o) > (cartrealq351780 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealq351780 > cartrealq351780 > prodcartrealq351780cartrealq351780)).
thf(cinter, type, inter : ((cartrealq351780 > $o) > (cartrealq351780 > $o) > cartrealq351780 > $o)).
thf(cconvex, type, convex : ((cartrealq351780 > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_INTER, axiom, ![S:(cartrealq351780 > $o),T:(cartrealq351780 > $o)]:(((convex @ S) & (convex @ T)) => (convex @ (inter @ S @ T)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealq351780 > $o),T:(cartrealq351780 > $o),X:cartrealq351780]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(afaceu_of, axiom, ![S:(cartrealq351780 > $o),T:(cartrealq351780 > $o)]:((faceu_of @ T @ S) <=> ((subset0 @ T @ S) & (convex @ T) & ![A:cartrealq351780,B:cartrealq351780,X:cartrealq351780]:(((in0 @ A @ S) & (in0 @ B @ S) & (in0 @ X @ T) & (in0 @ X @ (openu_segment @ (c_ @ A @ B)))) => ((in0 @ A @ T) & (in0 @ B @ T)))))).
thf(conjecture, conjecture, ![S:(cartrealq351780 > $o),T1:(cartrealq351780 > $o),T2:(cartrealq351780 > $o)]:(((faceu_of @ T1 @ S) & (faceu_of @ T2 @ S)) => (faceu_of @ (inter @ T1 @ T2) @ S))).
