%   ORIGINAL: FACE_OF_INTER_SUPPORTING_HYPERPLANE_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HYPERPLANE: !a b. convex {x | a dot x = b}
% Assm: CONVEX_INTER: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: FACE_OF_INTER_SUPPORTING_HYPERPLANE_LE_STRONG: !s a b. convex (s INTER {x | a dot x = b}) /\ (!x. x IN s ==> a dot x <= b) ==> s INTER {x | a dot x = b} face_of s
% Assm: TRUTH: T
% Goal: !s a b. convex s /\ (!x. x IN s ==> a dot x <= b) ==> s INTER {x | a dot x = b} face_of s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. convex {x | a dot x = b}
% Assm: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: !s a b. convex (s INTER {x | a dot x = b}) /\ (!x. x IN s ==> a dot x <= b) ==> s INTER {x | a dot x = b} face_of s
% Assm: T
% Goal: !s a b. convex s /\ (!x. x IN s ==> a dot x <= b) ==> s INTER {x | a dot x = b} face_of s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HYPERPLANE, axiom, ![A:cartrealn,B:real]:(convex @ (gspec @ ^[GENR_PVARR_825:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_825 @ ((dot @ A @ X) = B) @ X)))).
thf(aCONVEXu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (convex @ T)) => (convex @ (inter @ S @ T)))).
thf(aFACEu_OFu_INTERu_SUPPORTINGu_HYPERPLANEu_LEu_STRONG, axiom, ![S:(cartrealn > $o),A:cartrealn,B:real]:(((convex @ (inter @ S @ (gspec @ ^[GENR_PVARR_1169:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1169 @ ((dot @ A @ X) = B) @ X)))) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (dot @ A @ X) @ B))) => (faceu_of @ (inter @ S @ (gspec @ ^[GENR_PVARR_1170:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1170 @ ((dot @ A @ X) = B) @ X))) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,B:real]:(((convex @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (dot @ A @ X) @ B))) => (faceu_of @ (inter @ S @ (gspec @ ^[GENR_PVARR_1173:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1173 @ ((dot @ A @ X) = B) @ X))) @ S))).
