%   ORIGINAL: FACE_OF_AFF_DIM_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFF_DIM_EMPTY: aff_dim {} = -- &1
% Assm: AFF_DIM_EQ_AFFINE_HULL: !s t. s SUBSET t /\ aff_dim t <= aff_dim s ==> affine hull s = affine hull t
% Assm: AFF_DIM_EQ_MINUS1: !s. aff_dim s = -- &1 <=> s = {}
% Assm: AFF_DIM_SUBSET: !s t. s SUBSET t ==> aff_dim s <= aff_dim t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FACE_OF_EQ: !s t u. t face_of s /\ u face_of s /\ ~DISJOINT (relative_interior t) (relative_interior u) ==> t = u
% Assm: FACE_OF_IMP_CONVEX: !s t. t face_of s ==> convex t
% Assm: FACE_OF_IMP_SUBSET: !s t. t face_of s ==> t SUBSET s
% Assm: FACE_OF_REFL: !s. convex s ==> s face_of s
% Assm: IN: !P x. x IN P <=> P x
% Assm: INT_LE_REFL: !x. x <= x
% Assm: INT_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: RELATIVE_INTERIOR_EQ_EMPTY: !s. convex s ==> (relative_interior s = {} <=> s = {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_RELATIVE_INTERIOR: !s t. s SUBSET t /\ affine hull s = affine hull t ==> relative_interior s SUBSET relative_interior t
% Assm: TRUTH: T
% Goal: !f s. convex s /\ f face_of s /\ ~(f = s) ==> aff_dim f < aff_dim s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: aff_dim {} = -- &1
% Assm: !s t. s SUBSET t /\ aff_dim t <= aff_dim s ==> affine hull s = affine hull t
% Assm: !s. aff_dim s = -- &1 <=> s = {}
% Assm: !s t. s SUBSET t ==> aff_dim s <= aff_dim t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t u. t face_of s /\ u face_of s /\ ~DISJOINT (relative_interior t) (relative_interior u) ==> t = u
% Assm: !s t. t face_of s ==> convex t
% Assm: !s t. t face_of s ==> t SUBSET s
% Assm: !s. convex s ==> s face_of s
% Assm: !P x. x IN P <=> P x
% Assm: !x. x <= x
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. convex s ==> (relative_interior s = {} <=> s = {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ affine hull s = affine hull t ==> relative_interior s SUBSET relative_interior t
% Assm: T
% Goal: !f s. convex s /\ f face_of s /\ ~(f = s) ==> aff_dim f < aff_dim s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFu_DIMu_EMPTY, axiom, ((affu_dim @ empty) = (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aAFFu_DIMu_EQu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (intu_le @ (affu_dim @ T) @ (affu_dim @ S))) => ((hull @ affine @ S) = (hull @ affine @ T)))).
thf(aAFFu_DIMu_EQu_MINUS1, axiom, ![S:(cartrealn > $o)]:(((affu_dim @ S) = (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) <=> (S = empty))).
thf(aAFFu_DIMu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (intu_le @ (affu_dim @ S) @ (affu_dim @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFACEu_OFu_EQ, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((faceu_of @ T @ S) & (faceu_of @ U @ S) & ~ ((disjoint @ (relativeu_interior @ T) @ (relativeu_interior @ U)))) => (T = U))).
thf(aFACEu_OFu_IMPu_CONVEX, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((faceu_of @ T @ S) => (convex @ T))).
thf(aFACEu_OFu_IMPu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((faceu_of @ T @ S) => (subset @ T @ S))).
thf(aFACEu_OFu_REFL, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (faceu_of @ S @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTu_LEu_REFL, axiom, ![X:int]:(intu_le @ X @ X)).
thf(aINTu_LTu_LE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> ((intu_le @ X @ Y) & ~ ((X = Y))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty0))).
thf(aRELATIVEu_INTERIORu_EQu_EMPTY, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (((relativeu_interior @ S) = empty) <=> (S = empty)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_RELATIVEu_INTERIOR, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & ((hull @ affine @ S) = (hull @ affine @ T))) => (subset @ (relativeu_interior @ S) @ (relativeu_interior @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > $o),S:(cartrealn > $o)]:(((convex @ S) & (faceu_of @ F @ S) & ~ ((F = S))) => (intu_lt @ (affu_dim @ F) @ (affu_dim @ S)))).
