%   ORIGINAL: FACE_OF_CONVEX_HULLS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: AFFINE_AFFINE_HULL: !s. affine (affine hull s)
% Assm: AFFINE_ALT: affine s <=> (!x y u. x IN s /\ y IN s ==> (&1 - u) % x + u % y IN s)
% Assm: AFFINE_HULL_FINITE: !s. affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: CONVEX_HULL_FINITE: !s. convex hull s = {y | ?u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y}
% Assm: CONVEX_HULL_SUBSET_AFFINE_HULL: !s. convex hull s SUBSET affine hull s
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_DIFF: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_DISJOINT: !s t. DISJOINT s t <=> ~(?x. x IN s /\ x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: IN_SEGMENT: !a b x. (x IN segment [a,b] <=> (?u. &0 <= u /\ u <= &1 /\ x = (&1 - u) % a + u % b)) /\ (x IN segment (a,b) <=> ~(a = b) /\ (?u. &0 < u /\ u < &1 /\ x = (&1 - u) % a + u % b))
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_EQ_ADD_LCANCEL: !x y z. x + y = x + z <=> y = z
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_IMP_NE: !x y. x < y ==> ~(x = y)
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_NN_ADD2: !x y. &0 <= x /\ &0 <= y ==> &0 <= x + y
% Assm: Real_ext.REAL_PROP_NN_INV: !x. &0 <= inv x <=> &0 <= x
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_ADD: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: SUM_DIFF: !f s t. FINITE s /\ t SUBSET s ==> sum (s DIFF t) f = sum s f - sum t f
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: SUM_POS_EQ_0: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) /\ sum s f = &0 ==> (!x. x IN s ==> f x = &0)
% Assm: SUM_POS_LE: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= sum s f
% Assm: SUM_SUPERSET: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum v f = sum u f
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: VECTOR_ADD_RDISTRIB: (a + b) % x = a % x + b % x
% Assm: VECTOR_ADD_SUB: (x + y) - x = y
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_EQ_0: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Assm: VSUM_0: vsum s (\x. vec 0) = vec 0
% Assm: VSUM_ADD: !f g s. FINITE s ==> vsum s (\x. f x + g x) = vsum s f + vsum s g
% Assm: VSUM_DIFF: !f s t. FINITE s /\ t SUBSET s ==> vsum (s DIFF t) f = vsum s f - vsum t f
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: VSUM_LMUL: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: VSUM_SUPERSET: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = vec 0) ==> vsum v f = vsum u f
% Assm: face_of: !s t. t face_of s <=> t SUBSET s /\ convex t /\ (!a b x. a IN s /\ b IN s /\ x IN t /\ x IN segment (a,b) ==> a IN t /\ b IN t)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: vec: !n. vec n = (lambda i. &n)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !f s. FINITE s /\ f SUBSET s /\ DISJOINT (affine hull f) (convex hull (s DIFF f)) ==> convex hull f face_of convex hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !s. affine (affine hull s)
% Assm: !s. affine s <=> (!x y u. x IN s /\ y IN s ==> (&1 - u) % x + u % y IN s)
% Assm: !s. affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: BIT0 _0 = _0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !s. convex (convex hull s)
% Assm: !s. convex hull s = {y | ?u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y}
% Assm: !s. convex hull s SUBSET affine hull s
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t. DISJOINT s t <=> ~(?x. x IN s /\ x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !a b x. (x IN segment [a,b] <=> (?u. &0 <= u /\ u <= &1 /\ x = (&1 - u) % a + u % b)) /\ (x IN segment (a,b) <=> ~(a = b) /\ (?u. &0 < u /\ u < &1 /\ x = (&1 - u) % a + u % b))
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m. m * 0 = 0
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y z. x + y = x + z <=> y = z
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y ==> ~(x = y)
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x + y
% Assm: !x. &0 <= inv x <=> &0 <= x
% Assm: !x y. x < y ==> x <= y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: !f s t. FINITE s /\ t SUBSET s ==> sum (s DIFF t) f = sum s f - sum t f
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) /\ sum s f = &0 ==> (!x. x IN s ==> f x = &0)
% Assm: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= sum s f
% Assm: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum v f = sum u f
% Assm: T
% Assm: 2 = SUC 1
% Assm: !a b x. (a + b) % x = a % x + b % x
% Assm: !x y. (x + y) - x = y
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: !x. &0 % x = vec 0
% Assm: !x. x - vec 0 = x
% Assm: !s. vsum s (\x. vec 0) = vec 0
% Assm: !f g s. FINITE s ==> vsum s (\x. f x + g x) = vsum s f + vsum s g
% Assm: !f s t. FINITE s /\ t SUBSET s ==> vsum (s DIFF t) f = vsum s f - vsum t f
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = vec 0) ==> vsum v f = vsum u f
% Assm: !s t. t face_of s <=> t SUBSET s /\ convex t /\ (!a b x. a IN s /\ b IN s /\ x IN t /\ x IN segment (a,b) ==> a IN t /\ b IN t)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n. vec n = (lambda i. &n)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !f s. FINITE s /\ f SUBSET s /\ DISJOINT (affine hull f) (convex hull (s DIFF f)) ==> convex hull f face_of convex hull s
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq103742, type, cartrealq103742 : $tType).
thf(tcartrealq97451, type, cartrealq97451 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq103212, type, cartrealq103212 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq103572, type, cartrealq103572 : $tType).
thf(tq97451, type, q97451 : $tType).
thf(tcartrealq97531, type, cartrealq97531 : $tType).
thf(tq99960, type, q99960 : $tType).
thf(tcartrealq97326, type, cartrealq97326 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq103179, type, cartrealq103179 : $tType).
thf(tq103175, type, q103175 : $tType).
thf(tq97531, type, q97531 : $tType).
thf(tcartrealq99960, type, cartrealq99960 : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq103572, type, q103572 : $tType).
thf(tq97357, type, q97357 : $tType).
thf(tcartrealq103288, type, cartrealq103288 : $tType).
thf(tq103288, type, q103288 : $tType).
thf(tq103212, type, q103212 : $tType).
thf(tq103179, type, q103179 : $tType).
thf(tcartrealq97357, type, cartrealq97357 : $tType).
thf(tq97326, type, q97326 : $tType).
thf(tcartab, type, cartab : $tType).
thf(tq103742, type, q103742 : $tType).
thf(tq103731, type, q103731 : $tType).
thf(tq103205, type, q103205 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (b > $o)).
thf(cvec0, type, vec0 : (num > cartrealq97357)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cin2, type, in2 : (q103731 > (q103731 > $o) > $o)).
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cin1, type, in1 : (num > (num > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(clambda0, type, lambda0 : ((num > a) > cartab)).
thf(cru_4, type, r_4 : (real > cartrealq103212 > cartrealq103212)).
thf(cvsum4, type, vsum4 : ((q103205 > $o) > (q103205 > cartrealq103212) > cartrealq103212)).
thf(cvsum3, type, vsum3 : ((q103731 > $o) > (q103731 > cartrealq103742) > cartrealq103742)).
thf(cvectoruu_sub1, type, vectoru_sub1 : (cartrealq103572 > cartrealq103572 > cartrealq103572)).
thf(cvsum2, type, vsum2 : ((cartrealn > $o) > (cartrealn > cartrealq103572) > cartrealq103572)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealq103288 > cartrealq103288 > cartrealq103288)).
thf(cvsum1, type, vsum1 : ((cartrealn > $o) > (cartrealn > cartrealq103288) > cartrealq103288)).
thf(cvsum0, type, vsum0 : ((q103175 > $o) > (q103175 > cartrealq103179) > cartrealq103179)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq97531 > cartrealq97531 > cartrealq97531)).
thf(cru_3, type, r_3 : (real > cartrealq97357 > cartrealq97357)).
thf(cru_2, type, r_2 : (real > cartrealq99960 > cartrealq99960)).
thf(cru_1, type, r_1 : (real > cartrealq97326 > cartrealq97326)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq97451 > cartrealq97451 > cartrealq97451)).
thf(cru_0, type, r_0 : (real > cartrealq97451 > cartrealq97451)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cvec3, type, vec3 : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cvec1, type, vec1 : (num > cartrealq97531)).
thf(cvec2, type, vec2 : (num > cartrealq103179)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(ci, type, i : (a > a)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cvec, type, vec : (num > cartrealq99960)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aAFFINEu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(affine @ (hull @ affine @ S))).
thf(aAFFINEu_ALT, axiom, ![S:(cartrealn > $o)]:((affine @ S) <=> ![X:cartrealn,Y:cartrealn,U:real]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ X) @ (r_ @ U @ Y)) @ S)))).
thf(aAFFINEu_HULLu_FINITE, axiom, ![S:(cartrealn > $o)]:((hull @ affine @ S) = (gspec @ ^[GENR_PVARR_800:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_800 @ ?[U:(cartrealn > real)]:(((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[V:cartrealn]:(r_ @ (U @ V) @ V)) = Y)) @ Y)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(convex @ (hull @ convex @ S))).
thf(aCONVEXu_HULLu_FINITE, axiom, ![S:(cartrealn > $o)]:((hull @ convex @ S) = (gspec @ ^[GENR_PVARR_862:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_862 @ ?[U:(cartrealn > real)]:(![X:cartrealn]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) = Y)) @ Y)))).
thf(aCONVEXu_HULLu_SUBSETu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(subset @ (hull @ convex @ S) @ (hull @ affine @ S))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((finite @ S) => (finite @ (diff @ S @ T)))).
thf(aFINITEu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHULLu_MONO, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_DISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ~ (?[X:cartrealn]:((in @ X @ S) & (in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in1 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aINu_SEGMENT, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:(((in @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) <=> ?[U:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (X = (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ A) @ (r_ @ U @ B))))) & ((in @ X @ (openu_segment @ (c_ @ A @ B))) <=> (~ ((A = B)) & ?[U:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_lt @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (X = (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ A) @ (r_ @ U @ B)))))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_EQu_ADDu_LCANCEL, axiom, ![X:real,Y:real,Z:real]:(((realu_add @ X @ Y) = (realu_add @ X @ Z)) <=> (Y = Z))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_IMPu_NE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => ~ ((X = Y)))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_NNu_ADD2, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_NNu_INV, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUMu_ADD, axiom, ![F:(cartrealn > real),G:(cartrealn > real),S:(cartrealn > $o)]:((finite @ S) => ((sum @ S @ ^[X:cartrealn]:(realu_add @ (F @ X) @ (G @ X))) = (realu_add @ (sum @ S @ F) @ (sum @ S @ G))))).
thf(aSUMu_DIFF, axiom, ![F:(cartrealn > real),S:(cartrealn > $o),T:(cartrealn > $o)]:(((finite @ S) & (subset @ T @ S)) => ((sum @ (diff @ S @ T) @ F) = (realu_sub @ (sum @ S @ F) @ (sum @ T @ F))))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum0 @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum0 @ S @ F)))).
thf(aSUMu_POSu_EQu_0, axiom, ![F:(cartrealn > real),S:(cartrealn > $o)]:(((finite @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X))) & ((sum @ S @ F) = (realu_ofu_num @ (numeral @ u_0)))) => ![X:cartrealn]:((in @ X @ S) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aSUMu_POSu_LE, axiom, ![F:(cartrealn > real),S:(cartrealn > $o)]:(((finite @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sum @ S @ F)))).
thf(aSUMu_SUPERSET, axiom, ![F:(cartrealn > real),U:(cartrealn > $o),V:(cartrealn > $o)]:(((subset @ U @ V) & ![X:cartrealn]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) => ((sum @ V @ F) = (sum @ U @ F)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aVECTORu_ADDu_RDISTRIB, axiom, ![A:real,B:real,X:cartrealq97451]:((r_0 @ (realu_add @ A @ B) @ X) = (vectoru_add0 @ (r_0 @ A @ X) @ (r_0 @ B @ X)))).
thf(aVECTORu_ADDu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub @ (vectoru_add @ X @ Y) @ X) = Y)).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealq97326]:((r_1 @ A @ (r_1 @ B @ X)) = (r_1 @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_EQu_0, axiom, ![A:real,X:cartrealq99960]:(((r_2 @ A @ X) = (vec @ (numeral @ u_0))) <=> ((A = (realu_ofu_num @ (numeral @ u_0))) | (X = (vec @ (numeral @ u_0)))))).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealq97357]:((r_3 @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec0 @ (numeral @ u_0)))).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealq97531]:((vectoru_sub0 @ X @ (vec1 @ (numeral @ u_0))) = X)).
thf(aVSUMu_0, axiom, ![S:(q103175 > $o)]:((vsum0 @ S @ ^[X:q103175]:(vec2 @ (numeral @ u_0))) = (vec2 @ (numeral @ u_0)))).
thf(aVSUMu_ADD, axiom, ![F:(cartrealn > cartrealq103288),G:(cartrealn > cartrealq103288),S:(cartrealn > $o)]:((finite @ S) => ((vsum1 @ S @ ^[X:cartrealn]:(vectoru_add1 @ (F @ X) @ (G @ X))) = (vectoru_add1 @ (vsum1 @ S @ F) @ (vsum1 @ S @ G))))).
thf(aVSUMu_DIFF, axiom, ![F:(cartrealn > cartrealq103572),S:(cartrealn > $o),T:(cartrealn > $o)]:(((finite @ S) & (subset @ T @ S)) => ((vsum2 @ (diff @ S @ T) @ F) = (vectoru_sub1 @ (vsum2 @ S @ F) @ (vsum2 @ T @ F))))).
thf(aVSUMu_EQ, axiom, ![F:(q103731 > cartrealq103742),G:(q103731 > cartrealq103742),S:(q103731 > $o)]:(![X:q103731]:((in2 @ X @ S) => ((F @ X) = (G @ X))) => ((vsum3 @ S @ F) = (vsum3 @ S @ G)))).
thf(aVSUMu_LMUL, axiom, ![F:(q103205 > cartrealq103212),C:real,S:(q103205 > $o)]:((vsum4 @ S @ ^[X:q103205]:(r_4 @ C @ (F @ X))) = (r_4 @ C @ (vsum4 @ S @ F)))).
thf(aVSUMu_SUPERSET, axiom, ![F:(cartrealn > cartrealn),U:(cartrealn > $o),V:(cartrealn > $o)]:(((subset @ U @ V) & ![X:cartrealn]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (vec3 @ (numeral @ u_0))))) => ((vsum @ V @ F) = (vsum @ U @ F)))).
thf(afaceu_of, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((faceu_of @ T @ S) <=> ((subset @ T @ S) & (convex @ T) & ![A:cartrealn,B:cartrealn,X:cartrealn]:(((in @ A @ S) & (in @ B @ S) & (in @ X @ T) & (in @ X @ (openu_segment @ (c_ @ A @ B)))) => ((in @ A @ T) & (in @ B @ T)))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(avec, axiom, ![N:num]:((vec3 @ N) = (lambda1 @ ^[I:num]:(realu_ofu_num @ N)))).
thf(avectoru_add, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add @ X @ Y) = (lambda1 @ ^[I:num]:(realu_add @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_ @ C @ X) = (lambda1 @ ^[I:num]:(realu_mul @ C @ (d_0 @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub @ X @ Y) = (lambda1 @ ^[I:num]:(realu_sub @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(conjecture, conjecture, ![F:(cartrealn > $o),S:(cartrealn > $o)]:(((finite @ S) & (subset @ F @ S) & (disjoint @ (hull @ affine @ F) @ (hull @ convex @ (diff @ S @ F)))) => (faceu_of @ (hull @ convex @ F) @ (hull @ convex @ S)))).
