%   ORIGINAL: FACES_OF_TRANSLATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FACE_OF_TRANSLATION_EQ: !a f s. IMAGE (\x. a + x) f face_of IMAGE (\x. a + x) s <=> f face_of s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: SURJECTIVE_IMAGE_EQ: !s t. (!y. y IN t ==> (?x. f x = y)) /\ (!x. f x IN t <=> x IN s) ==> IMAGE f s = t
% Assm: TRANSLATION_GALOIS: !s t a. s = IMAGE (\x. a + x) t <=> t = IMAGE (\x. --a + x) s
% Assm: TRUTH: T
% Goal: !s a. {f | f face_of IMAGE (\x. a + x) s} = IMAGE (IMAGE (\x. a + x)) {f | f face_of s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a f s. IMAGE (\x. a + x) f face_of IMAGE (\x. a + x) s <=> f face_of s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !f s t. (!y. y IN t ==> (?x. f x = y)) /\ (!x. f x IN t <=> x IN s) ==> IMAGE f s = t
% Assm: !s t a. s = IMAGE (\x. a + x) t <=> t = IMAGE (\x. --a + x) s
% Assm: T
% Goal: !s a. {f | f face_of IMAGE (\x. a + x) s} = IMAGE (IMAGE (\x. a + x)) {f | f face_of s}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq47949, type, q47949 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin1, type, in1 : (q47949 > (q47949 > $o) > $o)).
thf(cin0, type, in0 : (((cartrealn > $o) > $o) > (((cartrealn > $o) > $o) > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cimage1, type, image1 : ((q47949 > (cartrealn > $o) > $o) > (q47949 > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cimage0, type, image0 : (((cartrealn > $o) > cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (cartrealn > $o) > $o),G:(a > (cartrealn > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFACEu_OFu_TRANSLATIONu_EQ, axiom, ![A:cartrealn,F:(cartrealn > $o),S:(cartrealn > $o)]:((faceu_of @ (image @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ F) @ (image @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ S)) <=> (faceu_of @ F @ S))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn > $o)]:?[Y:(cartrealn > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aSURJECTIVEu_IMAGEu_EQ, axiom, ![F:(q47949 > (cartrealn > $o) > $o),S:(q47949 > $o),T:(((cartrealn > $o) > $o) > $o)]:((![Y:((cartrealn > $o) > $o)]:((in0 @ Y @ T) => ?[X:q47949]:((F @ X) = Y)) & ![X:q47949]:((in0 @ (F @ X) @ T) <=> (in1 @ X @ S))) => ((image1 @ F @ S) = T))).
thf(aTRANSLATIONu_GALOIS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),A:cartrealn]:((S = (image @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ T)) <=> (T = (image @ ^[X:cartrealn]:(vectoru_add @ (vectoru_neg @ A) @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn]:((gspec @ ^[GENR_PVARR_1175:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec @ GENR_PVARR_1175 @ (faceu_of @ F @ (image @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ S)) @ F)) = (image0 @ (image @ ^[X:cartrealn]:(vectoru_add @ A @ X)) @ (gspec @ ^[GENR_PVARR_1176:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec @ GENR_PVARR_1176 @ (faceu_of @ F @ S) @ F))))).
