%   ORIGINAL: EXPOSED_FACE_OF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: EMPTY_EXPOSED_FACE_OF: !s. {} exposed_face_of s
% Assm: EMPTY_FACE_OF: !s. {} face_of s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXPOSED_FACE_OF_REFL_EQ: !s. s exposed_face_of s <=> convex s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FACE_OF_REFL_EQ: !s. s face_of s <=> convex s
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: exposed_face_of: !t s. t exposed_face_of s <=> t face_of s /\ (?a b. s SUBSET {x | a dot x <= b} /\ t = s INTER {x | a dot x = b})
% Goal: !s t. t exposed_face_of s <=> t face_of s /\ (t = {} \/ t = s \/ (?a b. ~(a = vec 0) /\ s SUBSET {x | a dot x <= b} /\ t = s INTER {x | a dot x = b}))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. vec 0 dot x = &0
% Assm: !s. {} exposed_face_of s
% Assm: !s. {} face_of s
% Assm: !t. (\x. t x) = t
% Assm: !s. s exposed_face_of s <=> convex s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. s face_of s <=> convex s
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !t s. t exposed_face_of s <=> t face_of s /\ (?a b. s SUBSET {x | a dot x <= b} /\ t = s INTER {x | a dot x = b})
% Goal: !s t. t exposed_face_of s <=> t face_of s /\ (t = {} \/ t = s \/ (?a b. ~(a = vec 0) /\ s SUBSET {x | a dot x <= b} /\ t = s INTER {x | a dot x = b}))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cexposeduu_faceuu_of, type, exposedu_faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_LZERO, axiom, ![X:cartrealn]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aEMPTYu_EXPOSEDu_FACEu_OF, axiom, ![S:(cartrealn > $o)]:(exposedu_faceu_of @ empty @ S)).
thf(aEMPTYu_FACEu_OF, axiom, ![S:(cartrealn > $o)]:(faceu_of @ empty @ S)).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXPOSEDu_FACEu_OFu_REFLu_EQ, axiom, ![S:(cartrealn > $o)]:((exposedu_faceu_of @ S @ S) <=> (convex @ S))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFACEu_OFu_REFLu_EQ, axiom, ![S:(cartrealn > $o)]:((faceu_of @ S @ S) <=> (convex @ S))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aexposedu_faceu_of, axiom, ![T:(cartrealn > $o),S:(cartrealn > $o)]:((exposedu_faceu_of @ T @ S) <=> ((faceu_of @ T @ S) & ?[A:cartrealn,B:real]:((subset @ S @ (gspec @ ^[GENR_PVARR_1183:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1183 @ (realu_le @ (dot @ A @ X) @ B) @ X))) & (T = (inter @ S @ (gspec @ ^[GENR_PVARR_1184:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1184 @ ((dot @ A @ X) = B) @ X)))))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((exposedu_faceu_of @ T @ S) <=> ((faceu_of @ T @ S) & ((T = empty) | (T = S) | ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (subset @ S @ (gspec @ ^[GENR_PVARR_1185:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1185 @ (realu_le @ (dot @ A @ X) @ B) @ X))) & (T = (inter @ S @ (gspec @ ^[GENR_PVARR_1186:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1186 @ ((dot @ A @ X) = B) @ X))))))))).
