%   ORIGINAL: EXPOSED_FACE_OF_INTER_SUPPORTING_HYPERPLANE_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FACE_OF_INTER_SUPPORTING_HYPERPLANE_LE: !s a b. convex s /\ (!x. x IN s ==> a dot x <= b) ==> s INTER {x | a dot x = b} face_of s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: exposed_face_of: !t s. t exposed_face_of s <=> t face_of s /\ (?a b. s SUBSET {x | a dot x <= b} /\ t = s INTER {x | a dot x = b})
% Goal: !s a b. convex s /\ (!x. x IN s ==> a dot x <= b) ==> s INTER {x | a dot x = b} exposed_face_of s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s a b. convex s /\ (!x. x IN s ==> a dot x <= b) ==> s INTER {x | a dot x = b} face_of s
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !t s. t exposed_face_of s <=> t face_of s /\ (?a b. s SUBSET {x | a dot x <= b} /\ t = s INTER {x | a dot x = b})
% Goal: !s a b. convex s /\ (!x. x IN s ==> a dot x <= b) ==> s INTER {x | a dot x = b} exposed_face_of s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cexposeduu_faceuu_of, type, exposedu_faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFACEu_OFu_INTERu_SUPPORTINGu_HYPERPLANEu_LE, axiom, ![S:(cartrealn > $o),A:cartrealn,B:real]:(((convex @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (dot @ A @ X) @ B))) => (faceu_of @ (inter @ S @ (gspec @ ^[GENR_PVARR_1173:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1173 @ ((dot @ A @ X) = B) @ X))) @ S))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aexposedu_faceu_of, axiom, ![T:(cartrealn > $o),S:(cartrealn > $o)]:((exposedu_faceu_of @ T @ S) <=> ((faceu_of @ T @ S) & ?[A:cartrealn,B:real]:((subset @ S @ (gspec @ ^[GENR_PVARR_1183:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1183 @ (realu_le @ (dot @ A @ X) @ B) @ X))) & (T = (inter @ S @ (gspec @ ^[GENR_PVARR_1184:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1184 @ ((dot @ A @ X) = B) @ X)))))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,B:real]:(((convex @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (dot @ A @ X) @ B))) => (exposedu_faceu_of @ (inter @ S @ (gspec @ ^[GENR_PVARR_1189:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1189 @ ((dot @ A @ X) = B) @ X))) @ S))).
