%   ORIGINAL: EXTREME_POINT_NOT_IN_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EMPTY_INTERIOR_FINITE: !s. FINITE s ==> interior s = {}
% Assm: EXTREME_POINT_NOT_IN_RELATIVE_INTERIOR: !s x. x extreme_point_of s /\ ~(s = {x}) ==> ~(x IN relative_interior s)
% Assm: FINITE_SING: !a. FINITE {a}
% Assm: INTERIOR_SUBSET_RELATIVE_INTERIOR: !s. interior s SUBSET relative_interior s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s x. x extreme_point_of s ==> ~(x IN interior s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. FINITE s ==> interior s = {}
% Assm: !s x. x extreme_point_of s /\ ~(s = {x}) ==> ~(x IN relative_interior s)
% Assm: !a. FINITE {a}
% Assm: !s. interior s SUBSET relative_interior s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s x. x extreme_point_of s ==> ~(x IN interior s)
%  TYPES
thf(tq49464, type, q49464 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (q49464 > $o)).
thf(cinsert0, type, insert0 : (q49464 > (q49464 > $o) > q49464 > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite0, type, finite0 : ((q49464 > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEMPTYu_INTERIORu_FINITE, axiom, ![S:(cartrealn > $o)]:((finite @ S) => ((interior @ S) = empty))).
thf(aEXTREMEu_POINTu_NOTu_INu_RELATIVEu_INTERIOR, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((extremeu_pointu_of @ X @ S) & ~ ((S = (insert @ X @ empty)))) => ~ ((in @ X @ (relativeu_interior @ S))))).
thf(aFINITEu_SING, axiom, ![A:q49464]:(finite0 @ (insert0 @ A @ empty0))).
thf(aINTERIORu_SUBSETu_RELATIVEu_INTERIOR, axiom, ![S:(cartrealn > $o)]:(subset @ (interior @ S) @ (relativeu_interior @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:((extremeu_pointu_of @ X @ S) => ~ ((in @ X @ (interior @ S))))).
