%   ORIGINAL: EXTREME_POINTS_OF_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTREME_POINT_OF_CONVEX_HULL: !x s. x extreme_point_of convex hull s ==> x IN s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. {x | x extreme_point_of convex hull s} SUBSET s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x s. x extreme_point_of convex hull s ==> x IN s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. {x | x extreme_point_of convex hull s} SUBSET s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq358097, type, q358097 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq358097, type, cartrealq358097 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealq358097 > (cartrealq358097 > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealq358097 > (cartrealq358097 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq358097 > $o) > cartrealq358097 > $o)).
thf(csubset, type, subset : ((cartrealq358097 > $o) > (cartrealq358097 > $o) > $o)).
thf(chull, type, hull : (((cartrealq358097 > $o) > $o) > (cartrealq358097 > $o) > cartrealq358097 > $o)).
thf(csetspec, type, setspec : (cartrealq358097 > $o > cartrealq358097 > $o)).
thf(cconvex, type, convex : ((cartrealq358097 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTREMEu_POINTu_OFu_CONVEXu_HULL, axiom, ![X:cartrealq358097,S:(cartrealq358097 > $o)]:((extremeu_pointu_of @ X @ (hull @ convex @ S)) => (in @ X @ S))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq358097 > $o),X:cartrealq358097]:((in @ X @ (gspec @ ^[V:cartrealq358097]:?[Y:cartrealq358097]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aSUBSET, axiom, ![S:(cartrealq358097 > $o),T:(cartrealq358097 > $o)]:((subset @ S @ T) <=> ![X:cartrealq358097]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq358097 > $o)]:(subset @ (gspec @ ^[GENR_PVARR_1208:cartrealq358097]:?[X:cartrealq358097]:(setspec @ GENR_PVARR_1208 @ (extremeu_pointu_of @ X @ (hull @ convex @ S)) @ X)) @ S)).
