%   ORIGINAL: EXPOSED_POINT_OF_INTER_SUPPORTING_HYPERPLANE_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: EXTREME_POINT_OF_INTER_SUPPORTING_HYPERPLANE_LE: !s a b c. (!x. x IN s ==> a dot x <= b) /\ s INTER {x | a dot x = b} = {c} ==> c extreme_point_of s
% Assm: FACE_OF_SING: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: exposed_face_of: !t s. t exposed_face_of s <=> t face_of s /\ (?a b. s SUBSET {x | a dot x <= b} /\ t = s INTER {x | a dot x = b})
% Goal: !s a b c. (!x. x IN s ==> a dot x <= b) /\ s INTER {x | a dot x = b} = {c} ==> {c} exposed_face_of s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s a b c. (!x. x IN s ==> a dot x <= b) /\ s INTER {x | a dot x = b} = {c} ==> c extreme_point_of s
% Assm: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !t s. t exposed_face_of s <=> t face_of s /\ (?a b. s SUBSET {x | a dot x <= b} /\ t = s INTER {x | a dot x = b})
% Goal: !s a b c. (!x. x IN s ==> a dot x <= b) /\ s INTER {x | a dot x = b} = {c} ==> {c} exposed_face_of s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cexposeduu_faceuu_of, type, exposedu_faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aEXTREMEu_POINTu_OFu_INTERu_SUPPORTINGu_HYPERPLANEu_LE, axiom, ![S:(cartrealn > $o),A:cartrealn,B:real,C:cartrealn]:((![X:cartrealn]:((in @ X @ S) => (realu_le @ (dot @ A @ X) @ B)) & ((inter @ S @ (gspec @ ^[GENR_PVARR_1213:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1213 @ ((dot @ A @ X) = B) @ X))) = (insert @ C @ empty))) => (extremeu_pointu_of @ C @ S))).
thf(aFACEu_OFu_SING, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((faceu_of @ (insert @ X @ empty) @ S) <=> (extremeu_pointu_of @ X @ S))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aexposedu_faceu_of, axiom, ![T:(cartrealn > $o),S:(cartrealn > $o)]:((exposedu_faceu_of @ T @ S) <=> ((faceu_of @ T @ S) & ?[A:cartrealn,B:real]:((subset @ S @ (gspec @ ^[GENR_PVARR_1183:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1183 @ (realu_le @ (dot @ A @ X) @ B) @ X))) & (T = (inter @ S @ (gspec @ ^[GENR_PVARR_1184:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1184 @ ((dot @ A @ X) = B) @ X)))))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,B:real,C:cartrealn]:((![X:cartrealn]:((in @ X @ S) => (realu_le @ (dot @ A @ X) @ B)) & ((inter @ S @ (gspec @ ^[GENR_PVARR_1215:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1215 @ ((dot @ A @ X) = B) @ X))) = (insert @ C @ empty))) => (exposedu_faceu_of @ (insert @ C @ empty) @ S))).
