%   ORIGINAL: EXPOSED_POINT_OF_INTER_SUPPORTING_HYPERPLANE_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_LNEG: !x y. --x dot y = --(x dot y)
% Assm: EXPOSED_POINT_OF_INTER_SUPPORTING_HYPERPLANE_LE: !s a b c. (!x. x IN s ==> a dot x <= b) /\ s INTER {x | a dot x = b} = {c} ==> {c} exposed_face_of s
% Assm: REAL_EQ_NEG2: !x y. --x = --y <=> x = y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: TRUTH: T
% Assm: real_ge: !y x. x >= y <=> y <= x
% Goal: !s a b c. (!x. x IN s ==> a dot x >= b) /\ s INTER {x | a dot x = b} = {c} ==> {c} exposed_face_of s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. --x dot y = --(x dot y)
% Assm: !s a b c. (!x. x IN s ==> a dot x <= b) /\ s INTER {x | a dot x = b} = {c} ==> {c} exposed_face_of s
% Assm: !x y. --x = --y <=> x = y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: T
% Assm: !y x. x >= y <=> y <= x
% Goal: !s a b c. (!x. x IN s ==> a dot x >= b) /\ s INTER {x | a dot x = b} = {c} ==> {c} exposed_face_of s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cexposeduu_faceuu_of, type, exposedu_faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_LNEG, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ (vectoru_neg @ X) @ Y) = (realu_neg @ (dot @ X @ Y)))).
thf(aEXPOSEDu_POINTu_OFu_INTERu_SUPPORTINGu_HYPERPLANEu_LE, axiom, ![S:(cartrealn > $o),A:cartrealn,B:real,C:cartrealn]:((![X:cartrealn]:((in @ X @ S) => (realu_le @ (dot @ A @ X) @ B)) & ((inter @ S @ (gspec @ ^[GENR_PVARR_1215:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1215 @ ((dot @ A @ X) = B) @ X))) = (insert @ C @ empty))) => (exposedu_faceu_of @ (insert @ C @ empty) @ S))).
thf(aREALu_EQu_NEG2, axiom, ![X:real,Y:real]:(((realu_neg @ X) = (realu_neg @ Y)) <=> (X = Y))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,B:real,C:cartrealn]:((![X:cartrealn]:((in @ X @ S) => (realu_ge @ (dot @ A @ X) @ B)) & ((inter @ S @ (gspec @ ^[GENR_PVARR_1216:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1216 @ ((dot @ A @ X) = B) @ X))) = (insert @ C @ empty))) => (exposedu_faceu_of @ (insert @ C @ empty) @ S))).
