%   ORIGINAL: KREIN_MILMAN_POLYTOPE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPACT_CONVEX_HULL: !s. compact s ==> compact (convex hull s)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: FINITE_IMP_COMPACT: !s. FINITE s ==> compact s
% Assm: KREIN_MILMAN_MINKOWSKI: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: TRUTH: T
% Goal: !s. FINITE s ==> convex hull s = convex hull {x | x extreme_point_of convex hull s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. compact s ==> compact (convex hull s)
% Assm: !s. convex (convex hull s)
% Assm: !s. FINITE s ==> compact s
% Assm: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: T
% Goal: !s. FINITE s ==> convex hull s = convex hull {x | x extreme_point_of convex hull s}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq360391, type, cartrealq360391 : $tType).
thf(treal, type, real : $tType).
thf(tq360391, type, q360391 : $tType).
%  CONSTS
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealq360391 > (cartrealq360391 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq360391 > $o) > cartrealq360391 > $o)).
thf(csetspec, type, setspec : (cartrealq360391 > $o > cartrealq360391 > $o)).
thf(chull, type, hull : (((cartrealq360391 > $o) > $o) > (cartrealq360391 > $o) > cartrealq360391 > $o)).
thf(ccompact, type, compact : ((cartrealq360391 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq360391 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealq360391 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq360391 > $o),G:(a > cartrealq360391 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPACTu_CONVEXu_HULL, axiom, ![S:(cartrealq360391 > $o)]:((compact @ S) => (compact @ (hull @ convex @ S)))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealq360391 > $o)]:(convex @ (hull @ convex @ S))).
thf(aFINITEu_IMPu_COMPACT, axiom, ![S:(cartrealq360391 > $o)]:((finite @ S) => (compact @ S))).
thf(aKREINu_MILMANu_MINKOWSKI, axiom, ![S:(cartrealq360391 > $o)]:(((convex @ S) & (compact @ S)) => (S = (hull @ convex @ (gspec @ ^[GENR_PVARR_1231:cartrealq360391]:?[X:cartrealq360391]:(setspec @ GENR_PVARR_1231 @ (extremeu_pointu_of @ X @ S) @ X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq360391 > $o)]:((finite @ S) => ((hull @ convex @ S) = (hull @ convex @ (gspec @ ^[GENR_PVARR_1232:cartrealq360391]:?[X:cartrealq360391]:(setspec @ GENR_PVARR_1232 @ (extremeu_pointu_of @ X @ (hull @ convex @ S)) @ X)))))).
