%   ORIGINAL: EXTREME_POINTS_OF_CONVEX_HULL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_CONVEX_HULL: !s. compact s ==> compact (convex hull s)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: EXTREME_POINTS_OF_CONVEX_HULL: !s. {x | x extreme_point_of convex hull s} SUBSET s
% Assm: IN: !P x. x IN P <=> P x
% Assm: KREIN_MILMAN_MINKOWSKI: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PSUBSET: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. compact s /\ (!t. t PSUBSET s ==> ~(convex hull t = convex hull s)) ==> {x | x extreme_point_of convex hull s} = s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s ==> compact (convex hull s)
% Assm: !s. convex (convex hull s)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. {x | x extreme_point_of convex hull s} SUBSET s
% Assm: !P x. x IN P <=> P x
% Assm: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: ~F <=> T
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. compact s /\ (!t. t PSUBSET s ==> ~(convex hull t = convex hull s)) ==> {x | x extreme_point_of convex hull s} = s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cpsubset, type, psubset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (compact @ (hull @ convex @ S)))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(convex @ (hull @ convex @ S))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aEXTREMEu_POINTSu_OFu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(subset @ (gspec @ ^[GENR_PVARR_1208:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1208 @ (extremeu_pointu_of @ X @ (hull @ convex @ S)) @ X)) @ S)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aKREINu_MILMANu_MINKOWSKI, axiom, ![S:(cartrealn > $o)]:(((convex @ S) & (compact @ S)) => (S = (hull @ convex @ (gspec @ ^[GENR_PVARR_1231:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1231 @ (extremeu_pointu_of @ X @ S) @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((psubset @ S @ T) <=> ((subset @ S @ T) & ~ ((S = T))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((compact @ S) & ![T:(cartrealn > $o)]:((psubset @ T @ S) => ~ (((hull @ convex @ T) = (hull @ convex @ S))))) => ((gspec @ ^[GENR_PVARR_1234:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1234 @ (extremeu_pointu_of @ X @ (hull @ convex @ S)) @ X)) = S))).
