%   ORIGINAL: EXTREME_POINT_OF_CONVEX_HULL_CONVEX_INDEPENDENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: EXTREME_POINT_OF_CONVEX_HULL_EQ: !s x. compact s /\ (!t. t PSUBSET s ==> ~(convex hull t = convex hull s)) ==> (x extreme_point_of convex hull s <=> x IN s)
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PSUBSET_MEMBER: !s t. s PSUBSET t <=> s SUBSET t /\ (?y. y IN t /\ ~(y IN s))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !s x. compact s /\ (!a. a IN s ==> ~(a IN convex hull (s DELETE a))) ==> (x extreme_point_of convex hull s <=> x IN s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s x. compact s /\ (!t. t PSUBSET s ==> ~(convex hull t = convex hull s)) ==> (x extreme_point_of convex hull s <=> x IN s)
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !P s. s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ (?y. y IN t /\ ~(y IN s))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !s x. compact s /\ (!a. a IN s ==> ~(a IN convex hull (s DELETE a))) ==> (x extreme_point_of convex hull s <=> x IN s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpsubset, type, psubset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ci, type, i : ($o > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aEXTREMEu_POINTu_OFu_CONVEXu_HULLu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn]:(((compact @ S) & ![T:(cartrealn > $o)]:((psubset @ T @ S) => ~ (((hull @ convex @ T) = (hull @ convex @ S))))) => ((extremeu_pointu_of @ X @ (hull @ convex @ S)) <=> (in @ X @ S)))).
thf(aHULLu_MONO, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPSUBSETu_MEMBER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((psubset @ S @ T) <=> ((subset @ S @ T) & ?[Y:cartrealn]:((in @ Y @ T) & ~ ((in @ Y @ S)))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:(((compact @ S) & ![A:cartrealn]:((in @ A @ S) => ~ ((in @ A @ (hull @ convex @ (delete @ S @ A)))))) => ((extremeu_pointu_of @ X @ (hull @ convex @ S)) <=> (in @ X @ S)))).
