%   ORIGINAL: EXTREME_POINT_OF_CONVEX_HULL_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_INDEPENDENT_2: !a b. ~affine_dependent {a, b}
% Assm: EXTREME_POINT_OF_CONVEX_HULL_AFFINE_INDEPENDENT: !s x. ~affine_dependent s ==> (x extreme_point_of convex hull s <=> x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !a b x. x extreme_point_of convex hull {a, b} <=> x = a \/ x = b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. ~affine_dependent {a, b}
% Assm: !s x. ~affine_dependent s ==> (x extreme_point_of convex hull s <=> x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !a b x. x extreme_point_of convex hull {a, b} <=> x = a \/ x = b
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq360667, type, cartrealq360667 : $tType).
thf(tq360667, type, q360667 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (cartrealq360667 > (cartrealq360667 > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealq360667 > (cartrealq360667 > $o) > $o)).
thf(cinsert, type, insert : (cartrealq360667 > (cartrealq360667 > $o) > cartrealq360667 > $o)).
thf(chull, type, hull : (((cartrealq360667 > $o) > $o) > (cartrealq360667 > $o) > cartrealq360667 > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealq360667 > $o) > $o)).
thf(cempty, type, empty : (cartrealq360667 > $o)).
thf(cconvex, type, convex : ((cartrealq360667 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq360667),G:(a > cartrealq360667)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_INDEPENDENTu_2, axiom, ![A:cartrealq360667,B:cartrealq360667]:~ ((affineu_dependent @ (insert @ A @ (insert @ B @ empty))))).
thf(aEXTREMEu_POINTu_OFu_CONVEXu_HULLu_AFFINEu_INDEPENDENT, axiom, ![S:(cartrealq360667 > $o),X:cartrealq360667]:(~ ((affineu_dependent @ S)) => ((extremeu_pointu_of @ X @ (hull @ convex @ S)) <=> (in @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealq360667,Y:cartrealq360667,S:(cartrealq360667 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq360667]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealq360667,B:cartrealq360667,X:cartrealq360667]:((extremeu_pointu_of @ X @ (hull @ convex @ (insert @ A @ (insert @ B @ empty)))) <=> ((X = A) | (X = B)))).
