%   ORIGINAL: EXTREME_POINT_OF_SEGMENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTREME_POINT_OF_CONVEX_HULL_2: !a b x. x extreme_point_of convex hull {a, b} <=> x = a \/ x = b
% Assm: SEGMENT_CONVEX_HULL: !a b. segment [a,b] = convex hull {a, b}
% Assm: TRUTH: T
% Goal: !a b x. x extreme_point_of segment [a,b] <=> x = a \/ x = b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b x. x extreme_point_of convex hull {a, b} <=> x = a \/ x = b
% Assm: !a b. segment [a,b] = convex hull {a, b}
% Assm: T
% Goal: !a b x. x extreme_point_of segment [a,b] <=> x = a \/ x = b
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTREMEu_POINTu_OFu_CONVEXu_HULLu_2, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((extremeu_pointu_of @ X @ (hull @ convex @ (insert @ A @ (insert @ B @ empty)))) <=> ((X = A) | (X = B)))).
thf(aSEGMENTu_CONVEXu_HULL, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (hull @ convex @ (insert @ A @ (insert @ B @ empty))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,X:cartrealn]:((extremeu_pointu_of @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) <=> ((X = A) | (X = B)))).
