%   ORIGINAL: FACE_OF_CONVEX_HULL_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_CONVEX_HULL: !s. compact s ==> compact (convex hull s)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: EXTREME_POINT_OF_CONVEX_HULL: !x s. x extreme_point_of convex hull s ==> x IN s
% Assm: FACE_OF_IMP_COMPACT: !s t. convex s /\ compact s /\ t face_of s ==> compact t
% Assm: FACE_OF_IMP_CONVEX: !s t. t face_of s ==> convex t
% Assm: FACE_OF_SING: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: FACE_OF_TRANS: !s t u. s face_of t /\ t face_of u ==> s face_of u
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: KREIN_MILMAN_MINKOWSKI: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. compact s /\ t face_of convex hull s ==> (?s'. s' SUBSET s /\ t = convex hull s')
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s ==> compact (convex hull s)
% Assm: !s. convex (convex hull s)
% Assm: !x s. x extreme_point_of convex hull s ==> x IN s
% Assm: !s t. convex s /\ compact s /\ t face_of s ==> compact t
% Assm: !s t. t face_of s ==> convex t
% Assm: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: !s t u. s face_of t /\ t face_of u ==> s face_of u
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. compact s /\ t face_of convex hull s ==> (?s'. s' SUBSET s /\ t = convex hull s')
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (compact @ (hull @ convex @ S)))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(convex @ (hull @ convex @ S))).
thf(aEXTREMEu_POINTu_OFu_CONVEXu_HULL, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((extremeu_pointu_of @ X @ (hull @ convex @ S)) => (in @ X @ S))).
thf(aFACEu_OFu_IMPu_COMPACT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (compact @ S) & (faceu_of @ T @ S)) => (compact @ T))).
thf(aFACEu_OFu_IMPu_CONVEX, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((faceu_of @ T @ S) => (convex @ T))).
thf(aFACEu_OFu_SING, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((faceu_of @ (insert @ X @ empty) @ S) <=> (extremeu_pointu_of @ X @ S))).
thf(aFACEu_OFu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((faceu_of @ S @ T) & (faceu_of @ T @ U)) => (faceu_of @ S @ U))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aKREINu_MILMANu_MINKOWSKI, axiom, ![S:(cartrealn > $o)]:(((convex @ S) & (compact @ S)) => (S = (hull @ convex @ (gspec0 @ ^[GENR_PVARR_1231:cartrealn]:?[X:cartrealn]:(setspec0 @ GENR_PVARR_1231 @ (extremeu_pointu_of @ X @ S) @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (faceu_of @ T @ (hull @ convex @ S))) => ?[SI_:(cartrealn > $o)]:((subset @ SI_ @ S) & (T = (hull @ convex @ SI_))))).
