%   ORIGINAL: FACE_OF_CONVEX_HULL_AFFINE_INDEPENDENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_INDEPENDENT_IMP_FINITE: !s. ~affine_dependent s ==> FINITE s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_HULL_SUBSET_AFFINE_HULL: !s. convex hull s SUBSET affine hull s
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: DISJOINT_AFFINE_HULL: !s t u. ~affine_dependent s /\ t SUBSET s /\ u SUBSET s /\ DISJOINT t u ==> DISJOINT (affine hull t) (affine hull u)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FACE_OF_CONVEX_HULLS: !f s. FINITE s /\ f SUBSET s /\ DISJOINT (affine hull f) (convex hull (s DIFF f)) ==> convex hull f face_of convex hull s
% Assm: FACE_OF_CONVEX_HULL_SUBSET: !s t. compact s /\ t face_of convex hull s ==> (?s'. s' SUBSET s /\ t = convex hull s')
% Assm: FINITE_IMP_COMPACT: !s. FINITE s ==> compact s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. ~affine_dependent s ==> (t face_of convex hull s <=> (?c. c SUBSET s /\ t = convex hull c))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !s. ~affine_dependent s ==> FINITE s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex hull s SUBSET affine hull s
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t u. ~affine_dependent s /\ t SUBSET s /\ u SUBSET s /\ DISJOINT t u ==> DISJOINT (affine hull t) (affine hull u)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s /\ f SUBSET s /\ DISJOINT (affine hull f) (convex hull (s DIFF f)) ==> convex hull f face_of convex hull s
% Assm: !s t. compact s /\ t face_of convex hull s ==> (?s'. s' SUBSET s /\ t = convex hull s')
% Assm: !s. FINITE s ==> compact s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. ~affine_dependent s ==> (t face_of convex hull s <=> (?c. c SUBSET s /\ t = convex hull c))
%  TYPES
thf(tcartrealq186529, type, cartrealq186529 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq186529, type, q186529 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(ccompact0, type, compact0 : ((cartrealq186529 > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealq186529 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAFFINEu_INDEPENDENTu_IMPu_FINITE, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => (finite @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_HULLu_SUBSETu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(subset @ (hull @ convex @ S) @ (hull @ affine @ S))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aDISJOINTu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:((~ ((affineu_dependent @ S)) & (subset @ T @ S) & (subset @ U @ S) & (disjoint @ T @ U)) => (disjoint @ (hull @ affine @ T) @ (hull @ affine @ U)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFACEu_OFu_CONVEXu_HULLS, axiom, ![F:(cartrealn > $o),S:(cartrealn > $o)]:(((finite @ S) & (subset @ F @ S) & (disjoint @ (hull @ affine @ F) @ (hull @ convex @ (diff @ S @ F)))) => (faceu_of @ (hull @ convex @ F) @ (hull @ convex @ S)))).
thf(aFACEu_OFu_CONVEXu_HULLu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (faceu_of @ T @ (hull @ convex @ S))) => ?[SI_:(cartrealn > $o)]:((subset @ SI_ @ S) & (T = (hull @ convex @ SI_))))).
thf(aFINITEu_IMPu_COMPACT, axiom, ![S:(cartrealq186529 > $o)]:((finite0 @ S) => (compact0 @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff0 @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => ((faceu_of @ T @ (hull @ convex @ S)) <=> ?[C:(cartrealn > $o)]:((subset @ C @ S) & (T = (hull @ convex @ C)))))).
