%   ORIGINAL: SEGMENT_FACE_OF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTREME_POINT_OF_SEGMENT: !a b x. x extreme_point_of segment [a,b] <=> x = a \/ x = b
% Assm: FACE_OF_SING: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: FACE_OF_TRANS: !s t u. s face_of t /\ t face_of u ==> s face_of u
% Assm: TRUTH: T
% Goal: !s a b. segment [a,b] face_of s ==> a extreme_point_of s /\ b extreme_point_of s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b x. x extreme_point_of segment [a,b] <=> x = a \/ x = b
% Assm: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: !s t u. s face_of t /\ t face_of u ==> s face_of u
% Assm: T
% Goal: !s a b. segment [a,b] face_of s ==> a extreme_point_of s /\ b extreme_point_of s
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTREMEu_POINTu_OFu_SEGMENT, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((extremeu_pointu_of @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) <=> ((X = A) | (X = B)))).
thf(aFACEu_OFu_SING, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((faceu_of @ (insert @ X @ empty) @ S) <=> (extremeu_pointu_of @ X @ S))).
thf(aFACEu_OFu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((faceu_of @ S @ T) & (faceu_of @ T @ U)) => (faceu_of @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:((faceu_of @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ S) => ((extremeu_pointu_of @ A @ S) & (extremeu_pointu_of @ B @ S)))).
