%   ORIGINAL: POLYTOPE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HULL_LINEAR_IMAGE: !f s. linear f ==> convex hull IMAGE f s = IMAGE f (convex hull s)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: TRUTH: T
% Assm: polytope: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !f. linear f /\ polytope p ==> polytope (IMAGE f p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. linear f ==> convex hull IMAGE f s = IMAGE f (convex hull s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: T
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !p f. linear f /\ polytope p ==> polytope (IMAGE f p)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chull0, type, hull0 : (((cartrealm > $o) > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealm > $o) > $o)).
thf(cconvex0, type, convex0 : ((cartrealm > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cpolytope0, type, polytope0 : ((cartrealn > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealm > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HULLu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((hull @ convex @ (image @ F @ S)) = (image @ F @ (hull0 @ convex0 @ S))))).
thf(aFINITEu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((finite @ S) => (finite0 @ (image @ F @ S)))).
thf(aTRUTH, axiom, $true).
thf(apolytopeu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((polytope0 @ S) <=> ?[V:(cartrealn > $o)]:((finite0 @ V) & (S = (hull @ convex @ V))))).
thf(apolytopeu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((polytope @ S) <=> ?[V:(cartrealm > $o)]:((finite @ V) & (S = (hull0 @ convex0 @ V))))).
thf(conjecture, conjecture, ![P:(cartrealm > $o),F:(cartrealm > cartrealn)]:(((linear @ F) & (polytope @ P)) => (polytope0 @ (image @ F @ P)))).
