%   ORIGINAL: POLYTOPE_NEGATIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LINEAR_NEGATION: linear (--)
% Assm: POLYTOPE_LINEAR_IMAGE: !f. linear f /\ polytope p ==> polytope (IMAGE f p)
% Assm: TRUTH: T
% Goal: !s. polytope s ==> polytope (IMAGE (--) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: linear (--)
% Assm: !p f. linear f /\ polytope p ==> polytope (IMAGE f p)
% Assm: T
% Goal: !s. polytope s ==> polytope (IMAGE (--) s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cpolytope, type, polytope : ((cartrealn > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLINEARu_NEGATION, axiom, (linear @ vectoru_neg)).
thf(aPOLYTOPEu_LINEARu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn)]:(((linear @ F) & (polytope @ P)) => (polytope @ (image @ F @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((polytope @ S) => (polytope @ (image @ vectoru_neg @ S)))).
