%   ORIGINAL: POLYTOPE_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: polytope: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s. FINITE s ==> polytope (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s. FINITE s ==> polytope (convex hull s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq362806, type, q362806 : $tType).
thf(tcartrealq362806, type, cartrealq362806 : $tType).
%  CONSTS
thf(chull, type, hull : (((cartrealq362806 > $o) > $o) > (cartrealq362806 > $o) > cartrealq362806 > $o)).
thf(cconvex, type, convex : ((cartrealq362806 > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealq362806 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealq362806 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(apolytope, axiom, ![S:(cartrealq362806 > $o)]:((polytope @ S) <=> ?[V:(cartrealq362806 > $o)]:((finite @ V) & (S = (hull @ convex @ V))))).
thf(conjecture, conjecture, ![S:(cartrealq362806 > $o)]:((finite @ S) => (polytope @ (hull @ convex @ S)))).
