%   ORIGINAL: FINITE_POLYTOPE_FACES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FACE_OF_CONVEX_HULL_SUBSET: !s t. compact s /\ t face_of convex hull s ==> (?s'. s' SUBSET s /\ t = convex hull s')
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_IMP_COMPACT: !s. FINITE s ==> compact s
% Assm: FINITE_POWERSET: !s. FINITE s ==> FINITE {t | t SUBSET s}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FORALL_IN_GSPEC_conjunct0: !P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: polytope: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s. polytope s ==> FINITE {f | f face_of s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. compact s /\ t face_of convex hull s ==> (?s'. s' SUBSET s /\ t = convex hull s')
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !s. FINITE s ==> compact s
% Assm: !s. FINITE s ==> FINITE {t | t SUBSET s}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !Q P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s. polytope s ==> FINITE {f | f face_of s}
%  TYPES
thf(tcartrealq186529, type, cartrealq186529 : $tType).
thf(tq48167, type, q48167 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq186529, type, q186529 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(csubset0, type, subset0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((((cartrealn > $o) > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(csetspec0, type, setspec0 : (((cartrealn > $o) > $o) > $o > ((cartrealn > $o) > $o) > $o)).
thf(cimage, type, image : (((cartrealn > $o) > cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cfinite2, type, finite2 : ((cartrealn > $o) > $o)).
thf(cfinite1, type, finite1 : ((((cartrealn > $o) > $o) > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealq186529 > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealq186529 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFACEu_OFu_CONVEXu_HULLu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (faceu_of @ T @ (hull @ convex @ S))) => ?[SI_:(cartrealn > $o)]:((subset @ SI_ @ S) & (T = (hull @ convex @ SI_))))).
thf(aFINITEu_IMAGE, axiom, ![F:((cartrealn > $o) > cartrealn > $o),S:((cartrealn > $o) > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFINITEu_IMPu_COMPACT, axiom, ![S:(cartrealq186529 > $o)]:((finite0 @ S) => (compact0 @ S))).
thf(aFINITEu_POWERSET, axiom, ![S:((cartrealn > $o) > $o)]:((finite @ S) => (finite1 @ (gspec0 @ ^[GENR_PVARR_98:((cartrealn > $o) > $o)]:?[T:((cartrealn > $o) > $o)]:(setspec0 @ GENR_PVARR_98 @ (subset0 @ T @ S) @ T))))).
thf(aFINITEu_SUBSET, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:(((finite @ T) & (subset0 @ S @ T)) => (finite @ S))).
thf(aFORALLu_INu_GSPECu_conjunct0, axiom, ![Q:((cartrealn > $o) > $o),P:(q48167 > $o),F:(q48167 > cartrealn > $o)]:(![Z:(cartrealn > $o)]:((in @ Z @ (gspec @ ^[GENR_PVARR_20:(cartrealn > $o)]:?[X:q48167]:(setspec @ GENR_PVARR_20 @ (P @ X) @ (F @ X)))) => (Q @ Z)) <=> ![X:q48167]:((P @ X) => (Q @ (F @ X))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn > $o)]:?[Y:(cartrealn > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in0 @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in1 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset1 @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(apolytope, axiom, ![S:(cartrealn > $o)]:((polytope @ S) <=> ?[V:(cartrealn > $o)]:((finite2 @ V) & (S = (hull @ convex @ V))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((polytope @ S) => (finite @ (gspec @ ^[GENR_PVARR_1241:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec @ GENR_PVARR_1241 @ (faceu_of @ F @ S) @ F))))).
