%   ORIGINAL: POLYTOPE_SCALING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HULL_SCALING: !s c. convex hull IMAGE (\x. c % x) s = IMAGE (\x. c % x) (convex hull s)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: TRUTH: T
% Assm: polytope: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !c s. polytope s ==> polytope (IMAGE (\x. c % x) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s c. convex hull IMAGE (\x. c % x) s = IMAGE (\x. c % x) (convex hull s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: T
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !c s. polytope s ==> polytope (IMAGE (\x. c % x) s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HULLu_SCALING, axiom, ![S:(cartrealn > $o),C:real]:((hull @ convex @ (image @ ^[X:cartrealn]:(r_ @ C @ X) @ S)) = (image @ ^[X:cartrealn]:(r_ @ C @ X) @ (hull @ convex @ S)))).
thf(aFINITEu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aTRUTH, axiom, $true).
thf(apolytope, axiom, ![S:(cartrealn > $o)]:((polytope @ S) <=> ?[V:(cartrealn > $o)]:((finite @ V) & (S = (hull @ convex @ V))))).
thf(conjecture, conjecture, ![C:real,S:(cartrealn > $o)]:((polytope @ S) => (polytope @ (image @ ^[X:cartrealn]:(r_ @ C @ X) @ S)))).
