%   ORIGINAL: POLYTOPE_SCALING_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IMAGE_ID: !s. IMAGE (\x. x) s = s
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYTOPE_SCALING: !c s. polytope s ==> polytope (IMAGE (\x. c % x) s)
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: TRUTH: T
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !c s. ~(c = &0) ==> (polytope (IMAGE (\x. c % x) s) <=> polytope s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. IMAGE (\x. x) s = s
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: ~F <=> T
% Assm: !c s. polytope s ==> polytope (IMAGE (\x. c % x) s)
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: T
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !c s. ~(c = &0) ==> (polytope (IMAGE (\x. c % x) s) <=> polytope s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cpolytope, type, polytope : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIMAGEu_ID, axiom, ![S:(cartrealn > $o)]:((image @ ^[X:cartrealn]:X @ S) = S)).
thf(aIMAGEu_o, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image @ G @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYTOPEu_SCALING, axiom, ![C:real,S:(cartrealn > $o)]:((polytope @ S) => (polytope @ (image @ ^[X:cartrealn]:(r_ @ C @ X) @ S)))).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![C:real,S:(cartrealn > $o)]:(~ ((C = (realu_ofu_num @ (numeral @ u_0)))) => ((polytope @ (image @ ^[X:cartrealn]:(r_ @ C @ X) @ S)) <=> (polytope @ S)))).
