%   ORIGINAL: POLYTOPE_SUMS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HULL_SUMS: !s t. convex hull {x + y | x IN s /\ y IN t} = {x + y | x IN convex hull s /\ y IN convex hull t}
% Assm: FINITE_PRODUCT_DEPENDENT: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: TRUTH: T
% Assm: polytope: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s t. polytope s /\ polytope t ==> polytope {x + y | x IN s /\ y IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. convex hull {x + y | x IN s /\ y IN t} = {x + y | x IN convex hull s /\ y IN convex hull t}
% Assm: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: T
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s t. polytope s /\ polytope t ==> polytope {x + y | x IN s /\ y IN t}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HULLu_SUMS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((hull @ convex @ (gspec @ ^[GENR_PVARR_870:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_870 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))) = (gspec @ ^[GENR_PVARR_871:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_871 @ ((in @ X @ (hull @ convex @ S)) & (in @ Y @ (hull @ convex @ T))) @ (vectoru_add @ X @ Y))))).
thf(aFINITEu_PRODUCTu_DEPENDENT, axiom, ![F:(cartrealn > cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > cartrealn > $o)]:(((finite @ S) & ![X:cartrealn]:((in @ X @ S) => (finite @ (T @ X)))) => (finite @ (gspec @ ^[GENR_PVARR_83:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_83 @ ((in @ X @ S) & (in @ Y @ (T @ X))) @ (F @ X @ Y)))))).
thf(aTRUTH, axiom, $true).
thf(apolytope, axiom, ![S:(cartrealn > $o)]:((polytope @ S) <=> ?[V:(cartrealn > $o)]:((finite @ V) & (S = (hull @ convex @ V))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((polytope @ S) & (polytope @ T)) => (polytope @ (gspec @ ^[GENR_PVARR_1247:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_1247 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))))).
