%   ORIGINAL: POLYTOPE_IMP_COMPACT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPACT_CONVEX_HULL: !s. compact s ==> compact (convex hull s)
% Assm: FINITE_IMP_COMPACT: !s. FINITE s ==> compact s
% Assm: TRUTH: T
% Assm: polytope: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s. polytope s ==> compact s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. compact s ==> compact (convex hull s)
% Assm: !s. FINITE s ==> compact s
% Assm: T
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s. polytope s ==> compact s
%  TYPES
thf(tcartrealq363119, type, cartrealq363119 : $tType).
thf(tq363119, type, q363119 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chull, type, hull : (((cartrealq363119 > $o) > $o) > (cartrealq363119 > $o) > cartrealq363119 > $o)).
thf(cfinite, type, finite : ((cartrealq363119 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq363119 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealq363119 > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealq363119 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPACTu_CONVEXu_HULL, axiom, ![S:(cartrealq363119 > $o)]:((compact @ S) => (compact @ (hull @ convex @ S)))).
thf(aFINITEu_IMPu_COMPACT, axiom, ![S:(cartrealq363119 > $o)]:((finite @ S) => (compact @ S))).
thf(aTRUTH, axiom, $true).
thf(apolytope, axiom, ![S:(cartrealq363119 > $o)]:((polytope @ S) <=> ?[V:(cartrealq363119 > $o)]:((finite @ V) & (S = (hull @ convex @ V))))).
thf(conjecture, conjecture, ![S:(cartrealq363119 > $o)]:((polytope @ S) => (compact @ S))).
