%   ORIGINAL: POLYTOPE_IMP_CONVEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: TRUTH: T
% Assm: polytope: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s. polytope s ==> convex s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. convex (convex hull s)
% Assm: T
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s. polytope s ==> convex s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq363130, type, q363130 : $tType).
thf(tcartrealq363130, type, cartrealq363130 : $tType).
%  CONSTS
thf(chull, type, hull : (((cartrealq363130 > $o) > $o) > (cartrealq363130 > $o) > cartrealq363130 > $o)).
thf(cfinite, type, finite : ((cartrealq363130 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq363130 > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealq363130 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealq363130 > $o)]:(convex @ (hull @ convex @ S))).
thf(aTRUTH, axiom, $true).
thf(apolytope, axiom, ![S:(cartrealq363130 > $o)]:((polytope @ S) <=> ?[V:(cartrealq363130 > $o)]:((finite @ V) & (S = (hull @ convex @ V))))).
thf(conjecture, conjecture, ![S:(cartrealq363130 > $o)]:((polytope @ S) => (convex @ S))).
