%   ORIGINAL: POLYTOPE_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_INTERVAL_AS_CONVEX_HULL: !a b. ?s. FINITE s /\ interval [a,b] = convex hull s
% Assm: TRUTH: T
% Assm: polytope: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !a b. polytope (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. ?s. FINITE s /\ interval [a,b] = convex hull s
% Assm: T
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !a b. polytope (interval [a,b])
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq363176, type, cartrealq363176 : $tType).
thf(tq363176, type, q363176 : $tType).
thf(tprodcartrealq363176cartrealq363176, type, prodcartrealq363176cartrealq363176 : $tType).
thf(tlistprodcartrealq363176cartrealq363176, type, listprodcartrealq363176cartrealq363176 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq363176cartrealq363176).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq363176cartrealq363176 > cartrealq363176 > $o)).
thf(chull, type, hull : (((cartrealq363176 > $o) > $o) > (cartrealq363176 > $o) > cartrealq363176 > $o)).
thf(ccu_, type, c_ : (cartrealq363176 > cartrealq363176 > prodcartrealq363176cartrealq363176)).
thf(ccons, type, cons : (prodcartrealq363176cartrealq363176 > listprodcartrealq363176cartrealq363176 > listprodcartrealq363176cartrealq363176)).
thf(cconvex, type, convex : ((cartrealq363176 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealq363176 > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealq363176 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_INTERVALu_ASu_CONVEXu_HULL, axiom, ![A:cartrealq363176,B:cartrealq363176]:?[S:(cartrealq363176 > $o)]:((finite @ S) & ((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = (hull @ convex @ S)))).
thf(aTRUTH, axiom, $true).
thf(apolytope, axiom, ![S:(cartrealq363176 > $o)]:((polytope @ S) <=> ?[V:(cartrealq363176 > $o)]:((finite @ V) & (S = (hull @ convex @ V))))).
thf(conjecture, conjecture, ![A:cartrealq363176,B:cartrealq363176]:(polytope @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
