%   ORIGINAL: POLYHEDRON_INTER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: polyhedron: !s. polyhedron s <=> (?f. FINITE f /\ s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Goal: !s t. polyhedron s /\ polyhedron t ==> polyhedron (s INTER t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !s. polyhedron s <=> (?f. FINITE f /\ s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Goal: !s t. polyhedron s /\ polyhedron t ==> polyhedron (s INTER t)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin2, type, in2 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinters0, type, inters0 : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cinters, type, inters : (((a > $o) > $o) > a > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite0, type, finite0 : (((cartrealn > $o) > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_UNION, axiom, ![S:(a > $o),T:(a > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_INTERS, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (inters @ S)) <=> ![T:(a > $o)]:((in1 @ T @ S) => (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(apolyhedron, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn > $o) > $o)]:((finite0 @ F) & (S = (inters0 @ F)) & ![H:(cartrealn > $o)]:((in2 @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1248:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1248 @ (realu_le @ (dot @ A @ X) @ B) @ X)))))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((polyhedron @ S) & (polyhedron @ T)) => (polyhedron @ (inter @ S @ T)))).
