%   ORIGINAL: POLYHEDRON_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FORALL_IN_INSERT: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: INTERS_INSERT: INTERS (s INSERT u) = s INTER INTERS u
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: POLYHEDRON_INTER: !s t. polyhedron s /\ polyhedron t ==> polyhedron (s INTER t)
% Assm: POLYHEDRON_UNIV: polyhedron (:real^N)
% Assm: TRUTH: T
% Goal: !f. FINITE f /\ (!s. s IN f ==> polyhedron s) ==> polyhedron (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: INTERS {} = (:real^N)
% Assm: !s u. INTERS (s INSERT u) = s INTER INTERS u
% Assm: !x. ~(x IN {})
% Assm: !s t. polyhedron s /\ polyhedron t ==> polyhedron (s INTER t)
% Assm: polyhedron (:real^N)
% Assm: T
% Goal: !f. FINITE f /\ (!s. s IN f ==> polyhedron s) ==> polyhedron (INTERS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : ((cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cempty, type, empty : ((cartrealn > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealn > $o) > $o) > $o)]:(((P @ empty) & ![X:(cartrealn > $o),S:((cartrealn > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealn > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aFORALLu_INu_INSERT, axiom, ![P:((cartrealn > $o) > $o),A:(cartrealn > $o),S:((cartrealn > $o) > $o)]:(![X:(cartrealn > $o)]:((in @ X @ (insert @ A @ S)) => (P @ X)) <=> ((P @ A) & ![X:(cartrealn > $o)]:((in @ X @ S) => (P @ X))))).
thf(aINTERSu_0, axiom, ((inters @ empty) = univ)).
thf(aINTERSu_INSERT, axiom, ![S:(cartrealn > $o),U:((cartrealn > $o) > $o)]:((inters @ (insert @ S @ U)) = (inter @ S @ (inters @ U)))).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealn > $o)]:~ ((in @ X @ empty))).
thf(aPOLYHEDRONu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((polyhedron @ S) & (polyhedron @ T)) => (polyhedron @ (inter @ S @ T)))).
thf(aPOLYHEDRONu_UNIV, axiom, (polyhedron @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(((finite @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (polyhedron @ S))) => (polyhedron @ (inters @ F)))).
