%   ORIGINAL: POLYHEDRON_HALFSPACE_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_SING: !a. FINITE {a}
% Assm: FORALL_IN_INSERT: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: INTERS_1: INTERS {s} = s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: POLYHEDRON_EMPTY: polyhedron {}
% Assm: POLYHEDRON_UNIV: polyhedron (:real^N)
% Assm: TRUTH: T
% Assm: polyhedron: !s. polyhedron s <=> (?f. FINITE f /\ s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Goal: !a b. polyhedron {x | a dot x <= b}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x. vec 0 dot x = &0
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !a. FINITE {a}
% Assm: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: !s. INTERS {s} = s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: polyhedron {}
% Assm: polyhedron (:real^N)
% Assm: T
% Assm: !s. polyhedron s <=> (?f. FINITE f /\ s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Goal: !a b. polyhedron {x | a dot x <= b}
%  TYPES
thf(tq47165, type, q47165 : $tType).
thf(tq49464, type, q49464 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq44739, type, q44739 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin2, type, in2 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinters0, type, inters0 : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cinters, type, inters : (((q47165 > $o) > $o) > q47165 > $o)).
thf(cin0, type, in0 : (q44739 > (q44739 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (q49464 > $o)).
thf(cinsert1, type, insert1 : ((q47165 > $o) > ((q47165 > $o) > $o) > (q47165 > $o) > $o)).
thf(cinsert0, type, insert0 : (q44739 > (q44739 > $o) > q44739 > $o)).
thf(cinsert, type, insert : (q49464 > (q49464 > $o) > q49464 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cfinite0, type, finite0 : (((cartrealn > $o) > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cempty2, type, empty2 : (cartrealn > $o)).
thf(cempty0, type, empty0 : ((q47165 > $o) > $o)).
thf(cfinite, type, finite : ((q49464 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cempty1, type, empty1 : (a > $o)).
thf(cuniv, type, univ : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDOTu_LZERO, axiom, ![X:cartrealn]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_SING, axiom, ![A:q49464]:(finite @ (insert @ A @ empty))).
thf(aFORALLu_INu_INSERT, axiom, ![P:(q44739 > $o),A:q44739,S:(q44739 > $o)]:(![X:q44739]:((in0 @ X @ (insert0 @ A @ S)) => (P @ X)) <=> ((P @ A) & ![X:q44739]:((in0 @ X @ S) => (P @ X))))).
thf(aINTERSu_1, axiom, ![S:(q47165 > $o)]:((inters @ (insert1 @ S @ empty0)) = S)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in1 @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty1))).
thf(aPOLYHEDRONu_EMPTY, axiom, (polyhedron @ empty2)).
thf(aPOLYHEDRONu_UNIV, axiom, (polyhedron @ univ0)).
thf(aTRUTH, axiom, $true).
thf(apolyhedron, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn > $o) > $o)]:((finite0 @ F) & (S = (inters0 @ F)) & ![H:(cartrealn > $o)]:((in2 @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1248:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1248 @ (realu_le @ (dot @ A @ X) @ B) @ X)))))))).
thf(conjecture, conjecture, ![A:cartrealn,B:real]:(polyhedron @ (gspec @ ^[GENR_PVARR_1255:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1255 @ (realu_le @ (dot @ A @ X) @ B) @ X)))).
