%   ORIGINAL: AFFINE_IMP_POLYHEDRON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_HULL_FINITE_INTERSECTION_HYPERPLANES: !s. ?f. FINITE f /\ &(CARD f) + aff_dim s = &(dimindex (:N)) /\ affine hull s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x = b}))
% Assm: HULL_P: !P s. P s ==> P hull s = s
% Assm: POLYHEDRON_HYPERPLANE: !a b. polyhedron {x | a dot x = b}
% Assm: POLYHEDRON_INTERS: !f. FINITE f /\ (!s. s IN f ==> polyhedron s) ==> polyhedron (INTERS f)
% Assm: TRUTH: T
% Goal: !s. affine s ==> polyhedron s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. ?f. FINITE f /\ &(CARD f) + aff_dim s = &(dimindex (:N)) /\ affine hull s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x = b}))
% Assm: !P s. P s ==> P hull s = s
% Assm: !a b. polyhedron {x | a dot x = b}
% Assm: !f. FINITE f /\ (!s. s IN f ==> polyhedron s) ==> polyhedron (INTERS f)
% Assm: T
% Goal: !s. affine s ==> polyhedron s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tq94478, type, q94478 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(chull0, type, hull0 : (((q94478 > $o) > $o) > (q94478 > $o) > q94478 > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(ccard, type, card : (((cartrealn > $o) > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_HULLu_FINITEu_INTERSECTIONu_HYPERPLANES, axiom, ![S:(cartrealn > $o)]:?[F:((cartrealn > $o) > $o)]:((finite @ F) & ((intu_add @ (intu_ofu_num @ (card @ F)) @ (affu_dim @ S)) = (intu_ofu_num @ (dimindex @ univ))) & ((hull @ affine @ S) = (inters @ F)) & ![H:(cartrealn > $o)]:((in @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_931:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_931 @ ((dot @ A @ X) = B) @ X))))))).
thf(aHULLu_P, axiom, ![P:((q94478 > $o) > $o),S:(q94478 > $o)]:((P @ S) => ((hull0 @ P @ S) = S))).
thf(aPOLYHEDRONu_HYPERPLANE, axiom, ![A:cartrealn,B:real]:(polyhedron @ (gspec @ ^[GENR_PVARR_1260:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1260 @ ((dot @ A @ X) = B) @ X)))).
thf(aPOLYHEDRONu_INTERS, axiom, ![F:((cartrealn > $o) > $o)]:(((finite @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (polyhedron @ S))) => (polyhedron @ (inters @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((affine @ S) => (polyhedron @ S))).
