%   ORIGINAL: POLYHEDRON_IMP_CONVEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HALFSPACE_LE: !a b. convex {x | a dot x <= b}
% Assm: CONVEX_INTERS: (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: TRUTH: T
% Assm: polyhedron: !s. polyhedron s <=> (?f. FINITE f /\ s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Goal: !s. polyhedron s ==> convex s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. convex {x | a dot x <= b}
% Assm: !f. (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: T
% Assm: !s. polyhedron s <=> (?f. FINITE f /\ s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Goal: !s. polyhedron s ==> convex s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HALFSPACEu_LE, axiom, ![A:cartrealn,B:real]:(convex @ (gspec @ ^[GENR_PVARR_816:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_816 @ (realu_le @ (dot @ A @ X) @ B) @ X)))).
thf(aCONVEXu_INTERS, axiom, ![F:((cartrealn > $o) > $o)]:(![S:(cartrealn > $o)]:((in @ S @ F) => (convex @ S)) => (convex @ (inters @ F)))).
thf(aTRUTH, axiom, $true).
thf(apolyhedron, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn > $o) > $o)]:((finite @ F) & (S = (inters @ F)) & ![H:(cartrealn > $o)]:((in @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1248:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1248 @ (realu_le @ (dot @ A @ X) @ B) @ X)))))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((polyhedron @ S) => (convex @ S))).
