%   ORIGINAL: POLYHEDRON_AFFINE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_AFFINE_HULL: !s. affine (affine hull s)
% Assm: AFFINE_IMP_POLYHEDRON: !s. affine s ==> polyhedron s
% Assm: TRUTH: T
% Goal: !s. polyhedron (affine hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. affine (affine hull s)
% Assm: !s. affine s ==> polyhedron s
% Assm: T
% Goal: !s. polyhedron (affine hull s)
%  TYPES
thf(tq363812, type, q363812 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq363812, type, cartrealq363812 : $tType).
%  CONSTS
thf(chull, type, hull : (((cartrealq363812 > $o) > $o) > (cartrealq363812 > $o) > cartrealq363812 > $o)).
thf(caffine, type, affine : ((cartrealq363812 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealq363812 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_AFFINEu_HULL, axiom, ![S:(cartrealq363812 > $o)]:(affine @ (hull @ affine @ S))).
thf(aAFFINEu_IMPu_POLYHEDRON, axiom, ![S:(cartrealq363812 > $o)]:((affine @ S) => (polyhedron @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq363812 > $o)]:(polyhedron @ (hull @ affine @ S))).
