%   ORIGINAL: POLYHEDRON_INTER_AFFINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYHEDRON_AFFINE_HULL: !s. polyhedron (affine hull s)
% Assm: POLYHEDRON_HALFSPACE_LE: !a b. polyhedron {x | a dot x <= b}
% Assm: POLYHEDRON_INTER: !s t. polyhedron s /\ polyhedron t ==> polyhedron (s INTER t)
% Assm: POLYHEDRON_INTERS: !f. FINITE f /\ (!s. s IN f ==> polyhedron s) ==> polyhedron (INTERS f)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: polyhedron: !s. polyhedron s <=> (?f. FINITE f /\ s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Goal: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P s. s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s. polyhedron (affine hull s)
% Assm: !a b. polyhedron {x | a dot x <= b}
% Assm: !s t. polyhedron s /\ polyhedron t ==> polyhedron (s INTER t)
% Assm: !f. FINITE f /\ (!s. s IN f ==> polyhedron s) ==> polyhedron (INTERS f)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. polyhedron s <=> (?f. FINITE f /\ s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Goal: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cinter0, type, inter0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYHEDRONu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(polyhedron @ (hull @ affine @ S))).
thf(aPOLYHEDRONu_HALFSPACEu_LE, axiom, ![A:cartrealn,B:real]:(polyhedron @ (gspec @ ^[GENR_PVARR_1255:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1255 @ (realu_le @ (dot @ A @ X) @ B) @ X)))).
thf(aPOLYHEDRONu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((polyhedron @ S) & (polyhedron @ T)) => (polyhedron @ (inter @ S @ T)))).
thf(aPOLYHEDRONu_INTERS, axiom, ![F:((cartrealn > $o) > $o)]:(((finite @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (polyhedron @ S))) => (polyhedron @ (inters @ F)))).
thf(aSUBSET, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((subset0 @ S @ T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(apolyhedron, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn > $o) > $o)]:((finite @ F) & (S = (inters @ F)) & ![H:(cartrealn > $o)]:((in @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1248:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1248 @ (realu_le @ (dot @ A @ X) @ B) @ X)))))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn > $o) > $o)]:((finite @ F) & (S = (inter @ (hull @ affine @ S) @ (inters @ F))) & ![H:(cartrealn > $o)]:((in @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1261:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1261 @ (realu_le @ (dot @ A @ X) @ B) @ X)))))))).
