%   ORIGINAL: POLYHEDRON_INTER_AFFINE_PARALLEL_MINIMAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_PSUBSET: !a b. a PSUBSET b /\ FINITE b ==> CARD a < CARD b
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYHEDRON_INTER_AFFINE_PARALLEL: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b} /\ (!x. x IN affine hull s ==> x + a IN affine hull s))))
% Assm: PSUBSET: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: num_WOP: !P. (?n. P n) <=> (?n. P n /\ (!m. m < n ==> ~P m))
% Goal: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b} /\ (!x. x IN affine hull s ==> x + a IN affine hull s))) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f'))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a PSUBSET b /\ FINITE b ==> CARD a < CARD b
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b} /\ (!x. x IN affine hull s ==> x + a IN affine hull s))))
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !P. (?n. P n) <=> (?n. P n /\ (!m. m < n ==> ~P m))
% Goal: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b} /\ (!x. x IN affine hull s ==> x + a IN affine hull s))) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f'))
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(chasuu_size, type, hasu_size : (((cartrealn > $o) > $o) > num > $o)).
thf(csubset, type, subset : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpsubset0, type, psubset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpsubset, type, psubset : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ci1, type, i1 : ($o > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(ccard, type, card : (((cartrealn > $o) > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_PSUBSET, axiom, ![A:((cartrealn > $o) > $o),B:((cartrealn > $o) > $o)]:(((psubset @ A @ B) & (finite @ B)) => (l_ @ (card @ A) @ (card @ B)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_SUBSET, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aHASu_SIZE, axiom, ![S:((cartrealn > $o) > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aINu_monomorphized1, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_INTERS, axiom, ![S:((cartrealn > $o) > $o),X:cartrealn]:((in0 @ X @ (inters @ S)) <=> ![T:(cartrealn > $o)]:((in @ T @ S) => (in0 @ X @ T)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYHEDRONu_INTERu_AFFINEu_PARALLEL, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn > $o) > $o)]:((finite @ F) & (S = (inter @ (hull @ affine @ S) @ (inters @ F))) & ![H:(cartrealn > $o)]:((in @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1265:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1265 @ (realu_le @ (dot @ A @ X) @ B) @ X))) & ![X:cartrealn]:((in0 @ X @ (hull @ affine @ S)) => (in0 @ (vectoru_add @ X @ A) @ (hull @ affine @ S)))))))).
thf(aPSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((psubset0 @ S @ T) <=> ((subset0 @ S @ T) & ~ ((S = T))))).
thf(aSUBSETu_monomorphized1, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((subset @ S @ T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset0 @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(anumu_WOP, axiom, ![P:(num > $o)]:(?[N:num]:(P @ N) <=> ?[N:num]:((P @ N) & ![M:num]:((l_ @ M @ N) => ~ ((P @ M)))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn > $o) > $o)]:((finite @ F) & (S = (inter @ (hull @ affine @ S) @ (inters @ F))) & ![H:(cartrealn > $o)]:((in @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1266:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1266 @ (realu_le @ (dot @ A @ X) @ B) @ X))) & ![X:cartrealn]:((in0 @ X @ (hull @ affine @ S)) => (in0 @ (vectoru_add @ X @ A) @ (hull @ affine @ S))))) & ![FI_:((cartrealn > $o) > $o)]:((psubset @ FI_ @ F) => (psubset0 @ S @ (inter @ (hull @ affine @ S) @ (inters @ FI_))))))).
