%   ORIGINAL: POLYHEDRON_INTER_AFFINE_MINIMAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYHEDRON_INTER_AFFINE: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Assm: POLYHEDRON_INTER_AFFINE_PARALLEL_MINIMAL: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b} /\ (!x. x IN affine hull s ==> x + a IN affine hull s))) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f'))
% Assm: TRUTH: T
% Goal: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f'))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: ~F <=> T
% Assm: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Assm: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b} /\ (!x. x IN affine hull s ==> x + a IN affine hull s))) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f'))
% Assm: T
% Goal: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f'))
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cpsubset0, type, psubset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpsubset, type, psubset : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYHEDRONu_INTERu_AFFINE, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn > $o) > $o)]:((finite @ F) & (S = (inter @ (hull @ affine @ S) @ (inters @ F))) & ![H:(cartrealn > $o)]:((in @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1261:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1261 @ (realu_le @ (dot @ A @ X) @ B) @ X)))))))).
thf(aPOLYHEDRONu_INTERu_AFFINEu_PARALLELu_MINIMAL, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn > $o) > $o)]:((finite @ F) & (S = (inter @ (hull @ affine @ S) @ (inters @ F))) & ![H:(cartrealn > $o)]:((in @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1266:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1266 @ (realu_le @ (dot @ A @ X) @ B) @ X))) & ![X:cartrealn]:((in0 @ X @ (hull @ affine @ S)) => (in0 @ (vectoru_add @ X @ A) @ (hull @ affine @ S))))) & ![FI_:((cartrealn > $o) > $o)]:((psubset @ FI_ @ F) => (psubset0 @ S @ (inter @ (hull @ affine @ S) @ (inters @ FI_))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn > $o) > $o)]:((finite @ F) & (S = (inter @ (hull @ affine @ S) @ (inters @ F))) & ![H:(cartrealn > $o)]:((in @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1267:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1267 @ (realu_le @ (dot @ A @ X) @ B) @ X))))) & ![FI_:((cartrealn > $o) > $o)]:((psubset @ FI_ @ F) => (psubset0 @ S @ (inter @ (hull @ affine @ S) @ (inters @ FI_))))))).
