%   ORIGINAL: RELATIVE_INTERIOR_POLYHEDRON_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: AFFINE_AFFINE_HULL: !s. affine (affine hull s)
% Assm: AFFINE_ALT: affine s <=> (!x y u. x IN s /\ y IN s ==> (&1 - u) % x + u % y IN s)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_LT_conjunct8: !m n. BIT1 m < BIT0 n <=> m < n
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_HALFSPACE_LE: !a b. ~(a = vec 0) ==> interior {x | a dot x <= b} = {x | a dot x < b}
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: IN_BALL: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: IN_RELATIVE_INTERIOR: !x s. x IN relative_interior s <=> x IN s /\ (?e. &0 < e /\ ball (x,e) INTER affine hull s SUBSET s)
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: OPEN_INTERIOR: !s. open (interior s)
% Assm: OPEN_INTERS: !s. FINITE s /\ (!t. t IN s ==> open t) ==> open (INTERS s)
% Assm: PSUBSET: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: PSUBSET_ALT: !s t. s PSUBSET t <=> s SUBSET t /\ (?a. a IN t /\ ~(a IN s))
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ABS_NEG: !x. abs (--x) = abs x
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_HALF_conjunct0: !e. &0 < e / &2 <=> &0 < e
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LTE_TRANS: !x y z. x < y /\ y <= z ==> x < z
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_DIV: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: REAL_LT_INV_EQ: !x. &0 < inv x <=> &0 < x
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_LT_LMUL_EQ: !x y z. &0 < z ==> (z * x < z * y <=> x < y)
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: REAL_LT_RADD: !x y z. x + z < y + z <=> x < y
% Assm: REAL_LT_RDIV_EQ: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: REAL_LT_RMUL: !x y z. x < y /\ &0 < z ==> x * z < y * z
% Assm: REAL_MIN_LT: !x y z. min x y < z <=> x < z \/ y < z
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: RELATIVE_INTERIOR: !s. relative_interior s = {x | x IN s /\ (?t. open t /\ x IN t /\ t INTER affine hull s SUBSET s)}
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.REAL_PROP_LT_RCANCEL: !x y z. &0 < z /\ x * z < y * z ==> x < y
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry.WHIAXYD3: !x y. x + y = y + x
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Assm: real_min: !m n. min m n = (if m <= n then m else n)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !s f a b. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> ~(a h = vec 0) /\ h = {x | a h dot x <= b h}) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f') ==> relative_interior s = {x | x IN s /\ (!h. h IN f ==> a h dot x < b h)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !s. affine (affine hull s)
% Assm: !s. affine s <=> (!x y u. x IN s /\ y IN s ==> (&1 - u) % x + u % y IN s)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: _0 = _0 <=> T
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. BIT1 m < BIT0 n <=> m < n
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !a b. ~(a = vec 0) ==> interior {x | a dot x <= b} = {x | a dot x < b}
% Assm: !s. interior s SUBSET s
% Assm: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x s. x IN relative_interior s <=> x IN s /\ (?e. &0 < e /\ ball (x,e) INTER affine hull s SUBSET s)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !s. open (interior s)
% Assm: !s. FINITE s /\ (!t. t IN s ==> open t) ==> open (INTERS s)
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ (?a. a IN t /\ ~(a IN s))
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ (?a. a IN t /\ ~(a IN s))
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x. abs (--x) = abs x
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !e. &0 < e / &2 <=> &0 < e
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: !x y z. x < y /\ y <= z ==> x < z
% Assm: &0 < &1
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: !x. &0 < inv x <=> &0 < x
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !x y z. &0 < z ==> (z * x < z * y <=> x < y)
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: !x y z. x + z < y + z <=> x < y
% Assm: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: !x y z. x < y /\ &0 < z ==> x * z < y * z
% Assm: !x y z. min x y < z <=> x < z \/ y < z
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !s. relative_interior s = {x | x IN s /\ (?t. open t /\ x IN t /\ t INTER affine hull s SUBSET s)}
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x y z. &0 < z /\ x * z < y * z ==> x < y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x y. x + y = y + x
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n m. max m n = (if m <= n then n else m)
% Assm: !m n. min m n = (if m <= n then m else n)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !s f a b. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> ~(a h = vec 0) /\ h = {x | a h dot x <= b h}) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f') ==> relative_interior s = {x | x IN s /\ (!h. h IN f ==> a h dot x < b h)}
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tq172057, type, q172057 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tcartrealq99791, type, cartrealq99791 : $tType).
thf(tnum, type, num : $tType).
thf(tq99791, type, q99791 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(tcartrealq172081, type, cartrealq172081 : $tType).
thf(tcartrealq172057, type, cartrealq172057 : $tType).
thf(treal, type, real : $tType).
thf(tq172081, type, q172081 : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tcartcartrealnb, type, cartcartrealnb : $tType).
thf(tcartfuncartrealnboolb, type, cartfuncartrealnboolb : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq98293 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq98293cartrealq98293 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(csubset1, type, subset1 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinterior1, type, interior1 : ((cartrealq172057 > $o) > cartrealq172057 > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq99791 > real)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(cinterior0, type, interior0 : ((cartrealq172081 > $o) > cartrealq172081 > $o)).
thf(csubset, type, subset : ((cartrealq172081 > $o) > (cartrealq172081 > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cpsubset0, type, psubset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpsubset, type, psubset : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnb)).
thf(clambda0, type, lambda0 : ((num > cartrealn > $o) > cartfuncartrealnboolb)).
thf(ccond2, type, cond2 : ($o > real > real > real)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_1, type, c_1 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cru_0, type, r_0 : (real > cartrealq99791 > cartrealq99791)).
thf(cdu_1, type, d_1 : (cartcartrealnb > num > cartrealn)).
thf(cdu_0, type, d_0 : (cartfuncartrealnboolb > num > cartrealn > $o)).
thf(cdelete0, type, delete0 : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cdelete, type, delete : (((cartrealn > $o) > $o) > (cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cimage2, type, image2 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage1, type, image1 : (((cartrealn > $o) > cartrealn) > ((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cimage, type, image : (((cartrealn > $o) > cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(ccond1, type, cond1 : ($o > a > a > a)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(copen0, type, open0 : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealq172057 > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aAFFINEu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(affine @ (hull @ affine @ S))).
thf(aAFFINEu_ALT, axiom, ![S:(cartrealn > $o)]:((affine @ S) <=> ![X:cartrealn,Y:cartrealn,U:real]:(((in0 @ X @ S) & (in0 @ Y @ S)) => (in0 @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ X) @ (r_ @ U @ Y)) @ S)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_LTu_conjunct8, axiom, ![M:num,N:num]:((l_ @ (bit1 @ M) @ (bit0 @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:(cartrealn > $o),T2:(cartrealn > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond1 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDOTu_RADD, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:((dot @ X @ (vectoru_add @ Y @ Z)) = (realu_add @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealn,Y:cartrealn]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:((cartrealn > $o) > cartrealn > $o),S:((cartrealn > $o) > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFORALLu_INu_IMAGEu_monomorphized3, axiom, ![P:((cartrealn > $o) > $o),F:((cartrealn > $o) > cartrealn > $o),S:((cartrealn > $o) > $o)]:(![Y:(cartrealn > $o)]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_INu_IMAGEu_monomorphized2, axiom, ![P:((cartrealn > $o) > $o),F:(cartrealn > cartrealn > $o),S:(cartrealn > $o)]:(![Y:(cartrealn > $o)]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_INu_IMAGEu_monomorphized1, axiom, ![P:(cartrealn > $o),F:((cartrealn > $o) > cartrealn),S:((cartrealn > $o) > $o)]:(![Y:cartrealn]:((in0 @ Y @ (image1 @ F @ S)) => (P @ Y)) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_INu_IMAGEu_monomorphized0, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in0 @ Y @ (image2 @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aINu_monomorphized1, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTERIORu_HALFSPACEu_LE, axiom, ![A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) => ((interior @ (gspec @ ^[GENR_PVARR_533:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_533 @ (realu_le @ (dot @ A @ X) @ B) @ X))) = (gspec @ ^[GENR_PVARR_534:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_534 @ (realu_lt @ (dot @ A @ X) @ B) @ X))))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealq172081 > $o)]:(subset @ (interior0 @ S) @ S)).
thf(aINu_BALL, axiom, ![X:cartrealn,Y:cartrealn,E:real]:((in0 @ Y @ (ball @ (c_ @ X @ E))) <=> (realu_lt @ (distance @ (c_0 @ X @ Y)) @ E))).
thf(aINu_DELETEu_monomorphized1, axiom, ![S:((cartrealn > $o) > $o),X:(cartrealn > $o),Y:(cartrealn > $o)]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_DELETEu_monomorphized0, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in0 @ X @ (delete0 @ S @ Y)) <=> ((in0 @ X @ S) & ~ ((X = Y))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGEu_monomorphized3, axiom, ![Y:(cartrealn > $o),S:((cartrealn > $o) > $o),F:((cartrealn > $o) > cartrealn > $o)]:((in @ Y @ (image @ F @ S)) <=> ?[X:(cartrealn > $o)]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized2, axiom, ![Y:(cartrealn > $o),S:(cartrealn > $o),F:(cartrealn > cartrealn > $o)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized1, axiom, ![Y:cartrealn,S:((cartrealn > $o) > $o),F:((cartrealn > $o) > cartrealn)]:((in0 @ Y @ (image1 @ F @ S)) <=> ?[X:(cartrealn > $o)]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized0, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in0 @ Y @ (image2 @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_INTERS, axiom, ![S:((cartrealn > $o) > $o),X:cartrealn]:((in0 @ X @ (inters @ S)) <=> ![T:(cartrealn > $o)]:((in @ T @ S) => (in0 @ X @ T)))).
thf(aINu_RELATIVEu_INTERIOR, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((in0 @ X @ (relativeu_interior @ S)) <=> ((in0 @ X @ S) & ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset0 @ (inter @ (ball @ (c_ @ X @ E)) @ (hull @ affine @ S)) @ S))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > cartrealn > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_1 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealq99791]:((vectoru_norm @ (r_0 @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealn]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm0 @ X)) <=> ~ ((X = (vec @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aOPENu_INTERIOR, axiom, ![S:(cartrealq172057 > $o)]:(open @ (interior1 @ S))).
thf(aOPENu_INTERS, axiom, ![S:((cartrealn > $o) > $o)]:(((finite @ S) & ![T:(cartrealn > $o)]:((in @ T @ S) => (open0 @ T))) => (open0 @ (inters @ S)))).
thf(aPSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((psubset0 @ S @ T) <=> ((subset0 @ S @ T) & ~ ((S = T))))).
thf(aPSUBSETu_ALTu_monomorphized1, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((psubset @ S @ T) <=> ((subset1 @ S @ T) & ?[A:(cartrealn > $o)]:((in @ A @ T) & ~ ((in @ A @ S)))))).
thf(aPSUBSETu_ALTu_monomorphized0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((psubset0 @ S @ T) <=> ((subset0 @ S @ T) & ?[A:cartrealn]:((in0 @ A @ T) & ~ ((in0 @ A @ S)))))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ABSu_NEG, axiom, ![X:real]:((realu_abs @ (realu_neg @ X)) = (realu_abs @ X))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_HALFu_conjunct0, axiom, ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_le @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_DIV, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_LTu_INVu_EQ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_LTu_LMULu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_lt @ (realu_mul @ Z @ X) @ (realu_mul @ Z @ Y)) <=> (realu_lt @ X @ Y)))).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aREALu_LTu_RADD, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_add @ X @ Z) @ (realu_add @ Y @ Z)) <=> (realu_lt @ X @ Y))).
thf(aREALu_LTu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_lt @ X @ (realu_div @ Y @ Z)) <=> (realu_lt @ (realu_mul @ X @ Z) @ Y)))).
thf(aREALu_LTu_RMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z)) => (realu_lt @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aREALu_MINu_LT, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_min @ X @ Y) @ Z) <=> ((realu_lt @ X @ Z) | (realu_lt @ Y @ Z)))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRELATIVEu_INTERIOR, axiom, ![S:(cartrealn > $o)]:((relativeu_interior @ S) = (gspec @ ^[GENR_PVARR_1037:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1037 @ ((in0 @ X @ S) & ?[T:(cartrealn > $o)]:((open0 @ T) & (in0 @ X @ T) & (subset0 @ (inter @ T @ (hull @ affine @ S)) @ S))) @ X)))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_REALu_PROPu_LTu_RCANCEL, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) & (realu_lt @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z))) => (realu_lt @ X @ Y))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSIMPLEu_IMAGEu_monomorphized1, axiom, ![F:((cartrealn > $o) > cartrealn),S:((cartrealn > $o) > $o)]:((gspec @ ^[GENR_PVARR_11:cartrealn]:?[X:(cartrealn > $o)]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image1 @ F @ S))).
thf(aSIMPLEu_IMAGEu_monomorphized0, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((gspec @ ^[GENR_PVARR_11:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_11 @ (in0 @ X @ S) @ (F @ X))) = (image2 @ F @ S))).
thf(aSUBSETu_monomorphized1, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((subset1 @ S @ T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset0 @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometryo_WHIAXYD3, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add @ X @ Y) = (vectoru_add @ Y @ X))).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance0 @ (c_1 @ X @ Y)) = (vectoru_norm1 @ (vectoru_sub0 @ X @ Y)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond2 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond2 @ (realu_le @ M @ N) @ N @ M))).
thf(arealu_min, axiom, ![M:real,N:real]:((realu_min @ M @ N) = (cond2 @ (realu_le @ M @ N) @ M @ N))).
thf(avectoru_add, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add @ X @ Y) = (lambda2 @ ^[I:num]:(realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_ @ C @ X) = (lambda2 @ ^[I:num]:(realu_mul @ C @ (d_ @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub @ X @ Y) = (lambda2 @ ^[I:num]:(realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),F:((cartrealn > $o) > $o),A:((cartrealn > $o) > cartrealn),B:((cartrealn > $o) > real)]:(((finite @ F) & (S = (inter @ (hull @ affine @ S) @ (inters @ F))) & ![H:(cartrealn > $o)]:((in @ H @ F) => (~ (((A @ H) = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1269:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1269 @ (realu_le @ (dot @ (A @ H) @ X) @ (B @ H)) @ X))))) & ![FI_:((cartrealn > $o) > $o)]:((psubset @ FI_ @ F) => (psubset0 @ S @ (inter @ (hull @ affine @ S) @ (inters @ FI_))))) => ((relativeu_interior @ S) = (gspec @ ^[GENR_PVARR_1270:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1270 @ ((in0 @ X @ S) & ![H:(cartrealn > $o)]:((in @ H @ F) => (realu_lt @ (dot @ (A @ H) @ X) @ (B @ H)))) @ X))))).
