%   ORIGINAL: FINITE_POLYHEDRON_EXPOSED_FACES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXPOSED_FACE_OF_POLYHEDRON: !s f. polyhedron s ==> (f exposed_face_of s <=> f face_of s)
% Assm: FINITE_POLYHEDRON_FACES: !s. polyhedron s ==> FINITE {f | f face_of s}
% Assm: TRUTH: T
% Goal: !s. polyhedron s ==> FINITE {f | f exposed_face_of s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s f. polyhedron s ==> (f exposed_face_of s <=> f face_of s)
% Assm: !s. polyhedron s ==> FINITE {f | f face_of s}
% Assm: T
% Goal: !s. polyhedron s ==> FINITE {f | f exposed_face_of s}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cexposeduu_faceuu_of, type, exposedu_faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXPOSEDu_FACEu_OFu_POLYHEDRON, axiom, ![S:(cartrealn > $o),F:(cartrealn > $o)]:((polyhedron @ S) => ((exposedu_faceu_of @ F @ S) <=> (faceu_of @ F @ S)))).
thf(aFINITEu_POLYHEDRONu_FACES, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (finite @ (gspec @ ^[GENR_PVARR_1325:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec @ GENR_PVARR_1325 @ (faceu_of @ F @ S) @ F))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((polyhedron @ S) => (finite @ (gspec @ ^[GENR_PVARR_1326:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec @ GENR_PVARR_1326 @ (exposedu_faceu_of @ F @ S) @ F))))).
