%   ORIGINAL: FINITE_POLYHEDRON_EXTREME_POINTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EMPTY_GSPEC: {x | F} = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FACE_OF_SING: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: FINITE_EMPTY: FINITE {}
% Assm: FINITE_FINITE_PREIMAGE: !f t. FINITE t /\ (!y. y IN t ==> FINITE {x | f x = y}) ==> FINITE {x | f x IN t}
% Assm: FINITE_POLYHEDRON_FACES: !s. polyhedron s ==> FINITE {f | f face_of s}
% Assm: FINITE_SING: !a. FINITE {a}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !s. polyhedron s ==> FINITE {v | v extreme_point_of s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: {x | F} = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: FINITE {}
% Assm: !f t. FINITE t /\ (!y. y IN t ==> FINITE {x | f x = y}) ==> FINITE {x | f x IN t}
% Assm: !s. polyhedron s ==> FINITE {f | f face_of s}
% Assm: !a. FINITE {a}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !s. polyhedron s ==> FINITE {v | v extreme_point_of s}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cfinite0, type, finite0 : (((cartrealn > $o) > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEMPTYu_GSPEC, axiom, ((gspec @ ^[GENR_PVARR_14:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_14 @ $false @ X)) = empty)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFACEu_OFu_SING, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((faceu_of @ (insert @ X @ empty) @ S) <=> (extremeu_pointu_of @ X @ S))).
thf(aFINITEu_EMPTY, axiom, (finite @ empty)).
thf(aFINITEu_FINITEu_PREIMAGE, axiom, ![F:(cartrealn > cartrealn),T:(cartrealn > $o)]:(((finite @ T) & ![Y:cartrealn]:((in0 @ Y @ T) => (finite @ (gspec @ ^[GENR_PVARR_61:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_61 @ ((F @ X) = Y) @ X))))) => (finite @ (gspec @ ^[GENR_PVARR_62:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_62 @ (in0 @ (F @ X) @ T) @ X))))).
thf(aFINITEu_POLYHEDRONu_FACES, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (finite0 @ (gspec0 @ ^[GENR_PVARR_1325:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec0 @ GENR_PVARR_1325 @ (faceu_of @ F @ S) @ F))))).
thf(aFINITEu_SING, axiom, ![A:cartrealn]:(finite @ (insert @ A @ empty))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((polyhedron @ S) => (finite @ (gspec @ ^[GENR_PVARR_1329:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1329 @ (extremeu_pointu_of @ V @ S) @ V))))).
