%   ORIGINAL: FINITE_POLYHEDRON_FACETS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_POLYHEDRON_FACES: !s. polyhedron s ==> FINITE {f | f face_of s}
% Assm: FINITE_RESTRICT: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Assm: facet_of: !f s. f facet_of s <=> f face_of s /\ ~(f = {}) /\ aff_dim f = aff_dim s - &1
% Goal: !s. polyhedron s ==> FINITE {f | f facet_of s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. polyhedron s ==> FINITE {f | f face_of s}
% Assm: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Assm: !f s. f facet_of s <=> f face_of s /\ ~(f = {}) /\ aff_dim f = aff_dim s - &1
% Goal: !s. polyhedron s ==> FINITE {f | f facet_of s}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cin0, type, in0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfacetuu_of, type, facetu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_POLYHEDRONu_FACES, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (finite @ (gspec @ ^[GENR_PVARR_1325:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec @ GENR_PVARR_1325 @ (faceu_of @ F @ S) @ F))))).
thf(aFINITEu_RESTRICT, axiom, ![S:((cartrealn > $o) > $o),P:((cartrealn > $o) > $o)]:((finite @ S) => (finite @ (gspec @ ^[GENR_PVARR_66:(cartrealn > $o)]:?[X:(cartrealn > $o)]:(setspec @ GENR_PVARR_66 @ ((in0 @ X @ S) & (P @ X)) @ X))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in0 @ X @ (gspec @ ^[V:(cartrealn > $o)]:?[Y:(cartrealn > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(afacetu_of, axiom, ![F:(cartrealn > $o),S:(cartrealn > $o)]:((facetu_of @ F @ S) <=> ((faceu_of @ F @ S) & ~ ((F = empty)) & ((affu_dim @ F) = (intu_sub @ (affu_dim @ S) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((polyhedron @ S) => (finite @ (gspec @ ^[GENR_PVARR_1333:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec @ GENR_PVARR_1333 @ (facetu_of @ F @ S) @ F))))).
