%   ORIGINAL: POLYHEDRON_EQ_FINITE_FACES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_POLYHEDRON_FACES: !s. polyhedron s ==> FINITE {f | f face_of s}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: POLYHEDRON_EQ_FINITE_EXPOSED_FACES: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f exposed_face_of s}
% Assm: POLYHEDRON_IMP_CLOSED: !s. polyhedron s ==> closed s
% Assm: POLYHEDRON_IMP_CONVEX: !s. polyhedron s ==> convex s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: exposed_face_of: !t s. t exposed_face_of s <=> t face_of s /\ (?a b. s SUBSET {x | a dot x <= b} /\ t = s INTER {x | a dot x = b})
% Goal: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f face_of s}
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. polyhedron s ==> FINITE {f | f face_of s}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f exposed_face_of s}
% Assm: !s. polyhedron s ==> closed s
% Assm: !s. polyhedron s ==> convex s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !t s. t exposed_face_of s <=> t face_of s /\ (?a b. s SUBSET {x | a dot x <= b} /\ t = s INTER {x | a dot x = b})
% Goal: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f face_of s}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset1, type, subset1 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cexposeduu_faceuu_of, type, exposedu_faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(csubset, type, subset : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_POLYHEDRONu_FACES, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (finite @ (gspec @ ^[GENR_PVARR_1325:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec @ GENR_PVARR_1325 @ (faceu_of @ F @ S) @ F))))).
thf(aFINITEu_SUBSET, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn > $o)]:?[Y:(cartrealn > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aPOLYHEDRONu_EQu_FINITEu_EXPOSEDu_FACES, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ((closed @ S) & (convex @ S) & (finite @ (gspec @ ^[GENR_PVARR_1356:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec @ GENR_PVARR_1356 @ (exposedu_faceu_of @ F @ S) @ F)))))).
thf(aPOLYHEDRONu_IMPu_CLOSED, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (closed @ S))).
thf(aPOLYHEDRONu_IMPu_CONVEX, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (convex @ S))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aexposedu_faceu_of, axiom, ![T:(cartrealn > $o),S:(cartrealn > $o)]:((exposedu_faceu_of @ T @ S) <=> ((faceu_of @ T @ S) & ?[A:cartrealn,B:real]:((subset1 @ S @ (gspec0 @ ^[GENR_PVARR_1183:cartrealn]:?[X:cartrealn]:(setspec0 @ GENR_PVARR_1183 @ (realu_le @ (dot @ A @ X) @ B) @ X))) & (T = (inter @ S @ (gspec0 @ ^[GENR_PVARR_1184:cartrealn]:?[X:cartrealn]:(setspec0 @ GENR_PVARR_1184 @ ((dot @ A @ X) = B) @ X)))))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ((closed @ S) & (convex @ S) & (finite @ (gspec @ ^[GENR_PVARR_1358:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec @ GENR_PVARR_1358 @ (faceu_of @ F @ S) @ F)))))).
