%   ORIGINAL: POLYHEDRON_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_INJECTIVE_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (closed (IMAGE f s) <=> closed s)
% Assm: CONVEX_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (convex (IMAGE f s) <=> convex s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FACE_OF_LINEAR_IMAGE: !f c s. linear f /\ (!x y. f x = f y ==> x = y) ==> (IMAGE f c face_of IMAGE f s <=> c face_of s)
% Assm: FINITE_IMAGE_INJ_EQ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> (FINITE (IMAGE f s) <=> FINITE s)
% Assm: INJECTIVE_IMAGE: !f. (!s t. IMAGE f s = IMAGE f t ==> s = t) <=> (!x y. f x = f y ==> x = y)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYHEDRON_EQ_FINITE_FACES: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f face_of s}
% Assm: QUANTIFY_SURJECTION_THM: !f. (!y. ?x. f x = y) ==> ((!P. (!x. P x) <=> (!x. P (f x))) /\ (!P. (?x. P x) <=> (?x. P (f x))) /\ (!Q. (!s. Q s) <=> (!s. Q (IMAGE f s))) /\ (!Q. (?s. Q s) <=> (?s. Q (IMAGE f s)))) /\ (!P. {x | P x} = IMAGE f {x | P (f x)})
% Assm: SURJECTIVE_IMAGE: !f. (!t. ?s. IMAGE f s = t) <=> (!y. ?x. f x = y)
% Assm: TRUTH: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> (polyhedron (IMAGE f s) <=> polyhedron s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (closed (IMAGE f s) <=> closed s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (convex (IMAGE f s) <=> convex s)
% Assm: !t. (\x. t x) = t
% Assm: !f c s. linear f /\ (!x y. f x = f y ==> x = y) ==> (IMAGE f c face_of IMAGE f s <=> c face_of s)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> (FINITE (IMAGE f s) <=> FINITE s)
% Assm: !f. (!s t. IMAGE f s = IMAGE f t ==> s = t) <=> (!x y. f x = f y ==> x = y)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f face_of s}
% Assm: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f face_of s}
% Assm: !f. (!y. ?x. f x = y) ==> ((!P. (!x. P x) <=> (!x. P (f x))) /\ (!P. (?x. P x) <=> (?x. P (f x))) /\ (!Q. (!s. Q s) <=> (!s. Q (IMAGE f s))) /\ (!Q. (?s. Q s) <=> (?s. Q (IMAGE f s)))) /\ (!P. {x | P x} = IMAGE f {x | P (f x)})
% Assm: !f. (!t. ?s. IMAGE f s = t) <=> (!y. ?x. f x = y)
% Assm: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> (polyhedron (IMAGE f s) <=> polyhedron s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec2, type, gspec2 : ((cartrealm > $o) > cartrealm > $o)).
thf(cgspec1, type, gspec1 : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec0, type, gspec0 : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cfaceuu_of0, type, faceu_of0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csetspec2, type, setspec2 : (cartrealm > $o > cartrealm > $o)).
thf(csetspec1, type, setspec1 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec0, type, setspec0 : ((cartrealm > $o) > $o > (cartrealm > $o) > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ci1, type, i1 : ($o > $o)).
thf(cfinite2, type, finite2 : (((cartrealm > $o) > $o) > $o)).
thf(cfinite1, type, finite1 : (((cartrealn > $o) > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealm > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cconvex0, type, convex0 : ((cartrealm > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cclosed0, type, closed0 : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cpolyhedron0, type, polyhedron0 : ((cartrealm > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_INJECTIVEu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((closed @ (image @ F @ S)) <=> (closed0 @ S)))).
thf(aCONVEXu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((convex @ (image @ F @ S)) <=> (convex0 @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFACEu_OFu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),C:(cartrealm > $o),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((faceu_of @ (image @ F @ C) @ (image @ F @ S)) <=> (faceu_of0 @ C @ S)))).
thf(aFINITEu_IMAGEu_INJu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((finite @ (image @ F @ S)) <=> (finite0 @ S)))).
thf(aINJECTIVEu_IMAGE, axiom, ![F:(cartrealm > cartrealn)]:(![S:(cartrealm > $o),T:(cartrealm > $o)]:(((image @ F @ S) = (image @ F @ T)) => (S = T)) <=> ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYHEDRONu_EQu_FINITEu_FACESu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ((closed @ S) & (convex @ S) & (finite1 @ (gspec @ ^[GENR_PVARR_1358:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec @ GENR_PVARR_1358 @ (faceu_of @ F @ S) @ F)))))).
thf(aPOLYHEDRONu_EQu_FINITEu_FACESu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((polyhedron0 @ S) <=> ((closed0 @ S) & (convex0 @ S) & (finite2 @ (gspec0 @ ^[GENR_PVARR_1358:(cartrealm > $o)]:?[F:(cartrealm > $o)]:(setspec0 @ GENR_PVARR_1358 @ (faceu_of0 @ F @ S) @ F)))))).
thf(aQUANTIFYu_SURJECTIONu_THM, axiom, ![F:(cartrealm > cartrealn)]:(![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y) => (![P:(cartrealn > $o)]:(![X:cartrealn]:(P @ X) <=> ![X:cartrealm]:(P @ (F @ X))) & ![P:(cartrealn > $o)]:(?[X:cartrealn]:(P @ X) <=> ?[X:cartrealm]:(P @ (F @ X))) & ![Q:((cartrealn > $o) > $o)]:(![S:(cartrealn > $o)]:(Q @ S) <=> ![S:(cartrealm > $o)]:(Q @ (image @ F @ S))) & ![Q:((cartrealn > $o) > $o)]:(?[S:(cartrealn > $o)]:(Q @ S) <=> ?[S:(cartrealm > $o)]:(Q @ (image @ F @ S))) & ![P:(cartrealn > $o)]:((gspec1 @ ^[GENR_PVARR_351:cartrealn]:?[X:cartrealn]:(setspec1 @ GENR_PVARR_351 @ (P @ X) @ X)) = (image @ F @ (gspec2 @ ^[GENR_PVARR_352:cartrealm]:?[X:cartrealm]:(setspec2 @ GENR_PVARR_352 @ (P @ (F @ X)) @ X))))))).
thf(aSURJECTIVEu_IMAGE, axiom, ![F:(cartrealm > cartrealn)]:(![T:(cartrealn > $o)]:?[S:(cartrealm > $o)]:((image @ F @ S) = T) <=> ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)) => ((polyhedron @ (image @ F @ S)) <=> (polyhedron0 @ S)))).
