%   ORIGINAL: POLYTOPE_EQ_BOUNDED_POLYHEDRON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: FINITE_POLYHEDRON_EXTREME_POINTS: !s. polyhedron s ==> FINITE {v | v extreme_point_of s}
% Assm: FINITE_POLYTOPE_FACES: !s. polytope s ==> FINITE {f | f face_of s}
% Assm: KREIN_MILMAN_MINKOWSKI: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: POLYHEDRON_EQ_FINITE_FACES: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f face_of s}
% Assm: POLYHEDRON_IMP_CLOSED: !s. polyhedron s ==> closed s
% Assm: POLYHEDRON_IMP_CONVEX: !s. polyhedron s ==> convex s
% Assm: POLYTOPE_IMP_BOUNDED: !s. polytope s ==> bounded s
% Assm: POLYTOPE_IMP_CLOSED: !s. polytope s ==> closed s
% Assm: POLYTOPE_IMP_CONVEX: !s. polytope s ==> convex s
% Assm: TRUTH: T
% Assm: polytope: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s. polytope s <=> polyhedron s /\ bounded s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s. polyhedron s ==> FINITE {v | v extreme_point_of s}
% Assm: !s. polytope s ==> FINITE {f | f face_of s}
% Assm: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f face_of s}
% Assm: !s. polyhedron s ==> closed s
% Assm: !s. polyhedron s ==> convex s
% Assm: !s. polytope s ==> bounded s
% Assm: !s. polytope s ==> closed s
% Assm: !s. polytope s ==> convex s
% Assm: T
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Goal: !s. polytope s <=> polyhedron s /\ bounded s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cfinite0, type, finite0 : (((cartrealn > $o) > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aFINITEu_POLYHEDRONu_EXTREMEu_POINTS, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (finite @ (gspec @ ^[GENR_PVARR_1329:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1329 @ (extremeu_pointu_of @ V @ S) @ V))))).
thf(aFINITEu_POLYTOPEu_FACES, axiom, ![S:(cartrealn > $o)]:((polytope @ S) => (finite0 @ (gspec0 @ ^[GENR_PVARR_1241:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec0 @ GENR_PVARR_1241 @ (faceu_of @ F @ S) @ F))))).
thf(aKREINu_MILMANu_MINKOWSKI, axiom, ![S:(cartrealn > $o)]:(((convex @ S) & (compact @ S)) => (S = (hull @ convex @ (gspec @ ^[GENR_PVARR_1231:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1231 @ (extremeu_pointu_of @ X @ S) @ X)))))).
thf(aPOLYHEDRONu_EQu_FINITEu_FACES, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ((closed @ S) & (convex @ S) & (finite0 @ (gspec0 @ ^[GENR_PVARR_1358:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec0 @ GENR_PVARR_1358 @ (faceu_of @ F @ S) @ F)))))).
thf(aPOLYHEDRONu_IMPu_CLOSED, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (closed @ S))).
thf(aPOLYHEDRONu_IMPu_CONVEX, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (convex @ S))).
thf(aPOLYTOPEu_IMPu_BOUNDED, axiom, ![S:(cartrealn > $o)]:((polytope @ S) => (bounded @ S))).
thf(aPOLYTOPEu_IMPu_CLOSED, axiom, ![S:(cartrealn > $o)]:((polytope @ S) => (closed @ S))).
thf(aPOLYTOPEu_IMPu_CONVEX, axiom, ![S:(cartrealn > $o)]:((polytope @ S) => (convex @ S))).
thf(aTRUTH, axiom, $true).
thf(apolytope, axiom, ![S:(cartrealn > $o)]:((polytope @ S) <=> ?[V:(cartrealn > $o)]:((finite @ V) & (S = (hull @ convex @ V))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((polytope @ S) <=> ((polyhedron @ S) & (bounded @ S)))).
