%   ORIGINAL: POLYHEDRON_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYTOPE_CONVEX_HULL: !s. FINITE s ==> polytope (convex hull s)
% Assm: POLYTOPE_IMP_POLYHEDRON: !p. polytope p ==> polyhedron p
% Assm: TRUTH: T
% Goal: !s. FINITE s ==> polyhedron (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. FINITE s ==> polytope (convex hull s)
% Assm: !p. polytope p ==> polyhedron p
% Assm: T
% Goal: !s. FINITE s ==> polyhedron (convex hull s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq369449, type, cartrealq369449 : $tType).
thf(treal, type, real : $tType).
thf(tq369449, type, q369449 : $tType).
%  CONSTS
thf(chull, type, hull : (((cartrealq369449 > $o) > $o) > (cartrealq369449 > $o) > cartrealq369449 > $o)).
thf(cpolytope, type, polytope : ((cartrealq369449 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq369449 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealq369449 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealq369449 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYTOPEu_CONVEXu_HULL, axiom, ![S:(cartrealq369449 > $o)]:((finite @ S) => (polytope @ (hull @ convex @ S)))).
thf(aPOLYTOPEu_IMPu_POLYHEDRON, axiom, ![P:(cartrealq369449 > $o)]:((polytope @ P) => (polyhedron @ P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq369449 > $o)]:((finite @ S) => (polyhedron @ (hull @ convex @ S)))).
