%   ORIGINAL: POLYHEDRON_CONVEX_CONE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct5: !n. BIT1 n * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_CONVEX_HULL: !s. bounded s ==> bounded (convex hull s)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CONIC_CONVEX_CONE_HULL: !s. conic (convex_cone hull s)
% Assm: CONVEX_CONE_HALFSPACE_LE: !a. convex_cone {x | a dot x <= &0}
% Assm: CONVEX_CONE_HULL_CONTAINS_0: !s. vec 0 IN convex_cone hull s
% Assm: CONVEX_CONE_HULL_EMPTY: convex_cone hull {} = {vec 0}
% Assm: CONVEX_CONE_INTERS: !f. (!s. s IN f ==> convex_cone s) ==> convex_cone (INTERS f)
% Assm: CONVEX_CONVEX_CONE_HULL: !s. convex (convex_cone hull s)
% Assm: CONVEX_HALFSPACE_LE: !a b. convex {x | a dot x <= b}
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_IMP_BOUNDED: !s. FINITE s ==> bounded s
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE_RESTRICT: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: INTERIOR_HALFSPACE_LE: !a b. ~(a = vec 0) ==> interior {x | a dot x <= b} = {x | a dot x < b}
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: IN_BALL_0: !x e. x IN ball (vec 0,e) <=> norm x < e
% Assm: IN_CONVEX_SET: !s a b u. convex s /\ a IN s /\ b IN s /\ &0 <= u /\ u <= &1 ==> (&1 - u) % a + u % b IN s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTERIOR: !x s. x IN interior s <=> (?e. &0 < e /\ ball (x,e) SUBSET s)
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: I_THM: !x. I x = x
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_BOUNDED_UNIV: ~bounded (:real^N)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: POLYTOPE_IMP_POLYHEDRON: !p. polytope p ==> polyhedron p
% Assm: POLYTOPE_SING: !a. polytope {a}
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ABS_DIV: !x y. abs (x / y) = abs x / abs y
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: REAL_ABS_NUM: !n. abs (&n) = &n
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_DIV_RMUL: !x y. ~(y = &0) ==> x / y * y = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_HALF_conjunct0: !e. &0 < e / &2 <=> &0 < e
% Assm: REAL_INF_LE_FINITE: !s a. FINITE s /\ ~(s = {}) ==> (inf s <= a <=> (?x. x IN s /\ x <= a))
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_INF_FINITE: !s a. FINITE s /\ ~(s = {}) ==> (a <= inf s <=> (!x. x IN s ==> a <= x))
% Assm: REAL_LE_LDIV_EQ: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RDIV_EQ: !x y z. &0 < z ==> (x <= y / z <=> x * z <= y)
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_DIV: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: REAL_LT_INF_FINITE: !s a. FINITE s /\ ~(s = {}) ==> (a < inf s <=> (!x. x IN s ==> a < x))
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_POS_NZ: !x. &0 < x ==> ~(x = &0)
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.REAL_PROP_NN_INV: !x. &0 <= inv x <=> &0 <= x
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: VECTOR_ADD_LID: !x. vec 0 + x = x
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: conic: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: polyhedron: !s. polyhedron s <=> (?f. FINITE f /\ s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Assm: polytope: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Goal: !s. FINITE s ==> polyhedron (convex_cone hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: _0 = _0 <=> T
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !n. BIT1 n * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded s ==> bounded (convex hull s)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s. conic (convex_cone hull s)
% Assm: !a. convex_cone {x | a dot x <= &0}
% Assm: !s. vec 0 IN convex_cone hull s
% Assm: convex_cone hull {} = {vec 0}
% Assm: !f. (!s. s IN f ==> convex_cone s) ==> convex_cone (INTERS f)
% Assm: !s. convex (convex_cone hull s)
% Assm: !a b. convex {x | a dot x <= b}
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !x. x dot vec 0 = &0
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !s. FINITE s ==> bounded s
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: !P s. s SUBSET P hull s
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: !P x. x IN P <=> P x
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !a b. ~(a = vec 0) ==> interior {x | a dot x <= b} = {x | a dot x < b}
% Assm: INTERS {} = (:A)
% Assm: !x e. x IN ball (vec 0,e) <=> norm x < e
% Assm: !s a b u. convex s /\ a IN s /\ b IN s /\ &0 <= u /\ u <= &1 ==> (&1 - u) % a + u % b IN s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x s. x IN interior s <=> (?e. &0 < e /\ ball (x,e) SUBSET s)
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. I x = x
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: norm (vec 0) = &0
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~bounded (:real^N)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !p. polytope p ==> polyhedron p
% Assm: !a. polytope {a}
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y. abs (x / y) = abs x / abs y
% Assm: !x. abs (norm x) = norm x
% Assm: !n. abs (&n) = &n
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. ~(y = &0) ==> x / y * y = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !e. &0 < e / &2 <=> &0 < e
% Assm: !s a. FINITE s /\ ~(s = {}) ==> (inf s <= a <=> (?x. x IN s /\ x <= a))
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !s a. FINITE s /\ ~(s = {}) ==> (a <= inf s <=> (!x. x IN s ==> a <= x))
% Assm: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y z. &0 < z ==> (x <= y / z <=> x * z <= y)
% Assm: !x. x <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: !s a. FINITE s /\ ~(s = {}) ==> (a < inf s <=> (!x. x IN s ==> a < x))
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x. &0 < x ==> ~(x = &0)
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x. &0 <= inv x <=> &0 <= x
% Assm: !x y. x < y ==> x <= y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: !x. x * &0 = &0
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x. vec 0 + x = x
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Assm: !c. c % vec 0 = vec 0
% Assm: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !s. polyhedron s <=> (?f. FINITE f /\ s = INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})))
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Goal: !s. FINITE s ==> polyhedron (convex_cone hull s)
%  TYPES
thf(tq99791, type, q99791 : $tType).
thf(tcartrealq97326, type, cartrealq97326 : $tType).
thf(tq97326, type, q97326 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq253101, type, cartrealq253101 : $tType).
thf(tcartrealq168488, type, cartrealq168488 : $tType).
thf(tq47530, type, q47530 : $tType).
thf(tcartrealq97340, type, cartrealq97340 : $tType).
thf(tcartrealq99867, type, cartrealq99867 : $tType).
thf(tcartrealq99706, type, cartrealq99706 : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq168488, type, q168488 : $tType).
thf(tq100270, type, q100270 : $tType).
thf(tcartrealq97543, type, cartrealq97543 : $tType).
thf(tcartrealq100270, type, cartrealq100270 : $tType).
thf(tq97543, type, q97543 : $tType).
thf(tcartrealq99791, type, cartrealq99791 : $tType).
thf(tcartrealq363184, type, cartrealq363184 : $tType).
thf(tq99867, type, q99867 : $tType).
thf(ta, type, a : $tType).
thf(tq99845, type, q99845 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq97156, type, cartrealq97156 : $tType).
thf(tq47601, type, q47601 : $tType).
thf(tprodcartrealq172182real, type, prodcartrealq172182real : $tType).
thf(tprodcartrealq168488real, type, prodcartrealq168488real : $tType).
thf(tcartrealq172182, type, cartrealq172182 : $tType).
thf(tq254616, type, q254616 : $tType).
thf(tq172182, type, q172182 : $tType).
thf(tq47602, type, q47602 : $tType).
thf(tcartrealq254616, type, cartrealq254616 : $tType).
thf(tq47565, type, q47565 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq47566, type, q47566 : $tType).
thf(tq253101, type, q253101 : $tType).
thf(tq363184, type, q363184 : $tType).
thf(tcartrealq99845, type, cartrealq99845 : $tType).
thf(tcartrealq252965, type, cartrealq252965 : $tType).
thf(tq252965, type, q252965 : $tType).
thf(treal, type, real : $tType).
thf(tq98067, type, q98067 : $tType).
thf(tq97340, type, q97340 : $tType).
thf(tq97156, type, q97156 : $tType).
thf(tcartrealq98067, type, cartrealq98067 : $tType).
thf(tn, type, n : $tType).
thf(tq47526, type, q47526 : $tType).
thf(tq99706, type, q99706 : $tType).
%  CONSTS
thf(cempty5, type, empty5 : (real > $o)).
thf(cempty3, type, empty3 : (a > $o)).
thf(cuniv, type, univ : (a > $o)).
thf(cinf, type, inf : ((real > $o) > real)).
thf(cvectoruu_norm4, type, vectoru_norm4 : (cartrealq100270 > real)).
thf(cvectoruu_norm3, type, vectoru_norm3 : (cartrealq99867 > real)).
thf(cvectoruu_norm2, type, vectoru_norm2 : (cartrealq99791 > real)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq99845 > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq99706 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq168488 > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cvec5, type, vec5 : (num > cartrealq97156)).
thf(cvec4, type, vec4 : (num > cartrealq99867)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cvec6, type, vec6 : (num > cartrealq97543)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cin12, type, in12 : (cartrealq254616 > (cartrealq254616 > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cin11, type, in11 : (real > (real > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin10, type, in10 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cball0, type, ball0 : (prodcartrealq172182real > cartrealq172182 > $o)).
thf(csubset1, type, subset1 : ((cartrealq172182 > $o) > (cartrealq172182 > $o) > $o)).
thf(cinterior0, type, interior0 : ((cartrealq172182 > $o) > cartrealq172182 > $o)).
thf(cin9, type, in9 : (cartrealq172182 > (cartrealq172182 > $o) > $o)).
thf(cgspec1, type, gspec1 : ((q43851 > $o) > q43851 > $o)).
thf(cin8, type, in8 : (q43851 > (q43851 > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cin7, type, in7 : (cartrealq252965 > (cartrealq252965 > $o) > $o)).
thf(cball, type, ball : (prodcartrealq168488real > cartrealq168488 > $o)).
thf(cin6, type, in6 : (cartrealq168488 > (cartrealq168488 > $o) > $o)).
thf(cinters0, type, inters0 : (((a > $o) > $o) > a > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin5, type, in5 : (q47566 > (q47566 > $o) > $o)).
thf(cin4, type, in4 : (q47565 > (q47565 > $o) > $o)).
thf(cin3, type, in3 : (a > (a > $o) > $o)).
thf(cin2, type, in2 : (q47602 > (q47602 > $o) > $o)).
thf(cin1, type, in1 : (q47601 > (q47601 > $o) > $o)).
thf(cdot1, type, dot1 : (cartrealq98067 > cartrealq98067 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cdot0, type, dot0 : (cartrealq253101 > cartrealq253101 > real)).
thf(cgspec0, type, gspec0 : ((cartrealq253101 > $o) > cartrealq253101 > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin0, type, in0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cvec1, type, vec1 : (num > cartrealq168488)).
thf(cvec2, type, vec2 : (num > cartrealq99706)).
thf(cempty1, type, empty1 : (q47530 > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cru_4, type, r_4 : (real > cartrealq254616 > cartrealq254616)).
thf(cru_3, type, r_3 : (real > cartrealq97543 > cartrealq97543)).
thf(cru_2, type, r_2 : (real > cartrealq97340 > cartrealq97340)).
thf(cru_1, type, r_1 : (real > cartrealq97326 > cartrealq97326)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq97156 > cartrealq97156 > cartrealq97156)).
thf(cuu_0, type, u_0 : num).
thf(cinsert1, type, insert1 : (cartrealq363184 > (cartrealq363184 > $o) > cartrealq363184 > $o)).
thf(cru_0, type, r_0 : (real > cartrealq99791 > cartrealq99791)).
thf(ccu_0, type, c_0 : (cartrealq172182 > real > prodcartrealq172182real)).
thf(csetspec1, type, setspec1 : (q43851 > $o > q43851 > $o)).
thf(cru_, type, r_ : (real > cartrealq252965 > cartrealq252965)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq252965 > cartrealq252965 > cartrealq252965)).
thf(ccu_, type, c_ : (cartrealq168488 > real > prodcartrealq168488real)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(cimage2, type, image2 : ((q47530 > q47526) > (q47530 > $o) > q47526 > $o)).
thf(cimage1, type, image1 : ((q47566 > q47565) > (q47566 > $o) > q47565 > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((q47602 > q47601) > (q47602 > $o) > q47601 > $o)).
thf(csetspec0, type, setspec0 : (cartrealq253101 > $o > cartrealq253101 > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty0, type, empty0 : (q47526 > $o)).
thf(cvec0, type, vec0 : (num > cartrealq98067)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec3, type, vec3 : (num > cartrealq99845)).
thf(cfinite1, type, finite1 : (((cartrealn > $o) > $o) > $o)).
thf(cconic0, type, conic0 : ((cartrealq254616 > $o) > $o)).
thf(cfinite0, type, finite0 : ((real > $o) > $o)).
thf(cempty4, type, empty4 : (cartrealq363184 > $o)).
thf(cpolytope0, type, polytope0 : ((cartrealq363184 > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealn > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cconvex1, type, convex1 : ((cartrealq252965 > $o) > $o)).
thf(cempty2, type, empty2 : ((a > $o) > $o)).
thf(cconvex0, type, convex0 : ((cartrealq253101 > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconic, type, conic : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct5, axiom, ![N:num]:((t_ @ (bit1 @ N) @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (bounded @ (hull @ convex @ S)))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONICu_CONVEXu_CONEu_HULL, axiom, ![S:(cartrealn > $o)]:(conic @ (hull @ convexu_cone @ S))).
thf(aCONVEXu_CONEu_HALFSPACEu_LE, axiom, ![A:cartrealn]:(convexu_cone @ (gspec @ ^[GENR_PVARR_1017:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1017 @ (realu_le @ (dot @ A @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ X)))).
thf(aCONVEXu_CONEu_HULLu_CONTAINSu_0, axiom, ![S:(cartrealn > $o)]:(in @ (vec @ (numeral @ u_0)) @ (hull @ convexu_cone @ S))).
thf(aCONVEXu_CONEu_HULLu_EMPTY, axiom, ((hull @ convexu_cone @ empty) = (insert @ (vec @ (numeral @ u_0)) @ empty))).
thf(aCONVEXu_CONEu_INTERS, axiom, ![F:((cartrealn > $o) > $o)]:(![S:(cartrealn > $o)]:((in0 @ S @ F) => (convexu_cone @ S)) => (convexu_cone @ (inters @ F)))).
thf(aCONVEXu_CONVEXu_CONEu_HULL, axiom, ![S:(cartrealn > $o)]:(convex @ (hull @ convexu_cone @ S))).
thf(aCONVEXu_HALFSPACEu_LE, axiom, ![A:cartrealq253101,B:real]:(convex0 @ (gspec0 @ ^[GENR_PVARR_816:cartrealq253101]:?[X:cartrealq253101]:(setspec0 @ GENR_PVARR_816 @ (realu_le @ (dot0 @ A @ X) @ B) @ X)))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDOTu_RZERO, axiom, ![X:cartrealq98067]:((dot1 @ X @ (vec0 @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(q47601 > $o),F:(q47602 > q47601),S:(q47602 > $o)]:(?[Y:q47601]:((in1 @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:q47602]:((in2 @ X @ S) & (P @ (F @ X))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in3 @ X @ S) <=> (in3 @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((finite @ S) => (finite @ (image0 @ F @ S)))).
thf(aFINITEu_IMPu_BOUNDED, axiom, ![S:(cartrealn > $o)]:((finite @ S) => (bounded @ S))).
thf(aFINITEu_INSERT, axiom, ![S:(cartrealn > $o),X:cartrealn]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aFINITEu_RESTRICT, axiom, ![S:(cartrealn > $o),P:(cartrealn > $o)]:((finite @ S) => (finite @ (gspec @ ^[GENR_PVARR_66:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_66 @ ((in @ X @ S) & (P @ X)) @ X))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(q47565 > $o),F:(q47566 > q47565),S:(q47566 > $o)]:(![Y:q47565]:((in4 @ Y @ (image1 @ F @ S)) => (P @ Y)) <=> ![X:q47566]:((in5 @ X @ S) => (P @ (F @ X))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHULLu_INC, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aHULLu_MINIMAL, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(q47530 > q47526),S:(q47530 > $o)]:(((image2 @ F @ S) = empty0) <=> (S = empty1))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in3 @ X @ P) <=> (P @ X))).
thf(aINSERTu_SUBSET, axiom, ![X:a,S:(a > $o),T:(a > $o)]:((subset0 @ (insert0 @ X @ S) @ T) <=> ((in3 @ X @ T) & (subset0 @ S @ T)))).
thf(aINTERIORu_HALFSPACEu_LE, axiom, ![A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) => ((interior @ (gspec @ ^[GENR_PVARR_533:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_533 @ (realu_le @ (dot @ A @ X) @ B) @ X))) = (gspec @ ^[GENR_PVARR_534:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_534 @ (realu_lt @ (dot @ A @ X) @ B) @ X))))).
thf(aINTERSu_0, axiom, ((inters0 @ empty2) = univ)).
thf(aINu_BALLu_0, axiom, ![X:cartrealq168488,E:real]:((in6 @ X @ (ball @ (c_ @ (vec1 @ (numeral @ u_0)) @ E))) <=> (realu_lt @ (vectoru_norm @ X) @ E))).
thf(aINu_CONVEXu_SET, axiom, ![S:(cartrealq252965 > $o),A:cartrealq252965,B:cartrealq252965,U:real]:(((convex1 @ S) & (in7 @ A @ S) & (in7 @ B @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in7 @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ A) @ (r_ @ U @ B)) @ S))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in8 @ X @ (gspec1 @ ^[V:q43851]:?[Y:q43851]:(setspec1 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in3 @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in3 @ X @ S)))).
thf(aINu_INTERIOR, axiom, ![X:cartrealq172182,S:(cartrealq172182 > $o)]:((in9 @ X @ (interior0 @ S)) <=> ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset1 @ (ball0 @ (c_0 @ X @ E)) @ S)))).
thf(aINu_INTERS, axiom, ![S:((a > $o) > $o),X:a]:((in3 @ X @ (inters0 @ S)) <=> ![T:(a > $o)]:((in10 @ T @ S) => (in3 @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNORMu_0, axiom, ((vectoru_norm0 @ (vec2 @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_EQu_0, axiom, ![X:cartrealq99845]:(((vectoru_norm1 @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec3 @ (numeral @ u_0))))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealq99791]:((vectoru_norm2 @ (r_0 @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm2 @ X)))).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealq99867]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm3 @ X)) <=> ~ ((X = (vec4 @ (numeral @ u_0)))))).
thf(aNOTu_BOUNDEDu_UNIV, axiom, ~ ((bounded @ univ0))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in3 @ X @ empty3))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aPOLYTOPEu_IMPu_POLYHEDRON, axiom, ![P:(cartrealn > $o)]:((polytope @ P) => (polyhedron @ P))).
thf(aPOLYTOPEu_SING, axiom, ![A:cartrealq363184]:(polytope0 @ (insert1 @ A @ empty4))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ABSu_DIV, axiom, ![X:real,Y:real]:((realu_abs @ (realu_div @ X @ Y)) = (realu_div @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealq100270]:((realu_abs @ (vectoru_norm4 @ X)) = (vectoru_norm4 @ X))).
thf(aREALu_ABSu_NUM, axiom, ![N:num]:((realu_abs @ (realu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_DIVu_RMUL, axiom, ![X:real,Y:real]:(~ ((Y = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_div @ X @ Y) @ Y) = X))).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_HALFu_conjunct0, axiom, ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aREALu_INFu_LEu_FINITE, axiom, ![S:(real > $o),A:real]:(((finite0 @ S) & ~ ((S = empty5))) => ((realu_le @ (inf @ S) @ A) <=> ?[X:real]:((in11 @ X @ S) & (realu_le @ X @ A))))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_INFu_FINITE, axiom, ![S:(real > $o),A:real]:(((finite0 @ S) & ~ ((S = empty5))) => ((realu_le @ A @ (inf @ S)) <=> ![X:real]:((in11 @ X @ S) => (realu_le @ A @ X))))).
thf(aREALu_LEu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_div @ X @ Z) @ Y) <=> (realu_le @ X @ (realu_mul @ Y @ Z))))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ X @ (realu_div @ Y @ Z)) <=> (realu_le @ (realu_mul @ X @ Z) @ Y)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_DIV, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_LTu_INFu_FINITE, axiom, ![S:(real > $o),A:real]:(((finite0 @ S) & ~ ((S = empty5))) => ((realu_lt @ A @ (inf @ S)) <=> ![X:real]:((in11 @ X @ S) => (realu_lt @ A @ X))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_POSu_NZ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ~ ((X = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_REALu_PROPu_NNu_INV, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in3 @ X @ S) => (in3 @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(a > $o),T:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ S)) => (S = T))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aVECTORu_ADDu_LID, axiom, ![X:cartrealq97156]:((vectoru_add0 @ (vec5 @ (numeral @ u_0)) @ X) = X)).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealq97326]:((r_1 @ A @ (r_1 @ B @ X)) = (r_1 @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq97340]:((r_2 @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_3 @ C @ (vec6 @ (numeral @ u_0))) = (vec6 @ (numeral @ u_0)))).
thf(aconic, axiom, ![S:(cartrealq254616 > $o)]:((conic0 @ S) <=> ![X:cartrealq254616,C:real]:(((in12 @ X @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C)) => (in12 @ (r_4 @ C @ X) @ S)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(apolyhedron, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn > $o) > $o)]:((finite1 @ F) & (S = (inters @ F)) & ![H:(cartrealn > $o)]:((in0 @ H @ F) => ?[A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1248:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1248 @ (realu_le @ (dot @ A @ X) @ B) @ X)))))))).
thf(apolytope, axiom, ![S:(cartrealn > $o)]:((polytope @ S) <=> ?[V:(cartrealn > $o)]:((finite @ V) & (S = (hull @ convex @ V))))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond0 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((finite @ S) => (polyhedron @ (hull @ convexu_cone @ S)))).
