%   ORIGINAL: CLOSED_CONVEX_CONE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYHEDRON_CONVEX_CONE_HULL: !s. FINITE s ==> polyhedron (convex_cone hull s)
% Assm: POLYHEDRON_IMP_CLOSED: !s. polyhedron s ==> closed s
% Assm: TRUTH: T
% Goal: !s. FINITE s ==> closed (convex_cone hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s. FINITE s ==> polyhedron (convex_cone hull s)
% Assm: !s. polyhedron s ==> closed s
% Assm: T
% Goal: !s. FINITE s ==> closed (convex_cone hull s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYHEDRONu_CONVEXu_CONEu_HULL, axiom, ![S:(cartrealn > $o)]:((finite @ S) => (polyhedron @ (hull @ convexu_cone @ S)))).
thf(aPOLYHEDRONu_IMPu_CLOSED, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (closed @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((finite @ S) => (closed @ (hull @ convexu_cone @ S)))).
