%   ORIGINAL: POLYHEDRON_POLYTOPE_SUMS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_COMPACT_SUMS: !s t. closed s /\ compact t ==> closed {x + y | x IN s /\ y IN t}
% Assm: CONVEX_SUMS: !s t. convex s /\ convex t ==> convex {x + y | x IN s /\ y IN t}
% Assm: EXPOSED_FACE_OF_SUMS: !s t f. convex s /\ convex t /\ f exposed_face_of {x + y | x IN s /\ y IN t} ==> (?k l. k exposed_face_of s /\ l exposed_face_of t /\ f = {x + y | x IN k /\ y IN l})
% Assm: FINITE_POLYHEDRON_EXPOSED_FACES: !s. polyhedron s ==> FINITE {f | f exposed_face_of s}
% Assm: FINITE_PRODUCT_DEPENDENT: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: POLYHEDRON_EQ_FINITE_EXPOSED_FACES: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f exposed_face_of s}
% Assm: POLYHEDRON_IMP_CLOSED: !s. polyhedron s ==> closed s
% Assm: POLYHEDRON_IMP_CONVEX: !s. polyhedron s ==> convex s
% Assm: POLYTOPE_IMP_COMPACT: !s. polytope s ==> compact s
% Assm: POLYTOPE_IMP_CONVEX: !s. polytope s ==> convex s
% Assm: POLYTOPE_IMP_POLYHEDRON: !p. polytope p ==> polyhedron p
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. polyhedron s /\ polytope t ==> polyhedron {x + y | x IN s /\ y IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. closed s /\ compact t ==> closed {x + y | x IN s /\ y IN t}
% Assm: !s t. convex s /\ convex t ==> convex {x + y | x IN s /\ y IN t}
% Assm: !s t f. convex s /\ convex t /\ f exposed_face_of {x + y | x IN s /\ y IN t} ==> (?k l. k exposed_face_of s /\ l exposed_face_of t /\ f = {x + y | x IN k /\ y IN l})
% Assm: !s. polyhedron s ==> FINITE {f | f exposed_face_of s}
% Assm: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f exposed_face_of s}
% Assm: !s. polyhedron s ==> closed s
% Assm: !s. polyhedron s ==> convex s
% Assm: !s. polytope s ==> compact s
% Assm: !s. polytope s ==> convex s
% Assm: !p. polytope p ==> polyhedron p
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. polyhedron s /\ polytope t ==> polyhedron {x + y | x IN s /\ y IN t}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cexposeduu_faceuu_of, type, exposedu_faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cfinite1, type, finite1 : ((a > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealn > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_COMPACTu_SUMS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (compact @ T)) => (closed @ (gspec @ ^[GENR_PVARR_622:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_622 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))))).
thf(aCONVEXu_SUMS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (convex @ T)) => (convex @ (gspec @ ^[GENR_PVARR_853:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_853 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))))).
thf(aEXPOSEDu_FACEu_OFu_SUMS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),F:(cartrealn > $o)]:(((convex @ S) & (convex @ T) & (exposedu_faceu_of @ F @ (gspec @ ^[GENR_PVARR_1194:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_1194 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y))))) => ?[K:(cartrealn > $o),L:(cartrealn > $o)]:((exposedu_faceu_of @ K @ S) & (exposedu_faceu_of @ L @ T) & (F = (gspec @ ^[GENR_PVARR_1195:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_1195 @ ((in @ X @ K) & (in @ Y @ L)) @ (vectoru_add @ X @ Y))))))).
thf(aFINITEu_POLYHEDRONu_EXPOSEDu_FACES, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (finite @ (gspec0 @ ^[GENR_PVARR_1326:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec0 @ GENR_PVARR_1326 @ (exposedu_faceu_of @ F @ S) @ F))))).
thf(aFINITEu_PRODUCTu_DEPENDENT, axiom, ![F:(cartrealn > cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > cartrealn > $o)]:(((finite0 @ S) & ![X:cartrealn]:((in @ X @ S) => (finite0 @ (T @ X)))) => (finite0 @ (gspec @ ^[GENR_PVARR_83:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_83 @ ((in @ X @ S) & (in @ Y @ (T @ X))) @ (F @ X @ Y)))))).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite1 @ T) & (subset @ S @ T)) => (finite1 @ S))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aPOLYHEDRONu_EQu_FINITEu_EXPOSEDu_FACES, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ((closed @ S) & (convex @ S) & (finite @ (gspec0 @ ^[GENR_PVARR_1356:(cartrealn > $o)]:?[F:(cartrealn > $o)]:(setspec0 @ GENR_PVARR_1356 @ (exposedu_faceu_of @ F @ S) @ F)))))).
thf(aPOLYHEDRONu_IMPu_CLOSED, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (closed @ S))).
thf(aPOLYHEDRONu_IMPu_CONVEX, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (convex @ S))).
thf(aPOLYTOPEu_IMPu_COMPACT, axiom, ![S:(cartrealn > $o)]:((polytope @ S) => (compact @ S))).
thf(aPOLYTOPEu_IMPu_CONVEX, axiom, ![S:(cartrealn > $o)]:((polytope @ S) => (convex @ S))).
thf(aPOLYTOPEu_IMPu_POLYHEDRON, axiom, ![P:(cartrealn > $o)]:((polytope @ P) => (polyhedron @ P))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset0 @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((polyhedron @ S) & (polytope @ T)) => (polyhedron @ (gspec @ ^[GENR_PVARR_1371:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_1371 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))))).
