%   ORIGINAL: POLYHEDRON_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONE_HULL_LINEAR_IMAGE: !f s. linear f ==> convex_cone hull IMAGE f s = IMAGE f (convex_cone hull s)
% Assm: CONVEX_HULL_LINEAR_IMAGE: !f s. linear f ==> convex hull IMAGE f s = IMAGE f (convex hull s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: LINEAR_ADD: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYHEDRON_AS_CONE_PLUS_CONV: !s. polyhedron s <=> (?t u. FINITE t /\ FINITE u /\ s = {x + y | x IN convex_cone hull t /\ y IN convex hull u})
% Assm: TRUTH: T
% Goal: !f s. linear f /\ polyhedron s ==> polyhedron (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. linear f ==> convex_cone hull IMAGE f s = IMAGE f (convex_cone hull s)
% Assm: !f s. linear f ==> convex hull IMAGE f s = IMAGE f (convex hull s)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: ~F <=> T
% Assm: !s. polyhedron s <=> (?t u. FINITE t /\ FINITE u /\ s = {x + y | x IN convex_cone hull t /\ y IN convex hull u})
% Assm: !s. polyhedron s <=> (?t u. FINITE t /\ FINITE u /\ s = {x + y | x IN convex_cone hull t /\ y IN convex hull u})
% Assm: T
% Goal: !f s. linear f /\ polyhedron s ==> polyhedron (IMAGE f s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43820, type, q43820 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec1, type, gspec1 : ((cartrealm > $o) > cartrealm > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin2, type, in2 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((q43820 > $o) > q43820 > $o)).
thf(cin0, type, in0 : (q43820 > (q43820 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetspec1, type, setspec1 : (cartrealm > $o > cartrealm > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealm > cartrealm > cartrealm)).
thf(csetspec, type, setspec : (q43820 > $o > q43820 > $o)).
thf(chull0, type, hull0 : (((cartrealm > $o) > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealm > $o) > $o)).
thf(cconvex0, type, convex0 : ((cartrealm > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone0, type, convexu_cone0 : ((cartrealm > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(cpolyhedron0, type, polyhedron0 : ((cartrealn > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealm > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONEu_HULLu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((hull @ convexu_cone @ (image @ F @ S)) = (image @ F @ (hull0 @ convexu_cone0 @ S))))).
thf(aCONVEXu_HULLu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((hull @ convex @ (image @ F @ S)) = (image @ F @ (hull0 @ convex0 @ S))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((finite @ S) => (finite0 @ (image @ F @ S)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in0 @ X @ (gspec @ ^[V:q43820]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((in1 @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in2 @ X @ S)))).
thf(aLINEARu_ADD, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,Y:cartrealm]:((linear @ F) => ((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYHEDRONu_ASu_CONEu_PLUSu_CONVu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((polyhedron0 @ S) <=> ?[T:(cartrealn > $o),U:(cartrealn > $o)]:((finite0 @ T) & (finite0 @ U) & (S = (gspec0 @ ^[GENR_PVARR_1382:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec0 @ GENR_PVARR_1382 @ ((in1 @ X @ (hull @ convexu_cone @ T)) & (in1 @ Y @ (hull @ convex @ U))) @ (vectoru_add0 @ X @ Y))))))).
thf(aPOLYHEDRONu_ASu_CONEu_PLUSu_CONVu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((polyhedron @ S) <=> ?[T:(cartrealm > $o),U:(cartrealm > $o)]:((finite @ T) & (finite @ U) & (S = (gspec1 @ ^[GENR_PVARR_1382:cartrealm]:?[X:cartrealm,Y:cartrealm]:(setspec1 @ GENR_PVARR_1382 @ ((in2 @ X @ (hull0 @ convexu_cone0 @ T)) & (in2 @ Y @ (hull0 @ convex0 @ U))) @ (vectoru_add @ X @ Y))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & (polyhedron @ S)) => (polyhedron0 @ (image @ F @ S)))).
