%   ORIGINAL: POLYHEDRON_SUMS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONE_HULL_UNION: !s t. convex_cone hull (s UNION t) = {x + y | x IN convex_cone hull s /\ y IN convex_cone hull t}
% Assm: CONVEX_HULL_SUMS: !s t. convex hull {x + y | x IN s /\ y IN t} = {x + y | x IN convex hull s /\ y IN convex hull t}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_PRODUCT_DEPENDENT: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYHEDRON_AS_CONE_PLUS_CONV: !s. polyhedron s <=> (?t u. FINITE t /\ FINITE u /\ s = {x + y | x IN convex_cone hull t /\ y IN convex hull u})
% Assm: TRUTH: T
% Assm: VECTOR_ADD_AC_conjunct0: m + n = n + m
% Assm: VECTOR_ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: VECTOR_ADD_AC_conjunct2: m + n + p = n + m + p
% Goal: !s t. polyhedron s /\ polyhedron t ==> polyhedron {x + y | x IN s /\ y IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. convex_cone hull (s UNION t) = {x + y | x IN convex_cone hull s /\ y IN convex_cone hull t}
% Assm: !s t. convex hull {x + y | x IN s /\ y IN t} = {x + y | x IN convex hull s /\ y IN convex hull t}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: !s. polyhedron s <=> (?t u. FINITE t /\ FINITE u /\ s = {x + y | x IN convex_cone hull t /\ y IN convex hull u})
% Assm: T
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Goal: !s t. polyhedron s /\ polyhedron t ==> polyhedron {x + y | x IN s /\ y IN t}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONEu_HULLu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((hull @ convexu_cone @ (union @ S @ T)) = (gspec @ ^[GENR_PVARR_1019:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_1019 @ ((in @ X @ (hull @ convexu_cone @ S)) & (in @ Y @ (hull @ convexu_cone @ T))) @ (vectoru_add @ X @ Y))))).
thf(aCONVEXu_HULLu_SUMS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((hull @ convex @ (gspec @ ^[GENR_PVARR_870:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_870 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))) = (gspec @ ^[GENR_PVARR_871:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_871 @ ((in @ X @ (hull @ convex @ S)) & (in @ Y @ (hull @ convex @ T))) @ (vectoru_add @ X @ Y))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_PRODUCTu_DEPENDENT, axiom, ![F:(cartrealn > cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > cartrealn > $o)]:(((finite @ S) & ![X:cartrealn]:((in @ X @ S) => (finite @ (T @ X)))) => (finite @ (gspec @ ^[GENR_PVARR_83:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_83 @ ((in @ X @ S) & (in @ Y @ (T @ X))) @ (F @ X @ Y)))))).
thf(aFINITEu_UNION, axiom, ![S:(a > $o),T:(a > $o)]:((finite0 @ (union0 @ S @ T)) <=> ((finite0 @ S) & (finite0 @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYHEDRONu_ASu_CONEu_PLUSu_CONV, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) <=> ?[T:(cartrealn > $o),U:(cartrealn > $o)]:((finite @ T) & (finite @ U) & (S = (gspec @ ^[GENR_PVARR_1382:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_1382 @ ((in @ X @ (hull @ convexu_cone @ T)) & (in @ Y @ (hull @ convex @ U))) @ (vectoru_add @ X @ Y))))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_ACu_conjunct0, axiom, ![N:cartrealn,M:cartrealn]:((vectoru_add @ M @ N) = (vectoru_add @ N @ M))).
thf(aVECTORu_ADDu_ACu_conjunct1, axiom, ![M:cartrealn,N:cartrealn,P:cartrealn]:((vectoru_add @ (vectoru_add @ M @ N) @ P) = (vectoru_add @ M @ (vectoru_add @ N @ P)))).
thf(aVECTORu_ADDu_ACu_conjunct2, axiom, ![N:cartrealn,M:cartrealn,P:cartrealn]:((vectoru_add @ M @ (vectoru_add @ N @ P)) = (vectoru_add @ N @ (vectoru_add @ M @ P)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((polyhedron @ S) & (polyhedron @ T)) => (polyhedron @ (gspec @ ^[GENR_PVARR_1388:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_1388 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_add @ X @ Y)))))).
