%   ORIGINAL: INSIDE_OF_TRIANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CONVEX_HULL: !s. bounded s ==> bounded (convex hull s)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: FINITE_EMPTY: FINITE {}
% Assm: FINITE_IMP_BOUNDED: !s. FINITE s ==> bounded s
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FRONTIER_OF_TRIANGLE: !a b c. frontier (convex hull {a, b, c}) = segment [a,b] UNION segment [b,c] UNION segment [c,a]
% Assm: INSIDE_FRONTIER_EQ_INTERIOR: !s. bounded s /\ convex s ==> inside (frontier s) = interior s
% Assm: TRUTH: T
% Goal: !a b c. inside (segment [a,b] UNION segment [b,c] UNION segment [c,a]) = interior (convex hull {a, b, c})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s ==> bounded (convex hull s)
% Assm: !s. convex (convex hull s)
% Assm: FINITE {}
% Assm: !s. FINITE s ==> bounded s
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !a b c. frontier (convex hull {a, b, c}) = segment [a,b] UNION segment [b,c] UNION segment [c,a]
% Assm: !s. bounded s /\ convex s ==> inside (frontier s) = interior s
% Assm: T
% Goal: !a b c. inside (segment [a,b] UNION segment [b,c] UNION segment [c,a]) = interior (convex hull {a, b, c})
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tprodcartrealn2cartrealn2, type, prodcartrealn2cartrealn2 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn2cartrealn2, type, listprodcartrealn2cartrealn2 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn2cartrealn2).
thf(cfrontier, type, frontier : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cinterior, type, interior : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealn2cartrealn2 > cartrealn2 > $o)).
thf(cinside, type, inside : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cinsert, type, insert : (cartrealn2 > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(chull, type, hull : (((cartrealn2 > $o) > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(ccu_, type, c_ : (cartrealn2 > cartrealn2 > prodcartrealn2cartrealn2)).
thf(ccons, type, cons : (prodcartrealn2cartrealn2 > listprodcartrealn2cartrealn2 > listprodcartrealn2cartrealn2)).
thf(cunion, type, union : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn2 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn2 > $o) > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
thf(cconvex, type, convex : ((cartrealn2 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2 > $o),G:(a > cartrealn2 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CONVEXu_HULL, axiom, ![S:(cartrealn2 > $o)]:((bounded @ S) => (bounded @ (hull @ convex @ S)))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealn2 > $o)]:(convex @ (hull @ convex @ S))).
thf(aFINITEu_EMPTY, axiom, (finite @ empty)).
thf(aFINITEu_IMPu_BOUNDED, axiom, ![S:(cartrealn > $o)]:((finite0 @ S) => (bounded0 @ S))).
thf(aFINITEu_INSERT, axiom, ![S:(cartrealn2 > $o),X:cartrealn2]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aFRONTIERu_OFu_TRIANGLE, axiom, ![A:cartrealn2,B:cartrealn2,C:cartrealn2]:((frontier @ (hull @ convex @ (insert @ A @ (insert @ B @ (insert @ C @ empty))))) = (union @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (union @ (closedu_segment @ (cons @ (c_ @ B @ C) @ nil)) @ (closedu_segment @ (cons @ (c_ @ C @ A) @ nil)))))).
thf(aINSIDEu_FRONTIERu_EQu_INTERIOR, axiom, ![S:(cartrealn2 > $o)]:(((bounded @ S) & (convex @ S)) => ((inside @ (frontier @ S)) = (interior @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn2,B:cartrealn2,C:cartrealn2]:((inside @ (union @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (union @ (closedu_segment @ (cons @ (c_ @ B @ C) @ nil)) @ (closedu_segment @ (cons @ (c_ @ C @ A) @ nil))))) = (interior @ (hull @ convex @ (insert @ A @ (insert @ B @ (insert @ C @ empty))))))).
