%   ORIGINAL: INTERIOR_OF_TRIANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_CONVEX_HULL: !s. compact s ==> closure (convex hull s) = convex hull s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_EMPTY: FINITE {}
% Assm: FINITE_IMP_COMPACT: !s. FINITE s ==> compact s
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FRONTIER_OF_TRIANGLE: !a b c. frontier (convex hull {a, b, c}) = segment [a,b] UNION segment [b,c] UNION segment [c,a]
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !a b c. interior (convex hull {a, b, c}) = convex hull {a, b, c} DIFF (segment [a,b] UNION segment [b,c] UNION segment [c,a])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s ==> closure (convex hull s) = convex hull s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE {}
% Assm: !s. FINITE s ==> compact s
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !a b c. frontier (convex hull {a, b, c}) = segment [a,b] UNION segment [b,c] UNION segment [c,a]
% Assm: !P x. x IN P <=> P x
% Assm: !s. interior s SUBSET s
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !a b c. interior (convex hull {a, b, c}) = convex hull {a, b, c} DIFF (segment [a,b] UNION segment [b,c] UNION segment [c,a])
%  TYPES
thf(tcartrealq186529, type, cartrealq186529 : $tType).
thf(ta, type, a : $tType).
thf(tq186529, type, q186529 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tprodcartrealn2cartrealn2, type, prodcartrealn2cartrealn2 : $tType).
thf(tlistprodcartrealn2cartrealn2, type, listprodcartrealn2cartrealn2 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn2cartrealn2).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cfrontier, type, frontier : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealn2cartrealn2 > cartrealn2 > $o)).
thf(cinterior, type, interior : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(ccu_, type, c_ : (cartrealn2 > cartrealn2 > prodcartrealn2cartrealn2)).
thf(ccons, type, cons : (prodcartrealn2cartrealn2 > listprodcartrealn2cartrealn2 > listprodcartrealn2cartrealn2)).
thf(cunion, type, union : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cdiff, type, diff : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cinsert, type, insert : (cartrealn2 > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(chull, type, hull : (((cartrealn2 > $o) > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(ccompact0, type, compact0 : ((cartrealq186529 > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealq186529 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn2 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn2 > $o) > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
thf(cconvex, type, convex : ((cartrealn2 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2 > $o),G:(a > cartrealn2 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_CONVEXu_HULL, axiom, ![S:(cartrealn2 > $o)]:((compact @ S) => ((closure @ (hull @ convex @ S)) = (hull @ convex @ S)))).
thf(aEXTENSION, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:((S = T) <=> ![X:cartrealn2]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_EMPTY, axiom, (finite @ empty)).
thf(aFINITEu_IMPu_COMPACT, axiom, ![S:(cartrealq186529 > $o)]:((finite0 @ S) => (compact0 @ S))).
thf(aFINITEu_INSERT, axiom, ![S:(cartrealn2 > $o),X:cartrealn2]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aFRONTIERu_OFu_TRIANGLE, axiom, ![A:cartrealn2,B:cartrealn2,C:cartrealn2]:((frontier @ (hull @ convex @ (insert @ A @ (insert @ B @ (insert @ C @ empty))))) = (union @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (union @ (closedu_segment @ (cons @ (c_ @ B @ C) @ nil)) @ (closedu_segment @ (cons @ (c_ @ C @ A) @ nil)))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealn2 > $o)]:(subset @ (interior @ S) @ S)).
thf(aINu_DIFF, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o),X:cartrealn2]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealn2 > $o)]:((frontier @ S) = (diff @ (closure @ S) @ (interior @ S)))).
thf(conjecture, conjecture, ![A:cartrealn2,B:cartrealn2,C:cartrealn2]:((interior @ (hull @ convex @ (insert @ A @ (insert @ B @ (insert @ C @ empty))))) = (diff @ (hull @ convex @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) @ (union @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (union @ (closedu_segment @ (cons @ (c_ @ B @ C) @ nil)) @ (closedu_segment @ (cons @ (c_ @ C @ A) @ nil))))))).
