%   ORIGINAL: POLYTOPE_VERTEX_LOWER_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFF_DIM_CONVEX_HULL: !s. aff_dim (convex hull s) = aff_dim s
% Assm: AFF_DIM_LE_CARD: !s. FINITE s ==> aff_dim s <= &(CARD s) - &1
% Assm: FINITE_POLYHEDRON_EXTREME_POINTS: !s. polyhedron s ==> FINITE {v | v extreme_point_of s}
% Assm: INT_LE_REFL: !x. x <= x
% Assm: INT_LE_SUB_LADD: !x y z. x <= y - z <=> x + z <= y
% Assm: INT_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: KREIN_MILMAN_MINKOWSKI: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: POLYTOPE_IMP_COMPACT: !s. polytope s ==> compact s
% Assm: POLYTOPE_IMP_CONVEX: !s. polytope s ==> convex s
% Assm: POLYTOPE_IMP_POLYHEDRON: !p. polytope p ==> polyhedron p
% Assm: TRUTH: T
% Goal: !p. polytope p ==> aff_dim p + &1 <= &(CARD {v | v extreme_point_of p})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. aff_dim (convex hull s) = aff_dim s
% Assm: !s. FINITE s ==> aff_dim s <= &(CARD s) - &1
% Assm: !s. polyhedron s ==> FINITE {v | v extreme_point_of s}
% Assm: !x. x <= x
% Assm: !x y z. x <= y - z <=> x + z <= y
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: !s. polytope s ==> compact s
% Assm: !s. polytope s ==> convex s
% Assm: !p. polytope p ==> polyhedron p
% Assm: T
% Goal: !p. polytope p ==> aff_dim p + &1 <= &(CARD {v | v extreme_point_of p})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealn > $o) > $o)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFu_DIMu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((affu_dim @ (hull @ convex @ S)) = (affu_dim @ S))).
thf(aAFFu_DIMu_LEu_CARD, axiom, ![S:(cartrealn > $o)]:((finite @ S) => (intu_le @ (affu_dim @ S) @ (intu_sub @ (intu_ofu_num @ (card @ S)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aFINITEu_POLYHEDRONu_EXTREMEu_POINTS, axiom, ![S:(cartrealn > $o)]:((polyhedron @ S) => (finite @ (gspec @ ^[GENR_PVARR_1329:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1329 @ (extremeu_pointu_of @ V @ S) @ V))))).
thf(aINTu_LEu_REFL, axiom, ![X:int]:(intu_le @ X @ X)).
thf(aINTu_LEu_SUBu_LADD, axiom, ![X:int,Y:int,Z:int]:((intu_le @ X @ (intu_sub @ Y @ Z)) <=> (intu_le @ (intu_add @ X @ Z) @ Y))).
thf(aINTu_LEu_TRANS, axiom, ![X:int,Y:int,Z:int]:(((intu_le @ X @ Y) & (intu_le @ Y @ Z)) => (intu_le @ X @ Z))).
thf(aKREINu_MILMANu_MINKOWSKI, axiom, ![S:(cartrealn > $o)]:(((convex @ S) & (compact @ S)) => (S = (hull @ convex @ (gspec @ ^[GENR_PVARR_1231:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1231 @ (extremeu_pointu_of @ X @ S) @ X)))))).
thf(aPOLYTOPEu_IMPu_COMPACT, axiom, ![S:(cartrealn > $o)]:((polytope @ S) => (compact @ S))).
thf(aPOLYTOPEu_IMPu_CONVEX, axiom, ![S:(cartrealn > $o)]:((polytope @ S) => (convex @ S))).
thf(aPOLYTOPEu_IMPu_POLYHEDRON, axiom, ![P:(cartrealn > $o)]:((polytope @ P) => (polyhedron @ P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn > $o)]:((polytope @ P) => (intu_le @ (intu_add @ (affu_dim @ P) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (intu_ofu_num @ (card @ (gspec @ ^[GENR_PVARR_1421:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1421 @ (extremeu_pointu_of @ V @ P) @ V))))))).
