%   ORIGINAL: CONVEX_SIMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: simplex: !n s. n simplex s <=> (?c. ~affine_dependent c /\ &(CARD c) = n + &1 /\ s = convex hull c)
% Goal: !n s. n simplex s ==> convex s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex (convex hull s)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !n s. n simplex s <=> (?c. ~affine_dependent c /\ &(CARD c) = n + &1 /\ s = convex hull c)
% Goal: !n s. n simplex s ==> convex s
%  TYPES
thf(tq376799, type, q376799 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tcartrealq376799, type, cartrealq376799 : $tType).
%  CONSTS
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(csimplex, type, simplex : (int > (cartrealq376799 > $o) > $o)).
thf(chull, type, hull : (((cartrealq376799 > $o) > $o) > (cartrealq376799 > $o) > cartrealq376799 > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealq376799 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq376799 > $o) > $o)).
thf(ccard, type, card : ((cartrealq376799 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealq376799 > $o)]:(convex @ (hull @ convex @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(asimplex, axiom, ![N:int,S:(cartrealq376799 > $o)]:((simplex @ N @ S) <=> ?[C:(cartrealq376799 > $o)]:(~ ((affineu_dependent @ C)) & ((intu_ofu_num @ (card @ C)) = (intu_add @ N @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (S = (hull @ convex @ C))))).
thf(conjecture, conjecture, ![N:int,S:(cartrealq376799 > $o)]:((simplex @ N @ S) => (convex @ S))).
