%   ORIGINAL: COMPACT_SIMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_CONVEX_HULL: !s. compact s ==> compact (convex hull s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMP_COMPACT: !s. FINITE s ==> compact s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SIMPLEX: n simplex s <=> (?c. FINITE c /\ ~affine_dependent c /\ &(CARD c) = n + &1 /\ s = convex hull c)
% Assm: TRUTH: T
% Goal: !n s. n simplex s ==> compact s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s ==> compact (convex hull s)
% Assm: !t. (\x. t x) = t
% Assm: !s. FINITE s ==> compact s
% Assm: ~F <=> T
% Assm: !n s. n simplex s <=> (?c. FINITE c /\ ~affine_dependent c /\ &(CARD c) = n + &1 /\ s = convex hull c)
% Assm: T
% Goal: !n s. n simplex s ==> compact s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq376815, type, q376815 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq376815, type, cartrealq376815 : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(csimplex, type, simplex : (int > (cartrealq376815 > $o) > $o)).
thf(chull, type, hull : (((cartrealq376815 > $o) > $o) > (cartrealq376815 > $o) > cartrealq376815 > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealq376815 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealq376815 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq376815 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealq376815 > $o) > $o)).
thf(ccard, type, card : ((cartrealq376815 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_CONVEXu_HULL, axiom, ![S:(cartrealq376815 > $o)]:((compact @ S) => (compact @ (hull @ convex @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMPu_COMPACT, axiom, ![S:(cartrealq376815 > $o)]:((finite @ S) => (compact @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSIMPLEX, axiom, ![N:int,S:(cartrealq376815 > $o)]:((simplex @ N @ S) <=> ?[C:(cartrealq376815 > $o)]:((finite @ C) & ~ ((affineu_dependent @ C)) & ((intu_ofu_num @ (card @ C)) = (intu_add @ N @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (S = (hull @ convex @ C))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:int,S:(cartrealq376815 > $o)]:((simplex @ N @ S) => (compact @ S))).
