%   ORIGINAL: SIMPLEX_IMP_POLYTOPE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_INDEPENDENT_IMP_FINITE: !s. ~affine_dependent s ==> FINITE s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: polytope: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Assm: simplex: !n s. n simplex s <=> (?c. ~affine_dependent c /\ &(CARD c) = n + &1 /\ s = convex hull c)
% Goal: !n s. n simplex s ==> polytope s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. ~affine_dependent s ==> FINITE s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !s. polytope s <=> (?v. FINITE v /\ s = convex hull v)
% Assm: !n s. n simplex s <=> (?c. ~affine_dependent c /\ &(CARD c) = n + &1 /\ s = convex hull c)
% Goal: !n s. n simplex s ==> polytope s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tcartrealq376881, type, cartrealq376881 : $tType).
thf(tq376881, type, q376881 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(csimplex, type, simplex : (int > (cartrealq376881 > $o) > $o)).
thf(chull, type, hull : (((cartrealq376881 > $o) > $o) > (cartrealq376881 > $o) > cartrealq376881 > $o)).
thf(caffineuu_dependent0, type, affineu_dependent0 : ((cartrealq376881 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq376881 > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealq376881 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealq376881 > $o) > $o)).
thf(ccard, type, card : ((cartrealq376881 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_INDEPENDENTu_IMPu_FINITE, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => (finite @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(apolytope, axiom, ![S:(cartrealq376881 > $o)]:((polytope @ S) <=> ?[V:(cartrealq376881 > $o)]:((finite0 @ V) & (S = (hull @ convex @ V))))).
thf(asimplex, axiom, ![N:int,S:(cartrealq376881 > $o)]:((simplex @ N @ S) <=> ?[C:(cartrealq376881 > $o)]:(~ ((affineu_dependent0 @ C)) & ((intu_ofu_num @ (card @ C)) = (intu_add @ N @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (S = (hull @ convex @ C))))).
thf(conjecture, conjecture, ![N:int,S:(cartrealq376881 > $o)]:((simplex @ N @ S) => (polytope @ S))).
