%   ORIGINAL: SIMPLEX_MINUS_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_INDEPENDENT_EMPTY: ~affine_dependent {}
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_EQ_0: !s. FINITE s ==> (CARD s = 0 <=> s = {})
% Assm: CONVEX_HULL_EMPTY: convex hull {} = {}
% Assm: FINITE_EMPTY: FINITE {}
% Assm: INT_ADD_LINV: !x. --x + x = &0
% Assm: INT_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SIMPLEX: n simplex s <=> (?c. FINITE c /\ ~affine_dependent c /\ &(CARD c) = n + &1 /\ s = convex hull c)
% Assm: TRUTH: T
% Goal: !s. -- &1 simplex s <=> s = {}
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: ~affine_dependent {}
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. FINITE s ==> (CARD s = 0 <=> s = {})
% Assm: convex hull {} = {}
% Assm: FINITE {}
% Assm: !x. --x + x = &0
% Assm: !m n. &m = &n <=> m = n
% Assm: ~F <=> T
% Assm: !n s. n simplex s <=> (?c. FINITE c /\ ~affine_dependent c /\ &(CARD c) = n + &1 /\ s = convex hull c)
% Assm: T
% Goal: !s. -- &1 simplex s <=> s = {}
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq376968, type, cartrealq376968 : $tType).
thf(tq376968, type, q376968 : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(csimplex, type, simplex : (int > (cartrealq376968 > $o) > $o)).
thf(chull, type, hull : (((cartrealq376968 > $o) > $o) > (cartrealq376968 > $o) > cartrealq376968 > $o)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cconvex, type, convex : ((cartrealq376968 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealq376968 > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealq376968 > $o) > $o)).
thf(cempty, type, empty : (cartrealq376968 > $o)).
thf(ccard, type, card : ((cartrealq376968 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealq376968 > $o),G:(cartrealq376968 > $o)]:(![X:cartrealq376968]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAFFINEu_INDEPENDENTu_EMPTY, axiom, ~ ((affineu_dependent @ empty))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_EQu_0, axiom, ![S:(cartrealq376968 > $o)]:((finite @ S) => (((card @ S) = (numeral @ u_0)) <=> (S = empty)))).
thf(aCONVEXu_HULLu_EMPTY, axiom, ((hull @ convex @ empty) = empty)).
thf(aFINITEu_EMPTY, axiom, (finite @ empty)).
thf(aINTu_ADDu_LINV, axiom, ![X:int]:((intu_add @ (intu_neg @ X) @ X) = (intu_ofu_num @ (numeral @ u_0)))).
thf(aINTu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((intu_ofu_num @ M) = (intu_ofu_num @ N)) <=> (M = N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSIMPLEX, axiom, ![N:int,S:(cartrealq376968 > $o)]:((simplex @ N @ S) <=> ?[C:(cartrealq376968 > $o)]:((finite @ C) & ~ ((affineu_dependent @ C)) & ((intu_ofu_num @ (card @ C)) = (intu_add @ N @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (S = (hull @ convex @ C))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq376968 > $o)]:((simplex @ (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ S) <=> (S = empty))).
