%   ORIGINAL: SIMPLEX_EXTREME_POINTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_CONVEX_HULL: !s. compact s ==> compact (convex hull s)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: CONVEX_HULL_SUBSET_AFFINE_HULL: !s. convex hull s SUBSET affine hull s
% Assm: Collect_geom.affine_dependent: !s. affine_dependent s <=> (?x. x IN s /\ x IN affine hull (s DELETE x))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: EXTREME_POINT_OF_CONVEX_HULL: !x s. x extreme_point_of convex hull s ==> x IN s
% Assm: FINITE_IMP_COMPACT: !s. FINITE s ==> compact s
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: KREIN_MILMAN_MINKOWSKI: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PSUBSET: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: PSUBSET_MEMBER: !s t. s PSUBSET t <=> s SUBSET t /\ (?y. y IN t /\ ~(y IN s))
% Assm: SIMPLEX: n simplex s <=> (?c. FINITE c /\ ~affine_dependent c /\ &(CARD c) = n + &1 /\ s = convex hull c)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !n s. n simplex s ==> FINITE {v | v extreme_point_of s} /\ ~affine_dependent {v | v extreme_point_of s} /\ &(CARD {v | v extreme_point_of s}) = n + &1 /\ s = convex hull {v | v extreme_point_of s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s ==> compact (convex hull s)
% Assm: !s. convex (convex hull s)
% Assm: !s. convex hull s SUBSET affine hull s
% Assm: !s. affine_dependent s <=> (?x. x IN s /\ x IN affine hull (s DELETE x))
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x s. x extreme_point_of convex hull s ==> x IN s
% Assm: !s. FINITE s ==> compact s
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: ~F <=> T
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ (?y. y IN t /\ ~(y IN s))
% Assm: !n s. n simplex s <=> (?c. FINITE c /\ ~affine_dependent c /\ &(CARD c) = n + &1 /\ s = convex hull c)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !n s. n simplex s ==> FINITE {v | v extreme_point_of s} /\ ~affine_dependent {v | v extreme_point_of s} /\ &(CARD {v | v extreme_point_of s}) = n + &1 /\ s = convex hull {v | v extreme_point_of s}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cpsubset0, type, psubset0 : ((a > $o) > (a > $o) > $o)).
thf(cpsubset, type, psubset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ci0, type, i0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin2, type, in2 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin1, type, in1 : (int > (int > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csimplex, type, simplex : (int > (cartrealn > $o) > $o)).
thf(ci, type, i : (int > int)).
thf(cdelete1, type, delete1 : (((cartrealn > $o) > $o) > (cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdelete0, type, delete0 : ((int > $o) > int > int > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (compact @ (hull @ convex @ S)))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(convex @ (hull @ convex @ S))).
thf(aCONVEXu_HULLu_SUBSETu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(subset @ (hull @ convex @ S) @ (hull @ affine @ S))).
thf(aCollectu_geomo_affineu_dependent, axiom, ![S:(cartrealn > $o)]:((affineu_dependent @ S) <=> ?[X:cartrealn]:((in @ X @ S) & (in @ X @ (hull @ affine @ (delete @ S @ X)))))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aEXTREMEu_POINTu_OFu_CONVEXu_HULL, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((extremeu_pointu_of @ X @ (hull @ convex @ S)) => (in @ X @ S))).
thf(aFINITEu_IMPu_COMPACT, axiom, ![S:(cartrealn > $o)]:((finite @ S) => (compact @ S))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aHASu_SIZE, axiom, ![S:(cartrealn > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aHULLu_INC, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aHULLu_MONO, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DELETEu_monomorphized1, axiom, ![S:(int > $o),X:int,Y:int]:((in1 @ X @ (delete0 @ S @ Y)) <=> ((in1 @ X @ S) & ~ ((X = Y))))).
thf(aINu_DELETEu_monomorphized0, axiom, ![S:((cartrealn > $o) > $o),X:(cartrealn > $o),Y:(cartrealn > $o)]:((in2 @ X @ (delete1 @ S @ Y)) <=> ((in2 @ X @ S) & ~ ((X = Y))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THMu_monomorphized1, axiom, ![X:int]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:(cartrealn > $o)]:((i0 @ X) = X)).
thf(aKREINu_MILMANu_MINKOWSKI, axiom, ![S:(cartrealn > $o)]:(((convex @ S) & (compact @ S)) => (S = (hull @ convex @ (gspec @ ^[GENR_PVARR_1231:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1231 @ (extremeu_pointu_of @ X @ S) @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((psubset @ S @ T) <=> ((subset @ S @ T) & ~ ((S = T))))).
thf(aPSUBSETu_MEMBER, axiom, ![S:(a > $o),T:(a > $o)]:((psubset0 @ S @ T) <=> ((subset0 @ S @ T) & ?[Y:a]:((in0 @ Y @ T) & ~ ((in0 @ Y @ S)))))).
thf(aSIMPLEX, axiom, ![N:int,S:(cartrealn > $o)]:((simplex @ N @ S) <=> ?[C:(cartrealn > $o)]:((finite @ C) & ~ ((affineu_dependent @ C)) & ((intu_ofu_num @ (card @ C)) = (intu_add @ N @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (S = (hull @ convex @ C))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:int,S:(cartrealn > $o)]:((simplex @ N @ S) => ((finite @ (gspec @ ^[GENR_PVARR_1429:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1429 @ (extremeu_pointu_of @ V @ S) @ V))) & ~ ((affineu_dependent @ (gspec @ ^[GENR_PVARR_1430:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1430 @ (extremeu_pointu_of @ V @ S) @ V)))) & ((intu_ofu_num @ (card @ (gspec @ ^[GENR_PVARR_1431:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1431 @ (extremeu_pointu_of @ V @ S) @ V)))) = (intu_add @ N @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (S = (hull @ convex @ (gspec @ ^[GENR_PVARR_1432:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1432 @ (extremeu_pointu_of @ V @ S) @ V))))))).
