%   ORIGINAL: FACE_OF_SIMPLEX_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FACE_OF_CONVEX_HULL_SUBSET: !s t. compact s /\ t face_of convex hull s ==> (?s'. s' SUBSET s /\ t = convex hull s')
% Assm: FINITE_IMP_COMPACT: !s. FINITE s ==> compact s
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SIMPLEX_EXTREME_POINTS: !n s. n simplex s ==> FINITE {v | v extreme_point_of s} /\ ~affine_dependent {v | v extreme_point_of s} /\ &(CARD {v | v extreme_point_of s}) = n + &1 /\ s = convex hull {v | v extreme_point_of s}
% Assm: TRUTH: T
% Goal: !n s f. n simplex s /\ f face_of s ==> (?c. c SUBSET {x | x extreme_point_of s} /\ f = convex hull c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. compact s /\ t face_of convex hull s ==> (?s'. s' SUBSET s /\ t = convex hull s')
% Assm: !s. FINITE s ==> compact s
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: ~F <=> T
% Assm: !n s. n simplex s ==> FINITE {v | v extreme_point_of s} /\ ~affine_dependent {v | v extreme_point_of s} /\ &(CARD {v | v extreme_point_of s}) = n + &1 /\ s = convex hull {v | v extreme_point_of s}
% Assm: T
% Goal: !n s f. n simplex s /\ f face_of s ==> (?c. c SUBSET {x | x extreme_point_of s} /\ f = convex hull c)
%  TYPES
thf(tcartrealq186529, type, cartrealq186529 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq186529, type, q186529 : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csimplex, type, simplex : (int > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealq186529 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealq186529 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFACEu_OFu_CONVEXu_HULLu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (faceu_of @ T @ (hull @ convex @ S))) => ?[SI_:(cartrealn > $o)]:((subset @ SI_ @ S) & (T = (hull @ convex @ SI_))))).
thf(aFINITEu_IMPu_COMPACT, axiom, ![S:(cartrealq186529 > $o)]:((finite @ S) => (compact0 @ S))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSIMPLEXu_EXTREMEu_POINTS, axiom, ![N:int,S:(cartrealn > $o)]:((simplex @ N @ S) => ((finite0 @ (gspec @ ^[GENR_PVARR_1429:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1429 @ (extremeu_pointu_of @ V @ S) @ V))) & ~ ((affineu_dependent @ (gspec @ ^[GENR_PVARR_1430:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1430 @ (extremeu_pointu_of @ V @ S) @ V)))) & ((intu_ofu_num @ (card @ (gspec @ ^[GENR_PVARR_1431:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1431 @ (extremeu_pointu_of @ V @ S) @ V)))) = (intu_add @ N @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (S = (hull @ convex @ (gspec @ ^[GENR_PVARR_1432:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1432 @ (extremeu_pointu_of @ V @ S) @ V))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:int,S:(cartrealn > $o),F:(cartrealn > $o)]:(((simplex @ N @ S) & (faceu_of @ F @ S)) => ?[C:(cartrealn > $o)]:((subset @ C @ (gspec @ ^[GENR_PVARR_1434:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1434 @ (extremeu_pointu_of @ X @ S) @ X))) & (F = (hull @ convex @ C))))).
