%   ORIGINAL: SUBSET_FACE_OF_SIMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_HULL_SUBSET_AFFINE_HULL: !s. convex hull s SUBSET affine hull s
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: DISJOINT_AFFINE_HULL: !s t u. ~affine_dependent s /\ t SUBSET s /\ u SUBSET s /\ DISJOINT t u ==> DISJOINT (affine hull t) (affine hull u)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FACE_OF_CONVEX_HULLS: !f s. FINITE s /\ f SUBSET s /\ DISJOINT (affine hull f) (convex hull (s DIFF f)) ==> convex hull f face_of convex hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SIMPLEX_EXTREME_POINTS: !n s. n simplex s ==> FINITE {v | v extreme_point_of s} /\ ~affine_dependent {v | v extreme_point_of s} /\ &(CARD {v | v extreme_point_of s}) = n + &1 /\ s = convex hull {v | v extreme_point_of s}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s n c. n simplex s /\ c SUBSET {x | x extreme_point_of s} ==> convex hull c face_of s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex hull s SUBSET affine hull s
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t u. ~affine_dependent s /\ t SUBSET s /\ u SUBSET s /\ DISJOINT t u ==> DISJOINT (affine hull t) (affine hull u)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s /\ f SUBSET s /\ DISJOINT (affine hull f) (convex hull (s DIFF f)) ==> convex hull f face_of convex hull s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !n s. n simplex s ==> FINITE {v | v extreme_point_of s} /\ ~affine_dependent {v | v extreme_point_of s} /\ &(CARD {v | v extreme_point_of s}) = n + &1 /\ s = convex hull {v | v extreme_point_of s}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s n c. n simplex s /\ c SUBSET {x | x extreme_point_of s} ==> convex hull c face_of s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdisjoint0, type, disjoint0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdisjoint, type, disjoint : ((a > $o) > (a > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csimplex, type, simplex : (int > (cartrealn > $o) > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_HULLu_SUBSETu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(subset @ (hull @ convex @ S) @ (hull @ affine @ S))).
thf(aDISJOINT, axiom, ![S:(a > $o),T:(a > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aDISJOINTu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:((~ ((affineu_dependent @ S)) & (subset @ T @ S) & (subset @ U @ S) & (disjoint0 @ T @ U)) => (disjoint0 @ (hull @ affine @ T) @ (hull @ affine @ U)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFACEu_OFu_CONVEXu_HULLS, axiom, ![F:(cartrealn > $o),S:(cartrealn > $o)]:(((finite @ S) & (subset @ F @ S) & (disjoint0 @ (hull @ affine @ F) @ (hull @ convex @ (diff @ S @ F)))) => (faceu_of @ (hull @ convex @ F) @ (hull @ convex @ S)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSIMPLEXu_EXTREMEu_POINTS, axiom, ![N:int,S:(cartrealn > $o)]:((simplex @ N @ S) => ((finite @ (gspec @ ^[GENR_PVARR_1429:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1429 @ (extremeu_pointu_of @ V @ S) @ V))) & ~ ((affineu_dependent @ (gspec @ ^[GENR_PVARR_1430:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1430 @ (extremeu_pointu_of @ V @ S) @ V)))) & ((intu_ofu_num @ (card @ (gspec @ ^[GENR_PVARR_1431:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1431 @ (extremeu_pointu_of @ V @ S) @ V)))) = (intu_add @ N @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (S = (hull @ convex @ (gspec @ ^[GENR_PVARR_1432:cartrealn]:?[V:cartrealn]:(setspec @ GENR_PVARR_1432 @ (extremeu_pointu_of @ V @ S) @ V))))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),N:int,C:(cartrealn > $o)]:(((simplex @ N @ S) & (subset @ C @ (gspec @ ^[GENR_PVARR_1437:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1437 @ (extremeu_pointu_of @ X @ S) @ X)))) => (faceu_of @ (hull @ convex @ C) @ S))).
