%   ORIGINAL: FACES_OF_SIMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FACE_OF_SIMPLEX_SUBSET: !n s f. n simplex s /\ f face_of s ==> (?c. c SUBSET {x | x extreme_point_of s} /\ f = convex hull c)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_FACE_OF_SIMPLEX: !s n c. n simplex s /\ c SUBSET {x | x extreme_point_of s} ==> convex hull c face_of s
% Assm: TRUTH: T
% Goal: !n s. n simplex s ==> {f | f face_of s} = {convex hull c | c SUBSET {v | v extreme_point_of s}}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !n s f. n simplex s /\ f face_of s ==> (?c. c SUBSET {x | x extreme_point_of s} /\ f = convex hull c)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s n c. n simplex s /\ c SUBSET {x | x extreme_point_of s} ==> convex hull c face_of s
% Assm: T
% Goal: !n s. n simplex s ==> {f | f face_of s} = {convex hull c | c SUBSET {v | v extreme_point_of s}}
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tcartrealq377566, type, cartrealq377566 : $tType).
thf(tq377566, type, q377566 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq377566 > (cartrealq377566 > $o) > $o)).
thf(cin, type, in : ((cartrealq377566 > $o) > ((cartrealq377566 > $o) > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealq377566 > (cartrealq377566 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealq377566 > $o) > cartrealq377566 > $o)).
thf(csubset, type, subset : ((cartrealq377566 > $o) > (cartrealq377566 > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealq377566 > $o) > (cartrealq377566 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealq377566 > $o) > $o) > (cartrealq377566 > $o) > $o)).
thf(csimplex, type, simplex : (int > (cartrealq377566 > $o) > $o)).
thf(chull, type, hull : (((cartrealq377566 > $o) > $o) > (cartrealq377566 > $o) > cartrealq377566 > $o)).
thf(csetspec0, type, setspec0 : (cartrealq377566 > $o > cartrealq377566 > $o)).
thf(csetspec, type, setspec : ((cartrealq377566 > $o) > $o > (cartrealq377566 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq377566 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (cartrealq377566 > $o) > $o),G:(a > (cartrealq377566 > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:((cartrealq377566 > $o) > $o)]:(^[X:(cartrealq377566 > $o)]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:((cartrealq377566 > $o) > $o),T:((cartrealq377566 > $o) > $o)]:((S = T) <=> ![X:(cartrealq377566 > $o)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFACEu_OFu_SIMPLEXu_SUBSET, axiom, ![N:int,S:(cartrealq377566 > $o),F:(cartrealq377566 > $o)]:(((simplex @ N @ S) & (faceu_of @ F @ S)) => ?[C:(cartrealq377566 > $o)]:((subset @ C @ (gspec0 @ ^[GENR_PVARR_1434:cartrealq377566]:?[X:cartrealq377566]:(setspec0 @ GENR_PVARR_1434 @ (extremeu_pointu_of @ X @ S) @ X))) & (F = (hull @ convex @ C))))).
thf(aFUNu_EQu_THM, axiom, ![F:((cartrealq377566 > $o) > $o),G:((cartrealq377566 > $o) > $o)]:((F = G) <=> ![X:(cartrealq377566 > $o)]:((F @ X) <=> (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > (cartrealq377566 > $o) > $o) > $o),X:(cartrealq377566 > $o)]:((in @ X @ (gspec @ ^[V:(cartrealq377566 > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealq377566 > $o)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > cartrealq377566 > $o) > $o),X:cartrealq377566]:((in0 @ X @ (gspec0 @ ^[V:cartrealq377566]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:cartrealq377566]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:((cartrealq377566 > $o) > $o),X:(cartrealq377566 > $o)]:((in @ X @ (gspec @ ^[V:(cartrealq377566 > $o)]:?[Y:(cartrealq377566 > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(cartrealq377566 > $o),X:cartrealq377566]:((in0 @ X @ (gspec0 @ ^[V:cartrealq377566]:?[Y:cartrealq377566]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_FACEu_OFu_SIMPLEX, axiom, ![S:(cartrealq377566 > $o),N:int,C:(cartrealq377566 > $o)]:(((simplex @ N @ S) & (subset @ C @ (gspec0 @ ^[GENR_PVARR_1437:cartrealq377566]:?[X:cartrealq377566]:(setspec0 @ GENR_PVARR_1437 @ (extremeu_pointu_of @ X @ S) @ X)))) => (faceu_of @ (hull @ convex @ C) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:int,S:(cartrealq377566 > $o)]:((simplex @ N @ S) => ((gspec @ ^[GENR_PVARR_1438:(cartrealq377566 > $o)]:?[F:(cartrealq377566 > $o)]:(setspec @ GENR_PVARR_1438 @ (faceu_of @ F @ S) @ F)) = (gspec @ ^[GENR_PVARR_1440:(cartrealq377566 > $o)]:?[C:(cartrealq377566 > $o)]:(setspec @ GENR_PVARR_1440 @ (subset @ C @ (gspec0 @ ^[GENR_PVARR_1439:cartrealq377566]:?[V:cartrealq377566]:(setspec0 @ GENR_PVARR_1439 @ (extremeu_pointu_of @ V @ S) @ V))) @ (hull @ convex @ C)))))).
