%   ORIGINAL: FINITE_FACES_OF_SIMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HAS_SIZE_FACES_OF_SIMPLEX: !n s. n simplex s ==> {f | f face_of s} HAS_SIZE 2 EXP num_of_int (n + &1)
% Assm: TRUTH: T
% Goal: !n s. n simplex s ==> FINITE {f | f face_of s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !n s. n simplex s ==> {f | f face_of s} HAS_SIZE 2 EXP num_of_int (n + &1)
% Assm: T
% Goal: !n s. n simplex s ==> FINITE {f | f face_of s}
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq377744, type, cartrealq377744 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tq377744, type, q377744 : $tType).
%  CONSTS
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cexp, type, exp : (num > num > num)).
thf(chasuu_size, type, hasu_size : (((cartrealq377744 > $o) > $o) > num > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealq377744 > $o) > (cartrealq377744 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealq377744 > $o) > $o) > (cartrealq377744 > $o) > $o)).
thf(csimplex, type, simplex : (int > (cartrealq377744 > $o) > $o)).
thf(cnumuu_ofuu_int, type, numu_ofu_int : (int > num)).
thf(csetspec, type, setspec : ((cartrealq377744 > $o) > $o > (cartrealq377744 > $o) > $o)).
thf(cfinite, type, finite : (((cartrealq377744 > $o) > $o) > $o)).
thf(ccard, type, card : (((cartrealq377744 > $o) > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_SIZE, axiom, ![S:((cartrealq377744 > $o) > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aHASu_SIZEu_FACESu_OFu_SIMPLEX, axiom, ![N:int,S:(cartrealq377744 > $o)]:((simplex @ N @ S) => (hasu_size @ (gspec @ ^[GENR_PVARR_1443:(cartrealq377744 > $o)]:?[F:(cartrealq377744 > $o)]:(setspec @ GENR_PVARR_1443 @ (faceu_of @ F @ S) @ F)) @ (exp @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (numu_ofu_int @ (intu_add @ N @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:int,S:(cartrealq377744 > $o)]:((simplex @ N @ S) => (finite @ (gspec @ ^[GENR_PVARR_1444:(cartrealq377744 > $o)]:?[F:(cartrealq377744 > $o)]:(setspec @ GENR_PVARR_1444 @ (faceu_of @ F @ S) @ F))))).
