%   ORIGINAL: TRIANGULATION_INTER_SIMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_INTER: !s t. compact s /\ compact t ==> compact (s INTER t)
% Assm: COMPACT_SIMPLEX: !n s. n simplex s ==> compact s
% Assm: CONVEX_INTER: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: CONVEX_SIMPLEX: !n s. n simplex s ==> convex s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: EXTREME_POINT_OF_CONVEX_HULL: !x s. x extreme_point_of convex hull s ==> x IN s
% Assm: FACE_OF_SIMPLEX_SUBSET: !n s f. n simplex s /\ f face_of s ==> (?c. c SUBSET {x | x extreme_point_of s} /\ f = convex hull c)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: KREIN_MILMAN_MINKOWSKI: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_INTER: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: extreme_point_of: !s x. x extreme_point_of s <=> x IN s /\ (!a b. a IN s /\ b IN s ==> ~(x IN segment (a,b)))
% Assm: triangulation: !tr. triangulation tr <=> FINITE tr /\ (!t. t IN tr ==> (?n. n simplex t)) /\ (!t t'. t IN tr /\ t' IN tr ==> t INTER t' face_of t /\ t INTER t' face_of t')
% Goal: !tr t t'. triangulation tr /\ t IN tr /\ t' IN tr ==> t INTER t' = convex hull ({x | x extreme_point_of t} INTER {x | x extreme_point_of t'})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. compact s /\ compact t ==> compact (s INTER t)
% Assm: !n s. n simplex s ==> compact s
% Assm: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: !n s. n simplex s ==> convex s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x s. x extreme_point_of convex hull s ==> x IN s
% Assm: !n s f. n simplex s /\ f face_of s ==> (?c. c SUBSET {x | x extreme_point_of s} /\ f = convex hull c)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: !s. convex s /\ compact s ==> s = convex hull {x | x extreme_point_of s}
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !s x. x extreme_point_of s <=> x IN s /\ (!a b. a IN s /\ b IN s ==> ~(x IN segment (a,b)))
% Assm: !tr. triangulation tr <=> FINITE tr /\ (!t. t IN tr ==> (?n. n simplex t)) /\ (!t t'. t IN tr /\ t' IN tr ==> t INTER t' face_of t /\ t INTER t' face_of t')
% Goal: !tr t t'. triangulation tr /\ t IN tr /\ t' IN tr ==> t INTER t' = convex hull ({x | x extreme_point_of t} INTER {x | x extreme_point_of t'})
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq376815, type, q376815 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq376815, type, cartrealq376815 : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(csubset0, type, subset0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(csimplex0, type, simplex0 : (int > (cartrealn > $o) > $o)).
thf(csimplex, type, simplex : (int > (cartrealq376815 > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cinter0, type, inter0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealq376815 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ctriangulation, type, triangulation : (((cartrealn > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (compact @ T)) => (compact @ (inter @ S @ T)))).
thf(aCOMPACTu_SIMPLEX, axiom, ![N:int,S:(cartrealq376815 > $o)]:((simplex @ N @ S) => (compact0 @ S))).
thf(aCONVEXu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (convex @ T)) => (convex @ (inter @ S @ T)))).
thf(aCONVEXu_SIMPLEX, axiom, ![N:int,S:(cartrealn > $o)]:((simplex0 @ N @ S) => (convex @ S))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aEXTREMEu_POINTu_OFu_CONVEXu_HULL, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((extremeu_pointu_of @ X @ (hull @ convex @ S)) => (in0 @ X @ S))).
thf(aFACEu_OFu_SIMPLEXu_SUBSET, axiom, ![N:int,S:(cartrealn > $o),F:(cartrealn > $o)]:(((simplex0 @ N @ S) & (faceu_of @ F @ S)) => ?[C:(cartrealn > $o)]:((subset @ C @ (gspec @ ^[GENR_PVARR_1434:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1434 @ (extremeu_pointu_of @ X @ S) @ X))) & (F = (hull @ convex @ C))))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aHULLu_MINIMAL, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aHULLu_MONO, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (gspec0 @ ^[V:(cartrealn > $o)]:?[Y:(cartrealn > $o)]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aKREINu_MILMANu_MINKOWSKI, axiom, ![S:(cartrealn > $o)]:(((convex @ S) & (compact @ S)) => (S = (hull @ convex @ (gspec @ ^[GENR_PVARR_1231:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1231 @ (extremeu_pointu_of @ X @ S) @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((subset0 @ S @ T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:((subset @ S @ (inter @ T @ U)) <=> ((subset @ S @ T) & (subset @ S @ U)))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset1 @ S @ T) & (subset1 @ T @ U)) => (subset1 @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(aextremeu_pointu_of, axiom, ![S:(cartrealn > $o),X:cartrealn]:((extremeu_pointu_of @ X @ S) <=> ((in0 @ X @ S) & ![A:cartrealn,B:cartrealn]:(((in0 @ A @ S) & (in0 @ B @ S)) => ~ ((in0 @ X @ (openu_segment @ (c_ @ A @ B)))))))).
thf(atriangulation, axiom, ![TR:((cartrealn > $o) > $o)]:((triangulation @ TR) <=> ((finite @ TR) & ![T:(cartrealn > $o)]:((in @ T @ TR) => ?[N:int]:(simplex0 @ N @ T)) & ![T:(cartrealn > $o),TI_:(cartrealn > $o)]:(((in @ T @ TR) & (in @ TI_ @ TR)) => ((faceu_of @ (inter @ T @ TI_) @ T) & (faceu_of @ (inter @ T @ TI_) @ TI_)))))).
thf(conjecture, conjecture, ![TR:((cartrealn > $o) > $o),T:(cartrealn > $o),TI_:(cartrealn > $o)]:(((triangulation @ TR) & (in @ T @ TR) & (in @ TI_ @ TR)) => ((inter @ T @ TI_) = (hull @ convex @ (inter @ (gspec @ ^[GENR_PVARR_1447:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1447 @ (extremeu_pointu_of @ X @ T) @ X)) @ (gspec @ ^[GENR_PVARR_1448:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1448 @ (extremeu_pointu_of @ X @ TI_) @ X))))))).
