%   ORIGINAL: BINOM_REFL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_ADD_conjunct0: !m n. NUMERAL m + NUMERAL n = NUMERAL (m + n)
% Assm: ARITH_ADD_conjunct3: !n. _0 + BIT1 n = BIT1 n
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct9: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: BINOM_LT: !n k. n < k ==> binom (n,k) = 0
% Assm: LT_conjunct1: !m n. m < SUC n <=> m = n \/ m < n
% Assm: TRUTH: T
% Assm: binom_conjunct0: !n. binom (n,0) = 1
% Assm: binom_conjunct2: !n k. binom (SUC n,SUC k) = binom (n,SUC k) + binom (n,k)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !n. binom (n,n) = 1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m + NUMERAL n = NUMERAL (m + n)
% Assm: !n. _0 + BIT1 n = BIT1 n
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: !n k. n < k ==> binom (n,k) = 0
% Assm: !m n. m < SUC n <=> m = n \/ m < n
% Assm: T
% Assm: !n. binom (n,0) = 1
% Assm: !n k. binom (SUC n,SUC k) = binom (n,SUC k) + binom (n,k)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !n. binom (n,n) = 1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cbinom, type, binom : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_ADDu_conjunct0, axiom, ![M:num,N:num]:((p_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct3, axiom, ![N:num]:((p_ @ u_0 @ (bit1 @ N)) = (bit1 @ N))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct9, axiom, ![M:num,N:num]:(((bit1 @ M) = (bit1 @ N)) <=> (M = N))).
thf(aBINOMu_LT, axiom, ![N:num,K:num]:((l_ @ N @ K) => ((binom @ (c_ @ N @ K)) = (numeral @ u_0)))).
thf(aLTu_conjunct1, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> ((M = N) | (l_ @ M @ N)))).
thf(aTRUTH, axiom, $true).
thf(abinomu_conjunct0, axiom, ![N:num]:((binom @ (c_ @ N @ (numeral @ u_0))) = (numeral @ (bit1 @ u_0)))).
thf(abinomu_conjunct2, axiom, ![N:num,K:num]:((binom @ (c_ @ (suc @ N) @ (suc @ K))) = (p_ @ (binom @ (c_ @ N @ (suc @ K))) @ (binom @ (c_ @ N @ K))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![N:num]:((binom @ (c_ @ N @ N)) = (numeral @ (bit1 @ u_0)))).
