%   ORIGINAL: BINOM_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: BINOM_FACT: !n k. FACT n * FACT k * binom (n + k,k) = FACT (n + k)
% Assm: BINOM_LT: !n k. n < k ==> binom (n,k) = 0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FACT_LT: !n. 0 < FACT n
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: TRUTH: T
% Goal: !n k. binom (n,k) = 0 <=> n < k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !n m. m + n = n + m
% Assm: !n k. FACT n * FACT k * binom (n + k,k) = FACT (n + k)
% Assm: !n k. n < k ==> binom (n,k) = 0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n. 0 < FACT n
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !m. m * 0 = 0
% Assm: ~F <=> T
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: T
% Goal: !n k. binom (n,k) = 0 <=> n < k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cbinom, type, binom : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cfact, type, fact : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aBINOMu_FACT, axiom, ![N:num,K:num]:((t_ @ (fact @ N) @ (t_ @ (fact @ K) @ (binom @ (c_ @ (p_ @ N @ K) @ K)))) = (fact @ (p_ @ N @ K)))).
thf(aBINOMu_LT, axiom, ![N:num,K:num]:((l_ @ N @ K) => ((binom @ (c_ @ N @ K)) = (numeral @ u_0)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFACTu_LT, axiom, ![N:num]:(l_ @ (numeral @ u_0) @ (fact @ N))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,K:num]:(((binom @ (c_ @ N @ K)) = (numeral @ u_0)) <=> (l_ @ N @ K))).
