%   ORIGINAL: BINOM_PENULT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: BINOM_EQ_0: !n k. binom (n,k) = 0 <=> n < k
% Assm: BINOM_REFL: !n. binom (n,n) = 1
% Assm: LT_conjunct1: !m n. m < SUC n <=> m = n \/ m < n
% Assm: ONE: 1 = SUC 0
% Assm: SUC_INJ: !m n. SUC m = SUC n <=> m = n
% Assm: TRUTH: T
% Assm: binom_conjunct0: !n. binom (n,0) = 1
% Assm: binom_conjunct2: !n k. binom (SUC n,SUC k) = binom (n,SUC k) + binom (n,k)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !n. binom (SUC n,n) = SUC n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !n k. binom (n,k) = 0 <=> n < k
% Assm: !n. binom (n,n) = 1
% Assm: !m n. m < SUC n <=> m = n \/ m < n
% Assm: 1 = SUC 0
% Assm: !m n. SUC m = SUC n <=> m = n
% Assm: T
% Assm: !n. binom (n,0) = 1
% Assm: !n k. binom (SUC n,SUC k) = binom (n,SUC k) + binom (n,k)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !n. binom (SUC n,n) = SUC n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cbinom, type, binom : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aBINOMu_EQu_0, axiom, ![N:num,K:num]:(((binom @ (c_ @ N @ K)) = (numeral @ u_0)) <=> (l_ @ N @ K))).
thf(aBINOMu_REFL, axiom, ![N:num]:((binom @ (c_ @ N @ N)) = (numeral @ (bit1 @ u_0)))).
thf(aLTu_conjunct1, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> ((M = N) | (l_ @ M @ N)))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aSUCu_INJ, axiom, ![M:num,N:num]:(((suc @ M) = (suc @ N)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(abinomu_conjunct0, axiom, ![N:num]:((binom @ (c_ @ N @ (numeral @ u_0))) = (numeral @ (bit1 @ u_0)))).
thf(abinomu_conjunct2, axiom, ![N:num,K:num]:((binom @ (c_ @ (suc @ N) @ (suc @ K))) = (p_ @ (binom @ (c_ @ N @ (suc @ K))) @ (binom @ (c_ @ N @ K))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![N:num]:((binom @ (c_ @ (suc @ N) @ N)) = (suc @ N))).
