%   ORIGINAL: REAL_OF_NUM_BINOM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_SUB2: !m n. (m + n) - m = n
% Assm: BINOM_FACT: !n k. FACT n * FACT k * binom (n + k,k) = FACT (n + k)
% Assm: BINOM_LT: !n k. n < k ==> binom (n,k) = 0
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FACT_LT: !n. 0 < FACT n
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_AC_conjunct2: m * n * p = n * m * p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: REAL_EQ_RDIV_EQ: !x y z. &0 < z ==> (x = y / z <=> x * z = y)
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: TRUTH: T
% Goal: !n k. &(binom (n,k)) = (if k <= n then &(FACT n) / (&(FACT (n - k)) * &(FACT k)) else &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n m. m + n = n + m
% Assm: !m n. (m + n) - m = n
% Assm: !n k. FACT n * FACT k * binom (n + k,k) = FACT (n + k)
% Assm: !n k. n < k ==> binom (n,k) = 0
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !n. 0 < FACT n
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !n m. m * n = n * m
% Assm: !n m p. m * n * p = n * m * p
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !x y z. &0 < z ==> (x = y / z <=> x * z = y)
% Assm: !m n. &m < &n <=> m < n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: T
% Goal: !n k. &(binom (n,k)) = (if k <= n then &(FACT n) / (&(FACT (n - k)) * &(FACT k)) else &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cbinom, type, binom : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cfact, type, fact : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_SUB2, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ M) = N)).
thf(aBINOMu_FACT, axiom, ![N:num,K:num]:((t_ @ (fact @ N) @ (t_ @ (fact @ K) @ (binom @ (c_ @ (p_ @ N @ K) @ K)))) = (fact @ (p_ @ N @ K)))).
thf(aBINOMu_LT, axiom, ![N:num,K:num]:((l_ @ N @ K) => ((binom @ (c_ @ N @ K)) = (numeral @ u_0)))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFACTu_LT, axiom, ![N:num]:(l_ @ (numeral @ u_0) @ (fact @ N))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((t_ @ M @ (t_ @ N @ P)) = (t_ @ N @ (t_ @ M @ P)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aREALu_EQu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((X = (realu_div @ Y @ Z)) <=> ((realu_mul @ X @ Z) = Y)))).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,K:num]:((realu_ofu_num @ (binom @ (c_ @ N @ K))) = (cond @ (l_a_ @ K @ N) @ (realu_div @ (realu_ofu_num @ (fact @ N)) @ (realu_mul @ (realu_ofu_num @ (fact @ (m_ @ N @ K))) @ (realu_ofu_num @ (fact @ K)))) @ (realu_ofu_num @ (numeral @ u_0))))).
