%   ORIGINAL: BINOM_BOTH_STEP_DOWN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD1: !m. SUC m = m + 1
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_SUB_conjunct0: !m n. NUMERAL m - NUMERAL n = NUMERAL (m - n)
% Assm: ARITH_SUB_conjunct3: !n. _0 - BIT1 n = _0
% Assm: BINOM_BOTH_STEP: !p k. (k + 1) * binom (p + 1,k + 1) = (p + 1) * binom (p,k)
% Assm: BINOM_LT: !n k. n < k ==> binom (n,k) = 0
% Assm: LT_0: !n. 0 < SUC n
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: SUC_SUB1: !n. SUC n - 1 = n
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !p k. (k = 0 ==> p = 0) ==> k * binom (p,k) = p * binom (p - 1,k - 1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m. SUC m = m + 1
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !m n. NUMERAL m - NUMERAL n = NUMERAL (m - n)
% Assm: !n. _0 - BIT1 n = _0
% Assm: !p k. (k + 1) * binom (p + 1,k + 1) = (p + 1) * binom (p,k)
% Assm: !n k. n < k ==> binom (n,k) = 0
% Assm: !n. 0 < SUC n
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. SUC n - 1 = n
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !p k. (k = 0 ==> p = 0) ==> k * binom (p,k) = p * binom (p - 1,k - 1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cbinom, type, binom : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_SUBu_conjunct0, axiom, ![M:num,N:num]:((m_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (m_ @ M @ N)))).
thf(aARITHu_SUBu_conjunct3, axiom, ![N:num]:((m_ @ u_0 @ (bit1 @ N)) = u_0)).
thf(aBINOMu_BOTHu_STEP, axiom, ![P:num,K:num]:((t_ @ (p_ @ K @ (numeral @ (bit1 @ u_0))) @ (binom @ (c_ @ (p_ @ P @ (numeral @ (bit1 @ u_0))) @ (p_ @ K @ (numeral @ (bit1 @ u_0)))))) = (t_ @ (p_ @ P @ (numeral @ (bit1 @ u_0))) @ (binom @ (c_ @ P @ K))))).
thf(aBINOMu_LT, axiom, ![N:num,K:num]:((l_ @ N @ K) => ((binom @ (c_ @ N @ K)) = (numeral @ u_0)))).
thf(aLTu_0, axiom, ![N:num]:(l_ @ (numeral @ u_0) @ (suc @ N))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aSUCu_SUB1, axiom, ![N:num]:((m_ @ (suc @ N) @ (numeral @ (bit1 @ u_0))) = N)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![P:num,K:num]:(((K = (numeral @ u_0)) => (P = (numeral @ u_0))) => ((t_ @ K @ (binom @ (c_ @ P @ K))) = (t_ @ P @ (binom @ (c_ @ (m_ @ P @ (numeral @ (bit1 @ u_0))) @ (m_ @ K @ (numeral @ (bit1 @ u_0))))))))).
