%   ORIGINAL: BINOM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_SUB: !m n. (m + n) - n = m
% Assm: BINOM_EQ_0: !n k. binom (n,k) = 0 <=> n < k
% Assm: BINOM_FACT: !n k. FACT n * FACT k * binom (n + k,k) = FACT (n + k)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DIV_UNIQ: !m n q r. m = q * n + r /\ r < n ==> m DIV n = q
% Assm: FACT_LT: !n. 0 < FACT n
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LT_MULT: !m n. 0 < m * n <=> 0 < m /\ 0 < n
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_AC_conjunct2: m * n * p = n * m * p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Goal: !n k. binom (n,k) = (if k <= n then FACT n DIV (FACT (n - k) * FACT k) else 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n m. m + n = n + m
% Assm: !m. m + 0 = m
% Assm: !m n. (m + n) - n = m
% Assm: !n k. binom (n,k) = 0 <=> n < k
% Assm: !n k. FACT n * FACT k * binom (n + k,k) = FACT (n + k)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !m n q r. m = q * n + r /\ r < n ==> m DIV n = q
% Assm: !n. 0 < FACT n
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !m n. 0 < m * n <=> 0 < m /\ 0 < n
% Assm: !n m. m * n = n * m
% Assm: !n m p. m * n * p = n * m * p
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Goal: !n k. binom (n,k) = (if k <= n then FACT n DIV (FACT (n - k) * FACT k) else 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cdiv, type, div : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cbinom, type, binom : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cfact, type, fact : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_SUB, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ N) = M)).
thf(aBINOMu_EQu_0, axiom, ![N:num,K:num]:(((binom @ (c_ @ N @ K)) = (numeral @ u_0)) <=> (l_ @ N @ K))).
thf(aBINOMu_FACT, axiom, ![N:num,K:num]:((t_ @ (fact @ N) @ (t_ @ (fact @ K) @ (binom @ (c_ @ (p_ @ N @ K) @ K)))) = (fact @ (p_ @ N @ K)))).
thf(aCONDu_ELIMu_THM, axiom, ![X:num,C:$o,P:(num > $o),Y:num]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDIVu_UNIQ, axiom, ![M:num,N:num,Q:num,R:num]:(((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)) => ((div @ M @ N) = Q))).
thf(aFACTu_LT, axiom, ![N:num]:(l_ @ (numeral @ u_0) @ (fact @ N))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLTu_MULT, axiom, ![M:num,N:num]:((l_ @ (numeral @ u_0) @ (t_ @ M @ N)) <=> ((l_ @ (numeral @ u_0) @ M) & (l_ @ (numeral @ u_0) @ N)))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((t_ @ M @ (t_ @ N @ P)) = (t_ @ N @ (t_ @ M @ P)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,K:num]:((binom @ (c_ @ N @ K)) = (cond @ (l_a_ @ K @ N) @ (div @ (fact @ N) @ (t_ @ (fact @ (m_ @ N @ K)) @ (fact @ K))) @ (numeral @ u_0)))).
