%   ORIGINAL: BROUWER_COMPACTNESS_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ATTAINS_INF: !f s. compact s /\ ~(s = {}) /\ lift o f continuous_on s ==> (?x. x IN s /\ (!y. y IN s ==> f x <= f y))
% Assm: CONTINUOUS_ON_COMPOSE: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: CONTINUOUS_ON_LIFT_NORM: !s. lift o norm continuous_on s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LT_01: &0 < &1
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f s. compact s /\ f continuous_on s /\ ~(?x. x IN s /\ f x = vec 0) ==> (?d. &0 < d /\ (!x. x IN s ==> d <= norm (f x)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. compact s /\ ~(s = {}) /\ lift o f continuous_on s ==> (?x. x IN s /\ (!y. y IN s ==> f x <= f y))
% Assm: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: !s. lift o norm continuous_on s
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: &0 < &1
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f s. compact s /\ f continuous_on s /\ ~(?x. x IN s /\ f x = vec 0) ==> (?d. &0 < d /\ (!x. x IN s ==> d <= norm (f x)))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(td, type, d : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuousuu_on2, type, continuousu_on2 : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(co6, type, o6 : ((b > cartrealn) > (a > b) > a > cartrealn)).
thf(co5, type, o5 : ((c > d) > (b > c) > b > d)).
thf(co4, type, o4 : ((b > d) > (a > b) > a > d)).
thf(co3, type, o3 : ((b > c) > (a > b) > a > c)).
thf(co2, type, o2 : ((c > d) > (a > c) > a > d)).
thf(co1, type, o1 : ((real > cartrealn1) > (cartrealn > real) > cartrealn > cartrealn1)).
thf(co0, type, o0 : ((cartrealn > cartrealn) > (cartrealm > cartrealn) > cartrealm > cartrealn)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(co, type, o : ((real > cartrealn1) > (cartrealm > real) > cartrealm > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(ccompact, type, compact : ((cartrealm > $o) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ATTAINSu_INF, axiom, ![F:(cartrealm > real),S:(cartrealm > $o)]:(((compact @ S) & ~ ((S = empty)) & (continuousu_on0 @ (o @ lift @ F) @ S)) => ?[X:cartrealm]:((in @ X @ S) & ![Y:cartrealm]:((in @ Y @ S) => (realu_le @ (F @ X) @ (F @ Y)))))).
thf(aCONTINUOUSu_ONu_COMPOSE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (continuousu_on1 @ G @ (image @ F @ S))) => (continuousu_on @ (o0 @ G @ F) @ S))).
thf(aCONTINUOUSu_ONu_LIFTu_NORM, axiom, ![S:(cartrealn > $o)]:(continuousu_on2 @ (o1 @ lift @ vectoru_norm) @ S)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealn]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X)) <=> ~ ((X = (vec @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealm]:~ ((in @ X @ empty))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(c > d),G:(b > c),H:(a > b)]:((o2 @ F @ (o3 @ G @ H)) = (o4 @ (o5 @ F @ G) @ H))).
thf(aou_THM, axiom, ![F:(b > cartrealn),G:(a > b),X:a]:((o6 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((compact @ S) & (continuousu_on @ F @ S) & ~ (?[X:cartrealm]:((in @ X @ S) & ((F @ X) = (vec @ (numeral @ u_0)))))) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ D @ (vectoru_norm @ (F @ X))))))).
