%   ORIGINAL: POINTWISE_MAXIMAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: I_THM: !x. I x = x
% Assm: LE_CASES: !m n. m <= n \/ n <= m
% Assm: LE_REFL: !n. n <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_INSERT_EMPTY: !x s. ~(x INSERT s = {})
% Assm: TRUTH: T
% Goal: !s. FINITE s ==> ~(s = {}) /\ (!x y. x IN s /\ y IN s ==> (!j. x j <= y j) \/ (!j. y j <= x j)) ==> (?a. a IN s /\ (!x. x IN s ==> (!j. x j <= a j)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x. I x = x
% Assm: !m n. m <= n \/ n <= m
% Assm: !n. n <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: ~F <=> T
% Assm: !x s. ~(x INSERT s = {})
% Assm: T
% Goal: !s. FINITE s ==> ~(s = {}) /\ (!x y. x IN s /\ y IN s ==> (!j. x j <= y j) \/ (!j. y j <= x j)) ==> (?a. a IN s /\ (!x. x IN s ==> (!j. x j <= a j)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ci, type, i : (((num > num) > $o) > (num > num) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : ((num > num) > ((num > num) > $o) > $o)).
thf(cinsert, type, insert : ((num > num) > ((num > num) > $o) > (num > num) > $o)).
thf(cempty, type, empty : ((num > num) > $o)).
thf(cfinite, type, finite : (((num > num) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (num > num) > $o),G:(a > (num > num) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:((num > num) > $o)]:(^[X:(num > num)]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((num > num) > $o) > $o)]:(((P @ empty) & ![X:(num > num),S:((num > num) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((num > num) > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:(num > num),Y:(num > num),S:((num > num) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:(num > num),Y:(num > num)]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aIu_THM, axiom, ![X:((num > num) > $o)]:((i @ X) = X)).
thf(aLEu_CASES, axiom, ![M:num,N:num]:((l_a_ @ M @ N) | (l_a_ @ N @ M))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INSERTu_EMPTY, axiom, ![X:(num > num),S:((num > num) > $o)]:~ (((insert @ X @ S) = empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:((num > num) > $o)]:((finite @ S) => ((~ ((S = empty)) & ![X:(num > num),Y:(num > num)]:(((in @ X @ S) & (in @ Y @ S)) => (![J:num]:(l_a_ @ (X @ J) @ (Y @ J)) | ![J:num]:(l_a_ @ (Y @ J) @ (X @ J))))) => ?[A:(num > num)]:((in @ A @ S) & ![X:(num > num)]:((in @ X @ S) => ![J:num]:(l_a_ @ (X @ J) @ (A @ J))))))).
