%   ORIGINAL: KLE_IMP_POINTWISE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LE_ADD: !m n. m <= m + n
% Assm: TRUTH: T
% Assm: kle: !n y x. kle n x y <=> (?k. k SUBSET 1..n /\ (!j. y j = x j + (if j IN k then 1 else 0)))
% Goal: !n x y. kle n x y ==> (!j. x j <= y j)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. m <= m + n
% Assm: T
% Assm: !n y x. kle n x y <=> (?k. k SUBSET 1..n /\ (!j. y j = x j + (if j IN k then 1 else 0)))
% Goal: !n x y. kle n x y ==> (!j. x j <= y j)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(csubset, type, subset : ((num > $o) > (num > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(ckle, type, kle : (num > (num > num) > (num > num) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(akle, axiom, ![N:num,Y:(num > num),X:(num > num)]:((kle @ N @ X @ Y) <=> ?[K:(num > $o)]:((subset @ K @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & ![J:num]:((Y @ J) = (p_ @ (X @ J) @ (cond @ (in @ J @ K) @ (numeral @ (bit1 @ u_0)) @ (numeral @ u_0))))))).
thf(conjecture, conjecture, ![N:num,X:(num > num),Y:(num > num)]:((kle @ N @ X @ Y) => ![J:num]:(l_a_ @ (X @ J) @ (Y @ J)))).
