%   ORIGINAL: KLE_TRANS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: KLE_IMP_POINTWISE: !n x y. kle n x y ==> (!j. x j <= y j)
% Assm: KLE_REFL: !n x. kle n x x
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x y z n. kle n x y /\ kle n y z /\ (kle n x z \/ kle n z x) ==> kle n x z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !n x y. kle n x y ==> (!j. x j <= y j)
% Assm: !n x. kle n x x
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: ~F <=> T
% Assm: T
% Goal: !x y z n. kle n x y /\ kle n y z /\ (kle n x z \/ kle n z x) ==> kle n x z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ckle, type, kle : (num > (num > num) > (num > num) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aKLEu_IMPu_POINTWISE, axiom, ![N:num,X:(num > num),Y:(num > num)]:((kle @ N @ X @ Y) => ![J:num]:(l_a_ @ (X @ J) @ (Y @ J)))).
thf(aKLEu_REFL, axiom, ![N:num,X:(num > num)]:(kle @ N @ X @ X)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:(num > num),Y:(num > num),Z:(num > num),N:num]:(((kle @ N @ X @ Y) & (kle @ N @ Y @ Z) & ((kle @ N @ X @ Z) | (kle @ N @ Z @ X))) => (kle @ N @ X @ Z))).
