%   ORIGINAL: KLE_STRICT_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: ARITH_SUC_conjunct0: !n. SUC (NUMERAL n) = NUMERAL (SUC n)
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_CLAUSES_conjunct0: CARD {} = 0
% Assm: CARD_CLAUSES_conjunct1: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: CARD_SUBSET: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: FINITE_RESTRICT: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: KLE_STRICT: !n x y. kle n x y /\ ~(x = y) ==> (!j. x j <= y j) /\ (?k. 1 <= k /\ k <= n /\ x k < y k)
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !n x y. kle n x y /\ ~(x = y) ==> 1 <= CARD {k | k IN 1..n /\ x k < y k}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: !n. SUC (NUMERAL n) = NUMERAL (SUC n)
% Assm: SUC _0 = BIT1 _0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD {} = 0
% Assm: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !m n. FINITE (m..n)
% Assm: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: FINITE {}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x y. x IN {y} <=> x = y
% Assm: !n x y. kle n x y /\ ~(x = y) ==> (!j. x j <= y j) /\ (?k. 1 <= k /\ k <= n /\ x k < y k)
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !n x y. kle n x y /\ ~(x = y) ==> 1 <= CARD {k | k IN 1..n /\ x k < y k}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(csubset, type, subset : ((num > $o) > (num > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccond0, type, cond0 : ($o > (num > num) > (num > num) > num > num)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (num > (num > $o) > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
thf(ckle, type, kle : (num > (num > num) > (num > num) > $o)).
thf(cempty, type, empty : (num > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(ccard, type, card : ((num > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num > num),G:(a > num > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_SUCu_conjunct0, axiom, ![N:num]:((suc @ (numeral @ N)) = (numeral @ (suc @ N)))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_CLAUSESu_conjunct0, axiom, ((card @ empty) = (numeral @ u_0))).
thf(aCARDu_CLAUSESu_conjunct1, axiom, ![X:num,S:(num > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
thf(aCARDu_SUBSET, axiom, ![A:(num > $o),B:(num > $o)]:(((subset @ A @ B) & (finite @ B)) => (l_a_ @ (card @ A) @ (card @ B)))).
thf(aCONDu_CLAUSES, axiom, ![T1:(num > num),T2:(num > num)]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aFINITEu_RESTRICT, axiom, ![S:(num > $o),P:(num > $o)]:((finite @ S) => (finite @ (gspec @ ^[GENR_PVARR_66:num]:?[X:num]:(setspec @ GENR_PVARR_66 @ ((in @ X @ S) & (P @ X)) @ X))))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite0 @ empty0)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(num > $o),X:num]:((in @ X @ (gspec @ ^[V:num]:?[Y:num]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aINu_SING, axiom, ![X:num,Y:num]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aKLEu_STRICT, axiom, ![N:num,X:(num > num),Y:(num > num)]:(((kle @ N @ X @ Y) & ~ ((X = Y))) => (![J:num]:(l_a_ @ (X @ J) @ (Y @ J)) & ?[K:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ N) & (l_ @ (X @ K) @ (Y @ K)))))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:num]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(num > $o),T:(num > $o)]:((subset @ S @ T) <=> ![X:num]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:(num > num),Y:(num > num)]:(((kle @ N @ X @ Y) & ~ ((X = Y))) => (l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ (gspec @ ^[GENR_PVARR_1510:num]:?[K:num]:(setspec @ GENR_PVARR_1510 @ ((in @ K @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (l_ @ (X @ K) @ (Y @ K))) @ K)))))).
