%   ORIGINAL: FINITE_SIMPLICES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FINITE_FUNSPACE: !s t. FINITE s /\ FINITE t ==> FINITE {f | (!x. x IN s ==> f x IN t) /\ (!x. ~(x IN s) ==> f x = d)}
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: FINITE_POWERSET: !s. FINITE s ==> FINITE {t | t SUBSET s}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LE_0: !n. 0 <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: ksimplex: !p s n. ksimplex p n s <=> s HAS_SIZE n + 1 /\ (!x j. x IN s ==> x j <= p) /\ (!x j. x IN s /\ ~(1 <= j /\ j <= n) ==> x j = p) /\ (!x y. x IN s /\ y IN s ==> kle n x y \/ kle n y x)
% Goal: !p n. FINITE {s | ksimplex p n s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !d s t. FINITE s /\ FINITE t ==> FINITE {f | (!x. x IN s ==> f x IN t) /\ (!x. ~(x IN s) ==> f x = d)}
% Assm: !m n. FINITE (m..n)
% Assm: !s. FINITE s ==> FINITE {t | t SUBSET s}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !n. 0 <= n
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !p s n. ksimplex p n s <=> s HAS_SIZE n + 1 /\ (!x j. x IN s ==> x j <= p) /\ (!x j. x IN s /\ ~(1 <= j /\ j <= n) ==> x j = p) /\ (!x y. x IN s /\ y IN s ==> kle n x y \/ kle n y x)
% Goal: !p n. FINITE {s | ksimplex p n s}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin2, type, in2 : ((num > num) > ((num > num) > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(chasuu_size, type, hasu_size : (((num > num) > $o) > num > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(csubset, type, subset : ((((num > num) > $o) > $o) > (((num > num) > $o) > $o) > $o)).
thf(cgspec1, type, gspec1 : (((((num > num) > $o) > $o) > $o) > (((num > num) > $o) > $o) > $o)).
thf(cin, type, in : (((num > num) > $o) > (((num > num) > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : (((((num > num) > $o) > (num > num) > $o) > $o) > (((num > num) > $o) > (num > num) > $o) > $o)).
thf(cgspec, type, gspec : ((((num > num) > $o) > $o) > ((num > num) > $o) > $o)).
thf(ckle, type, kle : (num > (num > num) > (num > num) > $o)).
thf(csetspec1, type, setspec1 : ((((num > num) > $o) > $o) > $o > (((num > num) > $o) > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec0, type, setspec0 : ((((num > num) > $o) > (num > num) > $o) > $o > (((num > num) > $o) > (num > num) > $o) > $o)).
thf(cksimplex, type, ksimplex : (num > num > ((num > num) > $o) > $o)).
thf(csetspec, type, setspec : (((num > num) > $o) > $o > ((num > num) > $o) > $o)).
thf(cfinite2, type, finite2 : (((((num > num) > $o) > $o) > $o) > $o)).
thf(cfinite1, type, finite1 : ((num > $o) > $o)).
thf(cfinite0, type, finite0 : (((((num > num) > $o) > (num > num) > $o) > $o) > $o)).
thf(cfinite, type, finite : ((((num > num) > $o) > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFINITEu_FUNSPACE, axiom, ![D:((num > num) > $o),S:(((num > num) > $o) > $o),T:(((num > num) > $o) > $o)]:(((finite @ S) & (finite @ T)) => (finite0 @ (gspec0 @ ^[GENR_PVARR_93:(((num > num) > $o) > (num > num) > $o)]:?[F:(((num > num) > $o) > (num > num) > $o)]:(setspec0 @ GENR_PVARR_93 @ (![X:((num > num) > $o)]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:((num > num) > $o)]:(~ ((in @ X @ S)) => ((F @ X) = D))) @ F))))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite1 @ (o_o_ @ M @ N))).
thf(aFINITEu_POWERSET, axiom, ![S:(((num > num) > $o) > $o)]:((finite @ S) => (finite2 @ (gspec1 @ ^[GENR_PVARR_98:(((num > num) > $o) > $o)]:?[T:(((num > num) > $o) > $o)]:(setspec1 @ GENR_PVARR_98 @ (subset @ T @ S) @ T))))).
thf(aFINITEu_SUBSET, axiom, ![S:(((num > num) > $o) > $o),T:(((num > num) > $o) > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(((num > num) > $o) > $o),X:((num > num) > $o)]:((in @ X @ (gspec @ ^[V:((num > num) > $o)]:?[Y:((num > num) > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aksimplex, axiom, ![P:num,S:((num > num) > $o),N:num]:((ksimplex @ P @ N @ S) <=> ((hasu_size @ S @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) & ![X:(num > num),J:num]:((in2 @ X @ S) => (l_a_ @ (X @ J) @ P)) & ![X:(num > num),J:num]:(((in2 @ X @ S) & ~ (((l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ N)))) => ((X @ J) = P)) & ![X:(num > num),Y:(num > num)]:(((in2 @ X @ S) & (in2 @ Y @ S)) => ((kle @ N @ X @ Y) | (kle @ N @ Y @ X)))))).
thf(conjecture, conjecture, ![P:num,N:num]:(finite @ (gspec @ ^[GENR_PVARR_1548:((num > num) > $o)]:?[S:((num > num) > $o)]:(setspec @ GENR_PVARR_1548 @ (ksimplex @ P @ N @ S) @ S)))).
