%   ORIGINAL: BORSUK_HOMOTOPY_EXTENSION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_COMPACT_PROJECTION: !s t. compact s /\ closed t ==> closed {y | ?x. x IN s /\ pastecart x y IN t}
% Assm: CLOSED_INTERVAL: !a b. closed (interval [a,b])
% Assm: CLOSED_PASTECART: !s t. closed s /\ closed t ==> closed {pastecart x y | x IN s /\ y IN t}
% Assm: CLOSED_SING: !a. closed {a}
% Assm: CLOSED_UNION: !s t. closed s /\ closed t ==> closed (s UNION t)
% Assm: COMPACT_INTERVAL: !a b. compact (interval [a,b])
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CONTINUOUS_ON_CASES: !P f g s t. closed s /\ closed t /\ f continuous_on s /\ g continuous_on t /\ (!x. x IN s /\ ~P x \/ x IN t /\ P x ==> f x = g x) ==> (\x. if P x then f x else g x) continuous_on s UNION t
% Assm: CONTINUOUS_ON_COMPOSE: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: CONTINUOUS_ON_ID: !s. (\x. x) continuous_on s
% Assm: CONTINUOUS_ON_PASTECART: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. pastecart (f x) (g x)) continuous_on s
% Assm: CONTINUOUS_ON_SUBSET: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: CONTINUOUS_OPEN_PREIMAGE: !f s t. f continuous_on s /\ open s /\ open t ==> open {x | x IN s /\ f x IN t}
% Assm: DROP_VEC: !n. drop (vec n) = &n
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_IN_GSPEC_conjunct0: !P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: FORALL_IN_GSPEC_conjunct1: !P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FSTCART_PASTECART: !x y. fstcart (pastecart x y) = x
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_CONTINUOUS_ON: !f s. linear f ==> f continuous_on s
% Assm: LINEAR_SNDCART: linear sndcart
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_CLOSED: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: OPEN_UNIV: open (:real^N)
% Assm: REAL_POS: !n. &0 <= &n
% Assm: RETRACT_OF_IMP_SUBSET: !s t. s retract_of t ==> s SUBSET t
% Assm: SEGMENT_1_conjunct0: !a b. segment [a,b] = (if drop a <= drop b then interval [a,b] else interval [b,a])
% Assm: SEGMENT_SYM_conjunct0: !a b. segment [a,b] = segment [b,a]
% Assm: SNDCART_PASTECART: !x y. sndcart (pastecart x y) = y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TIETZE_UNBOUNDED: !f s. closed s /\ f continuous_on s ==> (?g. g continuous_on (:real^M) /\ (!x. x IN s ==> g x = f x))
% Assm: TRUTH: T
% Assm: UNION_SUBSET: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: URYSOHN: !s t a b. closed s /\ closed t /\ s INTER t = {} ==> (?f. f continuous_on (:real^N) /\ (!x. f x IN segment [a,b]) /\ (!x. x IN s ==> f x = a) /\ (!x. x IN t ==> f x = b))
% Assm: homotopic_with: !X Y p q P. homotopic_with P (X,Y) p q <=> (?h. h continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} /\ IMAGE h {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} SUBSET Y /\ (!x. h (pastecart (vec 0) x) = p x) /\ (!x. h (pastecart (vec 1) x) = q x) /\ (!t. t IN interval [vec 0,vec 1] ==> P (\x. h (pastecart t x))))
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: retract_of: !s t. t retract_of s <=> (?r. retraction (s,t) r)
% Assm: retraction: !s t r. retraction (s,t) r <=> t SUBSET s /\ r continuous_on s /\ IMAGE r s SUBSET t /\ (!x. x IN t ==> r x = x)
% Goal: !f g s t u v. closed s /\ closed t /\ u retract_of v /\ open v /\ f continuous_on t /\ IMAGE f t SUBSET u /\ g continuous_on s /\ IMAGE g s SUBSET u /\ homotopic_with (\x. T) (s,u) f g ==> (?g'. g' continuous_on t /\ IMAGE g' t SUBSET u /\ (!x. x IN s ==> g' x = g x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. compact s /\ closed t ==> closed {y | ?x. x IN s /\ pastecart x y IN t}
% Assm: !a b. closed (interval [a,b])
% Assm: !s t. closed s /\ closed t ==> closed {pastecart x y | x IN s /\ y IN t}
% Assm: !a. closed {a}
% Assm: !s t. closed s /\ closed t ==> closed (s UNION t)
% Assm: !a b. compact (interval [a,b])
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P f g s t. closed s /\ closed t /\ f continuous_on s /\ g continuous_on t /\ (!x. x IN s /\ ~P x \/ x IN t /\ P x ==> f x = g x) ==> (\x. if P x then f x else g x) continuous_on s UNION t
% Assm: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: !s. (\x. x) continuous_on s
% Assm: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. pastecart (f x) (g x)) continuous_on s
% Assm: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: !f s t. f continuous_on s /\ open s /\ open t ==> open {x | x IN s /\ f x IN t}
% Assm: !n. drop (vec n) = &n
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !Q P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: !Q P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x y. fstcart (pastecart x y) = x
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x y. x IN {y} <=> x = y
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:real^M)
% Assm: !x. I x = x
% Assm: !f s. linear f ==> f continuous_on s
% Assm: linear sndcart
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: open (:real^N)
% Assm: !n. &0 <= &n
% Assm: !s t. s retract_of t ==> s SUBSET t
% Assm: !a b. segment [a,b] = (if drop a <= drop b then interval [a,b] else interval [b,a])
% Assm: !a b. segment [a,b] = segment [b,a]
% Assm: !x y. sndcart (pastecart x y) = y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET (:real^N)
% Assm: !f s. closed s /\ f continuous_on s ==> (?g. g continuous_on (:real^M) /\ (!x. x IN s ==> g x = f x))
% Assm: T
% Assm: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: !s t a b. closed s /\ closed t /\ s INTER t = {} ==> (?f. f continuous_on (:real^M) /\ (!x. f x IN segment [a,b]) /\ (!x. x IN s ==> f x = a) /\ (!x. x IN t ==> f x = b))
% Assm: !X Y p q P. homotopic_with P (X,Y) p q <=> (?h. h continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} /\ IMAGE h {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} SUBSET Y /\ (!x. h (pastecart (vec 0) x) = p x) /\ (!x. h (pastecart (vec 1) x) = q x) /\ (!t. t IN interval [vec 0,vec 1] ==> P (\x. h (pastecart t x))))
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !s t. t retract_of s <=> (?r. retraction (s,t) r)
% Assm: !s t r. retraction (s,t) r <=> t SUBSET s /\ r continuous_on s /\ IMAGE r s SUBSET t /\ (!x. x IN t ==> r x = x)
% Goal: !f g s t u v. closed s /\ closed t /\ u retract_of v /\ open v /\ f continuous_on t /\ IMAGE f t SUBSET u /\ g continuous_on s /\ IMAGE g s SUBSET u /\ homotopic_with (\x. T) (s,u) f g ==> (?g'. g' continuous_on t /\ IMAGE g' t SUBSET u /\ (!x. x IN s ==> g' x = g x))
%  TYPES
thf(tcartrealq209308, type, cartrealq209308 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq117147, type, q117147 : $tType).
thf(tcartrealfiniteu_summm, type, cartrealfinite_summm : $tType).
thf(tcartrealfiniteu_sumn1m, type, cartrealfinite_sumn1m : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tq117149, type, q117149 : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(tnum, type, num : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealq209308cartrealq209308, type, listprodcartrealq209308cartrealq209308 : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
thf(tfiniteu_sumnn, type, finite_sumnn : $tType).
thf(tcartrealq190317, type, cartrealq190317 : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tfiniteu_sumq117147q117149, type, finite_sumq117147q117149 : $tType).
thf(tfiniteu_summm, type, finite_summm : $tType).
thf(tq209308, type, q209308 : $tType).
thf(tcartrealfiniteu_summn, type, cartrealfinite_summn : $tType).
thf(tcartrealfiniteu_sumnn, type, cartrealfinite_sumnn : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tprodcartrealq209308cartrealq209308, type, prodcartrealq209308cartrealq209308 : $tType).
thf(tcartrealq117149, type, cartrealq117149 : $tType).
thf(tq190317, type, q190317 : $tType).
thf(tq48223, type, q48223 : $tType).
thf(tcartrealfiniteu_sumq117147q117149, type, cartrealfinite_sumq117147q117149 : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq48224, type, q48224 : $tType).
thf(tfiniteu_sumn1m, type, finite_sumn1m : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tprodfuncartrealmboolfuncartrealnbool, type, prodfuncartrealmboolfuncartrealnbool : $tType).
thf(treal, type, real : $tType).
thf(tq48167, type, q48167 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil2, type, nil2 : listprodcartrealncartrealn).
thf(cnil1, type, nil1 : listprodcartrealn1cartrealn1).
thf(cnil0, type, nil0 : listprodcartrealq209308cartrealq209308).
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cretraction, type, retraction : (prodfuncartrealnboolfuncartrealnbool > (cartrealn > cartrealn) > $o)).
thf(cin2, type, in2 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cgspec1, type, gspec1 : ((cartrealfinite_sumn1m > $o) > cartrealfinite_sumn1m > $o)).
thf(ccontinuousuu_on3, type, continuousu_on3 : ((cartrealfinite_sumn1m > cartrealn) > (cartrealfinite_sumn1m > $o) > $o)).
thf(ccloseduu_segment0, type, closedu_segment0 : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_interval1, type, closedu_interval1 : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on2, type, continuousu_on2 : ((cartrealm > cartrealfinite_sumnn) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealq190317 > cartrealq190317) > (cartrealq190317 > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealq209308cartrealq209308 > cartrealq209308 > $o)).
thf(cgspec0, type, gspec0 : ((cartrealfinite_summm > $o) > cartrealfinite_summm > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cin0, type, in0 : (cartrealfinite_summm > (cartrealfinite_summm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cretractuu_of, type, retractu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cimage2, type, image2 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_4, type, c_4 : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(co2, type, o2 : ((b > cartrealn) > (a > b) > a > cartrealn)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cimage1, type, image1 : ((cartrealfinite_sumn1m > cartrealn) > (cartrealfinite_sumn1m > $o) > cartrealn > $o)).
thf(cpastecart2, type, pastecart2 : (cartrealn1 > cartrealm > cartrealfinite_sumn1m)).
thf(csetspec1, type, setspec1 : (cartrealfinite_sumn1m > $o > cartrealfinite_sumn1m > $o)).
thf(cunion0, type, union0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cpastecart1, type, pastecart1 : (cartrealm > cartrealn > cartrealfinite_summn)).
thf(ccu_3, type, c_3 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons2, type, cons2 : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccond0, type, cond0 : ($o > (cartrealn1 > $o) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(ccu_2, type, c_2 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons1, type, cons1 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cdiff, type, diff : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(co0, type, o0 : ((cartrealm > cartrealn) > (cartrealm > cartrealm) > cartrealm > cartrealn)).
thf(cimage0, type, image0 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cpastecart0, type, pastecart0 : (cartrealn > cartrealn > cartrealfinite_sumnn)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealm > cartrealn) > cartrealm > cartrealn)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccu_1, type, c_1 : (cartrealq209308 > cartrealq209308 > prodcartrealq209308cartrealq209308)).
thf(ccons0, type, cons0 : (prodcartrealq209308cartrealq209308 > listprodcartrealq209308cartrealq209308 > listprodcartrealq209308cartrealq209308)).
thf(cunion, type, union : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cinsert, type, insert : (cartrealm > (cartrealm > $o) > cartrealm > $o)).
thf(csetspec0, type, setspec0 : (cartrealfinite_summm > $o > cartrealfinite_summm > $o)).
thf(ccu_0, type, c_0 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cpastecart, type, pastecart : (cartrealm > cartrealm > cartrealfinite_summm)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealn > $o) > prodfuncartrealmboolfuncartrealnbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealn) > $o) > prodfuncartrealmboolfuncartrealnbool > (cartrealm > cartrealn) > (cartrealm > cartrealn) > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cclosed1, type, closed1 : ((cartrealn > $o) > $o)).
thf(clinear0, type, linear0 : ((cartrealfinite_sumq117147q117149 > cartrealq117149) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(copen0, type, open0 : ((cartrealm > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealq209308 > $o) > $o)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cclosed0, type, closed0 : ((cartrealfinite_summm > $o) > $o)).
thf(ccompact, type, compact : ((cartrealm > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealm > $o) > $o)).
thf(csndcart0, type, sndcart0 : (cartrealfinite_summn > cartrealn)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cfstcart, type, fstcart : (cartrealfinite_sumnn > cartrealn)).
thf(csndcart, type, sndcart : (cartrealfinite_sumq117147q117149 > cartrealq117149)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_COMPACTu_PROJECTION, axiom, ![S:(cartrealm > $o),T:(cartrealfinite_summm > $o)]:(((compact @ S) & (closed0 @ T)) => (closed @ (gspec @ ^[GENR_PVARR_751:cartrealm]:?[Y:cartrealm]:(setspec @ GENR_PVARR_751 @ ?[X:cartrealm]:((in @ X @ S) & (in0 @ (pastecart @ X @ Y) @ T)) @ Y))))).
thf(aCLOSEDu_INTERVAL, axiom, ![A:cartrealm,B:cartrealm]:(closed @ (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil)))).
thf(aCLOSEDu_PASTECART, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((closed @ S) & (closed @ T)) => (closed0 @ (gspec0 @ ^[GENR_PVARR_601:cartrealfinite_summm]:?[X:cartrealm,Y:cartrealm]:(setspec0 @ GENR_PVARR_601 @ ((in @ X @ S) & (in @ Y @ T)) @ (pastecart @ X @ Y)))))).
thf(aCLOSEDu_SING, axiom, ![A:cartrealm]:(closed @ (insert @ A @ empty))).
thf(aCLOSEDu_UNION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((closed @ S) & (closed @ T)) => (closed @ (union @ S @ T)))).
thf(aCOMPACTu_INTERVAL, axiom, ![A:cartrealq209308,B:cartrealq209308]:(compact0 @ (closedu_interval0 @ (cons0 @ (c_1 @ A @ B) @ nil0)))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONTINUOUSu_ONu_CASES, axiom, ![P:(cartrealm > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((closed @ S) & (closed @ T) & (continuousu_on @ F @ S) & (continuousu_on @ G @ T) & ![X:cartrealm]:((((in @ X @ S) & ~ ((P @ X))) | ((in @ X @ T) & (P @ X))) => ((F @ X) = (G @ X)))) => (continuousu_on @ ^[X:cartrealm]:(cond @ (P @ X) @ (F @ X) @ (G @ X)) @ (union @ S @ T)))).
thf(aCONTINUOUSu_ONu_COMPOSE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (continuousu_on0 @ G @ (image @ F @ S))) => (continuousu_on @ (o @ G @ F) @ S))).
thf(aCONTINUOUSu_ONu_ID, axiom, ![S:(cartrealq190317 > $o)]:(continuousu_on1 @ ^[X:cartrealq190317]:X @ S)).
thf(aCONTINUOUSu_ONu_PASTECART, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (continuousu_on @ G @ S)) => (continuousu_on2 @ ^[X:cartrealm]:(pastecart0 @ (F @ X) @ (G @ X)) @ S))).
thf(aCONTINUOUSu_ONu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (subset0 @ T @ S)) => (continuousu_on @ F @ T))).
thf(aCONTINUOUSu_OPENu_PREIMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealn > $o)]:(((continuousu_on @ F @ S) & (open0 @ S) & (open @ T)) => (open0 @ (gspec @ ^[GENR_PVARR_504:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_504 @ ((in @ X @ S) & (in1 @ (F @ X) @ T)) @ X))))).
thf(aDROPu_VEC, axiom, ![N:num]:((drop @ (vec @ N)) = (realu_ofu_num @ N))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_INu_GSPECu_conjunct0, axiom, ![Q:(cartrealm > $o),P:(q48167 > $o),F:(q48167 > cartrealm)]:(![Z:cartrealm]:((in @ Z @ (gspec @ ^[GENR_PVARR_20:cartrealm]:?[X:q48167]:(setspec @ GENR_PVARR_20 @ (P @ X) @ (F @ X)))) => (Q @ Z)) <=> ![X:q48167]:((P @ X) => (Q @ (F @ X))))).
thf(aFORALLu_INu_GSPECu_conjunct1, axiom, ![Q:(cartrealm > $o),P:(q48224 > q48223 > $o),F:(q48224 > q48223 > cartrealm)]:(![Z:cartrealm]:((in @ Z @ (gspec @ ^[GENR_PVARR_21:cartrealm]:?[X:q48224,Y:q48223]:(setspec @ GENR_PVARR_21 @ (P @ X @ Y) @ (F @ X @ Y)))) => (Q @ Z)) <=> ![X:q48224,Y:q48223]:((P @ X @ Y) => (Q @ (F @ X @ Y))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealm > $o),F:(cartrealm > cartrealm),S:(cartrealm > $o)]:(![Y:cartrealm]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:cartrealm]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFSTCARTu_PASTECART, axiom, ![X:cartrealn,Y:cartrealn]:((fstcart @ (pastecart0 @ X @ Y)) = X)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIMAGEu_o, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealm),S:(cartrealm > $o)]:((image @ (o0 @ F @ G) @ S) = (image @ F @ (image0 @ G @ S)))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealm > $o) > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealm]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealm,S:(cartrealm > $o),F:(cartrealm > cartrealm)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealm,Y:cartrealm,S:(cartrealm > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_SING, axiom, ![X:cartrealm,Y:cartrealm]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aINu_UNION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealm]:(in @ X @ univ)).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aLINEARu_CONTINUOUSu_ON, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => (continuousu_on @ F @ S))).
thf(aLINEARu_SNDCART, axiom, (linear0 @ sndcart)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealm]:~ ((in @ X @ empty))).
thf(aOPENu_CLOSED, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (closed1 @ (diff0 @ univ0 @ S)))).
thf(aOPENu_UNIV, axiom, (open @ univ0)).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aRETRACTu_OFu_IMPu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((retractu_of @ S @ T) => (subset @ S @ T))).
thf(aSEGMENTu_1u_conjunct0, axiom, ![A:cartrealn1,B:cartrealn1]:((closedu_segment @ (cons1 @ (c_2 @ A @ B) @ nil1)) = (cond0 @ (realu_le @ (drop @ A) @ (drop @ B)) @ (closedu_interval1 @ (cons1 @ (c_2 @ A @ B) @ nil1)) @ (closedu_interval1 @ (cons1 @ (c_2 @ B @ A) @ nil1))))).
thf(aSEGMENTu_SYMu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment0 @ (cons2 @ (c_3 @ A @ B) @ nil2)) = (closedu_segment0 @ (cons2 @ (c_3 @ B @ A) @ nil2)))).
thf(aSNDCARTu_PASTECART, axiom, ![X:cartrealm,Y:cartrealn]:((sndcart0 @ (pastecart1 @ X @ Y)) = Y)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aSUBSETu_UNIV, axiom, ![S:(cartrealn > $o)]:(subset @ S @ univ0)).
thf(aTIETZEu_UNBOUNDED, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((closed @ S) & (continuousu_on @ F @ S)) => ?[G:(cartrealm > cartrealn)]:((continuousu_on @ G @ univ) & ![X:cartrealm]:((in @ X @ S) => ((G @ X) = (F @ X)))))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:((subset @ (union0 @ S @ T) @ U) <=> ((subset @ S @ U) & (subset @ T @ U)))).
thf(aURYSOHN, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),A:cartrealn,B:cartrealn]:(((closed @ S) & (closed @ T) & ((inter @ S @ T) = empty)) => ?[F:(cartrealm > cartrealn)]:((continuousu_on @ F @ univ) & ![X:cartrealm]:(in1 @ (F @ X) @ (closedu_segment0 @ (cons2 @ (c_3 @ A @ B) @ nil2))) & ![X:cartrealm]:((in @ X @ S) => ((F @ X) = A)) & ![X:cartrealm]:((in @ X @ T) => ((F @ X) = B))))).
thf(ahomotopicu_with, axiom, ![X:(cartrealm > $o),Y:(cartrealn > $o),P:(cartrealm > cartrealn),Q:(cartrealm > cartrealn),P0:((cartrealm > cartrealn) > $o)]:((homotopicu_with @ P0 @ (c_ @ X @ Y) @ P @ Q) <=> ?[H:(cartrealfinite_sumn1m > cartrealn)]:((continuousu_on3 @ H @ (gspec1 @ ^[GENR_PVARR_1130:cartrealfinite_sumn1m]:?[T:cartrealn1,X0:cartrealm]:(setspec1 @ GENR_PVARR_1130 @ ((in2 @ T @ (closedu_interval1 @ (cons1 @ (c_2 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil1))) & (in @ X0 @ X)) @ (pastecart2 @ T @ X0)))) & (subset @ (image1 @ H @ (gspec1 @ ^[GENR_PVARR_1131:cartrealfinite_sumn1m]:?[T:cartrealn1,X0:cartrealm]:(setspec1 @ GENR_PVARR_1131 @ ((in2 @ T @ (closedu_interval1 @ (cons1 @ (c_2 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil1))) & (in @ X0 @ X)) @ (pastecart2 @ T @ X0)))) @ Y) & ![X0:cartrealm]:((H @ (pastecart2 @ (vec @ (numeral @ u_0)) @ X0)) = (P @ X0)) & ![X0:cartrealm]:((H @ (pastecart2 @ (vec @ (numeral @ (bit1 @ u_0))) @ X0)) = (Q @ X0)) & ![T:cartrealn1]:((in2 @ T @ (closedu_interval1 @ (cons1 @ (c_2 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil1))) => (P0 @ ^[X0:cartrealm]:(H @ (pastecart2 @ T @ X0))))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(aou_THM, axiom, ![F:(b > cartrealn),G:(a > b),X:a]:((o2 @ F @ G @ X) = (F @ (G @ X)))).
thf(aretractu_of, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((retractu_of @ T @ S) <=> ?[R:(cartrealn > cartrealn)]:(retraction @ (c_4 @ S @ T) @ R))).
thf(aretraction, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),R:(cartrealn > cartrealn)]:((retraction @ (c_4 @ S @ T) @ R) <=> ((subset @ T @ S) & (continuousu_on0 @ R @ S) & (subset @ (image2 @ R @ S) @ T) & ![X:cartrealn]:((in1 @ X @ T) => ((R @ X) = X))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o),U:(cartrealn > $o),V:(cartrealn > $o)]:(((closed @ S) & (closed @ T) & (retractu_of @ U @ V) & (open @ V) & (continuousu_on @ F @ T) & (subset @ (image @ F @ T) @ U) & (continuousu_on @ G @ S) & (subset @ (image @ G @ S) @ U) & (homotopicu_with @ ^[X:(cartrealm > cartrealn)]:$true @ (c_ @ S @ U) @ F @ G)) => ?[GI_:(cartrealm > cartrealn)]:((continuousu_on @ GI_ @ T) & (subset @ (image @ GI_ @ T) @ U) & ![X:cartrealm]:((in @ X @ S) => ((GI_ @ X) = (G @ X)))))).
