%   ORIGINAL: RETRACT_FIXPOINT_PROPERTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_ID: !s. (\x. x) continuous_on s
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: INVERTIBLE_FIXPOINT_PROPERTY: !s t i r. i continuous_on t /\ IMAGE i t SUBSET s /\ r continuous_on s /\ IMAGE r s SUBSET t /\ (!y. y IN t ==> r (i y) = y) ==> (!f. f continuous_on s /\ IMAGE f s SUBSET s ==> (?x. x IN s /\ f x = x)) ==> (!g. g continuous_on t /\ IMAGE g t SUBSET t ==> (?y. y IN t /\ g y = y))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: retract_of: !s t. t retract_of s <=> (?r. retraction (s,t) r)
% Assm: retraction: !s t r. retraction (s,t) r <=> t SUBSET s /\ r continuous_on s /\ IMAGE r s SUBSET t /\ (!x. x IN t ==> r x = x)
% Goal: !s t. t retract_of s /\ (!f. f continuous_on s /\ IMAGE f s SUBSET s ==> (?x. x IN s /\ f x = x)) ==> (!g. g continuous_on t /\ IMAGE g t SUBSET t ==> (?y. y IN t /\ g y = y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. (\x. x) continuous_on s
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !s t i r. i continuous_on t /\ IMAGE i t SUBSET s /\ r continuous_on s /\ IMAGE r s SUBSET t /\ (!y. y IN t ==> r (i y) = y) ==> (!f. f continuous_on s /\ IMAGE f s SUBSET s ==> (?x. x IN s /\ f x = x)) ==> (!g. g continuous_on t /\ IMAGE g t SUBSET t ==> (?y. y IN t /\ g y = y))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s t. t retract_of s <=> (?r. retraction (s,t) r)
% Assm: !s t r. retraction (s,t) r <=> t SUBSET s /\ r continuous_on s /\ IMAGE r s SUBSET t /\ (!x. x IN t ==> r x = x)
% Goal: !s t. t retract_of s /\ (!f. f continuous_on s /\ IMAGE f s SUBSET s ==> (?x. x IN s /\ f x = x)) ==> (!g. g continuous_on t /\ IMAGE g t SUBSET t ==> (?y. y IN t /\ g y = y))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cretraction, type, retraction : (prodfuncartrealnboolfuncartrealnbool > (cartrealn > cartrealn) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(cretractuu_of, type, retractu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_ID, axiom, ![S:(cartrealn > $o)]:(continuousu_on @ ^[X:cartrealn]:X @ S)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in @ X @ S) => (P @ (F @ X))))).
thf(aINVERTIBLEu_FIXPOINTu_PROPERTY, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),I:(cartrealn > cartrealn),R:(cartrealn > cartrealn)]:(((continuousu_on @ I @ T) & (subset @ (image @ I @ T) @ S) & (continuousu_on @ R @ S) & (subset @ (image @ R @ S) @ T) & ![Y:cartrealn]:((in @ Y @ T) => ((R @ (I @ Y)) = Y))) => (![F:(cartrealn > cartrealn)]:(((continuousu_on @ F @ S) & (subset @ (image @ F @ S) @ S)) => ?[X:cartrealn]:((in @ X @ S) & ((F @ X) = X))) => ![G:(cartrealn > cartrealn)]:(((continuousu_on @ G @ T) & (subset @ (image @ G @ T) @ T)) => ?[Y:cartrealn]:((in @ Y @ T) & ((G @ Y) = Y)))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aretractu_of, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((retractu_of @ T @ S) <=> ?[R:(cartrealn > cartrealn)]:(retraction @ (c_ @ S @ T) @ R))).
thf(aretraction, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),R:(cartrealn > cartrealn)]:((retraction @ (c_ @ S @ T) @ R) <=> ((subset @ T @ S) & (continuousu_on @ R @ S) & (subset @ (image @ R @ S) @ T) & ![X:cartrealn]:((in @ X @ T) => ((R @ X) = X))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((retractu_of @ T @ S) & ![F:(cartrealn > cartrealn)]:(((continuousu_on @ F @ S) & (subset @ (image @ F @ S) @ S)) => ?[X:cartrealn]:((in @ X @ S) & ((F @ X) = X)))) => ![G:(cartrealn > cartrealn)]:(((continuousu_on @ G @ T) & (subset @ (image @ G @ T) @ T)) => ?[Y:cartrealn]:((in @ Y @ T) & ((G @ Y) = Y))))).
