%   ORIGINAL: BROUWER_BALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BALL_EQ_EMPTY: !x e. ball (x,e) = {} <=> e <= &0
% Assm: BROUWER_WEAK: !f s. compact s /\ convex s /\ ~(interior s = {}) /\ f continuous_on s /\ IMAGE f s SUBSET s ==> (?x. x IN s /\ f x = x)
% Assm: COMPACT_CBALL: !x e. compact (cball (x,e))
% Assm: CONVEX_CBALL: !x e. convex (cball (x,e))
% Assm: INTERIOR_CBALL: !x e. interior (cball (x,e)) = ball (x,e)
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: TRUTH: T
% Goal: !f a e. &0 < e /\ f continuous_on cball (a,e) /\ IMAGE f (cball (a,e)) SUBSET cball (a,e) ==> (?x. x IN cball (a,e) /\ f x = x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. ball (x,e) = {} <=> e <= &0
% Assm: !f s. compact s /\ convex s /\ ~(interior s = {}) /\ f continuous_on s /\ IMAGE f s SUBSET s ==> (?x. x IN s /\ f x = x)
% Assm: !x e. compact (cball (x,e))
% Assm: !x e. convex (cball (x,e))
% Assm: !x e. interior (cball (x,e)) = ball (x,e)
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: T
% Goal: !f a e. &0 < e /\ f continuous_on cball (a,e) /\ IMAGE f (cball (a,e)) SUBSET cball (a,e) ==> (?x. x IN cball (a,e) /\ f x = x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBALLu_EQu_EMPTY, axiom, ![X:cartrealn,E:real]:(((ball @ (c_ @ X @ E)) = empty) <=> (realu_le @ E @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aBROUWERu_WEAK, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((compact @ S) & (convex @ S) & ~ (((interior @ S) = empty)) & (continuousu_on @ F @ S) & (subset @ (image @ F @ S) @ S)) => ?[X:cartrealn]:((in @ X @ S) & ((F @ X) = X)))).
thf(aCOMPACTu_CBALL, axiom, ![X:cartrealn,E:real]:(compact @ (cball @ (c_ @ X @ E)))).
thf(aCONVEXu_CBALL, axiom, ![X:cartrealn,E:real]:(convex @ (cball @ (c_ @ X @ E)))).
thf(aINTERIORu_CBALL, axiom, ![X:cartrealn,E:real]:((interior @ (cball @ (c_ @ X @ E))) = (ball @ (c_ @ X @ E)))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn),A:cartrealn,E:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (continuousu_on @ F @ (cball @ (c_ @ A @ E))) & (subset @ (image @ F @ (cball @ (c_ @ A @ E))) @ (cball @ (c_ @ A @ E)))) => ?[X:cartrealn]:((in @ X @ (cball @ (c_ @ A @ E))) & ((F @ X) = X)))).
