%   ORIGINAL: NO_RETRACTION_FRONTIER_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_CLOSED: !s. closed s ==> closure s = s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FRONTIER_SUBSET_EQ: !s. frontier s SUBSET s <=> closed s
% Assm: FRONTIER_SUBSET_RETRACTION: !s t r. bounded s /\ frontier s SUBSET t /\ r continuous_on closure s /\ IMAGE r s SUBSET t /\ (!x. x IN t ==> r x = x) ==> s SUBSET t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Assm: retract_of: !s t. t retract_of s <=> (?r. retraction (s,t) r)
% Assm: retraction: !s t r. retraction (s,t) r <=> t SUBSET s /\ r continuous_on s /\ IMAGE r s SUBSET t /\ (!x. x IN t ==> r x = x)
% Goal: !s. bounded s /\ ~(interior s = {}) ==> ~(frontier s retract_of s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed s ==> closure s = s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. frontier s SUBSET s <=> closed s
% Assm: !s t r. bounded s /\ frontier s SUBSET t /\ r continuous_on closure s /\ IMAGE r s SUBSET t /\ (!x. x IN t ==> r x = x) ==> s SUBSET t
% Assm: !P x. x IN P <=> P x
% Assm: !s. interior s SUBSET s
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET s
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Assm: !s t. t retract_of s <=> (?r. retraction (s,t) r)
% Assm: !s t r. retraction (s,t) r <=> t SUBSET s /\ r continuous_on s /\ IMAGE r s SUBSET t /\ (!x. x IN t ==> r x = x)
% Goal: !s. bounded s /\ ~(interior s = {}) ==> ~(frontier s retract_of s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cretraction, type, retraction : (prodfuncartrealnboolfuncartrealnbool > (cartrealn > cartrealn) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin1, type, in1 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(cretractuu_of, type, retractu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage0, type, image0 : ((a > cartrealn > $o) > (a > $o) > (cartrealn > $o) > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_CLOSED, axiom, ![S:(cartrealn > $o)]:((closed @ S) => ((closure @ S) = S))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFRONTIERu_SUBSETu_EQ, axiom, ![S:(cartrealn > $o)]:((subset @ (frontier @ S) @ S) <=> (closed @ S))).
thf(aFRONTIERu_SUBSETu_RETRACTION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),R:(cartrealn > cartrealn)]:(((bounded @ S) & (subset @ (frontier @ S) @ T) & (continuousu_on @ R @ (closure @ S)) & (subset @ (image @ R @ S) @ T) & ![X:cartrealn]:((in @ X @ T) => ((R @ X) = X))) => (subset @ S @ T))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ (interior @ S) @ S)).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_IMAGE, axiom, ![Y:(cartrealn > $o),S:(a > $o),F:(a > cartrealn > $o)]:((in1 @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset0 @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealn > $o)]:((frontier @ S) = (diff0 @ (closure @ S) @ (interior @ S)))).
thf(aretractu_of, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((retractu_of @ T @ S) <=> ?[R:(cartrealn > cartrealn)]:(retraction @ (c_ @ S @ T) @ R))).
thf(aretraction, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),R:(cartrealn > cartrealn)]:((retraction @ (c_ @ S @ T) @ R) <=> ((subset @ T @ S) & (continuousu_on @ R @ S) & (subset @ (image @ R @ S) @ T) & ![X:cartrealn]:((in @ X @ T) => ((R @ X) = X))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((bounded @ S) & ~ (((interior @ S) = empty))) => ~ ((retractu_of @ (frontier @ S) @ S)))).
