%   ORIGINAL: PATH_CONNECTED_COMPLEMENT_HOMEOMORPHIC_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_IMP_CLOSED: !s. compact s ==> closed s
% Assm: COMPACT_INTERVAL: !a b. compact (interval [a,b])
% Assm: CONNECTED_COMPLEMENT_HOMEOMORPHIC_INTERVAL: !s a b. 2 <= dimindex (:N) /\ s homeomorphic interval [a,b] ==> connected ((:real^N) DIFF s)
% Assm: HOMEOMORPHIC_COMPACTNESS: !s t. s homeomorphic t ==> (compact s <=> compact t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PATH_CONNECTED_EQ_CONNECTED: !s. open s ==> (path_connected s <=> connected s)
% Assm: TRUTH: T
% Assm: closed: !s. closed s <=> open ((:real^N) DIFF s)
% Goal: !s a b. 2 <= dimindex (:N) /\ s homeomorphic interval [a,b] ==> path_connected ((:real^N) DIFF s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s ==> closed s
% Assm: !a b. compact (interval [a,b])
% Assm: !s a b. 2 <= dimindex (:N) /\ s homeomorphic interval [a,b] ==> connected ((:real^N) DIFF s)
% Assm: !s t. s homeomorphic t ==> (compact s <=> compact t)
% Assm: ~F <=> T
% Assm: !s. open s ==> (path_connected s <=> connected s)
% Assm: T
% Assm: !s. closed s <=> open ((:real^N) DIFF s)
% Goal: !s a b. 2 <= dimindex (:N) /\ s homeomorphic interval [a,b] ==> path_connected ((:real^N) DIFF s)
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq186135, type, cartrealq186135 : $tType).
thf(tq186135, type, q186135 : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cuniv, type, univ : (n > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(chomeomorphic, type, homeomorphic : ((cartrealn > $o) > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cclosed0, type, closed0 : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(ccompact1, type, compact1 : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealq186135 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealq186135 > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_IMPu_CLOSED, axiom, ![S:(cartrealq186135 > $o)]:((compact @ S) => (closed @ S))).
thf(aCOMPACTu_INTERVAL, axiom, ![A:cartrealm,B:cartrealm]:(compact0 @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aCONNECTEDu_COMPLEMENTu_HOMEOMORPHICu_INTERVAL, axiom, ![S:(cartrealn > $o),A:cartrealm,B:cartrealm]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & (homeomorphic @ S @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (connected @ (diff @ univ0 @ S)))).
thf(aHOMEOMORPHICu_COMPACTNESS, axiom, ![S:(cartrealn > $o),T:(cartrealm > $o)]:((homeomorphic @ S @ T) => ((compact1 @ S) <=> (compact0 @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPATHu_CONNECTEDu_EQu_CONNECTED, axiom, ![S:(cartrealn > $o)]:((open @ S) => ((pathu_connected @ S) <=> (connected @ S)))).
thf(aTRUTH, axiom, $true).
thf(aclosed, axiom, ![S:(cartrealn > $o)]:((closed0 @ S) <=> (open @ (diff @ univ0 @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealm,B:cartrealm]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & (homeomorphic @ S @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (pathu_connected @ (diff @ univ0 @ S)))).
