%   ORIGINAL: JORDAN_DISCONNECTED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: JORDAN_CURVE_THEOREM: !c. simple_path c /\ pathfinish c = pathstart c ==> (?ins out. ~(ins = {}) /\ open ins /\ connected ins /\ ~(out = {}) /\ open out /\ connected out /\ bounded ins /\ ~bounded out /\ ins INTER out = {} /\ ins UNION out = (:real^2) DIFF path_image c /\ frontier ins = path_image c /\ frontier out = path_image c)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: connected: !s. connected s <=> ~(?e1 e2. open e1 /\ open e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Goal: !c. simple_path c /\ pathfinish c = pathstart c ==> ~connected ((:real^2) DIFF path_image c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:real^2)
% Assm: !x. I x = x
% Assm: !c. simple_path c /\ pathfinish c = pathstart c ==> (?ins out. ~(ins = {}) /\ open ins /\ connected ins /\ ~(out = {}) /\ open out /\ connected out /\ bounded ins /\ ~bounded out /\ ins INTER out = {} /\ ins UNION out = (:real^2) DIFF path_image c /\ frontier ins = path_image c /\ frontier out = path_image c)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. connected s <=> ~(?e1 e2. open e1 /\ open e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Goal: !c. simple_path c /\ pathfinish c = pathstart c ==> ~connected ((:real^2) DIFF path_image c)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cfrontier, type, frontier : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(cin0, type, in0 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn2) > cartrealn2 > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn2) > cartrealn2)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn2) > cartrealn2)).
thf(cunion0, type, union0 : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cinter0, type, inter0 : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cbounded, type, bounded : ((cartrealn2 > $o) > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
thf(cuniv, type, univ : (cartrealn2 > $o)).
thf(cconnected, type, connected : ((cartrealn2 > $o) > $o)).
thf(csimpleuu_path, type, simpleu_path : ((cartrealn1 > cartrealn2) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o),X:cartrealn2]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn2]:(in0 @ X @ univ)).
thf(aIu_THM, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aJORDANu_CURVEu_THEOREM, axiom, ![C:(cartrealn1 > cartrealn2)]:(((simpleu_path @ C) & ((pathfinish @ C) = (pathstart @ C))) => ?[INS:(cartrealn2 > $o),OUT:(cartrealn2 > $o)]:(~ ((INS = empty)) & (open @ INS) & (connected @ INS) & ~ ((OUT = empty)) & (open @ OUT) & (connected @ OUT) & (bounded @ INS) & ~ ((bounded @ OUT)) & ((inter0 @ INS @ OUT) = empty) & ((union0 @ INS @ OUT) = (diff @ univ @ (pathu_image @ C))) & ((frontier @ INS) = (pathu_image @ C)) & ((frontier @ OUT) = (pathu_image @ C))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aconnected, axiom, ![S:(cartrealn2 > $o)]:((connected @ S) <=> ~ (?[E1:(cartrealn2 > $o),E2:(cartrealn2 > $o)]:((open @ E1) & (open @ E2) & (subset0 @ S @ (union0 @ E1 @ E2)) & ((inter0 @ E1 @ (inter0 @ E2 @ S)) = empty) & ~ (((inter0 @ E1 @ S) = empty)) & ~ (((inter0 @ E2 @ S) = empty)))))).
thf(conjecture, conjecture, ![C:(cartrealn1 > cartrealn2)]:(((simpleu_path @ C) & ((pathfinish @ C) = (pathstart @ C))) => ~ ((connected @ (diff @ univ @ (pathu_image @ C)))))).
