%   ORIGINAL: has_derivative_within
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LIM: (f --> l) net <=> trivial_limit net \/ (!e. &0 < e ==> (?y. (?x. netord net x y) /\ (!x. netord net x y ==> dist (f x,l) < e)))
% Assm: LIM_CONG_WITHIN: (!x. ~(x = a) ==> f x = g x) ==> (((\x. f x) --> l) (at a within s) <=> (g --> l) (at a within s))
% Assm: NETLIMIT_WITHIN: !a s. ~trivial_limit (at a within s) ==> netlimit (at a within s) = a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: has_derivative: !f f' net. (f has_derivative f') net <=> linear f' /\ ((\y. inv (norm (y - netlimit net)) % (f y - (f (netlimit net) + f' (y - netlimit net)))) --> vec 0) net
% Goal: !f f' x s. (f has_derivative f') (at x within s) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x within s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !net f l. (f --> l) net <=> trivial_limit net \/ (!e. &0 < e ==> (?y. (?x. netord net x y) /\ (!x. netord net x y ==> dist (f x,l) < e)))
% Assm: !f g l a s. (!x. ~(x = a) ==> f x = g x) ==> (((\x. f x) --> l) (at a within s) <=> (g --> l) (at a within s))
% Assm: !a s. ~trivial_limit (at a within s) ==> netlimit (at a within s) = a
% Assm: ~F <=> T
% Assm: T
% Assm: !f f' net. (f has_derivative f') net <=> linear f' /\ ((\y. inv (norm (y - netlimit net)) % (f y - (f (netlimit net) + f' (y - netlimit net)))) --> vec 0) net
% Goal: !f f' x s. (f has_derivative f') (at x within s) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x within s)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealm > real)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cnetord, type, netord : (netcartrealm > cartrealm > cartrealm > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealm > cartrealm > cartrealm)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealm > cartrealn) > cartrealn > netcartrealm > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealm > cartrealn) > (cartrealm > cartrealn) > netcartrealm > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (netcartrealm > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cnetlimit, type, netlimit : (netcartrealm > cartrealm)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLIM, axiom, ![NET:netcartrealm,F:(cartrealm > cartrealn),L:cartrealn]:((m_m_g_ @ F @ L @ NET) <=> ((trivialu_limit @ NET) | ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[Y:cartrealm]:(?[X:cartrealm]:(netord @ NET @ X @ Y) & ![X:cartrealm]:((netord @ NET @ X @ Y) => (realu_lt @ (distance @ (c_ @ (F @ X) @ L)) @ E))))))).
thf(aLIMu_CONGu_WITHIN, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),L:cartrealn,A:cartrealm,S:(cartrealm > $o)]:(![X:cartrealm]:(~ ((X = A)) => ((F @ X) = (G @ X))) => ((m_m_g_ @ ^[X:cartrealm]:(F @ X) @ L @ (within @ (at @ A) @ S)) <=> (m_m_g_ @ G @ L @ (within @ (at @ A) @ S))))).
thf(aNETLIMITu_WITHIN, axiom, ![A:cartrealm,S:(cartrealm > $o)]:(~ ((trivialu_limit @ (within @ (at @ A) @ S))) => ((netlimit @ (within @ (at @ A) @ S)) = A))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ahasu_derivative, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),NET:netcartrealm]:((hasu_derivative @ F @ FI_ @ NET) <=> ((linear @ FI_) & (m_m_g_ @ ^[Y:cartrealm]:(r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ Y @ (netlimit @ NET)))) @ (vectoru_sub0 @ (F @ Y) @ (vectoru_add @ (F @ (netlimit @ NET)) @ (FI_ @ (vectoru_sub @ Y @ (netlimit @ NET)))))) @ (vec @ (numeral @ u_0)) @ NET)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),X:cartrealm,S:(cartrealm > $o)]:((hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) <=> ((linear @ FI_) & (m_m_g_ @ ^[Y:cartrealm]:(r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ Y @ X))) @ (vectoru_sub0 @ (F @ Y) @ (vectoru_add @ (F @ X) @ (FI_ @ (vectoru_sub @ Y @ X))))) @ (vec @ (numeral @ u_0)) @ (within @ (at @ X) @ S))))).
