%   ORIGINAL: HAS_DERIVATIVE_AT_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_DERIVATIVE_AT: (f has_derivative f') (at x) <=> linear f' /\ (!e. &0 < e ==> (?d. &0 < d /\ (!x'. &0 < norm (x' - x) /\ norm (x' - x) < d ==> norm (f x' - f x - f' (x' - x)) / norm (x' - x) < e)))
% Assm: HAS_DERIVATIVE_WITHIN: (f has_derivative f') (at x within s) <=> linear f' /\ (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ &0 < norm (x' - x) /\ norm (x' - x) < d ==> norm (f x' - f x - f' (x' - x)) / norm (x' - x) < e)))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f x s. (f has_derivative f') (at x) ==> (f has_derivative f') (at x within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f f' x. (f has_derivative f') (at x) <=> linear f' /\ (!e. &0 < e ==> (?d. &0 < d /\ (!x'. &0 < norm (x' - x) /\ norm (x' - x) < d ==> norm (f x' - f x - f' (x' - x)) / norm (x' - x) < e)))
% Assm: !s f f' x. (f has_derivative f') (at x within s) <=> linear f' /\ (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ &0 < norm (x' - x) /\ norm (x' - x) < d ==> norm (f x' - f x - f' (x' - x)) / norm (x' - x) < e)))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f' f x s. (f has_derivative f') (at x) ==> (f has_derivative f') (at x within s)
%  TYPES
thf(tcartrealq409766, type, cartrealq409766 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq409753, type, q409753 : $tType).
thf(tq409766, type, q409766 : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealq409766, type, netcartrealq409766 : $tType).
thf(tcartrealq409753, type, cartrealq409753 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq409766 > netcartrealq409766)).
thf(cin, type, in : (cartrealq409766 > (cartrealq409766 > $o) > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq409753 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq409766 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq409753 > cartrealq409753 > cartrealq409753)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq409766 > cartrealq409766 > cartrealq409766)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netcartrealq409766 > (cartrealq409766 > $o) > netcartrealq409766)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq409766 > cartrealq409753) > (cartrealq409766 > cartrealq409753) > netcartrealq409766 > $o)).
thf(clinear, type, linear : ((cartrealq409766 > cartrealq409753) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_DERIVATIVEu_AT, axiom, ![F:(cartrealq409766 > cartrealq409753),FI_:(cartrealq409766 > cartrealq409753),X:cartrealq409766]:((hasu_derivative @ F @ FI_ @ (at @ X)) <=> ((linear @ FI_) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealq409766]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ (vectoru_sub @ XI_ @ X))) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ XI_ @ X)) @ D)) => (realu_lt @ (realu_div @ (vectoru_norm0 @ (vectoru_sub0 @ (vectoru_sub0 @ (F @ XI_) @ (F @ X)) @ (FI_ @ (vectoru_sub @ XI_ @ X)))) @ (vectoru_norm @ (vectoru_sub @ XI_ @ X))) @ E))))))).
thf(aHASu_DERIVATIVEu_WITHIN, axiom, ![S:(cartrealq409766 > $o),F:(cartrealq409766 > cartrealq409753),FI_:(cartrealq409766 > cartrealq409753),X:cartrealq409766]:((hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) <=> ((linear @ FI_) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealq409766]:(((in @ XI_ @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ (vectoru_sub @ XI_ @ X))) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ XI_ @ X)) @ D)) => (realu_lt @ (realu_div @ (vectoru_norm0 @ (vectoru_sub0 @ (vectoru_sub0 @ (F @ XI_) @ (F @ X)) @ (FI_ @ (vectoru_sub @ XI_ @ X)))) @ (vectoru_norm @ (vectoru_sub @ XI_ @ X))) @ E))))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![FI_:(cartrealq409766 > cartrealq409753),F:(cartrealq409766 > cartrealq409753),X:cartrealq409766,S:(cartrealq409766 > $o)]:((hasu_derivative @ F @ FI_ @ (at @ X)) => (hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)))).
