%   ORIGINAL: HAS_DERIVATIVE_CMUL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_DERIVATIVE_CMUL: !f f' net c. (f has_derivative f') net ==> ((\x. c % f x) has_derivative (\h. c % f' h)) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: TRUTH: T
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Goal: !f f' net c. ~(c = &0) ==> (((\x. c % f x) has_derivative (\h. c % f' h)) net <=> (f has_derivative f') net)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f f' net c. (f has_derivative f') net ==> ((\x. c % f x) has_derivative (\h. c % f' h)) net
% Assm: ~F <=> T
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: T
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Goal: !f f' net c. ~(c = &0) ==> (((\x. c % f x) has_derivative (\h. c % f' h)) net <=> (f has_derivative f') net)
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq410033, type, cartrealq410033 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetcartrealq410034, type, netcartrealq410034 : $tType).
thf(treal, type, real : $tType).
thf(tq410033, type, q410033 : $tType).
thf(tq410034, type, q410034 : $tType).
thf(tcartrealq410034, type, cartrealq410034 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cru_, type, r_ : (real > cartrealq410033 > cartrealq410033)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq410034 > cartrealq410033) > (cartrealq410034 > cartrealq410033) > netcartrealq410034 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_DERIVATIVEu_CMUL, axiom, ![F:(cartrealq410034 > cartrealq410033),FI_:(cartrealq410034 > cartrealq410033),NET:netcartrealq410034,C:real]:((hasu_derivative @ F @ FI_ @ NET) => (hasu_derivative @ ^[X:cartrealq410034]:(r_ @ C @ (F @ X)) @ ^[H:cartrealq410034]:(r_ @ C @ (FI_ @ H)) @ NET))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealq410033]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq410033]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(conjecture, conjecture, ![F:(cartrealq410034 > cartrealq410033),FI_:(cartrealq410034 > cartrealq410033),NET:netcartrealq410034,C:real]:(~ ((C = (realu_ofu_num @ (numeral @ u_0)))) => ((hasu_derivative @ ^[X:cartrealq410034]:(r_ @ C @ (F @ X)) @ ^[H:cartrealq410034]:(r_ @ C @ (FI_ @ H)) @ NET) <=> (hasu_derivative @ F @ FI_ @ NET)))).
