%   ORIGINAL: HAS_DERIVATIVE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_DERIVATIVE_ADD: !f f' g g' net. (f has_derivative f') net /\ (g has_derivative g') net ==> ((\x. f x + g x) has_derivative (\h. f' h + g' h)) net
% Assm: HAS_DERIVATIVE_NEG: !f f' net. (f has_derivative f') net ==> ((\x. --f x) has_derivative (\h. --f' h)) net
% Assm: TRUTH: T
% Assm: VECTOR_SUB: x - y = x + --y
% Goal: !f f' g g' net. (f has_derivative f') net /\ (g has_derivative g') net ==> ((\x. f x - g x) has_derivative (\h. f' h - g' h)) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' g g' net. (f has_derivative f') net /\ (g has_derivative g') net ==> ((\x. f x + g x) has_derivative (\h. f' h + g' h)) net
% Assm: !f f' net. (f has_derivative f') net ==> ((\x. --f x) has_derivative (\h. --f' h)) net
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !f f' g g' net. (f has_derivative f') net /\ (g has_derivative g') net ==> ((\x. f x - g x) has_derivative (\h. f' h - g' h)) net
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetcartrealq410245, type, netcartrealq410245 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq410245, type, cartrealq410245 : $tType).
thf(tcartrealq410265, type, cartrealq410265 : $tType).
thf(tq410265, type, q410265 : $tType).
thf(tq410245, type, q410245 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq410265 > cartrealq410265)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq410265 > cartrealq410265 > cartrealq410265)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq410265 > cartrealq410265 > cartrealq410265)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq410245 > cartrealq410265) > (cartrealq410245 > cartrealq410265) > netcartrealq410245 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_DERIVATIVEu_ADD, axiom, ![F:(cartrealq410245 > cartrealq410265),FI_:(cartrealq410245 > cartrealq410265),G:(cartrealq410245 > cartrealq410265),GI_:(cartrealq410245 > cartrealq410265),NET:netcartrealq410245]:(((hasu_derivative @ F @ FI_ @ NET) & (hasu_derivative @ G @ GI_ @ NET)) => (hasu_derivative @ ^[X:cartrealq410245]:(vectoru_add @ (F @ X) @ (G @ X)) @ ^[H:cartrealq410245]:(vectoru_add @ (FI_ @ H) @ (GI_ @ H)) @ NET))).
thf(aHASu_DERIVATIVEu_NEG, axiom, ![F:(cartrealq410245 > cartrealq410265),FI_:(cartrealq410245 > cartrealq410265),NET:netcartrealq410245]:((hasu_derivative @ F @ FI_ @ NET) => (hasu_derivative @ ^[X:cartrealq410245]:(vectoru_neg @ (F @ X)) @ ^[H:cartrealq410245]:(vectoru_neg @ (FI_ @ H)) @ NET))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUB, axiom, ![X:cartrealq410265,Y:cartrealq410265]:((vectoru_sub @ X @ Y) = (vectoru_add @ X @ (vectoru_neg @ Y)))).
thf(conjecture, conjecture, ![F:(cartrealq410245 > cartrealq410265),FI_:(cartrealq410245 > cartrealq410265),G:(cartrealq410245 > cartrealq410265),GI_:(cartrealq410245 > cartrealq410265),NET:netcartrealq410245]:(((hasu_derivative @ F @ FI_ @ NET) & (hasu_derivative @ G @ GI_ @ NET)) => (hasu_derivative @ ^[X:cartrealq410245]:(vectoru_sub @ (F @ X) @ (G @ X)) @ ^[H:cartrealq410245]:(vectoru_sub @ (FI_ @ H) @ (GI_ @ H)) @ NET))).
