%   ORIGINAL: HAS_DERIVATIVE_TRANSFORM_WITHIN_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LIM_CONG_AT: (!x. ~(x = a) ==> f x = g x) ==> (((\x. f x) --> l) (at a) <=> (g --> l) (at a))
% Assm: LIM_TRANSFORM_WITHIN_OPEN: !f g s a. open s /\ a IN s /\ (!x. x IN s /\ ~(x = a) ==> f x = g x) /\ (f --> l) (at a) ==> (g --> l) (at a)
% Assm: TRUTH: T
% Assm: has_derivative_at: !f f' x. (f has_derivative f') (at x) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x)
% Goal: !f g s x. open s /\ x IN s /\ (!y. y IN s ==> f y = g y) /\ (f has_derivative f') (at x) ==> (g has_derivative f') (at x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g l a. (!x. ~(x = a) ==> f x = g x) ==> (((\x. f x) --> l) (at a) <=> (g --> l) (at a))
% Assm: !l f g s a. open s /\ a IN s /\ (!x. x IN s /\ ~(x = a) ==> f x = g x) /\ (f --> l) (at a) ==> (g --> l) (at a)
% Assm: T
% Assm: !f f' x. (f has_derivative f') (at x) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x)
% Goal: !f' f g s x. open s /\ x IN s /\ (!y. y IN s ==> f y = g y) /\ (f has_derivative f') (at x) ==> (g has_derivative f') (at x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat0, type, at0 : (cartrealn > netcartrealn)).
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealm > real)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealm > cartrealm > cartrealm)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((cartrealm > cartrealn) > cartrealn > netcartrealm > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealn > cartrealn) > cartrealn > netcartrealn > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealm > cartrealn) > (cartrealm > cartrealn) > netcartrealm > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(copen, type, open : ((cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLIMu_CONGu_AT, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),L:cartrealn,A:cartrealn]:(![X:cartrealn]:(~ ((X = A)) => ((F @ X) = (G @ X))) => ((m_m_g_ @ ^[X:cartrealn]:(F @ X) @ L @ (at0 @ A)) <=> (m_m_g_ @ G @ L @ (at0 @ A))))).
thf(aLIMu_TRANSFORMu_WITHINu_OPEN, axiom, ![L:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealm]:(((open @ S) & (in @ A @ S) & ![X:cartrealm]:(((in @ X @ S) & ~ ((X = A))) => ((F @ X) = (G @ X))) & (m_m_g_0 @ F @ L @ (at @ A))) => (m_m_g_0 @ G @ L @ (at @ A)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_derivativeu_at, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),X:cartrealm]:((hasu_derivative @ F @ FI_ @ (at @ X)) <=> ((linear @ FI_) & (m_m_g_0 @ ^[Y:cartrealm]:(r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ Y @ X))) @ (vectoru_sub0 @ (F @ Y) @ (vectoru_add @ (F @ X) @ (FI_ @ (vectoru_sub @ Y @ X))))) @ (vec @ (numeral @ u_0)) @ (at @ X))))).
thf(conjecture, conjecture, ![FI_:(cartrealm > cartrealn),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),X:cartrealm]:(((open @ S) & (in @ X @ S) & ![Y:cartrealm]:((in @ Y @ S) => ((F @ Y) = (G @ Y))) & (hasu_derivative @ F @ FI_ @ (at @ X))) => (hasu_derivative @ G @ FI_ @ (at @ X)))).
