%   ORIGINAL: DIFFERENTIABLE_TRANSFORM_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_DERIVATIVE_TRANSFORM_WITHIN: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ dist (x',x) < d ==> f x' = g x') /\ (f has_derivative f') (at x within s) ==> (g has_derivative f') (at x within s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Goal: !f g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ dist (x',x) < d ==> f x' = g x') /\ f differentiable at x within s ==> g differentiable at x within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ dist (x',x) < d ==> f x' = g x') /\ (f has_derivative f') (at x within s) ==> (g has_derivative f') (at x within s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Goal: !f g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ dist (x',x) < d ==> f x' = g x') /\ f differentiable at x within s ==> g differentiable at x within s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq411093, type, q411093 : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq411093cartrealq411093, type, prodcartrealq411093cartrealq411093 : $tType).
thf(tcartrealq411087, type, cartrealq411087 : $tType).
thf(tnetcartrealq411093, type, netcartrealq411093 : $tType).
thf(tcartrealq411093, type, cartrealq411093 : $tType).
thf(treal, type, real : $tType).
thf(tq411087, type, q411087 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq411093 > netcartrealq411093)).
thf(cdifferentiable, type, differentiable : ((cartrealq411093 > cartrealq411087) > netcartrealq411093 > $o)).
thf(cdistance, type, distance : (prodcartrealq411093cartrealq411093 > real)).
thf(cin, type, in : (cartrealq411093 > (cartrealq411093 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq411093 > cartrealq411087) > (cartrealq411093 > cartrealq411087) > netcartrealq411093 > $o)).
thf(cwithin, type, within : (netcartrealq411093 > (cartrealq411093 > $o) > netcartrealq411093)).
thf(ccu_, type, c_ : (cartrealq411093 > cartrealq411093 > prodcartrealq411093cartrealq411093)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (cartrealq411087 > cartrealq411087)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq411087),G:(a > cartrealq411087)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_DERIVATIVEu_TRANSFORMu_WITHIN, axiom, ![F:(cartrealq411093 > cartrealq411087),FI_:(cartrealq411093 > cartrealq411087),G:(cartrealq411093 > cartrealq411087),X:cartrealq411093,S:(cartrealq411093 > $o),D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (in @ X @ S) & ![XI_:cartrealq411093]:(((in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => ((F @ XI_) = (G @ XI_))) & (hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S))) => (hasu_derivative @ G @ FI_ @ (within @ (at @ X) @ S)))).
thf(aIu_THM, axiom, ![X:cartrealq411087]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adifferentiable, axiom, ![F:(cartrealq411093 > cartrealq411087),NET:netcartrealq411093]:((differentiable @ F @ NET) <=> ?[FI_:(cartrealq411093 > cartrealq411087)]:(hasu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![F:(cartrealq411093 > cartrealq411087),G:(cartrealq411093 > cartrealq411087),X:cartrealq411093,S:(cartrealq411093 > $o),D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (in @ X @ S) & ![XI_:cartrealq411093]:(((in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => ((F @ XI_) = (G @ XI_))) & (differentiable @ F @ (within @ (at @ X) @ S))) => (differentiable @ G @ (within @ (at @ X) @ S)))).
