%   ORIGINAL: FRECHET_DERIVATIVE_WORKS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: TRUTH: T
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: frechet_derivative: !f net. frechet_derivative f net = (@f'. (f has_derivative f') net)
% Goal: !f net. f differentiable net <=> (f has_derivative frechet_derivative f net) net
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: (?) = (\P. P ((@) P))
% Assm: T
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: !f net. frechet_derivative f net = (@f'. (f has_derivative f') net)
% Goal: !f net. f differentiable net <=> (f has_derivative frechet_derivative f net) net
%  TYPES
thf(tcartrealq411195, type, cartrealq411195 : $tType).
thf(ta, type, a : $tType).
thf(tq411195, type, q411195 : $tType).
thf(tq411196, type, q411196 : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealq411195, type, netcartrealq411195 : $tType).
thf(tcartrealq411196, type, cartrealq411196 : $tType).
%  CONSTS
thf(cdifferentiable, type, differentiable : ((cartrealq411195 > cartrealq411196) > netcartrealq411195 > $o)).
thf(chu_0, type, h_0 : (((cartrealq411195 > cartrealq411196) > $o) > cartrealq411195 > cartrealq411196)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cfrechetuu_derivative, type, frechetu_derivative : ((cartrealq411195 > cartrealq411196) > netcartrealq411195 > cartrealq411195 > cartrealq411196)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq411195 > cartrealq411196) > (cartrealq411195 > cartrealq411196) > netcartrealq411195 > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aTRUTH, axiom, $true).
thf(adifferentiable, axiom, ![F:(cartrealq411195 > cartrealq411196),NET:netcartrealq411195]:((differentiable @ F @ NET) <=> ?[FI_:(cartrealq411195 > cartrealq411196)]:(hasu_derivative @ F @ FI_ @ NET))).
thf(afrechetu_derivative, axiom, ![F:(cartrealq411195 > cartrealq411196),NET:netcartrealq411195]:((frechetu_derivative @ F @ NET) = (h_0 @ ^[FI_:(cartrealq411195 > cartrealq411196)]:(hasu_derivative @ F @ FI_ @ NET)))).
thf(conjecture, conjecture, ![F:(cartrealq411195 > cartrealq411196),NET:netcartrealq411195]:((differentiable @ F @ NET) <=> (hasu_derivative @ F @ (frechetu_derivative @ F @ NET) @ NET))).
