%   ORIGINAL: LINEAR_FRECHET_DERIVATIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FRECHET_DERIVATIVE_WORKS: !f net. f differentiable net <=> (f has_derivative frechet_derivative f net) net
% Assm: TRUTH: T
% Assm: has_derivative: !f f' net. (f has_derivative f') net <=> linear f' /\ ((\y. inv (norm (y - netlimit net)) % (f y - (f (netlimit net) + f' (y - netlimit net)))) --> vec 0) net
% Goal: !f net. f differentiable net ==> linear (frechet_derivative f net)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f net. f differentiable net <=> (f has_derivative frechet_derivative f net) net
% Assm: T
% Assm: !f f' net. (f has_derivative f') net <=> linear f' /\ ((\y. inv (norm (y - netlimit net)) % (f y - (f (netlimit net) + f' (y - netlimit net)))) --> vec 0) net
% Goal: !f net. f differentiable net ==> linear (frechet_derivative f net)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq411211, type, cartrealq411211 : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealq411211, type, netcartrealq411211 : $tType).
thf(tq411210, type, q411210 : $tType).
thf(tq411211, type, q411211 : $tType).
thf(tcartrealq411210, type, cartrealq411210 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq411211 > real)).
thf(cdifferentiable, type, differentiable : ((cartrealq411211 > cartrealq411210) > netcartrealq411211 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq411210 > cartrealq411210 > cartrealq411210)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq411210 > cartrealq411210 > cartrealq411210)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq411211 > cartrealq411211 > cartrealq411211)).
thf(cru_, type, r_ : (real > cartrealq411210 > cartrealq411210)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealq411211 > cartrealq411210) > cartrealq411210 > netcartrealq411211 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq411211 > cartrealq411210) > (cartrealq411211 > cartrealq411210) > netcartrealq411211 > $o)).
thf(cfrechetuu_derivative, type, frechetu_derivative : ((cartrealq411211 > cartrealq411210) > netcartrealq411211 > cartrealq411211 > cartrealq411210)).
thf(cvec, type, vec : (num > cartrealq411210)).
thf(cnetlimit, type, netlimit : (netcartrealq411211 > cartrealq411211)).
thf(clinear, type, linear : ((cartrealq411211 > cartrealq411210) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFRECHETu_DERIVATIVEu_WORKS, axiom, ![F:(cartrealq411211 > cartrealq411210),NET:netcartrealq411211]:((differentiable @ F @ NET) <=> (hasu_derivative @ F @ (frechetu_derivative @ F @ NET) @ NET))).
thf(aTRUTH, axiom, $true).
thf(ahasu_derivative, axiom, ![F:(cartrealq411211 > cartrealq411210),FI_:(cartrealq411211 > cartrealq411210),NET:netcartrealq411211]:((hasu_derivative @ F @ FI_ @ NET) <=> ((linear @ FI_) & (m_m_g_ @ ^[Y:cartrealq411211]:(r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ Y @ (netlimit @ NET)))) @ (vectoru_sub0 @ (F @ Y) @ (vectoru_add @ (F @ (netlimit @ NET)) @ (FI_ @ (vectoru_sub @ Y @ (netlimit @ NET)))))) @ (vec @ (numeral @ u_0)) @ NET)))).
thf(conjecture, conjecture, ![F:(cartrealq411211 > cartrealq411210),NET:netcartrealq411211]:((differentiable @ F @ NET) => (linear @ (frechetu_derivative @ F @ NET)))).
