%   ORIGINAL: JACOBIAN_WORKS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FRECHET_DERIVATIVE_WORKS: !f net. f differentiable net <=> (f has_derivative frechet_derivative f net) net
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: MATRIX_WORKS: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: has_derivative: !f f' net. (f has_derivative f') net <=> linear f' /\ ((\y. inv (norm (y - netlimit net)) % (f y - (f (netlimit net) + f' (y - netlimit net)))) --> vec 0) net
% Assm: jacobian: !f net. jacobian f net = matrix (frechet_derivative f net)
% Goal: !f net. f differentiable net <=> (f has_derivative (\h. jacobian f net ** h)) net
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f net. f differentiable net <=> (f has_derivative frechet_derivative f net) net
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: !f f' net. (f has_derivative f') net <=> linear f' /\ ((\y. inv (norm (y - netlimit net)) % (f y - (f (netlimit net) + f' (y - netlimit net)))) --> vec 0) net
% Assm: !f net. jacobian f net = matrix (frechet_derivative f net)
% Goal: !f net. f differentiable net <=> (f has_derivative (\h. jacobian f net ** h)) net
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq411266, type, cartrealq411266 : $tType).
thf(tb, type, b : $tType).
thf(tcartcartrealq411265q411266, type, cartcartrealq411265q411266 : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealq411265, type, netcartrealq411265 : $tType).
thf(tcartrealq411265, type, cartrealq411265 : $tType).
thf(tq411265, type, q411265 : $tType).
thf(tq411266, type, q411266 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq411265 > real)).
thf(cdifferentiable, type, differentiable : ((cartrealq411265 > cartrealq411266) > netcartrealq411265 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq411266 > cartrealq411266 > cartrealq411266)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq411266 > cartrealq411266 > cartrealq411266)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq411265 > cartrealq411265 > cartrealq411265)).
thf(cru_, type, r_ : (real > cartrealq411266 > cartrealq411266)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealq411265 > cartrealq411266) > cartrealq411266 > netcartrealq411265 > $o)).
thf(cfrechetuu_derivative, type, frechetu_derivative : ((cartrealq411265 > cartrealq411266) > netcartrealq411265 > cartrealq411265 > cartrealq411266)).
thf(cjacobian, type, jacobian : ((cartrealq411265 > cartrealq411266) > netcartrealq411265 > cartcartrealq411265q411266)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealq411265q411266 > cartrealq411265 > cartrealq411266)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq411265 > cartrealq411266) > (cartrealq411265 > cartrealq411266) > netcartrealq411265 > $o)).
thf(cnetlimit, type, netlimit : (netcartrealq411265 > cartrealq411265)).
thf(cvec, type, vec : (num > cartrealq411266)).
thf(cmatrix, type, matrix : ((cartrealq411265 > cartrealq411266) > cartcartrealq411265q411266)).
thf(clinear, type, linear : ((cartrealq411265 > cartrealq411266) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFRECHETu_DERIVATIVEu_WORKS, axiom, ![F:(cartrealq411265 > cartrealq411266),NET:netcartrealq411265]:((differentiable @ F @ NET) <=> (hasu_derivative @ F @ (frechetu_derivative @ F @ NET) @ NET))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aMATRIXu_WORKS, axiom, ![F:(cartrealq411265 > cartrealq411266)]:((linear @ F) => ![X:cartrealq411265]:((matrixu_vectoru_mul @ (matrix @ F) @ X) = (F @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adifferentiable, axiom, ![F:(cartrealq411265 > cartrealq411266),NET:netcartrealq411265]:((differentiable @ F @ NET) <=> ?[FI_:(cartrealq411265 > cartrealq411266)]:(hasu_derivative @ F @ FI_ @ NET))).
thf(ahasu_derivative, axiom, ![F:(cartrealq411265 > cartrealq411266),FI_:(cartrealq411265 > cartrealq411266),NET:netcartrealq411265]:((hasu_derivative @ F @ FI_ @ NET) <=> ((linear @ FI_) & (m_m_g_ @ ^[Y:cartrealq411265]:(r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ Y @ (netlimit @ NET)))) @ (vectoru_sub0 @ (F @ Y) @ (vectoru_add @ (F @ (netlimit @ NET)) @ (FI_ @ (vectoru_sub @ Y @ (netlimit @ NET)))))) @ (vec @ (numeral @ u_0)) @ NET)))).
thf(ajacobian, axiom, ![F:(cartrealq411265 > cartrealq411266),NET:netcartrealq411265]:((jacobian @ F @ NET) = (matrix @ (frechetu_derivative @ F @ NET)))).
thf(conjecture, conjecture, ![F:(cartrealq411265 > cartrealq411266),NET:netcartrealq411265]:((differentiable @ F @ NET) <=> (hasu_derivative @ F @ ^[H:cartrealq411265]:(matrixu_vectoru_mul @ (jacobian @ F @ NET) @ H) @ NET))).
