%   ORIGINAL: DIFFERENTIABLE_IMP_CONTINUOUS_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIFFERENTIABLE_IMP_CONTINUOUS_WITHIN: !f s. f differentiable at x within s ==> f continuous at x within s
% Assm: TRUTH: T
% Assm: WITHIN_UNIV: !x. at x within (:real^N) = at x
% Goal: !f x. f differentiable at x ==> f continuous at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x f s. f differentiable at x within s ==> f continuous at x within s
% Assm: T
% Assm: !x. at x within (:real^M) = at x
% Goal: !f x. f differentiable at x ==> f continuous at x
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cdifferentiable, type, differentiable : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(cuniv, type, univ : (cartrealm > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIFFERENTIABLEu_IMPu_CONTINUOUSu_WITHIN, axiom, ![X:cartrealm,F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((differentiable @ F @ (within @ (at @ X) @ S)) => (continuous @ F @ (within @ (at @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(aWITHINu_UNIV, axiom, ![X:cartrealm]:((within @ (at @ X) @ univ) = (at @ X))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),X:cartrealm]:((differentiable @ F @ (at @ X)) => (continuous @ F @ (at @ X)))).
