%   ORIGINAL: DIFFERENTIABLE_IMP_CONTINUOUS_ON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: DIFFERENTIABLE_IMP_CONTINUOUS_WITHIN: !f s. f differentiable at x within s ==> f continuous at x within s
% Assm: TRUTH: T
% Assm: differentiable_on: !f s. f differentiable_on s <=> (!x. x IN s ==> f differentiable at x within s)
% Goal: !f s. f differentiable_on s ==> f continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: !x f s. f differentiable at x within s ==> f continuous at x within s
% Assm: T
% Assm: !f s. f differentiable_on s <=> (!x. x IN s ==> f differentiable at x within s)
% Goal: !f s. f differentiable_on s ==> f continuous_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cdifferentiable, type, differentiable : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cdifferentiableuu_on, type, differentiableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (continuous @ F @ (within @ (at @ X) @ S))))).
thf(aDIFFERENTIABLEu_IMPu_CONTINUOUSu_WITHIN, axiom, ![X:cartrealm,F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((differentiable @ F @ (within @ (at @ X) @ S)) => (continuous @ F @ (within @ (at @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(adifferentiableu_on, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((differentiableu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (differentiable @ F @ (within @ (at @ X) @ S))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((differentiableu_on @ F @ S) => (continuousu_on @ F @ S))).
