%   ORIGINAL: DIFFERENTIABLE_WITHIN_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_DERIVATIVE_WITHIN_SUBSET: !f s t x. (f has_derivative f') (at x within s) /\ t SUBSET s ==> (f has_derivative f') (at x within t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Goal: !f s t. f differentiable at x within t /\ s SUBSET t ==> f differentiable at x within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f' f s t x. (f has_derivative f') (at x within s) /\ t SUBSET s ==> (f has_derivative f') (at x within t)
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Goal: !x f s t. f differentiable at x within t /\ s SUBSET t ==> f differentiable at x within s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq411547, type, cartrealq411547 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tq411547, type, q411547 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cdifferentiable, type, differentiable : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealm > cartrealn) > (cartrealm > cartrealn) > netcartrealm > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealm > cartrealq411547) > (cartrealm > cartrealq411547) > netcartrealm > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_DERIVATIVEu_WITHINu_SUBSET, axiom, ![FI_:(cartrealm > cartrealq411547),F:(cartrealm > cartrealq411547),S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:(((hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (subset @ T @ S)) => (hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adifferentiable, axiom, ![F:(cartrealm > cartrealn),NET:netcartrealm]:((differentiable @ F @ NET) <=> ?[FI_:(cartrealm > cartrealn)]:(hasu_derivative0 @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![X:cartrealm,F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((differentiable @ F @ (within @ (at @ X) @ T)) & (subset @ S @ T)) => (differentiable @ F @ (within @ (at @ X) @ S)))).
