%   ORIGINAL: DIFFERENTIABLE_ON_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIFFERENTIABLE_WITHIN_SUBSET: !f s t. f differentiable at x within t /\ s SUBSET t ==> f differentiable at x within s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: differentiable_on: !f s. f differentiable_on s <=> (!x. x IN s ==> f differentiable at x within s)
% Goal: !f s t. f differentiable_on t /\ s SUBSET t ==> f differentiable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x f s t. f differentiable at x within t /\ s SUBSET t ==> f differentiable at x within s
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !f s. f differentiable_on s <=> (!x. x IN s ==> f differentiable at x within s)
% Goal: !f s t. f differentiable_on t /\ s SUBSET t ==> f differentiable_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cdifferentiable, type, differentiable : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cdifferentiableuu_on, type, differentiableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIFFERENTIABLEu_WITHINu_SUBSET, axiom, ![X:cartrealm,F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((differentiable @ F @ (within @ (at @ X) @ T)) & (subset @ S @ T)) => (differentiable @ F @ (within @ (at @ X) @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(adifferentiableu_on, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((differentiableu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (differentiable @ F @ (within @ (at @ X) @ S))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((differentiableu_on @ F @ T) & (subset @ S @ T)) => (differentiableu_on @ F @ S))).
