%   ORIGINAL: HAS_DERIVATIVE_AT_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_DERIVATIVE_WITHIN_ALT: !f f' s x. (f has_derivative f') (at x within s) <=> linear f' /\ (!e. &0 < e ==> (?d. &0 < d /\ (!y. y IN s /\ norm (y - x) < d ==> norm (f y - f x - f' (y - x)) <= e * norm (y - x))))
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Assm: WITHIN_UNIV: !x. at x within (:real^N) = at x
% Goal: !f f' x. (f has_derivative f') (at x) <=> linear f' /\ (!e. &0 < e ==> (?d. &0 < d /\ (!y. norm (y - x) < d ==> norm (f y - f x - f' (y - x)) <= e * norm (y - x))))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' s x. (f has_derivative f') (at x within s) <=> linear f' /\ (!e. &0 < e ==> (?d. &0 < d /\ (!y. y IN s /\ norm (y - x) < d ==> norm (f y - f x - f' (y - x)) <= e * norm (y - x))))
% Assm: !x. x IN (:A)
% Assm: T
% Assm: !x. at x within (:real^M) = at x
% Goal: !f f' x. (f has_derivative f') (at x) <=> linear f' /\ (!e. &0 < e ==> (?d. &0 < d /\ (!y. norm (y - x) < d ==> norm (f y - f x - f' (y - x)) <= e * norm (y - x))))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealm > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealm > cartrealm > cartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealm > cartrealn) > (cartrealm > cartrealn) > netcartrealm > $o)).
thf(cuniv0, type, univ0 : (cartrealm > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_DERIVATIVEu_WITHINu_ALT, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),S:(cartrealm > $o),X:cartrealm]:((hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) <=> ((linear @ FI_) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![Y:cartrealm]:(((in @ Y @ S) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ Y @ X)) @ D)) => (realu_le @ (vectoru_norm0 @ (vectoru_sub0 @ (vectoru_sub0 @ (F @ Y) @ (F @ X)) @ (FI_ @ (vectoru_sub @ Y @ X)))) @ (realu_mul @ E @ (vectoru_norm @ (vectoru_sub @ Y @ X)))))))))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ)).
thf(aTRUTH, axiom, $true).
thf(aWITHINu_UNIV, axiom, ![X:cartrealm]:((within @ (at @ X) @ univ0) = (at @ X))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),X:cartrealm]:((hasu_derivative @ F @ FI_ @ (at @ X)) <=> ((linear @ FI_) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![Y:cartrealm]:((realu_lt @ (vectoru_norm @ (vectoru_sub @ Y @ X)) @ D) => (realu_le @ (vectoru_norm0 @ (vectoru_sub0 @ (vectoru_sub0 @ (F @ Y) @ (F @ X)) @ (FI_ @ (vectoru_sub @ Y @ X)))) @ (realu_mul @ E @ (vectoru_norm @ (vectoru_sub @ Y @ X)))))))))).
