%   ORIGINAL: DIFFERENTIABLE_CHAIN_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIFF_CHAIN_AT: !f g f' g' x. (f has_derivative f') (at x) /\ (g has_derivative g') (at (f x)) ==> (g o f has_derivative g' o f') (at x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Goal: !f g x. f differentiable at x /\ g differentiable at (f x) ==> g o f differentiable at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g f' g' x. (f has_derivative f') (at x) /\ (g has_derivative g') (at (f x)) ==> (g o f has_derivative g' o f') (at x)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Goal: !f g x. f differentiable at x /\ g differentiable at (f x) ==> g o f differentiable at x
%  TYPES
thf(tcartrealq413094, type, cartrealq413094 : $tType).
thf(tnetcartrealq413094, type, netcartrealq413094 : $tType).
thf(tq413094, type, q413094 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq413100, type, q413100 : $tType).
thf(tcartrealq413115, type, cartrealq413115 : $tType).
thf(tnetcartrealq413115, type, netcartrealq413115 : $tType).
thf(tq413115, type, q413115 : $tType).
thf(tcartrealq413100, type, cartrealq413100 : $tType).
%  CONSTS
thf(cat0, type, at0 : (cartrealq413094 > netcartrealq413094)).
thf(cat, type, at : (cartrealq413115 > netcartrealq413115)).
thf(cdifferentiable1, type, differentiable1 : ((cartrealq413115 > cartrealq413100) > netcartrealq413115 > $o)).
thf(cdifferentiable0, type, differentiable0 : ((cartrealq413094 > cartrealq413100) > netcartrealq413094 > $o)).
thf(cdifferentiable, type, differentiable : ((cartrealq413115 > cartrealq413094) > netcartrealq413115 > $o)).
thf(chasuu_derivative1, type, hasu_derivative1 : ((cartrealq413115 > cartrealq413100) > (cartrealq413115 > cartrealq413100) > netcartrealq413115 > $o)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealq413094 > cartrealq413100) > (cartrealq413094 > cartrealq413100) > netcartrealq413094 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq413115 > cartrealq413094) > (cartrealq413115 > cartrealq413094) > netcartrealq413115 > $o)).
thf(co, type, o : ((cartrealq413094 > cartrealq413100) > (cartrealq413115 > cartrealq413094) > cartrealq413115 > cartrealq413100)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIFFu_CHAINu_AT, axiom, ![F:(cartrealq413115 > cartrealq413094),G:(cartrealq413094 > cartrealq413100),FI_:(cartrealq413115 > cartrealq413094),GI_:(cartrealq413094 > cartrealq413100),X:cartrealq413115]:(((hasu_derivative @ F @ FI_ @ (at @ X)) & (hasu_derivative0 @ G @ GI_ @ (at0 @ (F @ X)))) => (hasu_derivative1 @ (o @ G @ F) @ (o @ GI_ @ FI_) @ (at @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adifferentiableu_monomorphized2, axiom, ![F:(cartrealq413115 > cartrealq413100),NET:netcartrealq413115]:((differentiable1 @ F @ NET) <=> ?[FI_:(cartrealq413115 > cartrealq413100)]:(hasu_derivative1 @ F @ FI_ @ NET))).
thf(adifferentiableu_monomorphized1, axiom, ![F:(cartrealq413115 > cartrealq413094),NET:netcartrealq413115]:((differentiable @ F @ NET) <=> ?[FI_:(cartrealq413115 > cartrealq413094)]:(hasu_derivative @ F @ FI_ @ NET))).
thf(adifferentiableu_monomorphized0, axiom, ![F:(cartrealq413094 > cartrealq413100),NET:netcartrealq413094]:((differentiable0 @ F @ NET) <=> ?[FI_:(cartrealq413094 > cartrealq413100)]:(hasu_derivative0 @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![F:(cartrealq413115 > cartrealq413094),G:(cartrealq413094 > cartrealq413100),X:cartrealq413115]:(((differentiable @ F @ (at @ X)) & (differentiable0 @ G @ (at0 @ (F @ X)))) => (differentiable1 @ (o @ G @ F) @ (at @ X)))).
