%   ORIGINAL: HAS_FRECHET_DERIVATIVE_UNIQUE_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: FRECHET_DERIVATIVE_UNIQUE_AT: !f f' f'' x. (f has_derivative f') (at x) /\ (f has_derivative f'') (at x) ==> f' = f''
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: frechet_derivative: !f net. frechet_derivative f net = (@f'. (f has_derivative f') net)
% Goal: !f f' x. (f has_derivative f') (at x) ==> frechet_derivative f (at x) = f'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: !f f' f'' x. (f has_derivative f') (at x) /\ (f has_derivative f'') (at x) ==> f' = f''
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. frechet_derivative f net = (@f'. (f has_derivative f') net)
% Goal: !f f' x. (f has_derivative f') (at x) ==> frechet_derivative f (at x) = f'
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(chu_0, type, h_0 : (((cartrealm > cartrealn) > $o) > cartrealm > cartrealn)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cfrechetuu_derivative, type, frechetu_derivative : ((cartrealm > cartrealn) > netcartrealm > cartrealm > cartrealn)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealm > cartrealn) > (cartrealm > cartrealn) > netcartrealm > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm > cartrealn),G:(a > cartrealm > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealm > cartrealn)]:(^[X:cartrealm]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aFRECHETu_DERIVATIVEu_UNIQUEu_AT, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),FI_I_:(cartrealm > cartrealn),X:cartrealm]:(((hasu_derivative @ F @ FI_ @ (at @ X)) & (hasu_derivative @ F @ FI_I_ @ (at @ X))) => (FI_ = FI_I_))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(afrechetu_derivative, axiom, ![F:(cartrealm > cartrealn),NET:netcartrealm]:((frechetu_derivative @ F @ NET) = (h_0 @ ^[FI_:(cartrealm > cartrealn)]:(hasu_derivative @ F @ FI_ @ NET)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),X:cartrealm]:((hasu_derivative @ F @ FI_ @ (at @ X)) => ((frechetu_derivative @ F @ (at @ X)) = FI_))).
