%   ORIGINAL: FRECHET_DERIVATIVE_CONST_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_DERIVATIVE_CONST: !c net. ((\x. c) has_derivative (\h. vec 0)) net
% Assm: HAS_FRECHET_DERIVATIVE_UNIQUE_AT: !f f' x. (f has_derivative f') (at x) ==> frechet_derivative f (at x) = f'
% Assm: TRUTH: T
% Goal: !c a. frechet_derivative (\x. c) (at a) = (\h. vec 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c net. ((\x. c) has_derivative (\h. vec 0)) net
% Assm: !f f' x. (f has_derivative f') (at x) ==> frechet_derivative f (at x) = f'
% Assm: T
% Goal: !c a. frechet_derivative (\x. c) (at a) = (\h. vec 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealq409934, type, netcartrealq409934 : $tType).
thf(tq409934, type, q409934 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealq409934, type, cartrealq409934 : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealm > cartrealn) > (cartrealm > cartrealn) > netcartrealm > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq409934 > cartrealn) > (cartrealq409934 > cartrealn) > netcartrealq409934 > $o)).
thf(cfrechetuu_derivative, type, frechetu_derivative : ((cartrealm > cartrealn) > netcartrealm > cartrealm > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm > cartrealn),G:(a > cartrealm > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_DERIVATIVEu_CONST, axiom, ![C:cartrealn,NET:netcartrealq409934]:(hasu_derivative @ ^[X:cartrealq409934]:C @ ^[H:cartrealq409934]:(vec @ (numeral @ u_0)) @ NET)).
thf(aHASu_FRECHETu_DERIVATIVEu_UNIQUEu_AT, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),X:cartrealm]:((hasu_derivative0 @ F @ FI_ @ (at @ X)) => ((frechetu_derivative @ F @ (at @ X)) = FI_))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:cartrealn,A:cartrealm]:((frechetu_derivative @ ^[X:cartrealm]:C @ (at @ A)) = ^[H:cartrealm]:(vec @ (numeral @ u_0)))).
