%   ORIGINAL: FRECHET_DERIVATIVE_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FRECHET_DERIVATIVE_UNIQUE_AT: !f f' f'' x. (f has_derivative f') (at x) /\ (f has_derivative f'') (at x) ==> f' = f''
% Assm: FRECHET_DERIVATIVE_WORKS: !f net. f differentiable net <=> (f has_derivative frechet_derivative f net) net
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: has_derivative: !f f' net. (f has_derivative f') net <=> linear f' /\ ((\y. inv (norm (y - netlimit net)) % (f y - (f (netlimit net) + f' (y - netlimit net)))) --> vec 0) net
% Goal: !f f' x. (f has_derivative f') (at x) ==> f' = frechet_derivative f (at x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f f' f'' x. (f has_derivative f') (at x) /\ (f has_derivative f'') (at x) ==> f' = f''
% Assm: !f net. f differentiable net <=> (f has_derivative frechet_derivative f net) net
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: !f f' net. (f has_derivative f') net <=> linear f' /\ ((\y. inv (norm (y - netlimit net)) % (f y - (f (netlimit net) + f' (y - netlimit net)))) --> vec 0) net
% Goal: !f f' x. (f has_derivative f') (at x) ==> f' = frechet_derivative f (at x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealm > real)).
thf(cdifferentiable, type, differentiable : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealm > cartrealm > cartrealm)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealm > cartrealn) > cartrealn > netcartrealm > $o)).
thf(ci, type, i : ((cartrealm > cartrealn) > cartrealm > cartrealn)).
thf(cfrechetuu_derivative, type, frechetu_derivative : ((cartrealm > cartrealn) > netcartrealm > cartrealm > cartrealn)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealm > cartrealn) > (cartrealm > cartrealn) > netcartrealm > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cnetlimit, type, netlimit : (netcartrealm > cartrealm)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm > cartrealn),G:(a > cartrealm > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealm > cartrealn)]:(^[X:cartrealm]:(T @ X) = T)).
thf(aFRECHETu_DERIVATIVEu_UNIQUEu_AT, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),FI_I_:(cartrealm > cartrealn),X:cartrealm]:(((hasu_derivative @ F @ FI_ @ (at @ X)) & (hasu_derivative @ F @ FI_I_ @ (at @ X))) => (FI_ = FI_I_))).
thf(aFRECHETu_DERIVATIVEu_WORKS, axiom, ![F:(cartrealm > cartrealn),NET:netcartrealm]:((differentiable @ F @ NET) <=> (hasu_derivative @ F @ (frechetu_derivative @ F @ NET) @ NET))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:((F = G) <=> ![X:cartrealm]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:(cartrealm > cartrealn)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adifferentiable, axiom, ![F:(cartrealm > cartrealn),NET:netcartrealm]:((differentiable @ F @ NET) <=> ?[FI_:(cartrealm > cartrealn)]:(hasu_derivative @ F @ FI_ @ NET))).
thf(ahasu_derivative, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),NET:netcartrealm]:((hasu_derivative @ F @ FI_ @ NET) <=> ((linear @ FI_) & (m_m_g_ @ ^[Y:cartrealm]:(r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ Y @ (netlimit @ NET)))) @ (vectoru_sub0 @ (F @ Y) @ (vectoru_add @ (F @ (netlimit @ NET)) @ (FI_ @ (vectoru_sub @ Y @ (netlimit @ NET)))))) @ (vec @ (numeral @ u_0)) @ NET)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),X:cartrealm]:((hasu_derivative @ F @ FI_ @ (at @ X)) => (FI_ = (frechetu_derivative @ F @ (at @ X))))).
