%   ORIGINAL: DIFFERENTIAL_COMPONENT_NEG_AT_MAXIMUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIFFERENTIAL_COMPONENT_POS_AT_MINIMUM: !f f' x s k e. 1 <= k /\ k <= dimindex (:N) /\ x IN s /\ convex s /\ (f has_derivative f') (at x within s) /\ &0 < e /\ (!w. w IN s INTER ball (x,e) ==> f x$k <= f w$k) ==> (!y. y IN s ==> &0 <= f' (y - x)$k)
% Assm: HAS_DERIVATIVE_NEG: !f f' net. (f has_derivative f') net ==> ((\x. --f x) has_derivative (\h. --f' h)) net
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_NEG_GE0: !x. &0 <= --x <=> x <= &0
% Assm: TRUTH: T
% Assm: VECTOR_NEG_COMPONENT: !x i. --x$i = --(x$i)
% Goal: !f f' x s k e. 1 <= k /\ k <= dimindex (:N) /\ x IN s /\ convex s /\ (f has_derivative f') (at x within s) /\ &0 < e /\ (!w. w IN s INTER ball (x,e) ==> f w$k <= f x$k) ==> (!y. y IN s ==> f' (y - x)$k <= &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' x s k e. 1 <= k /\ k <= dimindex (:N) /\ x IN s /\ convex s /\ (f has_derivative f') (at x within s) /\ &0 < e /\ (!w. w IN s INTER ball (x,e) ==> f x$k <= f w$k) ==> (!y. y IN s ==> &0 <= f' (y - x)$k)
% Assm: !f f' net. (f has_derivative f') net ==> ((\x. --f x) has_derivative (\h. --f' h)) net
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x. &0 <= --x <=> x <= &0
% Assm: T
% Assm: !x i. --x$i = --(x$i)
% Goal: !f f' x s k e. 1 <= k /\ k <= dimindex (:N) /\ x IN s /\ convex s /\ (f has_derivative f') (at x within s) /\ &0 < e /\ (!w. w IN s INTER ball (x,e) ==> f w$k <= f x$k) ==> (!y. y IN s ==> f' (y - x)$k <= &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealmreal, type, prodcartrealmreal : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cuniv, type, univ : (n > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cball, type, ball : (prodcartrealmreal > cartrealm > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealm > cartrealm > cartrealm)).
thf(ccu_, type, c_ : (cartrealm > real > prodcartrealmreal)).
thf(cinter, type, inter : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealm > cartrealn) > (cartrealm > cartrealn) > netcartrealm > $o)).
thf(cconvex, type, convex : ((cartrealm > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIFFERENTIALu_COMPONENTu_POSu_ATu_MINIMUM, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),X:cartrealm,S:(cartrealm > $o),K:num,E:real]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (in @ X @ S) & (convex @ S) & (hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![W:cartrealm]:((in @ W @ (inter @ S @ (ball @ (c_ @ X @ E)))) => (realu_le @ (d_ @ (F @ X) @ K) @ (d_ @ (F @ W) @ K)))) => ![Y:cartrealm]:((in @ Y @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (d_ @ (FI_ @ (vectoru_sub @ Y @ X)) @ K))))).
thf(aHASu_DERIVATIVEu_NEG, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),NET:netcartrealm]:((hasu_derivative @ F @ FI_ @ NET) => (hasu_derivative @ ^[X:cartrealm]:(vectoru_neg @ (F @ X)) @ ^[H:cartrealm]:(vectoru_neg @ (FI_ @ H)) @ NET))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_NEGu_GE0, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_neg @ X)) <=> (realu_le @ X @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_COMPONENT, axiom, ![X:cartrealn,I:num]:((d_ @ (vectoru_neg @ X) @ I) = (realu_neg @ (d_ @ X @ I)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),X:cartrealm,S:(cartrealm > $o),K:num,E:real]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (in @ X @ S) & (convex @ S) & (hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![W:cartrealm]:((in @ W @ (inter @ S @ (ball @ (c_ @ X @ E)))) => (realu_le @ (d_ @ (F @ W) @ K) @ (d_ @ (F @ X) @ K)))) => ![Y:cartrealm]:((in @ Y @ S) => (realu_le @ (d_ @ (FI_ @ (vectoru_sub @ Y @ X)) @ K) @ (realu_ofu_num @ (numeral @ u_0)))))).
