%   ORIGINAL: DROP_DIFFERENTIAL_POS_AT_MINIMUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIFFERENTIAL_COMPONENT_POS_AT_MINIMUM: !f f' x s k e. 1 <= k /\ k <= dimindex (:N) /\ x IN s /\ convex s /\ (f has_derivative f') (at x within s) /\ &0 < e /\ (!w. w IN s INTER ball (x,e) ==> f x$k <= f w$k) ==> (!y. y IN s ==> &0 <= f' (y - x)$k)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: LE_REFL: !n. n <= n
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Goal: !f f' x s e. x IN s /\ convex s /\ (f has_derivative f') (at x within s) /\ &0 < e /\ (!w. w IN s INTER ball (x,e) ==> drop (f x) <= drop (f w)) ==> (!y. y IN s ==> &0 <= drop (f' (y - x)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' x s k e. 1 <= k /\ k <= dimindex (:1) /\ x IN s /\ convex s /\ (f has_derivative f') (at x within s) /\ &0 < e /\ (!w. w IN s INTER ball (x,e) ==> f x$k <= f w$k) ==> (!y. y IN s ==> &0 <= f' (y - x)$k)
% Assm: dimindex (:1) = 1
% Assm: !n. n <= n
% Assm: T
% Assm: !x. drop x = x$1
% Goal: !f f' x s e. x IN s /\ convex s /\ (f has_derivative f') (at x within s) /\ &0 < e /\ (!w. w IN s INTER ball (x,e) ==> drop (f x) <= drop (f w)) ==> (!y. y IN s ==> &0 <= drop (f' (y - x)))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netcartrealn > (cartrealn > $o) > netcartrealn)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn > cartrealn1) > (cartrealn > cartrealn1) > netcartrealn > $o)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIFFERENTIALu_COMPONENTu_POSu_ATu_MINIMUM, axiom, ![F:(cartrealn > cartrealn1),FI_:(cartrealn > cartrealn1),X:cartrealn,S:(cartrealn > $o),K:num,E:real]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (in @ X @ S) & (convex @ S) & (hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![W:cartrealn]:((in @ W @ (inter @ S @ (ball @ (c_ @ X @ E)))) => (realu_le @ (d_ @ (F @ X) @ K) @ (d_ @ (F @ W) @ K)))) => ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (d_ @ (FI_ @ (vectoru_sub @ Y @ X)) @ K))))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn1),FI_:(cartrealn > cartrealn1),X:cartrealn,S:(cartrealn > $o),E:real]:(((in @ X @ S) & (convex @ S) & (hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![W:cartrealn]:((in @ W @ (inter @ S @ (ball @ (c_ @ X @ E)))) => (realu_le @ (drop @ (F @ X)) @ (drop @ (F @ W))))) => ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ (FI_ @ (vectoru_sub @ Y @ X))))))).
