%   ORIGINAL: DIFFERENTIAL_ZERO_MAXMIN_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: DIFFERENTIAL_COMPONENT_ZERO_AT_MAXMIN: !f f' x s k. 1 <= k /\ k <= dimindex (:N) /\ x IN s /\ open s /\ (f has_derivative f') (at x) /\ ((!w. w IN s ==> f w$k <= f x$k) \/ (!w. w IN s ==> f x$k <= f w$k)) ==> (!h. f' h$k = &0)
% Assm: FORALL_DOT_EQ_0_conjunct1: !x. (!y. x dot y = &0) <=> x = vec 0
% Assm: JACOBIAN_WORKS: !f net. f differentiable net <=> (f has_derivative (\h. jacobian f net ** h)) net
% Assm: MATRIX_VECTOR_MUL_COMPONENT: !A x k. 1 <= k /\ k <= dimindex (:M) ==> (A ** x)$k = A$k dot x
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: TRUTH: T
% Goal: !f x e k. 1 <= k /\ k <= dimindex (:N) /\ &0 < e /\ ((!y. y IN ball (x,e) ==> f y$k <= f x$k) \/ (!y. y IN ball (x,e) ==> f x$k <= f y$k)) /\ f differentiable at x ==> jacobian f (at x)$k = vec 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !f f' x s k. 1 <= k /\ k <= dimindex (:N) /\ x IN s /\ open s /\ (f has_derivative f') (at x) /\ ((!w. w IN s ==> f w$k <= f x$k) \/ (!w. w IN s ==> f x$k <= f w$k)) ==> (!h. f' h$k = &0)
% Assm: !x. (!y. x dot y = &0) <=> x = vec 0
% Assm: !f net. f differentiable net <=> (f has_derivative (\h. jacobian f net ** h)) net
% Assm: !A x k. 1 <= k /\ k <= dimindex (:N) ==> (A ** x)$k = A$k dot x
% Assm: !x e. open (ball (x,e))
% Assm: T
% Goal: !f x e k. 1 <= k /\ k <= dimindex (:N) /\ &0 < e /\ ((!y. y IN ball (x,e) ==> f y$k <= f x$k) \/ (!y. y IN ball (x,e) ==> f x$k <= f y$k)) /\ f differentiable at x ==> jacobian f (at x)$k = vec 0
%  TYPES
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealmreal, type, prodcartrealmreal : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cuniv, type, univ : (n > $o)).
thf(cdot, type, dot : (cartrealm > cartrealm > real)).
thf(cdifferentiable, type, differentiable : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cball, type, ball : (prodcartrealmreal > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealmn > cartrealm > cartrealn)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealm > cartrealn) > (cartrealm > cartrealn) > netcartrealm > $o)).
thf(cjacobian, type, jacobian : ((cartrealm > cartrealn) > netcartrealm > cartcartrealmn)).
thf(cdu_0, type, d_0 : (cartcartrealmn > num > cartrealm)).
thf(ccu_, type, c_ : (cartrealm > real > prodcartrealmreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(copen, type, open : ((cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealm)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealm,E:real]:((in @ X @ (ball @ (c_ @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aDIFFERENTIALu_COMPONENTu_ZEROu_ATu_MAXMIN, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),X:cartrealm,S:(cartrealm > $o),K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (in @ X @ S) & (open @ S) & (hasu_derivative @ F @ FI_ @ (at @ X)) & (![W:cartrealm]:((in @ W @ S) => (realu_le @ (d_ @ (F @ W) @ K) @ (d_ @ (F @ X) @ K))) | ![W:cartrealm]:((in @ W @ S) => (realu_le @ (d_ @ (F @ X) @ K) @ (d_ @ (F @ W) @ K))))) => ![H:cartrealm]:((d_ @ (FI_ @ H) @ K) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aFORALLu_DOTu_EQu_0u_conjunct1, axiom, ![X:cartrealm]:(![Y:cartrealm]:((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aJACOBIANu_WORKS, axiom, ![F:(cartrealm > cartrealn),NET:netcartrealm]:((differentiable @ F @ NET) <=> (hasu_derivative @ F @ ^[H:cartrealm]:(matrixu_vectoru_mul @ (jacobian @ F @ NET) @ H) @ NET))).
thf(aMATRIXu_VECTORu_MULu_COMPONENT, axiom, ![A:cartcartrealmn,X:cartrealm,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => ((d_ @ (matrixu_vectoru_mul @ A @ X) @ K) = (dot @ (d_0 @ A @ K) @ X)))).
thf(aOPENu_BALL, axiom, ![X:cartrealm,E:real]:(open @ (ball @ (c_ @ X @ E)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),X:cartrealm,E:real,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (![Y:cartrealm]:((in @ Y @ (ball @ (c_ @ X @ E))) => (realu_le @ (d_ @ (F @ Y) @ K) @ (d_ @ (F @ X) @ K))) | ![Y:cartrealm]:((in @ Y @ (ball @ (c_ @ X @ E))) => (realu_le @ (d_ @ (F @ X) @ K) @ (d_ @ (F @ Y) @ K)))) & (differentiable @ F @ (at @ X))) => ((d_0 @ (jacobian @ F @ (at @ X)) @ K) = (vec @ (numeral @ u_0))))).
