%   ORIGINAL: DIFFERENTIAL_ZERO_MAXMIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIFFERENTIAL_COMPONENT_ZERO_AT_MAXMIN: !f f' x s k. 1 <= k /\ k <= dimindex (:N) /\ x IN s /\ open s /\ (f has_derivative f') (at x) /\ ((!w. w IN s ==> f w$k <= f x$k) \/ (!w. w IN s ==> f x$k <= f w$k)) ==> (!h. f' h$k = &0)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: LE_REFL: !n. n <= n
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Goal: !f f' x s. x IN s /\ open s /\ (f has_derivative f') (at x) /\ ((!y. y IN s ==> drop (f y) <= drop (f x)) \/ (!y. y IN s ==> drop (f x) <= drop (f y))) ==> f' = (\v. vec 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' x s k. 1 <= k /\ k <= dimindex (:1) /\ x IN s /\ open s /\ (f has_derivative f') (at x) /\ ((!w. w IN s ==> f w$k <= f x$k) \/ (!w. w IN s ==> f x$k <= f w$k)) ==> (!h. f' h$k = &0)
% Assm: dimindex (:1) = 1
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !n. n <= n
% Assm: !x. lift (drop x) = x
% Assm: !x y. lift x = lift y <=> x = y
% Assm: !n. lift (&n) = vec n
% Assm: T
% Assm: !x. drop x = x$1
% Goal: !f f' x s. x IN s /\ open s /\ (f has_derivative f') (at x) /\ ((!y. y IN s ==> drop (f y) <= drop (f x)) \/ (!y. y IN s ==> drop (f x) <= drop (f y))) ==> f' = (\v. vec 0)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn > cartrealn1) > (cartrealn > cartrealn1) > netcartrealn > $o)).
thf(cuniv, type, univ : (n1 > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > cartrealn1),G:(a > cartrealn > cartrealn1)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIFFERENTIALu_COMPONENTu_ZEROu_ATu_MAXMIN, axiom, ![F:(cartrealn > cartrealn1),FI_:(cartrealn > cartrealn1),X:cartrealn,S:(cartrealn > $o),K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (in @ X @ S) & (open @ S) & (hasu_derivative @ F @ FI_ @ (at @ X)) & (![W:cartrealn]:((in @ W @ S) => (realu_le @ (d_ @ (F @ W) @ K) @ (d_ @ (F @ X) @ K))) | ![W:cartrealn]:((in @ W @ S) => (realu_le @ (d_ @ (F @ X) @ K) @ (d_ @ (F @ W) @ K))))) => ![H:cartrealn]:((d_ @ (FI_ @ H) @ K) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > cartrealn1),G:(cartrealn > cartrealn1)]:((F = G) <=> ![X:cartrealn]:((F @ X) = (G @ X)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn1),FI_:(cartrealn > cartrealn1),X:cartrealn,S:(cartrealn > $o)]:(((in @ X @ S) & (open @ S) & (hasu_derivative @ F @ FI_ @ (at @ X)) & (![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (drop @ (F @ Y)) @ (drop @ (F @ X)))) | ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (drop @ (F @ X)) @ (drop @ (F @ Y)))))) => (FI_ = ^[V:cartrealn]:(vec @ (numeral @ u_0))))).
