%   ORIGINAL: HAS_DERIVATIVE_ZERO_CONSTANT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIFFERENTIABLE_BOUND: !f f' s B. convex s /\ (!x. x IN s ==> (f has_derivative f' x) (at x within s)) /\ (!x. x IN s ==> onorm (f' x) <= B) ==> (!x y. x IN s /\ y IN s ==> norm (f x - f y) <= B * norm (x - y))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NORM_LE_0: !x. norm x <= &0 <=> x = vec 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ONORM_CONST: !y. onorm (\x. y) = norm y
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Goal: !f s. convex s /\ (!x. x IN s ==> (f has_derivative (\h. vec 0)) (at x within s)) ==> (?c. !x. x IN s ==> f x = c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f f' s B. convex s /\ (!x. x IN s ==> (f has_derivative f' x) (at x within s)) /\ (!x. x IN s ==> onorm (f' x) <= B) ==> (!x y. x IN s /\ y IN s ==> norm (f x - f y) <= B * norm (x - y))
% Assm: !t. (\x. t x) = t
% Assm: norm (vec 0) = &0
% Assm: !x. norm x <= &0 <=> x = vec 0
% Assm: ~F <=> T
% Assm: !y. onorm (\x. y) = norm y
% Assm: !x. x <= x
% Assm: !x. &0 * x = &0
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Goal: !f s. convex s /\ (!x. x IN s ==> (f has_derivative (\h. vec 0)) (at x within s)) ==> (?c. !x. x IN s ==> f x = c)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(conorm, type, onorm : ((cartrealm > cartrealn) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealm > cartrealm > cartrealm)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealm > cartrealn) > (cartrealm > cartrealn) > netcartrealm > $o)).
thf(cconvex, type, convex : ((cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIFFERENTIABLEu_BOUND, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealm > cartrealn),S:(cartrealm > $o),B:real]:(((convex @ S) & ![X:cartrealm]:((in @ X @ S) => (hasu_derivative @ F @ (FI_ @ X) @ (within @ (at @ X) @ S))) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (onorm @ (FI_ @ X)) @ B))) => ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ (F @ X) @ (F @ Y))) @ (realu_mul @ B @ (vectoru_norm0 @ (vectoru_sub0 @ X @ Y))))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_LEu_0, axiom, ![X:cartrealn]:((realu_le @ (vectoru_norm @ X) @ (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aONORMu_CONST, axiom, ![Y:cartrealn]:((onorm @ ^[X:cartrealm]:Y) = (vectoru_norm @ Y))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((convex @ S) & ![X:cartrealm]:((in @ X @ S) => (hasu_derivative @ F @ ^[H:cartrealm]:(vec @ (numeral @ u_0)) @ (within @ (at @ X) @ S)))) => ?[C:cartrealn]:![X:cartrealm]:((in @ X @ S) => ((F @ X) = C)))).
