%   ORIGINAL: BROUWER_SURJECTIVE_CBALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BROUWER_SURJECTIVE: !f s t. compact t /\ convex t /\ ~(t = {}) /\ f continuous_on t /\ (!x y. x IN s /\ y IN t ==> x + y - f y IN t) ==> (!x. x IN s ==> (?y. y IN t /\ f y = x))
% Assm: CBALL_EQ_EMPTY: !x e. cball (x,e) = {} <=> e < &0
% Assm: COMPACT_CBALL: !x e. compact (cball (x,e))
% Assm: CONVEX_CBALL: !x e. convex (cball (x,e))
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: TRUTH: T
% Goal: !f s a e. &0 < e /\ f continuous_on cball (a,e) /\ (!x y. x IN s /\ y IN cball (a,e) ==> x + y - f y IN cball (a,e)) ==> (!x. x IN s ==> (?y. y IN cball (a,e) /\ f y = x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t. compact t /\ convex t /\ ~(t = {}) /\ f continuous_on t /\ (!x y. x IN s /\ y IN t ==> x + y - f y IN t) ==> (!x. x IN s ==> (?y. y IN t /\ f y = x))
% Assm: !x e. cball (x,e) = {} <=> e < &0
% Assm: !x e. compact (cball (x,e))
% Assm: !x e. convex (cball (x,e))
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !x y. x < y ==> x <= y
% Assm: T
% Goal: !f s a e. &0 < e /\ f continuous_on cball (a,e) /\ (!x y. x IN s /\ y IN cball (a,e) ==> x + y - f y IN cball (a,e)) ==> (!x. x IN s ==> (?y. y IN cball (a,e) /\ f y = x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBROUWERu_SURJECTIVE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ T) & (convex @ T) & ~ ((T = empty)) & (continuousu_on @ F @ T) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (in @ (vectoru_add @ X @ (vectoru_sub @ Y @ (F @ Y))) @ T))) => ![X:cartrealn]:((in @ X @ S) => ?[Y:cartrealn]:((in @ Y @ T) & ((F @ Y) = X))))).
thf(aCBALLu_EQu_EMPTY, axiom, ![X:cartrealn,E:real]:(((cball @ (c_ @ X @ E)) = empty) <=> (realu_lt @ E @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPACTu_CBALL, axiom, ![X:cartrealn,E:real]:(compact @ (cball @ (c_ @ X @ E)))).
thf(aCONVEXu_CBALL, axiom, ![X:cartrealn,E:real]:(convex @ (cball @ (c_ @ X @ E)))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),A:cartrealn,E:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (continuousu_on @ F @ (cball @ (c_ @ A @ E))) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ (cball @ (c_ @ A @ E)))) => (in @ (vectoru_add @ X @ (vectoru_sub @ Y @ (F @ Y))) @ (cball @ (c_ @ A @ E))))) => ![X:cartrealn]:((in @ X @ S) => ?[Y:cartrealn]:((in @ Y @ (cball @ (c_ @ A @ E))) & ((F @ Y) = X))))).
