%   ORIGINAL: HAS_DERIVATIVE_INVERSE_ON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_AT: !f s. open s ==> (f continuous_on s <=> (!x. x IN s ==> f continuous at x))
% Assm: DIFFERENTIABLE_IMP_CONTINUOUS_AT: !f x. f differentiable at x ==> f continuous at x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_DERIVATIVE_INVERSE_STRONG: !f g f' g' s x. open s /\ x IN s /\ f continuous_on s /\ (!x. x IN s ==> g (f x) = x) /\ (f has_derivative f') (at x) /\ f' o g' = I ==> (g has_derivative g') (at (f x))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Goal: !f s. open s /\ (!x. x IN s ==> (f has_derivative f' x) (at x) /\ g (f x) = x /\ f' x o g' x = I) ==> (!x. x IN s ==> (g has_derivative g' x) (at (f x)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. open s ==> (f continuous_on s <=> (!x. x IN s ==> f continuous at x))
% Assm: !f x. f differentiable at x ==> f continuous at x
% Assm: !t. (\x. t x) = t
% Assm: !f g f' g' s x. open s /\ x IN s /\ f continuous_on s /\ (!x. x IN s ==> g (f x) = x) /\ (f has_derivative f') (at x) /\ f' o g' = I ==> (g has_derivative g') (at (f x))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Goal: !g' g f' f s. open s /\ (!x. x IN s ==> (f has_derivative f' x) (at x) /\ g (f x) = x /\ f' x o g' x = I) ==> (!x. x IN s ==> (g has_derivative g' x) (at (f x)))
%  TYPES
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(cdifferentiable, type, differentiable : ((cartrealn > cartrealn) > netcartrealn > $o)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealn) > netcartrealn > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > netcartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn)]:(![X:cartrealn]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_AT, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((open @ S) => ((continuousu_on @ F @ S) <=> ![X:cartrealn]:((in @ X @ S) => (continuous @ F @ (at @ X)))))).
thf(aDIFFERENTIABLEu_IMPu_CONTINUOUSu_AT, axiom, ![F:(cartrealn > cartrealn),X:cartrealn]:((differentiable @ F @ (at @ X)) => (continuous @ F @ (at @ X)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > cartrealn)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aHASu_DERIVATIVEu_INVERSEu_STRONG, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),FI_:(cartrealn > cartrealn),GI_:(cartrealn > cartrealn),S:(cartrealn > $o),X:cartrealn]:(((open @ S) & (in @ X @ S) & (continuousu_on @ F @ S) & ![X:cartrealn]:((in @ X @ S) => ((G @ (F @ X)) = X)) & (hasu_derivative @ F @ FI_ @ (at @ X)) & ((o @ FI_ @ GI_) = i)) => (hasu_derivative @ G @ GI_ @ (at @ (F @ X))))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adifferentiable, axiom, ![F:(cartrealn > cartrealn),NET:netcartrealn]:((differentiable @ F @ NET) <=> ?[FI_:(cartrealn > cartrealn)]:(hasu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![GI_:(cartrealn > cartrealn > cartrealn),G:(cartrealn > cartrealn),FI_:(cartrealn > cartrealn > cartrealn),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((open @ S) & ![X:cartrealn]:((in @ X @ S) => ((hasu_derivative @ F @ (FI_ @ X) @ (at @ X)) & ((G @ (F @ X)) = X) & ((o @ (FI_ @ X) @ (GI_ @ X)) = i)))) => ![X:cartrealn]:((in @ X @ S) => (hasu_derivative @ G @ (GI_ @ X) @ (at @ (F @ X)))))).
