%   ORIGINAL: HAS_DERIVATIVE_BILINEAR_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_DERIVATIVE_BILINEAR_WITHIN: !h f g f' g' x s. (f has_derivative f') (at x within s) /\ (g has_derivative g') (at x within s) /\ bilinear h ==> ((\x. h (f x) (g x)) has_derivative (\d. h (f x) (g' d) + h (f' d) (g x))) (at x within s)
% Assm: TRUTH: T
% Assm: WITHIN_UNIV: !x. at x within (:real^N) = at x
% Assm: has_derivative_at: !f f' x. (f has_derivative f') (at x) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x)
% Assm: has_derivative_within: !f f' x s. (f has_derivative f') (at x within s) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x within s)
% Goal: !h f g f' g' x. (f has_derivative f') (at x) /\ (g has_derivative g') (at x) /\ bilinear h ==> ((\x. h (f x) (g x)) has_derivative (\d. h (f x) (g' d) + h (f' d) (g x))) (at x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !h f g f' g' x s. (f has_derivative f') (at x within s) /\ (g has_derivative g') (at x within s) /\ bilinear h ==> ((\x. h (f x) (g x)) has_derivative (\d. h (f x) (g' d) + h (f' d) (g x))) (at x within s)
% Assm: T
% Assm: !x. at x within (:real^Q) = at x
% Assm: !f f' x. (f has_derivative f') (at x) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x)
% Assm: !f f' x s. (f has_derivative f') (at x within s) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x within s)
% Goal: !h f g f' g' x. (f has_derivative f') (at x) /\ (g has_derivative g') (at x) /\ bilinear h ==> ((\x. h (f x) (g x)) has_derivative (\d. h (f x) (g' d) + h (f' d) (g x))) (at x)
%  TYPES
thf(tnetcartrealq, type, netcartrealq : $tType).
thf(tp, type, p : $tType).
thf(tcartrealq, type, cartrealq : $tType).
thf(tq, type, q : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq > netcartrealq)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq > real)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealp > cartrealp > cartrealp)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq > cartrealq > cartrealq)).
thf(cru_, type, r_ : (real > cartrealp > cartrealp)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealq > cartrealp) > cartrealp > netcartrealq > $o)).
thf(cwithin, type, within : (netcartrealq > (cartrealq > $o) > netcartrealq)).
thf(cvectoruu_add, type, vectoru_add : (cartrealp > cartrealp > cartrealp)).
thf(chasuu_derivative1, type, hasu_derivative1 : ((cartrealq > cartrealp) > (cartrealq > cartrealp) > netcartrealq > $o)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealq > cartrealn) > (cartrealq > cartrealn) > netcartrealq > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq > cartrealm) > (cartrealq > cartrealm) > netcartrealq > $o)).
thf(clinear, type, linear : ((cartrealq > cartrealp) > $o)).
thf(cuniv, type, univ : (cartrealq > $o)).
thf(cbilinear, type, bilinear : ((cartrealm > cartrealn > cartrealp) > $o)).
thf(cvec, type, vec : (num > cartrealp)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_DERIVATIVEu_BILINEARu_WITHIN, axiom, ![H:(cartrealm > cartrealn > cartrealp),F:(cartrealq > cartrealm),G:(cartrealq > cartrealn),FI_:(cartrealq > cartrealm),GI_:(cartrealq > cartrealn),X:cartrealq,S:(cartrealq > $o)]:(((hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (hasu_derivative0 @ G @ GI_ @ (within @ (at @ X) @ S)) & (bilinear @ H)) => (hasu_derivative1 @ ^[X:cartrealq]:(H @ (F @ X) @ (G @ X)) @ ^[D:cartrealq]:(vectoru_add @ (H @ (F @ X) @ (GI_ @ D)) @ (H @ (FI_ @ D) @ (G @ X))) @ (within @ (at @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(aWITHINu_UNIV, axiom, ![X:cartrealq]:((within @ (at @ X) @ univ) = (at @ X))).
thf(ahasu_derivativeu_at, axiom, ![F:(cartrealq > cartrealp),FI_:(cartrealq > cartrealp),X:cartrealq]:((hasu_derivative1 @ F @ FI_ @ (at @ X)) <=> ((linear @ FI_) & (m_m_g_ @ ^[Y:cartrealq]:(r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ Y @ X))) @ (vectoru_sub0 @ (F @ Y) @ (vectoru_add @ (F @ X) @ (FI_ @ (vectoru_sub @ Y @ X))))) @ (vec @ (numeral @ u_0)) @ (at @ X))))).
thf(ahasu_derivativeu_within, axiom, ![F:(cartrealq > cartrealp),FI_:(cartrealq > cartrealp),X:cartrealq,S:(cartrealq > $o)]:((hasu_derivative1 @ F @ FI_ @ (within @ (at @ X) @ S)) <=> ((linear @ FI_) & (m_m_g_ @ ^[Y:cartrealq]:(r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ Y @ X))) @ (vectoru_sub0 @ (F @ Y) @ (vectoru_add @ (F @ X) @ (FI_ @ (vectoru_sub @ Y @ X))))) @ (vec @ (numeral @ u_0)) @ (within @ (at @ X) @ S))))).
thf(conjecture, conjecture, ![H:(cartrealm > cartrealn > cartrealp),F:(cartrealq > cartrealm),G:(cartrealq > cartrealn),FI_:(cartrealq > cartrealm),GI_:(cartrealq > cartrealn),X:cartrealq]:(((hasu_derivative @ F @ FI_ @ (at @ X)) & (hasu_derivative0 @ G @ GI_ @ (at @ X)) & (bilinear @ H)) => (hasu_derivative1 @ ^[X:cartrealq]:(H @ (F @ X) @ (G @ X)) @ ^[D:cartrealq]:(vectoru_add @ (H @ (F @ X) @ (GI_ @ D)) @ (H @ (FI_ @ D) @ (G @ X))) @ (at @ X)))).
