%   ORIGINAL: VECTOR_DERIVATIVE_UNIQUE_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FRECHET_DERIVATIVE_UNIQUE_AT: !f f' f'' x. (f has_derivative f') (at x) /\ (f has_derivative f'') (at x) ==> f' = f''
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Assm: drop: !x. drop x = x$1
% Assm: has_vector_derivative: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !f x f' f''. (f has_vector_derivative f') (at x) /\ (f has_vector_derivative f'') (at x) ==> f' = f''
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' f'' x. (f has_derivative f') (at x) /\ (f has_derivative f'') (at x) ==> f' = f''
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: T
% Assm: !x. &1 % x = x
% Assm: !k i. vec k$i = &k
% Assm: !x. drop x = x$1
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !f x f' f''. (f has_vector_derivative f') (at x) /\ (f has_vector_derivative f'') (at x) ==> f' = f''
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(cdu_0, type, d_0 : (cartrealn1 > num > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > netcartrealn1 > $o)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealn) > cartrealn > netcartrealn1 > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFRECHETu_DERIVATIVEu_UNIQUEu_AT, axiom, ![F:(cartrealn1 > cartrealn),FI_:(cartrealn1 > cartrealn),FI_I_:(cartrealn1 > cartrealn),X:cartrealn1]:(((hasu_derivative @ F @ FI_ @ (at @ X)) & (hasu_derivative @ F @ FI_I_ @ (at @ X))) => (FI_ = FI_I_))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_ @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_0 @ X @ (numeral @ (bit1 @ u_0))))).
thf(ahasu_vectoru_derivative, axiom, ![F:(cartrealn1 > cartrealn),FI_:cartrealn,NET:netcartrealn1]:((hasu_vectoru_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn1]:(r_ @ (drop @ X) @ FI_) @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn),X:cartrealn1,FI_:cartrealn,FI_I_:cartrealn]:(((hasu_vectoru_derivative @ F @ FI_ @ (at @ X)) & (hasu_vectoru_derivative @ F @ FI_I_ @ (at @ X))) => (FI_ = FI_I_))).
