%   ORIGINAL: HAS_VECTOR_DERIVATIVE_UNIQUE_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_DERIVATIVE_UNIQUE_AT: !f x f' f''. (f has_vector_derivative f') (at x) /\ (f has_vector_derivative f'') (at x) ==> f' = f''
% Assm: vector_derivative: !f net. vector_derivative f net = (@f'. (f has_vector_derivative f') net)
% Goal: !f f' x. (f has_vector_derivative f') (at x) ==> vector_derivative f (at x) = f'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: ~F <=> T
% Assm: T
% Assm: !f x f' f''. (f has_vector_derivative f') (at x) /\ (f has_vector_derivative f'') (at x) ==> f' = f''
% Assm: !f net. vector_derivative f net = (@f'. (f has_vector_derivative f') net)
% Goal: !f f' x. (f has_vector_derivative f') (at x) ==> vector_derivative f (at x) = f'
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cvectoruu_derivative, type, vectoru_derivative : ((cartrealn1 > cartrealn) > netcartrealn1 > cartrealn)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealn) > cartrealn > netcartrealn1 > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(chu_0, type, h_0 : ((cartrealn > $o) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_DERIVATIVEu_UNIQUEu_AT, axiom, ![F:(cartrealn1 > cartrealn),X:cartrealn1,FI_:cartrealn,FI_I_:cartrealn]:(((hasu_vectoru_derivative @ F @ FI_ @ (at @ X)) & (hasu_vectoru_derivative @ F @ FI_I_ @ (at @ X))) => (FI_ = FI_I_))).
thf(avectoru_derivative, axiom, ![F:(cartrealn1 > cartrealn),NET:netcartrealn1]:((vectoru_derivative @ F @ NET) = (h_0 @ ^[FI_:cartrealn]:(hasu_vectoru_derivative @ F @ FI_ @ NET)))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn),FI_:cartrealn,X:cartrealn1]:((hasu_vectoru_derivative @ F @ FI_ @ (at @ X)) => ((vectoru_derivative @ F @ (at @ X)) = FI_))).
