%   ORIGINAL: VECTOR_DERIVATIVE_UNIQUE_WITHIN_CLOSED_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: FRECHET_DERIVATIVE_UNIQUE_WITHIN_CLOSED_INTERVAL: !f f' f'' x a b. (!i. 1 <= i /\ i <= dimindex (:M) ==> a$i < b$i) /\ x IN interval [a,b] /\ (f has_derivative f') (at x within interval [a,b]) /\ (f has_derivative f'') (at x within interval [a,b]) ==> f' = f''
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Assm: drop: !x. drop x = x$1
% Assm: has_vector_derivative: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !f a b x f' f''. drop a < drop b /\ x IN interval [a,b] /\ (f has_vector_derivative f') (at x within interval [a,b]) /\ (f has_vector_derivative f'') (at x within interval [a,b]) ==> f' = f''
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: dimindex (:1) = 1
% Assm: !f f' f'' x a b. (!i. 1 <= i /\ i <= dimindex (:1) ==> a$i < b$i) /\ x IN interval [a,b] /\ (f has_derivative f') (at x within interval [a,b]) /\ (f has_derivative f'') (at x within interval [a,b]) ==> f' = f''
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: ~F <=> T
% Assm: T
% Assm: !x. &1 % x = x
% Assm: !k i. vec k$i = &k
% Assm: !x. drop x = x$1
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !f a b x f' f''. drop a < drop b /\ x IN interval [a,b] /\ (f has_vector_derivative f') (at x within interval [a,b]) /\ (f has_vector_derivative f'') (at x within interval [a,b]) ==> f' = f''
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > netcartrealn1 > $o)).
thf(cwithin, type, within : (netcartrealn1 > (cartrealn1 > $o) > netcartrealn1)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealn) > cartrealn > netcartrealn1 > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aFRECHETu_DERIVATIVEu_UNIQUEu_WITHINu_CLOSEDu_INTERVAL, axiom, ![F:(cartrealn1 > cartrealn),FI_:(cartrealn1 > cartrealn),FI_I_:(cartrealn1 > cartrealn),X:cartrealn1,A:cartrealn1,B:cartrealn1]:((![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_lt @ (d_ @ A @ I) @ (d_ @ B @ I))) & (in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) & (hasu_derivative @ F @ FI_I_ @ (within @ (at @ X) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) => (FI_ = FI_I_))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_0 @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(ahasu_vectoru_derivative, axiom, ![F:(cartrealn1 > cartrealn),FI_:cartrealn,NET:netcartrealn1]:((hasu_vectoru_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn1]:(r_ @ (drop @ X) @ FI_) @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn),A:cartrealn1,B:cartrealn1,X:cartrealn1,FI_:cartrealn,FI_I_:cartrealn]:(((realu_lt @ (drop @ A) @ (drop @ B)) & (in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (hasu_vectoru_derivative @ F @ FI_ @ (within @ (at @ X) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) & (hasu_vectoru_derivative @ F @ FI_I_ @ (within @ (at @ X) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) => (FI_ = FI_I_))).
