%   ORIGINAL: VECTOR_DERIVATIVE_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_DERIVATIVE_UNIQUE_AT: !f x f' f''. (f has_vector_derivative f') (at x) /\ (f has_vector_derivative f'') (at x) ==> f' = f''
% Assm: VECTOR_DERIVATIVE_WORKS: !net f. f differentiable net <=> (f has_vector_derivative vector_derivative f net) net
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: has_vector_derivative: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: (f has_vector_derivative f') (at x) ==> vector_derivative f (at x) = f'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: T
% Assm: !f x f' f''. (f has_vector_derivative f') (at x) /\ (f has_vector_derivative f'') (at x) ==> f' = f''
% Assm: !net f. f differentiable net <=> (f has_vector_derivative vector_derivative f net) net
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !f' x f. (f has_vector_derivative f') (at x) ==> vector_derivative f (at x) = f'
%  TYPES
thf(tq410833, type, q410833 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq422924, type, q422924 : $tType).
thf(tnetcartrealq410833, type, netcartrealq410833 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq410833, type, cartrealq410833 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq422924, type, cartrealq422924 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tcartrealq410832, type, cartrealq410832 : $tType).
thf(tq410832, type, q410832 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cdifferentiable0, type, differentiable0 : ((cartrealq410833 > cartrealq410832) > netcartrealq410833 > $o)).
thf(cdifferentiable, type, differentiable : ((cartrealn1 > cartrealq422924) > netcartrealn1 > $o)).
thf(cru_, type, r_ : (real > cartrealq422924 > cartrealq422924)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn1 > cartrealq422924) > (cartrealn1 > cartrealq422924) > netcartrealn1 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq410833 > cartrealq410832) > (cartrealq410833 > cartrealq410832) > netcartrealq410833 > $o)).
thf(cvectoruu_derivative, type, vectoru_derivative : ((cartrealn1 > cartrealq422924) > netcartrealn1 > cartrealq422924)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealq422924) > cartrealq422924 > netcartrealn1 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq422924),G:(a > cartrealq422924)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealq422924),G:(a > cartrealq422924)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_DERIVATIVEu_UNIQUEu_AT, axiom, ![F:(cartrealn1 > cartrealq422924),X:cartrealn1,FI_:cartrealq422924,FI_I_:cartrealq422924]:(((hasu_vectoru_derivative @ F @ FI_ @ (at @ X)) & (hasu_vectoru_derivative @ F @ FI_I_ @ (at @ X))) => (FI_ = FI_I_))).
thf(aVECTORu_DERIVATIVEu_WORKS, axiom, ![NET:netcartrealn1,F:(cartrealn1 > cartrealq422924)]:((differentiable @ F @ NET) <=> (hasu_vectoru_derivative @ F @ (vectoru_derivative @ F @ NET) @ NET))).
thf(adifferentiable, axiom, ![F:(cartrealq410833 > cartrealq410832),NET:netcartrealq410833]:((differentiable0 @ F @ NET) <=> ?[FI_:(cartrealq410833 > cartrealq410832)]:(hasu_derivative @ F @ FI_ @ NET))).
thf(ahasu_vectoru_derivative, axiom, ![F:(cartrealn1 > cartrealq422924),FI_:cartrealq422924,NET:netcartrealn1]:((hasu_vectoru_derivative @ F @ FI_ @ NET) <=> (hasu_derivative0 @ F @ ^[X:cartrealn1]:(r_ @ (drop @ X) @ FI_) @ NET))).
thf(conjecture, conjecture, ![FI_:cartrealq422924,X:cartrealn1,F:(cartrealn1 > cartrealq422924)]:((hasu_vectoru_derivative @ F @ FI_ @ (at @ X)) => ((vectoru_derivative @ F @ (at @ X)) = FI_))).
