%   ORIGINAL: VECTOR_DERIVATIVE_WITHIN_CLOSED_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_DERIVATIVE_UNIQUE_WITHIN_CLOSED_INTERVAL: !f a b x f' f''. drop a < drop b /\ x IN interval [a,b] /\ (f has_vector_derivative f') (at x within interval [a,b]) /\ (f has_vector_derivative f'') (at x within interval [a,b]) ==> f' = f''
% Assm: VECTOR_DERIVATIVE_WORKS: !net f. f differentiable net <=> (f has_vector_derivative vector_derivative f net) net
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: has_vector_derivative: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !f f' x a b. drop a < drop b /\ x IN interval [a,b] /\ (f has_vector_derivative f') (at x within interval [a,b]) ==> vector_derivative f (at x within interval [a,b]) = f'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: T
% Assm: !f a b x f' f''. drop a < drop b /\ x IN interval [a,b] /\ (f has_vector_derivative f') (at x within interval [a,b]) /\ (f has_vector_derivative f'') (at x within interval [a,b]) ==> f' = f''
% Assm: !net f. f differentiable net <=> (f has_vector_derivative vector_derivative f net) net
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !f f' x a b. drop a < drop b /\ x IN interval [a,b] /\ (f has_vector_derivative f') (at x within interval [a,b]) ==> vector_derivative f (at x within interval [a,b]) = f'
%  TYPES
thf(tq410833, type, q410833 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnetcartrealq410833, type, netcartrealq410833 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq410833, type, cartrealq410833 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tcartrealq410832, type, cartrealq410832 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tq410832, type, q410832 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(cdifferentiable0, type, differentiable0 : ((cartrealq410833 > cartrealq410832) > netcartrealq410833 > $o)).
thf(cdifferentiable, type, differentiable : ((cartrealn1 > cartrealn) > netcartrealn1 > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > netcartrealn1 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq410833 > cartrealq410832) > (cartrealq410833 > cartrealq410832) > netcartrealq410833 > $o)).
thf(cvectoruu_derivative, type, vectoru_derivative : ((cartrealn1 > cartrealn) > netcartrealn1 > cartrealn)).
thf(cwithin, type, within : (netcartrealn1 > (cartrealn1 > $o) > netcartrealn1)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealn) > cartrealn > netcartrealn1 > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_DERIVATIVEu_UNIQUEu_WITHINu_CLOSEDu_INTERVAL, axiom, ![F:(cartrealn1 > cartrealn),A:cartrealn1,B:cartrealn1,X:cartrealn1,FI_:cartrealn,FI_I_:cartrealn]:(((realu_lt @ (drop @ A) @ (drop @ B)) & (in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (hasu_vectoru_derivative @ F @ FI_ @ (within @ (at @ X) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) & (hasu_vectoru_derivative @ F @ FI_I_ @ (within @ (at @ X) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) => (FI_ = FI_I_))).
thf(aVECTORu_DERIVATIVEu_WORKS, axiom, ![NET:netcartrealn1,F:(cartrealn1 > cartrealn)]:((differentiable @ F @ NET) <=> (hasu_vectoru_derivative @ F @ (vectoru_derivative @ F @ NET) @ NET))).
thf(adifferentiable, axiom, ![F:(cartrealq410833 > cartrealq410832),NET:netcartrealq410833]:((differentiable0 @ F @ NET) <=> ?[FI_:(cartrealq410833 > cartrealq410832)]:(hasu_derivative @ F @ FI_ @ NET))).
thf(ahasu_vectoru_derivative, axiom, ![F:(cartrealn1 > cartrealn),FI_:cartrealn,NET:netcartrealn1]:((hasu_vectoru_derivative @ F @ FI_ @ NET) <=> (hasu_derivative0 @ F @ ^[X:cartrealn1]:(r_ @ (drop @ X) @ FI_) @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn),FI_:cartrealn,X:cartrealn1,A:cartrealn1,B:cartrealn1]:(((realu_lt @ (drop @ A) @ (drop @ B)) & (in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (hasu_vectoru_derivative @ F @ FI_ @ (within @ (at @ X) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) => ((vectoru_derivative @ F @ (within @ (at @ X) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) = FI_))).
