%   ORIGINAL: VECTOR_DERIVATIVE_CONST_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_VECTOR_DERIVATIVE_CONST: !c net. ((\x. c) has_vector_derivative vec 0) net
% Assm: HAS_VECTOR_DERIVATIVE_UNIQUE_AT: !f f' x. (f has_vector_derivative f') (at x) ==> vector_derivative f (at x) = f'
% Assm: TRUTH: T
% Goal: !c a. vector_derivative (\x. c) (at a) = vec 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c net. ((\x. c) has_vector_derivative vec 0) net
% Assm: !f f' x. (f has_vector_derivative f') (at x) ==> vector_derivative f (at x) = f'
% Assm: T
% Goal: !c a. vector_derivative (\x. c) (at a) = vec 0
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealn) > cartrealn > netcartrealn1 > $o)).
thf(cvectoruu_derivative, type, vectoru_derivative : ((cartrealn1 > cartrealn) > netcartrealn1 > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_VECTORu_DERIVATIVEu_CONST, axiom, ![C:cartrealn,NET:netcartrealn1]:(hasu_vectoru_derivative @ ^[X:cartrealn1]:C @ (vec @ (numeral @ u_0)) @ NET)).
thf(aHASu_VECTORu_DERIVATIVEu_UNIQUEu_AT, axiom, ![F:(cartrealn1 > cartrealn),FI_:cartrealn,X:cartrealn1]:((hasu_vectoru_derivative @ F @ FI_ @ (at @ X)) => ((vectoru_derivative @ F @ (at @ X)) = FI_))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:cartrealn,A:cartrealn1]:((vectoru_derivative @ ^[X:cartrealn1]:C @ (at @ A)) = (vec @ (numeral @ u_0)))).
