%   ORIGINAL: HAS_VECTOR_DERIVATIVE_CMUL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_VECTOR_DERIVATIVE_CMUL: !f f' net c. (f has_vector_derivative f') net ==> ((\x. c % f x) has_vector_derivative c % f') net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: TRUTH: T
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Goal: !f f' net c. ~(c = &0) ==> (((\x. c % f x) has_vector_derivative c % f') net <=> (f has_vector_derivative f') net)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f f' net c. (f has_vector_derivative f') net ==> ((\x. c % f x) has_vector_derivative c % f') net
% Assm: ~F <=> T
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: T
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Goal: !f f' net c. ~(c = &0) ==> (((\x. c % f x) has_vector_derivative c % f') net <=> (f has_vector_derivative f') net)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq423231, type, cartrealq423231 : $tType).
thf(treal, type, real : $tType).
thf(tq423231, type, q423231 : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cru_, type, r_ : (real > cartrealq423231 > cartrealq423231)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealq423231) > cartrealq423231 > netcartrealn1 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_VECTORu_DERIVATIVEu_CMUL, axiom, ![F:(cartrealn1 > cartrealq423231),FI_:cartrealq423231,NET:netcartrealn1,C:real]:((hasu_vectoru_derivative @ F @ FI_ @ NET) => (hasu_vectoru_derivative @ ^[X:cartrealn1]:(r_ @ C @ (F @ X)) @ (r_ @ C @ FI_) @ NET))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealq423231]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq423231]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealq423231),FI_:cartrealq423231,NET:netcartrealn1,C:real]:(~ ((C = (realu_ofu_num @ (numeral @ u_0)))) => ((hasu_vectoru_derivative @ ^[X:cartrealn1]:(r_ @ C @ (F @ X)) @ (r_ @ C @ FI_) @ NET) <=> (hasu_vectoru_derivative @ F @ FI_ @ NET)))).
