%   ORIGINAL: HAS_VECTOR_DERIVATIVE_BILINEAR_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_DERIVATIVE_BILINEAR_AT: !h f g f' g' x. (f has_derivative f') (at x) /\ (g has_derivative g') (at x) /\ bilinear h ==> ((\x. h (f x) (g x)) has_derivative (\d. h (f x) (g' d) + h (f' d) (g x))) (at x)
% Assm: TRUTH: T
% Assm: VECTOR_ADD_LDISTRIB: c % (x + y) = c % x + c % y
% Assm: bilinear: !f. bilinear f <=> (!x. linear (\y. f x y)) /\ (!y. linear (\x. f x y))
% Assm: has_vector_derivative: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !h f g f' g' x. (f has_vector_derivative f') (at x) /\ (g has_vector_derivative g') (at x) /\ bilinear h ==> ((\x. h (f x) (g x)) has_vector_derivative h (f x) g' + h f' (g x)) (at x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !h f g f' g' x. (f has_derivative f') (at x) /\ (g has_derivative g') (at x) /\ bilinear h ==> ((\x. h (f x) (g x)) has_derivative (\d. h (f x) (g' d) + h (f' d) (g x))) (at x)
% Assm: T
% Assm: !x c y. c % (x + y) = c % x + c % y
% Assm: !f. bilinear f <=> (!x. linear (\y. f x y)) /\ (!y. linear (\x. f x y))
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !h f g f' g' x. (f has_vector_derivative f') (at x) /\ (g has_vector_derivative g') (at x) /\ bilinear h ==> ((\x. h (f x) (g x)) has_vector_derivative h (f x) g' + h f' (g x)) (at x)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tp, type, p : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cru_1, type, r_1 : (real > cartrealm > cartrealm)).
thf(cru_0, type, r_0 : (real > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealp > cartrealp)).
thf(chasuu_derivative1, type, hasu_derivative1 : ((cartrealn1 > cartrealp) > (cartrealn1 > cartrealp) > netcartrealn1 > $o)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > netcartrealn1 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn1 > cartrealm) > (cartrealn1 > cartrealm) > netcartrealn1 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealp > cartrealp > cartrealp)).
thf(chasuu_vectoruu_derivative1, type, hasu_vectoru_derivative1 : ((cartrealn1 > cartrealp) > cartrealp > netcartrealn1 > $o)).
thf(chasuu_vectoruu_derivative0, type, hasu_vectoru_derivative0 : ((cartrealn1 > cartrealn) > cartrealn > netcartrealn1 > $o)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealm) > cartrealm > netcartrealn1 > $o)).
thf(clinear1, type, linear1 : ((cartrealp > cartrealp) > $o)).
thf(clinear0, type, linear0 : ((cartrealm > cartrealp) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealp) > $o)).
thf(cbilinear, type, bilinear : ((cartrealm > cartrealn > cartrealp) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_DERIVATIVEu_BILINEARu_AT, axiom, ![H:(cartrealm > cartrealn > cartrealp),F:(cartrealn1 > cartrealm),G:(cartrealn1 > cartrealn),FI_:(cartrealn1 > cartrealm),GI_:(cartrealn1 > cartrealn),X:cartrealn1]:(((hasu_derivative @ F @ FI_ @ (at @ X)) & (hasu_derivative0 @ G @ GI_ @ (at @ X)) & (bilinear @ H)) => (hasu_derivative1 @ ^[X:cartrealn1]:(H @ (F @ X) @ (G @ X)) @ ^[D:cartrealn1]:(vectoru_add @ (H @ (F @ X) @ (GI_ @ D)) @ (H @ (FI_ @ D) @ (G @ X))) @ (at @ X)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_LDISTRIB, axiom, ![X:cartrealp,C:real,Y:cartrealp]:((r_ @ C @ (vectoru_add @ X @ Y)) = (vectoru_add @ (r_ @ C @ X) @ (r_ @ C @ Y)))).
thf(abilinear, axiom, ![F:(cartrealm > cartrealn > cartrealp)]:((bilinear @ F) <=> (![X:cartrealm]:(linear @ ^[Y:cartrealn]:(F @ X @ Y)) & ![Y:cartrealn]:(linear0 @ ^[X:cartrealm]:(F @ X @ Y))))).
thf(ahasu_vectoru_derivativeu_monomorphized2, axiom, ![F:(cartrealn1 > cartrealp),FI_:cartrealp,NET:netcartrealn1]:((hasu_vectoru_derivative1 @ F @ FI_ @ NET) <=> (hasu_derivative1 @ F @ ^[X:cartrealn1]:(r_ @ (drop @ X) @ FI_) @ NET))).
thf(ahasu_vectoru_derivativeu_monomorphized1, axiom, ![F:(cartrealn1 > cartrealn),FI_:cartrealn,NET:netcartrealn1]:((hasu_vectoru_derivative0 @ F @ FI_ @ NET) <=> (hasu_derivative0 @ F @ ^[X:cartrealn1]:(r_0 @ (drop @ X) @ FI_) @ NET))).
thf(ahasu_vectoru_derivativeu_monomorphized0, axiom, ![F:(cartrealn1 > cartrealm),FI_:cartrealm,NET:netcartrealn1]:((hasu_vectoru_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn1]:(r_1 @ (drop @ X) @ FI_) @ NET))).
thf(alinear, axiom, ![F:(cartrealp > cartrealp)]:((linear1 @ F) <=> (![X:cartrealp,Y:cartrealp]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealp]:((F @ (r_ @ C @ X)) = (r_ @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![H:(cartrealm > cartrealn > cartrealp),F:(cartrealn1 > cartrealm),G:(cartrealn1 > cartrealn),FI_:cartrealm,GI_:cartrealn,X:cartrealn1]:(((hasu_vectoru_derivative @ F @ FI_ @ (at @ X)) & (hasu_vectoru_derivative0 @ G @ GI_ @ (at @ X)) & (bilinear @ H)) => (hasu_vectoru_derivative1 @ ^[X:cartrealn1]:(H @ (F @ X) @ (G @ X)) @ (vectoru_add @ (H @ (F @ X) @ GI_) @ (H @ FI_ @ (G @ X))) @ (at @ X)))).
