%   ORIGINAL: VECTOR_DIFF_CHAIN_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIFF_CHAIN_WITHIN: !f g f' g' x s. (f has_derivative f') (at x within s) /\ (g has_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_derivative g' o f') (at x within s)
% Assm: DROP_CMUL: !x c. drop (c % x) = c * drop x
% Assm: TRUTH: T
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: has_vector_derivative: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g f' g' s x. (f has_vector_derivative f') (at x within s) /\ (g has_vector_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_vector_derivative drop f' % g') (at x within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g f' g' x s. (f has_derivative f') (at x within s) /\ (g has_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_derivative g' o f') (at x within s)
% Assm: !x c. drop (c % x) = c * drop x
% Assm: T
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g f' g' s x. (f has_vector_derivative f') (at x within s) /\ (g has_vector_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_vector_derivative drop f' % g') (at x within s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq423949, type, q423949 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tcartrealq423949, type, cartrealq423949 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cru_0, type, r_0 : (real > cartrealn1 > cartrealn1)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn1 > cartrealq423949) > (cartrealn1 > cartrealq423949) > netcartrealn1 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn1 > cartrealn1) > (cartrealn1 > cartrealn1) > netcartrealn1 > $o)).
thf(cru_, type, r_ : (real > cartrealq423949 > cartrealq423949)).
thf(co, type, o : ((cartrealn1 > cartrealq423949) > (cartrealn1 > cartrealn1) > cartrealn1 > cartrealq423949)).
thf(cimage, type, image : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(chasuu_vectoruu_derivative0, type, hasu_vectoru_derivative0 : ((cartrealn1 > cartrealq423949) > cartrealq423949 > netcartrealn1 > $o)).
thf(cwithin, type, within : (netcartrealn1 > (cartrealn1 > $o) > netcartrealn1)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealn1) > cartrealn1 > netcartrealn1 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIFFu_CHAINu_WITHIN, axiom, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealq423949),FI_:(cartrealn1 > cartrealn1),GI_:(cartrealn1 > cartrealq423949),X:cartrealn1,S:(cartrealn1 > $o)]:(((hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (hasu_derivative0 @ G @ GI_ @ (within @ (at @ (F @ X)) @ (image @ F @ S)))) => (hasu_derivative0 @ (o @ G @ F) @ (o @ GI_ @ FI_) @ (within @ (at @ X) @ S)))).
thf(aDROPu_CMUL, axiom, ![X:cartrealn1,C:real]:((drop @ (r_0 @ C @ X)) = (realu_mul @ C @ (drop @ X)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealq423949]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(ahasu_vectoru_derivative, axiom, ![F:(cartrealn1 > cartrealq423949),FI_:cartrealq423949,NET:netcartrealn1]:((hasu_vectoru_derivative0 @ F @ FI_ @ NET) <=> (hasu_derivative0 @ F @ ^[X:cartrealn1]:(r_ @ (drop @ X) @ FI_) @ NET))).
thf(aou_DEF, axiom, ![F:(cartrealn1 > cartrealq423949),G:(cartrealn1 > cartrealn1)]:((o @ F @ G) = ^[X:cartrealn1]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealq423949),FI_:cartrealn1,GI_:cartrealq423949,S:(cartrealn1 > $o),X:cartrealn1]:(((hasu_vectoru_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (hasu_vectoru_derivative0 @ G @ GI_ @ (within @ (at @ (F @ X)) @ (image @ F @ S)))) => (hasu_vectoru_derivative0 @ (o @ G @ F) @ (r_ @ (drop @ FI_) @ GI_) @ (within @ (at @ X) @ S)))).
