%   ORIGINAL: CONVEX_ON_DERIVATIVES_IMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_ON_DERIVATIVE_SECANT_IMP: !f f' s x y. f convex_on s /\ segment [x,y] SUBSET s /\ (lift o f has_derivative lift o f') (at x within s) ==> f' (y - x) <= f y - f x
% Assm: CONVEX_ON_SECANT_DERIVATIVE_IMP: !f f' s x y. f convex_on s /\ segment [x,y] SUBSET s /\ (lift o f has_derivative lift o f') (at y within s) ==> f y - f x <= f' (y - x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SEGMENT_SYM_conjunct0: !a b. segment [a,b] = segment [b,a]
% Assm: SEGMENT_SYM_conjunct1: !a b. segment (a,b) = segment (b,a)
% Assm: TRUTH: T
% Goal: !f f'x f'y s x y. f convex_on s /\ segment [x,y] SUBSET s /\ (lift o f has_derivative lift o f'x) (at x within s) /\ (lift o f has_derivative lift o f'y) (at y within s) ==> f'x (y - x) <= f'y (y - x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f f' s x y. f convex_on s /\ segment [x,y] SUBSET s /\ (lift o f has_derivative lift o f') (at x within s) ==> f' (y - x) <= f y - f x
% Assm: !f f' s x y. f convex_on s /\ segment [x,y] SUBSET s /\ (lift o f has_derivative lift o f') (at y within s) ==> f y - f x <= f' (y - x)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !a b. segment [a,b] = segment [b,a]
% Assm: !a b. segment (a,b) = segment (b,a)
% Assm: T
% Goal: !f f'x f'y s x y. f convex_on s /\ segment [x,y] SUBSET s /\ (lift o f has_derivative lift o f'x) (at x within s) /\ (lift o f has_derivative lift o f'y) (at y within s) ==> f'x (y - x) <= f'y (y - x)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cconvexuu_on, type, convexu_on : ((cartrealn > real) > (cartrealn > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cwithin, type, within : (netcartrealn > (cartrealn > $o) > netcartrealn)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn > real) > cartrealn > cartrealn1)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn > cartrealn1) > (cartrealn > cartrealn1) > netcartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_ONu_DERIVATIVEu_SECANTu_IMP, axiom, ![F:(cartrealn > real),FI_:(cartrealn > real),S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((convexu_on @ F @ S) & (subset @ (closedu_segment @ (cons @ (c_ @ X @ Y) @ nil)) @ S) & (hasu_derivative @ (o @ lift @ F) @ (o @ lift @ FI_) @ (within @ (at @ X) @ S))) => (realu_le @ (FI_ @ (vectoru_sub @ Y @ X)) @ (realu_sub @ (F @ Y) @ (F @ X))))).
thf(aCONVEXu_ONu_SECANTu_DERIVATIVEu_IMP, axiom, ![F:(cartrealn > real),FI_:(cartrealn > real),S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((convexu_on @ F @ S) & (subset @ (closedu_segment @ (cons @ (c_ @ X @ Y) @ nil)) @ S) & (hasu_derivative @ (o @ lift @ F) @ (o @ lift @ FI_) @ (within @ (at @ Y) @ S))) => (realu_le @ (realu_sub @ (F @ Y) @ (F @ X)) @ (FI_ @ (vectoru_sub @ Y @ X))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSEGMENTu_SYMu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (closedu_segment @ (cons @ (c_ @ B @ A) @ nil)))).
thf(aSEGMENTu_SYMu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:((openu_segment @ (c_ @ A @ B)) = (openu_segment @ (c_ @ B @ A)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > real),FI_X:(cartrealn > real),FI_Y:(cartrealn > real),S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((convexu_on @ F @ S) & (subset @ (closedu_segment @ (cons @ (c_ @ X @ Y) @ nil)) @ S) & (hasu_derivative @ (o @ lift @ F) @ (o @ lift @ FI_X) @ (within @ (at @ X) @ S)) & (hasu_derivative @ (o @ lift @ F) @ (o @ lift @ FI_Y) @ (within @ (at @ Y) @ S))) => (realu_le @ (FI_X @ (vectoru_sub @ Y @ X)) @ (FI_Y @ (vectoru_sub @ Y @ X))))).
