%   ORIGINAL: INTERIOR_SUBSET_UNION_INTERVALS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_CLOSED_INTERVAL: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: INTERIOR_MAXIMAL: !s t. t SUBSET s /\ open t ==> t SUBSET interior s
% Assm: INTERVAL_OPEN_SUBSET_CLOSED: !a b. interval (a,b) SUBSET interval [a,b]
% Assm: INTER_INTERVAL_MIXED_EQ_EMPTY: !a b c d. ~(interval (c,d) = {}) ==> (interval (a,b) INTER interval [c,d] = {} <=> interval (a,b) INTER interval (c,d) = {})
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_INTERIOR: !s. open (interior s)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s i j. (?a b. i = interval [a,b]) /\ (?c d. j = interval [c,d]) /\ ~(interior j = {}) /\ i SUBSET j UNION s /\ interior i INTER interior j = {} ==> interior i SUBSET interior s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: !s t. t SUBSET s /\ open t ==> t SUBSET interior s
% Assm: !a b. interval (a,b) SUBSET interval [a,b]
% Assm: !a b c d. ~(interval (c,d) = {}) ==> (interval (a,b) INTER interval [c,d] = {} <=> interval (a,b) INTER interval (c,d) = {})
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. open (interior s)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s i j. (?a b. i = interval [a,b]) /\ (?c d. j = interval [c,d]) /\ ~(interior j = {}) /\ i SUBSET j UNION s /\ interior i INTER interior j = {} ==> interior i SUBSET interior s
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTERIORu_CLOSEDu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:((interior @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (openu_interval @ (c_ @ A @ B)))).
thf(aINTERIORu_MAXIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ T @ S) & (open @ T)) => (subset @ T @ (interior @ S)))).
thf(aINTERVALu_OPENu_SUBSETu_CLOSED, axiom, ![A:cartrealn,B:cartrealn]:(subset @ (openu_interval @ (c_ @ A @ B)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aINTERu_INTERVALu_MIXEDu_EQu_EMPTY, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:(~ (((openu_interval @ (c_ @ C @ D)) = empty)) => (((inter @ (openu_interval @ (c_ @ A @ B)) @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) = empty) <=> ((inter @ (openu_interval @ (c_ @ A @ B)) @ (openu_interval @ (c_ @ C @ D))) = empty)))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aOPENu_INTERIOR, axiom, ![S:(cartrealn > $o)]:(open @ (interior @ S))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),I:(cartrealn > $o),J:(cartrealn > $o)]:((?[A:cartrealn,B:cartrealn]:(I = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ?[C:cartrealn,D:cartrealn]:(J = (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) & ~ (((interior @ J) = empty)) & (subset @ I @ (union @ J @ S)) & ((inter @ (interior @ I) @ (interior @ J)) = empty)) => (subset @ (interior @ I) @ (interior @ S)))).
