%   ORIGINAL: INTERVAL_LOWERBOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTERVAL_conjunct1: !x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INF_UNIQUE: !s b. (!x. x IN s ==> b <= x) /\ (!b'. b < b' ==> (?x. x IN s /\ x < b')) ==> inf s = b
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: TRUTH: T
% Assm: interval_lowerbound: !s. interval_lowerbound s = (lambda i. inf {a | ?x. x IN s /\ x$i = a})
% Goal: !a b. (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i) ==> interval_lowerbound (interval [a,b]) = a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !a b x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: !s b. (!x. x IN s ==> b <= x) /\ (!b'. b < b' ==> (?x. x IN s /\ x < b')) ==> inf s = b
% Assm: !x. x <= x
% Assm: T
% Assm: !s. interval_lowerbound s = (lambda i. inf {a | ?x. x IN s /\ x$i = a})
% Goal: !a b. (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i) ==> interval_lowerbound (interval [a,b]) = a
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (n > $o)).
thf(cgspec0, type, gspec0 : ((real > $o) > real > $o)).
thf(cinf, type, inf : ((real > $o) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetspec0, type, setspec0 : (real > $o > real > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cintervaluu_lowerbound, type, intervalu_lowerbound : ((cartrealn > $o) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTERVALu_conjunct1, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in0 @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INFu_UNIQUE, axiom, ![S:(real > $o),B:real]:((![X:real]:((in1 @ X @ S) => (realu_le @ B @ X)) & ![BI_:real]:((realu_lt @ B @ BI_) => ?[X:real]:((in1 @ X @ S) & (realu_lt @ X @ BI_)))) => ((inf @ S) = B))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(aintervalu_lowerbound, axiom, ![S:(cartrealn > $o)]:((intervalu_lowerbound @ S) = (lambda0 @ ^[I:num]:(inf @ (gspec0 @ ^[GENR_PVARR_1583:real]:?[A:real]:(setspec0 @ GENR_PVARR_1583 @ ?[X:cartrealn]:((in0 @ X @ S) & ((d_ @ X @ I) = A)) @ A)))))).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ A @ I) @ (d_ @ B @ I))) => ((intervalu_lowerbound @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = A))).
