%   ORIGINAL: CONTENT_POS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: INTERVAL_LOWERBOUND: !a b. (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i) ==> interval_lowerbound (interval [a,b]) = a
% Assm: INTERVAL_NE_EMPTY_conjunct0: ~(interval [a,b] = {}) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i)
% Assm: INTERVAL_UPPERBOUND: !a b. (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i) ==> interval_upperbound (interval [a,b]) = b
% Assm: PRODUCT_POS_LE_NUMSEG: !f m n. (!x. m <= x /\ x <= n ==> &0 <= f x) ==> &0 <= product (m..n) f
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: TRUTH: T
% Assm: content: !s. content s = (if s = {} then &0 else product (1..dimindex (:M)) (\i. interval_upperbound s$i - interval_lowerbound s$i))
% Goal: !a b. &0 <= content (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !a b. (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i) ==> interval_lowerbound (interval [a,b]) = a
% Assm: !a b. ~(interval [a,b] = {}) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i)
% Assm: !a b. (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i) ==> interval_upperbound (interval [a,b]) = b
% Assm: !f m n. (!x. m <= x /\ x <= n ==> &0 <= f x) ==> &0 <= product (m..n) f
% Assm: !x. x <= x
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: T
% Assm: !s. content s = (if s = {} then &0 else product (1..dimindex (:N)) (\i. interval_upperbound s$i - interval_lowerbound s$i))
% Goal: !a b. &0 <= content (interval [a,b])
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccontent, type, content : ((cartrealn > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cintervaluu_upperbound, type, intervalu_upperbound : ((cartrealn > $o) > cartrealn)).
thf(cintervaluu_lowerbound, type, intervalu_lowerbound : ((cartrealn > $o) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aINTERVALu_LOWERBOUND, axiom, ![A:cartrealn,B:cartrealn]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ A @ I) @ (d_ @ B @ I))) => ((intervalu_lowerbound @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = A))).
thf(aINTERVALu_NEu_EMPTYu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:(~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ A @ I) @ (d_ @ B @ I))))).
thf(aINTERVALu_UPPERBOUND, axiom, ![A:cartrealn,B:cartrealn]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ A @ I) @ (d_ @ B @ I))) => ((intervalu_upperbound @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = B))).
thf(aPRODUCTu_POSu_LEu_NUMSEG, axiom, ![F:(num > real),M:num,N:num]:(![X:num]:(((l_a_ @ M @ X) & (l_a_ @ X @ N)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (product @ (o_o_ @ M @ N) @ F)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(acontent, axiom, ![S:(cartrealn > $o)]:((content @ S) = (cond0 @ (S = empty) @ (realu_ofu_num @ (numeral @ u_0)) @ (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_sub @ (d_ @ (intervalu_upperbound @ S) @ I) @ (d_ @ (intervalu_lowerbound @ S) @ I)))))).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
