%   ORIGINAL: CONTENT_CLOSED_INTERVAL_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CONTENT_CLOSED_INTERVAL: !a b. (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i) ==> content (interval [a,b]) = product (1..dimindex (:N)) (\i. b$i - a$i)
% Assm: CONTENT_EQ_0: !a b. content (interval [a,b]) = &0 <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i <= a$i)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: TRUTH: T
% Goal: !a b. content (interval [a,b]) = (if !i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i then product (1..dimindex (:N)) (\i. b$i - a$i) else &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !a b. (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i) ==> content (interval [a,b]) = product (1..dimindex (:N)) (\i. b$i - a$i)
% Assm: !a b. content (interval [a,b]) = &0 <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i <= a$i)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. x <= y \/ y <= x
% Assm: T
% Goal: !a b. content (interval [a,b]) = (if !i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i then product (1..dimindex (:N)) (\i. b$i - a$i) else &0)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccontent, type, content : ((cartrealn > $o) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONTENTu_CLOSEDu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ A @ I) @ (d_ @ B @ I))) => ((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_sub @ (d_ @ B @ I) @ (d_ @ A @ I)))))).
thf(aCONTENTu_EQu_0, axiom, ![A:cartrealn,B:cartrealn]:(((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (realu_ofu_num @ (numeral @ u_0))) <=> ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (realu_le @ (d_ @ B @ I) @ (d_ @ A @ I))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (cond @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ A @ I) @ (d_ @ B @ I))) @ (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_sub @ (d_ @ B @ I) @ (d_ @ A @ I))) @ (realu_ofu_num @ (numeral @ u_0))))).
