%   ORIGINAL: CONTENT_EQ_0_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTENT_EQ_0: !a b. content (interval [a,b]) = &0 <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i <= a$i)
% Assm: INTERIOR_CLOSED_INTERVAL: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: INTERVAL_EQ_EMPTY_conjunct1: interval (a,b) = {} <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i <= a$i)
% Assm: TRUTH: T
% Goal: !a b. content (interval [a,b]) = &0 <=> interior (interval [a,b]) = {}
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. content (interval [a,b]) = &0 <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i <= a$i)
% Assm: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: !b a. interval (a,b) = {} <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i <= a$i)
% Assm: T
% Goal: !a b. content (interval [a,b]) = &0 <=> interior (interval [a,b]) = {}
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (n > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccontent, type, content : ((cartrealn > $o) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTENTu_EQu_0, axiom, ![A:cartrealn,B:cartrealn]:(((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (realu_ofu_num @ (numeral @ u_0))) <=> ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (realu_le @ (d_ @ B @ I) @ (d_ @ A @ I))))).
thf(aINTERIORu_CLOSEDu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:((interior @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (openu_interval @ (c_ @ A @ B)))).
thf(aINTERVALu_EQu_EMPTYu_conjunct1, axiom, ![B:cartrealn,A:cartrealn]:(((openu_interval @ (c_ @ A @ B)) = empty) <=> ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (realu_le @ (d_ @ B @ I) @ (d_ @ A @ I))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:(((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (realu_ofu_num @ (numeral @ u_0))) <=> ((interior @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = empty))).
