%   ORIGINAL: ELEMENTARY_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ELEMENTARY_INTER: !s t. (?p. p division_of s) /\ (?p. p division_of t) ==> (?p. p division_of s INTER t)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: INTERS_INSERT: INTERS (s INSERT u) = s INTER INTERS u
% Assm: INTER_UNIV_conjunct1: !s. s INTER (:A) = s
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f. FINITE f /\ ~(f = {}) /\ (!s. s IN f ==> (?p. p division_of s)) ==> (?p. p division_of INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. (?p. p division_of s) /\ (?p. p division_of t) ==> (?p. p division_of s INTER t)
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: INTERS {} = (:real^N)
% Assm: !s u. INTERS (s INSERT u) = s INTER INTERS u
% Assm: !s. s INTER (:real^N->bool) = s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: T
% Goal: !f. FINITE f /\ ~(f = {}) /\ (!s. s IN f ==> (?p. p division_of s)) ==> (?p. p division_of INTERS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinter0, type, inter0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : ((cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv0, type, univ0 : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cempty, type, empty : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (cartrealn > $o) > $o),G:(a > (cartrealn > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aELEMENTARYu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((?[P:((cartrealn > $o) > $o)]:(divisionu_of @ P @ S) & ?[P:((cartrealn > $o) > $o)]:(divisionu_of @ P @ T)) => ?[P:((cartrealn > $o) > $o)]:(divisionu_of @ P @ (inter @ S @ T)))).
thf(aETAu_AX, axiom, ![T:((cartrealn > $o) > $o)]:(^[X:(cartrealn > $o)]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealn > $o) > $o) > $o)]:(((P @ empty) & ![X:(cartrealn > $o),S:((cartrealn > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealn > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINTERSu_0, axiom, ((inters @ empty) = univ)).
thf(aINTERSu_INSERT, axiom, ![S:(cartrealn > $o),U:((cartrealn > $o) > $o)]:((inters @ (insert @ S @ U)) = (inter @ S @ (inters @ U)))).
thf(aINTERu_UNIVu_conjunct1, axiom, ![S:((cartrealn > $o) > $o)]:((inter0 @ S @ univ0) = S)).
thf(aINu_INSERT, axiom, ![X:(cartrealn > $o),Y:(cartrealn > $o),S:((cartrealn > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:(cartrealn > $o),Y:(cartrealn > $o)]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(((finite @ F) & ~ ((F = empty)) & ![S:(cartrealn > $o)]:((in @ S @ F) => ?[P:((cartrealn > $o) > $o)]:(divisionu_of @ P @ S))) => ?[P:((cartrealn > $o) > $o)]:(divisionu_of @ P @ (inters @ F)))).
