%   ORIGINAL: ELEMENTARY_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_INTERVAL_conjunct0: !a b. bounded (interval [a,b])
% Assm: BOUNDED_INTERVAL_conjunct1: !a b. bounded (interval (a,b))
% Assm: BOUNDED_UNIONS: !f. FINITE f /\ (!s. s IN f ==> bounded s) ==> bounded (UNIONS f)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: division_of: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !s. (?p. p division_of s) ==> bounded s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. bounded (interval [a,b])
% Assm: !a b. bounded (interval (a,b))
% Assm: !f. FINITE f /\ (!s. s IN f ==> bounded s) ==> bounded (UNIONS f)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !s. (?p. p division_of s) ==> bounded s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq430412, type, cartrealq430412 : $tType).
thf(tprodcartrealq430412cartrealq430412, type, prodcartrealq430412cartrealq430412 : $tType).
thf(tlistprodcartrealq430412cartrealq430412, type, listprodcartrealq430412cartrealq430412 : $tType).
thf(tq430412, type, q430412 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq430412cartrealq430412).
thf(cinterior, type, interior : ((cartrealq430412 > $o) > cartrealq430412 > $o)).
thf(csubset, type, subset : ((cartrealq430412 > $o) > (cartrealq430412 > $o) > $o)).
thf(cunions, type, unions : (((cartrealq430412 > $o) > $o) > cartrealq430412 > $o)).
thf(cin, type, in : ((cartrealq430412 > $o) > ((cartrealq430412 > $o) > $o) > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealq430412cartrealq430412 > cartrealq430412 > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq430412cartrealq430412 > cartrealq430412 > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealq430412 > $o) > $o) > (cartrealq430412 > $o) > $o)).
thf(cinter, type, inter : ((cartrealq430412 > $o) > (cartrealq430412 > $o) > cartrealq430412 > $o)).
thf(ccu_, type, c_ : (cartrealq430412 > cartrealq430412 > prodcartrealq430412cartrealq430412)).
thf(ccons, type, cons : (prodcartrealq430412cartrealq430412 > listprodcartrealq430412cartrealq430412 > listprodcartrealq430412cartrealq430412)).
thf(cempty, type, empty : (cartrealq430412 > $o)).
thf(cfinite, type, finite : (((cartrealq430412 > $o) > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq430412 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_INTERVALu_conjunct0, axiom, ![A:cartrealq430412,B:cartrealq430412]:(bounded @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aBOUNDEDu_INTERVALu_conjunct1, axiom, ![A:cartrealq430412,B:cartrealq430412]:(bounded @ (openu_interval @ (c_ @ A @ B)))).
thf(aBOUNDEDu_UNIONS, axiom, ![F:((cartrealq430412 > $o) > $o)]:(((finite @ F) & ![S:(cartrealq430412 > $o)]:((in @ S @ F) => (bounded @ S))) => (bounded @ (unions @ F)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adivisionu_of, axiom, ![S:((cartrealq430412 > $o) > $o),I:(cartrealq430412 > $o)]:((divisionu_of @ S @ I) <=> ((finite @ S) & ![K:(cartrealq430412 > $o)]:((in @ K @ S) => ((subset @ K @ I) & ~ ((K = empty)) & ?[A:cartrealq430412,B:cartrealq430412]:(K = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) & ![K1:(cartrealq430412 > $o),K2:(cartrealq430412 > $o)]:(((in @ K1 @ S) & (in @ K2 @ S) & ~ ((K1 = K2))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty)) & ((unions @ S) = I)))).
thf(conjecture, conjecture, ![S:(cartrealq430412 > $o)]:(?[P:((cartrealq430412 > $o) > $o)]:(divisionu_of @ P @ S) => (bounded @ S))).
