%   ORIGINAL: ELEMENTARY_UNIONS_INTERVALS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ELEMENTARY_EMPTY: ?p. p division_of {}
% Assm: ELEMENTARY_UNION_INTERVAL: !p a b. p division_of UNIONS p ==> (?q. q division_of interval [a,b] UNION UNIONS p)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Assm: division_of: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !f. FINITE f /\ (!s. s IN f ==> (?a b. s = interval [a,b])) ==> (?p. p division_of UNIONS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ?p. p division_of {}
% Assm: !p a b. p division_of UNIONS p ==> (?q. q division_of interval [a,b] UNION UNIONS p)
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Assm: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !f. FINITE f /\ (!s. s IN f ==> (?a b. s = interval [a,b])) ==> (?p. p division_of UNIONS f)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : ((cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cempty0, type, empty0 : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aELEMENTARYu_EMPTY, axiom, ?[P:((cartrealn > $o) > $o)]:(divisionu_of @ P @ empty)).
thf(aELEMENTARYu_UNIONu_INTERVAL, axiom, ![P:((cartrealn > $o) > $o),A:cartrealn,B:cartrealn]:((divisionu_of @ P @ (unions @ P)) => ?[Q:((cartrealn > $o) > $o)]:(divisionu_of @ Q @ (union @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (unions @ P))))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealn > $o) > $o) > $o)]:(((P @ empty0) & ![X:(cartrealn > $o),S:((cartrealn > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealn > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:(cartrealn > $o),Y:(cartrealn > $o),S:((cartrealn > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty0) = empty)).
thf(aUNIONSu_INSERT, axiom, ![S:(cartrealn > $o),U:((cartrealn > $o) > $o)]:((unions @ (insert @ S @ U)) = (union @ S @ (unions @ U)))).
thf(adivisionu_of, axiom, ![S:((cartrealn > $o) > $o),I:(cartrealn > $o)]:((divisionu_of @ S @ I) <=> ((finite @ S) & ![K:(cartrealn > $o)]:((in @ K @ S) => ((subset @ K @ I) & ~ ((K = empty)) & ?[A:cartrealn,B:cartrealn]:(K = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) & ![K1:(cartrealn > $o),K2:(cartrealn > $o)]:(((in @ K1 @ S) & (in @ K2 @ S) & ~ ((K1 = K2))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty)) & ((unions @ S) = I)))).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(((finite @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => ?[A:cartrealn,B:cartrealn]:(S = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) => ?[P:((cartrealn > $o) > $o)]:(divisionu_of @ P @ (unions @ F)))).
