%   ORIGINAL: ELEMENTARY_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ELEMENTARY_UNIONS_INTERVALS: !f. FINITE f /\ (!s. s IN f ==> (?a b. s = interval [a,b])) ==> (?p. p division_of UNIONS f)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: division_of: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !s t. (?p. p division_of s) /\ (?p. p division_of t) ==> (?p. p division_of s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. FINITE f /\ (!s. s IN f ==> (?a b. s = interval [a,b])) ==> (?p. p division_of UNIONS f)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !s t. (?p. p division_of s) /\ (?p. p division_of t) ==> (?p. p division_of s UNION t)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin2, type, in2 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((a > $o) > $o) > a > $o)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aELEMENTARYu_UNIONSu_INTERVALS, axiom, ![F:((cartrealn > $o) > $o)]:(((finite @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => ?[A:cartrealn,B:cartrealn]:(S = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) => ?[P:((cartrealn > $o) > $o)]:(divisionu_of @ P @ (unions @ F)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((finite0 @ (union @ S @ T)) <=> ((finite0 @ S) & (finite0 @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in1 @ X @ (union @ S @ T)) <=> ((in1 @ X @ S) | (in1 @ X @ T)))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in0 @ X @ (unions0 @ S)) <=> ?[T:(a > $o)]:((in2 @ T @ S) & (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adivisionu_of, axiom, ![S:((cartrealn > $o) > $o),I:(cartrealn > $o)]:((divisionu_of @ S @ I) <=> ((finite @ S) & ![K:(cartrealn > $o)]:((in @ K @ S) => ((subset @ K @ I) & ~ ((K = empty)) & ?[A:cartrealn,B:cartrealn]:(K = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) & ![K1:(cartrealn > $o),K2:(cartrealn > $o)]:(((in @ K1 @ S) & (in @ K2 @ S) & ~ ((K1 = K2))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty)) & ((unions @ S) = I)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((?[P:((cartrealn > $o) > $o)]:(divisionu_of @ P @ S) & ?[P:((cartrealn > $o) > $o)]:(divisionu_of @ P @ T)) => ?[P:((cartrealn > $o) > $o)]:(divisionu_of @ P @ (union @ S @ T)))).
