%   ORIGINAL: HAS_INTEGRAL_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_ADD: !f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x + g x) has_integral k + l) s
% Assm: HAS_INTEGRAL_NEG: !f k s. (f has_integral k) s ==> ((\x. --f x) has_integral --k) s
% Assm: TRUTH: T
% Assm: VECTOR_SUB: x - y = x + --y
% Goal: !f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x - g x) has_integral k - l) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !k l f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x + g x) has_integral k + l) s
% Assm: !f k s. (f has_integral k) s ==> ((\x. --f x) has_integral --k) s
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !l k f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x - g x) has_integral k - l) s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_ADD, axiom, ![K:cartrealn,L:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((hasu_integral @ F @ K @ S) & (hasu_integral @ G @ L @ S)) => (hasu_integral @ ^[X:cartrealm]:(vectoru_add @ (F @ X) @ (G @ X)) @ (vectoru_add @ K @ L) @ S))).
thf(aHASu_INTEGRALu_NEG, axiom, ![F:(cartrealm > cartrealn),K:cartrealn,S:(cartrealm > $o)]:((hasu_integral @ F @ K @ S) => (hasu_integral @ ^[X:cartrealm]:(vectoru_neg @ (F @ X)) @ (vectoru_neg @ K) @ S))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub @ X @ Y) = (vectoru_add @ X @ (vectoru_neg @ Y)))).
thf(conjecture, conjecture, ![L:cartrealn,K:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((hasu_integral @ F @ K @ S) & (hasu_integral @ G @ L @ S)) => (hasu_integral @ ^[X:cartrealm]:(vectoru_sub @ (F @ X) @ (G @ X)) @ (vectoru_sub @ K @ L) @ S))).
