%   ORIGINAL: INTEGRAL_CMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_CMUL: !f k s c. (f has_integral k) s ==> ((\x. c % f x) has_integral c % k) s
% Assm: INTEGRABLE_INTEGRAL: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: TRUTH: T
% Goal: !f c s. f integrable_on s ==> integral s (\x. c % f x) = c % integral s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f k s c. (f has_integral k) s ==> ((\x. c % f x) has_integral c % k) s
% Assm: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: T
% Goal: !f c s. f integrable_on s ==> integral s (\x. c % f x) = c % integral s f
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_CMUL, axiom, ![F:(cartrealm > cartrealn),K:cartrealn,S:(cartrealm > $o),C:real]:((hasu_integral @ F @ K @ S) => (hasu_integral @ ^[X:cartrealm]:(r_ @ C @ (F @ X)) @ (r_ @ C @ K) @ S))).
thf(aINTEGRABLEu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) => (hasu_integral @ F @ (integral @ I @ F) @ I))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn),Y:cartrealn,K:(cartrealm > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),C:real,S:(cartrealm > $o)]:((integrableu_on @ F @ S) => ((integral @ S @ ^[X:cartrealm]:(r_ @ C @ (F @ X))) = (r_ @ C @ (integral @ S @ F))))).
