%   ORIGINAL: INTEGRAL_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_SUB: !f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x - g x) has_integral k - l) s
% Assm: INTEGRABLE_INTEGRAL: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: TRUTH: T
% Goal: !f g k l s. f integrable_on s /\ g integrable_on s ==> integral s (\x. f x - g x) = integral s f - integral s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !k l f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x - g x) has_integral k - l) s
% Assm: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: T
% Goal: !f g k l s. f integrable_on s /\ g integrable_on s ==> integral s (\x. f x - g x) = integral s f - integral s g
%  TYPES
thf(ta, type, a : $tType).
thf(tq438671, type, q438671 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq438675, type, q438675 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_SUB, axiom, ![K:cartrealn,L:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((hasu_integral @ F @ K @ S) & (hasu_integral @ G @ L @ S)) => (hasu_integral @ ^[X:cartrealm]:(vectoru_sub @ (F @ X) @ (G @ X)) @ (vectoru_sub @ K @ L) @ S))).
thf(aINTEGRABLEu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) => (hasu_integral @ F @ (integral @ I @ F) @ I))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn),Y:cartrealn,K:(cartrealm > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),K:q438671,L:q438675,S:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (integrableu_on @ G @ S)) => ((integral @ S @ ^[X:cartrealm]:(vectoru_sub @ (F @ X) @ (G @ X))) = (vectoru_sub @ (integral @ S @ F) @ (integral @ S @ G))))).
