%   ORIGINAL: INTEGRAL_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_INTEGRAL: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: HAS_INTEGRAL_LINEAR: !f y s h. (f has_integral y) s /\ linear h ==> (h o f has_integral h y) s
% Assm: HAS_INTEGRAL_UNIQUE: !f i k1 k2. (f has_integral k1) i /\ (f has_integral k2) i ==> k1 = k2
% Assm: INTEGRABLE_LINEAR: !f h s. f integrable_on s /\ linear h ==> h o f integrable_on s
% Assm: TRUTH: T
% Goal: !f s h. f integrable_on s /\ linear h ==> integral s (h o f) = h (integral s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: !f y s h. (f has_integral y) s /\ linear h ==> (h o f has_integral h y) s
% Assm: !f i k1 k2. (f has_integral k1) i /\ (f has_integral k2) i ==> k1 = k2
% Assm: !f h s. f integrable_on s /\ linear h ==> h o f integrable_on s
% Assm: T
% Goal: !f s h. f integrable_on s /\ linear h ==> integral s (h o f) = h (integral s f)
%  TYPES
thf(tp, type, p : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealm > cartrealp) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealm > cartrealp) > cartrealp > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cintegral0, type, integral0 : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(co, type, o : ((cartrealn > cartrealp) > (cartrealm > cartrealn) > cartrealm > cartrealp)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealp) > cartrealp)).
thf(clinear, type, linear : ((cartrealn > cartrealp) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealp),G:(a > cartrealp)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ F @ S) <=> (hasu_integral @ F @ (integral0 @ S @ F) @ S))).
thf(aHASu_INTEGRALu_LINEAR, axiom, ![F:(cartrealm > cartrealn),Y:cartrealn,S:(cartrealm > $o),H:(cartrealn > cartrealp)]:(((hasu_integral @ F @ Y @ S) & (linear @ H)) => (hasu_integral0 @ (o @ H @ F) @ (H @ Y) @ S))).
thf(aHASu_INTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealp),I:(cartrealm > $o),K1:cartrealp,K2:cartrealp]:(((hasu_integral0 @ F @ K1 @ I) & (hasu_integral0 @ F @ K2 @ I)) => (K1 = K2))).
thf(aINTEGRABLEu_LINEAR, axiom, ![F:(cartrealm > cartrealn),H:(cartrealn > cartrealp),S:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (linear @ H)) => (integrableu_on0 @ (o @ H @ F) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),H:(cartrealn > cartrealp)]:(((integrableu_on @ F @ S) & (linear @ H)) => ((integral @ S @ (o @ H @ F)) = (H @ (integral0 @ S @ F))))).
