%   ORIGINAL: INTEGRAL_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_VSUM: !f s t. FINITE t /\ (!a. a IN t ==> (f a has_integral i a) s) ==> ((\x. vsum t (\a. f a x)) has_integral vsum t i) s
% Assm: INTEGRABLE_INTEGRAL: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: TRUTH: T
% Goal: !f s t. FINITE t /\ (!a. a IN t ==> f a integrable_on s) ==> integral s (\x. vsum t (\a. f a x)) = vsum t (\a. integral s (f a))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !i f s t. FINITE t /\ (!a. a IN t ==> (f a has_integral i a) s) ==> ((\x. vsum t (\a. f a x)) has_integral vsum t i) s
% Assm: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: T
% Goal: !f s t. FINITE t /\ (!a. a IN t ==> f a integrable_on s) ==> integral s (\x. vsum t (\a. f a x)) = vsum t (\a. integral s (f a))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cvsum, type, vsum : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_VSUM, axiom, ![I:(a > cartrealn),F:(a > cartrealm > cartrealn),S:(cartrealm > $o),T:(a > $o)]:(((finite @ T) & ![A:a]:((in @ A @ T) => (hasu_integral @ (F @ A) @ (I @ A) @ S))) => (hasu_integral @ ^[X:cartrealm]:(vsum @ T @ ^[A:a]:(F @ A @ X)) @ (vsum @ T @ I) @ S))).
thf(aINTEGRABLEu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) => (hasu_integral @ F @ (integral @ I @ F) @ I))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn),Y:cartrealn,K:(cartrealm > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > cartrealm > cartrealn),S:(cartrealm > $o),T:(a > $o)]:(((finite @ T) & ![A:a]:((in @ A @ T) => (integrableu_on @ (F @ A) @ S))) => ((integral @ S @ ^[X:cartrealm]:(vsum @ T @ ^[A:a]:(F @ A @ X))) = (vsum @ T @ ^[A:a]:(integral @ S @ (F @ A)))))).
