%   ORIGINAL: INTEGRABLE_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_INTEGRAL_VSUM: !f s t. FINITE t /\ (!a. a IN t ==> (f a has_integral i a) s) ==> ((\x. vsum t (\a. f a x)) has_integral vsum t i) s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f s t. FINITE t /\ (!a. a IN t ==> f a integrable_on s) ==> (\x. vsum t (\a. f a x)) integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !i f s t. FINITE t /\ (!a. a IN t ==> (f a has_integral i a) s) ==> ((\x. vsum t (\a. f a x)) has_integral vsum t i) s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f s t. FINITE t /\ (!a. a IN t ==> f a integrable_on s) ==> (\x. vsum t (\a. f a x)) integrable_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cvsum, type, vsum : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_INTEGRALu_VSUM, axiom, ![I:(a > cartrealn),F:(a > cartrealm > cartrealn),S:(cartrealm > $o),T:(a > $o)]:(((finite @ T) & ![A:a]:((in @ A @ T) => (hasu_integral @ (F @ A) @ (I @ A) @ S))) => (hasu_integral @ ^[X:cartrealm]:(vsum @ T @ ^[A:a]:(F @ A @ X)) @ (vsum @ T @ I) @ S))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn]:(hasu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(a > cartrealm > cartrealn),S:(cartrealm > $o),T:(a > $o)]:(((finite @ T) & ![A:a]:((in @ A @ T) => (integrableu_on @ (F @ A) @ S))) => (integrableu_on @ ^[X:cartrealm]:(vsum @ T @ ^[A:a]:(F @ A @ X)) @ S))).
