%   ORIGINAL: INTEGRABLE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_INTEGRAL_EQ: !f g k s. (!x. x IN s ==> f x = g x) /\ (f has_integral k) s ==> (g has_integral k) s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f g s. (!x. x IN s ==> f x = g x) /\ f integrable_on s ==> g integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g k s. (!x. x IN s ==> f x = g x) /\ (f has_integral k) s ==> (g has_integral k) s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f g s. (!x. x IN s ==> f x = g x) /\ f integrable_on s ==> g integrable_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_INTEGRALu_EQ, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),K:cartrealn,S:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => ((F @ X) = (G @ X))) & (hasu_integral @ F @ K @ S)) => (hasu_integral @ G @ K @ S))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn]:(hasu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => ((F @ X) = (G @ X))) & (integrableu_on @ F @ S)) => (integrableu_on @ G @ S))).
