%   ORIGINAL: INTERVAL_SPLIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERVAL_conjunct1: !x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_MIN: !x y z. z <= min x y <=> z <= x /\ z <= y
% Assm: REAL_MAX_LE: !x y z. max x y <= z <=> x <= z /\ y <= z
% Assm: TRUTH: T
% Assm: real_ge: !y x. x >= y <=> y <= x
% Goal: !a b c k. 1 <= k /\ k <= dimindex (:N) ==> interval [a,b] INTER {x | x$k <= c} = interval [a,(lambda i. if i = k then min (b$k) c else b$i)] /\ interval [a,b] INTER {x | x$k >= c} = interval [(lambda i. if i = k then max (a$k) c else a$i),b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !a b x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: !x y z. z <= min x y <=> z <= x /\ z <= y
% Assm: !x y z. max x y <= z <=> x <= z /\ y <= z
% Assm: T
% Assm: !y x. x >= y <=> y <= x
% Goal: !a b c k. 1 <= k /\ k <= dimindex (:N) ==> interval [a,b] INTER {x | x$k <= c} = interval [a,(lambda i. if i = k then min (b$k) c else b$i)] /\ interval [a,b] INTER {x | x$k >= c} = interval [(lambda i. if i = k then max (a$k) c else a$i),b]
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (n > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_INTERVALu_conjunct1, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_le @ Z @ (realu_min @ X @ Y)) <=> ((realu_le @ Z @ X) & (realu_le @ Z @ Y)))).
thf(aREALu_MAXu_LE, axiom, ![X:real,Y:real,Z:real]:((realu_le @ (realu_max @ X @ Y) @ Z) <=> ((realu_le @ X @ Z) & (realu_le @ Y @ Z)))).
thf(aTRUTH, axiom, $true).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:real,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => (((inter @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (gspec @ ^[GENR_PVARR_1617:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1617 @ (realu_le @ (d_ @ X @ K) @ C) @ X))) = (closedu_interval @ (cons @ (c_ @ A @ (lambda0 @ ^[I:num]:(cond @ (I = K) @ (realu_min @ (d_ @ B @ K) @ C) @ (d_ @ B @ I)))) @ nil))) & ((inter @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (gspec @ ^[GENR_PVARR_1618:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1618 @ (realu_ge @ (d_ @ X @ K) @ C) @ X))) = (closedu_interval @ (cons @ (c_ @ (lambda0 @ ^[I:num]:(cond @ (I = K) @ (realu_max @ (d_ @ A @ K) @ C) @ (d_ @ A @ I))) @ B) @ nil)))))).
