%   ORIGINAL: MONOIDAL_LIFTED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_OPTION: (!x. P x) <=> P NONE /\ (!x. P (SOME x))
% Assm: I_THM: !x. I x = x
% Assm: NEUTRAL_LIFTED: !op. monoidal op ==> neutral (lifted op) = SOME (neutral op)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: lifted_conjunct0: lifted op NONE _ = NONE
% Assm: lifted_conjunct1: lifted op _ NONE = NONE
% Assm: lifted_conjunct2: lifted op (SOME x) (SOME y) = SOME (op x y)
% Assm: monoidal: !op. monoidal op <=> (!x y. op x y = op y x) /\ (!x y z. op x (op y z) = op (op x y) z) /\ (!x. op (neutral op) x = x)
% Assm: option_RECURSION: !NONE' SOME'. ?fn. fn NONE = NONE' /\ (!a. fn (SOME a) = SOME' a)
% Goal: !op. monoidal op ==> monoidal (lifted op)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (!x. P x) <=> P NONE /\ (!x. P (SOME x))
% Assm: !x. I x = x
% Assm: !op. monoidal op ==> neutral (lifted op) = SOME (neutral op)
% Assm: ~F <=> T
% Assm: T
% Assm: !op _. lifted op NONE _ = NONE
% Assm: !op _. lifted op _ NONE = NONE
% Assm: !op x y. lifted op (SOME x) (SOME y) = SOME (op x y)
% Assm: !op. monoidal op <=> (!x y. op x y = op y x) /\ (!x y z. op x (op y z) = op (op x y) z) /\ (!x. op (neutral op) x = x)
% Assm: !op. monoidal op <=> (!x y. op x y = op y x) /\ (!x y z. op x (op y z) = op (op x y) z) /\ (!x. op (neutral op) x = x)
% Assm: !NONE' SOME'. ?fn. fn NONE = NONE' /\ (!a. fn (SOME a) = SOME' a)
% Goal: !op. monoidal op ==> monoidal (lifted op)
%  TYPES
thf(toptionq444225, type, optionq444225 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq444140, type, q444140 : $tType).
thf(tz, type, z : $tType).
thf(toptionq444140, type, optionq444140 : $tType).
thf(toptiona, type, optiona : $tType).
thf(tq444225, type, q444225 : $tType).
%  CONSTS
thf(csome1, type, some1 : (a > optiona)).
thf(csome0, type, some0 : (q444225 > optionq444225)).
thf(cneutral, type, neutral : ((optionq444225 > optionq444225 > optionq444225) > optionq444225)).
thf(cnone1, type, none1 : optiona).
thf(clifted, type, lifted : ((q444225 > q444225 > q444225) > optionq444225 > optionq444225 > optionq444225)).
thf(csome, type, some : (q444140 > optionq444140)).
thf(cmonoidal0, type, monoidal0 : ((optionq444225 > optionq444225 > optionq444225) > $o)).
thf(cmonoidal, type, monoidal : ((q444225 > q444225 > q444225) > $o)).
thf(cnone, type, none : optionq444140).
thf(cnone0, type, none0 : optionq444225).
thf(ci, type, i : (a > a)).
thf(cneutral0, type, neutral0 : ((q444225 > q444225 > q444225) > q444225)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_OPTION, axiom, ![P:(optionq444140 > $o)]:(![X:optionq444140]:(P @ X) <=> ((P @ none) & ![X:q444140]:(P @ (some @ X))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNEUTRALu_LIFTED, axiom, ![OP:(q444225 > q444225 > q444225)]:((monoidal @ OP) => ((neutral @ (lifted @ OP)) = (some0 @ (neutral0 @ OP))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aliftedu_conjunct0, axiom, ![OP:(q444225 > q444225 > q444225),U_:optionq444225]:((lifted @ OP @ none0 @ U_) = none0)).
thf(aliftedu_conjunct1, axiom, ![OP:(q444225 > q444225 > q444225),U_:optionq444225]:((lifted @ OP @ U_ @ none0) = none0)).
thf(aliftedu_conjunct2, axiom, ![OP:(q444225 > q444225 > q444225),X:q444225,Y:q444225]:((lifted @ OP @ (some0 @ X) @ (some0 @ Y)) = (some0 @ (OP @ X @ Y)))).
thf(amonoidalu_monomorphized1, axiom, ![OP:(optionq444225 > optionq444225 > optionq444225)]:((monoidal0 @ OP) <=> (![X:optionq444225,Y:optionq444225]:((OP @ X @ Y) = (OP @ Y @ X)) & ![X:optionq444225,Y:optionq444225,Z:optionq444225]:((OP @ X @ (OP @ Y @ Z)) = (OP @ (OP @ X @ Y) @ Z)) & ![X:optionq444225]:((OP @ (neutral @ OP) @ X) = X)))).
thf(amonoidalu_monomorphized0, axiom, ![OP:(q444225 > q444225 > q444225)]:((monoidal @ OP) <=> (![X:q444225,Y:q444225]:((OP @ X @ Y) = (OP @ Y @ X)) & ![X:q444225,Y:q444225,Z:q444225]:((OP @ X @ (OP @ Y @ Z)) = (OP @ (OP @ X @ Y) @ Z)) & ![X:q444225]:((OP @ (neutral0 @ OP) @ X) = X)))).
thf(aoptionu_RECURSION, axiom, ![NONEI_:z,SOMEI_:(a > z)]:?[FN:(optiona > z)]:(((FN @ none1) = NONEI_) & ![A:a]:((FN @ (some1 @ A)) = (SOMEI_ @ A)))).
thf(conjecture, conjecture, ![OP:(q444225 > q444225 > q444225)]:((monoidal @ OP) => (monoidal0 @ (lifted @ OP)))).
