%   ORIGINAL: ITERATE_SOME
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: MONOIDAL_LIFTED: !op. monoidal op ==> monoidal (lifted op)
% Assm: NEUTRAL_LIFTED: !op. monoidal op ==> neutral (lifted op) = SOME (neutral op)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: lifted_conjunct2: lifted op (SOME x) (SOME y) = SOME (op x y)
% Goal: !op. monoidal op ==> (!f s. FINITE s ==> iterate (lifted op) s (\x. SOME (f x)) = SOME (iterate op s f))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: !op. monoidal op ==> monoidal (lifted op)
% Assm: !op. monoidal op ==> neutral (lifted op) = SOME (neutral op)
% Assm: ~F <=> T
% Assm: T
% Assm: !op x y. lifted op (SOME x) (SOME y) = SOME (op x y)
% Goal: !op. monoidal op ==> (!f s. FINITE s ==> iterate (lifted op) s (\x. SOME (f x)) = SOME (iterate op s f))
%  TYPES
thf(ta, type, a : $tType).
thf(toptionq444268, type, optionq444268 : $tType).
thf(tq444267, type, q444267 : $tType).
thf(tq444268, type, q444268 : $tType).
%  CONSTS
thf(cin, type, in : (q444267 > (q444267 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > q444268 > q444268 > q444268)).
thf(cinsert, type, insert : (q444267 > (q444267 > $o) > q444267 > $o)).
thf(ccond, type, cond : ($o > optionq444268 > optionq444268 > optionq444268)).
thf(citerate0, type, iterate0 : ((q444268 > q444268 > q444268) > (q444267 > $o) > (q444267 > q444268) > q444268)).
thf(clifted, type, lifted : ((q444268 > q444268 > q444268) > optionq444268 > optionq444268 > optionq444268)).
thf(citerate, type, iterate : ((optionq444268 > optionq444268 > optionq444268) > (q444267 > $o) > (q444267 > optionq444268) > optionq444268)).
thf(cmonoidal0, type, monoidal0 : ((optionq444268 > optionq444268 > optionq444268) > $o)).
thf(cfinite, type, finite : ((q444267 > $o) > $o)).
thf(cmonoidal, type, monoidal : ((q444268 > q444268 > q444268) > $o)).
thf(cneutral0, type, neutral0 : ((optionq444268 > optionq444268 > optionq444268) > optionq444268)).
thf(csome, type, some : (q444268 > optionq444268)).
thf(cneutral, type, neutral : ((q444268 > q444268 > q444268) > q444268)).
thf(cempty, type, empty : (q444267 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > optionq444268),G:(a > optionq444268)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:optionq444268,T2:optionq444268]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q444267 > $o) > $o)]:(((P @ empty) & ![X:q444267,S:(q444267 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q444267 > $o)]:((finite @ S) => (P @ S)))).
thf(aITERATEu_CLAUSES, axiom, ![OP:(q444268 > q444268 > q444268)]:((monoidal @ OP) => (![F:(q444267 > q444268)]:((iterate0 @ OP @ empty @ F) = (neutral @ OP)) & ![F:(q444267 > q444268),X:q444267,S:(q444267 > $o)]:((finite @ S) => ((iterate0 @ OP @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (iterate0 @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate0 @ OP @ S @ F)))))))).
thf(aMONOIDALu_LIFTED, axiom, ![OP:(q444268 > q444268 > q444268)]:((monoidal @ OP) => (monoidal0 @ (lifted @ OP)))).
thf(aNEUTRALu_LIFTED, axiom, ![OP:(q444268 > q444268 > q444268)]:((monoidal @ OP) => ((neutral0 @ (lifted @ OP)) = (some @ (neutral @ OP))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aliftedu_conjunct2, axiom, ![OP:(q444268 > q444268 > q444268),X:q444268,Y:q444268]:((lifted @ OP @ (some @ X) @ (some @ Y)) = (some @ (OP @ X @ Y)))).
thf(conjecture, conjecture, ![OP:(q444268 > q444268 > q444268)]:((monoidal @ OP) => ![F:(q444267 > q444268),S:(q444267 > $o)]:((finite @ S) => ((iterate @ (lifted @ OP) @ S @ ^[X:q444267]:(some @ (F @ X))) = (some @ (iterate0 @ OP @ S @ F)))))).
