%   ORIGINAL: DIVISION_POINTS_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: FINITE_PRODUCT_DEPENDENT: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct4: !p x. x IN (\y. p y) <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: division_of: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Assm: division_points: !k d. division_points k d = {j,x | 1 <= j /\ j <= dimindex (:N) /\ interval_lowerbound k$j < x /\ x < interval_upperbound k$j /\ (?i. i IN d /\ (interval_lowerbound i$j = x \/ interval_upperbound i$j = x))}
% Goal: !d i. d division_of i ==> FINITE (division_points i d)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !m n. FINITE (m..n)
% Assm: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN (\y. p y) <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Assm: !k d. division_points k d = {j,x | 1 <= j /\ j <= dimindex (:N) /\ interval_lowerbound k$j < x /\ x < interval_upperbound k$j /\ (?i. i IN d /\ (interval_lowerbound i$j = x \/ interval_upperbound i$j = x))}
% Goal: !d i. d division_of i ==> FINITE (division_points i d)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodnumreal, type, prodnumreal : $tType).
thf(tq43925, type, q43925 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (n > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(csubset1, type, subset1 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin4, type, in4 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin3, type, in3 : (num > (num > $o) > $o)).
thf(cin2, type, in2 : (b > (b > $o) > $o)).
thf(cin1, type, in1 : (q43925 > (q43925 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((prodnumreal > $o) > (prodnumreal > $o) > $o)).
thf(cgspec, type, gspec : ((prodnumreal > $o) > prodnumreal > $o)).
thf(cin, type, in : (prodnumreal > (prodnumreal > $o) > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(ccu_0, type, c_0 : (num > real > prodnumreal)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(cunion, type, union : ((prodnumreal > $o) > (prodnumreal > $o) > prodnumreal > $o)).
thf(csetspec, type, setspec : (prodnumreal > $o > prodnumreal > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage, type, image : ((prodnumreal > prodnumreal) > (prodnumreal > $o) > prodnumreal > $o)).
thf(cdivisionuu_points, type, divisionu_points : ((cartrealn > $o) > ((cartrealn > $o) > $o) > prodnumreal > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite1, type, finite1 : (((cartrealn > $o) > $o) > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((prodnumreal > $o) > $o)).
thf(cintervaluu_upperbound, type, intervalu_upperbound : ((cartrealn > $o) > cartrealn)).
thf(cintervaluu_lowerbound, type, intervalu_lowerbound : ((cartrealn > $o) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGE, axiom, ![F:(prodnumreal > prodnumreal),S:(prodnumreal > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aFINITEu_PRODUCTu_DEPENDENT, axiom, ![F:(prodnumreal > prodnumreal > prodnumreal),S:(prodnumreal > $o),T:(prodnumreal > prodnumreal > $o)]:(((finite @ S) & ![X:prodnumreal]:((in @ X @ S) => (finite @ (T @ X)))) => (finite @ (gspec @ ^[GENR_PVARR_83:prodnumreal]:?[X:prodnumreal,Y:prodnumreal]:(setspec @ GENR_PVARR_83 @ ((in @ X @ S) & (in @ Y @ (T @ X))) @ (F @ X @ Y)))))).
thf(aFINITEu_SUBSET, axiom, ![S:(prodnumreal > $o),T:(prodnumreal > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFINITEu_UNION, axiom, ![S:(prodnumreal > $o),T:(prodnumreal > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct4, axiom, ![P:(q43925 > $o),X:q43925]:((in1 @ X @ ^[Y:q43925]:(P @ Y)) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in2 @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in3 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (union0 @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(adivisionu_of, axiom, ![S:((cartrealn > $o) > $o),I:(cartrealn > $o)]:((divisionu_of @ S @ I) <=> ((finite1 @ S) & ![K:(cartrealn > $o)]:((in4 @ K @ S) => ((subset1 @ K @ I) & ~ ((K = empty)) & ?[A:cartrealn,B:cartrealn]:(K = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) & ![K1:(cartrealn > $o),K2:(cartrealn > $o)]:(((in4 @ K1 @ S) & (in4 @ K2 @ S) & ~ ((K1 = K2))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty)) & ((unions @ S) = I)))).
thf(adivisionu_points, axiom, ![K:(cartrealn > $o),D:((cartrealn > $o) > $o)]:((divisionu_points @ K @ D) = (gspec @ ^[GENR_PVARR_1683:prodnumreal]:?[J:num,X:real]:(setspec @ GENR_PVARR_1683 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ)) & (realu_lt @ (d_ @ (intervalu_lowerbound @ K) @ J) @ X) & (realu_lt @ X @ (d_ @ (intervalu_upperbound @ K) @ J)) & ?[I:(cartrealn > $o)]:((in4 @ I @ D) & (((d_ @ (intervalu_lowerbound @ I) @ J) = X) | ((d_ @ (intervalu_upperbound @ I) @ J) = X)))) @ (c_0 @ J @ X))))).
thf(conjecture, conjecture, ![D:((cartrealn > $o) > $o),I:(cartrealn > $o)]:((divisionu_of @ D @ I) => (finite @ (divisionu_points @ I @ D)))).
