%   ORIGINAL: ADDITIVE_CONTENT_TAGGED_DIVISION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: OPERATIVE_CONTENT: operative (+) content
% Assm: OPERATIVE_TAGGED_DIVISION: !op d a b f. monoidal op /\ operative op f /\ d tagged_division_of interval [a,b] ==> iterate op d (\(x,l). f l) = f (interval [a,b])
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !d a b. d tagged_division_of interval [a,b] ==> sum d (\(x,l). content l) = content (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: monoidal (+)
% Assm: operative (+) content
% Assm: !op d a b f. monoidal op /\ operative op f /\ d tagged_division_of interval [a,b] ==> iterate op d (\(x,l). f l) = f (interval [a,b])
% Assm: T
% Assm: sum = iterate (+)
% Goal: !d a b. d tagged_division_of interval [a,b] ==> sum d (\(x,l). content l) = content (interval [a,b])
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealnfuncartrealnbool, type, prodcartrealnfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(coperative, type, operative : ((real > real > real) > ((cartrealn > $o) > real) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(ccontent, type, content : ((cartrealn > $o) > real)).
thf(cgeq, type, geq : (real > real > $o)).
thf(cgabs, type, gabs : (((prodcartrealnfuncartrealnbool > real) > $o) > prodcartrealnfuncartrealnbool > real)).
thf(csum, type, sum : ((prodcartrealnfuncartrealnbool > $o) > (prodcartrealnfuncartrealnbool > real) > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ctaggeduu_divisionuu_of, type, taggedu_divisionu_of : ((prodcartrealnfuncartrealnbool > $o) > (cartrealn > $o) > $o)).
thf(citerate, type, iterate : ((real > real > real) > (prodcartrealnfuncartrealnbool > $o) > (prodcartrealnfuncartrealnbool > real) > real)).
thf(ccu_0, type, c_0 : (cartrealn > (cartrealn > $o) > prodcartrealnfuncartrealnbool)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aOPERATIVEu_CONTENT, axiom, (operative @ realu_add @ content)).
thf(aOPERATIVEu_TAGGEDu_DIVISION, axiom, ![OP:(real > real > real),D:(prodcartrealnfuncartrealnbool > $o),A:cartrealn,B:cartrealn,F:((cartrealn > $o) > real)]:(((monoidal @ OP) & (operative @ OP @ F) & (taggedu_divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ((iterate @ OP @ D @ (gabs @ ^[F0:(prodcartrealnfuncartrealnbool > real)]:![X:cartrealn,L:(cartrealn > $o)]:(geq @ (F0 @ (c_0 @ X @ L)) @ (F @ L)))) = (F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![D:(prodcartrealnfuncartrealnbool > $o),A:cartrealn,B:cartrealn]:((taggedu_divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => ((sum @ D @ (gabs @ ^[F:(prodcartrealnfuncartrealnbool > real)]:![X:cartrealn,L:(cartrealn > $o)]:(geq @ (F @ (c_0 @ X @ L)) @ (content @ L)))) = (content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
