%   ORIGINAL: HAS_INTEGRAL_DROP_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_INTEGRAL_COMPONENT_LE: !f g s i j k. 1 <= k /\ k <= dimindex (:N) /\ (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> f x$k <= g x$k) ==> i$k <= j$k
% Assm: I_THM: !x. I x = x
% Assm: LE_REFL: !n. n <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Goal: !f g s i j. (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> drop (f x) <= drop (g x)) ==> drop i <= drop j
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: dimindex (:1) = 1
% Assm: !t. (\x. t x) = t
% Assm: !f g s i j k. 1 <= k /\ k <= dimindex (:1) /\ (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> f x$k <= g x$k) ==> i$k <= j$k
% Assm: !x. I x = x
% Assm: !n. n <= n
% Assm: ~F <=> T
% Assm: T
% Assm: !x. drop x = x$1
% Goal: !f g s i j. (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> drop (f x) <= drop (g x)) ==> drop i <= drop j
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn1) > cartrealn1 > (cartrealm > $o) > $o)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_INTEGRALu_COMPONENTu_LE, axiom, ![F:(cartrealm > cartrealn1),G:(cartrealm > cartrealn1),S:(cartrealm > $o),I:cartrealn1,J:cartrealn1,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (hasu_integral @ F @ I @ S) & (hasu_integral @ G @ J @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (d_ @ (F @ X) @ K) @ (d_ @ (G @ X) @ K)))) => (realu_le @ (d_ @ I @ K) @ (d_ @ J @ K)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn1),G:(cartrealm > cartrealn1),S:(cartrealm > $o),I:cartrealn1,J:cartrealn1]:(((hasu_integral @ F @ I @ S) & (hasu_integral @ G @ J @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (drop @ (F @ X)) @ (drop @ (G @ X))))) => (realu_le @ (drop @ I) @ (drop @ J)))).
