%   ORIGINAL: INTEGRAL_DROP_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_INTEGRAL_DROP_LE: !f g s i j. (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> drop (f x) <= drop (g x)) ==> drop i <= drop j
% Assm: INTEGRABLE_INTEGRAL: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> drop (f x) <= drop (g x)) ==> drop (integral s f) <= drop (integral s g)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g s i j. (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> drop (f x) <= drop (g x)) ==> drop i <= drop j
% Assm: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> drop (f x) <= drop (g x)) ==> drop (integral s f) <= drop (integral s g)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn1) > cartrealn1 > (cartrealm > $o) > $o)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn1) > cartrealn1)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_INTEGRALu_DROPu_LE, axiom, ![F:(cartrealm > cartrealn1),G:(cartrealm > cartrealn1),S:(cartrealm > $o),I:cartrealn1,J:cartrealn1]:(((hasu_integral @ F @ I @ S) & (hasu_integral @ G @ J @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (drop @ (F @ X)) @ (drop @ (G @ X))))) => (realu_le @ (drop @ I) @ (drop @ J)))).
thf(aINTEGRABLEu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn1),I:(cartrealm > $o)]:((integrableu_on @ F @ I) => (hasu_integral @ F @ (integral @ I @ F) @ I))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn1),G:(cartrealm > cartrealn1),S:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (integrableu_on @ G @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (drop @ (F @ X)) @ (drop @ (G @ X))))) => (realu_le @ (drop @ (integral @ S @ F)) @ (drop @ (integral @ S @ G))))).
