%   ORIGINAL: HAS_INTEGRAL_COMPONENT_UBOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_COMPONENT_LE: !f g s i j k. 1 <= k /\ k <= dimindex (:N) /\ (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> f x$k <= g x$k) ==> i$k <= j$k
% Assm: HAS_INTEGRAL_CONST: !a b c. ((\x. c) has_integral content (interval [a,b]) % c) (interval [a,b])
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: TRUTH: T
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Goal: !f a b i k. (f has_integral i) (interval [a,b]) /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN interval [a,b] ==> f x$k <= B) ==> i$k <= B * content (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s i j k. 1 <= k /\ k <= dimindex (:N) /\ (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> f x$k <= g x$k) ==> i$k <= j$k
% Assm: !a b c. ((\x. c) has_integral content (interval [a,b]) % c) (interval [a,b])
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !n m. m * n = n * m
% Assm: T
% Assm: !c x i. (c % x)$i = c * x$i
% Goal: !B f a b i k. (f has_integral i) (interval [a,b]) /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN interval [a,b] ==> f x$k <= B) ==> i$k <= B * content (interval [a,b])
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cuniv, type, univ : (n > $o)).
thf(ccontent, type, content : ((cartrealm > $o) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_COMPONENTu_LE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),I:cartrealn,J:cartrealn,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (hasu_integral @ F @ I @ S) & (hasu_integral @ G @ J @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (d_ @ (F @ X) @ K) @ (d_ @ (G @ X) @ K)))) => (realu_le @ (d_ @ I @ K) @ (d_ @ J @ K)))).
thf(aHASu_INTEGRALu_CONST, axiom, ![A:cartrealm,B:cartrealm,C:cartrealn]:(hasu_integral @ ^[X:cartrealm]:C @ (r_ @ (content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) @ C) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealn,I:num]:((d_ @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(conjecture, conjecture, ![B:real,F:(cartrealm > cartrealn),A:cartrealm,B0:cartrealm,I:cartrealn,K:num]:(((hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil))) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealm]:((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil))) => (realu_le @ (d_ @ (F @ X) @ K) @ B))) => (realu_le @ (d_ @ I @ K) @ (realu_mul @ B @ (content @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil))))))).
