%   ORIGINAL: INTEGRAL_COMPONENT_LBOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_COMPONENT_LBOUND: !f a b i k. (f has_integral i) (interval [a,b]) /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN interval [a,b] ==> B <= f x$k) ==> B * content (interval [a,b]) <= i$k
% Assm: HAS_INTEGRAL_INTEGRAL: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: TRUTH: T
% Goal: !f a b k. f integrable_on interval [a,b] /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN interval [a,b] ==> B <= f x$k) ==> B * content (interval [a,b]) <= integral (interval [a,b]) f$k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !B f a b i k. (f has_integral i) (interval [a,b]) /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN interval [a,b] ==> B <= f x$k) ==> B * content (interval [a,b]) <= i$k
% Assm: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: T
% Goal: !B f a b k. f integrable_on interval [a,b] /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN interval [a,b] ==> B <= f x$k) ==> B * content (interval [a,b]) <= integral (interval [a,b]) f$k
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cuniv, type, univ : (n > $o)).
thf(ccontent, type, content : ((cartrealm > $o) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_COMPONENTu_LBOUND, axiom, ![B:real,F:(cartrealm > cartrealn),A:cartrealm,B0:cartrealm,I:cartrealn,K:num]:(((hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil))) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealm]:((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil))) => (realu_le @ B @ (d_ @ (F @ X) @ K)))) => (realu_le @ (realu_mul @ B @ (content @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil)))) @ (d_ @ I @ K)))).
thf(aHASu_INTEGRALu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ F @ S) <=> (hasu_integral @ F @ (integral @ S @ F) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:real,F:(cartrealm > cartrealn),A:cartrealm,B0:cartrealm,K:num]:(((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil))) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealm]:((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil))) => (realu_le @ B @ (d_ @ (F @ X) @ K)))) => (realu_le @ (realu_mul @ B @ (content @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil)))) @ (d_ @ (integral @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil)) @ F) @ K)))).
