%   ORIGINAL: VSUM_NONZERO_IMAGE_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ITERATE_NONZERO_IMAGE_LEMMA: !op s f g a. monoidal op /\ FINITE s /\ g a = neutral op /\ (!x y. x IN s /\ y IN s /\ f x = f y /\ ~(x = y) ==> g (f x) = neutral op) ==> iterate op {f x | x | x IN s /\ ~(f x = a)} g = iterate op s (g o f)
% Assm: MONOIDAL_VECTOR_ADD: monoidal (+)
% Assm: NEUTRAL_VECTOR_ADD: neutral (+) = vec 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: VSUM: !f s. FINITE s ==> vsum s f = iterate (+) s f
% Goal: !s f g a. FINITE s /\ g a = vec 0 /\ (!x y. x IN s /\ y IN s /\ f x = f y /\ ~(x = y) ==> g (f x) = vec 0) ==> vsum {f x | x | x IN s /\ ~(f x = a)} g = vsum s (g o f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !op s f g a. monoidal op /\ FINITE s /\ g a = neutral op /\ (!x y. x IN s /\ y IN s /\ f x = f y /\ ~(x = y) ==> g (f x) = neutral op) ==> iterate op {f x | x | x IN s /\ ~(f x = a)} g = iterate op s (g o f)
% Assm: monoidal (+)
% Assm: neutral (+) = vec 0
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !f s. FINITE s ==> vsum s f = iterate (+) s f
% Goal: !s f g a. FINITE s /\ g a = vec 0 /\ (!x y. x IN s /\ y IN s /\ f x = f y /\ ~(x = y) ==> g (f x) = vec 0) ==> vsum {f x | x | x IN s /\ ~(f x = a)} g = vsum s (g o f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgspec, type, gspec : ((b > $o) > b > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(citerate0, type, iterate0 : ((cartrealn > cartrealn > cartrealn) > (a > $o) > (a > cartrealn) > cartrealn)).
thf(citerate, type, iterate : ((cartrealn > cartrealn > cartrealn) > (b > $o) > (b > cartrealn) > cartrealn)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(cimage, type, image : ((a > a) > (a > $o) > a > $o)).
thf(co, type, o : ((b > cartrealn) > (a > b) > a > cartrealn)).
thf(cvsum0, type, vsum0 : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(csetspec, type, setspec : (b > $o > b > $o)).
thf(cvsum, type, vsum : ((b > $o) > (b > cartrealn) > cartrealn)).
thf(cmonoidal, type, monoidal : ((cartrealn > cartrealn > cartrealn) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cneutral, type, neutral : ((cartrealn > cartrealn > cartrealn) > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGE, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_IMAGE, axiom, ![Y:a,S:(a > $o),F:(a > a)]:((in @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aITERATEu_NONZEROu_IMAGEu_LEMMA, axiom, ![OP:(cartrealn > cartrealn > cartrealn),S:(a > $o),F:(a > b),G:(b > cartrealn),A:b]:(((monoidal @ OP) & (finite @ S) & ((G @ A) = (neutral @ OP)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y)) & ~ ((X = Y))) => ((G @ (F @ X)) = (neutral @ OP)))) => ((iterate @ OP @ (gspec @ ^[GENR_PVARR_1581:b]:?[X:a]:(setspec @ GENR_PVARR_1581 @ ((in @ X @ S) & ~ (((F @ X) = A))) @ (F @ X))) @ G) = (iterate0 @ OP @ S @ (o @ G @ F))))).
thf(aMONOIDALu_VECTORu_ADD, axiom, (monoidal @ vectoru_add)).
thf(aNEUTRALu_VECTORu_ADD, axiom, ((neutral @ vectoru_add) = (vec @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVSUM, axiom, ![F:(a > cartrealn),S:(a > $o)]:((finite @ S) => ((vsum0 @ S @ F) = (iterate0 @ vectoru_add @ S @ F)))).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > b),G:(b > cartrealn),A:b]:(((finite @ S) & ((G @ A) = (vec @ (numeral @ u_0))) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y)) & ~ ((X = Y))) => ((G @ (F @ X)) = (vec @ (numeral @ u_0))))) => ((vsum @ (gspec @ ^[GENR_PVARR_1721:b]:?[X:a]:(setspec @ GENR_PVARR_1721 @ ((in @ X @ S) & ~ (((F @ X) = A))) @ (F @ X))) @ G) = (vsum0 @ S @ (o @ G @ F))))).
