%   ORIGINAL: NEGLIGIBLE_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: HAS_INTEGRAL_ADD: !f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x + g x) has_integral k + l) s
% Assm: HAS_INTEGRAL_SPIKE_EQ: !f g s t y. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> ((f has_integral y) t <=> (g has_integral y) t)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ADD_LID: !x. vec 0 + x = x
% Assm: indicator: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: negligible: !s. negligible s <=> (!a b. (indicator s has_integral vec 0) (interval [a,b]))
% Goal: !s t. negligible s /\ negligible t ==> negligible (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !k l f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x + g x) has_integral k + l) s
% Assm: !f g s t y. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> ((f has_integral y) t <=> (g has_integral y) t)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: T
% Assm: !x. vec 0 + x = x
% Assm: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: !s. negligible s <=> (!a b. (indicator s has_integral vec 0) (interval [a,b]))
% Goal: !s t. negligible s /\ negligible t ==> negligible (s UNION t)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq97156, type, q97156 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq97156, type, cartrealq97156 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cvec0, type, vec0 : (num > cartrealn1)).
thf(cin1, type, in1 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cindicator0, type, indicator0 : ((cartrealn > $o) > cartrealn > cartrealn1)).
thf(chasuu_integral1, type, hasu_integral1 : ((cartrealn > cartrealn1) > cartrealn1 > (cartrealn > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cindicator, type, indicator : ((cartrealm > $o) > cartrealm > cartrealn1)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq97156 > cartrealq97156 > cartrealq97156)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn > cartrealn) > cartrealn > (cartrealn > $o) > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealq97156)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aHASu_INTEGRALu_ADD, axiom, ![K:cartrealn,L:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((hasu_integral @ F @ K @ S) & (hasu_integral @ G @ L @ S)) => (hasu_integral @ ^[X:cartrealm]:(vectoru_add @ (F @ X) @ (G @ X)) @ (vectoru_add @ K @ L) @ S))).
thf(aHASu_INTEGRALu_SPIKEu_EQ, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > $o),Y:cartrealn]:(((negligible @ S) & ![X:cartrealn]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X)))) => ((hasu_integral0 @ F @ Y @ T) <=> (hasu_integral0 @ G @ Y @ T)))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff0 @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_LID, axiom, ![X:cartrealq97156]:((vectoru_add0 @ (vec @ (numeral @ u_0)) @ X) = X)).
thf(aindicator, axiom, ![S:(cartrealm > $o)]:((indicator @ S) = ^[X:cartrealm]:(cond0 @ (in1 @ X @ S) @ (vec0 @ (numeral @ (bit1 @ u_0))) @ (vec0 @ (numeral @ u_0))))).
thf(anegligible, axiom, ![S:(cartrealn > $o)]:((negligible @ S) <=> ![A:cartrealn,B:cartrealn]:(hasu_integral1 @ (indicator0 @ S) @ (vec0 @ (numeral @ u_0)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((negligible @ S) & (negligible @ T)) => (negligible @ (union @ S @ T)))).
