%   ORIGINAL: INTEGRABLE_SPIKE_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_SPIKE_FINITE: !f g s t y. FINITE s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_integral y) t ==> (g has_integral y) t
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f g s. FINITE s /\ (!x. x IN t DIFF s ==> g x = f x) ==> f integrable_on t ==> g integrable_on t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s t y. FINITE s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_integral y) t ==> (g has_integral y) t
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !t f g s. FINITE s /\ (!x. x IN t DIFF s ==> g x = f x) ==> f integrable_on t ==> g integrable_on t
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cdiff, type, diff : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cfinite, type, finite : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_SPIKEu_FINITE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o),Y:cartrealn]:(((finite @ S) & ![X:cartrealm]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X))) & (hasu_integral @ F @ Y @ T)) => (hasu_integral @ G @ Y @ T))).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn]:(hasu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![T:(cartrealm > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((finite @ S) & ![X:cartrealm]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X)))) => ((integrableu_on @ F @ T) => (integrableu_on @ G @ T)))).
