%   ORIGINAL: HAS_INTEGRAL_SPIKE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HAS_INTEGRAL_SPIKE: !f g s t. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_integral y) t ==> (g has_integral y) t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: NEGLIGIBLE_FRONTIER_INTERVAL: !a b. negligible (interval [a,b] DIFF interval (a,b))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g a b y. (!x. x IN interval (a,b) ==> g x = f x) /\ (f has_integral y) (interval [a,b]) ==> (g has_integral y) (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !y f g s t. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_integral y) t ==> (g has_integral y) t
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !a b. negligible (interval [a,b] DIFF interval (a,b))
% Assm: ~F <=> T
% Assm: T
% Goal: !f g a b y. (!x. x IN interval (a,b) ==> g x = f x) /\ (f has_integral y) (interval [a,b]) ==> (g has_integral y) (interval [a,b])
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealmcartrealm > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cdiff, type, diff : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHASu_INTEGRALu_SPIKE, axiom, ![Y:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((negligible @ S) & ![X:cartrealm]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X))) & (hasu_integral @ F @ Y @ T)) => (hasu_integral @ G @ Y @ T))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aNEGLIGIBLEu_FRONTIERu_INTERVAL, axiom, ![A:cartrealm,B:cartrealm]:(negligible @ (diff @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (openu_interval @ (c_ @ A @ B))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,Y:cartrealn]:((![X:cartrealm]:((in @ X @ (openu_interval @ (c_ @ A @ B))) => ((G @ X) = (F @ X))) & (hasu_integral @ F @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (hasu_integral @ G @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
