%   ORIGINAL: HAS_INTEGRAL_SPIKE_INTERIOR_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_INTEGRAL_SPIKE_INTERIOR: !f g a b y. (!x. x IN interval (a,b) ==> g x = f x) /\ (f has_integral y) (interval [a,b]) ==> (g has_integral y) (interval [a,b])
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g a b y. (!x. x IN interval (a,b) ==> g x = f x) ==> ((f has_integral y) (interval [a,b]) <=> (g has_integral y) (interval [a,b]))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g a b y. (!x. x IN interval (a,b) ==> g x = f x) /\ (f has_integral y) (interval [a,b]) ==> (g has_integral y) (interval [a,b])
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: T
% Goal: !f g a b y. (!x. x IN interval (a,b) ==> g x = f x) ==> ((f has_integral y) (interval [a,b]) <=> (g has_integral y) (interval [a,b]))
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealmcartrealm > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ci0, type, i0 : ($o > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_INTEGRALu_SPIKEu_INTERIOR, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,Y:cartrealn]:((![X:cartrealm]:((in @ X @ (openu_interval @ (c_ @ A @ B))) => ((G @ X) = (F @ X))) & (hasu_integral @ F @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (hasu_integral @ G @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,Y:cartrealn]:(![X:cartrealm]:((in @ X @ (openu_interval @ (c_ @ A @ B))) => ((G @ X) = (F @ X))) => ((hasu_integral @ F @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> (hasu_integral @ G @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
