%   ORIGINAL: INTEGRABLE_SPIKE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_SPIKE_INTERIOR: !f g a b y. (!x. x IN interval (a,b) ==> g x = f x) /\ (f has_integral y) (interval [a,b]) ==> (g has_integral y) (interval [a,b])
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f g a b. (!x. x IN interval (a,b) ==> g x = f x) ==> f integrable_on interval [a,b] ==> g integrable_on interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g a b y. (!x. x IN interval (a,b) ==> g x = f x) /\ (f has_integral y) (interval [a,b]) ==> (g has_integral y) (interval [a,b])
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f g a b. (!x. x IN interval (a,b) ==> g x = f x) ==> f integrable_on interval [a,b] ==> g integrable_on interval [a,b]
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealmcartrealm > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_SPIKEu_INTERIOR, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,Y:cartrealn]:((![X:cartrealm]:((in @ X @ (openu_interval @ (c_ @ A @ B))) => ((G @ X) = (F @ X))) & (hasu_integral @ F @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (hasu_integral @ G @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn]:(hasu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),A:cartrealm,B:cartrealm]:(![X:cartrealm]:((in @ X @ (openu_interval @ (c_ @ A @ B))) => ((G @ X) = (F @ X))) => ((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (integrableu_on @ G @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
