%   ORIGINAL: ITERATE_AND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: I_THM: !x. I x = x
% Assm: MONOIDAL_AND: monoidal (/\)
% Assm: NEUTRAL_AND: neutral (/\) <=> T
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !p s. FINITE s ==> (iterate (/\) s p <=> (!x. x IN s ==> p x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !op. monoidal op ==> (!f. iterate op {} f <=> neutral op) /\ (!f x s. FINITE s ==> (iterate op (x INSERT s) f <=> (if x IN s then iterate op s f else op (f x) (iterate op s f))))
% Assm: !x. I x <=> x
% Assm: monoidal (/\)
% Assm: neutral (/\) <=> T
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !p s. FINITE s ==> (iterate (/\) s p <=> (!x. x IN s ==> p x))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq454002, type, q454002 : $tType).
%  CONSTS
thf(cin, type, in : (q454002 > (q454002 > $o) > $o)).
thf(csu_bu_, type, s_b_ : ($o > $o > $o)).
thf(cinsert, type, insert : (q454002 > (q454002 > $o) > q454002 > $o)).
thf(cempty, type, empty : (q454002 > $o)).
thf(ccond, type, cond : ($o > $o > $o > $o)).
thf(citerate, type, iterate : (($o > $o > $o) > (q454002 > $o) > (q454002 > $o) > $o)).
thf(ci, type, i : ($o > $o)).
thf(cneutral, type, neutral : (($o > $o > $o) > $o)).
thf(cmonoidal, type, monoidal : (($o > $o > $o) > $o)).
thf(cfinite, type, finite : ((q454002 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:$o,T2:$o]:(((cond @ $true @ T1 @ T2) <=> T1) & ((cond @ $false @ T1 @ T2) <=> T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q454002 > $o) > $o)]:(((P @ empty) & ![X:q454002,S:(q454002 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q454002 > $o)]:((finite @ S) => (P @ S)))).
thf(aIN, axiom, ![P:(q454002 > $o),X:q454002]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:q454002,Y:q454002,S:(q454002 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aITERATEu_CLAUSES, axiom, ![OP:($o > $o > $o)]:((monoidal @ OP) => (![F:(q454002 > $o)]:((iterate @ OP @ empty @ F) <=> (neutral @ OP)) & ![F:(q454002 > $o),X:q454002,S:(q454002 > $o)]:((finite @ S) => ((iterate @ OP @ (insert @ X @ S) @ F) <=> (cond @ (in @ X @ S) @ (iterate @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate @ OP @ S @ F)))))))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aMONOIDALu_AND, axiom, (monoidal @ s_b_)).
thf(aNEUTRALu_AND, axiom, ((neutral @ s_b_) <=> $true)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q454002]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(q454002 > $o),S:(q454002 > $o)]:((finite @ S) => ((iterate @ s_b_ @ S @ P) <=> ![X:q454002]:((in @ X @ S) => (P @ X))))).
