%   ORIGINAL: APPROXIMABLE_ON_DIVISION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIVISION_OF_FINITE: !s i. s division_of i ==> FINITE s
% Assm: ITERATE_AND: !p s. FINITE s ==> (iterate (/\) s p <=> (!x. x IN s ==> p x))
% Assm: MONOIDAL_AND: monoidal (/\)
% Assm: OPERATIVE_APPROXIMABLE: !f e. &0 <= e ==> operative (/\) (\i. ?g. (!x. x IN i ==> norm (f x - g x) <= e) /\ g integrable_on i)
% Assm: OPERATIVE_DIVISION: !op d a b f. monoidal op /\ operative op f /\ d division_of interval [a,b] ==> iterate op d f = f (interval [a,b])
% Assm: TRUTH: T
% Goal: !f d a b. &0 <= e /\ d division_of interval [a,b] /\ (!i. i IN d ==> (?g. (!x. x IN i ==> norm (f x - g x) <= e) /\ g integrable_on i)) ==> (?g. (!x. x IN interval [a,b] ==> norm (f x - g x) <= e) /\ g integrable_on interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s i. s division_of i ==> FINITE s
% Assm: !p s. FINITE s ==> (iterate (/\) s p <=> (!x. x IN s ==> p x))
% Assm: !p s. FINITE s ==> (iterate (/\) s p <=> (!x. x IN s ==> p x))
% Assm: monoidal (/\)
% Assm: !f e. &0 <= e ==> operative (/\) (\i. ?g. (!x. x IN i ==> norm (f x - g x) <= e) /\ g integrable_on i)
% Assm: !op d a b f. monoidal op /\ operative op f /\ d division_of interval [a,b] ==> iterate op d f = f (interval [a,b])
% Assm: T
% Goal: !e f d a b. &0 <= e /\ d division_of interval [a,b] /\ (!i. i IN d ==> (?g. (!x. x IN i ==> norm (f x - g x) <= e) /\ g integrable_on i)) ==> (?g. (!x. x IN interval [a,b] ==> norm (f x - g x) <= e) /\ g integrable_on interval [a,b])
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(coperative0, type, operative0 : ((a > a > a) > ((cartrealm > $o) > a) > $o)).
thf(coperative, type, operative : (($o > $o > $o) > ((cartrealm > $o) > $o) > $o)).
thf(csu_bu_, type, s_b_ : ($o > $o > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : ((cartrealm > $o) > ((cartrealm > $o) > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(citerate1, type, iterate1 : ((a > a > a) > ((cartrealm > $o) > $o) > ((cartrealm > $o) > a) > a)).
thf(citerate0, type, iterate0 : (($o > $o > $o) > (cartrealm > $o) > (cartrealm > $o) > $o)).
thf(citerate, type, iterate : (($o > $o > $o) > ((cartrealm > $o) > $o) > ((cartrealm > $o) > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmonoidal0, type, monoidal0 : ((a > a > a) > $o)).
thf(cmonoidal, type, monoidal : (($o > $o > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealm > $o) > $o)).
thf(cfinite, type, finite : (((cartrealm > $o) > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIVISIONu_OFu_FINITE, axiom, ![S:((cartrealm > $o) > $o),I:(cartrealm > $o)]:((divisionu_of @ S @ I) => (finite @ S))).
thf(aITERATEu_ANDu_monomorphized1, axiom, ![P:((cartrealm > $o) > $o),S:((cartrealm > $o) > $o)]:((finite @ S) => ((iterate @ s_b_ @ S @ P) <=> ![X:(cartrealm > $o)]:((in @ X @ S) => (P @ X))))).
thf(aITERATEu_ANDu_monomorphized0, axiom, ![P:(cartrealm > $o),S:(cartrealm > $o)]:((finite0 @ S) => ((iterate0 @ s_b_ @ S @ P) <=> ![X:cartrealm]:((in0 @ X @ S) => (P @ X))))).
thf(aMONOIDALu_AND, axiom, (monoidal @ s_b_)).
thf(aOPERATIVEu_APPROXIMABLE, axiom, ![F:(cartrealm > cartrealn),E:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (operative @ s_b_ @ ^[I:(cartrealm > $o)]:?[G:(cartrealm > cartrealn)]:(![X:cartrealm]:((in0 @ X @ I) => (realu_le @ (vectoru_norm @ (vectoru_sub @ (F @ X) @ (G @ X))) @ E)) & (integrableu_on @ G @ I))))).
thf(aOPERATIVEu_DIVISION, axiom, ![OP:(a > a > a),D:((cartrealm > $o) > $o),A:cartrealm,B:cartrealm,F:((cartrealm > $o) > a)]:(((monoidal0 @ OP) & (operative0 @ OP @ F) & (divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ((iterate1 @ OP @ D @ F) = (F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![E:real,F:(cartrealm > cartrealn),D:((cartrealm > $o) > $o),A:cartrealm,B:cartrealm]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![I:(cartrealm > $o)]:((in @ I @ D) => ?[G:(cartrealm > cartrealn)]:(![X:cartrealm]:((in0 @ X @ I) => (realu_le @ (vectoru_norm @ (vectoru_sub @ (F @ X) @ (G @ X))) @ E)) & (integrableu_on @ G @ I)))) => ?[G:(cartrealm > cartrealn)]:(![X:cartrealm]:((in0 @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (realu_le @ (vectoru_norm @ (vectoru_sub @ (F @ X) @ (G @ X))) @ E)) & (integrableu_on @ G @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
