%   ORIGINAL: GAUGE_MODIFY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_ELIM_THM_conjunct4: !p x. x IN (\y. p y) <=> p x
% Assm: TRUTH: T
% Assm: gauge: !d. gauge d <=> (!x. x IN d x /\ open (d x))
% Goal: !f. (!s. open s ==> open {x | f x IN s}) ==> (!d. gauge d ==> gauge (\x y. d (f x) (f y)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN (\y. p y) <=> p x
% Assm: T
% Assm: !d. gauge d <=> (!x. x IN d x /\ open (d x))
% Goal: !f. (!s. open s ==> open {x | f x IN s}) ==> (!d. gauge d ==> gauge (\x y. d (f x) (f y)))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(cgauge0, type, gauge0 : ((cartrealm > cartrealm > $o) > $o)).
thf(cgauge, type, gauge : ((cartrealn > cartrealn > $o) > $o)).
thf(copen0, type, open0 : ((cartrealm > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec0 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct4, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ ^[Y:cartrealn]:(P @ Y)) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(agauge, axiom, ![D:(cartrealn > cartrealn > $o)]:((gauge @ D) <=> ![X:cartrealn]:((in @ X @ (D @ X)) & (open @ (D @ X))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:(![S:(cartrealn > $o)]:((open @ S) => (open0 @ (gspec @ ^[GENR_PVARR_1753:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_1753 @ (in @ (F @ X) @ S) @ X)))) => ![D:(cartrealn > cartrealn > $o)]:((gauge @ D) => (gauge0 @ ^[X:cartrealm,Y:cartrealm]:(D @ (F @ X) @ (F @ Y)))))).
