%   ORIGINAL: INTEGRAL_COMBINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_COMBINE: !f i j a b c. drop a <= drop c /\ drop c <= drop b /\ (f has_integral i) (interval [a,c]) /\ (f has_integral j) (interval [c,b]) ==> (f has_integral i + j) (interval [a,b])
% Assm: INTEGRABLE_INTEGRAL: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: INTEGRABLE_SUBINTERVAL: !f a b c d. f integrable_on interval [a,b] /\ interval [c,d] SUBSET interval [a,b] ==> f integrable_on interval [c,d]
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: SUBSET_INTERVAL_1: !a b c d. (interval [a,b] SUBSET interval [c,d] <=> drop b < drop a \/ drop c <= drop a /\ drop a <= drop b /\ drop b <= drop d) /\ (interval [a,b] SUBSET interval (c,d) <=> drop b < drop a \/ drop c < drop a /\ drop a <= drop b /\ drop b < drop d) /\ (interval (a,b) SUBSET interval [c,d] <=> drop b <= drop a \/ drop c <= drop a /\ drop a < drop b /\ drop b <= drop d) /\ (interval (a,b) SUBSET interval (c,d) <=> drop b <= drop a \/ drop c <= drop a /\ drop a < drop b /\ drop b <= drop d)
% Assm: TRUTH: T
% Goal: !f a b c. drop a <= drop c /\ drop c <= drop b /\ f integrable_on interval [a,b] ==> integral (interval [a,c]) f + integral (interval [c,b]) f = integral (interval [a,b]) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f i j a b c. drop a <= drop c /\ drop c <= drop b /\ (f has_integral i) (interval [a,c]) /\ (f has_integral j) (interval [c,b]) ==> (f has_integral i + j) (interval [a,b])
% Assm: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: !f a b c d. f integrable_on interval [a,b] /\ interval [c,d] SUBSET interval [a,b] ==> f integrable_on interval [c,d]
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: !x. x <= x
% Assm: !a b c d. (interval [a,b] SUBSET interval [c,d] <=> drop b < drop a \/ drop c <= drop a /\ drop a <= drop b /\ drop b <= drop d) /\ (interval [a,b] SUBSET interval (c,d) <=> drop b < drop a \/ drop c < drop a /\ drop a <= drop b /\ drop b < drop d) /\ (interval (a,b) SUBSET interval [c,d] <=> drop b <= drop a \/ drop c <= drop a /\ drop a < drop b /\ drop b <= drop d) /\ (interval (a,b) SUBSET interval (c,d) <=> drop b <= drop a \/ drop c <= drop a /\ drop a < drop b /\ drop b <= drop d)
% Assm: T
% Goal: !f a b c. drop a <= drop c /\ drop c <= drop b /\ f integrable_on interval [a,b] ==> integral (interval [a,c]) f + integral (interval [c,b]) f = integral (interval [a,b]) f
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn1 > $o) > (cartrealn1 > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn1 > cartrealn) > cartrealn > (cartrealn1 > $o) > $o)).
thf(cintegral, type, integral : ((cartrealn1 > $o) > (cartrealn1 > cartrealn) > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_COMBINE, axiom, ![F:(cartrealn1 > cartrealn),I:cartrealn,J:cartrealn,A:cartrealn1,B:cartrealn1,C:cartrealn1]:(((realu_le @ (drop @ A) @ (drop @ C)) & (realu_le @ (drop @ C) @ (drop @ B)) & (hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ A @ C) @ nil))) & (hasu_integral @ F @ J @ (closedu_interval @ (cons @ (c_ @ C @ B) @ nil)))) => (hasu_integral @ F @ (vectoru_add @ I @ J) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aINTEGRABLEu_INTEGRAL, axiom, ![F:(cartrealn1 > cartrealn),I:(cartrealn1 > $o)]:((integrableu_on @ F @ I) => (hasu_integral @ F @ (integral @ I @ F) @ I))).
thf(aINTEGRABLEu_SUBINTERVAL, axiom, ![F:(cartrealn1 > cartrealn),A:cartrealn1,B:cartrealn1,C:cartrealn1,D:cartrealn1]:(((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (subset @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealn1 > cartrealn),Y:cartrealn,K:(cartrealn1 > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSUBSETu_INTERVALu_1, axiom, ![A:cartrealn1,B:cartrealn1,C:cartrealn1,D:cartrealn1]:(((subset @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) <=> ((realu_lt @ (drop @ B) @ (drop @ A)) | ((realu_le @ (drop @ C) @ (drop @ A)) & (realu_le @ (drop @ A) @ (drop @ B)) & (realu_le @ (drop @ B) @ (drop @ D))))) & ((subset @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (openu_interval @ (c_ @ C @ D))) <=> ((realu_lt @ (drop @ B) @ (drop @ A)) | ((realu_lt @ (drop @ C) @ (drop @ A)) & (realu_le @ (drop @ A) @ (drop @ B)) & (realu_lt @ (drop @ B) @ (drop @ D))))) & ((subset @ (openu_interval @ (c_ @ A @ B)) @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) <=> ((realu_le @ (drop @ B) @ (drop @ A)) | ((realu_le @ (drop @ C) @ (drop @ A)) & (realu_lt @ (drop @ A) @ (drop @ B)) & (realu_le @ (drop @ B) @ (drop @ D))))) & ((subset @ (openu_interval @ (c_ @ A @ B)) @ (openu_interval @ (c_ @ C @ D))) <=> ((realu_le @ (drop @ B) @ (drop @ A)) | ((realu_le @ (drop @ C) @ (drop @ A)) & (realu_lt @ (drop @ A) @ (drop @ B)) & (realu_le @ (drop @ B) @ (drop @ D))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn),A:cartrealn1,B:cartrealn1,C:cartrealn1]:(((realu_le @ (drop @ A) @ (drop @ C)) & (realu_le @ (drop @ C) @ (drop @ B)) & (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ((vectoru_add @ (integral @ (closedu_interval @ (cons @ (c_ @ A @ C) @ nil)) @ F) @ (integral @ (closedu_interval @ (cons @ (c_ @ C @ B) @ nil)) @ F)) = (integral @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F)))).
