%   ORIGINAL: INTEGRABLE_COMBINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_INTEGRAL_COMBINE: !f i j a b c. drop a <= drop c /\ drop c <= drop b /\ (f has_integral i) (interval [a,c]) /\ (f has_integral j) (interval [c,b]) ==> (f has_integral i + j) (interval [a,b])
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f a b c. drop a <= drop c /\ drop c <= drop b /\ f integrable_on interval [a,c] /\ f integrable_on interval [c,b] ==> f integrable_on interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f i j a b c. drop a <= drop c /\ drop c <= drop b /\ (f has_integral i) (interval [a,c]) /\ (f has_integral j) (interval [c,b]) ==> (f has_integral i + j) (interval [a,b])
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f a b c. drop a <= drop c /\ drop c <= drop b /\ f integrable_on interval [a,c] /\ f integrable_on interval [c,b] ==> f integrable_on interval [a,b]
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq456405, type, cartrealq456405 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
thf(tq456405, type, q456405 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn1 > cartrealq456405) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealq456405) > cartrealq456405 > (cartrealn1 > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn1 > cartrealn) > cartrealn > (cartrealn1 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_INTEGRALu_COMBINE, axiom, ![F:(cartrealn1 > cartrealn),I:cartrealn,J:cartrealn,A:cartrealn1,B:cartrealn1,C:cartrealn1]:(((realu_le @ (drop @ A) @ (drop @ C)) & (realu_le @ (drop @ C) @ (drop @ B)) & (hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ A @ C) @ nil))) & (hasu_integral @ F @ J @ (closedu_interval @ (cons @ (c_ @ C @ B) @ nil)))) => (hasu_integral @ F @ (vectoru_add @ I @ J) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealn1 > cartrealq456405),I:(cartrealn1 > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealq456405]:(hasu_integral0 @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealq456405),A:cartrealn1,B:cartrealn1,C:cartrealn1]:(((realu_le @ (drop @ A) @ (drop @ C)) & (realu_le @ (drop @ C) @ (drop @ B)) & (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ C) @ nil))) & (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ C @ B) @ nil)))) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
