%   ORIGINAL: INTEGRABLE_AFFINITY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_INTEGRAL_AFFINITY: !f i a b m c. (f has_integral i) (interval [a,b]) /\ ~(m = &0) ==> ((\x. f (m % x + c)) has_integral inv (abs m pow dimindex (:M)) % i) (IMAGE (\x. inv m % x + --(inv m % c)) (interval [a,b]))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f a b m c. f integrable_on interval [a,b] /\ ~(m = &0) ==> (\x. f (m % x + c)) integrable_on IMAGE (\x. inv m % x + --(inv m % c)) (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f i a b m c. (f has_integral i) (interval [a,b]) /\ ~(m = &0) ==> ((\x. f (m % x + c)) has_integral inv (abs m pow dimindex (:M)) % i) (IMAGE (\x. inv m % x + --(inv m % c)) (interval [a,b]))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f a b m c. f integrable_on interval [a,b] /\ ~(m = &0) ==> (\x. f (m % x + c)) integrable_on IMAGE (\x. inv m % x + --(inv m % c)) (interval [a,b])
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cuniv, type, univ : (m > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealm) > cartrealm > (cartrealm > $o) > $o)).
thf(cimage, type, image : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cru_, type, r_ : (real > cartrealm > cartrealm)).
thf(cvectoruu_add, type, vectoru_add : (cartrealm > cartrealm > cartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealm > cartrealm)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_INTEGRALu_AFFINITY, axiom, ![F:(cartrealm > cartrealm),I:cartrealm,A:cartrealm,B:cartrealm,M:real,C:cartrealm]:(((hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ~ ((M = (realu_ofu_num @ (numeral @ u_0))))) => (hasu_integral @ ^[X:cartrealm]:(F @ (vectoru_add @ (r_ @ M @ X) @ C)) @ (r_ @ (realu_inv @ (realu_pow @ (realu_abs @ M) @ (dimindex @ univ))) @ I) @ (image @ ^[X:cartrealm]:(vectoru_add @ (r_ @ (realu_inv @ M) @ X) @ (vectoru_neg @ (r_ @ (realu_inv @ M) @ C))) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn]:(hasu_integral0 @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,M:real,C:cartrealm]:(((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ~ ((M = (realu_ofu_num @ (numeral @ u_0))))) => (integrableu_on @ ^[X:cartrealm]:(F @ (vectoru_add @ (r_ @ M @ X) @ C)) @ (image @ ^[X:cartrealm]:(vectoru_add @ (r_ @ (realu_inv @ M) @ X) @ (vectoru_neg @ (r_ @ (realu_inv @ M) @ C))) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
