%   ORIGINAL: INTEGRABLE_STRETCH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_INTEGRAL_STRETCH: !f i m a b. (f has_integral i) (interval [a,b]) /\ (!k. 1 <= k /\ k <= dimindex (:M) ==> ~(m k = &0)) ==> ((\x. f (lambda k. m k * x$k)) has_integral inv (abs (product (1..dimindex (:M)) m)) % i) (IMAGE (\x. lambda k. inv (m k) * x$k) (interval [a,b]))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f m a b. f integrable_on interval [a,b] /\ (!k. 1 <= k /\ k <= dimindex (:M) ==> ~(m k = &0)) ==> (\x. f (lambda k. m k * x$k)) integrable_on IMAGE (\x. lambda k. inv (m k) * x$k) (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f i m a b. (f has_integral i) (interval [a,b]) /\ (!k. 1 <= k /\ k <= dimindex (:M) ==> ~(m k = &0)) ==> ((\x. f (lambda k. m k * x$k)) has_integral inv (abs (product (1..dimindex (:M)) m)) % i) (IMAGE (\x. lambda k. inv (m k) * x$k) (interval [a,b]))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f m a b. f integrable_on interval [a,b] /\ (!k. 1 <= k /\ k <= dimindex (:M) ==> ~(m k = &0)) ==> (\x. f (lambda k. m k * x$k)) integrable_on IMAGE (\x. lambda k. inv (m k) * x$k) (interval [a,b])
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cuniv, type, univ : (m > $o)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cdu_, type, d_ : (cartrealm > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cimage, type, image : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealm)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_INTEGRALu_STRETCH, axiom, ![F:(cartrealm > cartrealn),I:cartrealn,M:(num > real),A:cartrealm,B:cartrealm]:(((hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => ~ (((M @ K) = (realu_ofu_num @ (numeral @ u_0)))))) => (hasu_integral @ ^[X:cartrealm]:(F @ (lambda0 @ ^[K:num]:(realu_mul @ (M @ K) @ (d_ @ X @ K)))) @ (r_ @ (realu_inv @ (realu_abs @ (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ M))) @ I) @ (image @ ^[X:cartrealm]:(lambda0 @ ^[K:num]:(realu_mul @ (realu_inv @ (M @ K)) @ (d_ @ X @ K))) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn]:(hasu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),M:(num > real),A:cartrealm,B:cartrealm]:(((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => ~ (((M @ K) = (realu_ofu_num @ (numeral @ u_0)))))) => (integrableu_on @ ^[X:cartrealm]:(F @ (lambda0 @ ^[K:num]:(realu_mul @ (M @ K) @ (d_ @ X @ K)))) @ (image @ ^[X:cartrealm]:(lambda0 @ ^[K:num]:(realu_mul @ (realu_inv @ (M @ K)) @ (d_ @ X @ K))) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
