%   ORIGINAL: HAS_INTEGRAL_REFLECT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_INTEGRAL_REFLECT_LEMMA: !f i a b. (f has_integral i) (interval [a,b]) ==> ((\x. f (--x)) has_integral i) (interval [--b,--a])
% Assm: TRUTH: T
% Assm: VECTOR_NEG_NEG: -- --x = x
% Goal: !f i a b. ((\x. f (--x)) has_integral i) (interval [--b,--a]) <=> (f has_integral i) (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !f i a b. (f has_integral i) (interval [a,b]) ==> ((\x. f (--x)) has_integral i) (interval [--b,--a])
% Assm: T
% Assm: !x. -- --x = x
% Goal: !f i a b. ((\x. f (--x)) has_integral i) (interval [--b,--a]) <=> (f has_integral i) (interval [a,b])
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealm > cartrealm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_INTEGRALu_REFLECTu_LEMMA, axiom, ![F:(cartrealm > cartrealn),I:cartrealn,A:cartrealm,B:cartrealm]:((hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (hasu_integral @ ^[X:cartrealm]:(F @ (vectoru_neg @ X)) @ I @ (closedu_interval @ (cons @ (c_ @ (vectoru_neg @ B) @ (vectoru_neg @ A)) @ nil))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_NEG, axiom, ![X:cartrealm]:((vectoru_neg @ (vectoru_neg @ X)) = X)).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),I:cartrealn,A:cartrealm,B:cartrealm]:((hasu_integral @ ^[X:cartrealm]:(F @ (vectoru_neg @ X)) @ I @ (closedu_interval @ (cons @ (c_ @ (vectoru_neg @ B) @ (vectoru_neg @ A)) @ nil))) <=> (hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
