%   ORIGINAL: INTEGRABLE_REFLECT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_REFLECT: !f i a b. ((\x. f (--x)) has_integral i) (interval [--b,--a]) <=> (f has_integral i) (interval [a,b])
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f a b. (\x. f (--x)) integrable_on interval [--b,--a] <=> f integrable_on interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f i a b. ((\x. f (--x)) has_integral i) (interval [--b,--a]) <=> (f has_integral i) (interval [a,b])
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f a b. (\x. f (--x)) integrable_on interval [--b,--a] <=> f integrable_on interval [a,b]
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealm > cartrealm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_REFLECT, axiom, ![F:(cartrealm > cartrealn),I:cartrealn,A:cartrealm,B:cartrealm]:((hasu_integral @ ^[X:cartrealm]:(F @ (vectoru_neg @ X)) @ I @ (closedu_interval @ (cons @ (c_ @ (vectoru_neg @ B) @ (vectoru_neg @ A)) @ nil))) <=> (hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn]:(hasu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm]:((integrableu_on @ ^[X:cartrealm]:(F @ (vectoru_neg @ X)) @ (closedu_interval @ (cons @ (c_ @ (vectoru_neg @ B) @ (vectoru_neg @ A)) @ nil))) <=> (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
