%   ORIGINAL: INTEGRAL_REFLECT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_REFLECT: !f i a b. ((\x. f (--x)) has_integral i) (interval [--b,--a]) <=> (f has_integral i) (interval [a,b])
% Assm: TRUTH: T
% Assm: integral: !f i. integral i f = (@y. (f has_integral y) i)
% Goal: !f a b. integral (interval [--b,--a]) (\x. f (--x)) = integral (interval [a,b]) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f i a b. ((\x. f (--x)) has_integral i) (interval [--b,--a]) <=> (f has_integral i) (interval [a,b])
% Assm: T
% Assm: !f i. integral i f = (@y. (f has_integral y) i)
% Goal: !f a b. integral (interval [--b,--a]) (\x. f (--x)) = integral (interval [a,b]) f
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealm > cartrealm)).
thf(chu_, type, h_ : ((cartrealn > $o) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_REFLECT, axiom, ![F:(cartrealm > cartrealn),I:cartrealn,A:cartrealm,B:cartrealm]:((hasu_integral @ ^[X:cartrealm]:(F @ (vectoru_neg @ X)) @ I @ (closedu_interval @ (cons @ (c_ @ (vectoru_neg @ B) @ (vectoru_neg @ A)) @ nil))) <=> (hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aTRUTH, axiom, $true).
thf(aintegral, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integral @ I @ F) = (h_ @ ^[Y:cartrealn]:(hasu_integral @ F @ Y @ I)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm]:((integral @ (closedu_interval @ (cons @ (c_ @ (vectoru_neg @ B) @ (vectoru_neg @ A)) @ nil)) @ ^[X:cartrealm]:(F @ (vectoru_neg @ X))) = (integral @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F))).
