%   ORIGINAL: HAS_INTEGRAL_RESTRICT_CLOSED_SUBINTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: HAS_INTEGRAL_RESTRICT_OPEN_SUBINTERVAL: !f a b c d i. (f has_integral i) (interval [c,d]) /\ interval [c,d] SUBSET interval [a,b] ==> ((\x. if x IN interval (c,d) then f x else vec 0) has_integral i) (interval [a,b])
% Assm: HAS_INTEGRAL_SPIKE: !f g s t. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_integral y) t ==> (g has_integral y) t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERVAL_OPEN_SUBSET_CLOSED: !a b. interval (a,b) SUBSET interval [a,b]
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: NEGLIGIBLE_FRONTIER_INTERVAL: !a b. negligible (interval [a,b] DIFF interval (a,b))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f a b c d i. (f has_integral i) (interval [c,d]) /\ interval [c,d] SUBSET interval [a,b] ==> ((\x. if x IN interval [c,d] then f x else vec 0) has_integral i) (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f a b c d i. (f has_integral i) (interval [c,d]) /\ interval [c,d] SUBSET interval [a,b] ==> ((\x. if x IN interval (c,d) then f x else vec 0) has_integral i) (interval [a,b])
% Assm: !y f g s t. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_integral y) t ==> (g has_integral y) t
% Assm: !P x. x IN P <=> P x
% Assm: !a b. interval (a,b) SUBSET interval [a,b]
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !a b. negligible (interval [a,b] DIFF interval (a,b))
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f a b c d i. (f has_integral i) (interval [c,d]) /\ interval [c,d] SUBSET interval [a,b] ==> ((\x. if x IN interval [c,d] then f x else vec 0) has_integral i) (interval [a,b])
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(copenuu_interval, type, openu_interval : (prodcartrealmcartrealm > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cdiff, type, diff : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aHASu_INTEGRALu_RESTRICTu_OPENu_SUBINTERVAL, axiom, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,C:cartrealm,D:cartrealm,I:cartrealn]:(((hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) & (subset @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (hasu_integral @ ^[X:cartrealm]:(cond @ (in @ X @ (openu_interval @ (c_ @ C @ D))) @ (F @ X) @ (vec @ (numeral @ u_0))) @ I @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aHASu_INTEGRALu_SPIKE, axiom, ![Y:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((negligible @ S) & ![X:cartrealm]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X))) & (hasu_integral @ F @ Y @ T)) => (hasu_integral @ G @ Y @ T))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINTERVALu_OPENu_SUBSETu_CLOSED, axiom, ![A:cartrealm,B:cartrealm]:(subset @ (openu_interval @ (c_ @ A @ B)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aINu_DIFF, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aNEGLIGIBLEu_FRONTIERu_INTERVAL, axiom, ![A:cartrealm,B:cartrealm]:(negligible @ (diff @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (openu_interval @ (c_ @ A @ B))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,C:cartrealm,D:cartrealm,I:cartrealn]:(((hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) & (subset @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (hasu_integral @ ^[X:cartrealm]:(cond @ (in @ X @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) @ (F @ X) @ (vec @ (numeral @ u_0))) @ I @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
