%   ORIGINAL: HAS_INTEGRAL_RESTRICT_CLOSED_SUBINTERVALS_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_INTEGRAL_0_EQ: !i s. ((\x. vec 0) has_integral i) s <=> i = vec 0
% Assm: HAS_INTEGRAL_EMPTY_EQ: !f i. (f has_integral i) {} <=> i = vec 0
% Assm: HAS_INTEGRAL_RESTRICT_CLOSED_SUBINTERVAL: !f a b c d i. (f has_integral i) (interval [c,d]) /\ interval [c,d] SUBSET interval [a,b] ==> ((\x. if x IN interval [c,d] then f x else vec 0) has_integral i) (interval [a,b])
% Assm: HAS_INTEGRAL_UNIQUE: !f i k1 k2. (f has_integral k1) i /\ (f has_integral k2) i ==> k1 = k2
% Assm: INTEGRABLE_EQ: !f g s. (!x. x IN s ==> f x = g x) /\ f integrable_on s ==> g integrable_on s
% Assm: INTEGRABLE_INTEGRAL: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: INTEGRABLE_SUBINTERVAL: !f a b c d. f integrable_on interval [a,b] /\ interval [c,d] SUBSET interval [a,b] ==> f integrable_on interval [c,d]
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f a b c d i. interval [c,d] SUBSET interval [a,b] ==> (((\x. if x IN interval [c,d] then f x else vec 0) has_integral i) (interval [a,b]) <=> (f has_integral i) (interval [c,d]))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !i s. ((\x. vec 0) has_integral i) s <=> i = vec 0
% Assm: !f i. (f has_integral i) {} <=> i = vec 0
% Assm: !f a b c d i. (f has_integral i) (interval [c,d]) /\ interval [c,d] SUBSET interval [a,b] ==> ((\x. if x IN interval [c,d] then f x else vec 0) has_integral i) (interval [a,b])
% Assm: !f i k1 k2. (f has_integral k1) i /\ (f has_integral k2) i ==> k1 = k2
% Assm: !f g s. (!x. x IN s ==> f x = g x) /\ f integrable_on s ==> g integrable_on s
% Assm: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: !f a b c d. f integrable_on interval [a,b] /\ interval [c,d] SUBSET interval [a,b] ==> f integrable_on interval [c,d]
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f a b c d i. interval [c,d] SUBSET interval [a,b] ==> (((\x. if x IN interval [c,d] then f x else vec 0) has_integral i) (interval [a,b]) <=> (f has_integral i) (interval [c,d]))
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(ci, type, i : ($o > $o)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aHASu_INTEGRALu_0u_EQ, axiom, ![I:cartrealn,S:(cartrealm > $o)]:((hasu_integral @ ^[X:cartrealm]:(vec @ (numeral @ u_0)) @ I @ S) <=> (I = (vec @ (numeral @ u_0))))).
thf(aHASu_INTEGRALu_EMPTYu_EQ, axiom, ![F:(cartrealm > cartrealn),I:cartrealn]:((hasu_integral @ F @ I @ empty) <=> (I = (vec @ (numeral @ u_0))))).
thf(aHASu_INTEGRALu_RESTRICTu_CLOSEDu_SUBINTERVAL, axiom, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,C:cartrealm,D:cartrealm,I:cartrealn]:(((hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) & (subset @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (hasu_integral @ ^[X:cartrealm]:(cond @ (in @ X @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) @ (F @ X) @ (vec @ (numeral @ u_0))) @ I @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aHASu_INTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o),K1:cartrealn,K2:cartrealn]:(((hasu_integral @ F @ K1 @ I) & (hasu_integral @ F @ K2 @ I)) => (K1 = K2))).
thf(aINTEGRABLEu_EQ, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => ((F @ X) = (G @ X))) & (integrableu_on @ F @ S)) => (integrableu_on @ G @ S))).
thf(aINTEGRABLEu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) => (hasu_integral @ F @ (integral @ I @ F) @ I))).
thf(aINTEGRABLEu_SUBINTERVAL, axiom, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,C:cartrealm,D:cartrealm]:(((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (subset @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealm]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn]:(hasu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,C:cartrealm,D:cartrealm,I:cartrealn]:((subset @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => ((hasu_integral @ ^[X:cartrealm]:(cond @ (in @ X @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil))) @ (F @ X) @ (vec @ (numeral @ u_0))) @ I @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> (hasu_integral @ F @ I @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)))))).
