%   ORIGINAL: HAS_INTEGRAL_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: HAS_INTEGRAL: !f i s. (f has_integral i) s <=> (!e. &0 < e ==> (?B. &0 < B /\ (!a b. ball (vec 0,B) SUBSET interval [a,b] ==> (?z. ((\x. if x IN s then f x else vec 0) has_integral z) (interval [a,b]) /\ norm (z - i) < e))))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f s t i. s SUBSET t ==> (((\x. if x IN s then f x else vec 0) has_integral i) t <=> (f has_integral i) s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f i s. (f has_integral i) s <=> (!e. &0 < e ==> (?B. &0 < B /\ (!a b. ball (vec 0,B) SUBSET interval [a,b] ==> (?z. ((\x. if x IN s then f x else vec 0) has_integral z) (interval [a,b]) /\ norm (z - i) < e))))
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f s t i. s SUBSET t ==> (((\x. if x IN s then f x else vec 0) has_integral i) t <=> (f has_integral i) s)
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealmreal, type, prodcartrealmreal : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cball, type, ball : (prodcartrealmreal > cartrealm > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_0, type, c_0 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(ccu_, type, c_ : (cartrealm > real > prodcartrealmreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cvec0, type, vec0 : (num > cartrealm)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aHASu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),I:cartrealn,S:(cartrealm > $o)]:((hasu_integral @ F @ I @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![A:cartrealm,B0:cartrealm]:((subset @ (ball @ (c_ @ (vec0 @ (numeral @ u_0)) @ B)) @ (closedu_interval @ (cons @ (c_0 @ A @ B0) @ nil))) => ?[Z:cartrealn]:((hasu_integral @ ^[X:cartrealm]:(cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ Z @ (closedu_interval @ (cons @ (c_0 @ A @ B0) @ nil))) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ Z @ I)) @ E))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o),I:cartrealn]:((subset @ S @ T) => ((hasu_integral @ ^[X:cartrealm]:(cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ I @ T) <=> (hasu_integral @ F @ I @ S)))).
