%   ORIGINAL: INTEGRAL_RESTRICT_INTER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_RESTRICT_INTER: !f s t. ((\x. if x IN s then f x else vec 0) has_integral i) t <=> (f has_integral i) (s INTER t)
% Assm: TRUTH: T
% Assm: integral: !f i. integral i f = (@y. (f has_integral y) i)
% Goal: !f s t. integral t (\x. if x IN s then f x else vec 0) = integral (s INTER t) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !i f s t. ((\x. if x IN s then f x else vec 0) has_integral i) t <=> (f has_integral i) (s INTER t)
% Assm: T
% Assm: !f i. integral i f = (@y. (f has_integral y) i)
% Goal: !f s t. integral t (\x. if x IN s then f x else vec 0) = integral (s INTER t) f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cinter, type, inter : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(chu_, type, h_ : ((cartrealn > $o) > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_RESTRICTu_INTER, axiom, ![I:cartrealn,F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:((hasu_integral @ ^[X:cartrealm]:(cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ I @ T) <=> (hasu_integral @ F @ I @ (inter @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aintegral, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integral @ I @ F) = (h_ @ ^[Y:cartrealn]:(hasu_integral @ F @ Y @ I)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:((integral @ T @ ^[X:cartrealm]:(cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0)))) = (integral @ (inter @ S @ T) @ F))).
