%   ORIGINAL: NEGLIGIBLE_ON_INTERVALS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: HAS_INTEGRAL_NEGLIGIBLE: !f s t. negligible s /\ (!x. x IN t DIFF s ==> f x = vec 0) ==> (f has_integral vec 0) t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: indicator: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: negligible: !s. negligible s <=> (!a b. (indicator s has_integral vec 0) (interval [a,b]))
% Goal: !s. negligible s <=> (!a b. negligible (s INTER interval [a,b]))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !f s t. negligible s /\ (!x. x IN t DIFF s ==> f x = vec 0) ==> (f has_integral vec 0) t
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: !s. negligible s <=> (!a b. (indicator s has_integral vec 0) (interval [a,b]))
% Goal: !s. negligible s <=> (!a b. negligible (s INTER interval [a,b]))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cvec0, type, vec0 : (num > cartrealn1)).
thf(cin1, type, in1 : (cartrealm > (cartrealm > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cindicator0, type, indicator0 : ((cartrealn > $o) > cartrealn > cartrealn1)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn > cartrealn1) > cartrealn1 > (cartrealn > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cindicator, type, indicator : ((cartrealm > $o) > cartrealm > cartrealn1)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn > cartrealn) > cartrealn > (cartrealn > $o) > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccond, type, cond : ($o > $o > $o > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:$o,T2:$o]:(((cond @ $true @ T1 @ T2) <=> T1) & ((cond @ $false @ T1 @ T2) <=> T2))).
thf(aHASu_INTEGRALu_NEGLIGIBLE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > $o)]:(((negligible @ S) & ![X:cartrealn]:((in @ X @ (diff @ T @ S)) => ((F @ X) = (vec @ (numeral @ u_0))))) => (hasu_integral @ F @ (vec @ (numeral @ u_0)) @ T))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff0 @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((negligible @ S) & (subset @ T @ S)) => (negligible @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aindicator, axiom, ![S:(cartrealm > $o)]:((indicator @ S) = ^[X:cartrealm]:(cond0 @ (in1 @ X @ S) @ (vec0 @ (numeral @ (bit1 @ u_0))) @ (vec0 @ (numeral @ u_0))))).
thf(anegligible, axiom, ![S:(cartrealn > $o)]:((negligible @ S) <=> ![A:cartrealn,B:cartrealn]:(hasu_integral0 @ (indicator0 @ S) @ (vec0 @ (numeral @ u_0)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((negligible @ S) <=> ![A:cartrealn,B:cartrealn]:(negligible @ (inter @ S @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
