%   ORIGINAL: HAS_INTEGRAL_SPIKE_SET_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: HAS_INTEGRAL_RESTRICT_UNIV: !f s i. ((\x. if x IN s then f x else vec 0) has_integral i) (:real^M) <=> (f has_integral i) s
% Assm: HAS_INTEGRAL_SPIKE_EQ: !f g s t y. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> ((f has_integral y) t <=> (g has_integral y) t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s t y. negligible (s DIFF t UNION t DIFF s) ==> ((f has_integral y) s <=> (f has_integral y) t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !f s i. ((\x. if x IN s then f x else vec 0) has_integral i) (:real^M) <=> (f has_integral i) s
% Assm: !f g s t y. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> ((f has_integral y) t <=> (g has_integral y) t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: T
% Goal: !f s t y. negligible (s DIFF t UNION t DIFF s) ==> ((f has_integral y) s <=> (f has_integral y) t)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > $o > $o > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cdiff, type, diff : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cunion, type, union : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:$o,T2:$o]:(((cond @ $true @ T1 @ T2) <=> T1) & ((cond @ $false @ T1 @ T2) <=> T2))).
thf(aHASu_INTEGRALu_RESTRICTu_UNIV, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),I:cartrealn]:((hasu_integral @ ^[X:cartrealm]:(cond0 @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ I @ univ) <=> (hasu_integral @ F @ I @ S))).
thf(aHASu_INTEGRALu_SPIKEu_EQ, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o),Y:cartrealn]:(((negligible @ S) & ![X:cartrealm]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X)))) => ((hasu_integral @ F @ Y @ T) <=> (hasu_integral @ G @ Y @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ0)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o),Y:cartrealn]:((negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((hasu_integral @ F @ Y @ S) <=> (hasu_integral @ F @ Y @ T)))).
