%   ORIGINAL: INTEGRABLE_SPIKE_SET_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTEGRABLE_SPIKE_SET: !f s t. negligible (s DIFF t UNION t DIFF s) ==> f integrable_on s ==> f integrable_on t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: UNION_COMM: !s t. s UNION t = t UNION s
% Goal: !f s t. negligible (s DIFF t UNION t DIFF s) ==> (f integrable_on s <=> f integrable_on t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s t. negligible (s DIFF t UNION t DIFF s) ==> f integrable_on s ==> f integrable_on t
% Assm: ~F <=> T
% Assm: T
% Assm: !s t. s UNION t = t UNION s
% Goal: !f s t. negligible (s DIFF t UNION t DIFF s) ==> (f integrable_on s <=> f integrable_on t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cdiff, type, diff : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cunion, type, union : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTEGRABLEu_SPIKEu_SET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:((negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((integrableu_on @ F @ S) => (integrableu_on @ F @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_COMM, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((union @ S @ T) = (union @ T @ S))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:((negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((integrableu_on @ F @ S) <=> (integrableu_on @ F @ T)))).
