%   ORIGINAL: INTEGRAL_SPIKE_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_SPIKE_SET_EQ: !f s t y. negligible (s DIFF t UNION t DIFF s) ==> ((f has_integral y) s <=> (f has_integral y) t)
% Assm: TRUTH: T
% Assm: integral: !f i. integral i f = (@y. (f has_integral y) i)
% Goal: !f g s t. negligible (s DIFF t UNION t DIFF s) ==> integral s f = integral t f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t y. negligible (s DIFF t UNION t DIFF s) ==> ((f has_integral y) s <=> (f has_integral y) t)
% Assm: T
% Assm: !f i. integral i f = (@y. (f has_integral y) i)
% Goal: !f g s t. negligible (s DIFF t UNION t DIFF s) ==> integral s f = integral t f
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tq463950, type, q463950 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cdiff, type, diff : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cunion, type, union : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
thf(chu_, type, h_ : ((cartrealn > $o) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_SPIKEu_SETu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o),Y:cartrealn]:((negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((hasu_integral @ F @ Y @ S) <=> (hasu_integral @ F @ Y @ T)))).
thf(aTRUTH, axiom, $true).
thf(aintegral, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integral @ I @ F) = (h_ @ ^[Y:cartrealn]:(hasu_integral @ F @ Y @ I)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:q463950,S:(cartrealm > $o),T:(cartrealm > $o)]:((negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((integral @ S @ F) = (integral @ T @ F)))).
