%   ORIGINAL: HAS_INTEGRAL_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: HAS_INTEGRAL_SPIKE_SET_EQ: !f s t y. negligible (s DIFF t UNION t DIFF s) ==> ((f has_integral y) s <=> (f has_integral y) t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !f y s. negligible (frontier s) ==> ((f has_integral y) (closure s) <=> (f has_integral y) s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. s SUBSET closure s
% Assm: !f s t y. negligible (s DIFF t UNION t DIFF s) ==> ((f has_integral y) s <=> (f has_integral y) t)
% Assm: !P x. x IN P <=> P x
% Assm: !s. interior s SUBSET s
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x <=> x
% Assm: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !f y s. negligible (frontier s) ==> ((f has_integral y) (closure s) <=> (f has_integral y) s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq172081, type, cartrealq172081 : $tType).
thf(treal, type, real : $tType).
thf(tq172081, type, q172081 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinterior0, type, interior0 : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(cinterior, type, interior : ((cartrealq172081 > $o) > cartrealq172081 > $o)).
thf(csubset0, type, subset0 : ((cartrealq172081 > $o) > (cartrealq172081 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cclosure, type, closure : ((cartrealm > $o) > cartrealm > $o)).
thf(cfrontier, type, frontier : ((cartrealm > $o) > cartrealm > $o)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cunion, type, union : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(ci, type, i : ($o > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealm > $o)]:(subset @ S @ (closure @ S))).
thf(aHASu_INTEGRALu_SPIKEu_SETu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o),Y:cartrealn]:((negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((hasu_integral @ F @ Y @ S) <=> (hasu_integral @ F @ Y @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealq172081 > $o)]:(subset0 @ (interior @ S) @ S)).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((negligible @ S) & (subset @ T @ S)) => (negligible @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset1 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealm > $o)]:((frontier @ S) = (diff @ (closure @ S) @ (interior0 @ S)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),Y:cartrealn,S:(cartrealm > $o)]:((negligible @ (frontier @ S)) => ((hasu_integral @ F @ Y @ (closure @ S)) <=> (hasu_integral @ F @ Y @ S)))).
