%   ORIGINAL: HAS_INTEGRAL_SUBSET_COMPONENT_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_INTEGRAL_COMPONENT_LE: !f g s i j k. 1 <= k /\ k <= dimindex (:N) /\ (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> f x$k <= g x$k) ==> i$k <= j$k
% Assm: HAS_INTEGRAL_RESTRICT_UNIV: !f s i. ((\x. if x IN s then f x else vec 0) has_integral i) (:real^M) <=> (f has_integral i) s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Goal: !f s t i j k. s SUBSET t /\ (f has_integral i) s /\ (f has_integral j) t /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN t ==> &0 <= f x$k) ==> i$k <= j$k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g s i j k. 1 <= k /\ k <= dimindex (:N) /\ (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> f x$k <= g x$k) ==> i$k <= j$k
% Assm: !f s i. ((\x. if x IN s then f x else vec 0) has_integral i) (:real^M) <=> (f has_integral i) s
% Assm: !P x. x IN P <=> P x
% Assm: !x. x IN (:real^M)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !k i. vec k$i = &k
% Goal: !f s t i j k. s SUBSET t /\ (f has_integral i) s /\ (f has_integral j) t /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN t ==> &0 <= f x$k) ==> i$k <= j$k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealm > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_INTEGRALu_COMPONENTu_LE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),I:cartrealn,J:cartrealn,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (hasu_integral @ F @ I @ S) & (hasu_integral @ G @ J @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (d_ @ (F @ X) @ K) @ (d_ @ (G @ X) @ K)))) => (realu_le @ (d_ @ I @ K) @ (d_ @ J @ K)))).
thf(aHASu_INTEGRALu_RESTRICTu_UNIV, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),I:cartrealn]:((hasu_integral @ ^[X:cartrealm]:(cond0 @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ I @ univ0) <=> (hasu_integral @ F @ I @ S))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:cartrealm]:(in @ X @ univ0)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_ @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o),I:cartrealn,J:cartrealn,K:num]:(((subset @ S @ T) & (hasu_integral @ F @ I @ S) & (hasu_integral @ F @ J @ T) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealm]:((in @ X @ T) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (d_ @ (F @ X) @ K)))) => (realu_le @ (d_ @ I @ K) @ (d_ @ J @ K)))).
