%   ORIGINAL: INTEGRAL_SUBSET_COMPONENT_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_INTEGRAL_SUBSET_COMPONENT_LE: !f s t i j k. s SUBSET t /\ (f has_integral i) s /\ (f has_integral j) t /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN t ==> &0 <= f x$k) ==> i$k <= j$k
% Assm: INTEGRABLE_INTEGRAL: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s t k. s SUBSET t /\ f integrable_on s /\ f integrable_on t /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN t ==> &0 <= f x$k) ==> integral s f$k <= integral t f$k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s t i j k. s SUBSET t /\ (f has_integral i) s /\ (f has_integral j) t /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN t ==> &0 <= f x$k) ==> i$k <= j$k
% Assm: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f s t k. s SUBSET t /\ f integrable_on s /\ f integrable_on t /\ 1 <= k /\ k <= dimindex (:N) /\ (!x. x IN t ==> &0 <= f x$k) ==> integral s f$k <= integral t f$k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_INTEGRALu_SUBSETu_COMPONENTu_LE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o),I:cartrealn,J:cartrealn,K:num]:(((subset @ S @ T) & (hasu_integral @ F @ I @ S) & (hasu_integral @ F @ J @ T) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealm]:((in @ X @ T) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (d_ @ (F @ X) @ K)))) => (realu_le @ (d_ @ I @ K) @ (d_ @ J @ K)))).
thf(aINTEGRABLEu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) => (hasu_integral @ F @ (integral @ I @ F) @ I))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o),K:num]:(((subset @ S @ T) & (integrableu_on @ F @ S) & (integrableu_on @ F @ T) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealm]:((in @ X @ T) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (d_ @ (F @ X) @ K)))) => (realu_le @ (d_ @ (integral @ S @ F) @ K) @ (d_ @ (integral @ T @ F) @ K)))).
