%   ORIGINAL: INTEGRAL_SUBSET_DROP_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_INTEGRAL_SUBSET_DROP_LE: !f s t i j. s SUBSET t /\ (f has_integral i) s /\ (f has_integral j) t /\ (!x. x IN t ==> &0 <= drop (f x)) ==> drop i <= drop j
% Assm: INTEGRABLE_INTEGRAL: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s t. s SUBSET t /\ f integrable_on s /\ f integrable_on t /\ (!x. x IN t ==> &0 <= drop (f x)) ==> drop (integral s f) <= drop (integral t f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s t i j. s SUBSET t /\ (f has_integral i) s /\ (f has_integral j) t /\ (!x. x IN t ==> &0 <= drop (f x)) ==> drop i <= drop j
% Assm: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f s t. s SUBSET t /\ f integrable_on s /\ f integrable_on t /\ (!x. x IN t ==> &0 <= drop (f x)) ==> drop (integral s f) <= drop (integral t f)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn1) > cartrealn1 > (cartrealm > $o) > $o)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn1) > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_INTEGRALu_SUBSETu_DROPu_LE, axiom, ![F:(cartrealm > cartrealn1),S:(cartrealm > $o),T:(cartrealm > $o),I:cartrealn1,J:cartrealn1]:(((subset @ S @ T) & (hasu_integral @ F @ I @ S) & (hasu_integral @ F @ J @ T) & ![X:cartrealm]:((in @ X @ T) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ (F @ X))))) => (realu_le @ (drop @ I) @ (drop @ J)))).
thf(aINTEGRABLEu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn1),I:(cartrealm > $o)]:((integrableu_on @ F @ I) => (hasu_integral @ F @ (integral @ I @ F) @ I))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn1),S:(cartrealm > $o),T:(cartrealm > $o)]:(((subset @ S @ T) & (integrableu_on @ F @ S) & (integrableu_on @ F @ T) & ![X:cartrealm]:((in @ X @ T) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ (F @ X))))) => (realu_le @ (drop @ (integral @ S @ F)) @ (drop @ (integral @ T @ F))))).
