%   ORIGINAL: INTEGRABLE_ON_SUBINTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTEGRABLE_ALT: !f s. f integrable_on s <=> (!a b. (\x. if x IN s then f x else vec 0) integrable_on interval [a,b]) /\ (!e. &0 < e ==> (?B. &0 < B /\ (!a b c d. ball (vec 0,B) SUBSET interval [a,b] /\ ball (vec 0,B) SUBSET interval [c,d] ==> norm (integral (interval [a,b]) (\x. if x IN s then f x else vec 0) - integral (interval [c,d]) (\x. if x IN s then f x else vec 0)) < e)))
% Assm: INTEGRABLE_EQ: !f g s. (!x. x IN s ==> f x = g x) /\ f integrable_on s ==> g integrable_on s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f s a b. f integrable_on s /\ interval [a,b] SUBSET s ==> f integrable_on interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P x. x IN P <=> P x
% Assm: !f s. f integrable_on s <=> (!a b. (\x. if x IN s then f x else vec 0) integrable_on interval [a,b]) /\ (!e. &0 < e ==> (?B. &0 < B /\ (!a b c d. ball (vec 0,B) SUBSET interval [a,b] /\ ball (vec 0,B) SUBSET interval [c,d] ==> norm (integral (interval [a,b]) (\x. if x IN s then f x else vec 0) - integral (interval [c,d]) (\x. if x IN s then f x else vec 0)) < e)))
% Assm: !f g s. (!x. x IN s ==> f x = g x) /\ f integrable_on s ==> g integrable_on s
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f s a b. f integrable_on s /\ interval [a,b] SUBSET s ==> f integrable_on interval [a,b]
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealmreal, type, prodcartrealmreal : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cball, type, ball : (prodcartrealmreal > cartrealm > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_0, type, c_0 : (cartrealm > real > prodcartrealmreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cvec0, type, vec0 : (num > cartrealm)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTEGRABLEu_ALT, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ F @ S) <=> (![A:cartrealm,B:cartrealm]:(integrableu_on @ ^[X:cartrealm]:(cond0 @ (in0 @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![A:cartrealm,B0:cartrealm,C:cartrealm,D:cartrealm]:(((subset @ (ball @ (c_0 @ (vec0 @ (numeral @ u_0)) @ B)) @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil))) & (subset @ (ball @ (c_0 @ (vec0 @ (numeral @ u_0)) @ B)) @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)))) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (integral @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil)) @ ^[X:cartrealm]:(cond0 @ (in0 @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0)))) @ (integral @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ ^[X:cartrealm]:(cond0 @ (in0 @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0)))))) @ E))))))).
thf(aINTEGRABLEu_EQ, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm]:((in0 @ X @ S) => ((F @ X) = (G @ X))) & (integrableu_on @ F @ S)) => (integrableu_on @ G @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealm,B:cartrealm]:(((integrableu_on @ F @ S) & (subset @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ S)) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
