%   ORIGINAL: HAS_INTEGRAL_STRADDLE_NULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DROP_EQ: !x y. drop x = drop y <=> x = y
% Assm: DROP_VEC: !n. drop (vec n) = &n
% Assm: HAS_INTEGRAL_0: !s. ((\x. vec 0) has_integral vec 0) s
% Assm: HAS_INTEGRAL_DROP_LE: !f g s i j. (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> drop (f x) <= drop (g x)) ==> drop i <= drop j
% Assm: HAS_INTEGRAL_INTEGRABLE_INTEGRAL: !f i s. (f has_integral i) s <=> f integrable_on s /\ integral s f = i
% Assm: HAS_INTEGRAL_INTEGRAL: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: INTEGRABLE_STRADDLE: !f s. (!e. &0 < e ==> (?g h i j. (g has_integral i) s /\ (h has_integral j) s /\ norm (i - j) < e /\ (!x. x IN s ==> drop (g x) <= drop (f x) /\ drop (f x) <= drop (h x)))) ==> f integrable_on s
% Assm: NORM_0: norm (vec 0) = &0
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: TRUTH: T
% Assm: VECTOR_SUB_REFL: !x. x - x = vec 0
% Goal: !f g s. (!x. x IN s ==> &0 <= drop (f x) /\ drop (f x) <= drop (g x)) /\ (g has_integral vec 0) s ==> (f has_integral vec 0) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. drop x = drop y <=> x = y
% Assm: !n. drop (vec n) = &n
% Assm: !s. ((\x. vec 0) has_integral vec 0) s
% Assm: !f g s i j. (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> drop (f x) <= drop (g x)) ==> drop i <= drop j
% Assm: !f i s. (f has_integral i) s <=> f integrable_on s /\ integral s f = i
% Assm: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: !f s. (!e. &0 < e ==> (?g h i j. (g has_integral i) s /\ (h has_integral j) s /\ norm (i - j) < e /\ (!x. x IN s ==> drop (g x) <= drop (f x) /\ drop (f x) <= drop (h x)))) ==> f integrable_on s
% Assm: norm (vec 0) = &0
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: T
% Assm: !x. x - x = vec 0
% Goal: !f g s. (!x. x IN s ==> &0 <= drop (f x) /\ drop (f x) <= drop (g x)) /\ (g has_integral vec 0) s ==> (f has_integral vec 0) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cintegral, type, integral : ((cartrealn > $o) > (cartrealn > cartrealn1) > cartrealn1)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn > cartrealn1) > cartrealn1 > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDROPu_EQ, axiom, ![X:cartrealn1,Y:cartrealn1]:(((drop @ X) = (drop @ Y)) <=> (X = Y))).
thf(aDROPu_VEC, axiom, ![N:num]:((drop @ (vec @ N)) = (realu_ofu_num @ N))).
thf(aHASu_INTEGRALu_0, axiom, ![S:(cartrealn > $o)]:(hasu_integral @ ^[X:cartrealn]:(vec @ (numeral @ u_0)) @ (vec @ (numeral @ u_0)) @ S)).
thf(aHASu_INTEGRALu_DROPu_LE, axiom, ![F:(cartrealn > cartrealn1),G:(cartrealn > cartrealn1),S:(cartrealn > $o),I:cartrealn1,J:cartrealn1]:(((hasu_integral @ F @ I @ S) & (hasu_integral @ G @ J @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (drop @ (F @ X)) @ (drop @ (G @ X))))) => (realu_le @ (drop @ I) @ (drop @ J)))).
thf(aHASu_INTEGRALu_INTEGRABLEu_INTEGRAL, axiom, ![F:(cartrealn > cartrealn1),I:cartrealn1,S:(cartrealn > $o)]:((hasu_integral @ F @ I @ S) <=> ((integrableu_on @ F @ S) & ((integral @ S @ F) = I)))).
thf(aHASu_INTEGRALu_INTEGRAL, axiom, ![F:(cartrealn > cartrealn1),S:(cartrealn > $o)]:((integrableu_on @ F @ S) <=> (hasu_integral @ F @ (integral @ S @ F) @ S))).
thf(aINTEGRABLEu_STRADDLE, axiom, ![F:(cartrealn > cartrealn1),S:(cartrealn > $o)]:(![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[G:(cartrealn > cartrealn1),H:(cartrealn > cartrealn1),I:cartrealn1,J:cartrealn1]:((hasu_integral @ G @ I @ S) & (hasu_integral @ H @ J @ S) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ I @ J)) @ E) & ![X:cartrealn]:((in @ X @ S) => ((realu_le @ (drop @ (G @ X)) @ (drop @ (F @ X))) & (realu_le @ (drop @ (F @ X)) @ (drop @ (H @ X))))))) => (integrableu_on @ F @ S))).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_REFL, axiom, ![X:cartrealn1]:((vectoru_sub @ X @ X) = (vec @ (numeral @ u_0)))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn1),G:(cartrealn > cartrealn1),S:(cartrealn > $o)]:((![X:cartrealn]:((in @ X @ S) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ (F @ X))) & (realu_le @ (drop @ (F @ X)) @ (drop @ (G @ X))))) & (hasu_integral @ G @ (vec @ (numeral @ u_0)) @ S)) => (hasu_integral @ F @ (vec @ (numeral @ u_0)) @ S))).
