%   ORIGINAL: INTEGRAL_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_INTEGRAL: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: HAS_INTEGRAL_UNION: !f i j s t. (f has_integral i) s /\ (f has_integral j) t /\ negligible (s INTER t) ==> (f has_integral i + j) (s UNION t)
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: TRUTH: T
% Goal: !f s t. f integrable_on s /\ f integrable_on t /\ negligible (s INTER t) ==> integral (s UNION t) f = integral s f + integral t f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: !f i j s t. (f has_integral i) s /\ (f has_integral j) t /\ negligible (s INTER t) ==> (f has_integral i + j) (s UNION t)
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: T
% Goal: !f s t. f integrable_on s /\ f integrable_on t /\ negligible (s INTER t) ==> integral (s UNION t) f = integral s f + integral t f
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cunion, type, union : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cinter, type, inter : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ F @ S) <=> (hasu_integral @ F @ (integral @ S @ F) @ S))).
thf(aHASu_INTEGRALu_UNION, axiom, ![F:(cartrealm > cartrealn),I:cartrealn,J:cartrealn,S:(cartrealm > $o),T:(cartrealm > $o)]:(((hasu_integral @ F @ I @ S) & (hasu_integral @ F @ J @ T) & (negligible @ (inter @ S @ T))) => (hasu_integral @ F @ (vectoru_add @ I @ J) @ (union @ S @ T)))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn),Y:cartrealn,K:(cartrealm > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (integrableu_on @ F @ T) & (negligible @ (inter @ S @ T))) => ((integral @ (union @ S @ T) @ F) = (vectoru_add @ (integral @ S @ F) @ (integral @ T @ F))))).
