%   ORIGINAL: INTEGRAL_COMBINE_DIVISION_BOTTOMUP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_COMBINE_DIVISION: !f s d i. d division_of s /\ (!k. k IN d ==> (f has_integral i k) k) ==> (f has_integral vsum d i) s
% Assm: HAS_INTEGRAL_INTEGRAL: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: TRUTH: T
% Goal: !f d s. d division_of s /\ (!k. k IN d ==> f integrable_on k) ==> integral s f = vsum d (\i. integral i f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s d i. d division_of s /\ (!k. k IN d ==> (f has_integral i k) k) ==> (f has_integral vsum d i) s
% Assm: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: T
% Goal: !f d s. d division_of s /\ (!k. k IN d ==> f integrable_on k) ==> integral s f = vsum d (\i. integral i f)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : ((cartrealm > $o) > ((cartrealm > $o) > $o) > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cvsum, type, vsum : (((cartrealm > $o) > $o) > ((cartrealm > $o) > cartrealn) > cartrealn)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_COMBINEu_DIVISION, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),D:((cartrealm > $o) > $o),I:((cartrealm > $o) > cartrealn)]:(((divisionu_of @ D @ S) & ![K:(cartrealm > $o)]:((in @ K @ D) => (hasu_integral @ F @ (I @ K) @ K))) => (hasu_integral @ F @ (vsum @ D @ I) @ S))).
thf(aHASu_INTEGRALu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ F @ S) <=> (hasu_integral @ F @ (integral @ S @ F) @ S))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn),Y:cartrealn,K:(cartrealm > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),D:((cartrealm > $o) > $o),S:(cartrealm > $o)]:(((divisionu_of @ D @ S) & ![K:(cartrealm > $o)]:((in @ K @ D) => (integrableu_on @ F @ K))) => ((integral @ S @ F) = (vsum @ D @ ^[I:(cartrealm > $o)]:(integral @ I @ F))))).
