%   ORIGINAL: HAS_INTEGRAL_COMBINE_DIVISION_TOPDOWN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_DIVISION: !P d i. d division_of i ==> ((!x. x IN d ==> P x) <=> (!a b. interval [a,b] IN d ==> P (interval [a,b])))
% Assm: HAS_INTEGRAL_COMBINE_DIVISION: !f s d i. d division_of s /\ (!k. k IN d ==> (f has_integral i k) k) ==> (f has_integral vsum d i) s
% Assm: HAS_INTEGRAL_INTEGRAL: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: INTEGRABLE_ON_SUBINTERVAL: !f s a b. f integrable_on s /\ interval [a,b] SUBSET s ==> f integrable_on interval [a,b]
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: division_of: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !f s d k. f integrable_on s /\ d division_of k /\ k SUBSET s ==> (f has_integral vsum d (\i. integral i f)) k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P d i. d division_of i ==> ((!x. x IN d ==> P x) <=> (!a b. interval [a,b] IN d ==> P (interval [a,b])))
% Assm: !f s d i. d division_of s /\ (!k. k IN d ==> (f has_integral i k) k) ==> (f has_integral vsum d i) s
% Assm: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: !f s a b. f integrable_on s /\ interval [a,b] SUBSET s ==> f integrable_on interval [a,b]
% Assm: ~F <=> T
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !f s d k. f integrable_on s /\ d division_of k /\ k SUBSET s ==> (f has_integral vsum d (\i. integral i f)) k
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cunions, type, unions : (((cartrealm > $o) > $o) > cartrealm > $o)).
thf(cinterior, type, interior : ((cartrealm > $o) > cartrealm > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cin, type, in : ((cartrealm > $o) > ((cartrealm > $o) > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cinter, type, inter : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cvsum, type, vsum : (((cartrealm > $o) > $o) > ((cartrealm > $o) > cartrealn) > cartrealn)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cfinite, type, finite : (((cartrealm > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_DIVISION, axiom, ![P:((cartrealm > $o) > $o),D:((cartrealm > $o) > $o),I:(cartrealm > $o)]:((divisionu_of @ D @ I) => (![X:(cartrealm > $o)]:((in @ X @ D) => (P @ X)) <=> ![A:cartrealm,B:cartrealm]:((in @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ D) => (P @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))))).
thf(aHASu_INTEGRALu_COMBINEu_DIVISION, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),D:((cartrealm > $o) > $o),I:((cartrealm > $o) > cartrealn)]:(((divisionu_of @ D @ S) & ![K:(cartrealm > $o)]:((in @ K @ D) => (hasu_integral @ F @ (I @ K) @ K))) => (hasu_integral @ F @ (vsum @ D @ I) @ S))).
thf(aHASu_INTEGRALu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ F @ S) <=> (hasu_integral @ F @ (integral @ S @ F) @ S))).
thf(aINTEGRABLEu_ONu_SUBINTERVAL, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealm,B:cartrealm]:(((integrableu_on @ F @ S) & (subset @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ S)) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),U:(cartrealm > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(adivisionu_of, axiom, ![S:((cartrealm > $o) > $o),I:(cartrealm > $o)]:((divisionu_of @ S @ I) <=> ((finite @ S) & ![K:(cartrealm > $o)]:((in @ K @ S) => ((subset @ K @ I) & ~ ((K = empty)) & ?[A:cartrealm,B:cartrealm]:(K = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) & ![K1:(cartrealm > $o),K2:(cartrealm > $o)]:(((in @ K1 @ S) & (in @ K2 @ S) & ~ ((K1 = K2))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty)) & ((unions @ S) = I)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),D:((cartrealm > $o) > $o),K:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (divisionu_of @ D @ K) & (subset @ K @ S)) => (hasu_integral @ F @ (vsum @ D @ ^[I:(cartrealm > $o)]:(integral @ I @ F)) @ K))).
