%   ORIGINAL: INTEGRAL_COMBINE_DIVISION_TOPDOWN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_COMBINE_DIVISION_TOPDOWN: !f s d k. f integrable_on s /\ d division_of k /\ k SUBSET s ==> (f has_integral vsum d (\i. integral i f)) k
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Goal: !f d s. f integrable_on s /\ d division_of s ==> integral s f = vsum d (\i. integral i f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s d k. f integrable_on s /\ d division_of k /\ k SUBSET s ==> (f has_integral vsum d (\i. integral i f)) k
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: !s. s SUBSET s
% Assm: T
% Goal: !f d s. f integrable_on s /\ d division_of s ==> integral s f = vsum d (\i. integral i f)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cvsum, type, vsum : (((cartrealm > $o) > $o) > ((cartrealm > $o) > cartrealn) > cartrealn)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_COMBINEu_DIVISIONu_TOPDOWN, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),D:((cartrealm > $o) > $o),K:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (divisionu_of @ D @ K) & (subset @ K @ S)) => (hasu_integral @ F @ (vsum @ D @ ^[I:(cartrealm > $o)]:(integral @ I @ F)) @ K))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn),Y:cartrealn,K:(cartrealm > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset0 @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),D:((cartrealm > $o) > $o),S:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (divisionu_of @ D @ S)) => ((integral @ S @ F) = (vsum @ D @ ^[I:(cartrealm > $o)]:(integral @ I @ F))))).
