%   ORIGINAL: INTEGRABLE_COMBINE_DIVISION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_INTEGRAL_COMBINE_DIVISION: !f s d i. d division_of s /\ (!k. k IN d ==> (f has_integral i k) k) ==> (f has_integral vsum d i) s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f d s. d division_of s /\ (!i. i IN d ==> f integrable_on i) ==> f integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s d i. d division_of s /\ (!k. k IN d ==> (f has_integral i k) k) ==> (f has_integral vsum d i) s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f d s. d division_of s /\ (!i. i IN d ==> f integrable_on i) ==> f integrable_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tq470208, type, q470208 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq470208, type, cartrealq470208 : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq470220, type, cartrealq470220 : $tType).
thf(tq470220, type, q470220 : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealq470208 > cartrealq470220) > (cartrealq470208 > $o) > $o)).
thf(cin, type, in : ((cartrealq470208 > $o) > ((cartrealq470208 > $o) > $o) > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealq470208 > $o) > $o) > (cartrealq470208 > $o) > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealq470208 > cartrealq470220) > cartrealq470220 > (cartrealq470208 > $o) > $o)).
thf(cvsum, type, vsum : (((cartrealq470208 > $o) > $o) > ((cartrealq470208 > $o) > cartrealn) > cartrealn)).
thf(chasuu_integral, type, hasu_integral : ((cartrealq470208 > cartrealn) > cartrealn > (cartrealq470208 > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_INTEGRALu_COMBINEu_DIVISION, axiom, ![F:(cartrealq470208 > cartrealn),S:(cartrealq470208 > $o),D:((cartrealq470208 > $o) > $o),I:((cartrealq470208 > $o) > cartrealn)]:(((divisionu_of @ D @ S) & ![K:(cartrealq470208 > $o)]:((in @ K @ D) => (hasu_integral @ F @ (I @ K) @ K))) => (hasu_integral @ F @ (vsum @ D @ I) @ S))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealq470208 > cartrealq470220),I:(cartrealq470208 > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealq470220]:(hasu_integral0 @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealq470208 > cartrealq470220),D:((cartrealq470208 > $o) > $o),S:(cartrealq470208 > $o)]:(((divisionu_of @ D @ S) & ![I:(cartrealq470208 > $o)]:((in @ I @ D) => (integrableu_on @ F @ I))) => (integrableu_on @ F @ S))).
