%   ORIGINAL: INTEGRAL_COMBINE_TAGGED_DIVISION_BOTTOMUP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_COMBINE_TAGGED_DIVISION: !f s p i. p tagged_division_of s /\ (!x k. x,k IN p ==> (f has_integral i k) k) ==> (f has_integral vsum p (\(x,k). i k)) s
% Assm: HAS_INTEGRAL_INTEGRAL: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: TRUTH: T
% Goal: !f p a b. p tagged_division_of interval [a,b] /\ (!x k. x,k IN p ==> f integrable_on k) ==> integral (interval [a,b]) f = vsum p (\(x,k). integral k f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s p i. p tagged_division_of s /\ (!x k. x,k IN p ==> (f has_integral i k) k) ==> (f has_integral vsum p (\(x,k). i k)) s
% Assm: !f s. f integrable_on s <=> (f has_integral integral s f) s
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: T
% Goal: !f p a b. p tagged_division_of interval [a,b] /\ (!x k. x,k IN p ==> f integrable_on k) ==> integral (interval [a,b]) f = vsum p (\(x,k). integral k f)
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodcartrealmfuncartrealmbool, type, prodcartrealmfuncartrealmbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cgeq, type, geq : (cartrealn > cartrealn > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : (prodcartrealmfuncartrealmbool > (prodcartrealmfuncartrealmbool > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(ctaggeduu_divisionuu_of, type, taggedu_divisionu_of : ((prodcartrealmfuncartrealmbool > $o) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cgabs, type, gabs : (((prodcartrealmfuncartrealmbool > cartrealn) > $o) > prodcartrealmfuncartrealmbool > cartrealn)).
thf(cvsum, type, vsum : ((prodcartrealmfuncartrealmbool > $o) > (prodcartrealmfuncartrealmbool > cartrealn) > cartrealn)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(ccu_0, type, c_0 : (cartrealm > (cartrealm > $o) > prodcartrealmfuncartrealmbool)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_COMBINEu_TAGGEDu_DIVISION, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),P:(prodcartrealmfuncartrealmbool > $o),I:((cartrealm > $o) > cartrealn)]:(((taggedu_divisionu_of @ P @ S) & ![X:cartrealm,K:(cartrealm > $o)]:((in @ (c_0 @ X @ K) @ P) => (hasu_integral @ F @ (I @ K) @ K))) => (hasu_integral @ F @ (vsum @ P @ (gabs @ ^[F0:(prodcartrealmfuncartrealmbool > cartrealn)]:![X:cartrealm,K:(cartrealm > $o)]:(geq @ (F0 @ (c_0 @ X @ K)) @ (I @ K)))) @ S))).
thf(aHASu_INTEGRALu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ F @ S) <=> (hasu_integral @ F @ (integral @ S @ F) @ S))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn),Y:cartrealn,K:(cartrealm > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),P:(prodcartrealmfuncartrealmbool > $o),A:cartrealm,B:cartrealm]:(((taggedu_divisionu_of @ P @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:cartrealm,K:(cartrealm > $o)]:((in @ (c_0 @ X @ K) @ P) => (integrableu_on @ F @ K))) => ((integral @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F) = (vsum @ P @ (gabs @ ^[F0:(prodcartrealmfuncartrealmbool > cartrealn)]:![X:cartrealm,K:(cartrealm > $o)]:(geq @ (F0 @ (c_0 @ X @ K)) @ (integral @ K @ F))))))).
