%   ORIGINAL: INTEGRAL_COMBINE_TAGGED_DIVISION_TOPDOWN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_COMBINE_TAGGED_DIVISION_TOPDOWN: !f a b p. f integrable_on interval [a,b] /\ p tagged_division_of interval [a,b] ==> (f has_integral vsum p (\(x,k). integral k f)) (interval [a,b])
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: TRUTH: T
% Goal: !f a b p. f integrable_on interval [a,b] /\ p tagged_division_of interval [a,b] ==> integral (interval [a,b]) f = vsum p (\(x,k). integral k f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f a b p. f integrable_on interval [a,b] /\ p tagged_division_of interval [a,b] ==> (f has_integral vsum p (\(x,k). integral k f)) (interval [a,b])
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: T
% Goal: !f a b p. f integrable_on interval [a,b] /\ p tagged_division_of interval [a,b] ==> integral (interval [a,b]) f = vsum p (\(x,k). integral k f)
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodcartrealmfuncartrealmbool, type, prodcartrealmfuncartrealmbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cgeq, type, geq : (cartrealn > cartrealn > $o)).
thf(ctaggeduu_divisionuu_of, type, taggedu_divisionu_of : ((prodcartrealmfuncartrealmbool > $o) > (cartrealm > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealm > (cartrealm > $o) > prodcartrealmfuncartrealmbool)).
thf(cgabs, type, gabs : (((prodcartrealmfuncartrealmbool > cartrealn) > $o) > prodcartrealmfuncartrealmbool > cartrealn)).
thf(cvsum, type, vsum : ((prodcartrealmfuncartrealmbool > $o) > (prodcartrealmfuncartrealmbool > cartrealn) > cartrealn)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_COMBINEu_TAGGEDu_DIVISIONu_TOPDOWN, axiom, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,P:(prodcartrealmfuncartrealmbool > $o)]:(((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (taggedu_divisionu_of @ P @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (hasu_integral @ F @ (vsum @ P @ (gabs @ ^[F0:(prodcartrealmfuncartrealmbool > cartrealn)]:![X:cartrealm,K:(cartrealm > $o)]:(geq @ (F0 @ (c_0 @ X @ K)) @ (integral @ K @ F)))) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn),Y:cartrealn,K:(cartrealm > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,P:(prodcartrealmfuncartrealmbool > $o)]:(((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (taggedu_divisionu_of @ P @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ((integral @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F) = (vsum @ P @ (gabs @ ^[F0:(prodcartrealmfuncartrealmbool > cartrealn)]:![X:cartrealm,K:(cartrealm > $o)]:(geq @ (F0 @ (c_0 @ X @ K)) @ (integral @ K @ F))))))).
