%   ORIGINAL: INTEGRAL_NORM_BOUND_INTEGRAL_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGRABLE_LINEAR: !f h s. f integrable_on s /\ linear h ==> h o f integrable_on s
% Assm: INTEGRAL_LINEAR: !f s h. f integrable_on s /\ linear h ==> integral s (h o f) = h (integral s f)
% Assm: INTEGRAL_NORM_BOUND_INTEGRAL: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> norm (integral s f) <= drop (integral s g)
% Assm: LIFT_ADD: !x y. lift (x + y) = lift x + lift y
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g s k. 1 <= k /\ k <= dimindex (:P) /\ f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= g x$k) ==> norm (integral s f) <= integral s g$k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f h s. f integrable_on s /\ linear h ==> h o f integrable_on s
% Assm: !f h s. f integrable_on s /\ linear h ==> h o f integrable_on s
% Assm: !f h s. f integrable_on s /\ linear h ==> h o f integrable_on s
% Assm: !f h s. f integrable_on s /\ linear h ==> h o f integrable_on s
% Assm: !f s h. f integrable_on s /\ linear h ==> integral s (h o f) = h (integral s f)
% Assm: !f s h. f integrable_on s /\ linear h ==> integral s (h o f) = h (integral s f)
% Assm: !f s h. f integrable_on s /\ linear h ==> integral s (h o f) = h (integral s f)
% Assm: !f s h. f integrable_on s /\ linear h ==> integral s (h o f) = h (integral s f)
% Assm: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> norm (integral s f) <= drop (integral s g)
% Assm: !x y. lift (x + y) = lift x + lift y
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !x. drop (lift x) = x
% Assm: !x. x <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g s k. 1 <= k /\ k <= dimindex (:P) /\ f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= g x$k) ==> norm (integral s f) <= integral s g$k
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tp, type, p : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cintegrableuu_on1, type, integrableu_on1 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cdu_, type, d_ : (cartrealp > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealm > cartrealp) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(co3, type, o3 : ((b > c) > (a > b) > a > c)).
thf(cru_2, type, r_2 : (real > cartrealn > cartrealn)).
thf(cru_1, type, r_1 : (real > cartrealm > cartrealm)).
thf(cvectoruu_add2, type, vectoru_add2 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealm > cartrealm > cartrealm)).
thf(cru_0, type, r_0 : (real > cartrealp > cartrealp)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealp > cartrealp > cartrealp)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cintegral1, type, integral1 : ((cartrealm > $o) > (cartrealm > cartrealn1) > cartrealn1)).
thf(co2, type, o2 : ((cartrealn > cartrealn) > (cartrealm > cartrealn) > cartrealm > cartrealn)).
thf(co1, type, o1 : ((cartrealn > cartrealp) > (cartrealm > cartrealn) > cartrealm > cartrealp)).
thf(co0, type, o0 : ((cartrealp > cartrealn) > (cartrealm > cartrealp) > cartrealm > cartrealn)).
thf(co, type, o : ((cartrealp > cartrealp) > (cartrealm > cartrealp) > cartrealm > cartrealp)).
thf(cintegral0, type, integral0 : ((cartrealm > $o) > (cartrealm > cartrealp) > cartrealp)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(clinear3, type, linear3 : ((cartrealm > cartrealn) > $o)).
thf(clinear2, type, linear2 : ((cartrealn > cartrealn) > $o)).
thf(clinear1, type, linear1 : ((cartrealn > cartrealp) > $o)).
thf(clinear0, type, linear0 : ((cartrealp > cartrealn) > $o)).
thf(clinear, type, linear : ((cartrealp > cartrealp) > $o)).
thf(cuniv, type, univ : (p > $o)).
thf(cdimindex, type, dimindex : ((p > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGRABLEu_LINEARu_monomorphized3, axiom, ![F:(cartrealm > cartrealp),H:(cartrealp > cartrealp),S:(cartrealm > $o)]:(((integrableu_on0 @ F @ S) & (linear @ H)) => (integrableu_on0 @ (o @ H @ F) @ S))).
thf(aINTEGRABLEu_LINEARu_monomorphized2, axiom, ![F:(cartrealm > cartrealp),H:(cartrealp > cartrealn),S:(cartrealm > $o)]:(((integrableu_on0 @ F @ S) & (linear0 @ H)) => (integrableu_on @ (o0 @ H @ F) @ S))).
thf(aINTEGRABLEu_LINEARu_monomorphized1, axiom, ![F:(cartrealm > cartrealn),H:(cartrealn > cartrealp),S:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (linear1 @ H)) => (integrableu_on0 @ (o1 @ H @ F) @ S))).
thf(aINTEGRABLEu_LINEARu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),H:(cartrealn > cartrealn),S:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (linear2 @ H)) => (integrableu_on @ (o2 @ H @ F) @ S))).
thf(aINTEGRALu_LINEARu_monomorphized3, axiom, ![F:(cartrealm > cartrealp),S:(cartrealm > $o),H:(cartrealp > cartrealp)]:(((integrableu_on0 @ F @ S) & (linear @ H)) => ((integral0 @ S @ (o @ H @ F)) = (H @ (integral0 @ S @ F))))).
thf(aINTEGRALu_LINEARu_monomorphized2, axiom, ![F:(cartrealm > cartrealp),S:(cartrealm > $o),H:(cartrealp > cartrealn)]:(((integrableu_on0 @ F @ S) & (linear0 @ H)) => ((integral @ S @ (o0 @ H @ F)) = (H @ (integral0 @ S @ F))))).
thf(aINTEGRALu_LINEARu_monomorphized1, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),H:(cartrealn > cartrealp)]:(((integrableu_on @ F @ S) & (linear1 @ H)) => ((integral0 @ S @ (o1 @ H @ F)) = (H @ (integral @ S @ F))))).
thf(aINTEGRALu_LINEARu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),H:(cartrealn > cartrealn)]:(((integrableu_on @ F @ S) & (linear2 @ H)) => ((integral @ S @ (o2 @ H @ F)) = (H @ (integral @ S @ F))))).
thf(aINTEGRALu_NORMu_BOUNDu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn1),S:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (integrableu_on1 @ G @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (drop @ (G @ X))))) => (realu_le @ (vectoru_norm @ (integral @ S @ F)) @ (drop @ (integral1 @ S @ G))))).
thf(aLIFTu_ADD, axiom, ![X:real,Y:real]:((lift @ (realu_add @ X @ Y)) = (vectoru_add @ (lift @ X) @ (lift @ Y)))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_ @ C @ (lift @ X)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealp,Y:cartrealp,I:num]:((d_ @ (vectoru_add0 @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealp,I:num]:((d_ @ (r_0 @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(alinear, axiom, ![F:(cartrealm > cartrealn)]:((linear3 @ F) <=> (![X:cartrealm,Y:cartrealm]:((F @ (vectoru_add1 @ X @ Y)) = (vectoru_add2 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealm]:((F @ (r_1 @ C @ X)) = (r_2 @ C @ (F @ X)))))).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o3 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealp),S:(cartrealm > $o),K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (integrableu_on @ F @ S) & (integrableu_on0 @ G @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (d_ @ (G @ X) @ K)))) => (realu_le @ (vectoru_norm @ (integral @ S @ F)) @ (d_ @ (integral0 @ S @ G) @ K)))).
