%   ORIGINAL: HAS_INTEGRAL_NORM_BOUND_INTEGRAL_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_INTEGRABLE: !f i s. (f has_integral i) s ==> f integrable_on s
% Assm: INTEGRAL_NORM_BOUND_INTEGRAL_COMPONENT: !f g s k. 1 <= k /\ k <= dimindex (:P) /\ f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= g x$k) ==> norm (integral s f) <= integral s g$k
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: TRUTH: T
% Goal: !f g s i j k. 1 <= k /\ k <= dimindex (:P) /\ (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> norm (f x) <= g x$k) ==> norm i <= j$k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f i s. (f has_integral i) s ==> f integrable_on s
% Assm: !f i s. (f has_integral i) s ==> f integrable_on s
% Assm: !f g s k. 1 <= k /\ k <= dimindex (:P) /\ f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= g x$k) ==> norm (integral s f) <= integral s g$k
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: T
% Goal: !f g s i j k. 1 <= k /\ k <= dimindex (:P) /\ (f has_integral i) s /\ (g has_integral j) s /\ (!x. x IN s ==> norm (f x) <= g x$k) ==> norm i <= j$k
%  TYPES
thf(tp, type, p : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealp) > (cartrealm > $o) > $o)).
thf(cdu_, type, d_ : (cartrealp > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cintegral0, type, integral0 : ((cartrealm > $o) > (cartrealm > cartrealp) > cartrealp)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealm > cartrealp) > cartrealp > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cuniv, type, univ : (p > $o)).
thf(cdimindex, type, dimindex : ((p > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_INTEGRABLEu_monomorphized1, axiom, ![F:(cartrealm > cartrealp),I:cartrealp,S:(cartrealm > $o)]:((hasu_integral0 @ F @ I @ S) => (integrableu_on @ F @ S))).
thf(aHASu_INTEGRALu_INTEGRABLEu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),I:cartrealn,S:(cartrealm > $o)]:((hasu_integral @ F @ I @ S) => (integrableu_on0 @ F @ S))).
thf(aINTEGRALu_NORMu_BOUNDu_INTEGRALu_COMPONENT, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealp),S:(cartrealm > $o),K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (integrableu_on0 @ F @ S) & (integrableu_on @ G @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (d_ @ (G @ X) @ K)))) => (realu_le @ (vectoru_norm @ (integral @ S @ F)) @ (d_ @ (integral0 @ S @ G) @ K)))).
thf(aINTEGRALu_UNIQUEu_monomorphized1, axiom, ![F:(cartrealm > cartrealp),Y:cartrealp,K:(cartrealm > $o)]:((hasu_integral0 @ F @ Y @ K) => ((integral0 @ K @ F) = Y))).
thf(aINTEGRALu_UNIQUEu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),Y:cartrealn,K:(cartrealm > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealp),S:(cartrealm > $o),I:cartrealn,J:cartrealp,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (hasu_integral @ F @ I @ S) & (hasu_integral0 @ G @ J @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (d_ @ (G @ X) @ K)))) => (realu_le @ (vectoru_norm @ I) @ (d_ @ J @ K)))).
