%   ORIGINAL: SET_VARIATION_ON_ELEMENTARY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FORALL_IN_GSPEC_conjunct0: !P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: SET_VARIATION_ELEMENTARY_LEMMA: !f s. (?d. d division_of s) ==> ((!d t. d division_of t /\ t SUBSET s ==> sum d (\k. norm (f k)) <= b) <=> (!d. d division_of s ==> sum d (\k. norm (f k)) <= b))
% Assm: TRUTH: T
% Assm: set_variation: !s f. set_variation s f = sup {sum d (\k. norm (f k)) | ?t. d division_of t /\ t SUBSET s}
% Assm: sup: !s. sup s = (@a. (!x. x IN s ==> x <= a) /\ (!b. (!x. x IN s ==> x <= b) ==> a <= b))
% Goal: !f s. (?d. d division_of s) ==> set_variation s f = sup {sum d (\k. norm (f k)) | d division_of s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !Q P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: !b f s. (?d. d division_of s) ==> ((!d t. d division_of t /\ t SUBSET s ==> sum d (\k. norm (f k)) <= b) <=> (!d. d division_of s ==> sum d (\k. norm (f k)) <= b))
% Assm: T
% Assm: !s f. set_variation s f = sup {sum d (\k. norm (f k)) | ?t. d division_of t /\ t SUBSET s}
% Assm: !s. sup s = (@a. (!x. x IN s ==> x <= a) /\ (!b. (!x. x IN s ==> x <= b) ==> a <= b))
% Goal: !f s. (?d. d division_of s) ==> set_variation s f = sup {sum d (\k. norm (f k)) | d division_of s}
%  TYPES
thf(tq48167, type, q48167 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(csum, type, sum : (((cartrealm > $o) > $o) > ((cartrealm > $o) > real) > real)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(csetuu_variation, type, setu_variation : ((cartrealm > $o) > ((cartrealm > $o) > cartrealn) > real)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFORALLu_INu_GSPECu_conjunct0, axiom, ![Q:(real > $o),P:(q48167 > $o),F:(q48167 > real)]:(![Z:real]:((in @ Z @ (gspec @ ^[GENR_PVARR_20:real]:?[X:q48167]:(setspec @ GENR_PVARR_20 @ (P @ X) @ (F @ X)))) => (Q @ Z)) <=> ![X:q48167]:((P @ X) => (Q @ (F @ X))))).
thf(aSETu_VARIATIONu_ELEMENTARYu_LEMMA, axiom, ![B:real,F:((cartrealm > $o) > cartrealn),S:(cartrealm > $o)]:(?[D:((cartrealm > $o) > $o)]:(divisionu_of @ D @ S) => (![D:((cartrealm > $o) > $o),T:(cartrealm > $o)]:(((divisionu_of @ D @ T) & (subset @ T @ S)) => (realu_le @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))) @ B)) <=> ![D:((cartrealm > $o) > $o)]:((divisionu_of @ D @ S) => (realu_le @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))) @ B))))).
thf(aTRUTH, axiom, $true).
thf(asetu_variation, axiom, ![S:(cartrealm > $o),F:((cartrealm > $o) > cartrealn)]:((setu_variation @ S @ F) = (sup @ (gspec @ ^[GENR_PVARR_1799:real]:?[D:((cartrealm > $o) > $o)]:(setspec @ GENR_PVARR_1799 @ ?[T:(cartrealm > $o)]:((divisionu_of @ D @ T) & (subset @ T @ S)) @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K)))))))).
thf(asup, axiom, ![S:(real > $o)]:((sup @ S) = (h_ @ ^[A:real]:(![X:real]:((in @ X @ S) => (realu_le @ X @ A)) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ X @ B)) => (realu_le @ A @ B)))))).
thf(conjecture, conjecture, ![F:((cartrealm > $o) > cartrealn),S:(cartrealm > $o)]:(?[D:((cartrealm > $o) > $o)]:(divisionu_of @ D @ S) => ((setu_variation @ S @ F) = (sup @ (gspec @ ^[GENR_PVARR_1801:real]:?[D:((cartrealm > $o) > $o)]:(setspec @ GENR_PVARR_1801 @ (divisionu_of @ D @ S) @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))))))))).
