%   ORIGINAL: SET_VARIATION_ON_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ELEMENTARY_INTERVAL: !a b. ?p. p division_of interval [a,b]
% Assm: SET_VARIATION_ON_ELEMENTARY: !f s. (?d. d division_of s) ==> set_variation s f = sup {sum d (\k. norm (f k)) | d division_of s}
% Assm: TRUTH: T
% Goal: !f a b. set_variation (interval [a,b]) f = sup {sum d (\k. norm (f k)) | d division_of interval [a,b]}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. ?p. p division_of interval [a,b]
% Assm: !f s. (?d. d division_of s) ==> set_variation s f = sup {sum d (\k. norm (f k)) | d division_of s}
% Assm: T
% Goal: !f a b. set_variation (interval [a,b]) f = sup {sum d (\k. norm (f k)) | d division_of interval [a,b]}
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(csum, type, sum : (((cartrealm > $o) > $o) > ((cartrealm > $o) > real) > real)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(csetuu_variation, type, setu_variation : ((cartrealm > $o) > ((cartrealm > $o) > cartrealn) > real)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aELEMENTARYu_INTERVAL, axiom, ![A:cartrealm,B:cartrealm]:?[P:((cartrealm > $o) > $o)]:(divisionu_of @ P @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aSETu_VARIATIONu_ONu_ELEMENTARY, axiom, ![F:((cartrealm > $o) > cartrealn),S:(cartrealm > $o)]:(?[D:((cartrealm > $o) > $o)]:(divisionu_of @ D @ S) => ((setu_variation @ S @ F) = (sup @ (gspec @ ^[GENR_PVARR_1801:real]:?[D:((cartrealm > $o) > $o)]:(setspec @ GENR_PVARR_1801 @ (divisionu_of @ D @ S) @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealm > $o) > cartrealn),A:cartrealm,B:cartrealm]:((setu_variation @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F) = (sup @ (gspec @ ^[GENR_PVARR_1802:real]:?[D:((cartrealm > $o) > $o)]:(setspec @ GENR_PVARR_1802 @ (divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K)))))))).
