%   ORIGINAL: SET_VARIATION_UBOUND_ON_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ELEMENTARY_INTERVAL: !a b. ?p. p division_of interval [a,b]
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SET_VARIATION_ELEMENTARY_LEMMA: !f s. (?d. d division_of s) ==> ((!d t. d division_of t /\ t SUBSET s ==> sum d (\k. norm (f k)) <= b) <=> (!d. d division_of s ==> sum d (\k. norm (f k)) <= b))
% Assm: SET_VARIATION_UBOUND: !f s B. has_bounded_setvariation_on f s /\ (!d t. d division_of t /\ t SUBSET s ==> sum d (\k. norm (f k)) <= B) ==> set_variation s f <= B
% Assm: TRUTH: T
% Goal: !f a b B. has_bounded_setvariation_on f (interval [a,b]) /\ (!d. d division_of interval [a,b] ==> sum d (\k. norm (f k)) <= B) ==> set_variation (interval [a,b]) f <= B
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. ?p. p division_of interval [a,b]
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !b f s. (?d. d division_of s) ==> ((!d t. d division_of t /\ t SUBSET s ==> sum d (\k. norm (f k)) <= b) <=> (!d. d division_of s ==> sum d (\k. norm (f k)) <= b))
% Assm: !f s B. has_bounded_setvariation_on f s /\ (!d t. d division_of t /\ t SUBSET s ==> sum d (\k. norm (f k)) <= B) ==> set_variation s f <= B
% Assm: T
% Goal: !f a b B. has_bounded_setvariation_on f (interval [a,b]) /\ (!d. d division_of interval [a,b] ==> sum d (\k. norm (f k)) <= B) ==> set_variation (interval [a,b]) f <= B
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(csetuu_variation, type, setu_variation : ((cartrealm > $o) > ((cartrealm > $o) > cartrealn) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(csum, type, sum : (((cartrealm > $o) > $o) > ((cartrealm > $o) > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(chasuu_boundeduu_setvariationuu_on, type, hasu_boundedu_setvariationu_on : (((cartrealm > $o) > cartrealn) > (cartrealm > $o) > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aELEMENTARYu_INTERVAL, axiom, ![A:cartrealm,B:cartrealm]:?[P:((cartrealm > $o) > $o)]:(divisionu_of @ P @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSETu_VARIATIONu_ELEMENTARYu_LEMMA, axiom, ![B:real,F:((cartrealm > $o) > cartrealn),S:(cartrealm > $o)]:(?[D:((cartrealm > $o) > $o)]:(divisionu_of @ D @ S) => (![D:((cartrealm > $o) > $o),T:(cartrealm > $o)]:(((divisionu_of @ D @ T) & (subset @ T @ S)) => (realu_le @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))) @ B)) <=> ![D:((cartrealm > $o) > $o)]:((divisionu_of @ D @ S) => (realu_le @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))) @ B))))).
thf(aSETu_VARIATIONu_UBOUND, axiom, ![F:((cartrealm > $o) > cartrealn),S:(cartrealm > $o),B:real]:(((hasu_boundedu_setvariationu_on @ F @ S) & ![D:((cartrealm > $o) > $o),T:(cartrealm > $o)]:(((divisionu_of @ D @ T) & (subset @ T @ S)) => (realu_le @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))) @ B))) => (realu_le @ (setu_variation @ S @ F) @ B))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealm > $o) > cartrealn),A:cartrealm,B:cartrealm,B0:real]:(((hasu_boundedu_setvariationu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![D:((cartrealm > $o) > $o)]:((divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (realu_le @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))) @ B0))) => (realu_le @ (setu_variation @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F) @ B0))).
