%   ORIGINAL: SET_VARIATION_GE_FUNCTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIVISION_OF_SELF: !a b. ~(interval [a,b] = {}) ==> {interval [a,b]} division_of interval [a,b]
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: SET_VARIATION_LBOUND: !f s B. has_bounded_setvariation_on f s /\ (?d t. d division_of t /\ t SUBSET s /\ B <= sum d (\k. norm (f k))) ==> B <= set_variation s f
% Assm: SUM_SING: !f x. sum {x} f = f x
% Assm: TRUTH: T
% Goal: !f s a b. has_bounded_setvariation_on f s /\ interval [a,b] SUBSET s /\ ~(interval [a,b] = {}) ==> norm (f (interval [a,b])) <= set_variation s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. ~(interval [a,b] = {}) ==> {interval [a,b]} division_of interval [a,b]
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !f s B. has_bounded_setvariation_on f s /\ (?d t. d division_of t /\ t SUBSET s /\ B <= sum d (\k. norm (f k))) ==> B <= set_variation s f
% Assm: !f x. sum {x} f = f x
% Assm: T
% Goal: !f s a b. has_bounded_setvariation_on f s /\ interval [a,b] SUBSET s /\ ~(interval [a,b] = {}) ==> norm (f (interval [a,b])) <= set_variation s f
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(csum0, type, sum0 : ((cartrealm > $o) > (cartrealm > real) > real)).
thf(csum, type, sum : (((cartrealm > $o) > $o) > ((cartrealm > $o) > real) > real)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(csetuu_variation, type, setu_variation : ((cartrealm > $o) > ((cartrealm > $o) > cartrealn) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(chasuu_boundeduu_setvariationuu_on, type, hasu_boundedu_setvariationu_on : (((cartrealm > $o) > cartrealn) > (cartrealm > $o) > $o)).
thf(cinsert0, type, insert0 : (cartrealm > (cartrealm > $o) > cartrealm > $o)).
thf(cinsert, type, insert : ((cartrealm > $o) > ((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cempty0, type, empty0 : ((cartrealm > $o) > $o)).
thf(cempty, type, empty : (cartrealm > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm > $o),G:(a > cartrealm > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIVISIONu_OFu_SELF, axiom, ![A:cartrealm,B:cartrealm]:(~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)) => (divisionu_of @ (insert @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ empty0) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSETu_VARIATIONu_LBOUND, axiom, ![F:((cartrealm > $o) > cartrealn),S:(cartrealm > $o),B:real]:(((hasu_boundedu_setvariationu_on @ F @ S) & ?[D:((cartrealm > $o) > $o),T:(cartrealm > $o)]:((divisionu_of @ D @ T) & (subset @ T @ S) & (realu_le @ B @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K)))))) => (realu_le @ B @ (setu_variation @ S @ F)))).
thf(aSUMu_SING, axiom, ![F:(cartrealm > real),X:cartrealm]:((sum0 @ (insert0 @ X @ empty) @ F) = (F @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealm > $o) > cartrealn),S:(cartrealm > $o),A:cartrealm,B:cartrealm]:(((hasu_boundedu_setvariationu_on @ F @ S) & (subset @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ S) & ~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty))) => (realu_le @ (vectoru_norm @ (F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) @ (setu_variation @ S @ F)))).
