%   ORIGINAL: ABSOLUTELY_INTEGRABLE_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGRAL_NORM_BOUND_INTEGRAL: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> norm (integral s f) <= drop (integral s g)
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: TRUTH: T
% Assm: absolutely_integrable_on: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !f s. f absolutely_integrable_on s ==> norm (integral s f) <= drop (integral s (\x. lift (norm (f x))))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> norm (integral s f) <= drop (integral s g)
% Assm: !x. drop (lift x) = x
% Assm: !x. x <= x
% Assm: T
% Assm: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !f s. f absolutely_integrable_on s ==> norm (integral s f) <= drop (integral s (\x. lift (norm (f x))))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cintegral0, type, integral0 : ((cartrealm > $o) > (cartrealm > cartrealn1) > cartrealn1)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGRALu_NORMu_BOUNDu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn1),S:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (integrableu_on0 @ G @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (drop @ (G @ X))))) => (realu_le @ (vectoru_norm @ (integral @ S @ F)) @ (drop @ (integral0 @ S @ G))))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(aabsolutelyu_integrableu_on, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((absolutelyu_integrableu_on @ F @ S) <=> ((integrableu_on @ F @ S) & (integrableu_on0 @ ^[X:cartrealm]:(lift @ (vectoru_norm @ (F @ X))) @ S)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((absolutelyu_integrableu_on @ F @ S) => (realu_le @ (vectoru_norm @ (integral @ S @ F)) @ (drop @ (integral0 @ S @ ^[X:cartrealm]:(lift @ (vectoru_norm @ (F @ X)))))))).
