%   ORIGINAL: ABSOLUTELY_INTEGRABLE_CMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGRABLE_CMUL: !f c s. f integrable_on s ==> (\x. c % f x) integrable_on s
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: TRUTH: T
% Assm: absolutely_integrable_on: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !f s c. f absolutely_integrable_on s ==> (\x. c % f x) absolutely_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f c s. f integrable_on s ==> (\x. c % f x) integrable_on s
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: T
% Assm: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !f s c. f absolutely_integrable_on s ==> (\x. c % f x) absolutely_integrable_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq479960, type, cartrealq479960 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq479960, type, q479960 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tcartrealq479955, type, cartrealq479955 : $tType).
thf(tq479955, type, q479955 : $tType).
%  CONSTS
thf(cintegrableuu_on1, type, integrableu_on1 : ((cartrealq479960 > cartrealn1) > (cartrealq479960 > $o) > $o)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealq479960 > cartrealq479955) > (cartrealq479960 > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq479955 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealq479955) > (cartrealm > $o) > $o)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealq479960 > cartrealq479955) > (cartrealq479960 > $o) > $o)).
thf(cru_0, type, r_0 : (real > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealq479955 > cartrealq479955)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGRABLEu_CMUL, axiom, ![F:(cartrealm > cartrealq479955),C:real,S:(cartrealm > $o)]:((integrableu_on @ F @ S) => (integrableu_on @ ^[X:cartrealm]:(r_ @ C @ (F @ X)) @ S))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_0 @ C @ (lift @ X)))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealq479955]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aTRUTH, axiom, $true).
thf(aabsolutelyu_integrableu_on, axiom, ![F:(cartrealq479960 > cartrealq479955),S:(cartrealq479960 > $o)]:((absolutelyu_integrableu_on @ F @ S) <=> ((integrableu_on0 @ F @ S) & (integrableu_on1 @ ^[X:cartrealq479960]:(lift @ (vectoru_norm @ (F @ X))) @ S)))).
thf(conjecture, conjecture, ![F:(cartrealq479960 > cartrealq479955),S:(cartrealq479960 > $o),C:real]:((absolutelyu_integrableu_on @ F @ S) => (absolutelyu_integrableu_on @ ^[X:cartrealq479960]:(r_ @ C @ (F @ X)) @ S))).
