%   ORIGINAL: ABSOLUTELY_INTEGRABLE_NORM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: TRUTH: T
% Assm: absolutely_integrable_on: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !f s. f absolutely_integrable_on s ==> (\x. lift (norm (f x))) absolutely_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm (lift x) = abs x
% Assm: !x. abs (norm x) = norm x
% Assm: T
% Assm: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !f s. f absolutely_integrable_on s ==> (\x. lift (norm (f x))) absolutely_integrable_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq480015, type, q480015 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq480010, type, cartrealq480010 : $tType).
thf(tcartrealq480015, type, cartrealq480015 : $tType).
thf(tq480010, type, q480010 : $tType).
%  CONSTS
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealq480015 > cartrealn1) > (cartrealq480015 > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealq480015 > cartrealq480010) > (cartrealq480015 > $o) > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq480010 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cabsolutelyuu_integrableuu_on0, type, absolutelyu_integrableu_on0 : ((cartrealq480015 > cartrealn1) > (cartrealq480015 > $o) > $o)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealq480015 > cartrealq480010) > (cartrealq480015 > $o) > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm0 @ (lift @ X)) = (realu_abs @ X))).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealq480010]:((realu_abs @ (vectoru_norm @ X)) = (vectoru_norm @ X))).
thf(aTRUTH, axiom, $true).
thf(aabsolutelyu_integrableu_on, axiom, ![F:(cartrealq480015 > cartrealq480010),S:(cartrealq480015 > $o)]:((absolutelyu_integrableu_on @ F @ S) <=> ((integrableu_on @ F @ S) & (integrableu_on0 @ ^[X:cartrealq480015]:(lift @ (vectoru_norm @ (F @ X))) @ S)))).
thf(conjecture, conjecture, ![F:(cartrealq480015 > cartrealq480010),S:(cartrealq480015 > $o)]:((absolutelyu_integrableu_on @ F @ S) => (absolutelyu_integrableu_on0 @ ^[X:cartrealq480015]:(lift @ (vectoru_norm @ (F @ X))) @ S))).
