%   ORIGINAL: ABSOLUTELY_INTEGRABLE_RESTRICT_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: INTEGRABLE_RESTRICT_UNIV: !f s. (\x. if x IN s then f x else vec 0) integrable_on (:real^M) <=> f integrable_on s
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: NORM_0: norm (vec 0) = &0
% Assm: TRUTH: T
% Assm: absolutely_integrable_on: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !f s. (\x. if x IN s then f x else vec 0) absolutely_integrable_on (:real^M) <=> f absolutely_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !f s. (\x. if x IN s then f x else vec 0) integrable_on (:real^M) <=> f integrable_on s
% Assm: !n. lift (&n) = vec n
% Assm: norm (vec 0) = &0
% Assm: T
% Assm: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !f s. (\x. if x IN s then f x else vec 0) absolutely_integrable_on (:real^M) <=> f absolutely_integrable_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq483053, type, cartrealq483053 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq483053, type, q483053 : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq483053 > real)).
thf(cvec0, type, vec0 : (num > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealq483053) > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealm > cartrealq483053) > (cartrealm > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > cartrealq483053 > cartrealq483053 > cartrealq483053)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq483053)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_RAND, axiom, ![B:$o,F:(cartrealq483053 > cartrealq483053),X:cartrealq483053,Y:cartrealq483053]:((F @ (cond @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aINTEGRABLEu_RESTRICTu_UNIV, axiom, ![F:(cartrealm > cartrealq483053),S:(cartrealm > $o)]:((integrableu_on @ ^[X:cartrealm]:(cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ) <=> (integrableu_on @ F @ S))).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec0 @ N))).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(aabsolutelyu_integrableu_on, axiom, ![F:(cartrealm > cartrealq483053),S:(cartrealm > $o)]:((absolutelyu_integrableu_on @ F @ S) <=> ((integrableu_on @ F @ S) & (integrableu_on0 @ ^[X:cartrealm]:(lift @ (vectoru_norm @ (F @ X))) @ S)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealq483053),S:(cartrealm > $o)]:((absolutelyu_integrableu_on @ ^[X:cartrealm]:(cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ) <=> (absolutelyu_integrableu_on @ F @ S))).
