%   ORIGINAL: ABSOLUTELY_INTEGRABLE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ABSOLUTELY_INTEGRABLE_ADD: !f g s. f absolutely_integrable_on s /\ g absolutely_integrable_on s ==> (\x. f x + g x) absolutely_integrable_on s
% Assm: ABSOLUTELY_INTEGRABLE_NEG: !f s. f absolutely_integrable_on s ==> (\x. --f x) absolutely_integrable_on s
% Assm: TRUTH: T
% Assm: VECTOR_SUB: x - y = x + --y
% Goal: !f g s. f absolutely_integrable_on s /\ g absolutely_integrable_on s ==> (\x. f x - g x) absolutely_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. f absolutely_integrable_on s /\ g absolutely_integrable_on s ==> (\x. f x + g x) absolutely_integrable_on s
% Assm: !f s. f absolutely_integrable_on s ==> (\x. --f x) absolutely_integrable_on s
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !f g s. f absolutely_integrable_on s /\ g absolutely_integrable_on s ==> (\x. f x - g x) absolutely_integrable_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aABSOLUTELYu_INTEGRABLEu_ADD, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((absolutelyu_integrableu_on @ F @ S) & (absolutelyu_integrableu_on @ G @ S)) => (absolutelyu_integrableu_on @ ^[X:cartrealm]:(vectoru_add @ (F @ X) @ (G @ X)) @ S))).
thf(aABSOLUTELYu_INTEGRABLEu_NEG, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((absolutelyu_integrableu_on @ F @ S) => (absolutelyu_integrableu_on @ ^[X:cartrealm]:(vectoru_neg @ (F @ X)) @ S))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub @ X @ Y) = (vectoru_add @ X @ (vectoru_neg @ Y)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((absolutelyu_integrableu_on @ F @ S) & (absolutelyu_integrableu_on @ G @ S)) => (absolutelyu_integrableu_on @ ^[X:cartrealm]:(vectoru_sub @ (F @ X) @ (G @ X)) @ S))).
