%   ORIGINAL: ABSOLUTELY_INTEGRABLE_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ABSOLUTELY_INTEGRABLE_0: !s. (\x. vec 0) absolutely_integrable_on s
% Assm: ABSOLUTELY_INTEGRABLE_ADD: !f g s. f absolutely_integrable_on s /\ g absolutely_integrable_on s ==> (\x. f x + g x) absolutely_integrable_on s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !f s t. FINITE t /\ (!a. a IN t ==> f a absolutely_integrable_on s) ==> (\x. vsum t (\a. f a x)) absolutely_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. (\x. vec 0) absolutely_integrable_on s
% Assm: !f g s. f absolutely_integrable_on s /\ g absolutely_integrable_on s ==> (\x. f x + g x) absolutely_integrable_on s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !f s t. FINITE t /\ (!a. a IN t ==> f a absolutely_integrable_on s) ==> (\x. vsum t (\a. f a x)) absolutely_integrable_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aABSOLUTELYu_INTEGRABLEu_0, axiom, ![S:(cartrealm > $o)]:(absolutelyu_integrableu_on @ ^[X:cartrealm]:(vec @ (numeral @ u_0)) @ S)).
thf(aABSOLUTELYu_INTEGRABLEu_ADD, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((absolutelyu_integrableu_on @ F @ S) & (absolutelyu_integrableu_on @ G @ S)) => (absolutelyu_integrableu_on @ ^[X:cartrealm]:(vectoru_add @ (F @ X) @ (G @ X)) @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(a > cartrealn)]:((vsum @ empty @ F) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:a,F:(a > cartrealn),S:(a > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(conjecture, conjecture, ![F:(a > cartrealm > cartrealn),S:(cartrealm > $o),T:(a > $o)]:(((finite @ T) & ![A:a]:((in @ A @ T) => (absolutelyu_integrableu_on @ (F @ A) @ S))) => (absolutelyu_integrableu_on @ ^[X:cartrealm]:(vsum @ T @ ^[A:a]:(F @ A @ X)) @ S))).
