%   ORIGINAL: NONNEGATIVE_ABSOLUTELY_INTEGRABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ABSOLUTELY_INTEGRABLE_ABS_EQ: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lambda i. abs (f x$i)) integrable_on s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: INTEGRABLE_EQ: !f g s. (!x. x IN s ==> f x = g x) /\ f integrable_on s ==> g integrable_on s
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Goal: !f s. (!x i. x IN s /\ 1 <= i /\ i <= dimindex (:N) ==> &0 <= f x$i) /\ f integrable_on s ==> f absolutely_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lambda i. abs (f x$i)) integrable_on s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g s. (!x. x IN s ==> f x = g x) /\ f integrable_on s ==> g integrable_on s
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: T
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Goal: !f s. (!x i. x IN s /\ 1 <= i /\ i <= dimindex (:N) ==> &0 <= f x$i) /\ f integrable_on s ==> f absolutely_integrable_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aABSOLUTELYu_INTEGRABLEu_ABSu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((absolutelyu_integrableu_on @ F @ S) <=> ((integrableu_on @ F @ S) & (integrableu_on @ ^[X:cartrealm]:(lambda0 @ ^[I:num]:(realu_abs @ (d_ @ (F @ X) @ I))) @ S)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aINTEGRABLEu_EQ, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => ((F @ X) = (G @ X))) & (integrableu_on @ F @ S)) => (integrableu_on @ G @ S))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond0 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm,I:num]:(((in @ X @ S) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (d_ @ (F @ X) @ I))) & (integrableu_on @ F @ S)) => (absolutelyu_integrableu_on @ F @ S))).
