%   ORIGINAL: ABSOLUTELY_INTEGRABLE_ABSOLUTELY_INTEGRABLE_COMPONENT_LBOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ABSOLUTELY_INTEGRABLE_ADD: !f g s. f absolutely_integrable_on s /\ g absolutely_integrable_on s ==> (\x. f x + g x) absolutely_integrable_on s
% Assm: ABSOLUTELY_INTEGRABLE_IMP_INTEGRABLE: !f s. f absolutely_integrable_on s ==> f integrable_on s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTEGRABLE_SUB: !f g s. f integrable_on s /\ g integrable_on s ==> (\x. f x - g x) integrable_on s
% Assm: NONNEGATIVE_ABSOLUTELY_INTEGRABLE: !f s. (!x i. x IN s /\ 1 <= i /\ i <= dimindex (:N) ==> &0 <= f x$i) /\ f integrable_on s ==> f absolutely_integrable_on s
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: TRUTH: T
% Assm: VECTOR_SUB_ADD2: y + x - y = x
% Assm: VECTOR_SUB_COMPONENT: !x y i. (x - y)$i = x$i - y$i
% Goal: !f g s. (!x i. x IN s /\ 1 <= i /\ i <= dimindex (:N) ==> f x$i <= g x$i) /\ f absolutely_integrable_on s /\ g integrable_on s ==> g absolutely_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. f absolutely_integrable_on s /\ g absolutely_integrable_on s ==> (\x. f x + g x) absolutely_integrable_on s
% Assm: !f s. f absolutely_integrable_on s ==> f integrable_on s
% Assm: !t. (\x. t x) = t
% Assm: !f g s. f integrable_on s /\ g integrable_on s ==> (\x. f x - g x) integrable_on s
% Assm: !f s. (!x i. x IN s /\ 1 <= i /\ i <= dimindex (:N) ==> &0 <= f x$i) /\ f integrable_on s ==> f absolutely_integrable_on s
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: T
% Assm: !y x. y + x - y = x
% Assm: !x y i. (x - y)$i = x$i - y$i
% Goal: !f g s. (!x i. x IN s /\ 1 <= i /\ i <= dimindex (:N) ==> f x$i <= g x$i) /\ f absolutely_integrable_on s /\ g integrable_on s ==> g absolutely_integrable_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aABSOLUTELYu_INTEGRABLEu_ADD, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((absolutelyu_integrableu_on @ F @ S) & (absolutelyu_integrableu_on @ G @ S)) => (absolutelyu_integrableu_on @ ^[X:cartrealm]:(vectoru_add @ (F @ X) @ (G @ X)) @ S))).
thf(aABSOLUTELYu_INTEGRABLEu_IMPu_INTEGRABLE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((absolutelyu_integrableu_on @ F @ S) => (integrableu_on @ F @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTEGRABLEu_SUB, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (integrableu_on @ G @ S)) => (integrableu_on @ ^[X:cartrealm]:(vectoru_sub @ (F @ X) @ (G @ X)) @ S))).
thf(aNONNEGATIVEu_ABSOLUTELYu_INTEGRABLE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm,I:num]:(((in @ X @ S) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (d_ @ (F @ X) @ I))) & (integrableu_on @ F @ S)) => (absolutelyu_integrableu_on @ F @ S))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_ADD2, axiom, ![Y:cartrealn,X:cartrealn]:((vectoru_add @ Y @ (vectoru_sub @ X @ Y)) = X)).
thf(aVECTORu_SUBu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_ @ (vectoru_sub @ X @ Y) @ I) = (realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm,I:num]:(((in @ X @ S) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ (F @ X) @ I) @ (d_ @ (G @ X) @ I))) & (absolutelyu_integrableu_on @ F @ S) & (integrableu_on @ G @ S)) => (absolutelyu_integrableu_on @ G @ S))).
