%   ORIGINAL: INTEGRABLE_COMPONENTWISE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXISTS_LIFT: (?x. P x) <=> (?x. P (lift x))
% Assm: HAS_INTEGRAL_COMPONENTWISE: !f s y. (f has_integral y) s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. lift (f x$i)) has_integral lift (y$i)) s)
% Assm: LAMBDA_SKOLEM: (!i. 1 <= i /\ i <= dimindex (:N) ==> (?x. P i x)) <=> (?x. !i. 1 <= i /\ i <= dimindex (:N) ==> P i (x$i))
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f s. f integrable_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) integrable_on s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (?x. P x) <=> (?x. P (lift x))
% Assm: !f s y. (f has_integral y) s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. lift (f x$i)) has_integral lift (y$i)) s)
% Assm: !P. (!i. 1 <= i /\ i <= dimindex (:N) ==> (?x. P i x)) <=> (?x. !i. 1 <= i /\ i <= dimindex (:N) ==> P i (x$i))
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f s. f integrable_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) integrable_on s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealm > cartrealn1) > cartrealn1 > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXISTSu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(?[X:cartrealn1]:(P @ X) <=> ?[X:real]:(P @ (lift @ X)))).
thf(aHASu_INTEGRALu_COMPONENTWISE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),Y:cartrealn]:((hasu_integral @ F @ Y @ S) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (hasu_integral0 @ ^[X:cartrealm]:(lift @ (d_ @ (F @ X) @ I)) @ (lift @ (d_ @ Y @ I)) @ S)))).
thf(aLAMBDAu_SKOLEM, axiom, ![P:(num > real > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ?[X:real]:(P @ I @ X)) <=> ?[X:cartrealn]:![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (P @ I @ (d_ @ X @ I))))).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_onu_monomorphized1, axiom, ![F:(cartrealm > cartrealn1),I:(cartrealm > $o)]:((integrableu_on0 @ F @ I) <=> ?[Y:cartrealn1]:(hasu_integral0 @ F @ Y @ I))).
thf(aintegrableu_onu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn]:(hasu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ F @ S) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (integrableu_on0 @ ^[X:cartrealm]:(lift @ (d_ @ (F @ X) @ I)) @ S)))).
