%   ORIGINAL: LIFT_INTEGRAL_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INDEX_INRANGE: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: HAS_INTEGRAL_COMPONENTWISE: !f s y. (f has_integral y) s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. lift (f x$i)) has_integral lift (y$i)) s)
% Assm: INTEGRABLE_INTEGRAL: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: TRUTH: T
% Goal: !f. f integrable_on s ==> lift (integral s f$k) = integral s (\x. lift (f x$k))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: !f s y. (f has_integral y) s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. lift (f x$i)) has_integral lift (y$i)) s)
% Assm: !f i. f integrable_on i ==> (f has_integral integral i f) i
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: T
% Goal: !k s f. f integrable_on s ==> lift (integral s f$k) = integral s (\x. lift (f x$k))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealm > cartrealn1) > cartrealn1 > (cartrealm > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cintegral0, type, integral0 : ((cartrealm > $o) > (cartrealm > cartrealn1) > cartrealn1)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn1),G:(a > cartrealn1)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INDEXu_INRANGE, axiom, ![I:num]:?[K:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealn]:((d_ @ X @ I) = (d_ @ X @ K)))).
thf(aHASu_INTEGRALu_COMPONENTWISE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),Y:cartrealn]:((hasu_integral @ F @ Y @ S) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (hasu_integral0 @ ^[X:cartrealm]:(lift @ (d_ @ (F @ X) @ I)) @ (lift @ (d_ @ Y @ I)) @ S)))).
thf(aINTEGRABLEu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o)]:((integrableu_on @ F @ I) => (hasu_integral @ F @ (integral @ I @ F) @ I))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn1),Y:cartrealn1,K:(cartrealm > $o)]:((hasu_integral0 @ F @ Y @ K) => ((integral0 @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![K:num,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((integrableu_on @ F @ S) => ((lift @ (d_ @ (integral @ S @ F) @ K)) = (integral0 @ S @ ^[X:cartrealm]:(lift @ (d_ @ (F @ X) @ K)))))).
