%   ORIGINAL: INTEGRAL_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIFT_INTEGRAL_COMPONENT: !f. f integrable_on s ==> lift (integral s f$k) = integral s (\x. lift (f x$k))
% Assm: TRUTH: T
% Goal: !f. f integrable_on s ==> integral s f$k = drop (integral s (\x. lift (f x$k)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. drop (lift x) = x
% Assm: !s k f. f integrable_on s ==> lift (integral s f$k) = integral s (\x. lift (f x$k))
% Assm: T
% Goal: !k s f. f integrable_on s ==> integral s f$k = drop (integral s (\x. lift (f x$k)))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cintegral0, type, integral0 : ((cartrealm > $o) > (cartrealm > cartrealn1) > cartrealn1)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIFTu_INTEGRALu_COMPONENT, axiom, ![S:(cartrealm > $o),K:num,F:(cartrealm > cartrealn)]:((integrableu_on @ F @ S) => ((lift @ (d_ @ (integral @ S @ F) @ K)) = (integral0 @ S @ ^[X:cartrealm]:(lift @ (d_ @ (F @ X) @ K)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![K:num,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((integrableu_on @ F @ S) => ((d_ @ (integral @ S @ F) @ K) = (drop @ (integral0 @ S @ ^[X:cartrealm]:(lift @ (d_ @ (F @ X) @ K))))))).
