%   ORIGINAL: DOMINATED_CONVERGENCE_ABSOLUTELY_INTEGRABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ABSOLUTELY_INTEGRABLE_INTEGRABLE_BOUND: !f g s. (!x. x IN s ==> norm (f x) <= drop (g x)) /\ f integrable_on s /\ g integrable_on s ==> f absolutely_integrable_on s
% Assm: DOMINATED_CONVERGENCE_INTEGRABLE: !f g h s. (!k. f k absolutely_integrable_on s) /\ h integrable_on s /\ (!k x. x IN s ==> norm (g x) <= drop (h x)) /\ (!x. x IN s ==> ((\k. f k x) --> g x) sequentially) ==> g integrable_on s
% Assm: TRUTH: T
% Goal: !f g h s. (!k. f k absolutely_integrable_on s) /\ h integrable_on s /\ (!k x. x IN s ==> norm (g x) <= drop (h x)) /\ (!x. x IN s ==> ((\k. f k x) --> g x) sequentially) ==> g absolutely_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. (!x. x IN s ==> norm (f x) <= drop (g x)) /\ f integrable_on s /\ g integrable_on s ==> f absolutely_integrable_on s
% Assm: !f g h s. (!k. f k absolutely_integrable_on s) /\ h integrable_on s /\ (!k x. x IN s ==> norm (g x) <= drop (h x)) /\ (!x. x IN s ==> ((\k. f k x) --> g x) sequentially) ==> g integrable_on s
% Assm: T
% Goal: !f g h s. (!k. f k absolutely_integrable_on s) /\ h integrable_on s /\ (!k x. x IN s ==> norm (g x) <= drop (h x)) /\ (!x. x IN s ==> ((\k. f k x) --> g x) sequentially) ==> g absolutely_integrable_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tq486797, type, q486797 : $tType).
thf(tn, type, n : $tType).
thf(tq486710, type, q486710 : $tType).
%  CONSTS
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(csequentially, type, sequentially : netnum).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aABSOLUTELYu_INTEGRABLEu_INTEGRABLEu_BOUND, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn1),S:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (drop @ (G @ X)))) & (integrableu_on0 @ F @ S) & (integrableu_on @ G @ S)) => (absolutelyu_integrableu_on @ F @ S))).
thf(aDOMINATEDu_CONVERGENCEu_INTEGRABLE, axiom, ![F:(num > cartrealm > cartrealn),G:(cartrealm > cartrealn),H:(cartrealm > cartrealn1),S:(cartrealm > $o)]:((![K:num]:(absolutelyu_integrableu_on @ (F @ K) @ S) & (integrableu_on @ H @ S) & ![K:q486710,X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (G @ X)) @ (drop @ (H @ X)))) & ![X:cartrealm]:((in @ X @ S) => (m_m_g_ @ ^[K:num]:(F @ K @ X) @ (G @ X) @ sequentially))) => (integrableu_on0 @ G @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > cartrealm > cartrealn),G:(cartrealm > cartrealn),H:(cartrealm > cartrealn1),S:(cartrealm > $o)]:((![K:num]:(absolutelyu_integrableu_on @ (F @ K) @ S) & (integrableu_on @ H @ S) & ![K:q486797,X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (G @ X)) @ (drop @ (H @ X)))) & ![X:cartrealm]:((in @ X @ S) => (m_m_g_ @ ^[K:num]:(F @ K @ X) @ (G @ X) @ sequentially))) => (absolutelyu_integrableu_on @ G @ S))).
