%   ORIGINAL: EQUIINTEGRABLE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EQUIINTEGRABLE_ADD: !fs gs s. equiintegrable_on fs s /\ equiintegrable_on gs s ==> equiintegrable_on {\x. f x + g x | f IN fs /\ g IN gs} s
% Assm: EQUIINTEGRABLE_NEG: !fs s. equiintegrable_on fs s ==> equiintegrable_on {\x. --f x | f IN fs} s
% Assm: EQUIINTEGRABLE_SUBSET: !fs gs s. equiintegrable_on fs s /\ gs SUBSET fs ==> equiintegrable_on gs s
% Assm: FORALL_IN_GSPEC_conjunct1: !P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: VECTOR_SUB: x - y = x + --y
% Goal: !fs gs s. equiintegrable_on fs s /\ equiintegrable_on gs s ==> equiintegrable_on {\x. f x - g x | f IN fs /\ g IN gs} s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !fs gs s. equiintegrable_on fs s /\ equiintegrable_on gs s ==> equiintegrable_on {\x. f x + g x | f IN fs /\ g IN gs} s
% Assm: !fs s. equiintegrable_on fs s ==> equiintegrable_on {\x. --f x | f IN fs} s
% Assm: !fs gs s. equiintegrable_on fs s /\ gs SUBSET fs ==> equiintegrable_on gs s
% Assm: !Q P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !fs gs s. equiintegrable_on fs s /\ equiintegrable_on gs s ==> equiintegrable_on {\x. f x - g x | f IN fs /\ g IN gs} s
%  TYPES
thf(tq48223, type, q48223 : $tType).
thf(tq48224, type, q48224 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : (((cartrealm > cartrealn) > $o) > ((cartrealm > cartrealn) > $o) > $o)).
thf(cin, type, in : ((cartrealm > cartrealn) > ((cartrealm > cartrealn) > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealm > cartrealn) > $o) > (cartrealm > cartrealn) > $o)).
thf(cequiintegrableuu_on, type, equiintegrableu_on : (((cartrealm > cartrealn) > $o) > (cartrealm > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : ((cartrealm > cartrealn) > $o > (cartrealm > cartrealn) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEQUIINTEGRABLEu_ADD, axiom, ![FS:((cartrealm > cartrealn) > $o),GS:((cartrealm > cartrealn) > $o),S:(cartrealm > $o)]:(((equiintegrableu_on @ FS @ S) & (equiintegrableu_on @ GS @ S)) => (equiintegrableu_on @ (gspec @ ^[GENR_PVARR_1927:(cartrealm > cartrealn)]:?[F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:(setspec @ GENR_PVARR_1927 @ ((in @ F @ FS) & (in @ G @ GS)) @ ^[X:cartrealm]:(vectoru_add @ (F @ X) @ (G @ X)))) @ S))).
thf(aEQUIINTEGRABLEu_NEG, axiom, ![FS:((cartrealm > cartrealn) > $o),S:(cartrealm > $o)]:((equiintegrableu_on @ FS @ S) => (equiintegrableu_on @ (gspec @ ^[GENR_PVARR_1928:(cartrealm > cartrealn)]:?[F:(cartrealm > cartrealn)]:(setspec @ GENR_PVARR_1928 @ (in @ F @ FS) @ ^[X:cartrealm]:(vectoru_neg @ (F @ X)))) @ S))).
thf(aEQUIINTEGRABLEu_SUBSET, axiom, ![FS:((cartrealm > cartrealn) > $o),GS:((cartrealm > cartrealn) > $o),S:(cartrealm > $o)]:(((equiintegrableu_on @ FS @ S) & (subset @ GS @ FS)) => (equiintegrableu_on @ GS @ S))).
thf(aFORALLu_INu_GSPECu_conjunct1, axiom, ![Q:((cartrealm > cartrealn) > $o),P:(q48224 > q48223 > $o),F:(q48224 > q48223 > cartrealm > cartrealn)]:(![Z:(cartrealm > cartrealn)]:((in @ Z @ (gspec @ ^[GENR_PVARR_21:(cartrealm > cartrealn)]:?[X:q48224,Y:q48223]:(setspec @ GENR_PVARR_21 @ (P @ X @ Y) @ (F @ X @ Y)))) => (Q @ Z)) <=> ![X:q48224,Y:q48223]:((P @ X @ Y) => (Q @ (F @ X @ Y))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealm > cartrealn) > $o) > $o),X:(cartrealm > cartrealn)]:((in @ X @ (gspec @ ^[V:(cartrealm > cartrealn)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealm > cartrealn)]:(P0 & (X = T))))).
thf(aSUBSET, axiom, ![S:((cartrealm > cartrealn) > $o),T:((cartrealm > cartrealn) > $o)]:((subset @ S @ T) <=> ![X:(cartrealm > cartrealn)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub @ X @ Y) = (vectoru_add @ X @ (vectoru_neg @ Y)))).
thf(conjecture, conjecture, ![FS:((cartrealm > cartrealn) > $o),GS:((cartrealm > cartrealn) > $o),S:(cartrealm > $o)]:(((equiintegrableu_on @ FS @ S) & (equiintegrableu_on @ GS @ S)) => (equiintegrableu_on @ (gspec @ ^[GENR_PVARR_1929:(cartrealm > cartrealn)]:?[F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:(setspec @ GENR_PVARR_1929 @ ((in @ F @ FS) & (in @ G @ GS)) @ ^[X:cartrealm]:(vectoru_sub @ (F @ X) @ (G @ X)))) @ S))).
