%   ORIGINAL: SECOND_MEAN_VALUE_THEOREM_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: SECOND_MEAN_VALUE_THEOREM_GEN_FULL: !f g a b u v. ~(interval [a,b] = {}) /\ f integrable_on interval [a,b] /\ (!x. x IN interval (a,b) ==> u <= g x /\ g x <= v) /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g x <= g y) ==> (?c. c IN interval [a,b] /\ ((\x. g x % f x) has_integral u % integral (interval [a,c]) f + v % integral (interval [c,b]) f) (interval [a,b]))
% Assm: TRUTH: T
% Goal: !f g a b u v. ~(interval [a,b] = {}) /\ f integrable_on interval [a,b] /\ (!x. x IN interval (a,b) ==> u <= g x /\ g x <= v) /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g x <= g y) ==> (?c. c IN interval [a,b] /\ integral (interval [a,b]) (\x. g x % f x) = u % integral (interval [a,c]) f + v % integral (interval [c,b]) f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: !f g a b u v. ~(interval [a,b] = {}) /\ f integrable_on interval [a,b] /\ (!x. x IN interval (a,b) ==> u <= g x /\ g x <= v) /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g x <= g y) ==> (?c. c IN interval [a,b] /\ ((\x. g x % f x) has_integral u % integral (interval [a,c]) f + v % integral (interval [c,b]) f) (interval [a,b]))
% Assm: T
% Goal: !f g a b u v. ~(interval [a,b] = {}) /\ f integrable_on interval [a,b] /\ (!x. x IN interval (a,b) ==> u <= g x /\ g x <= v) /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g x <= g y) ==> (?c. c IN interval [a,b] /\ integral (interval [a,b]) (\x. g x % f x) = u % integral (interval [a,c]) f + v % integral (interval [c,b]) f)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(cintegral, type, integral : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > cartrealn1)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cempty, type, empty : (cartrealn1 > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn1 > $o),G:(a > cartrealn1 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn1),G:(a > cartrealn1)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealn1 > cartrealn1),Y:cartrealn1,K:(cartrealn1 > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aSECONDu_MEANu_VALUEu_THEOREMu_GENu_FULL, axiom, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > real),A:cartrealn1,B:cartrealn1,U:real,V:real]:((~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)) & (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:cartrealn1]:((in @ X @ (openu_interval @ (c_ @ A @ B))) => ((realu_le @ U @ (G @ X)) & (realu_le @ (G @ X) @ V))) & ![X:cartrealn1,Y:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (G @ X) @ (G @ Y)))) => ?[C:cartrealn1]:((in @ C @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (hasu_integral @ ^[X:cartrealn1]:(r_ @ (G @ X) @ (F @ X)) @ (vectoru_add @ (r_ @ U @ (integral @ (closedu_interval @ (cons @ (c_ @ A @ C) @ nil)) @ F)) @ (r_ @ V @ (integral @ (closedu_interval @ (cons @ (c_ @ C @ B) @ nil)) @ F))) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > real),A:cartrealn1,B:cartrealn1,U:real,V:real]:((~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)) & (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:cartrealn1]:((in @ X @ (openu_interval @ (c_ @ A @ B))) => ((realu_le @ U @ (G @ X)) & (realu_le @ (G @ X) @ V))) & ![X:cartrealn1,Y:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (G @ X) @ (G @ Y)))) => ?[C:cartrealn1]:((in @ C @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ((integral @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ ^[X:cartrealn1]:(r_ @ (G @ X) @ (F @ X))) = (vectoru_add @ (r_ @ U @ (integral @ (closedu_interval @ (cons @ (c_ @ A @ C) @ nil)) @ F)) @ (r_ @ V @ (integral @ (closedu_interval @ (cons @ (c_ @ C @ B) @ nil)) @ F))))))).
