%   ORIGINAL: INTEGRABLE_INCREASING_PRODUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: INTEGRABLE_COMPONENTWISE: !f s. f integrable_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) integrable_on s)
% Assm: INTEGRABLE_ON_EMPTY: !f. f integrable_on {}
% Assm: I_THM: !x. I x = x
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SECOND_MEAN_VALUE_THEOREM_FULL: !f g a b. ~(interval [a,b] = {}) /\ f integrable_on interval [a,b] /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g x <= g y) ==> (?c. c IN interval [a,b] /\ ((\x. g x % f x) has_integral g a % integral (interval [a,c]) f + g b % integral (interval [c,b]) f) (interval [a,b]))
% Assm: TRUTH: T
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f g a b. f integrable_on interval [a,b] /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g x <= g y) ==> (\x. g x % f x) integrable_on interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f s. f integrable_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) integrable_on s)
% Assm: !f. f integrable_on {}
% Assm: !x. I x = x
% Assm: !x c. lift (c * x) = c % lift x
% Assm: ~F <=> T
% Assm: !f g a b. ~(interval [a,b] = {}) /\ f integrable_on interval [a,b] /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g x <= g y) ==> (?c. c IN interval [a,b] /\ ((\x. g x % f x) has_integral g a % integral (interval [a,c]) f + g b % integral (interval [c,b]) f) (interval [a,b]))
% Assm: T
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f g a b. f integrable_on interval [a,b] /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g x <= g y) ==> (\x. g x % f x) integrable_on interval [a,b]
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealn) > cartrealn > (cartrealn1 > $o) > $o)).
thf(cintegral, type, integral : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cru_0, type, r_0 : (real > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cempty, type, empty : (cartrealn1 > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINTEGRABLEu_COMPONENTWISE, axiom, ![F:(cartrealn1 > cartrealn),S:(cartrealn1 > $o)]:((integrableu_on @ F @ S) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (integrableu_on0 @ ^[X:cartrealn1]:(lift @ (d_ @ (F @ X) @ I)) @ S)))).
thf(aINTEGRABLEu_ONu_EMPTY, axiom, ![F:(cartrealn1 > cartrealn)]:(integrableu_on @ F @ empty)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_0 @ C @ (lift @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSECONDu_MEANu_VALUEu_THEOREMu_FULL, axiom, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > real),A:cartrealn1,B:cartrealn1]:((~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)) & (integrableu_on0 @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:cartrealn1,Y:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (G @ X) @ (G @ Y)))) => ?[C:cartrealn1]:((in @ C @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (hasu_integral @ ^[X:cartrealn1]:(r_0 @ (G @ X) @ (F @ X)) @ (vectoru_add @ (r_0 @ (G @ A) @ (integral @ (closedu_interval @ (cons @ (c_ @ A @ C) @ nil)) @ F)) @ (r_0 @ (G @ B) @ (integral @ (closedu_interval @ (cons @ (c_ @ C @ B) @ nil)) @ F))) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealn,I:num]:((d_ @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(aintegrableu_on, axiom, ![F:(cartrealn1 > cartrealn),I:(cartrealn1 > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn]:(hasu_integral0 @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn),G:(cartrealn1 > real),A:cartrealn1,B:cartrealn1]:(((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:cartrealn1,Y:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (G @ X) @ (G @ Y)))) => (integrableu_on @ ^[X:cartrealn1]:(r_ @ (G @ X) @ (F @ X)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
