%   ORIGINAL: INTEGRABLE_INCREASING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGRABLE_COMPONENTWISE: !f s. f integrable_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) integrable_on s)
% Assm: INTEGRABLE_CONST: !a b c. (\x. c) integrable_on interval [a,b]
% Assm: INTEGRABLE_INCREASING_PRODUCT: !f g a b. f integrable_on interval [a,b] /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g x <= g y) ==> (\x. g x % f x) integrable_on interval [a,b]
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: TRUTH: T
% Goal: !f a b. (!x y i. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y /\ 1 <= i /\ i <= dimindex (:N) ==> f x$i <= f y$i) ==> f integrable_on interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f integrable_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) integrable_on s)
% Assm: !a b c. (\x. c) integrable_on interval [a,b]
% Assm: !f g a b. f integrable_on interval [a,b] /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g x <= g y) ==> (\x. g x % f x) integrable_on interval [a,b]
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !n. lift (&n) = vec n
% Assm: !x. x * &1 = x
% Assm: T
% Goal: !f a b. (!x y i. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y /\ 1 <= i /\ i <= dimindex (:N) ==> f x$i <= f y$i) ==> f integrable_on interval [a,b]
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cuniv, type, univ : (n > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_0, type, r_0 : (real > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGRABLEu_COMPONENTWISE, axiom, ![F:(cartrealn1 > cartrealn),S:(cartrealn1 > $o)]:((integrableu_on @ F @ S) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (integrableu_on0 @ ^[X:cartrealn1]:(lift @ (d_ @ (F @ X) @ I)) @ S)))).
thf(aINTEGRABLEu_CONST, axiom, ![A:cartrealn1,B:cartrealn1,C:cartrealn]:(integrableu_on @ ^[X:cartrealn1]:C @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aINTEGRABLEu_INCREASINGu_PRODUCT, axiom, ![F:(cartrealn1 > cartrealn),G:(cartrealn1 > real),A:cartrealn1,B:cartrealn1]:(((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:cartrealn1,Y:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (G @ X) @ (G @ Y)))) => (integrableu_on @ ^[X:cartrealn1]:(r_ @ (G @ X) @ (F @ X)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_0 @ C @ (lift @ X)))).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn),A:cartrealn1,B:cartrealn1]:(![X:cartrealn1,Y:cartrealn1,I:num]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ (F @ X) @ I) @ (d_ @ (F @ Y) @ I))) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
