%   ORIGINAL: INTEGRABLE_INCREASING_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: FORALL_1: (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: INTEGRABLE_INCREASING: !f a b. (!x y i. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y /\ 1 <= i /\ i <= dimindex (:N) ==> f x$i <= f y$i) ==> f integrable_on interval [a,b]
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Goal: !f a b. (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (f x) <= drop (f y)) ==> f integrable_on interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: dimindex (:1) = 1
% Assm: !P. (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: !f a b. (!x y i. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y /\ 1 <= i /\ i <= dimindex (:1) ==> f x$i <= f y$i) ==> f integrable_on interval [a,b]
% Assm: T
% Assm: !x. drop x = x$1
% Goal: !f a b. (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (f x) <= drop (f y)) ==> f integrable_on interval [a,b]
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aFORALLu_1, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ u_0)))) => (P @ I)) <=> (P @ (numeral @ (bit1 @ u_0))))).
thf(aINTEGRABLEu_INCREASING, axiom, ![F:(cartrealn1 > cartrealn1),A:cartrealn1,B:cartrealn1]:(![X:cartrealn1,Y:cartrealn1,I:num]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ (F @ X) @ I) @ (d_ @ (F @ Y) @ I))) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn1),A:cartrealn1,B:cartrealn1]:(![X:cartrealn1,Y:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (drop @ (F @ X)) @ (drop @ (F @ Y)))) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
