%   ORIGINAL: INTEGRABLE_DECREASING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTEGRABLE_INCREASING: !f a b. (!x y i. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y /\ 1 <= i /\ i <= dimindex (:N) ==> f x$i <= f y$i) ==> f integrable_on interval [a,b]
% Assm: INTEGRABLE_NEG: !f s. f integrable_on s ==> (\x. --f x) integrable_on s
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: TRUTH: T
% Assm: VECTOR_NEG_COMPONENT: !x i. --x$i = --(x$i)
% Assm: VECTOR_NEG_NEG: -- --x = x
% Goal: !f a b. (!x y i. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y /\ 1 <= i /\ i <= dimindex (:N) ==> f y$i <= f x$i) ==> f integrable_on interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !f a b. (!x y i. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y /\ 1 <= i /\ i <= dimindex (:N) ==> f x$i <= f y$i) ==> f integrable_on interval [a,b]
% Assm: !f s. f integrable_on s ==> (\x. --f x) integrable_on s
% Assm: !x y. --x <= --y <=> y <= x
% Assm: T
% Assm: !x i. --x$i = --(x$i)
% Assm: !x. -- --x = x
% Goal: !f a b. (!x y i. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y /\ 1 <= i /\ i <= dimindex (:N) ==> f y$i <= f x$i) ==> f integrable_on interval [a,b]
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cuniv, type, univ : (n > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTEGRABLEu_INCREASING, axiom, ![F:(cartrealn1 > cartrealn),A:cartrealn1,B:cartrealn1]:(![X:cartrealn1,Y:cartrealn1,I:num]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ (F @ X) @ I) @ (d_ @ (F @ Y) @ I))) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aINTEGRABLEu_NEG, axiom, ![F:(cartrealn1 > cartrealn),S:(cartrealn1 > $o)]:((integrableu_on @ F @ S) => (integrableu_on @ ^[X:cartrealn1]:(vectoru_neg @ (F @ X)) @ S))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_COMPONENT, axiom, ![X:cartrealn,I:num]:((d_ @ (vectoru_neg @ X) @ I) = (realu_neg @ (d_ @ X @ I)))).
thf(aVECTORu_NEGu_NEG, axiom, ![X:cartrealn]:((vectoru_neg @ (vectoru_neg @ X)) = X)).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn),A:cartrealn1,B:cartrealn1]:(![X:cartrealn1,Y:cartrealn1,I:num]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ (F @ Y) @ I) @ (d_ @ (F @ X) @ I))) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
