%   ORIGINAL: VECTOR_VARIATION_GE_NORM_FUNCTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INTERVAL_EQ_EMPTY_1: !a b. (interval [a,b] = {} <=> drop b < drop a) /\ (interval (a,b) = {} <=> drop b <= drop a)
% Assm: INTERVAL_LOWERBOUND_1: !a b. drop a <= drop b ==> interval_lowerbound (interval [a,b]) = a
% Assm: INTERVAL_UPPERBOUND_1: !a b. drop a <= drop b ==> interval_upperbound (interval [a,b]) = b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: SET_VARIATION_GE_FUNCTION: !f s a b. has_bounded_setvariation_on f s /\ interval [a,b] SUBSET s /\ ~(interval [a,b] = {}) ==> norm (f (interval [a,b])) <= set_variation s f
% Assm: TRUTH: T
% Assm: has_bounded_variation_on: !f s. has_bounded_variation_on f s <=> has_bounded_setvariation_on (\k. f (interval_upperbound k) - f (interval_lowerbound k)) s
% Assm: vector_variation: !s f. vector_variation s f = set_variation s (\k. f (interval_upperbound k) - f (interval_lowerbound k))
% Goal: !f s a b. has_bounded_variation_on f s /\ interval [a,b] SUBSET s /\ ~(interval [a,b] = {}) ==> norm (f b - f a) <= vector_variation s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. (interval [a,b] = {} <=> drop b < drop a) /\ (interval (a,b) = {} <=> drop b <= drop a)
% Assm: !a b. drop a <= drop b ==> interval_lowerbound (interval [a,b]) = a
% Assm: !a b. drop a <= drop b ==> interval_upperbound (interval [a,b]) = b
% Assm: ~F <=> T
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !f s a b. has_bounded_setvariation_on f s /\ interval [a,b] SUBSET s /\ ~(interval [a,b] = {}) ==> norm (f (interval [a,b])) <= set_variation s f
% Assm: T
% Assm: !f s. has_bounded_variation_on f s <=> has_bounded_setvariation_on (\k. f (interval_upperbound k) - f (interval_lowerbound k)) s
% Assm: !s f. vector_variation s f = set_variation s (\k. f (interval_upperbound k) - f (interval_lowerbound k))
% Goal: !f s a b. has_bounded_variation_on f s /\ interval [a,b] SUBSET s /\ ~(interval [a,b] = {}) ==> norm (f b - f a) <= vector_variation s f
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(csetuu_variation, type, setu_variation : ((cartrealn1 > $o) > ((cartrealn1 > $o) > cartrealn1) > real)).
thf(chasuu_boundeduu_setvariationuu_on, type, hasu_boundedu_setvariationu_on : (((cartrealn1 > $o) > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cintervaluu_upperbound, type, intervalu_upperbound : ((cartrealn1 > $o) > cartrealn1)).
thf(cintervaluu_lowerbound, type, intervalu_lowerbound : ((cartrealn1 > $o) > cartrealn1)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_variation, type, vectoru_variation : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(csubset, type, subset : ((cartrealn1 > $o) > (cartrealn1 > $o) > $o)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cempty, type, empty : (cartrealn1 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn1 > $o),G:(a > cartrealn1 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINTERVALu_EQu_EMPTYu_1, axiom, ![A:cartrealn1,B:cartrealn1]:((((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty) <=> (realu_lt @ (drop @ B) @ (drop @ A))) & (((openu_interval @ (c_ @ A @ B)) = empty) <=> (realu_le @ (drop @ B) @ (drop @ A))))).
thf(aINTERVALu_LOWERBOUNDu_1, axiom, ![A:cartrealn1,B:cartrealn1]:((realu_le @ (drop @ A) @ (drop @ B)) => ((intervalu_lowerbound @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = A))).
thf(aINTERVALu_UPPERBOUNDu_1, axiom, ![A:cartrealn1,B:cartrealn1]:((realu_le @ (drop @ A) @ (drop @ B)) => ((intervalu_upperbound @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = B))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aSETu_VARIATIONu_GEu_FUNCTION, axiom, ![F:((cartrealn1 > $o) > cartrealn1),S:(cartrealn1 > $o),A:cartrealn1,B:cartrealn1]:(((hasu_boundedu_setvariationu_on @ F @ S) & (subset @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ S) & ~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty))) => (realu_le @ (vectoru_norm @ (F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) @ (setu_variation @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_variationu_on, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((hasu_boundedu_variationu_on @ F @ S) <=> (hasu_boundedu_setvariationu_on @ ^[K:(cartrealn1 > $o)]:(vectoru_sub @ (F @ (intervalu_upperbound @ K)) @ (F @ (intervalu_lowerbound @ K))) @ S))).
thf(avectoru_variation, axiom, ![S:(cartrealn1 > $o),F:(cartrealn1 > cartrealn1)]:((vectoru_variation @ S @ F) = (setu_variation @ S @ ^[K:(cartrealn1 > $o)]:(vectoru_sub @ (F @ (intervalu_upperbound @ K)) @ (F @ (intervalu_lowerbound @ K)))))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o),A:cartrealn1,B:cartrealn1]:(((hasu_boundedu_variationu_on @ F @ S) & (subset @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ S) & ~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty))) => (realu_le @ (vectoru_norm @ (vectoru_sub @ (F @ B) @ (F @ A))) @ (vectoru_variation @ S @ F)))).
