%   ORIGINAL: VECTOR_VARIATION_MONOTONE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SET_VARIATION_MONOTONE: !f s t. has_bounded_setvariation_on f s /\ t SUBSET s ==> set_variation t f <= set_variation s f
% Assm: TRUTH: T
% Assm: has_bounded_variation_on: !f s. has_bounded_variation_on f s <=> has_bounded_setvariation_on (\k. f (interval_upperbound k) - f (interval_lowerbound k)) s
% Assm: vector_variation: !s f. vector_variation s f = set_variation s (\k. f (interval_upperbound k) - f (interval_lowerbound k))
% Goal: !f s t. has_bounded_variation_on f s /\ t SUBSET s ==> vector_variation t f <= vector_variation s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t. has_bounded_setvariation_on f s /\ t SUBSET s ==> set_variation t f <= set_variation s f
% Assm: T
% Assm: !f s. has_bounded_variation_on f s <=> has_bounded_setvariation_on (\k. f (interval_upperbound k) - f (interval_lowerbound k)) s
% Assm: !s f. vector_variation s f = set_variation s (\k. f (interval_upperbound k) - f (interval_lowerbound k))
% Goal: !f s t. has_bounded_variation_on f s /\ t SUBSET s ==> vector_variation t f <= vector_variation s f
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csetuu_variation0, type, setu_variation0 : ((cartrealn1 > $o) > ((cartrealn1 > $o) > cartrealn1) > real)).
thf(cintervaluu_lowerbound, type, intervalu_lowerbound : ((cartrealn1 > $o) > cartrealn1)).
thf(cintervaluu_upperbound, type, intervalu_upperbound : ((cartrealn1 > $o) > cartrealn1)).
thf(chasuu_boundeduu_setvariationuu_on0, type, hasu_boundedu_setvariationu_on0 : (((cartrealn1 > $o) > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(csetuu_variation, type, setu_variation : ((cartrealn1 > $o) > ((cartrealn1 > $o) > cartrealn) > real)).
thf(chasuu_boundeduu_setvariationuu_on, type, hasu_boundedu_setvariationu_on : (((cartrealn1 > $o) > cartrealn) > (cartrealn1 > $o) > $o)).
thf(cvectoruu_variation, type, vectoru_variation : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn1 > $o) > (cartrealn1 > $o) > $o)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSETu_VARIATIONu_MONOTONE, axiom, ![F:((cartrealn1 > $o) > cartrealn),S:(cartrealn1 > $o),T:(cartrealn1 > $o)]:(((hasu_boundedu_setvariationu_on @ F @ S) & (subset @ T @ S)) => (realu_le @ (setu_variation @ T @ F) @ (setu_variation @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_variationu_on, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((hasu_boundedu_variationu_on @ F @ S) <=> (hasu_boundedu_setvariationu_on0 @ ^[K:(cartrealn1 > $o)]:(vectoru_sub @ (F @ (intervalu_upperbound @ K)) @ (F @ (intervalu_lowerbound @ K))) @ S))).
thf(avectoru_variation, axiom, ![S:(cartrealn1 > $o),F:(cartrealn1 > cartrealn1)]:((vectoru_variation @ S @ F) = (setu_variation0 @ S @ ^[K:(cartrealn1 > $o)]:(vectoru_sub @ (F @ (intervalu_upperbound @ K)) @ (F @ (intervalu_lowerbound @ K)))))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o),T:(cartrealn1 > $o)]:(((hasu_boundedu_variationu_on @ F @ S) & (subset @ T @ S)) => (realu_le @ (vectoru_variation @ T @ F) @ (vectoru_variation @ S @ F)))).
