%   ORIGINAL: OPERATIVE_LIFTED_VECTOR_VARIATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPERATIVE_FUNCTION_ENDPOINT_DIFF: !f. operative (+) (\k. f (interval_upperbound k) - f (interval_lowerbound k))
% Assm: OPERATIVE_LIFTED_SETVARIATION: !f. operative (+) f ==> operative (lifted (+)) (\i. if has_bounded_setvariation_on f i then SOME (set_variation i f) else NONE)
% Assm: TRUTH: T
% Assm: has_bounded_variation_on: !f s. has_bounded_variation_on f s <=> has_bounded_setvariation_on (\k. f (interval_upperbound k) - f (interval_lowerbound k)) s
% Assm: vector_variation: !s f. vector_variation s f = set_variation s (\k. f (interval_upperbound k) - f (interval_lowerbound k))
% Goal: !f. operative (lifted (+)) (\i. if has_bounded_variation_on f i then SOME (vector_variation i f) else NONE)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. operative (+) (\k. f (interval_upperbound k) - f (interval_lowerbound k))
% Assm: !f. operative (+) f ==> operative (lifted (+)) (\i. if has_bounded_setvariation_on f i then SOME (set_variation i f) else NONE)
% Assm: T
% Assm: !f s. has_bounded_variation_on f s <=> has_bounded_setvariation_on (\k. f (interval_upperbound k) - f (interval_lowerbound k)) s
% Assm: !s f. vector_variation s f = set_variation s (\k. f (interval_upperbound k) - f (interval_lowerbound k))
% Goal: !f. operative (lifted (+)) (\i. if has_bounded_variation_on f i then SOME (vector_variation i f) else NONE)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(toptionreal, type, optionreal : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csetuu_variation0, type, setu_variation0 : ((cartrealn1 > $o) > ((cartrealn1 > $o) > cartrealn1) > real)).
thf(chasuu_boundeduu_setvariationuu_on0, type, hasu_boundedu_setvariationu_on0 : (((cartrealn1 > $o) > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(csetuu_variation, type, setu_variation : ((cartrealn1 > $o) > ((cartrealn1 > $o) > cartrealn) > real)).
thf(chasuu_boundeduu_setvariationuu_on, type, hasu_boundedu_setvariationu_on : (((cartrealn1 > $o) > cartrealn) > (cartrealn1 > $o) > $o)).
thf(cintervaluu_lowerbound, type, intervalu_lowerbound : ((cartrealn1 > $o) > cartrealn1)).
thf(cintervaluu_upperbound, type, intervalu_upperbound : ((cartrealn1 > $o) > cartrealn1)).
thf(coperative0, type, operative0 : ((cartrealn > cartrealn > cartrealn) > ((cartrealn1 > $o) > cartrealn) > $o)).
thf(cvectoruu_variation, type, vectoru_variation : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > real)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(coperative, type, operative : ((optionreal > optionreal > optionreal) > ((cartrealn1 > $o) > optionreal) > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > optionreal > optionreal > optionreal)).
thf(clifted, type, lifted : ((real > real > real) > optionreal > optionreal > optionreal)).
thf(csome, type, some : (real > optionreal)).
thf(cnone, type, none : optionreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPERATIVEu_FUNCTIONu_ENDPOINTu_DIFF, axiom, ![F:(cartrealn1 > cartrealn)]:(operative0 @ vectoru_add @ ^[K:(cartrealn1 > $o)]:(vectoru_sub @ (F @ (intervalu_upperbound @ K)) @ (F @ (intervalu_lowerbound @ K))))).
thf(aOPERATIVEu_LIFTEDu_SETVARIATION, axiom, ![F:((cartrealn1 > $o) > cartrealn)]:((operative0 @ vectoru_add @ F) => (operative @ (lifted @ realu_add) @ ^[I:(cartrealn1 > $o)]:(cond @ (hasu_boundedu_setvariationu_on @ F @ I) @ (some @ (setu_variation @ I @ F)) @ none)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_variationu_on, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((hasu_boundedu_variationu_on @ F @ S) <=> (hasu_boundedu_setvariationu_on0 @ ^[K:(cartrealn1 > $o)]:(vectoru_sub0 @ (F @ (intervalu_upperbound @ K)) @ (F @ (intervalu_lowerbound @ K))) @ S))).
thf(avectoru_variation, axiom, ![S:(cartrealn1 > $o),F:(cartrealn1 > cartrealn1)]:((vectoru_variation @ S @ F) = (setu_variation0 @ S @ ^[K:(cartrealn1 > $o)]:(vectoru_sub0 @ (F @ (intervalu_upperbound @ K)) @ (F @ (intervalu_lowerbound @ K)))))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn1)]:(operative @ (lifted @ realu_add) @ ^[I:(cartrealn1 > $o)]:(cond @ (hasu_boundedu_variationu_on @ F @ I) @ (some @ (vectoru_variation @ I @ F)) @ none))).
