%   ORIGINAL: HAS_BOUNDED_VECTOR_VARIATION_LEFT_LIMIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_BOUNDED_VARIATION_DARBOUX: !f a b. has_bounded_variation_on f (interval [a,b]) <=> (?g h. (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (g x) <= drop (g y)) /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (h x) <= drop (h y)) /\ (!x. f x = g x - h x))
% Assm: INCREASING_LEFT_LIMIT_1: !f a b c. (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (f x) <= drop (f y)) /\ c IN interval [a,b] ==> (?l. (f --> l) (at c within interval [a,c]))
% Assm: LIM_CONG_WITHIN: (!x. ~(x = a) ==> f x = g x) ==> (((\x. f x) --> l) (at a within s) <=> (g --> l) (at a within s))
% Assm: LIM_SUB: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: TRUTH: T
% Goal: !f a b c. has_bounded_variation_on f (interval [a,b]) /\ c IN interval [a,b] ==> (?l. (f --> l) (at c within interval [a,c]))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !f a b. has_bounded_variation_on f (interval [a,b]) <=> (?g h. (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (g x) <= drop (g y)) /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (h x) <= drop (h y)) /\ (!x. f x = g x - h x))
% Assm: !f a b c. (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (f x) <= drop (f y)) /\ c IN interval [a,b] ==> (?l. (f --> l) (at c within interval [a,c]))
% Assm: !f g l a s. (!x. ~(x = a) ==> f x = g x) ==> (((\x. f x) --> l) (at a within s) <=> (g --> l) (at a within s))
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: T
% Goal: !f a b c. has_bounded_variation_on f (interval [a,b]) /\ c IN interval [a,b] ==> (?l. (f --> l) (at c within interval [a,c]))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cwithin, type, within : (netcartrealn1 > (cartrealn1 > $o) > netcartrealn1)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealn1 > cartrealn1) > cartrealn1 > netcartrealn1 > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_BOUNDEDu_VARIATIONu_DARBOUX, axiom, ![F:(cartrealn1 > cartrealn1),A:cartrealn1,B:cartrealn1]:((hasu_boundedu_variationu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ?[G:(cartrealn1 > cartrealn1),H:(cartrealn1 > cartrealn1)]:(![X:cartrealn1,Y:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (drop @ (G @ X)) @ (drop @ (G @ Y)))) & ![X:cartrealn1,Y:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (drop @ (H @ X)) @ (drop @ (H @ Y)))) & ![X:cartrealn1]:((F @ X) = (vectoru_sub @ (G @ X) @ (H @ X)))))).
thf(aINCREASINGu_LEFTu_LIMITu_1, axiom, ![F:(cartrealn1 > cartrealn1),A:cartrealn1,B:cartrealn1,C:cartrealn1]:((![X:cartrealn1,Y:cartrealn1]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (drop @ (F @ X)) @ (drop @ (F @ Y)))) & (in @ C @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ?[L:cartrealn1]:(m_m_g_ @ F @ L @ (within @ (at @ C) @ (closedu_interval @ (cons @ (c_ @ A @ C) @ nil)))))).
thf(aLIMu_CONGu_WITHIN, axiom, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealn1),L:cartrealn1,A:cartrealn1,S:(cartrealn1 > $o)]:(![X:cartrealn1]:(~ ((X = A)) => ((F @ X) = (G @ X))) => ((m_m_g_ @ ^[X:cartrealn1]:(F @ X) @ L @ (within @ (at @ A) @ S)) <=> (m_m_g_ @ G @ L @ (within @ (at @ A) @ S))))).
thf(aLIMu_SUB, axiom, ![NET:netcartrealn1,F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealn1),L:cartrealn1,M:cartrealn1]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET)) => (m_m_g_ @ ^[X:cartrealn1]:(vectoru_sub @ (F @ X) @ (G @ X)) @ (vectoru_sub @ L @ M) @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn1),A:cartrealn1,B:cartrealn1,C:cartrealn1]:(((hasu_boundedu_variationu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ C @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ?[L:cartrealn1]:(m_m_g_ @ F @ L @ (within @ (at @ C) @ (closedu_interval @ (cons @ (c_ @ A @ C) @ nil)))))).
