%   ORIGINAL: HAS_MEASURE_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_INTEGRAL_UNIQUE: !f i k1 k2. (f has_integral k1) i /\ (f has_integral k2) i ==> k1 = k2
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: has_measure: !m s. s has_measure m <=> ((\x. vec 1) has_integral lift m) s
% Goal: !s m1 m2. s has_measure m1 /\ s has_measure m2 ==> m1 = m2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f i k1 k2. (f has_integral k1) i /\ (f has_integral k2) i ==> k1 = k2
% Assm: !x y. lift x = lift y <=> x = y
% Assm: ~F <=> T
% Assm: T
% Assm: !m s. s has_measure m <=> ((\x. vec 1) has_integral lift m) s
% Goal: !s m1 m2. s has_measure m1 /\ s has_measure m2 ==> m1 = m2
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq518130, type, q518130 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq518130, type, cartrealq518130 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(chasuu_measure, type, hasu_measure : ((cartrealq518130 > $o) > real > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealq518130 > cartrealn1) > cartrealn1 > (cartrealq518130 > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_INTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o),K1:cartrealn,K2:cartrealn]:(((hasu_integral @ F @ K1 @ I) & (hasu_integral @ F @ K2 @ I)) => (K1 = K2))).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ahasu_measure, axiom, ![M:real,S:(cartrealq518130 > $o)]:((hasu_measure @ S @ M) <=> (hasu_integral0 @ ^[X:cartrealq518130]:(vec @ (numeral @ (bit1 @ u_0))) @ (lift @ M) @ S))).
thf(conjecture, conjecture, ![S:(cartrealq518130 > $o),M1:real,M2:real]:(((hasu_measure @ S @ M1) & (hasu_measure @ S @ M2)) => (M1 = M2))).
