%   ORIGINAL: MEASURE_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_MEASURE_MEASURE: !s. measurable s <=> s has_measure measure s
% Assm: HAS_MEASURE_UNIQUE: !s m1 m2. s has_measure m1 /\ s has_measure m2 ==> m1 = m2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: measurable: !s. measurable s <=> (?m. s has_measure m)
% Goal: !s m. s has_measure m ==> measure s = m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. measurable s <=> s has_measure measure s
% Assm: !s m1 m2. s has_measure m1 /\ s has_measure m2 ==> m1 = m2
% Assm: ~F <=> T
% Assm: T
% Assm: !s. measurable s <=> (?m. s has_measure m)
% Goal: !s m. s has_measure m ==> measure s = m
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq518150, type, cartrealq518150 : $tType).
thf(tq518150, type, q518150 : $tType).
%  CONSTS
thf(cmeasure, type, measure : ((cartrealq518150 > $o) > real)).
thf(chasuu_measure, type, hasu_measure : ((cartrealq518150 > $o) > real > $o)).
thf(cmeasurable, type, measurable : ((cartrealq518150 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_MEASUREu_MEASURE, axiom, ![S:(cartrealq518150 > $o)]:((measurable @ S) <=> (hasu_measure @ S @ (measure @ S)))).
thf(aHASu_MEASUREu_UNIQUE, axiom, ![S:(cartrealq518150 > $o),M1:real,M2:real]:(((hasu_measure @ S @ M1) & (hasu_measure @ S @ M2)) => (M1 = M2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ameasurable, axiom, ![S:(cartrealq518150 > $o)]:((measurable @ S) <=> ?[M:real]:(hasu_measure @ S @ M))).
thf(conjecture, conjecture, ![S:(cartrealq518150 > $o),M:real]:((hasu_measure @ S @ M) => ((measure @ S) = M))).
