%   ORIGINAL: MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXISTS_DROP: (?x. P x) <=> (?x. P (drop x))
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: TRUTH: T
% Assm: has_measure: !m s. s has_measure m <=> ((\x. vec 1) has_integral lift m) s
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Assm: measurable: !s. measurable s <=> (?m. s has_measure m)
% Goal: !s. measurable s <=> (\x. vec 1) integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (?x. P x) <=> (?x. P (drop x))
% Assm: !x. lift (drop x) = x
% Assm: T
% Assm: !m s. s has_measure m <=> ((\x. vec 1) has_integral lift m) s
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Assm: !s. measurable s <=> (?m. s has_measure m)
% Goal: !s. measurable s <=> (\x. vec 1) integrable_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq518237, type, cartrealq518237 : $tType).
thf(tnum, type, num : $tType).
thf(tq518068, type, q518068 : $tType).
thf(ta, type, a : $tType).
thf(tq518237, type, q518237 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq518068, type, cartrealq518068 : $tType).
%  CONSTS
thf(chasuu_measure0, type, hasu_measure0 : ((cartrealq518237 > $o) > real > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealq518068 > $o) > real > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealq518237 > cartrealn1) > (cartrealq518237 > $o) > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealq518237 > cartrealn1) > cartrealn1 > (cartrealq518237 > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealq518068 > cartrealn1) > cartrealn1 > (cartrealq518068 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealq518237 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXISTSu_DROP, axiom, ![P:(real > $o)]:(?[X:real]:(P @ X) <=> ?[X:cartrealn1]:(P @ (drop @ X)))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(ahasu_measure, axiom, ![M:real,S:(cartrealq518068 > $o)]:((hasu_measure @ S @ M) <=> (hasu_integral @ ^[X:cartrealq518068]:(vec @ (numeral @ (bit1 @ u_0))) @ (lift @ M) @ S))).
thf(aintegrableu_on, axiom, ![F:(cartrealq518237 > cartrealn1),I:(cartrealq518237 > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn1]:(hasu_integral0 @ F @ Y @ I))).
thf(ameasurable, axiom, ![S:(cartrealq518237 > $o)]:((measurable @ S) <=> ?[M:real]:(hasu_measure0 @ S @ M))).
thf(conjecture, conjecture, ![S:(cartrealq518237 > $o)]:((measurable @ S) <=> (integrableu_on @ ^[X:cartrealq518237]:(vec @ (numeral @ (bit1 @ u_0))) @ S))).
