%   ORIGINAL: MEASURABLE_INTEGRABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXISTS_DROP: (?x. P x) <=> (?x. P (drop x))
% Assm: HAS_MEASURE: !s m. s has_measure m <=> ((\x. if x IN s then vec 1 else vec 0) has_integral lift m) (:real^N)
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Assm: measurable: !s. measurable s <=> (?m. s has_measure m)
% Goal: measurable s <=> (\x. if x IN s then vec 1 else vec 0) integrable_on (:real^?518250)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (?x. P x) <=> (?x. P (drop x))
% Assm: !s m. s has_measure m <=> ((\x. if x IN s then vec 1 else vec 0) has_integral lift m) (:real^?518250)
% Assm: !x. lift (drop x) = x
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Assm: !s. measurable s <=> (?m. s has_measure m)
% Goal: !s. measurable s <=> (\x. if x IN s then vec 1 else vec 0) integrable_on (:real^?518250)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq518250, type, q518250 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq518250, type, cartrealq518250 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(chasuu_measure, type, hasu_measure : ((cartrealq518250 > $o) > real > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cin, type, in : (cartrealq518250 > (cartrealq518250 > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealq518250 > cartrealn1) > (cartrealq518250 > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealq518250 > cartrealn1) > cartrealn1 > (cartrealq518250 > $o) > $o)).
thf(ccond, type, cond : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cuniv, type, univ : (cartrealq518250 > $o)).
thf(cmeasurable, type, measurable : ((cartrealq518250 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXISTSu_DROP, axiom, ![P:(real > $o)]:(?[X:real]:(P @ X) <=> ?[X:cartrealn1]:(P @ (drop @ X)))).
thf(aHASu_MEASURE, axiom, ![S:(cartrealq518250 > $o),M:real]:((hasu_measure @ S @ M) <=> (hasu_integral @ ^[X:cartrealq518250]:(cond @ (in @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))) @ (lift @ M) @ univ))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealq518250 > cartrealn1),I:(cartrealq518250 > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealn1]:(hasu_integral @ F @ Y @ I))).
thf(ameasurable, axiom, ![S:(cartrealq518250 > $o)]:((measurable @ S) <=> ?[M:real]:(hasu_measure @ S @ M))).
thf(conjecture, conjecture, ![S:(cartrealq518250 > $o)]:((measurable @ S) <=> (integrableu_on @ ^[X:cartrealq518250]:(cond @ (in @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))) @ univ))).
