%   ORIGINAL: MEASURE_INTEGRAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_MEASURE: !s. measurable s <=> s has_measure measure s
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: TRUTH: T
% Assm: has_measure: !m s. s has_measure m <=> ((\x. vec 1) has_integral lift m) s
% Goal: !s. measurable s ==> measure s = drop (integral s (\x. vec 1))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. measurable s <=> s has_measure measure s
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: !x. lift (drop x) = x
% Assm: !x y. lift x = lift y <=> x = y
% Assm: T
% Assm: !m s. s has_measure m <=> ((\x. vec 1) has_integral lift m) s
% Goal: !s. measurable s ==> measure s = drop (integral s (\x. vec 1))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tq518068, type, q518068 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq518277, type, cartrealq518277 : $tType).
thf(tq518277, type, q518277 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq518068, type, cartrealq518068 : $tType).
%  CONSTS
thf(chasuu_measure0, type, hasu_measure0 : ((cartrealq518068 > $o) > real > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(chasuu_measure, type, hasu_measure : ((cartrealq518277 > $o) > real > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cmeasure, type, measure : ((cartrealq518277 > $o) > real)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealq518068 > cartrealn1) > cartrealn1 > (cartrealq518068 > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealq518277 > cartrealn1) > cartrealn1 > (cartrealq518277 > $o) > $o)).
thf(cintegral, type, integral : ((cartrealq518277 > $o) > (cartrealq518277 > cartrealn1) > cartrealn1)).
thf(cmeasurable, type, measurable : ((cartrealq518277 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_MEASURE, axiom, ![S:(cartrealq518277 > $o)]:((measurable @ S) <=> (hasu_measure @ S @ (measure @ S)))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealq518277 > cartrealn1),Y:cartrealn1,K:(cartrealq518277 > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aTRUTH, axiom, $true).
thf(ahasu_measure, axiom, ![M:real,S:(cartrealq518068 > $o)]:((hasu_measure0 @ S @ M) <=> (hasu_integral0 @ ^[X:cartrealq518068]:(vec @ (numeral @ (bit1 @ u_0))) @ (lift @ M) @ S))).
thf(conjecture, conjecture, ![S:(cartrealq518277 > $o)]:((measurable @ S) => ((measure @ S) = (drop @ (integral @ S @ ^[X:cartrealq518277]:(vec @ (numeral @ (bit1 @ u_0)))))))).
