%   ORIGINAL: MEASURE_INTEGRAL_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE: !s m. s has_measure m <=> ((\x. if x IN s then vec 1 else vec 0) has_integral lift m) (:real^N)
% Assm: HAS_MEASURE_MEASURE: !s. measurable s <=> s has_measure measure s
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: TRUTH: T
% Goal: !s. measurable s ==> measure s = drop (integral (:real^?518300) (\x. if x IN s then vec 1 else vec 0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s m. s has_measure m <=> ((\x. if x IN s then vec 1 else vec 0) has_integral lift m) (:real^?518300)
% Assm: !s. measurable s <=> s has_measure measure s
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: !x. lift (drop x) = x
% Assm: !x y. lift x = lift y <=> x = y
% Assm: T
% Goal: !s. measurable s ==> measure s = drop (integral (:real^?518300) (\x. if x IN s then vec 1 else vec 0))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq518300, type, q518300 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq518300, type, cartrealq518300 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(chasuu_measure, type, hasu_measure : ((cartrealq518300 > $o) > real > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cin, type, in : (cartrealq518300 > (cartrealq518300 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cmeasure, type, measure : ((cartrealq518300 > $o) > real)).
thf(chasuu_integral, type, hasu_integral : ((cartrealq518300 > cartrealn1) > cartrealn1 > (cartrealq518300 > $o) > $o)).
thf(ccond, type, cond : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cintegral, type, integral : ((cartrealq518300 > $o) > (cartrealq518300 > cartrealn1) > cartrealn1)).
thf(cuniv, type, univ : (cartrealq518300 > $o)).
thf(cmeasurable, type, measurable : ((cartrealq518300 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASURE, axiom, ![S:(cartrealq518300 > $o),M:real]:((hasu_measure @ S @ M) <=> (hasu_integral @ ^[X:cartrealq518300]:(cond @ (in @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))) @ (lift @ M) @ univ))).
thf(aHASu_MEASUREu_MEASURE, axiom, ![S:(cartrealq518300 > $o)]:((measurable @ S) <=> (hasu_measure @ S @ (measure @ S)))).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealq518300 > cartrealn1),Y:cartrealn1,K:(cartrealq518300 > $o)]:((hasu_integral @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq518300 > $o)]:((measurable @ S) => ((measure @ S) = (drop @ (integral @ univ @ ^[X:cartrealq518300]:(cond @ (in @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0)))))))).
