%   ORIGINAL: INTEGRAL_MEASURE_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DROP_EQ: !x y. drop x = drop y <=> x = y
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: MEASURE_INTEGRAL_UNIV: !s. measurable s ==> measure s = drop (integral (:real^?518300) (\x. if x IN s then vec 1 else vec 0))
% Assm: TRUTH: T
% Goal: !s. measurable s ==> integral (:real^?518356) (\x. if x IN s then vec 1 else vec 0) = lift (measure s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. drop x = drop y <=> x = y
% Assm: !x. drop (lift x) = x
% Assm: !s. measurable s ==> measure s = drop (integral (:real^?518356) (\x. if x IN s then vec 1 else vec 0))
% Assm: T
% Goal: !s. measurable s ==> integral (:real^?518356) (\x. if x IN s then vec 1 else vec 0) = lift (measure s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq518356, type, q518356 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq518356, type, cartrealq518356 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cmeasure, type, measure : ((cartrealq518356 > $o) > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cin, type, in : (cartrealq518356 > (cartrealq518356 > $o) > $o)).
thf(ccond, type, cond : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cintegral, type, integral : ((cartrealq518356 > $o) > (cartrealq518356 > cartrealn1) > cartrealn1)).
thf(cuniv, type, univ : (cartrealq518356 > $o)).
thf(cmeasurable, type, measurable : ((cartrealq518356 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn1),G:(a > cartrealn1)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDROPu_EQ, axiom, ![X:cartrealn1,Y:cartrealn1]:(((drop @ X) = (drop @ Y)) <=> (X = Y))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aMEASUREu_INTEGRALu_UNIV, axiom, ![S:(cartrealq518356 > $o)]:((measurable @ S) => ((measure @ S) = (drop @ (integral @ univ @ ^[X:cartrealq518356]:(cond @ (in @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq518356 > $o)]:((measurable @ S) => ((integral @ univ @ ^[X:cartrealq518356]:(cond @ (in @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0)))) = (lift @ (measure @ S))))).
