%   ORIGINAL: HAS_MEASURE_DISJOINT_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_INTEGRAL_ADD: !f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x + g x) has_integral k + l) s
% Assm: HAS_MEASURE: !s m. s has_measure m <=> ((\x. if x IN s then vec 1 else vec 0) has_integral lift m) (:real^N)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: LIFT_ADD: !x y. lift (x + y) = lift x + lift y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: VECTOR_ADD_LID: !x. vec 0 + x = x
% Assm: VECTOR_ADD_RID: !x. x + vec 0 = x
% Goal: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ DISJOINT s1 s2 ==> s1 UNION s2 has_measure m1 + m2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !k l f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x + g x) has_integral k + l) s
% Assm: !s m. s has_measure m <=> ((\x. if x IN s then vec 1 else vec 0) has_integral lift m) (:real^?519820)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x y. lift (x + y) = lift x + lift y
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !x. vec 0 + x = x
% Assm: !x. x + vec 0 = x
% Goal: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ DISJOINT s1 s2 ==> s1 UNION s2 has_measure m1 + m2
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq97171, type, q97171 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tq519820, type, q519820 : $tType).
thf(tq97156, type, q97156 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq97156, type, cartrealq97156 : $tType).
thf(tcartrealq97171, type, cartrealq97171 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealq519820, type, cartrealq519820 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cin0, type, in0 : (cartrealq519820 > (cartrealq519820 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdisjoint, type, disjoint : ((cartrealq519820 > $o) > (cartrealq519820 > $o) > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealq519820 > $o) > real > $o)).
thf(cvec1, type, vec1 : (num > cartrealq97171)).
thf(cvectoruu_add2, type, vectoru_add2 : (cartrealq97171 > cartrealq97171 > cartrealq97171)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealq97156 > cartrealq97156 > cartrealq97156)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealq519820 > cartrealn1) > cartrealn1 > (cartrealq519820 > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cinter, type, inter : ((cartrealq519820 > $o) > (cartrealq519820 > $o) > cartrealq519820 > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cunion, type, union : ((cartrealq519820 > $o) > (cartrealq519820 > $o) > cartrealq519820 > $o)).
thf(cuniv, type, univ : (cartrealq519820 > $o)).
thf(cempty, type, empty : (cartrealq519820 > $o)).
thf(cvec0, type, vec0 : (num > cartrealq97156)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDISJOINT, axiom, ![S:(cartrealq519820 > $o),T:(cartrealq519820 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_INTEGRALu_ADD, axiom, ![K:cartrealn,L:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((hasu_integral @ F @ K @ S) & (hasu_integral @ G @ L @ S)) => (hasu_integral @ ^[X:cartrealm]:(vectoru_add @ (F @ X) @ (G @ X)) @ (vectoru_add @ K @ L) @ S))).
thf(aHASu_MEASURE, axiom, ![S:(cartrealq519820 > $o),M:real]:((hasu_measure @ S @ M) <=> (hasu_integral0 @ ^[X:cartrealq519820]:(cond0 @ (in0 @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))) @ (lift @ M) @ univ))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealq519820 > $o),T:(cartrealq519820 > $o),X:cartrealq519820]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aLIFTu_ADD, axiom, ![X:real,Y:real]:((lift @ (realu_add @ X @ Y)) = (vectoru_add0 @ (lift @ X) @ (lift @ Y)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_LID, axiom, ![X:cartrealq97156]:((vectoru_add1 @ (vec0 @ (numeral @ u_0)) @ X) = X)).
thf(aVECTORu_ADDu_RID, axiom, ![X:cartrealq97171]:((vectoru_add2 @ X @ (vec1 @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![S1:(cartrealq519820 > $o),S2:(cartrealq519820 > $o),M1:real,M2:real]:(((hasu_measure @ S1 @ M1) & (hasu_measure @ S2 @ M2) & (disjoint @ S1 @ S2)) => (hasu_measure @ (union @ S1 @ S2) @ (realu_add @ M1 @ M2)))).
