%   ORIGINAL: MEASURE_DISJOINT_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_DISJOINT_UNION: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ DISJOINT s1 s2 ==> s1 UNION s2 has_measure m1 + m2
% Assm: HAS_MEASURE_MEASURE: !s. measurable s <=> s has_measure measure s
% Assm: MEASURE_UNIQUE: !s m. s has_measure m ==> measure s = m
% Assm: TRUTH: T
% Goal: !s t. measurable s /\ measurable t /\ DISJOINT s t ==> measure (s UNION t) = measure s + measure t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ DISJOINT s1 s2 ==> s1 UNION s2 has_measure m1 + m2
% Assm: !s. measurable s <=> s has_measure measure s
% Assm: !s m. s has_measure m ==> measure s = m
% Assm: T
% Goal: !s t. measurable s /\ measurable t /\ DISJOINT s t ==> measure (s UNION t) = measure s + measure t
%  TYPES
thf(ta, type, a : $tType).
thf(tq519851, type, q519851 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq519851, type, cartrealq519851 : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealq519851 > $o) > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cmeasure, type, measure : ((cartrealq519851 > $o) > real)).
thf(cdisjoint, type, disjoint : ((cartrealq519851 > $o) > (cartrealq519851 > $o) > $o)).
thf(cunion, type, union : ((cartrealq519851 > $o) > (cartrealq519851 > $o) > cartrealq519851 > $o)).
thf(cmeasurable, type, measurable : ((cartrealq519851 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_DISJOINTu_UNION, axiom, ![S1:(cartrealq519851 > $o),S2:(cartrealq519851 > $o),M1:real,M2:real]:(((hasu_measure @ S1 @ M1) & (hasu_measure @ S2 @ M2) & (disjoint @ S1 @ S2)) => (hasu_measure @ (union @ S1 @ S2) @ (realu_add @ M1 @ M2)))).
thf(aHASu_MEASUREu_MEASURE, axiom, ![S:(cartrealq519851 > $o)]:((measurable @ S) <=> (hasu_measure @ S @ (measure @ S)))).
thf(aMEASUREu_UNIQUE, axiom, ![S:(cartrealq519851 > $o),M:real]:((hasu_measure @ S @ M) => ((measure @ S) = M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq519851 > $o),T:(cartrealq519851 > $o)]:(((measurable @ S) & (measurable @ T) & (disjoint @ S @ T)) => ((measure @ (union @ S @ T)) = (realu_add @ (measure @ S) @ (measure @ T))))).
