%   ORIGINAL: MEASURE_DISJOINT_UNION_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEASURE_DISJOINT_UNION: !s t. measurable s /\ measurable t /\ DISJOINT s t ==> measure (s UNION t) = measure s + measure t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t u. measurable s /\ measurable t /\ s UNION t = u /\ DISJOINT s t ==> measure s + measure t = measure u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. measurable s /\ measurable t /\ DISJOINT s t ==> measure (s UNION t) = measure s + measure t
% Assm: ~F <=> T
% Assm: T
% Goal: !s t u. measurable s /\ measurable t /\ s UNION t = u /\ DISJOINT s t ==> measure s + measure t = measure u
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq519915, type, cartrealq519915 : $tType).
thf(tq519915, type, q519915 : $tType).
%  CONSTS
thf(cmeasure, type, measure : ((cartrealq519915 > $o) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdisjoint, type, disjoint : ((cartrealq519915 > $o) > (cartrealq519915 > $o) > $o)).
thf(cunion, type, union : ((cartrealq519915 > $o) > (cartrealq519915 > $o) > cartrealq519915 > $o)).
thf(cmeasurable, type, measurable : ((cartrealq519915 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq519915 > $o),G:(a > cartrealq519915 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq519915 > $o)]:(^[X:cartrealq519915]:(T @ X) = T)).
thf(aMEASUREu_DISJOINTu_UNION, axiom, ![S:(cartrealq519915 > $o),T:(cartrealq519915 > $o)]:(((measurable @ S) & (measurable @ T) & (disjoint @ S @ T)) => ((measure @ (union @ S @ T)) = (realu_add @ (measure @ S) @ (measure @ T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq519915 > $o),T:(cartrealq519915 > $o),U:(cartrealq519915 > $o)]:(((measurable @ S) & (measurable @ T) & ((union @ S @ T) = U) & (disjoint @ S @ T)) => ((realu_add @ (measure @ S) @ (measure @ T)) = (measure @ U)))).
