%   ORIGINAL: HAS_MEASURE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DROP_VEC: !n. drop (vec n) = &n
% Assm: HAS_INTEGRAL_SUBSET_DROP_LE: !f s t i j. s SUBSET t /\ (f has_integral i) s /\ (f has_integral j) t /\ (!x. x IN t ==> &0 <= drop (f x)) ==> drop i <= drop j
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: REAL_POS: !n. &0 <= &n
% Assm: TRUTH: T
% Assm: has_measure: !m s. s has_measure m <=> ((\x. vec 1) has_integral lift m) s
% Goal: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ s1 SUBSET s2 ==> m1 <= m2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. drop (vec n) = &n
% Assm: !f s t i j. s SUBSET t /\ (f has_integral i) s /\ (f has_integral j) t /\ (!x. x IN t ==> &0 <= drop (f x)) ==> drop i <= drop j
% Assm: !x. drop (lift x) = x
% Assm: !n. &0 <= &n
% Assm: T
% Assm: !m s. s has_measure m <=> ((\x. vec 1) has_integral lift m) s
% Goal: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ s1 SUBSET s2 ==> m1 <= m2
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn > cartrealn1) > cartrealn1 > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDROPu_VEC, axiom, ![N:num]:((drop @ (vec @ N)) = (realu_ofu_num @ N))).
thf(aHASu_INTEGRALu_SUBSETu_DROPu_LE, axiom, ![F:(cartrealn > cartrealn1),S:(cartrealn > $o),T:(cartrealn > $o),I:cartrealn1,J:cartrealn1]:(((subset @ S @ T) & (hasu_integral @ F @ I @ S) & (hasu_integral @ F @ J @ T) & ![X:cartrealn]:((in @ X @ T) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ (F @ X))))) => (realu_le @ (drop @ I) @ (drop @ J)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aTRUTH, axiom, $true).
thf(ahasu_measure, axiom, ![M:real,S:(cartrealn > $o)]:((hasu_measure @ S @ M) <=> (hasu_integral @ ^[X:cartrealn]:(vec @ (numeral @ (bit1 @ u_0))) @ (lift @ M) @ S))).
thf(conjecture, conjecture, ![S1:(cartrealn > $o),S2:(cartrealn > $o),M1:real,M2:real]:(((hasu_measure @ S1 @ M1) & (hasu_measure @ S2 @ M2) & (subset @ S1 @ S2)) => (realu_le @ M1 @ M2))).
