%   ORIGINAL: MEASURE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_MEASURE_MEASURE: !s. measurable s <=> s has_measure measure s
% Assm: HAS_MEASURE_SUBSET: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ s1 SUBSET s2 ==> m1 <= m2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. measurable s /\ measurable t /\ s SUBSET t ==> measure s <= measure t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. measurable s <=> s has_measure measure s
% Assm: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ s1 SUBSET s2 ==> m1 <= m2
% Assm: ~F <=> T
% Assm: T
% Goal: !s t. measurable s /\ measurable t /\ s SUBSET t ==> measure s <= measure t
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq520027, type, cartrealq520027 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq520027, type, q520027 : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealq520027 > $o) > real > $o)).
thf(cmeasure, type, measure : ((cartrealq520027 > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset, type, subset : ((cartrealq520027 > $o) > (cartrealq520027 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealq520027 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_MEASUREu_MEASURE, axiom, ![S:(cartrealq520027 > $o)]:((measurable @ S) <=> (hasu_measure @ S @ (measure @ S)))).
thf(aHASu_MEASUREu_SUBSET, axiom, ![S1:(cartrealq520027 > $o),S2:(cartrealq520027 > $o),M1:real,M2:real]:(((hasu_measure @ S1 @ M1) & (hasu_measure @ S2 @ M2) & (subset @ S1 @ S2)) => (realu_le @ M1 @ M2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq520027 > $o),T:(cartrealq520027 > $o)]:(((measurable @ S) & (measurable @ T) & (subset @ S @ T)) => (realu_le @ (measure @ S) @ (measure @ T)))).
