%   ORIGINAL: MEASURABLE_MEASURE_POS_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEASURABLE_MEASURE_EQ_0: !s. measurable s ==> (measure s = &0 <=> negligible s)
% Assm: MEASURE_POS_LE: !s. measurable s ==> &0 <= measure s
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: TRUTH: T
% Goal: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. measurable s ==> (measure s = &0 <=> negligible s)
% Assm: !s. measurable s ==> &0 <= measure s
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: T
% Goal: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq520211, type, cartrealq520211 : $tType).
thf(tq520211, type, q520211 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cmeasure, type, measure : ((cartrealq520211 > $o) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnegligible, type, negligible : ((cartrealq520211 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealq520211 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEASURABLEu_MEASUREu_EQu_0, axiom, ![S:(cartrealq520211 > $o)]:((measurable @ S) => (((measure @ S) = (realu_ofu_num @ (numeral @ u_0))) <=> (negligible @ S)))).
thf(aMEASUREu_POSu_LE, axiom, ![S:(cartrealq520211 > $o)]:((measurable @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq520211 > $o)]:((measurable @ S) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)) <=> ~ ((negligible @ S))))).
