%   ORIGINAL: MEASURABLE_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: MEASURABLE_EMPTY: measurable {}
% Assm: MEASURABLE_UNION: !s t. measurable s /\ measurable t ==> measurable (s UNION t)
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measurable (UNIONS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: measurable {}
% Assm: !s t. measurable s /\ measurable t ==> measurable (s UNION t)
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measurable (UNIONS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : ((cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cempty, type, empty : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealn > $o) > $o) > $o)]:(((P @ empty) & ![X:(cartrealn > $o),S:((cartrealn > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealn > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:(cartrealn > $o),Y:(cartrealn > $o),S:((cartrealn > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aMEASURABLEu_EMPTY, axiom, (measurable @ empty0)).
thf(aMEASURABLEu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (union @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty) = empty0)).
thf(aUNIONSu_INSERT, axiom, ![S:(cartrealn > $o),U:((cartrealn > $o) > $o)]:((unions @ (insert @ S @ U)) = (union @ S @ (unions @ U)))).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(((finite @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (measurable @ S))) => (measurable @ (unions @ F)))).
