%   ORIGINAL: MEASURE_DIFF_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_DIFF_SUBSET: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ s2 SUBSET s1 ==> s1 DIFF s2 has_measure m1 - m2
% Assm: HAS_MEASURE_MEASURE: !s. measurable s <=> s has_measure measure s
% Assm: MEASURE_UNIQUE: !s m. s has_measure m ==> measure s = m
% Assm: TRUTH: T
% Goal: !s t. measurable s /\ measurable t /\ t SUBSET s ==> measure (s DIFF t) = measure s - measure t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ s2 SUBSET s1 ==> s1 DIFF s2 has_measure m1 - m2
% Assm: !s. measurable s <=> s has_measure measure s
% Assm: !s m. s has_measure m ==> measure s = m
% Assm: T
% Goal: !s t. measurable s /\ measurable t /\ t SUBSET s ==> measure (s DIFF t) = measure s - measure t
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq520444, type, cartrealq520444 : $tType).
thf(tq520444, type, q520444 : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealq520444 > $o) > real > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cmeasure, type, measure : ((cartrealq520444 > $o) > real)).
thf(csubset, type, subset : ((cartrealq520444 > $o) > (cartrealq520444 > $o) > $o)).
thf(cdiff, type, diff : ((cartrealq520444 > $o) > (cartrealq520444 > $o) > cartrealq520444 > $o)).
thf(cmeasurable, type, measurable : ((cartrealq520444 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_DIFFu_SUBSET, axiom, ![S1:(cartrealq520444 > $o),S2:(cartrealq520444 > $o),M1:real,M2:real]:(((hasu_measure @ S1 @ M1) & (hasu_measure @ S2 @ M2) & (subset @ S2 @ S1)) => (hasu_measure @ (diff @ S1 @ S2) @ (realu_sub @ M1 @ M2)))).
thf(aHASu_MEASUREu_MEASURE, axiom, ![S:(cartrealq520444 > $o)]:((measurable @ S) <=> (hasu_measure @ S @ (measure @ S)))).
thf(aMEASUREu_UNIQUE, axiom, ![S:(cartrealq520444 > $o),M:real]:((hasu_measure @ S @ M) => ((measure @ S) = M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq520444 > $o),T:(cartrealq520444 > $o)]:(((measurable @ S) & (measurable @ T) & (subset @ T @ S)) => ((measure @ (diff @ S @ T)) = (realu_sub @ (measure @ S) @ (measure @ T))))).
