%   ORIGINAL: HAS_MEASURE_DIFF_NEGLIGIBLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: HAS_INTEGRAL_SPIKE: !f g s t. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_integral y) t ==> (g has_integral y) t
% Assm: HAS_MEASURE: !s m. s has_measure m <=> ((\x. if x IN s then vec 1 else vec 0) has_integral lift m) (:real^N)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t m. s has_measure m /\ negligible t ==> s DIFF t has_measure m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !y f g s t. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_integral y) t ==> (g has_integral y) t
% Assm: !s m. s has_measure m <=> ((\x. if x IN s then vec 1 else vec 0) has_integral lift m) (:real^N)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: T
% Goal: !s t m. s has_measure m /\ negligible t ==> s DIFF t has_measure m
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn > cartrealn1) > cartrealn1 > (cartrealn > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn > cartrealn) > cartrealn > (cartrealn > $o) > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aHASu_INTEGRALu_SPIKE, axiom, ![Y:cartrealn,F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > $o)]:(((negligible @ S) & ![X:cartrealn]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X))) & (hasu_integral @ F @ Y @ T)) => (hasu_integral @ G @ Y @ T))).
thf(aHASu_MEASURE, axiom, ![S:(cartrealn > $o),M:real]:((hasu_measure @ S @ M) <=> (hasu_integral0 @ ^[X:cartrealn]:(cond0 @ (in @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))) @ (lift @ M) @ univ))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ0)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o),M:real]:(((hasu_measure @ S @ M) & (negligible @ T)) => (hasu_measure @ (diff @ S @ T) @ M))).
