%   ORIGINAL: HAS_MEASURE_UNION_NEGLIGIBLE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HAS_MEASURE_DIFF_NEGLIGIBLE: !s t m. s has_measure m /\ negligible t ==> s DIFF t has_measure m
% Assm: HAS_MEASURE_UNION_NEGLIGIBLE: !s t m. s has_measure m /\ negligible t ==> s UNION t has_measure m
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NEGLIGIBLE_DIFF: !s t. negligible s ==> negligible (s DIFF t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t m. negligible t ==> (s UNION t has_measure m <=> s has_measure m)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t m. s has_measure m /\ negligible t ==> s DIFF t has_measure m
% Assm: !s t m. s has_measure m /\ negligible t ==> s UNION t has_measure m
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s t. negligible s ==> negligible (s DIFF t)
% Assm: ~F <=> T
% Assm: T
% Goal: !s t m. negligible t ==> (s UNION t has_measure m <=> s has_measure m)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHASu_MEASUREu_DIFFu_NEGLIGIBLE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),M:real]:(((hasu_measure @ S @ M) & (negligible @ T)) => (hasu_measure @ (diff @ S @ T) @ M))).
thf(aHASu_MEASUREu_UNIONu_NEGLIGIBLE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),M:real]:(((hasu_measure @ S @ M) & (negligible @ T)) => (hasu_measure @ (union @ S @ T) @ M))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aNEGLIGIBLEu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((negligible @ S) => (negligible @ (diff @ S @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o),M:real]:((negligible @ T) => ((hasu_measure @ (union @ S @ T) @ M) <=> (hasu_measure @ S @ M)))).
