%   ORIGINAL: HAS_MEASURE_ALMOST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HAS_MEASURE_DIFF_NEGLIGIBLE: !s t m. s has_measure m /\ negligible t ==> s DIFF t has_measure m
% Assm: HAS_MEASURE_UNION_NEGLIGIBLE: !s t m. s has_measure m /\ negligible t ==> s UNION t has_measure m
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NEGLIGIBLE_DIFF: !s t. negligible s ==> negligible (s DIFF t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s s' t m. s has_measure m /\ negligible t /\ s UNION t = s' UNION t ==> s' has_measure m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t m. s has_measure m /\ negligible t ==> s DIFF t has_measure m
% Assm: !s t m. s has_measure m /\ negligible t ==> s UNION t has_measure m
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s t. negligible s ==> negligible (s DIFF t)
% Assm: ~F <=> T
% Assm: T
% Goal: !s s' t m. s has_measure m /\ negligible t /\ s UNION t = s' UNION t ==> s' has_measure m
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq520698, type, cartrealq520698 : $tType).
thf(treal, type, real : $tType).
thf(tq520698, type, q520698 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealq520698 > (cartrealq520698 > $o) > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealq520698 > $o) > real > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((cartrealq520698 > $o) > (cartrealq520698 > $o) > cartrealq520698 > $o)).
thf(cunion, type, union : ((cartrealq520698 > $o) > (cartrealq520698 > $o) > cartrealq520698 > $o)).
thf(cnegligible, type, negligible : ((cartrealq520698 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq520698 > $o),G:(a > cartrealq520698 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealq520698 > $o),T:(cartrealq520698 > $o)]:((S = T) <=> ![X:cartrealq520698]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHASu_MEASUREu_DIFFu_NEGLIGIBLE, axiom, ![S:(cartrealq520698 > $o),T:(cartrealq520698 > $o),M:real]:(((hasu_measure @ S @ M) & (negligible @ T)) => (hasu_measure @ (diff @ S @ T) @ M))).
thf(aHASu_MEASUREu_UNIONu_NEGLIGIBLE, axiom, ![S:(cartrealq520698 > $o),T:(cartrealq520698 > $o),M:real]:(((hasu_measure @ S @ M) & (negligible @ T)) => (hasu_measure @ (union @ S @ T) @ M))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff0 @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(cartrealq520698 > $o),T:(cartrealq520698 > $o),X:cartrealq520698]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNEGLIGIBLEu_DIFF, axiom, ![S:(cartrealq520698 > $o),T:(cartrealq520698 > $o)]:((negligible @ S) => (negligible @ (diff @ S @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq520698 > $o),SI_:(cartrealq520698 > $o),T:(cartrealq520698 > $o),M:real]:(((hasu_measure @ S @ M) & (negligible @ T) & ((union @ S @ T) = (union @ SI_ @ T))) => (hasu_measure @ SI_ @ M))).
