%   ORIGINAL: HAS_MEASURE_NEGLIGIBLE_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HAS_MEASURE_ALMOST: !s s' t m. s has_measure m /\ negligible t /\ s UNION t = s' UNION t ==> s' has_measure m
% Assm: HAS_MEASURE_DISJOINT_UNION: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ DISJOINT s1 s2 ==> s1 UNION s2 has_measure m1 + m2
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ negligible (s1 INTER s2) ==> s1 UNION s2 has_measure m1 + m2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s s' t m. s has_measure m /\ negligible t /\ s UNION t = s' UNION t ==> s' has_measure m
% Assm: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ DISJOINT s1 s2 ==> s1 UNION s2 has_measure m1 + m2
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ negligible (s1 INTER s2) ==> s1 UNION s2 has_measure m1 + m2
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHASu_MEASUREu_ALMOST, axiom, ![S:(cartrealn > $o),SI_:(cartrealn > $o),T:(cartrealn > $o),M:real]:(((hasu_measure @ S @ M) & (negligible @ T) & ((union @ S @ T) = (union @ SI_ @ T))) => (hasu_measure @ SI_ @ M))).
thf(aHASu_MEASUREu_DISJOINTu_UNION, axiom, ![S1:(cartrealn > $o),S2:(cartrealn > $o),M1:real,M2:real]:(((hasu_measure @ S1 @ M1) & (hasu_measure @ S2 @ M2) & (disjoint @ S1 @ S2)) => (hasu_measure @ (union @ S1 @ S2) @ (realu_add @ M1 @ M2)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S1:(cartrealn > $o),S2:(cartrealn > $o),M1:real,M2:real]:(((hasu_measure @ S1 @ M1) & (hasu_measure @ S2 @ M2) & (negligible @ (inter @ S1 @ S2))) => (hasu_measure @ (union @ S1 @ S2) @ (realu_add @ M1 @ M2)))).
