%   ORIGINAL: MEASURE_NEGLIGIBLE_UNION_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEASURE_NEGLIGIBLE_UNION: !s t. measurable s /\ measurable t /\ negligible (s INTER t) ==> measure (s UNION t) = measure s + measure t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t u. measurable s /\ measurable t /\ s UNION t = u /\ negligible (s INTER t) ==> measure s + measure t = measure u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. measurable s /\ measurable t /\ negligible (s INTER t) ==> measure (s UNION t) = measure s + measure t
% Assm: ~F <=> T
% Assm: T
% Goal: !s t u. measurable s /\ measurable t /\ s UNION t = u /\ negligible (s INTER t) ==> measure s + measure t = measure u
%  TYPES
thf(tq520924, type, q520924 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq520924, type, cartrealq520924 : $tType).
%  CONSTS
thf(cmeasure, type, measure : ((cartrealq520924 > $o) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cinter, type, inter : ((cartrealq520924 > $o) > (cartrealq520924 > $o) > cartrealq520924 > $o)).
thf(cunion, type, union : ((cartrealq520924 > $o) > (cartrealq520924 > $o) > cartrealq520924 > $o)).
thf(cnegligible, type, negligible : ((cartrealq520924 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealq520924 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq520924 > $o),G:(a > cartrealq520924 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq520924 > $o)]:(^[X:cartrealq520924]:(T @ X) = T)).
thf(aMEASUREu_NEGLIGIBLEu_UNION, axiom, ![S:(cartrealq520924 > $o),T:(cartrealq520924 > $o)]:(((measurable @ S) & (measurable @ T) & (negligible @ (inter @ S @ T))) => ((measure @ (union @ S @ T)) = (realu_add @ (measure @ S) @ (measure @ T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq520924 > $o),T:(cartrealq520924 > $o),U:(cartrealq520924 > $o)]:(((measurable @ S) & (measurable @ T) & ((union @ S @ T) = U) & (negligible @ (inter @ S @ T))) => ((realu_add @ (measure @ S) @ (measure @ T)) = (measure @ U)))).
