%   ORIGINAL: MEASURABLE_NEGLIGIBLE_SYMDIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_MEASURE_NEGLIGIBLE_SYMDIFF: !s t m. s has_measure m /\ negligible (s DIFF t UNION t DIFF s) ==> t has_measure m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: measurable: !s. measurable s <=> (?m. s has_measure m)
% Goal: !s t. measurable s /\ negligible (s DIFF t UNION t DIFF s) ==> measurable t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t m. s has_measure m /\ negligible (s DIFF t UNION t DIFF s) ==> t has_measure m
% Assm: ~F <=> T
% Assm: T
% Assm: !s. measurable s <=> (?m. s has_measure m)
% Goal: !s t. measurable s /\ negligible (s DIFF t UNION t DIFF s) ==> measurable t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_MEASUREu_NEGLIGIBLEu_SYMDIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),M:real]:(((hasu_measure @ S @ M) & (negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S)))) => (hasu_measure @ T @ M))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ameasurable, axiom, ![S:(cartrealn > $o)]:((measurable @ S) <=> ?[M:real]:(hasu_measure @ S @ M))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S)))) => (measurable @ T))).
