%   ORIGINAL: MEASURABLE_NEGLIGIBLE_SYMDIFF_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEASURABLE_NEGLIGIBLE_SYMDIFF: !s t. measurable s /\ negligible (s DIFF t UNION t DIFF s) ==> measurable t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: UNION_COMM: !s t. s UNION t = t UNION s
% Goal: !s t. negligible (s DIFF t UNION t DIFF s) ==> (measurable s <=> measurable t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. measurable s /\ negligible (s DIFF t UNION t DIFF s) ==> measurable t
% Assm: ~F <=> T
% Assm: T
% Assm: !s t. s UNION t = t UNION s
% Goal: !s t. negligible (s DIFF t UNION t DIFF s) ==> (measurable s <=> measurable t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMEASURABLEu_NEGLIGIBLEu_SYMDIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S)))) => (measurable @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_COMM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((union @ S @ T) = (union @ T @ S))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((measurable @ S) <=> (measurable @ T)))).
