%   ORIGINAL: MEASURE_NEGLIGIBLE_SYMDIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_MEASURE_MEASURE: !s. measurable s <=> s has_measure measure s
% Assm: HAS_MEASURE_NEGLIGIBLE_SYMDIFF: !s t m. s has_measure m /\ negligible (s DIFF t UNION t DIFF s) ==> t has_measure m
% Assm: MEASURABLE_NEGLIGIBLE_SYMDIFF_EQ: !s t. negligible (s DIFF t UNION t DIFF s) ==> (measurable s <=> measurable t)
% Assm: MEASURE_UNIQUE: !s m. s has_measure m ==> measure s = m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: measurable: !s. measurable s <=> (?m. s has_measure m)
% Assm: measure: !s. measure s = (@m. s has_measure m)
% Goal: !s t. negligible (s DIFF t UNION t DIFF s) ==> measure s = measure t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. measurable s <=> s has_measure measure s
% Assm: !s t m. s has_measure m /\ negligible (s DIFF t UNION t DIFF s) ==> t has_measure m
% Assm: !s t. negligible (s DIFF t UNION t DIFF s) ==> (measurable s <=> measurable t)
% Assm: !s m. s has_measure m ==> measure s = m
% Assm: ~F <=> T
% Assm: T
% Assm: !s. measurable s <=> (?m. s has_measure m)
% Assm: !s. measure s = (@m. s has_measure m)
% Goal: !s t. negligible (s DIFF t UNION t DIFF s) ==> measure s = measure t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq518084, type, cartrealq518084 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tq518084, type, q518084 : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(chasuu_measure0, type, hasu_measure0 : ((cartrealq518084 > $o) > real > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cmeasurable0, type, measurable0 : ((cartrealq518084 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_MEASUREu_MEASURE, axiom, ![S:(cartrealn > $o)]:((measurable @ S) <=> (hasu_measure @ S @ (measure @ S)))).
thf(aHASu_MEASUREu_NEGLIGIBLEu_SYMDIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),M:real]:(((hasu_measure @ S @ M) & (negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S)))) => (hasu_measure @ T @ M))).
thf(aMEASURABLEu_NEGLIGIBLEu_SYMDIFFu_EQ, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((measurable @ S) <=> (measurable @ T)))).
thf(aMEASUREu_UNIQUE, axiom, ![S:(cartrealn > $o),M:real]:((hasu_measure @ S @ M) => ((measure @ S) = M))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ameasurable, axiom, ![S:(cartrealq518084 > $o)]:((measurable0 @ S) <=> ?[M:real]:(hasu_measure0 @ S @ M))).
thf(ameasure, axiom, ![S:(cartrealn > $o)]:((measure @ S) = (h_ @ ^[M:real]:(hasu_measure @ S @ M)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((measure @ S) = (measure @ T)))).
