%   ORIGINAL: MEASURE_DISJOINT_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HAS_MEASURE_DISJOINT_UNIONS: !m f. FINITE f /\ (!s. s IN f ==> s has_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> DISJOINT s t) ==> UNIONS f has_measure sum f m
% Assm: MEASURE_UNIQUE: !s m. s has_measure m ==> measure s = m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !m f. FINITE f /\ (!s. s IN f ==> s has_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> DISJOINT s t) ==> measure (UNIONS f) = sum f m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m f. FINITE f /\ (!s. s IN f ==> s has_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> DISJOINT s t) ==> UNIONS f has_measure sum f m
% Assm: !s m. s has_measure m ==> measure s = m
% Assm: ~F <=> T
% Assm: T
% Goal: !m f. FINITE f /\ (!s. s IN f ==> s has_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> DISJOINT s t) ==> measure (UNIONS f) = sum f m
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csum, type, sum : (((cartrealn > $o) > $o) > ((cartrealn > $o) > real) > real)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHASu_MEASUREu_DISJOINTu_UNIONS, axiom, ![M:((cartrealn > $o) > real),F:((cartrealn > $o) > $o)]:(((finite @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (hasu_measure @ S @ (M @ S))) & ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((in @ S @ F) & (in @ T @ F) & ~ ((S = T))) => (disjoint @ S @ T))) => (hasu_measure @ (unions @ F) @ (sum @ F @ M)))).
thf(aMEASUREu_UNIQUE, axiom, ![S:(cartrealn > $o),M:real]:((hasu_measure @ S @ M) => ((measure @ S) = M))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:((cartrealn > $o) > real),F:((cartrealn > $o) > $o)]:(((finite @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (hasu_measure @ S @ (M @ S))) & ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((in @ S @ F) & (in @ T @ F) & ~ ((S = T))) => (disjoint @ S @ T))) => ((measure @ (unions @ F)) = (sum @ F @ M)))).
