%   ORIGINAL: MEASURE_UNIONS_LE_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: MEASURE_POS_LE: !s. measurable s ==> &0 <= measure s
% Assm: MEASURE_UNIONS_LE: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measure (UNIONS f) <= sum f (\s. measure s)
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SUM_IMAGE_LE: !f g s. FINITE s /\ (!x. x IN s ==> &0 <= g (f x)) ==> sum (IMAGE f s) g <= sum s (g o f)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f s. FINITE f /\ (!a. a IN f ==> measurable (s a)) ==> measure (UNIONS (IMAGE s f)) <= sum f (\a. measure (s a))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !s. measurable s ==> &0 <= measure s
% Assm: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measure (UNIONS f) <= sum f (\s. measure s)
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> &0 <= g (f x)) ==> sum (IMAGE f s) g <= sum s (g o f)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f s. FINITE f /\ (!a. a IN f ==> measurable (s a)) ==> measure (UNIONS (IMAGE s f)) <= sum f (\a. measure (s a))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csum0, type, sum0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > real) > real)).
thf(cin0, type, in0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((a > real) > (a > a) > a > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage0, type, image0 : ((a > a) > (a > $o) > a > $o)).
thf(cimage, type, image : ((a > cartrealn > $o) > (a > $o) > (cartrealn > $o) > $o)).
thf(cfinite0, type, finite0 : (((cartrealn > $o) > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGE, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (finite @ (image0 @ F @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(a > $o),F:(a > a),S:(a > $o)]:(![Y:a]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:a]:((in @ X @ S) => (P @ (F @ X))))).
thf(aMEASUREu_POSu_LE, axiom, ![S:(cartrealn > $o)]:((measurable @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)))).
thf(aMEASUREu_UNIONSu_LE, axiom, ![F:((cartrealn > $o) > $o)]:(((finite0 @ F) & ![S:(cartrealn > $o)]:((in0 @ S @ F) => (measurable @ S))) => (realu_le @ (measure @ (unions @ F)) @ (sum0 @ F @ ^[S:(cartrealn > $o)]:(measure @ S))))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSUMu_IMAGEu_LE, axiom, ![F:(a > a),G:(a > real),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (G @ (F @ X))))) => (realu_le @ (sum @ (image0 @ F @ S) @ G) @ (sum @ S @ (o @ G @ F))))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(a > $o),S:(a > cartrealn > $o)]:(((finite @ F) & ![A:a]:((in @ A @ F) => (measurable @ (S @ A)))) => (realu_le @ (measure @ (unions @ (image @ S @ F))) @ (sum @ F @ ^[A:a]:(measure @ (S @ A)))))).
