%   ORIGINAL: MEASURE_LIMIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_MEASURE_LIMIT: !s. s has_measure m <=> (!e. &0 < e ==> (?B. &0 < B /\ (!a b. ball (vec 0,B) SUBSET interval [a,b] ==> (?z. s INTER interval [a,b] has_measure z /\ abs (z - m) < e))))
% Assm: HAS_MEASURE_MEASURE: !s. measurable s <=> s has_measure measure s
% Assm: MEASURE_UNIQUE: !s m. s has_measure m ==> measure s = m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s e. measurable s /\ &0 < e ==> (?B. &0 < B /\ (!a b. ball (vec 0,B) SUBSET interval [a,b] ==> abs (measure (s INTER interval [a,b]) - measure s) < e))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !m s. s has_measure m <=> (!e. &0 < e ==> (?B. &0 < B /\ (!a b. ball (vec 0,B) SUBSET interval [a,b] ==> (?z. s INTER interval [a,b] has_measure z /\ abs (z - m) < e))))
% Assm: !s. measurable s <=> s has_measure measure s
% Assm: !s m. s has_measure m ==> measure s = m
% Assm: ~F <=> T
% Assm: T
% Goal: !s e. measurable s /\ &0 < e ==> (?B. &0 < B /\ (!a b. ball (vec 0,B) SUBSET interval [a,b] ==> abs (measure (s INTER interval [a,b]) - measure s) < e))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_MEASUREu_LIMIT, axiom, ![M:real,S:(cartrealn > $o)]:((hasu_measure @ S @ M) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![A:cartrealn,B0:cartrealn]:((subset @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ B)) @ (closedu_interval @ (cons @ (c_0 @ A @ B0) @ nil))) => ?[Z:real]:((hasu_measure @ (inter @ S @ (closedu_interval @ (cons @ (c_0 @ A @ B0) @ nil))) @ Z) & (realu_lt @ (realu_abs @ (realu_sub @ Z @ M)) @ E))))))).
thf(aHASu_MEASUREu_MEASURE, axiom, ![S:(cartrealn > $o)]:((measurable @ S) <=> (hasu_measure @ S @ (measure @ S)))).
thf(aMEASUREu_UNIQUE, axiom, ![S:(cartrealn > $o),M:real]:((hasu_measure @ S @ M) => ((measure @ S) = M))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),E:real]:(((measurable @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![A:cartrealn,B0:cartrealn]:((subset @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ B)) @ (closedu_interval @ (cons @ (c_0 @ A @ B0) @ nil))) => (realu_lt @ (realu_abs @ (realu_sub @ (measure @ (inter @ S @ (closedu_interval @ (cons @ (c_0 @ A @ B0) @ nil)))) @ (measure @ S))) @ E))))).
