%   ORIGINAL: MEASURABLE_TRANSLATION_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_TRANSLATION_EQ: !a s m. IMAGE (\x. a + x) s has_measure m <=> s has_measure m
% Assm: TRUTH: T
% Assm: measurable: !s. measurable s <=> (?m. s has_measure m)
% Goal: !a s. measurable (IMAGE (\x. a + x) s) <=> measurable s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a s m. IMAGE (\x. a + x) s has_measure m <=> s has_measure m
% Assm: T
% Assm: !s. measurable s <=> (?m. s has_measure m)
% Goal: !a s. measurable (IMAGE (\x. a + x) s) <=> measurable s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_TRANSLATIONu_EQ, axiom, ![A:cartrealn,S:(cartrealn > $o),M:real]:((hasu_measure @ (image @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ S) @ M) <=> (hasu_measure @ S @ M))).
thf(aTRUTH, axiom, $true).
thf(ameasurable, axiom, ![S:(cartrealn > $o)]:((measurable @ S) <=> ?[M:real]:(hasu_measure @ S @ M))).
thf(conjecture, conjecture, ![A:cartrealn,S:(cartrealn > $o)]:((measurable @ (image @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ S)) <=> (measurable @ S))).
