%   ORIGINAL: HAS_MEASURE_SCALING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_AFFINITY: !s m c y. s has_measure y ==> IMAGE (\x. m % x + c) s has_measure abs m pow dimindex (:N) * y
% Assm: TRUTH: T
% Assm: VECTOR_ADD_RID: !x. x + vec 0 = x
% Goal: !s m c. s has_measure m ==> IMAGE (\x. c % x) s has_measure abs c pow dimindex (:N) * m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s m c y. s has_measure y ==> IMAGE (\x. m % x + c) s has_measure abs m pow dimindex (:N) * y
% Assm: T
% Assm: !x. x + vec 0 = x
% Goal: !s m c. s has_measure m ==> IMAGE (\x. c % x) s has_measure abs c pow dimindex (:N) * m
%  TYPES
thf(tq97171, type, q97171 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq97171, type, cartrealq97171 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cvec, type, vec : (num > cartrealq97171)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq97171 > cartrealq97171 > cartrealq97171)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_AFFINITY, axiom, ![S:(cartrealn > $o),M:real,C:cartrealn,Y:real]:((hasu_measure @ S @ Y) => (hasu_measure @ (image @ ^[X:cartrealn]:(vectoru_add @ (r_ @ M @ X) @ C) @ S) @ (realu_mul @ (realu_pow @ (realu_abs @ M) @ (dimindex @ univ)) @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_RID, axiom, ![X:cartrealq97171]:((vectoru_add0 @ X @ (vec @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![S:(cartrealn > $o),M:real,C:real]:((hasu_measure @ S @ M) => (hasu_measure @ (image @ ^[X:cartrealn]:(r_ @ C @ X) @ S) @ (realu_mul @ (realu_pow @ (realu_abs @ C) @ (dimindex @ univ)) @ M)))).
