%   ORIGINAL: MEASURE_SCALING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_MEASURE: !s. measurable s <=> s has_measure measure s
% Assm: HAS_MEASURE_SCALING: !s m c. s has_measure m ==> IMAGE (\x. c % x) s has_measure abs c pow dimindex (:N) * m
% Assm: MEASURE_UNIQUE: !s m. s has_measure m ==> measure s = m
% Assm: TRUTH: T
% Goal: !s. measurable s ==> measure (IMAGE (\x. c % x) s) = abs c pow dimindex (:N) * measure s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. measurable s <=> s has_measure measure s
% Assm: !s m c. s has_measure m ==> IMAGE (\x. c % x) s has_measure abs c pow dimindex (:N) * m
% Assm: !s m. s has_measure m ==> measure s = m
% Assm: T
% Goal: !c s. measurable s ==> measure (IMAGE (\x. c % x) s) = abs c pow dimindex (:N) * measure s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_MEASURE, axiom, ![S:(cartrealn > $o)]:((measurable @ S) <=> (hasu_measure @ S @ (measure @ S)))).
thf(aHASu_MEASUREu_SCALING, axiom, ![S:(cartrealn > $o),M:real,C:real]:((hasu_measure @ S @ M) => (hasu_measure @ (image @ ^[X:cartrealn]:(r_ @ C @ X) @ S) @ (realu_mul @ (realu_pow @ (realu_abs @ C) @ (dimindex @ univ)) @ M)))).
thf(aMEASUREu_UNIQUE, axiom, ![S:(cartrealn > $o),M:real]:((hasu_measure @ S @ M) => ((measure @ S) = M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:real,S:(cartrealn > $o)]:((measurable @ S) => ((measure @ (image @ ^[X:cartrealn]:(r_ @ C @ X) @ S)) = (realu_mul @ (realu_pow @ (realu_abs @ C) @ (dimindex @ univ)) @ (measure @ S))))).
