%   ORIGINAL: MEASURE_COUNTABLE_UNIONS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: LE_0: !n. 0 <= n
% Assm: MEASURE_COUNTABLE_UNIONS_LE_STRONG: !d B. (!n. measurable (d n)) /\ (!n. measure (UNIONS {d k | k <= n}) <= B) ==> measurable (UNIONS {d n | n IN (:num)}) /\ measure (UNIONS {d n | n IN (:num)}) <= B
% Assm: MEASURE_UNIONS_LE_IMAGE: !f s. FINITE f /\ (!a. a IN f ==> measurable (s a)) ==> measure (UNIONS (IMAGE s f)) <= sum f (\a. measure (s a))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Assm: numseg: !m n. m..n = {x | m <= x /\ x <= n}
% Goal: !d B. (!n. measurable (d n)) /\ (!n. sum (0..n) (\k. measure (d k)) <= B) ==> measurable (UNIONS {d n | n IN (:num)}) /\ measure (UNIONS {d n | n IN (:num)}) <= B
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !m n. FINITE (m..n)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: !n. 0 <= n
% Assm: !d B. (!n. measurable (d n)) /\ (!n. measure (UNIONS {d k | k <= n}) <= B) ==> measurable (UNIONS {d n | n IN (:num)}) /\ measure (UNIONS {d n | n IN (:num)}) <= B
% Assm: !f s. FINITE f /\ (!a. a IN f ==> measurable (s a)) ==> measure (UNIONS (IMAGE s f)) <= sum f (\a. measure (s a))
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Assm: !m n. m..n = {x | m <= x /\ x <= n}
% Goal: !d B. (!n. measurable (d n)) /\ (!n. sum (0..n) (\k. measure (d k)) <= B) ==> measurable (UNIONS {d n | n IN (:num)}) /\ measure (UNIONS {d n | n IN (:num)}) <= B
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cimage, type, image : ((num > cartrealn > $o) > (num > $o) > (cartrealn > $o) > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(num > $o),X:num]:((in @ X @ (gspec0 @ ^[V:num]:?[Y:num]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aMEASUREu_COUNTABLEu_UNIONSu_LEu_STRONG, axiom, ![D:(num > cartrealn > $o),B:real]:((![N:num]:(measurable @ (D @ N)) & ![N:num]:(realu_le @ (measure @ (unions @ (gspec @ ^[GENR_PVARR_2079:(cartrealn > $o)]:?[K:num]:(setspec @ GENR_PVARR_2079 @ (l_a_ @ K @ N) @ (D @ K))))) @ B)) => ((measurable @ (unions @ (gspec @ ^[GENR_PVARR_2080:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2080 @ (in @ N @ univ) @ (D @ N))))) & (realu_le @ (measure @ (unions @ (gspec @ ^[GENR_PVARR_2081:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2081 @ (in @ N @ univ) @ (D @ N))))) @ B)))).
thf(aMEASUREu_UNIONSu_LEu_IMAGE, axiom, ![F:(num > $o),S:(num > cartrealn > $o)]:(((finite @ F) & ![A:num]:((in @ A @ F) => (measurable @ (S @ A)))) => (realu_le @ (measure @ (unions @ (image @ S @ F))) @ (sum @ F @ ^[A:num]:(measure @ (S @ A)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(num > cartrealn > $o),S:(num > $o)]:((gspec @ ^[GENR_PVARR_11:(cartrealn > $o)]:?[X:num]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(anumseg, axiom, ![M:num,N:num]:((o_o_ @ M @ N) = (gspec0 @ ^[GENR_PVARR_135:num]:?[X:num]:(setspec0 @ GENR_PVARR_135 @ ((l_a_ @ M @ X) & (l_a_ @ X @ N)) @ X)))).
thf(conjecture, conjecture, ![D:(num > cartrealn > $o),B:real]:((![N:num]:(measurable @ (D @ N)) & ![N:num]:(realu_le @ (sum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[K:num]:(measure @ (D @ K))) @ B)) => ((measurable @ (unions @ (gspec @ ^[GENR_PVARR_2082:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2082 @ (in @ N @ univ) @ (D @ N))))) & (realu_le @ (measure @ (unions @ (gspec @ ^[GENR_PVARR_2083:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2083 @ (in @ N @ univ) @ (D @ N))))) @ B)))).
