%   ORIGINAL: MEASURABLE_COUNTABLE_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: MEASURE_COUNTABLE_UNIONS_LE: !d B. (!n. measurable (d n)) /\ (!n. sum (0..n) (\k. measure (d k)) <= B) ==> measurable (UNIONS {d n | n IN (:num)}) /\ measure (UNIONS {d n | n IN (:num)}) <= B
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: TRUTH: T
% Goal: !s B. (!n. measurable (s n)) /\ (!n. sum (0..n) (\k. measure (s k)) <= B) ==> measurable (UNIONS {s n | n IN (:num)})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !d B. (!n. measurable (d n)) /\ (!n. sum (0..n) (\k. measure (d k)) <= B) ==> measurable (UNIONS {d n | n IN (:num)}) /\ measure (UNIONS {d n | n IN (:num)}) <= B
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: T
% Goal: !s B. (!n. measurable (s n)) /\ (!n. sum (0..n) (\k. measure (s k)) <= B) ==> measurable (UNIONS {s n | n IN (:num)})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aMEASUREu_COUNTABLEu_UNIONSu_LE, axiom, ![D:(num > cartrealn > $o),B:real]:((![N:num]:(measurable @ (D @ N)) & ![N:num]:(realu_le @ (sum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[K:num]:(measure @ (D @ K))) @ B)) => ((measurable @ (unions @ (gspec @ ^[GENR_PVARR_2082:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2082 @ (in @ N @ univ) @ (D @ N))))) & (realu_le @ (measure @ (unions @ (gspec @ ^[GENR_PVARR_2083:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2083 @ (in @ N @ univ) @ (D @ N))))) @ B)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > cartrealn > $o),B:real]:((![N:num]:(measurable @ (S @ N)) & ![N:num]:(realu_le @ (sum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[K:num]:(measure @ (S @ K))) @ B)) => (measurable @ (unions @ (gspec @ ^[GENR_PVARR_2086:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2086 @ (in @ N @ univ) @ (S @ N))))))).
