%   ORIGINAL: MEASURE_COUNTABLE_UNIONS_LE_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: MEASURE_COUNTABLE_UNIONS_LE_STRONG_GEN: !D B. COUNTABLE D /\ (!d. d IN D ==> measurable d) /\ (!D'. D' SUBSET D /\ FINITE D' ==> measure (UNIONS D') <= B) ==> measurable (UNIONS D) /\ measure (UNIONS D) <= B
% Assm: MEASURE_UNIONS_LE: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measure (UNIONS f) <= sum f (\s. measure s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !D B. COUNTABLE D /\ (!d. d IN D ==> measurable d) /\ (!D'. D' SUBSET D /\ FINITE D' ==> sum D' (\d. measure d) <= B) ==> measurable (UNIONS D) /\ measure (UNIONS D) <= B
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: !D B. COUNTABLE D /\ (!d. d IN D ==> measurable d) /\ (!D'. D' SUBSET D /\ FINITE D' ==> measure (UNIONS D') <= B) ==> measurable (UNIONS D) /\ measure (UNIONS D) <= B
% Assm: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measure (UNIONS f) <= sum f (\s. measure s)
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !D B. COUNTABLE D /\ (!d. d IN D ==> measurable d) /\ (!D'. D' SUBSET D /\ FINITE D' ==> sum D' (\d. measure d) <= B) ==> measurable (UNIONS D) /\ measure (UNIONS D) <= B
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(csum, type, sum : (((cartrealn > $o) > $o) > ((cartrealn > $o) > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset, type, subset : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(ccountable, type, countable : (((cartrealn > $o) > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aMEASUREu_COUNTABLEu_UNIONSu_LEu_STRONGu_GEN, axiom, ![D:((cartrealn > $o) > $o),B:real]:(((countable @ D) & ![D0:(cartrealn > $o)]:((in @ D0 @ D) => (measurable @ D0)) & ![DI_:((cartrealn > $o) > $o)]:(((subset @ DI_ @ D) & (finite @ DI_)) => (realu_le @ (measure @ (unions @ DI_)) @ B))) => ((measurable @ (unions @ D)) & (realu_le @ (measure @ (unions @ D)) @ B)))).
thf(aMEASUREu_UNIONSu_LE, axiom, ![F:((cartrealn > $o) > $o)]:(((finite @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (measurable @ S))) => (realu_le @ (measure @ (unions @ F)) @ (sum @ F @ ^[S:(cartrealn > $o)]:(measure @ S))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSUBSET, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((subset @ S @ T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![D:((cartrealn > $o) > $o),B:real]:(((countable @ D) & ![D0:(cartrealn > $o)]:((in @ D0 @ D) => (measurable @ D0)) & ![DI_:((cartrealn > $o) > $o)]:(((subset @ DI_ @ D) & (finite @ DI_)) => (realu_le @ (sum @ DI_ @ ^[D0:(cartrealn > $o)]:(measure @ D0)) @ B))) => ((measurable @ (unions @ D)) & (realu_le @ (measure @ (unions @ D)) @ B)))).
