%   ORIGINAL: NEGLIGIBLE_COUNTABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COUNTABLE_AS_IMAGE: !s. COUNTABLE s /\ ~(s = {}) ==> (?f. s = IMAGE f (:num))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NEGLIGIBLE_COUNTABLE_UNIONS: !s. (!n. negligible (s n)) ==> negligible (UNIONS {s n | n IN (:num)})
% Assm: NEGLIGIBLE_EMPTY: negligible {}
% Assm: NEGLIGIBLE_SING: !a. negligible {a}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. COUNTABLE s ==> negligible s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. COUNTABLE s /\ ~(s = {}) ==> (?f. s = IMAGE f (:num))
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y. x IN {y} <=> x = y
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !s. (!n. negligible (s n)) ==> negligible (UNIONS {s n | n IN (:num)})
% Assm: negligible {}
% Assm: !a. negligible {a}
% Assm: ~F <=> T
% Assm: T
% Goal: !s. COUNTABLE s ==> negligible s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43820, type, q43820 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin3, type, in3 : (num > (num > $o) > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions0, type, unions0 : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin2, type, in2 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cin1, type, in1 : (b > (b > $o) > $o)).
thf(cgspec, type, gspec : ((q43820 > $o) > q43820 > $o)).
thf(cin0, type, in0 : (q43820 > (q43820 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert0, type, insert0 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(csetspec, type, setspec : (q43820 > $o > q43820 > $o)).
thf(cimage, type, image : ((num > cartrealn) > (num > $o) > cartrealn > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(ccountable, type, countable : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOUNTABLEu_ASu_IMAGE, axiom, ![S:(cartrealn > $o)]:(((countable @ S) & ~ ((S = empty))) => ?[F:(num > cartrealn)]:(S = (image @ F @ univ)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in0 @ X @ (gspec @ ^[V:q43820]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in1 @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in @ X @ (insert @ Y @ empty0)) <=> (X = Y))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in2 @ T @ S) & (in @ X @ T)))).
thf(aNEGLIGIBLEu_COUNTABLEu_UNIONS, axiom, ![S:(num > cartrealn > $o)]:(![N:num]:(negligible @ (S @ N)) => (negligible @ (unions0 @ (gspec0 @ ^[GENR_PVARR_1888:(cartrealn > $o)]:?[N:num]:(setspec0 @ GENR_PVARR_1888 @ (in3 @ N @ univ) @ (S @ N))))))).
thf(aNEGLIGIBLEu_EMPTY, axiom, (negligible @ empty)).
thf(aNEGLIGIBLEu_SING, axiom, ![A:cartrealn]:(negligible @ (insert0 @ A @ empty))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((countable @ S) => (negligible @ S))).
