%   ORIGINAL: MEASURABLE_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_DIFF: !s t. bounded s ==> bounded (s DIFF t)
% Assm: BOUNDED_INTERVAL_conjunct0: !a b. bounded (interval [a,b])
% Assm: BOUNDED_SUBSET_CLOSED_INTERVAL: !s. bounded s ==> (?a b. s SUBSET interval [a,b])
% Assm: CLOSED_DIFF: !s t. closed s /\ open t ==> closed (s DIFF t)
% Assm: CLOSED_INTERVAL: !a b. closed (interval [a,b])
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: MEASURABLE_COMPACT: !s. compact s ==> measurable s
% Assm: MEASURABLE_DIFF: !s t. measurable s /\ measurable t ==> measurable (s DIFF t)
% Assm: MEASURABLE_INTERVAL_conjunct0: !a b. measurable (interval [a,b])
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. bounded s /\ open s ==> measurable s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. bounded s ==> bounded (s DIFF t)
% Assm: !a b. bounded (interval [a,b])
% Assm: !s. bounded s ==> (?a b. s SUBSET interval [a,b])
% Assm: !s t. closed s /\ open t ==> closed (s DIFF t)
% Assm: !a b. closed (interval [a,b])
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s. compact s ==> measurable s
% Assm: !s t. measurable s /\ measurable t ==> measurable (s DIFF t)
% Assm: !a b. measurable (interval [a,b])
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. bounded s /\ open s ==> measurable s
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((bounded @ S) => (bounded @ (diff @ S @ T)))).
thf(aBOUNDEDu_INTERVALu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:(bounded @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aBOUNDEDu_SUBSETu_CLOSEDu_INTERVAL, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => ?[A:cartrealn,B:cartrealn]:(subset @ S @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aCLOSEDu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (open @ T)) => (closed @ (diff @ S @ T)))).
thf(aCLOSEDu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:(closed @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aMEASURABLEu_COMPACT, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (measurable @ S))).
thf(aMEASURABLEu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (diff @ S @ T)))).
thf(aMEASURABLEu_INTERVALu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:(measurable @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((bounded @ S) & (open @ S)) => (measurable @ S))).
