%   ORIGINAL: MEASURE_OPEN_POS_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEASURABLE_MEASURE_POS_LT: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
% Assm: MEASURABLE_OPEN: !s. bounded s /\ open s ==> measurable s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_NOT_NEGLIGIBLE: !s. open s /\ ~(s = {}) ==> ~negligible s
% Assm: TRUTH: T
% Goal: !s. open s /\ bounded s /\ ~(s = {}) ==> &0 < measure s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
% Assm: !s. bounded s /\ open s ==> measurable s
% Assm: ~F <=> T
% Assm: !s. open s /\ ~(s = {}) ==> ~negligible s
% Assm: T
% Goal: !s. open s /\ bounded s /\ ~(s = {}) ==> &0 < measure s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq527653, type, q527653 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq527653, type, cartrealq527653 : $tType).
%  CONSTS
thf(cmeasure, type, measure : ((cartrealq527653 > $o) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnegligible, type, negligible : ((cartrealq527653 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealq527653 > $o) > $o)).
thf(cempty, type, empty : (cartrealq527653 > $o)).
thf(cbounded, type, bounded : ((cartrealq527653 > $o) > $o)).
thf(copen, type, open : ((cartrealq527653 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq527653 > $o),G:(a > cartrealq527653 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq527653 > $o)]:(^[X:cartrealq527653]:(T @ X) = T)).
thf(aMEASURABLEu_MEASUREu_POSu_LT, axiom, ![S:(cartrealq527653 > $o)]:((measurable @ S) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)) <=> ~ ((negligible @ S))))).
thf(aMEASURABLEu_OPEN, axiom, ![S:(cartrealq527653 > $o)]:(((bounded @ S) & (open @ S)) => (measurable @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_NOTu_NEGLIGIBLE, axiom, ![S:(cartrealq527653 > $o)]:(((open @ S) & ~ ((S = empty))) => ~ ((negligible @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq527653 > $o)]:(((open @ S) & (bounded @ S) & ~ ((S = empty))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)))).
