%   ORIGINAL: MEASURABLE_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CLOSURE: !s. bounded s ==> bounded (closure s)
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: MEASURABLE_COMPACT: !s. compact s ==> measurable s
% Assm: TRUTH: T
% Goal: !s. bounded s ==> measurable (closure s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s ==> bounded (closure s)
% Assm: !s. closed (closure s)
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s. compact s ==> measurable s
% Assm: T
% Goal: !s. bounded s ==> measurable (closure s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq527678, type, q527678 : $tType).
thf(tcartrealq527678, type, cartrealq527678 : $tType).
%  CONSTS
thf(cclosure, type, closure : ((cartrealq527678 > $o) > cartrealq527678 > $o)).
thf(ccompact, type, compact : ((cartrealq527678 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealq527678 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealq527678 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq527678 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CLOSURE, axiom, ![S:(cartrealq527678 > $o)]:((bounded @ S) => (bounded @ (closure @ S)))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealq527678 > $o)]:(closed @ (closure @ S))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealq527678 > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aMEASURABLEu_COMPACT, axiom, ![S:(cartrealq527678 > $o)]:((compact @ S) => (measurable @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq527678 > $o)]:((bounded @ S) => (measurable @ (closure @ S)))).
