%   ORIGINAL: MEASURABLE_FRONTIER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEASURABLE_CLOSURE: !s. bounded s ==> measurable (closure s)
% Assm: MEASURABLE_DIFF: !s t. measurable s /\ measurable t ==> measurable (s DIFF t)
% Assm: MEASURABLE_INTERIOR: !s. bounded s ==> measurable (interior s)
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !s. bounded s ==> measurable (frontier s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s ==> measurable (closure s)
% Assm: !s t. measurable s /\ measurable t ==> measurable (s DIFF t)
% Assm: !s. bounded s ==> measurable (interior s)
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !s. bounded s ==> measurable (frontier s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEASURABLEu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (measurable @ (closure @ S)))).
thf(aMEASURABLEu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (diff @ S @ T)))).
thf(aMEASURABLEu_INTERIOR, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (measurable @ (interior @ S)))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealn > $o)]:((frontier @ S) = (diff @ (closure @ S) @ (interior @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((bounded @ S) => (measurable @ (frontier @ S)))).
