%   ORIGINAL: MEASURE_FRONTIER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: MEASURABLE_CLOSURE: !s. bounded s ==> measurable (closure s)
% Assm: MEASURABLE_INTERIOR: !s. bounded s ==> measurable (interior s)
% Assm: MEASURE_DIFF_SUBSET: !s t. measurable s /\ measurable t /\ t SUBSET s ==> measure (s DIFF t) = measure s - measure t
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !s. bounded s ==> measure (frontier s) = measure (closure s) - measure (interior s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. s SUBSET closure s
% Assm: !s. interior s SUBSET s
% Assm: !s. bounded s ==> measurable (closure s)
% Assm: !s. bounded s ==> measurable (interior s)
% Assm: !s t. measurable s /\ measurable t /\ t SUBSET s ==> measure (s DIFF t) = measure s - measure t
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !s. bounded s ==> measure (frontier s) = measure (closure s) - measure (interior s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure @ S))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ (interior @ S) @ S)).
thf(aMEASURABLEu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (measurable @ (closure @ S)))).
thf(aMEASURABLEu_INTERIOR, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (measurable @ (interior @ S)))).
thf(aMEASUREu_DIFFu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (measurable @ T) & (subset @ T @ S)) => ((measure @ (diff @ S @ T)) = (realu_sub @ (measure @ S) @ (measure @ T))))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealn > $o)]:((frontier @ S) = (diff @ (closure @ S) @ (interior @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((bounded @ S) => ((measure @ (frontier @ S)) = (realu_sub @ (measure @ (closure @ S)) @ (measure @ (interior @ S)))))).
