%   ORIGINAL: MEASURE_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: MEASURE_NEGLIGIBLE_SYMDIFF: !s t. negligible (s DIFF t UNION t DIFF s) ==> measure s = measure t
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !s. bounded s /\ negligible (frontier s) ==> measure (closure s) = measure s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. s SUBSET closure s
% Assm: !P x. x IN P <=> P x
% Assm: !s. interior s SUBSET s
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: !s t. negligible (s DIFF t UNION t DIFF s) ==> measure s = measure t
% Assm: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !s. bounded s /\ negligible (frontier s) ==> measure (closure s) = measure s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq172081, type, cartrealq172081 : $tType).
thf(treal, type, real : $tType).
thf(tq172081, type, q172081 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinterior0, type, interior0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(cinterior, type, interior : ((cartrealq172081 > $o) > cartrealq172081 > $o)).
thf(csubset0, type, subset0 : ((cartrealq172081 > $o) > (cartrealq172081 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion0, type, union0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealq172081 > $o)]:(subset0 @ (interior @ S) @ S)).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aMEASUREu_NEGLIGIBLEu_SYMDIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((negligible @ (union0 @ (diff0 @ S @ T) @ (diff0 @ T @ S))) => ((measure @ S) = (measure @ T)))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((negligible @ S) & (subset @ T @ S)) => (negligible @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset1 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealn > $o)]:((frontier @ S) = (diff0 @ (closure @ S) @ (interior0 @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((bounded @ S) & (negligible @ (frontier @ S))) => ((measure @ (closure @ S)) = (measure @ S)))).
