%   ORIGINAL: MEASURABLE_JORDAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: MEASURABLE_CLOSURE: !s. bounded s ==> measurable (closure s)
% Assm: MEASURABLE_INNER_OUTER: !s. measurable s <=> (!e. &0 < e ==> (?t u. t SUBSET s /\ s SUBSET u /\ measurable t /\ measurable u /\ abs (measure t - measure u) < e))
% Assm: MEASURABLE_INTERIOR: !s. bounded s ==> measurable (interior s)
% Assm: MEASURE_EQ_0: !s. negligible s ==> measure s = &0
% Assm: MEASURE_FRONTIER: !s. bounded s ==> measure (frontier s) = measure (closure s) - measure (interior s)
% Assm: REAL_ABS_SUB: !x y. abs (x - y) = abs (y - x)
% Assm: Real_ext.REAL_SV_ABS_0: abs (&0) = &0
% Assm: TRUTH: T
% Goal: !s. bounded s /\ negligible (frontier s) ==> measurable s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. s SUBSET closure s
% Assm: !s. interior s SUBSET s
% Assm: !s. bounded s ==> measurable (closure s)
% Assm: !s. measurable s <=> (!e. &0 < e ==> (?t u. t SUBSET s /\ s SUBSET u /\ measurable t /\ measurable u /\ abs (measure t - measure u) < e))
% Assm: !s. bounded s ==> measurable (interior s)
% Assm: !s. negligible s ==> measure s = &0
% Assm: !s. bounded s ==> measure (frontier s) = measure (closure s) - measure (interior s)
% Assm: !x y. abs (x - y) = abs (y - x)
% Assm: abs (&0) = &0
% Assm: T
% Goal: !s. bounded s /\ negligible (frontier s) ==> measurable s
%  TYPES
thf(tcartrealq172643, type, cartrealq172643 : $tType).
thf(tnum, type, num : $tType).
thf(tq172643, type, q172643 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq172081, type, cartrealq172081 : $tType).
thf(treal, type, real : $tType).
thf(tq172081, type, q172081 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinterior0, type, interior0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(csubset1, type, subset1 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cclosure0, type, closure0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealq172081 > $o) > cartrealq172081 > $o)).
thf(csubset0, type, subset0 : ((cartrealq172081 > $o) > (cartrealq172081 > $o) > $o)).
thf(cclosure, type, closure : ((cartrealq172643 > $o) > cartrealq172643 > $o)).
thf(csubset, type, subset : ((cartrealq172643 > $o) > (cartrealq172643 > $o) > $o)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealq172643 > $o)]:(subset @ S @ (closure @ S))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealq172081 > $o)]:(subset0 @ (interior @ S) @ S)).
thf(aMEASURABLEu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (measurable @ (closure0 @ S)))).
thf(aMEASURABLEu_INNERu_OUTER, axiom, ![S:(cartrealn > $o)]:((measurable @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[T:(cartrealn > $o),U:(cartrealn > $o)]:((subset1 @ T @ S) & (subset1 @ S @ U) & (measurable @ T) & (measurable @ U) & (realu_lt @ (realu_abs @ (realu_sub @ (measure @ T) @ (measure @ U))) @ E))))).
thf(aMEASURABLEu_INTERIOR, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (measurable @ (interior0 @ S)))).
thf(aMEASUREu_EQu_0, axiom, ![S:(cartrealn > $o)]:((negligible @ S) => ((measure @ S) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aMEASUREu_FRONTIER, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => ((measure @ (frontier @ S)) = (realu_sub @ (measure @ (closure0 @ S)) @ (measure @ (interior0 @ S)))))).
thf(aREALu_ABSu_SUB, axiom, ![X:real,Y:real]:((realu_abs @ (realu_sub @ X @ Y)) = (realu_abs @ (realu_sub @ Y @ X)))).
thf(aRealu_exto_REALu_SVu_ABSu_0, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((bounded @ S) & (negligible @ (frontier @ S))) => (measurable @ S))).
