%   ORIGINAL: MEASURABLE_INTER_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEASURABLE_INTER: !s t. measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: MEASURABLE_INTERVAL_conjunct0: !a b. measurable (interval [a,b])
% Assm: TRUTH: T
% Goal: !s a b. measurable s ==> measurable (s INTER interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: !a b. measurable (interval [a,b])
% Assm: T
% Goal: !s a b. measurable s ==> measurable (s INTER interval [a,b])
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEASURABLEu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (inter @ S @ T)))).
thf(aMEASURABLEu_INTERVALu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:(measurable @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:((measurable @ S) => (measurable @ (inter @ S @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
