%   ORIGINAL: MEASURABLE_INSIDE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_INSIDE: !s. bounded s ==> bounded (inside s)
% Assm: COMPACT_IMP_BOUNDED: !s. compact s ==> bounded s
% Assm: COMPACT_IMP_CLOSED: !s. compact s ==> closed s
% Assm: MEASURABLE_OPEN: !s. bounded s /\ open s ==> measurable s
% Assm: OPEN_INSIDE: !s. closed s ==> open (inside s)
% Assm: TRUTH: T
% Goal: !s. compact s ==> measurable (inside s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s ==> bounded (inside s)
% Assm: !s. compact s ==> bounded s
% Assm: !s. compact s ==> closed s
% Assm: !s. bounded s /\ open s ==> measurable s
% Assm: !s. closed s ==> open (inside s)
% Assm: T
% Goal: !s. compact s ==> measurable (inside s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinside, type, inside : ((cartrealn > $o) > cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_INSIDE, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (bounded @ (inside @ S)))).
thf(aCOMPACTu_IMPu_BOUNDED, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (bounded @ S))).
thf(aCOMPACTu_IMPu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (closed @ S))).
thf(aMEASURABLEu_OPEN, axiom, ![S:(cartrealn > $o)]:(((bounded @ S) & (open @ S)) => (measurable @ S))).
thf(aOPENu_INSIDE, axiom, ![S:(cartrealn > $o)]:((closed @ S) => (open @ (inside @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((compact @ S) => (measurable @ (inside @ S)))).
