%   ORIGINAL: STARLIKE_NEGLIGIBLE_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_IMP_BOUNDED: !s. compact s ==> bounded s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEASURABLE_COMPACT: !s. compact s ==> measurable s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: STARLIKE_NEGLIGIBLE_BOUNDED_MEASURABLE: !s. measurable s /\ bounded s /\ (!c x. &0 <= c /\ x IN s /\ c % x IN s ==> c = &1) ==> negligible s
% Assm: TRUTH: T
% Goal: !s. compact s /\ (!c x. &0 <= c /\ x IN s /\ c % x IN s ==> c = &1) ==> negligible s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. compact s ==> bounded s
% Assm: !t. (\x. t x) = t
% Assm: !s. compact s ==> measurable s
% Assm: ~F <=> T
% Assm: !s. measurable s /\ bounded s /\ (!c x. &0 <= c /\ x IN s /\ c % x IN s ==> c = &1) ==> negligible s
% Assm: T
% Goal: !s. compact s /\ (!c x. &0 <= c /\ x IN s /\ c % x IN s ==> c = &1) ==> negligible s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_IMPu_BOUNDED, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (bounded @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMEASURABLEu_COMPACT, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (measurable @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSTARLIKEu_NEGLIGIBLEu_BOUNDEDu_MEASURABLE, axiom, ![S:(cartrealn > $o)]:(((measurable @ S) & (bounded @ S) & ![C:real,X:cartrealn]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & (in @ X @ S) & (in @ (r_ @ C @ X) @ S)) => (C = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) => (negligible @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((compact @ S) & ![C:real,X:cartrealn]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & (in @ X @ S) & (in @ (r_ @ C @ X) @ S)) => (C = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) => (negligible @ S))).
