%   ORIGINAL: NEGLIGIBLE_AFFINE_HULL_3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct5: !n. _0 <= BIT1 n <=> T
% Assm: ARITH_LE_conjunct7: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_CLAUSES_conjunct0: CARD {} = 0
% Assm: CARD_CLAUSES_conjunct1: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: FINITE_EMPTY: FINITE {}
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: NEGLIGIBLE_AFFINE_HULL: !s. FINITE s /\ CARD s <= dimindex (:N) ==> negligible (affine hull s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: TRUTH: T
% Goal: !a b c. NULLSET (affine hull {a, b, c})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !n. _0 <= BIT1 n <=> T
% Assm: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: SUC _0 = BIT1 _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD {} = 0
% Assm: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: dimindex (:3) = 3
% Assm: FINITE {}
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !s. FINITE s /\ CARD s <= dimindex (:3) ==> NULLSET (affine hull s)
% Assm: ~F <=> T
% Assm: !n. NUMERAL n = n
% Assm: T
% Goal: !a b c. NULLSET (affine hull {a, b, c})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cuniv, type, univ : (n3 > $o)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn3 > $o) > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct5, axiom, ![N:num]:((l_a_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_LEu_conjunct7, axiom, ![M:num,N:num]:((l_a_ @ (bit0 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_CLAUSESu_conjunct0, axiom, ((card @ empty) = (numeral @ u_0))).
thf(aCARDu_CLAUSESu_conjunct1, axiom, ![X:cartrealn3,S:(cartrealn3 > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aDIMINDEXu_3, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aFINITEu_EMPTY, axiom, (finite @ empty)).
thf(aFINITEu_INSERT, axiom, ![S:(cartrealn3 > $o),X:cartrealn3]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aNEGLIGIBLEu_AFFINEu_HULL, axiom, ![S:(cartrealn3 > $o)]:(((finite @ S) & (l_a_ @ (card @ S) @ (dimindex @ univ))) => (negligible @ (hull @ affine @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn3,B:cartrealn3,C:cartrealn3]:(negligible @ (hull @ affine @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))))).
