%   ORIGINAL: NEGLIGIBLE_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HULL_SUBSET_AFFINE_HULL: !s. convex hull s SUBSET affine hull s
% Assm: NEGLIGIBLE_AFFINE_HULL: !s. FINITE s /\ CARD s <= dimindex (:N) ==> negligible (affine hull s)
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: TRUTH: T
% Goal: !s. FINITE s /\ CARD s <= dimindex (:N) ==> negligible (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. convex hull s SUBSET affine hull s
% Assm: !s. FINITE s /\ CARD s <= dimindex (:N) ==> negligible (affine hull s)
% Assm: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: T
% Goal: !s. FINITE s /\ CARD s <= dimindex (:N) ==> negligible (convex hull s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HULLu_SUBSETu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(subset @ (hull @ convex @ S) @ (hull @ affine @ S))).
thf(aNEGLIGIBLEu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(((finite @ S) & (l_a_ @ (card @ S) @ (dimindex @ univ))) => (negligible @ (hull @ affine @ S)))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((negligible @ S) & (subset @ T @ S)) => (negligible @ T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((finite @ S) & (l_a_ @ (card @ S) @ (dimindex @ univ))) => (negligible @ (hull @ convex @ S)))).
