%   ORIGINAL: NEGLIGIBLE_CONVEX_HULL_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct5: !n. _0 <= BIT1 n <=> T
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_CLAUSES_conjunct0: CARD {} = 0
% Assm: CARD_CLAUSES_conjunct1: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: FINITE_EMPTY: FINITE {}
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: NEGLIGIBLE_CONVEX_HULL: !s. FINITE s /\ CARD s <= dimindex (:N) ==> negligible (convex hull s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: TRUTH: T
% Goal: !a. negligible (convex hull {a})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !n. _0 <= BIT1 n <=> T
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: SUC _0 = BIT1 _0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD {} = 0
% Assm: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: dimindex (:1) = 1
% Assm: FINITE {}
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !s. FINITE s /\ CARD s <= dimindex (:1) ==> negligible (convex hull s)
% Assm: ~F <=> T
% Assm: !n. NUMERAL n = n
% Assm: T
% Goal: !a. negligible (convex hull {a})
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (cartrealn1 > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(chull, type, hull : (((cartrealn1 > $o) > $o) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cfinite, type, finite : ((cartrealn1 > $o) > $o)).
thf(cempty, type, empty : (cartrealn1 > $o)).
thf(cconvex, type, convex : ((cartrealn1 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn1 > $o) > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(ccard, type, card : ((cartrealn1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct5, axiom, ![N:num]:((l_a_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_CLAUSESu_conjunct0, axiom, ((card @ empty) = (numeral @ u_0))).
thf(aCARDu_CLAUSESu_conjunct1, axiom, ![X:cartrealn1,S:(cartrealn1 > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aFINITEu_EMPTY, axiom, (finite @ empty)).
thf(aFINITEu_INSERT, axiom, ![S:(cartrealn1 > $o),X:cartrealn1]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aNEGLIGIBLEu_CONVEXu_HULL, axiom, ![S:(cartrealn1 > $o)]:(((finite @ S) & (l_a_ @ (card @ S) @ (dimindex @ univ))) => (negligible @ (hull @ convex @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn1]:(negligible @ (hull @ convex @ (insert @ A @ empty)))).
