%   ORIGINAL: MEASURABLE_CONVEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEASURABLE_JORDAN: !s. bounded s /\ negligible (frontier s) ==> measurable s
% Assm: NEGLIGIBLE_CONVEX_FRONTIER: !s. convex s ==> negligible (frontier s)
% Assm: TRUTH: T
% Goal: !s. convex s /\ bounded s ==> measurable s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s /\ negligible (frontier s) ==> measurable s
% Assm: !s. convex s ==> negligible (frontier s)
% Assm: T
% Goal: !s. convex s /\ bounded s ==> measurable s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEASURABLEu_JORDAN, axiom, ![S:(cartrealn > $o)]:(((bounded @ S) & (negligible @ (frontier @ S))) => (measurable @ S))).
thf(aNEGLIGIBLEu_CONVEXu_FRONTIER, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (negligible @ (frontier @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((convex @ S) & (bounded @ S)) => (measurable @ S))).
