%   ORIGINAL: NEGLIGIBLE_SPHERE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_CBALL: !x e. convex (cball (x,e))
% Assm: FRONTIER_CBALL: !a e. frontier (cball (a,e)) = {x | dist (a,x) = e}
% Assm: NEGLIGIBLE_CONVEX_FRONTIER: !s. convex s ==> negligible (frontier s)
% Assm: TRUTH: T
% Goal: !a r. negligible {x | dist (a,x) = r}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. convex (cball (x,e))
% Assm: !a e. frontier (cball (a,e)) = {x | dist (a,x) = e}
% Assm: !s. convex s ==> negligible (frontier s)
% Assm: T
% Goal: !a r. negligible {x | dist (a,x) = r}
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(ccu_0, type, c_0 : (cartrealn > real > prodcartrealnreal)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_CBALL, axiom, ![X:cartrealn,E:real]:(convex @ (cball @ (c_0 @ X @ E)))).
thf(aFRONTIERu_CBALL, axiom, ![A:cartrealn,E:real]:((frontier @ (cball @ (c_0 @ A @ E))) = (gspec @ ^[GENR_PVARR_476:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_476 @ ((distance @ (c_ @ A @ X)) = E) @ X)))).
thf(aNEGLIGIBLEu_CONVEXu_FRONTIER, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (negligible @ (frontier @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,R:real]:(negligible @ (gspec @ ^[GENR_PVARR_2110:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_2110 @ ((distance @ (c_ @ A @ X)) = R) @ X)))).
