%   ORIGINAL: MEASURE_CBALL_POS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BALL_SUBSET_CBALL: !x e. ball (x,e) SUBSET cball (x,e)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEASURABLE_BALL: !a r. measurable (ball (a,r))
% Assm: MEASURABLE_CBALL: !a r. measurable (cball (a,r))
% Assm: MEASURE_BALL_POS: !x e. &0 < e ==> &0 < measure (ball (x,e))
% Assm: MEASURE_SUBSET: !s t. measurable s /\ measurable t /\ s SUBSET t ==> measure s <= measure t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LTE_TRANS: !x y z. x < y /\ y <= z ==> x < z
% Assm: TRUTH: T
% Goal: !x e. &0 < e ==> &0 < measure (cball (x,e))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !x e. ball (x,e) SUBSET cball (x,e)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !a r. measurable (ball (a,r))
% Assm: !a r. measurable (cball (a,r))
% Assm: !x e. &0 < e ==> &0 < measure (ball (x,e))
% Assm: !s t. measurable s /\ measurable t /\ s SUBSET t ==> measure s <= measure t
% Assm: ~F <=> T
% Assm: !x y z. x < y /\ y <= z ==> x < z
% Assm: T
% Goal: !x e. &0 < e ==> &0 < measure (cball (x,e))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBALLu_SUBSETu_CBALL, axiom, ![X:cartrealn,E:real]:(subset @ (ball @ (c_ @ X @ E)) @ (cball @ (c_ @ X @ E)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMEASURABLEu_BALL, axiom, ![A:cartrealn,R:real]:(measurable @ (ball @ (c_ @ A @ R)))).
thf(aMEASURABLEu_CBALL, axiom, ![A:cartrealn,R:real]:(measurable @ (cball @ (c_ @ A @ R)))).
thf(aMEASUREu_BALLu_POS, axiom, ![X:cartrealn,E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ (ball @ (c_ @ X @ E)))))).
thf(aMEASUREu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (measurable @ T) & (subset @ S @ T)) => (realu_le @ (measure @ S) @ (measure @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_le @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn,E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ (cball @ (c_ @ X @ E)))))).
