%   ORIGINAL: NEGLIGIBLE_LINEAR_SINGULAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LINEAR_SINGULAR_IMAGE_HYPERPLANE: !f. linear f /\ ~(!x y. f x = f y ==> x = y) ==> (?a. ~(a = vec 0) /\ (!s. IMAGE f s SUBSET {x | a dot x = &0}))
% Assm: NEGLIGIBLE_HYPERPLANE: !a b. ~(a = vec 0 /\ b = &0) ==> negligible {x | a dot x = b}
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. linear f /\ ~(!x y. f x = f y ==> x = y) ==> negligible (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. linear f /\ ~(!x y. f x = f y ==> x = y) ==> (?a. ~(a = vec 0) /\ (!s. IMAGE f s SUBSET {x | a dot x = &0}))
% Assm: !a b. ~(a = vec 0 /\ b = &0) ==> negligible {x | a dot x = b}
% Assm: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. linear f /\ ~(!x y. f x = f y ==> x = y) ==> negligible (IMAGE f s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLINEARu_SINGULARu_IMAGEu_HYPERPLANE, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ~ (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)))) => ?[A:cartrealn]:(~ ((A = (vec @ (numeral @ u_0)))) & ![S:(cartrealn > $o)]:(subset @ (image @ F @ S) @ (gspec @ ^[GENR_PVARR_304:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_304 @ ((dot @ A @ X) = (realu_ofu_num @ (numeral @ u_0))) @ X)))))).
thf(aNEGLIGIBLEu_HYPERPLANE, axiom, ![A:cartrealn,B:real]:(~ (((A = (vec @ (numeral @ u_0))) & (B = (realu_ofu_num @ (numeral @ u_0))))) => (negligible @ (gspec @ ^[GENR_PVARR_2108:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_2108 @ ((dot @ A @ X) = B) @ X))))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((negligible @ S) & (subset @ T @ S)) => (negligible @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & ~ (![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)))) => (negligible @ (image @ F @ S)))).
