%   ORIGINAL: MEASURABLE_LINEAR_IMAGE_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_INTERVAL_conjunct0: !a b. bounded (interval [a,b])
% Assm: BOUNDED_INTERVAL_conjunct1: !a b. bounded (interval (a,b))
% Assm: BOUNDED_LINEAR_IMAGE: !f s. bounded s /\ linear f ==> bounded (IMAGE f s)
% Assm: CONVEX_INTERVAL: !a b. convex (interval [a,b]) /\ convex (interval (a,b))
% Assm: CONVEX_LINEAR_IMAGE: !f s. convex s /\ linear f ==> convex (IMAGE f s)
% Assm: MEASURABLE_CONVEX: !s. convex s /\ bounded s ==> measurable s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f a b. linear f ==> measurable (IMAGE f (interval [a,b]))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. bounded (interval [a,b])
% Assm: !a b. bounded (interval (a,b))
% Assm: !f s. bounded s /\ linear f ==> bounded (IMAGE f s)
% Assm: !a b. convex (interval [a,b]) /\ convex (interval (a,b))
% Assm: !f s. convex s /\ linear f ==> convex (IMAGE f s)
% Assm: !s. convex s /\ bounded s ==> measurable s
% Assm: ~F <=> T
% Assm: T
% Goal: !f a b. linear f ==> measurable (IMAGE f (interval [a,b]))
%  TYPES
thf(tcartrealq535574, type, cartrealq535574 : $tType).
thf(ta, type, a : $tType).
thf(tq535591, type, q535591 : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq535591cartrealq535591, type, prodcartrealq535591cartrealq535591 : $tType).
thf(tcartrealq535591, type, cartrealq535591 : $tType).
thf(treal, type, real : $tType).
thf(tq535574, type, q535574 : $tType).
thf(tlistprodcartrealq535591cartrealq535591, type, listprodcartrealq535591cartrealq535591 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq535591cartrealq535591).
thf(copenuu_interval, type, openu_interval : (prodcartrealq535591cartrealq535591 > cartrealq535591 > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq535591cartrealq535591 > cartrealq535591 > $o)).
thf(ccu_, type, c_ : (cartrealq535591 > cartrealq535591 > prodcartrealq535591cartrealq535591)).
thf(ccons, type, cons : (prodcartrealq535591cartrealq535591 > listprodcartrealq535591cartrealq535591 > listprodcartrealq535591cartrealq535591)).
thf(cimage, type, image : ((cartrealq535591 > cartrealq535574) > (cartrealq535591 > $o) > cartrealq535574 > $o)).
thf(cconvex0, type, convex0 : ((cartrealq535574 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq535591 > $o) > $o)).
thf(cbounded0, type, bounded0 : ((cartrealq535574 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq535591 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealq535574 > $o) > $o)).
thf(clinear, type, linear : ((cartrealq535591 > cartrealq535574) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_INTERVALu_conjunct0, axiom, ![A:cartrealq535591,B:cartrealq535591]:(bounded @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aBOUNDEDu_INTERVALu_conjunct1, axiom, ![A:cartrealq535591,B:cartrealq535591]:(bounded @ (openu_interval @ (c_ @ A @ B)))).
thf(aBOUNDEDu_LINEARu_IMAGE, axiom, ![F:(cartrealq535591 > cartrealq535574),S:(cartrealq535591 > $o)]:(((bounded @ S) & (linear @ F)) => (bounded0 @ (image @ F @ S)))).
thf(aCONVEXu_INTERVAL, axiom, ![A:cartrealq535591,B:cartrealq535591]:((convex @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (convex @ (openu_interval @ (c_ @ A @ B))))).
thf(aCONVEXu_LINEARu_IMAGE, axiom, ![F:(cartrealq535591 > cartrealq535574),S:(cartrealq535591 > $o)]:(((convex @ S) & (linear @ F)) => (convex0 @ (image @ F @ S)))).
thf(aMEASURABLEu_CONVEX, axiom, ![S:(cartrealq535574 > $o)]:(((convex0 @ S) & (bounded0 @ S)) => (measurable @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq535591 > cartrealq535574),A:cartrealq535591,B:cartrealq535591]:((linear @ F) => (measurable @ (image @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
