%   ORIGINAL: LAMBDA_SWAP_GALOIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_DIMINDEX_SWAP: !m n j. 1 <= m /\ m <= dimindex (:N) /\ 1 <= n /\ n <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) ==> 1 <= swap (m,n) j /\ swap (m,n) j <= dimindex (:N)
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SWAP_IDEMPOTENT: !a b. swap (a,b) o swap (a,b) = I
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !x y. 1 <= m /\ m <= dimindex (:N) /\ 1 <= n /\ n <= dimindex (:N) ==> (x = (lambda i. y$swap (m,n) i) <=> (lambda i. x$swap (m,n) i) = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !m n j. 1 <= m /\ m <= dimindex (:N) /\ 1 <= n /\ n <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) ==> 1 <= swap (m,n) j /\ swap (m,n) j <= dimindex (:N)
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: !a b. swap (a,b) o swap (a,b) = I
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x <=> f (g x)
% Goal: !n m x y. 1 <= m /\ m <= dimindex (:N) /\ 1 <= n /\ n <= dimindex (:N) ==> (x = (lambda i. y$swap (m,n) i) <=> (lambda i. x$swap (m,n) i) = y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cswap, type, swap : (prodnumnum > num > num)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(co1, type, o1 : ((b > $o) > (a > b) > a > $o)).
thf(co0, type, o0 : ((b > cartrealn) > (a > b) > a > cartrealn)).
thf(co, type, o : ((num > num) > (num > num) > num > num)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(ci0, type, i0 : ($o > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci1, type, i1 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aINu_DIMINDEXu_SWAP, axiom, ![M:num,N:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ M) & (l_a_ @ M @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ N) & (l_a_ @ N @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ))) => ((l_a_ @ (numeral @ (bit1 @ u_0)) @ (swap @ (c_ @ M @ N) @ J)) & (l_a_ @ (swap @ (c_ @ M @ N) @ J) @ (dimindex @ univ))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSWAPu_IDEMPOTENT, axiom, ![A:num,B:num]:((o @ (swap @ (c_ @ A @ B)) @ (swap @ (c_ @ A @ B))) = i1)).
thf(aTRUTH, axiom, $true).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > cartrealn),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > $o),G:(a > b),X:a]:((o1 @ F @ G @ X) <=> (F @ (G @ X)))).
thf(conjecture, conjecture, ![N:num,M:num,X:cartrealn,Y:cartrealn]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ M) & (l_a_ @ M @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ N) & (l_a_ @ N @ (dimindex @ univ))) => ((X = (lambda0 @ ^[I:num]:(d_ @ Y @ (swap @ (c_ @ M @ N) @ I)))) <=> ((lambda0 @ ^[I:num]:(d_ @ X @ (swap @ (c_ @ M @ N) @ I))) = Y)))).
