%   ORIGINAL: MEASURABLE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_LINEAR_IMAGE: !f s. linear f /\ measurable s ==> IMAGE f s has_measure abs (det (matrix f)) * measure s
% Assm: HAS_MEASURE_MEASURABLE_MEASURE: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: TRUTH: T
% Goal: !f s. linear f /\ measurable s ==> measurable (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. linear f /\ measurable s ==> IMAGE f s has_measure abs (det (matrix f)) * measure s
% Assm: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: T
% Goal: !f s. linear f /\ measurable s ==> measurable (IMAGE f s)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cmatrix, type, matrix : ((cartrealn > cartrealn) > cartcartrealnn)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_LINEARu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & (measurable @ S)) => (hasu_measure @ (image @ F @ S) @ (realu_mul @ (realu_abs @ (det @ (matrix @ F))) @ (measure @ S))))).
thf(aHASu_MEASUREu_MEASURABLEu_MEASURE, axiom, ![S:(cartrealn > $o),M:real]:((hasu_measure @ S @ M) <=> ((measurable @ S) & ((measure @ S) = M)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & (measurable @ S)) => (measurable @ (image @ F @ S)))).
