%   ORIGINAL: MEASURE_LINEAR_IMAGE_SAME
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_LINEAR_IMAGE_SAME: !f s. linear f /\ measurable s /\ abs (det (matrix f)) = &1 ==> IMAGE f s has_measure measure s
% Assm: HAS_MEASURE_MEASURABLE_MEASURE: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: TRUTH: T
% Goal: !f s. linear f /\ measurable s /\ abs (det (matrix f)) = &1 ==> measure (IMAGE f s) = measure s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. linear f /\ measurable s /\ abs (det (matrix f)) = &1 ==> IMAGE f s has_measure measure s
% Assm: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: T
% Goal: !f s. linear f /\ measurable s /\ abs (det (matrix f)) = &1 ==> measure (IMAGE f s) = measure s
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cmatrix, type, matrix : ((cartrealn > cartrealn) > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_LINEARu_IMAGEu_SAME, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & (measurable @ S) & ((realu_abs @ (det @ (matrix @ F))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (hasu_measure @ (image @ F @ S) @ (measure @ S)))).
thf(aHASu_MEASUREu_MEASURABLEu_MEASURE, axiom, ![S:(cartrealn > $o),M:real]:((hasu_measure @ S @ M) <=> ((measurable @ S) & ((measure @ S) = M)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & (measurable @ S) & ((realu_abs @ (det @ (matrix @ F))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((measure @ (image @ F @ S)) = (measure @ S)))).
