%   ORIGINAL: NEGLIGIBLE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_0: !s. s has_measure &0 <=> negligible s
% Assm: HAS_MEASURE_LINEAR_IMAGE_ALT: !f s m. linear f /\ s has_measure m ==> IMAGE f s has_measure abs (det (matrix f)) * m
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: TRUTH: T
% Goal: !f s. linear f /\ negligible s ==> negligible (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. s has_measure &0 <=> negligible s
% Assm: !f s m. linear f /\ s has_measure m ==> IMAGE f s has_measure abs (det (matrix f)) * m
% Assm: !x. x * &0 = &0
% Assm: T
% Goal: !f s. linear f /\ negligible s ==> negligible (IMAGE f s)
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdet, type, det : (cartcartrealnn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cmatrix, type, matrix : ((cartrealn > cartrealn) > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_0, axiom, ![S:(cartrealn > $o)]:((hasu_measure @ S @ (realu_ofu_num @ (numeral @ u_0))) <=> (negligible @ S))).
thf(aHASu_MEASUREu_LINEARu_IMAGEu_ALT, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),M:real]:(((linear @ F) & (hasu_measure @ S @ M)) => (hasu_measure @ (image @ F @ S) @ (realu_mul @ (realu_abs @ (det @ (matrix @ F))) @ M)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & (negligible @ S)) => (negligible @ (image @ F @ S)))).
