%   ORIGINAL: NEGLIGIBLE_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NEGLIGIBLE_LINEAR_IMAGE: !f s. linear f /\ negligible s ==> negligible (IMAGE f s)
% Assm: TRUTH: T
% Assm: WLOG_LINEAR_INJECTIVE_IMAGE_2: !P Q. (!f s. P s /\ linear f ==> Q (IMAGE f s)) /\ (!g t. Q t /\ linear g ==> P (IMAGE g t)) ==> (!f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. Q (IMAGE f s) <=> P s))
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (negligible (IMAGE f s) <=> negligible s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. linear f /\ negligible s ==> negligible (IMAGE f s)
% Assm: T
% Assm: !P Q. (!f s. P s /\ linear f ==> Q (IMAGE f s)) /\ (!g t. Q t /\ linear g ==> P (IMAGE g t)) ==> (!f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. Q (IMAGE f s) <=> P s))
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (negligible (IMAGE f s) <=> negligible s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNEGLIGIBLEu_LINEARu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & (negligible @ S)) => (negligible @ (image @ F @ S)))).
thf(aTRUTH, axiom, $true).
thf(aWLOGu_LINEARu_INJECTIVEu_IMAGEu_2, axiom, ![P:((cartrealn > $o) > $o),Q:((cartrealn > $o) > $o)]:((![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((P @ S) & (linear @ F)) => (Q @ (image @ F @ S))) & ![G:(cartrealn > cartrealn),T:(cartrealn > $o)]:(((Q @ T) & (linear @ G)) => (P @ (image @ G @ T)))) => ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ![S:(cartrealn > $o)]:((Q @ (image @ F @ S)) <=> (P @ S))))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ((negligible @ (image @ F @ S)) <=> (negligible @ S)))).
