%   ORIGINAL: HAS_MEASURE_ORTHOGONAL_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_ORTHOGONAL_IMAGE: !f s m. orthogonal_transformation f /\ s has_measure m ==> IMAGE f s has_measure m
% Assm: IMAGE_I: !s. IMAGE I s = s
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: ORTHOGONAL_TRANSFORMATION_INVERSE_o: !f. orthogonal_transformation f ==> (?g. orthogonal_transformation g /\ g o f = I /\ f o g = I)
% Assm: TRUTH: T
% Goal: !f s m. orthogonal_transformation f ==> (IMAGE f s has_measure m <=> s has_measure m)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s m. orthogonal_transformation f /\ s has_measure m ==> IMAGE f s has_measure m
% Assm: !s. IMAGE I s = s
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !f. orthogonal_transformation f ==> (?g. orthogonal_transformation g /\ g o f = I /\ f o g = I)
% Assm: T
% Goal: !f s m. orthogonal_transformation f ==> (IMAGE f s has_measure m <=> s has_measure m)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_ORTHOGONALu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),M:real]:(((orthogonalu_transformation @ F) & (hasu_measure @ S @ M)) => (hasu_measure @ (image @ F @ S) @ M))).
thf(aIMAGEu_I, axiom, ![S:(cartrealn > $o)]:((image @ i @ S) = S)).
thf(aIMAGEu_o, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),S:(cartrealn > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image @ G @ S)))).
thf(aORTHOGONALu_TRANSFORMATIONu_INVERSEu_o, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) => ?[G:(cartrealn > cartrealn)]:((orthogonalu_transformation @ G) & ((o @ G @ F) = i) & ((o @ F @ G) = i)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),M:real]:((orthogonalu_transformation @ F) => ((hasu_measure @ (image @ F @ S) @ M) <=> (hasu_measure @ S @ M)))).
