%   ORIGINAL: MEASURE_ORTHOGONAL_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_ORTHOGONAL_IMAGE_EQ: !f s m. orthogonal_transformation f ==> (IMAGE f s has_measure m <=> s has_measure m)
% Assm: TRUTH: T
% Assm: measure: !s. measure s = (@m. s has_measure m)
% Goal: !f s. orthogonal_transformation f ==> measure (IMAGE f s) = measure s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s m. orthogonal_transformation f ==> (IMAGE f s has_measure m <=> s has_measure m)
% Assm: T
% Assm: !s. measure s = (@m. s has_measure m)
% Goal: !f s. orthogonal_transformation f ==> measure (IMAGE f s) = measure s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn > cartrealn) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_ORTHOGONALu_IMAGEu_EQ, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),M:real]:((orthogonalu_transformation @ F) => ((hasu_measure @ (image @ F @ S) @ M) <=> (hasu_measure @ S @ M)))).
thf(aTRUTH, axiom, $true).
thf(ameasure, axiom, ![S:(cartrealn > $o)]:((measure @ S) = (h_ @ ^[M:real]:(hasu_measure @ S @ M)))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((orthogonalu_transformation @ F) => ((measure @ (image @ F @ S)) = (measure @ S)))).
