%   ORIGINAL: MEASURABLE_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CONVEX_HULL: !s. bounded s ==> bounded (convex hull s)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: MEASURABLE_CONVEX: !s. convex s /\ bounded s ==> measurable s
% Assm: TRUTH: T
% Goal: !s. bounded s ==> measurable (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s ==> bounded (convex hull s)
% Assm: !s. convex (convex hull s)
% Assm: !s. convex s /\ bounded s ==> measurable s
% Assm: T
% Goal: !s. bounded s ==> measurable (convex hull s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq543227, type, cartrealq543227 : $tType).
thf(tq543227, type, q543227 : $tType).
%  CONSTS
thf(chull, type, hull : (((cartrealq543227 > $o) > $o) > (cartrealq543227 > $o) > cartrealq543227 > $o)).
thf(cconvex, type, convex : ((cartrealq543227 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealq543227 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq543227 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CONVEXu_HULL, axiom, ![S:(cartrealq543227 > $o)]:((bounded @ S) => (bounded @ (hull @ convex @ S)))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealq543227 > $o)]:(convex @ (hull @ convex @ S))).
thf(aMEASURABLEu_CONVEX, axiom, ![S:(cartrealq543227 > $o)]:(((convex @ S) & (bounded @ S)) => (measurable @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq543227 > $o)]:((bounded @ S) => (measurable @ (hull @ convex @ S)))).
