%   ORIGINAL: MEASURABLE_SIMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_IMP_BOUNDED: !s. FINITE s ==> bounded s
% Assm: FINITE_SET_OF_LIST: !l. FINITE (set_of_list l)
% Assm: MEASURABLE_CONVEX_HULL: !s. bounded s ==> measurable (convex hull s)
% Assm: TRUTH: T
% Goal: !l. measurable (convex hull set_of_list l)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. FINITE s ==> bounded s
% Assm: !l. FINITE (set_of_list l)
% Assm: !s. bounded s ==> measurable (convex hull s)
% Assm: T
% Goal: !l. measurable (convex hull set_of_list l)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq543244, type, q543244 : $tType).
thf(tlistcartrealq543244, type, listcartrealq543244 : $tType).
thf(tcartrealq543244, type, cartrealq543244 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csetuu_ofuu_list, type, setu_ofu_list : (listcartrealq543244 > cartrealq543244 > $o)).
thf(chull, type, hull : (((cartrealq543244 > $o) > $o) > (cartrealq543244 > $o) > cartrealq543244 > $o)).
thf(cbounded0, type, bounded0 : ((cartrealq543244 > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealq543244 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealq543244 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealq543244 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_IMPu_BOUNDED, axiom, ![S:(cartrealn > $o)]:((finite @ S) => (bounded @ S))).
thf(aFINITEu_SETu_OFu_LIST, axiom, ![L:listcartrealq543244]:(finite0 @ (setu_ofu_list @ L))).
thf(aMEASURABLEu_CONVEXu_HULL, axiom, ![S:(cartrealq543244 > $o)]:((bounded0 @ S) => (measurable @ (hull @ convex @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:listcartrealq543244]:(measurable @ (hull @ convex @ (setu_ofu_list @ L)))).
