%   ORIGINAL: MEASURE_SIMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_MEASURE_MEASURABLE_MEASURE: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: HAS_MEASURE_SIMPLEX: !a l. LENGTH l = dimindex (:N) ==> convex hull set_of_list (CONS a l) has_measure abs (det (vector (MAP (\x. x - a) l))) / &(FACT (dimindex (:N)))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a l. LENGTH l = dimindex (:N) ==> measure (convex hull set_of_list (CONS a l)) = abs (det (vector (MAP (\x. x - a) l))) / &(FACT (dimindex (:N)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: !a l. LENGTH l = dimindex (:N) ==> convex hull set_of_list (CONS a l) has_measure abs (det (vector (MAP (\x. x - a) l))) / &(FACT (dimindex (:N)))
% Assm: ~F <=> T
% Assm: T
% Goal: !a l. LENGTH l = dimindex (:N) ==> measure (convex hull set_of_list (CONS a l)) = abs (det (vector (MAP (\x. x - a) l))) / &(FACT (dimindex (:N)))
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tlistcartrealn, type, listcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(csetuu_ofuu_list, type, setu_ofu_list : (listcartrealn > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cmap, type, map : ((cartrealn > cartrealn) > listcartrealn > listcartrealn)).
thf(ccons, type, cons : (cartrealn > listcartrealn > listcartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(clength, type, length : (listcartrealn > num)).
thf(cvector, type, vector : (listcartrealn > cartcartrealnn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cfact, type, fact : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_MEASUREu_MEASURABLEu_MEASURE, axiom, ![S:(cartrealn > $o),M:real]:((hasu_measure @ S @ M) <=> ((measurable @ S) & ((measure @ S) = M)))).
thf(aHASu_MEASUREu_SIMPLEX, axiom, ![A:cartrealn,L:listcartrealn]:(((length @ L) = (dimindex @ univ)) => (hasu_measure @ (hull @ convex @ (setu_ofu_list @ (cons @ A @ L))) @ (realu_div @ (realu_abs @ (det @ (vector @ (map @ ^[X:cartrealn]:(vectoru_sub @ X @ A) @ L)))) @ (realu_ofu_num @ (fact @ (dimindex @ univ))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,L:listcartrealn]:(((length @ L) = (dimindex @ univ)) => ((measure @ (hull @ convex @ (setu_ofu_list @ (cons @ A @ L)))) = (realu_div @ (realu_abs @ (det @ (vector @ (map @ ^[X:cartrealn]:(vectoru_sub @ X @ A) @ L)))) @ (realu_ofu_num @ (fact @ (dimindex @ univ))))))).
