%   ORIGINAL: MEASURABLE_TRIANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CONVEX_HULL: !s. bounded s ==> bounded (convex hull s)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: FINITE_IMP_BOUNDED: !s. FINITE s ==> bounded s
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: MEASURABLE_CONVEX: !s. convex s /\ bounded s ==> measurable s
% Assm: TRUTH: T
% Goal: !a b c. measurable (convex hull {a, b, c})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s ==> bounded (convex hull s)
% Assm: !s. convex (convex hull s)
% Assm: !s. FINITE s ==> bounded s
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE {}
% Assm: !s. convex s /\ bounded s ==> measurable s
% Assm: T
% Goal: !a b c. measurable (convex hull {a, b, c})
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (bounded @ (hull @ convex @ S)))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(convex @ (hull @ convex @ S))).
thf(aFINITEu_IMPu_BOUNDED, axiom, ![S:(cartrealn > $o)]:((finite @ S) => (bounded @ S))).
thf(aFINITEu_INSERT, axiom, ![S:(cartrealn > $o),X:cartrealn]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aMEASURABLEu_CONVEX, axiom, ![S:(cartrealn > $o)]:(((convex @ S) & (bounded @ S)) => (measurable @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn]:(measurable @ (hull @ convex @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))))).
