%   ORIGINAL: MEASURE_TRIANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_MEASURABLE_MEASURE: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: HAS_MEASURE_TRIANGLE: !a b c. convex hull {a, b, c} has_measure abs ((b$1 - a$1) * (c$2 - a$2) - (b$2 - a$2) * (c$1 - a$1)) / &2
% Assm: TRUTH: T
% Goal: !a b c. measure (convex hull {a, b, c}) = abs ((b$1 - a$1) * (c$2 - a$2) - (b$2 - a$2) * (c$1 - a$1)) / &2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: !a b c. convex hull {a, b, c} has_measure abs ((b$1 - a$1) * (c$2 - a$2) - (b$2 - a$2) * (c$1 - a$1)) / &2
% Assm: T
% Goal: !a b c. measure (convex hull {a, b, c}) = abs ((b$1 - a$1) * (c$2 - a$2) - (b$2 - a$2) * (c$1 - a$1)) / &2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealn2 > $o) > real > $o)).
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cmeasure, type, measure : ((cartrealn2 > $o) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn2 > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(chull, type, hull : (((cartrealn2 > $o) > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cmeasurable, type, measurable : ((cartrealn2 > $o) > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
thf(cconvex, type, convex : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_MEASURABLEu_MEASURE, axiom, ![S:(cartrealn2 > $o),M:real]:((hasu_measure @ S @ M) <=> ((measurable @ S) & ((measure @ S) = M)))).
thf(aHASu_MEASUREu_TRIANGLE, axiom, ![A:cartrealn2,B:cartrealn2,C:cartrealn2]:(hasu_measure @ (hull @ convex @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) @ (realu_div @ (realu_abs @ (realu_sub @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))) @ (realu_sub @ (d_ @ C @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_sub @ (d_ @ C @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0))))))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn2,B:cartrealn2,C:cartrealn2]:((measure @ (hull @ convex @ (insert @ A @ (insert @ B @ (insert @ C @ empty))))) = (realu_div @ (realu_abs @ (realu_sub @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))) @ (realu_sub @ (d_ @ C @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_sub @ (d_ @ C @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0))))))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
