%   ORIGINAL: MEASURE_TETRAHEDRON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_MEASURABLE_MEASURE: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: HAS_MEASURE_TETRAHEDRON: !a b c d. convex hull {a, b, c, d} has_measure abs ((b$1 - a$1) * (c$2 - a$2) * (d$3 - a$3) + (b$2 - a$2) * (c$3 - a$3) * (d$1 - a$1) + (b$3 - a$3) * (c$1 - a$1) * (d$2 - a$2) - (b$1 - a$1) * (c$3 - a$3) * (d$2 - a$2) - (b$2 - a$2) * (c$1 - a$1) * (d$3 - a$3) - (b$3 - a$3) * (c$2 - a$2) * (d$1 - a$1)) / &6
% Assm: TRUTH: T
% Goal: !a b c d. vol (convex hull {a, b, c, d}) = abs ((b$1 - a$1) * (c$2 - a$2) * (d$3 - a$3) + (b$2 - a$2) * (c$3 - a$3) * (d$1 - a$1) + (b$3 - a$3) * (c$1 - a$1) * (d$2 - a$2) - (b$1 - a$1) * (c$3 - a$3) * (d$2 - a$2) - (b$2 - a$2) * (c$1 - a$1) * (d$3 - a$3) - (b$3 - a$3) * (c$2 - a$2) * (d$1 - a$1)) / &6
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s m. s has_measure m <=> measurable s /\ vol s = m
% Assm: !a b c d. convex hull {a, b, c, d} has_measure abs ((b$1 - a$1) * (c$2 - a$2) * (d$3 - a$3) + (b$2 - a$2) * (c$3 - a$3) * (d$1 - a$1) + (b$3 - a$3) * (c$1 - a$1) * (d$2 - a$2) - (b$1 - a$1) * (c$3 - a$3) * (d$2 - a$2) - (b$2 - a$2) * (c$1 - a$1) * (d$3 - a$3) - (b$3 - a$3) * (c$2 - a$2) * (d$1 - a$1)) / &6
% Assm: T
% Goal: !a b c d. vol (convex hull {a, b, c, d}) = abs ((b$1 - a$1) * (c$2 - a$2) * (d$3 - a$3) + (b$2 - a$2) * (c$3 - a$3) * (d$1 - a$1) + (b$3 - a$3) * (c$1 - a$1) * (d$2 - a$2) - (b$1 - a$1) * (c$3 - a$3) * (d$2 - a$2) - (b$2 - a$2) * (c$1 - a$1) * (d$3 - a$3) - (b$3 - a$3) * (c$2 - a$2) * (d$1 - a$1)) / &6
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealn3 > $o) > real > $o)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_MEASURABLEu_MEASURE, axiom, ![S:(cartrealn3 > $o),M:real]:((hasu_measure @ S @ M) <=> ((measurable @ S) & ((measure @ S) = M)))).
thf(aHASu_MEASUREu_TETRAHEDRON, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,D:cartrealn3]:(hasu_measure @ (hull @ convex @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))) @ (realu_div @ (realu_abs @ (realu_add @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0))))))) @ (realu_add @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))))) @ (realu_sub @ (realu_sub @ (realu_sub @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))))) @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))))))) @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0)))))))) @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))))))))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,D:cartrealn3]:((measure @ (hull @ convex @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))))) = (realu_div @ (realu_abs @ (realu_add @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0))))))) @ (realu_add @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))))) @ (realu_sub @ (realu_sub @ (realu_sub @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))))) @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))))))) @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0)))))))) @ (realu_mul @ (realu_sub @ (d_ @ B @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_sub @ (d_ @ C @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_sub @ (d_ @ D @ (numeral @ (bit1 @ u_0))) @ (d_ @ A @ (numeral @ (bit1 @ u_0)))))))))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))).
