%   ORIGINAL: MEASURABLE_ON_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Assm: measurable_on: !s f. measurable_on f s <=> (?k g. negligible k /\ (!n. g n continuous_on (:real^M)) /\ (!x. ~(x IN k) ==> ((\n. g n x) --> (if x IN s then f x else vec 0)) sequentially))
% Goal: measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x. x IN (:real^M)
% Assm: T
% Assm: !s f. measurable_on f s <=> (?k g. negligible k /\ (!n. g n continuous_on (:real^M)) /\ (!x. ~(x IN k) ==> ((\n. g n x) --> (if x IN s then f x else vec 0)) sequentially))
% Goal: !s f. measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq549899, type, cartrealq549899 : $tType).
thf(tq549899, type, q549899 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealq549899) > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealq549899) > (cartrealm > $o) > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealq549899) > cartrealq549899 > netnum > $o)).
thf(ccond, type, cond : ($o > cartrealq549899 > cartrealq549899 > cartrealq549899)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cvec, type, vec : (num > cartrealq549899)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealq549899,T2:cartrealq549899]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aINu_UNIV, axiom, ![X:cartrealm]:(in @ X @ univ)).
thf(aTRUTH, axiom, $true).
thf(ameasurableu_on, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealq549899)]:((measurableu_on @ F @ S) <=> ?[K:(cartrealm > $o),G:(num > cartrealm > cartrealq549899)]:((negligible @ K) & ![N:num]:(continuousu_on @ (G @ N) @ univ) & ![X:cartrealm]:(~ ((in @ X @ K)) => (m_m_g_ @ ^[N:num]:(G @ N @ X) @ (cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ sequentially))))).
thf(conjecture, conjecture, ![S:(cartrealm > $o),F:(cartrealm > cartrealq549899)]:((measurableu_on @ ^[X:cartrealm]:(cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ) <=> (measurableu_on @ F @ S))).
