%   ORIGINAL: INTEGRAL_DROP_LE_MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: INTEGRAL_DROP_LE: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> drop (f x) <= drop (g x)) ==> drop (integral s f) <= drop (integral s g)
% Assm: MEASURABLE_BOUNDED_BY_INTEGRABLE_IMP_INTEGRABLE: !f g s. measurable_on f s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> f integrable_on s
% Assm: NORM_REAL: !x. norm x = abs (x$1)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Goal: !f g s. measurable_on f s /\ g integrable_on s /\ (!x. x IN s ==> &0 <= drop (f x) /\ drop (f x) <= drop (g x)) ==> drop (integral s f) <= drop (integral s g)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> drop (f x) <= drop (g x)) ==> drop (integral s f) <= drop (integral s g)
% Assm: !f g s. measurable_on f s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> f integrable_on s
% Assm: !x. norm x = abs (x$1)
% Assm: ~F <=> T
% Assm: T
% Assm: !x. drop x = x$1
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Goal: !f g s. measurable_on f s /\ g integrable_on s /\ (!x. x IN s ==> &0 <= drop (f x) /\ drop (f x) <= drop (g x)) ==> drop (integral s f) <= drop (integral s g)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cintegral, type, integral : ((cartrealn > $o) > (cartrealn > cartrealn1) > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aINTEGRALu_DROPu_LE, axiom, ![F:(cartrealn > cartrealn1),G:(cartrealn > cartrealn1),S:(cartrealn > $o)]:(((integrableu_on @ F @ S) & (integrableu_on @ G @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (drop @ (F @ X)) @ (drop @ (G @ X))))) => (realu_le @ (drop @ (integral @ S @ F)) @ (drop @ (integral @ S @ G))))).
thf(aMEASURABLEu_BOUNDEDu_BYu_INTEGRABLEu_IMPu_INTEGRABLE, axiom, ![F:(cartrealn > cartrealn1),G:(cartrealn > cartrealn1),S:(cartrealn > $o)]:(((measurableu_on @ F @ S) & (integrableu_on @ G @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (drop @ (G @ X))))) => (integrableu_on @ F @ S))).
thf(aNORMu_REAL, axiom, ![X:cartrealn1]:((vectoru_norm @ X) = (realu_abs @ (d_ @ X @ (numeral @ (bit1 @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond0 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn1),G:(cartrealn > cartrealn1),S:(cartrealn > $o)]:(((measurableu_on @ F @ S) & (integrableu_on @ G @ S) & ![X:cartrealn]:((in @ X @ S) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ (F @ X))) & (realu_le @ (drop @ (F @ X)) @ (drop @ (G @ X)))))) => (realu_le @ (drop @ (integral @ S @ F)) @ (drop @ (integral @ S @ G))))).
