%   ORIGINAL: INTEGRABLE_IMP_MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGRABLE_ON_SUBINTERVAL: !f s a b. f integrable_on s /\ interval [a,b] SUBSET s ==> f integrable_on interval [a,b]
% Assm: INTEGRABLE_RESTRICT_UNIV: !f s. (\x. if x IN s then f x else vec 0) integrable_on (:real^M) <=> f integrable_on s
% Assm: INTEGRABLE_SUBINTERVALS_IMP_MEASURABLE: !f. (!a b. f integrable_on interval [a,b]) ==> measurable_on f (:real^M)
% Assm: MEASURABLE_ON_UNIV: measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !f s. f integrable_on s ==> measurable_on f s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s a b. f integrable_on s /\ interval [a,b] SUBSET s ==> f integrable_on interval [a,b]
% Assm: !f s. (\x. if x IN s then f x else vec 0) integrable_on (:real^M) <=> f integrable_on s
% Assm: !f. (!a b. f integrable_on interval [a,b]) ==> measurable_on f (:real^M)
% Assm: !f s. measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: !s. s SUBSET (:A)
% Assm: T
% Goal: !f s. f integrable_on s ==> measurable_on f s
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGRABLEu_ONu_SUBINTERVAL, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealm,B:cartrealm]:(((integrableu_on @ F @ S) & (subset @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ S)) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aINTEGRABLEu_RESTRICTu_UNIV, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ ^[X:cartrealm]:(cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ) <=> (integrableu_on @ F @ S))).
thf(aINTEGRABLEu_SUBINTERVALSu_IMPu_MEASURABLE, axiom, ![F:(cartrealm > cartrealn)]:(![A:cartrealm,B:cartrealm]:(integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (measurableu_on @ F @ univ))).
thf(aMEASURABLEu_ONu_UNIV, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((measurableu_on @ ^[X:cartrealm]:(cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ) <=> (measurableu_on @ F @ S))).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset0 @ S @ univ0)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ F @ S) => (measurableu_on @ F @ S))).
