%   ORIGINAL: ABSOLUTELY_INTEGRABLE_MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INTEGRABLE_IMP_MEASURABLE: !f s. f integrable_on s ==> measurable_on f s
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: MEASURABLE_BOUNDED_BY_INTEGRABLE_IMP_INTEGRABLE: !f g s. measurable_on f s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> f integrable_on s
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: TRUTH: T
% Assm: absolutely_integrable_on: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !f s. f absolutely_integrable_on s <=> measurable_on f s /\ (\x. lift (norm (f x))) integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. f integrable_on s ==> measurable_on f s
% Assm: !x. drop (lift x) = x
% Assm: !f g s. measurable_on f s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> f integrable_on s
% Assm: !x. x <= x
% Assm: T
% Assm: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !f s. f absolutely_integrable_on s <=> measurable_on f s /\ (\x. lift (norm (f x))) integrable_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINTEGRABLEu_IMPu_MEASURABLE, axiom, ![F:(cartrealm > cartrealn1),S:(cartrealm > $o)]:((integrableu_on @ F @ S) => (measurableu_on0 @ F @ S))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aMEASURABLEu_BOUNDEDu_BYu_INTEGRABLEu_IMPu_INTEGRABLE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn1),S:(cartrealm > $o)]:(((measurableu_on @ F @ S) & (integrableu_on @ G @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (drop @ (G @ X))))) => (integrableu_on0 @ F @ S))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(aabsolutelyu_integrableu_on, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((absolutelyu_integrableu_on @ F @ S) <=> ((integrableu_on0 @ F @ S) & (integrableu_on @ ^[X:cartrealm]:(lift @ (vectoru_norm @ (F @ X))) @ S)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((absolutelyu_integrableu_on @ F @ S) <=> ((measurableu_on @ F @ S) & (integrableu_on @ ^[X:cartrealm]:(lift @ (vectoru_norm @ (F @ X))) @ S)))).
