%   ORIGINAL: MEASURABLE_ON_COMPOSE_CONTINUOUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CONTINUOUS_ON_COMPOSE: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: CONTINUOUS_ON_SEQUENTIALLY: !f s. f continuous_on s <=> (!x a. a IN s /\ (!n. x n IN s) /\ (x --> a) sequentially ==> (f o x --> f a) sequentially)
% Assm: CONTINUOUS_ON_SUBSET: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Assm: measurable_on: !s f. measurable_on f s <=> (?k g. negligible k /\ (!n. g n continuous_on (:real^M)) /\ (!x. ~(x IN k) ==> ((\n. g n x) --> (if x IN s then f x else vec 0)) sequentially))
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g. measurable_on f (:real^M) /\ g continuous_on (:real^N) ==> measurable_on (g o f) (:real^M)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: !f s. f continuous_on s <=> (!x a. a IN s /\ (!n. x n IN s) /\ (x --> a) sequentially ==> (f o x --> f a) sequentially)
% Assm: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. x IN (:real^N)
% Assm: !x. x IN (:real^M)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s. s SUBSET (:real^N)
% Assm: !s. s SUBSET (:real^M)
% Assm: T
% Assm: !s f. measurable_on f s <=> (?k g. negligible k /\ (!n. g n continuous_on (:real^M)) /\ (!x. ~(x IN k) ==> ((\n. g n x) --> (if x IN s then f x else vec 0)) sequentially))
% Assm: !s f. measurable_on f s <=> (?k g. negligible k /\ (!n. g n continuous_on (:real^M)) /\ (!x. ~(x IN k) ==> ((\n. g n x) --> (if x IN s then f x else vec 0)) sequentially))
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g. measurable_on f (:real^M) /\ g continuous_on (:real^N) ==> measurable_on (g o f) (:real^M)
%  TYPES
thf(tp, type, p : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuousuu_on2, type, continuousu_on2 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealm > cartrealp) > (cartrealm > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealp > cartrealp) > (cartrealp > $o) > $o)).
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealm > cartrealp) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealp) > (cartrealn > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccond1, type, cond1 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond0, type, cond0 : ($o > cartrealp > cartrealp > cartrealp)).
thf(co1, type, o1 : ((cartrealn > cartrealp) > (num > cartrealn) > num > cartrealp)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealp) > cartrealp > netnum > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(co0, type, o0 : ((cartrealp > cartrealp) > (cartrealn > cartrealp) > cartrealn > cartrealp)).
thf(cimage, type, image : ((cartrealn > cartrealp) > (cartrealn > $o) > cartrealp > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(co, type, o : ((cartrealn > cartrealp) > (cartrealm > cartrealn) > cartrealm > cartrealp)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(cvec, type, vec : (num > cartrealp)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONTINUOUSu_ONu_COMPOSE, axiom, ![F:(cartrealn > cartrealp),G:(cartrealp > cartrealp),S:(cartrealn > $o)]:(((continuousu_on @ F @ S) & (continuousu_on0 @ G @ (image @ F @ S))) => (continuousu_on @ (o0 @ G @ F) @ S))).
thf(aCONTINUOUSu_ONu_SEQUENTIALLY, axiom, ![F:(cartrealn > cartrealp),S:(cartrealn > $o)]:((continuousu_on @ F @ S) <=> ![X:(num > cartrealn),A:cartrealn]:(((in @ A @ S) & ![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ A @ sequentially)) => (m_m_g_0 @ (o1 @ F @ X) @ (F @ A) @ sequentially)))).
thf(aCONTINUOUSu_ONu_SUBSET, axiom, ![F:(cartrealn > cartrealp),S:(cartrealn > $o),T:(cartrealn > $o)]:(((continuousu_on @ F @ S) & (subset @ T @ S)) => (continuousu_on @ F @ T))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_UNIVu_monomorphized1, axiom, ![X:cartrealn]:(in @ X @ univ0)).
thf(aINu_UNIVu_monomorphized0, axiom, ![X:cartrealm]:(in0 @ X @ univ)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_UNIVu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(subset @ S @ univ0)).
thf(aSUBSETu_UNIVu_monomorphized0, axiom, ![S:(cartrealm > $o)]:(subset0 @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(ameasurableu_onu_monomorphized1, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealp)]:((measurableu_on0 @ F @ S) <=> ?[K:(cartrealm > $o),G:(num > cartrealm > cartrealp)]:((negligible @ K) & ![N:num]:(continuousu_on1 @ (G @ N) @ univ) & ![X:cartrealm]:(~ ((in0 @ X @ K)) => (m_m_g_0 @ ^[N:num]:(G @ N @ X) @ (cond0 @ (in0 @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ sequentially))))).
thf(ameasurableu_onu_monomorphized0, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((measurableu_on @ F @ S) <=> ?[K:(cartrealm > $o),G:(num > cartrealm > cartrealn)]:((negligible @ K) & ![N:num]:(continuousu_on2 @ (G @ N) @ univ) & ![X:cartrealm]:(~ ((in0 @ X @ K)) => (m_m_g_ @ ^[N:num]:(G @ N @ X) @ (cond1 @ (in0 @ X @ S) @ (F @ X) @ (vec0 @ (numeral @ u_0))) @ sequentially))))).
thf(aou_DEF, axiom, ![F:(cartrealn > cartrealp),G:(cartrealm > cartrealn)]:((o @ F @ G) = ^[X:cartrealm]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealp)]:(((measurableu_on @ F @ univ) & (continuousu_on @ G @ univ0)) => (measurableu_on0 @ (o @ G @ F) @ univ))).
