%   ORIGINAL: MEASURABLE_ON_COMPOSE_CONTINUOUS_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: MEASURABLE_ON_COMPOSE_CONTINUOUS: !f g. measurable_on f (:real^M) /\ g continuous_on (:real^N) ==> measurable_on (g o f) (:real^M)
% Assm: MEASURABLE_ON_UNIV: measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g s. measurable_on f s /\ g continuous_on (:real^N) /\ g (vec 0) = vec 0 ==> measurable_on (g o f) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. measurable_on f (:real^M) /\ g continuous_on (:real^N) ==> measurable_on (g o f) (:real^M)
% Assm: !f s. measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: !f s. measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: ~F <=> T
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g s. measurable_on f s /\ g continuous_on (:real^N) /\ g (vec 0) = vec 0 ==> measurable_on (g o f) s
%  TYPES
thf(tp, type, p : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealm > cartrealp) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealp) > (cartrealn > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > cartrealp > cartrealp > cartrealp)).
thf(co, type, o : ((cartrealn > cartrealp) > (cartrealm > cartrealn) > cartrealm > cartrealp)).
thf(cuniv0, type, univ0 : (cartrealm > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cvec0, type, vec0 : (num > cartrealp)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealp),G:(a > cartrealp)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealp,T2:cartrealp]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealp),G:(a > cartrealp)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aMEASURABLEu_ONu_COMPOSEu_CONTINUOUS, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealp)]:(((measurableu_on @ F @ univ0) & (continuousu_on @ G @ univ)) => (measurableu_on0 @ (o @ G @ F) @ univ0))).
thf(aMEASURABLEu_ONu_UNIVu_monomorphized1, axiom, ![F:(cartrealm > cartrealp),S:(cartrealm > $o)]:((measurableu_on0 @ ^[X:cartrealm]:(cond @ (in @ X @ S) @ (F @ X) @ (vec0 @ (numeral @ u_0))) @ univ0) <=> (measurableu_on0 @ F @ S))).
thf(aMEASURABLEu_ONu_UNIVu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((measurableu_on @ ^[X:cartrealm]:(cond0 @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ0) <=> (measurableu_on @ F @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(cartrealn > cartrealp),G:(cartrealm > cartrealn)]:((o @ F @ G) = ^[X:cartrealm]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealp),S:(cartrealm > $o)]:(((measurableu_on @ F @ S) & (continuousu_on @ G @ univ) & ((G @ (vec @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0)))) => (measurableu_on0 @ (o @ G @ F) @ S))).
