%   ORIGINAL: MEASURABLE_ON_COMPOSE_CONTINUOUS_CLOSED_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: MEASURABLE_ON_COMPOSE_CONTINUOUS: !f g. measurable_on f (:real^M) /\ g continuous_on (:real^N) ==> measurable_on (g o f) (:real^M)
% Assm: TIETZE_UNBOUNDED: !f s. closed s /\ f continuous_on s ==> (?g. g continuous_on (:real^M) /\ (!x. x IN s ==> g x = f x))
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g s. closed s /\ measurable_on f (:real^M) /\ (!x. f x IN s) /\ g continuous_on s ==> measurable_on (g o f) (:real^M)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. measurable_on f (:real^M) /\ g continuous_on (:real^N) ==> measurable_on (g o f) (:real^M)
% Assm: !f s. closed s /\ f continuous_on s ==> (?g. g continuous_on (:real^N) /\ (!x. x IN s ==> g x = f x))
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g s. closed s /\ measurable_on f (:real^M) /\ (!x. f x IN s) /\ g continuous_on s ==> measurable_on (g o f) (:real^M)
%  TYPES
thf(tp, type, p : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealm > cartrealp) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealp) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(co, type, o : ((cartrealn > cartrealp) > (cartrealm > cartrealn) > cartrealm > cartrealp)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aMEASURABLEu_ONu_COMPOSEu_CONTINUOUS, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealp)]:(((measurableu_on @ F @ univ) & (continuousu_on @ G @ univ0)) => (measurableu_on0 @ (o @ G @ F) @ univ))).
thf(aTIETZEu_UNBOUNDED, axiom, ![F:(cartrealn > cartrealp),S:(cartrealn > $o)]:(((closed @ S) & (continuousu_on @ F @ S)) => ?[G:(cartrealn > cartrealp)]:((continuousu_on @ G @ univ0) & ![X:cartrealn]:((in @ X @ S) => ((G @ X) = (F @ X)))))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(cartrealn > cartrealp),G:(cartrealm > cartrealn),X:cartrealm]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealp),S:(cartrealn > $o)]:(((closed @ S) & (measurableu_on @ F @ univ) & ![X:cartrealm]:(in @ (F @ X) @ S) & (continuousu_on @ G @ S)) => (measurableu_on0 @ (o @ G @ F) @ univ))).
