%   ORIGINAL: MEASURABLE_ON_COMPOSE_CONTINUOUS_CLOSED_SET_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: MEASURABLE_ON_COMPOSE_CONTINUOUS_CLOSED_SET: !f g s. closed s /\ measurable_on f (:real^M) /\ (!x. f x IN s) /\ g continuous_on s ==> measurable_on (g o f) (:real^M)
% Assm: MEASURABLE_ON_UNIV: measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g s t. closed s /\ measurable_on f t /\ (!x. f x IN s) /\ g continuous_on s /\ vec 0 IN s /\ g (vec 0) = vec 0 ==> measurable_on (g o f) t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !f g s. closed s /\ measurable_on f (:real^M) /\ (!x. f x IN s) /\ g continuous_on s ==> measurable_on (g o f) (:real^M)
% Assm: !f s. measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: !f s. measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g s t. closed s /\ measurable_on f t /\ (!x. f x IN s) /\ g continuous_on s /\ vec 0 IN s /\ g (vec 0) = vec 0 ==> measurable_on (g o f) t
%  TYPES
thf(tp, type, p : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealm > cartrealp) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealp) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > cartrealp > cartrealp > cartrealp)).
thf(co, type, o : ((cartrealn > cartrealp) > (cartrealm > cartrealn) > cartrealm > cartrealp)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(ci, type, i : (cartrealp > cartrealp)).
thf(cvec0, type, vec0 : (num > cartrealp)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealp),G:(a > cartrealp)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealp,T2:cartrealp]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealp),G:(a > cartrealp)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:cartrealp]:((i @ X) = X)).
thf(aMEASURABLEu_ONu_COMPOSEu_CONTINUOUSu_CLOSEDu_SET, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealp),S:(cartrealn > $o)]:(((closed @ S) & (measurableu_on @ F @ univ) & ![X:cartrealm]:(in @ (F @ X) @ S) & (continuousu_on @ G @ S)) => (measurableu_on0 @ (o @ G @ F) @ univ))).
thf(aMEASURABLEu_ONu_UNIVu_monomorphized1, axiom, ![F:(cartrealm > cartrealp),S:(cartrealm > $o)]:((measurableu_on0 @ ^[X:cartrealm]:(cond @ (in0 @ X @ S) @ (F @ X) @ (vec0 @ (numeral @ u_0))) @ univ) <=> (measurableu_on0 @ F @ S))).
thf(aMEASURABLEu_ONu_UNIVu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((measurableu_on @ ^[X:cartrealm]:(cond0 @ (in0 @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ) <=> (measurableu_on @ F @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(cartrealn > cartrealp),G:(cartrealm > cartrealn),X:cartrealm]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealp),S:(cartrealn > $o),T:(cartrealm > $o)]:(((closed @ S) & (measurableu_on @ F @ T) & ![X:cartrealm]:(in @ (F @ X) @ S) & (continuousu_on @ G @ S) & (in @ (vec @ (numeral @ u_0)) @ S) & ((G @ (vec @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0)))) => (measurableu_on0 @ (o @ G @ F) @ T))).
