%   ORIGINAL: MEASURABLE_ON_NEG_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEASURABLE_ON_NEG: !f s. measurable_on f s ==> measurable_on (\x. --f x) s
% Assm: TRUTH: T
% Assm: VECTOR_NEG_NEG: -- --x = x
% Goal: !f s. measurable_on (\x. --f x) s <=> measurable_on f s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !f s. measurable_on f s ==> measurable_on (\x. --f x) s
% Assm: T
% Assm: !x. -- --x = x
% Goal: !f s. measurable_on (\x. --f x) s <=> measurable_on f s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMEASURABLEu_ONu_NEG, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((measurableu_on @ F @ S) => (measurableu_on @ ^[X:cartrealm]:(vectoru_neg @ (F @ X)) @ S))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_NEG, axiom, ![X:cartrealn]:((vectoru_neg @ (vectoru_neg @ X)) = X)).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((measurableu_on @ ^[X:cartrealm]:(vectoru_neg @ (F @ X)) @ S) <=> (measurableu_on @ F @ S))).
