%   ORIGINAL: MEASURABLE_ON_LIFT_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: MEASURABLE_ON_DROP_MUL: !f g s. measurable_on f s /\ measurable_on g s ==> measurable_on (\x. drop (f x) % g x) s
% Assm: TRUTH: T
% Goal: !f g s. measurable_on (\x. lift (f x)) s /\ measurable_on (\x. lift (g x)) s ==> measurable_on (\x. lift (f x * g x)) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !x. drop (lift x) = x
% Assm: !f g s. measurable_on f s /\ measurable_on g s ==> measurable_on (\x. drop (f x) % g x) s
% Assm: T
% Goal: !f g s. measurable_on (\x. lift (f x)) s /\ measurable_on (\x. lift (g x)) s ==> measurable_on (\x. lift (f x * g x)) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq552354, type, cartrealq552354 : $tType).
thf(tq552354, type, q552354 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealq552354 > cartrealn1) > (cartrealq552354 > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_ @ C @ (lift @ X)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aMEASURABLEu_ONu_DROPu_MUL, axiom, ![F:(cartrealq552354 > cartrealn1),G:(cartrealq552354 > cartrealn1),S:(cartrealq552354 > $o)]:(((measurableu_on @ F @ S) & (measurableu_on @ G @ S)) => (measurableu_on @ ^[X:cartrealq552354]:(r_ @ (drop @ (F @ X)) @ (G @ X)) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq552354 > real),G:(cartrealq552354 > real),S:(cartrealq552354 > $o)]:(((measurableu_on @ ^[X:cartrealq552354]:(lift @ (F @ X)) @ S) & (measurableu_on @ ^[X:cartrealq552354]:(lift @ (G @ X)) @ S)) => (measurableu_on @ ^[X:cartrealq552354]:(lift @ (realu_mul @ (F @ X) @ (G @ X))) @ S))).
