%   ORIGINAL: MEASURABLE_ON_SPIKE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NEGLIGIBLE_UNION: !s t. negligible s /\ negligible t ==> negligible (s UNION t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: measurable_on: !s f. measurable_on f s <=> (?k g. negligible k /\ (!n. g n continuous_on (:real^M)) /\ (!x. ~(x IN k) ==> ((\n. g n x) --> (if x IN s then f x else vec 0)) sequentially))
% Goal: !f g s t. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> measurable_on f t ==> measurable_on g t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s t. negligible s /\ negligible t ==> negligible (s UNION t)
% Assm: ~F <=> T
% Assm: T
% Assm: !s f. measurable_on f s <=> (?k g. negligible k /\ (!n. g n continuous_on (:real^M)) /\ (!x. ~(x IN k) ==> ((\n. g n x) --> (if x IN s then f x else vec 0)) sequentially))
% Goal: !f g s t. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> measurable_on f t ==> measurable_on g t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cunion, type, union : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(cdiff, type, diff : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aINu_DIFF, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNEGLIGIBLEu_UNION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((negligible @ S) & (negligible @ T)) => (negligible @ (union @ S @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ameasurableu_on, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((measurableu_on @ F @ S) <=> ?[K:(cartrealm > $o),G:(num > cartrealm > cartrealn)]:((negligible @ K) & ![N:num]:(continuousu_on @ (G @ N) @ univ) & ![X:cartrealm]:(~ ((in @ X @ K)) => (m_m_g_ @ ^[N:num]:(G @ N @ X) @ (cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ sequentially))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((negligible @ S) & ![X:cartrealm]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X)))) => ((measurableu_on @ F @ T) => (measurableu_on @ G @ T)))).
