%   ORIGINAL: MEASURABLE_ON_SPIKE_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NEGLIGIBLE_UNION: !s t. negligible s /\ negligible t ==> negligible (s UNION t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: measurable_on: !s f. measurable_on f s <=> (?k g. negligible k /\ (!n. g n continuous_on (:real^M)) /\ (!x. ~(x IN k) ==> ((\n. g n x) --> (if x IN s then f x else vec 0)) sequentially))
% Goal: !f s t. negligible (s DIFF t UNION t DIFF s) ==> measurable_on f s ==> measurable_on f t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: !s t. negligible s /\ negligible t ==> negligible (s UNION t)
% Assm: ~F <=> T
% Assm: T
% Assm: !s f. measurable_on f s <=> (?k g. negligible k /\ (!n. g n continuous_on (:real^M)) /\ (!x. ~(x IN k) ==> ((\n. g n x) --> (if x IN s then f x else vec 0)) sequentially))
% Goal: !f s t. negligible (s DIFF t UNION t DIFF s) ==> measurable_on f s ==> measurable_on f t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cdiff, type, diff : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cunion, type, union : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNEGLIGIBLEu_UNION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((negligible @ S) & (negligible @ T)) => (negligible @ (union @ S @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ameasurableu_on, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((measurableu_on @ F @ S) <=> ?[K:(cartrealm > $o),G:(num > cartrealm > cartrealn)]:((negligible @ K) & ![N:num]:(continuousu_on @ (G @ N) @ univ) & ![X:cartrealm]:(~ ((in0 @ X @ K)) => (m_m_g_ @ ^[N:num]:(G @ N @ X) @ (cond0 @ (in0 @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ sequentially))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:((negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((measurableu_on @ F @ S) => (measurableu_on @ F @ T)))).
