%   ORIGINAL: MEASURABLE_ON_LEBESGUE_MEASURABLE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: MEASURABLE_ON_RESTRICT: !f s. measurable_on f (:real^M) /\ lebesgue_measurable s ==> measurable_on (\x. if x IN s then f x else vec 0) (:real^M)
% Assm: MEASURABLE_ON_UNIV: measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f s t. s SUBSET t /\ measurable_on f t /\ lebesgue_measurable s ==> measurable_on f s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !f s. measurable_on f (:real^?552674) /\ lebesgue_measurable s ==> measurable_on (\x. if x IN s then f x else vec 0) (:real^?552674)
% Assm: !f s. measurable_on (\x. if x IN s then f x else vec 0) (:real^?552674) <=> measurable_on f s
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f s t. s SUBSET t /\ measurable_on f t /\ lebesgue_measurable s ==> measurable_on f s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq552674, type, cartrealq552674 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq552671, type, cartrealq552671 : $tType).
thf(tq552671, type, q552671 : $tType).
thf(tq552674, type, q552674 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq552674 > (cartrealq552674 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealq552674 > cartrealq552671) > (cartrealq552674 > $o) > $o)).
thf(csubset, type, subset : ((cartrealq552674 > $o) > (cartrealq552674 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealq552671 > cartrealq552671 > cartrealq552671)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cvec, type, vec : (num > cartrealq552671)).
thf(cuniv, type, univ : (cartrealq552674 > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealq552674 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aMEASURABLEu_ONu_RESTRICT, axiom, ![F:(cartrealq552674 > cartrealq552671),S:(cartrealq552674 > $o)]:(((measurableu_on @ F @ univ) & (lebesgueu_measurable @ S)) => (measurableu_on @ ^[X:cartrealq552674]:(cond0 @ (in0 @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ))).
thf(aMEASURABLEu_ONu_UNIV, axiom, ![F:(cartrealq552674 > cartrealq552671),S:(cartrealq552674 > $o)]:((measurableu_on @ ^[X:cartrealq552674]:(cond0 @ (in0 @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ) <=> (measurableu_on @ F @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq552674 > $o),T:(cartrealq552674 > $o)]:((subset @ S @ T) <=> ![X:cartrealq552674]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq552674 > cartrealq552671),S:(cartrealq552674 > $o),T:(cartrealq552674 > $o)]:(((subset @ S @ T) & (measurableu_on @ F @ T) & (lebesgueu_measurable @ S)) => (measurableu_on @ F @ S))).
