%   ORIGINAL: MEASURABLE_IMP_LEBESGUE_MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGRABLE_IMP_MEASURABLE: !f s. f integrable_on s ==> measurable_on f s
% Assm: MEASURABLE_INTEGRABLE: measurable s <=> (\x. if x IN s then vec 1 else vec 0) integrable_on (:real^?518250)
% Assm: TRUTH: T
% Assm: indicator: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: lebesgue_measurable: !s. lebesgue_measurable s <=> measurable_on (indicator s) (:real^N)
% Goal: !s. measurable s ==> lebesgue_measurable s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f integrable_on s ==> measurable_on f s
% Assm: !s. measurable s <=> (\x. if x IN s then vec 1 else vec 0) integrable_on (:real^N)
% Assm: T
% Assm: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: !s. lebesgue_measurable s <=> measurable_on (indicator s) (:real^N)
% Goal: !s. measurable s ==> lebesgue_measurable s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cindicator0, type, indicator0 : ((cartrealn > $o) > cartrealn > cartrealn1)).
thf(cindicator, type, indicator : ((cartrealm > $o) > cartrealm > cartrealn1)).
thf(ccond, type, cond : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGRABLEu_IMPu_MEASURABLE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ F @ S) => (measurableu_on @ F @ S))).
thf(aMEASURABLEu_INTEGRABLE, axiom, ![S:(cartrealn > $o)]:((measurable @ S) <=> (integrableu_on0 @ ^[X:cartrealn]:(cond @ (in @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))) @ univ))).
thf(aTRUTH, axiom, $true).
thf(aindicator, axiom, ![S:(cartrealm > $o)]:((indicator @ S) = ^[X:cartrealm]:(cond @ (in0 @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))))).
thf(alebesgueu_measurable, axiom, ![S:(cartrealn > $o)]:((lebesgueu_measurable @ S) <=> (measurableu_on0 @ (indicator0 @ S) @ univ))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((measurable @ S) => (lebesgueu_measurable @ S))).
