%   ORIGINAL: LEBESGUE_MEASURABLE_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: MEASURABLE_ON_CONST: !k. measurable_on (\x. k) (:real^M)
% Assm: TRUTH: T
% Assm: indicator: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: lebesgue_measurable: !s. lebesgue_measurable s <=> measurable_on (indicator s) (:real^N)
% Goal: lebesgue_measurable (:real^N)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x. x IN (:real^N)
% Assm: !k. measurable_on (\x. k) (:real^N)
% Assm: T
% Assm: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: !s. lebesgue_measurable s <=> measurable_on (indicator s) (:real^N)
% Goal: lebesgue_measurable (:real^N)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cindicator0, type, indicator0 : ((cartrealn > $o) > cartrealn > cartrealn1)).
thf(ccond0, type, cond0 : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cindicator, type, indicator : ((cartrealm > $o) > cartrealm > cartrealn1)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aMEASURABLEu_ONu_CONST, axiom, ![K:cartrealn]:(measurableu_on @ ^[X:cartrealn]:K @ univ)).
thf(aTRUTH, axiom, $true).
thf(aindicator, axiom, ![S:(cartrealm > $o)]:((indicator @ S) = ^[X:cartrealm]:(cond0 @ (in0 @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))))).
thf(alebesgueu_measurable, axiom, ![S:(cartrealn > $o)]:((lebesgueu_measurable @ S) <=> (measurableu_on0 @ (indicator0 @ S) @ univ))).
thf(conjecture, conjecture, (lebesgueu_measurable @ univ)).
