%   ORIGINAL: LEBESGUE_MEASURABLE_COMPACT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEASURABLE_COMPACT: !s. compact s ==> measurable s
% Assm: MEASURABLE_IMP_LEBESGUE_MEASURABLE: !s. measurable s ==> lebesgue_measurable s
% Assm: TRUTH: T
% Goal: !s. compact s ==> lebesgue_measurable s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. compact s ==> measurable s
% Assm: !s. measurable s ==> lebesgue_measurable s
% Assm: T
% Goal: !s. compact s ==> lebesgue_measurable s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEASURABLEu_COMPACT, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (measurable @ S))).
thf(aMEASURABLEu_IMPu_LEBESGUEu_MEASURABLE, axiom, ![S:(cartrealn > $o)]:((measurable @ S) => (lebesgueu_measurable @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((compact @ S) => (lebesgueu_measurable @ S))).
