%   ORIGINAL: LEBESGUE_MEASURABLE_INTERVAL_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEASURABLE_IMP_LEBESGUE_MEASURABLE: !s. measurable s ==> lebesgue_measurable s
% Assm: MEASURABLE_INTERVAL_conjunct0: !a b. measurable (interval [a,b])
% Assm: MEASURABLE_INTERVAL_conjunct1: !a b. measurable (interval (a,b))
% Assm: TRUTH: T
% Goal: !a b. lebesgue_measurable (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. measurable s ==> lebesgue_measurable s
% Assm: !a b. measurable (interval [a,b])
% Assm: !a b. measurable (interval (a,b))
% Assm: T
% Goal: !a b. lebesgue_measurable (interval [a,b])
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEASURABLEu_IMPu_LEBESGUEu_MEASURABLE, axiom, ![S:(cartrealn > $o)]:((measurable @ S) => (lebesgueu_measurable @ S))).
thf(aMEASURABLEu_INTERVALu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:(measurable @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aMEASURABLEu_INTERVALu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:(measurable @ (openu_interval @ (c_ @ A @ B)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:(lebesgueu_measurable @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
