%   ORIGINAL: LEBESGUE_MEASURABLE_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_INTER_COMPACT: !s t. closed s /\ compact t ==> compact (s INTER t)
% Assm: COMPACT_INTERVAL: !a b. compact (interval [a,b])
% Assm: LEBESGUE_MEASURABLE_COMPACT: !s. compact s ==> lebesgue_measurable s
% Assm: LEBESGUE_MEASURABLE_ON_SUBINTERVALS: !s. lebesgue_measurable s <=> (!a b. lebesgue_measurable (s INTER interval [a,b]))
% Assm: TRUTH: T
% Goal: !s. closed s ==> lebesgue_measurable s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. closed s /\ compact t ==> compact (s INTER t)
% Assm: !a b. compact (interval [a,b])
% Assm: !s. compact s ==> lebesgue_measurable s
% Assm: !s. lebesgue_measurable s <=> (!a b. lebesgue_measurable (s INTER interval [a,b]))
% Assm: T
% Goal: !s. closed s ==> lebesgue_measurable s
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq209308, type, cartrealq209308 : $tType).
thf(tq209308, type, q209308 : $tType).
thf(tprodcartrealq209308cartrealq209308, type, prodcartrealq209308cartrealq209308 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
thf(tlistprodcartrealq209308cartrealq209308, type, listprodcartrealq209308cartrealq209308 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealncartrealn).
thf(cnil, type, nil : listprodcartrealq209308cartrealq209308).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq209308cartrealq209308 > cartrealq209308 > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons0, type, cons0 : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealq209308 > cartrealq209308 > prodcartrealq209308cartrealq209308)).
thf(ccons, type, cons : (prodcartrealq209308cartrealq209308 > listprodcartrealq209308cartrealq209308 > listprodcartrealq209308cartrealq209308)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccompact0, type, compact0 : ((cartrealq209308 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_INTERu_COMPACT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((closed @ S) & (compact @ T)) => (compact @ (inter @ S @ T)))).
thf(aCOMPACTu_INTERVAL, axiom, ![A:cartrealq209308,B:cartrealq209308]:(compact0 @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aLEBESGUEu_MEASURABLEu_COMPACT, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (lebesgueu_measurable @ S))).
thf(aLEBESGUEu_MEASURABLEu_ONu_SUBINTERVALS, axiom, ![S:(cartrealn > $o)]:((lebesgueu_measurable @ S) <=> ![A:cartrealn,B:cartrealn]:(lebesgueu_measurable @ (inter @ S @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((closed @ S) => (lebesgueu_measurable @ S))).
