%   ORIGINAL: LEBESGUE_MEASURABLE_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LEBESGUE_MEASURABLE_CLOSED: !s. closed s ==> lebesgue_measurable s
% Assm: LEBESGUE_MEASURABLE_COMPL: !s. lebesgue_measurable ((:real^N) DIFF s) <=> lebesgue_measurable s
% Assm: OPEN_CLOSED: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: TRUTH: T
% Goal: !s. open s ==> lebesgue_measurable s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. closed s ==> lebesgue_measurable s
% Assm: !s. lebesgue_measurable ((:real^N) DIFF s) <=> lebesgue_measurable s
% Assm: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: T
% Goal: !s. open s ==> lebesgue_measurable s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLEBESGUEu_MEASURABLEu_CLOSED, axiom, ![S:(cartrealn > $o)]:((closed @ S) => (lebesgueu_measurable @ S))).
thf(aLEBESGUEu_MEASURABLEu_COMPL, axiom, ![S:(cartrealn > $o)]:((lebesgueu_measurable @ (diff @ univ @ S)) <=> (lebesgueu_measurable @ S))).
thf(aOPENu_CLOSED, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (closed @ (diff @ univ @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((open @ S) => (lebesgueu_measurable @ S))).
