%   ORIGINAL: LEBESGUE_MEASURABLE_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: LEBESGUE_MEASURABLE_EMPTY: lebesgue_measurable {}
% Assm: LEBESGUE_MEASURABLE_UNION: !s t. lebesgue_measurable s /\ lebesgue_measurable t ==> lebesgue_measurable (s UNION t)
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (UNIONS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: lebesgue_measurable {}
% Assm: !s t. lebesgue_measurable s /\ lebesgue_measurable t ==> lebesgue_measurable (s UNION t)
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (UNIONS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq555126, type, cartrealq555126 : $tType).
thf(treal, type, real : $tType).
thf(tq555126, type, q555126 : $tType).
%  CONSTS
thf(cunions, type, unions : (((cartrealq555126 > $o) > $o) > cartrealq555126 > $o)).
thf(cin, type, in : ((cartrealq555126 > $o) > ((cartrealq555126 > $o) > $o) > $o)).
thf(cunion, type, union : ((cartrealq555126 > $o) > (cartrealq555126 > $o) > cartrealq555126 > $o)).
thf(cinsert, type, insert : ((cartrealq555126 > $o) > ((cartrealq555126 > $o) > $o) > (cartrealq555126 > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealq555126 > $o)).
thf(cempty, type, empty : ((cartrealq555126 > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealq555126 > $o) > $o)).
thf(cfinite, type, finite : (((cartrealq555126 > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealq555126 > $o) > $o) > $o)]:(((P @ empty) & ![X:(cartrealq555126 > $o),S:((cartrealq555126 > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealq555126 > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:(cartrealq555126 > $o),Y:(cartrealq555126 > $o),S:((cartrealq555126 > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aLEBESGUEu_MEASURABLEu_EMPTY, axiom, (lebesgueu_measurable @ empty0)).
thf(aLEBESGUEu_MEASURABLEu_UNION, axiom, ![S:(cartrealq555126 > $o),T:(cartrealq555126 > $o)]:(((lebesgueu_measurable @ S) & (lebesgueu_measurable @ T)) => (lebesgueu_measurable @ (union @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty) = empty0)).
thf(aUNIONSu_INSERT, axiom, ![S:(cartrealq555126 > $o),U:((cartrealq555126 > $o) > $o)]:((unions @ (insert @ S @ U)) = (union @ S @ (unions @ U)))).
thf(conjecture, conjecture, ![F:((cartrealq555126 > $o) > $o)]:(((finite @ F) & ![S:(cartrealq555126 > $o)]:((in @ S @ F) => (lebesgueu_measurable @ S))) => (lebesgueu_measurable @ (unions @ F)))).
