%   ORIGINAL: LEBESGUE_MEASURABLE_COUNTABLE_UNIONS_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ALWAYS_EVENTUALLY: (!x. p x) ==> eventually p net
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVENTUALLY_SEQUENTIALLY: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: EXISTS_IN_GSPEC_conjunct0: !P f. (?z. z IN {f x | P x} /\ Q z) <=> (?x. P x /\ Q (f x))
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_NUMSEG_LE: !n. FINITE {m | m <= n}
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: LEBESGUE_MEASURABLE_UNIONS: !f. FINITE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (UNIONS f)
% Assm: LIM_EVENTUALLY: !net f l. eventually (\x. f x = l) net ==> (f --> l) net
% Assm: MEASURABLE_ON_LIMIT: !f g s k. (!n. measurable_on (f n) s) /\ negligible k /\ (!x. x IN s DIFF k ==> ((\n. f n x) --> g x) sequentially) ==> measurable_on g s
% Assm: NEGLIGIBLE_EMPTY: negligible {}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: indicator: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: lebesgue_measurable: !s. lebesgue_measurable s <=> measurable_on (indicator s) (:real^N)
% Goal: !s. (!n. lebesgue_measurable (s n)) ==> lebesgue_measurable (UNIONS {s n | n IN (:num)})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !p net. (!x. p x) ==> eventually p net
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: !Q P f. (?z. z IN {f x | P x} /\ Q z) <=> (?x. P x /\ Q (f x))
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !n. FINITE {m | m <= n}
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. x IN (:num)
% Assm: !f. FINITE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (UNIONS f)
% Assm: !net f l. eventually (\x. f x = l) net ==> (f --> l) net
% Assm: !f g s k. (!n. measurable_on (f n) s) /\ negligible k /\ (!x. x IN s DIFF k ==> ((\n. f n x) --> g x) sequentially) ==> measurable_on g s
% Assm: negligible {}
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: !s. lebesgue_measurable s <=> measurable_on (indicator s) (:real^N)
% Goal: !s. (!n. lebesgue_measurable (s n)) ==> lebesgue_measurable (UNIONS {s n | n IN (:num)})
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq175730, type, q175730 : $tType).
thf(tnetq174927, type, netq174927 : $tType).
thf(tcartrealq453251, type, cartrealq453251 : $tType).
thf(tnum, type, num : $tType).
thf(tnetq175726, type, netq175726 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq175726, type, q175726 : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tq48337, type, q48337 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq453251, type, q453251 : $tType).
thf(tq174927, type, q174927 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealq175730, type, cartrealq175730 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cin2, type, in2 : (cartrealm > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ceventually1, type, eventually1 : ((q175726 > $o) > netq175726 > $o)).
thf(cin1, type, in1 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin0, type, in0 : ((num > $o) > ((num > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((num > $o) > $o) > num > $o)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ceventually0, type, eventually0 : ((num > $o) > netnum > $o)).
thf(ceventually, type, eventually : ((q174927 > $o) > netq174927 > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cindicator0, type, indicator0 : ((cartrealn > $o) > cartrealn > cartrealn1)).
thf(ccond0, type, cond0 : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cindicator, type, indicator : ((cartrealm > $o) > cartrealm > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cdiff0, type, diff0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q175726 > cartrealq175730) > cartrealq175730 > netq175726 > $o)).
thf(cdiff, type, diff : ((num > $o) > (num > $o) > num > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(cimage, type, image : ((num > num) > (num > $o) > num > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (num > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealq453251 > $o)).
thf(cnegligible0, type, negligible0 : ((cartrealq453251 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
thf(cfinite2, type, finite2 : (((cartrealn > $o) > $o) > $o)).
thf(cfinite1, type, finite1 : ((num > $o) > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aALWAYSu_EVENTUALLY, axiom, ![P:(q174927 > $o),NET:netq174927]:(![X:q174927]:(P @ X) => (eventually @ P @ NET))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEVENTUALLYu_SEQUENTIALLY, axiom, ![P:(num > $o)]:((eventually0 @ P @ sequentially) <=> ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (P @ N0)))).
thf(aEXISTSu_INu_GSPECu_conjunct0, axiom, ![Q:(num > $o),P:(q48337 > $o),F:(q48337 > num)]:(?[Z:num]:((in @ Z @ (gspec0 @ ^[GENR_PVARR_23:num]:?[X:q48337]:(setspec0 @ GENR_PVARR_23 @ (P @ X) @ (F @ X)))) & (Q @ Z)) <=> ?[X:q48337]:((P @ X) & (Q @ (F @ X))))).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(num > $o),F:(num > num),S:(num > $o)]:(?[Y:num]:((in @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:num]:((in @ X @ S) & (P @ (F @ X))))).
thf(aFINITEu_IMAGE, axiom, ![F:(a > b),S:(a > $o)]:((finite @ S) => (finite0 @ (image0 @ F @ S)))).
thf(aFINITEu_NUMSEGu_LE, axiom, ![N:num]:(finite1 @ (gspec0 @ ^[GENR_PVARR_110:num]:?[M:num]:(setspec0 @ GENR_PVARR_110 @ (l_a_ @ M @ N) @ M)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(num > $o),F:(num > num),S:(num > $o)]:(![Y:num]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:num]:((in @ X @ S) => (P @ (F @ X))))).
thf(aINu_DIFF, axiom, ![S:(num > $o),T:(num > $o),X:num]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNIONS, axiom, ![S:((num > $o) > $o),X:num]:((in @ X @ (unions0 @ S)) <=> ?[T:(num > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:num]:(in @ X @ univ)).
thf(aLEBESGUEu_MEASURABLEu_UNIONS, axiom, ![F:((cartrealn > $o) > $o)]:(((finite2 @ F) & ![S:(cartrealn > $o)]:((in1 @ S @ F) => (lebesgueu_measurable @ S))) => (lebesgueu_measurable @ (unions @ F)))).
thf(aLIMu_EVENTUALLY, axiom, ![NET:netq175726,F:(q175726 > cartrealq175730),L:cartrealq175730]:((eventually1 @ ^[X:q175726]:((F @ X) = L) @ NET) => (m_m_g_ @ F @ L @ NET))).
thf(aMEASURABLEu_ONu_LIMIT, axiom, ![F:(num > cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),K:(cartrealm > $o)]:((![N:num]:(measurableu_on @ (F @ N) @ S) & (negligible @ K) & ![X:cartrealm]:((in2 @ X @ (diff0 @ S @ K)) => (m_m_g_0 @ ^[N:num]:(F @ N @ X) @ (G @ X) @ sequentially))) => (measurableu_on @ G @ S))).
thf(aNEGLIGIBLEu_EMPTY, axiom, (negligible0 @ empty)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:num]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(aindicator, axiom, ![S:(cartrealm > $o)]:((indicator @ S) = ^[X:cartrealm]:(cond0 @ (in2 @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))))).
thf(alebesgueu_measurable, axiom, ![S:(cartrealn > $o)]:((lebesgueu_measurable @ S) <=> (measurableu_on0 @ (indicator0 @ S) @ univ0))).
thf(conjecture, conjecture, ![S:(num > cartrealn > $o)]:(![N:num]:(lebesgueu_measurable @ (S @ N)) => (lebesgueu_measurable @ (unions @ (gspec @ ^[GENR_PVARR_2175:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2175 @ (in @ N @ univ) @ (S @ N))))))).
