%   ORIGINAL: LEBESGUE_MEASURABLE_COUNTABLE_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COUNTABLE_AS_IMAGE: !s. COUNTABLE s /\ ~(s = {}) ==> (?f. s = IMAGE f (:num))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: LEBESGUE_MEASURABLE_COUNTABLE_UNIONS_EXPLICIT: !s. (!n. lebesgue_measurable (s n)) ==> lebesgue_measurable (UNIONS {s n | n IN (:num)})
% Assm: LEBESGUE_MEASURABLE_EMPTY: lebesgue_measurable {}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Goal: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (UNIONS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. COUNTABLE s /\ ~(s = {}) ==> (?f. s = IMAGE f (:num))
% Assm: !t. (\x. t x) = t
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. x IN (:real^N->bool)
% Assm: !s. (!n. lebesgue_measurable (s n)) ==> lebesgue_measurable (UNIONS {s n | n IN (:num)})
% Assm: lebesgue_measurable {}
% Assm: ~F <=> T
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Assm: UNIONS {} = {}
% Goal: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (UNIONS f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq47811, type, q47811 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q47811 > $o) > q47811 > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cimage1, type, image1 : (((cartrealn > $o) > q47811) > ((cartrealn > $o) > $o) > q47811 > $o)).
thf(csetspec0, type, setspec0 : (q47811 > $o > q47811 > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cimage0, type, image0 : (((cartrealn > $o) > cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cimage, type, image : ((num > cartrealn > $o) > (num > $o) > (cartrealn > $o) > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cuniv0, type, univ0 : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : ((cartrealn > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(ccountable, type, countable : (((cartrealn > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOUNTABLEu_ASu_IMAGE, axiom, ![S:((cartrealn > $o) > $o)]:(((countable @ S) & ~ ((S = empty))) => ?[F:(num > cartrealn > $o)]:(S = (image @ F @ univ)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_IMAGE, axiom, ![Y:(cartrealn > $o),S:((cartrealn > $o) > $o),F:((cartrealn > $o) > cartrealn > $o)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:(cartrealn > $o)]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_UNIV, axiom, ![X:(cartrealn > $o)]:(in @ X @ univ0)).
thf(aLEBESGUEu_MEASURABLEu_COUNTABLEu_UNIONSu_EXPLICIT, axiom, ![S:(num > cartrealn > $o)]:(![N:num]:(lebesgueu_measurable @ (S @ N)) => (lebesgueu_measurable @ (unions @ (gspec @ ^[GENR_PVARR_2175:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2175 @ (in0 @ N @ univ) @ (S @ N))))))).
thf(aLEBESGUEu_MEASURABLEu_EMPTY, axiom, (lebesgueu_measurable @ empty0)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSIMPLEu_IMAGE, axiom, ![F:((cartrealn > $o) > q47811),S:((cartrealn > $o) > $o)]:((gspec0 @ ^[GENR_PVARR_11:q47811]:?[X:(cartrealn > $o)]:(setspec0 @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image1 @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty) = empty0)).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(((countable @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (lebesgueu_measurable @ S))) => (lebesgueu_measurable @ (unions @ F)))).
