%   ORIGINAL: LEBESGUE_MEASURABLE_COUNTABLE_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COUNTABLE_IMAGE: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: INTERS_UNIONS: !s. INTERS s = (:?49035) DIFF UNIONS {(:?49035) DIFF t | t IN s}
% Assm: LEBESGUE_MEASURABLE_COMPL: !s. lebesgue_measurable ((:real^N) DIFF s) <=> lebesgue_measurable s
% Assm: LEBESGUE_MEASURABLE_COUNTABLE_UNIONS: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (UNIONS f)
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Goal: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !s. INTERS s = (:real^N) DIFF UNIONS {(:real^N) DIFF t | t IN s}
% Assm: !s. lebesgue_measurable ((:real^N) DIFF s) <=> lebesgue_measurable s
% Assm: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (UNIONS f)
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Goal: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (INTERS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq47811, type, q47811 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q47811 > $o) > q47811 > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cimage0, type, image0 : (((cartrealn > $o) > q47811) > ((cartrealn > $o) > $o) > q47811 > $o)).
thf(csetspec0, type, setspec0 : (q47811 > $o > q47811 > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : (((cartrealn > $o) > cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(ccountable, type, countable : (((cartrealn > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOUNTABLEu_IMAGE, axiom, ![F:((cartrealn > $o) > cartrealn > $o),S:((cartrealn > $o) > $o)]:((countable @ S) => (countable @ (image @ F @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:((cartrealn > $o) > $o),F:((cartrealn > $o) > cartrealn > $o),S:((cartrealn > $o) > $o)]:(![Y:(cartrealn > $o)]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (P @ (F @ X))))).
thf(aINTERSu_UNIONS, axiom, ![S:((cartrealn > $o) > $o)]:((inters @ S) = (diff @ univ @ (unions @ (gspec @ ^[GENR_PVARR_41:(cartrealn > $o)]:?[T:(cartrealn > $o)]:(setspec @ GENR_PVARR_41 @ (in @ T @ S) @ (diff @ univ @ T))))))).
thf(aLEBESGUEu_MEASURABLEu_COMPL, axiom, ![S:(cartrealn > $o)]:((lebesgueu_measurable @ (diff @ univ @ S)) <=> (lebesgueu_measurable @ S))).
thf(aLEBESGUEu_MEASURABLEu_COUNTABLEu_UNIONS, axiom, ![F:((cartrealn > $o) > $o)]:(((countable @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (lebesgueu_measurable @ S))) => (lebesgueu_measurable @ (unions @ F)))).
thf(aSIMPLEu_IMAGE, axiom, ![F:((cartrealn > $o) > q47811),S:((cartrealn > $o) > $o)]:((gspec0 @ ^[GENR_PVARR_11:q47811]:?[X:(cartrealn > $o)]:(setspec0 @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image0 @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(((countable @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (lebesgueu_measurable @ S))) => (lebesgueu_measurable @ (inters @ F)))).
