%   ORIGINAL: LEBESGUE_MEASURABLE_COUNTABLE_INTERS_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COUNTABLE_IMAGE: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: LEBESGUE_MEASURABLE_COUNTABLE_INTERS: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (INTERS f)
% Assm: Misc_defs_and_lemmas.NUM_COUNTABLE: COUNTABLE (:num)
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Goal: !s. (!n. lebesgue_measurable (s n)) ==> lebesgue_measurable (INTERS {s n | n IN (:num)})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (INTERS f)
% Assm: COUNTABLE (:num)
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Goal: !s. (!n. lebesgue_measurable (s n)) ==> lebesgue_measurable (INTERS {s n | n IN (:num)})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cimage1, type, image1 : ((num > cartrealn > $o) > (num > $o) > (cartrealn > $o) > $o)).
thf(cimage0, type, image0 : ((num > num) > (num > $o) > num > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(ccountable2, type, countable2 : ((num > $o) > $o)).
thf(ccountable1, type, countable1 : (((cartrealn > $o) > $o) > $o)).
thf(ccountable0, type, countable0 : ((b > $o) > $o)).
thf(ccountable, type, countable : ((a > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOUNTABLEu_IMAGE, axiom, ![F:(a > b),S:(a > $o)]:((countable @ S) => (countable0 @ (image @ F @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(num > $o),F:(num > num),S:(num > $o)]:(![Y:num]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:num]:((in @ X @ S) => (P @ (F @ X))))).
thf(aLEBESGUEu_MEASURABLEu_COUNTABLEu_INTERS, axiom, ![F:((cartrealn > $o) > $o)]:(((countable1 @ F) & ![S:(cartrealn > $o)]:((in0 @ S @ F) => (lebesgueu_measurable @ S))) => (lebesgueu_measurable @ (inters @ F)))).
thf(aMiscu_defsu_andu_lemmaso_NUMu_COUNTABLE, axiom, (countable2 @ univ)).
thf(aSIMPLEu_IMAGE, axiom, ![F:(num > cartrealn > $o),S:(num > $o)]:((gspec @ ^[GENR_PVARR_11:(cartrealn > $o)]:?[X:num]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image1 @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > cartrealn > $o)]:(![N:num]:(lebesgueu_measurable @ (S @ N)) => (lebesgueu_measurable @ (inters @ (gspec @ ^[GENR_PVARR_2176:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2176 @ (in @ N @ univ) @ (S @ N))))))).
