%   ORIGINAL: LEBESGUE_MEASURABLE_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_IMP_COUNTABLE: !s. FINITE s ==> COUNTABLE s
% Assm: LEBESGUE_MEASURABLE_COUNTABLE_INTERS: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (INTERS f)
% Assm: TRUTH: T
% Goal: !f. FINITE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. FINITE s ==> COUNTABLE s
% Assm: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (INTERS f)
% Assm: T
% Goal: !f. FINITE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (INTERS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(ccountable, type, countable : (((cartrealn > $o) > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_IMPu_COUNTABLE, axiom, ![S:((cartrealn > $o) > $o)]:((finite @ S) => (countable @ S))).
thf(aLEBESGUEu_MEASURABLEu_COUNTABLEu_INTERS, axiom, ![F:((cartrealn > $o) > $o)]:(((countable @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (lebesgueu_measurable @ S))) => (lebesgueu_measurable @ (inters @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > $o)]:(((finite @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (lebesgueu_measurable @ S))) => (lebesgueu_measurable @ (inters @ F)))).
