%   ORIGINAL: CONTINUOUS_IMP_MEASURABLE_ON_CLOSED_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CONTINUOUS_IMP_MEASURABLE_ON: !f. f continuous_on (:real^M) ==> measurable_on f (:real^M)
% Assm: LEBESGUE_MEASURABLE_CLOSED: !s. closed s ==> lebesgue_measurable s
% Assm: MEASURABLE_ON_LEBESGUE_MEASURABLE_SUBSET: !f s t. s SUBSET t /\ measurable_on f t /\ lebesgue_measurable s ==> measurable_on f s
% Assm: MEASURABLE_ON_UNIV: measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TIETZE_UNBOUNDED: !f s. closed s /\ f continuous_on s ==> (?g. g continuous_on (:real^M) /\ (!x. x IN s ==> g x = f x))
% Assm: TRUTH: T
% Goal: !f s. f continuous_on s /\ closed s ==> measurable_on f s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f. f continuous_on (:real^M) ==> measurable_on f (:real^M)
% Assm: !s. closed s ==> lebesgue_measurable s
% Assm: !f s t. s SUBSET t /\ measurable_on f t /\ lebesgue_measurable s ==> measurable_on f s
% Assm: !f s. measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: ~F <=> T
% Assm: !s. s SUBSET (:A)
% Assm: !f s. closed s /\ f continuous_on s ==> (?g. g continuous_on (:real^M) /\ (!x. x IN s ==> g x = f x))
% Assm: T
% Goal: !f s. f continuous_on s /\ closed s ==> measurable_on f s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealm > $o) > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(cclosed, type, closed : ((cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONTINUOUSu_IMPu_MEASURABLEu_ON, axiom, ![F:(cartrealm > cartrealn)]:((continuousu_on @ F @ univ) => (measurableu_on @ F @ univ))).
thf(aLEBESGUEu_MEASURABLEu_CLOSED, axiom, ![S:(cartrealm > $o)]:((closed @ S) => (lebesgueu_measurable @ S))).
thf(aMEASURABLEu_ONu_LEBESGUEu_MEASURABLEu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((subset @ S @ T) & (measurableu_on @ F @ T) & (lebesgueu_measurable @ S)) => (measurableu_on @ F @ S))).
thf(aMEASURABLEu_ONu_UNIV, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((measurableu_on @ ^[X:cartrealm]:(cond0 @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ) <=> (measurableu_on @ F @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset0 @ S @ univ0)).
thf(aTIETZEu_UNBOUNDED, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((closed @ S) & (continuousu_on @ F @ S)) => ?[G:(cartrealm > cartrealn)]:((continuousu_on @ G @ univ) & ![X:cartrealm]:((in @ X @ S) => ((G @ X) = (F @ X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (closed @ S)) => (measurableu_on @ F @ S))).
