%   ORIGINAL: MEASURABLE_ON_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: LEBESGUE_MEASURABLE_COMPL: !s. lebesgue_measurable ((:real^N) DIFF s) <=> lebesgue_measurable s
% Assm: MEASURABLE_ON_ADD: !f g s. measurable_on f s /\ measurable_on g s ==> measurable_on (\x. f x + g x) s
% Assm: MEASURABLE_ON_RESTRICT: !f s. measurable_on f (:real^M) /\ lebesgue_measurable s ==> measurable_on (\x. if x IN s then f x else vec 0) (:real^M)
% Assm: MEASURABLE_ON_UNIV: measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ADD_LID: !x. vec 0 + x = x
% Assm: VECTOR_ADD_RID: !x. x + vec 0 = x
% Goal: !P f g s. lebesgue_measurable {x | P x} /\ measurable_on f s /\ measurable_on g s ==> measurable_on (\x. if P x then f x else g x) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:A)
% Assm: !s. lebesgue_measurable ((:real^M) DIFF s) <=> lebesgue_measurable s
% Assm: !f g s. measurable_on f s /\ measurable_on g s ==> measurable_on (\x. f x + g x) s
% Assm: !f s. measurable_on f (:real^M) /\ lebesgue_measurable s ==> measurable_on (\x. if x IN s then f x else vec 0) (:real^M)
% Assm: !f s. measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: ~F <=> T
% Assm: T
% Assm: !x. vec 0 + x = x
% Assm: !x. x + vec 0 = x
% Goal: !P f g s. lebesgue_measurable {x | P x} /\ measurable_on f s /\ measurable_on g s ==> measurable_on (\x. if P x then f x else g x) s
%  TYPES
thf(tq97171, type, q97171 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq97156, type, q97156 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq97156, type, cartrealq97156 : $tType).
thf(tcartrealq97171, type, cartrealq97171 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cvec1, type, vec1 : (num > cartrealq97171)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealq97171 > cartrealq97171 > cartrealq97171)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq97156 > cartrealq97156 > cartrealq97156)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cdiff0, type, diff0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(cuniv0, type, univ0 : (cartrealm > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cvec0, type, vec0 : (num > cartrealq97156)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in0 @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aLEBESGUEu_MEASURABLEu_COMPL, axiom, ![S:(cartrealm > $o)]:((lebesgueu_measurable @ (diff0 @ univ0 @ S)) <=> (lebesgueu_measurable @ S))).
thf(aMEASURABLEu_ONu_ADD, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((measurableu_on @ F @ S) & (measurableu_on @ G @ S)) => (measurableu_on @ ^[X:cartrealm]:(vectoru_add @ (F @ X) @ (G @ X)) @ S))).
thf(aMEASURABLEu_ONu_RESTRICT, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((measurableu_on @ F @ univ0) & (lebesgueu_measurable @ S)) => (measurableu_on @ ^[X:cartrealm]:(cond @ (in0 @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ0))).
thf(aMEASURABLEu_ONu_UNIV, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((measurableu_on @ ^[X:cartrealm]:(cond @ (in0 @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ0) <=> (measurableu_on @ F @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_LID, axiom, ![X:cartrealq97156]:((vectoru_add0 @ (vec0 @ (numeral @ u_0)) @ X) = X)).
thf(aVECTORu_ADDu_RID, axiom, ![X:cartrealq97171]:((vectoru_add1 @ X @ (vec1 @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![P:(cartrealm > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2179:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_2179 @ (P @ X) @ X))) & (measurableu_on @ F @ S) & (measurableu_on @ G @ S)) => (measurableu_on @ ^[X:cartrealm]:(cond @ (P @ X) @ (F @ X) @ (G @ X)) @ S))).
