%   ORIGINAL: LEBESGUE_MEASURABLE_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_BIJECTIVE_LEFT_RIGHT_INVERSE: !f. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> (?g. linear g /\ (!x. g (f x) = x) /\ (!y. f (g y) = y))
% Assm: LINEAR_INJECTIVE_IMP_SURJECTIVE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!y. ?x. f x = y)
% Assm: MEASURABLE_ON_LINEAR_IMAGE_EQ: !f h s. linear f /\ (!x y. f x = f y ==> x = y) ==> (measurable_on (h o f) s <=> measurable_on h (IMAGE f s))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: indicator: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: lebesgue_measurable: !s. lebesgue_measurable s <=> measurable_on (indicator s) (:real^N)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (lebesgue_measurable (IMAGE f s) <=> lebesgue_measurable s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. x IN (:A)
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> (?g. linear g /\ (!x. g (f x) = x) /\ (!y. f (g y) = y))
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!y. ?x. f x = y)
% Assm: !f h s. linear f /\ (!x y. f x = f y ==> x = y) ==> (measurable_on (h o f) s <=> measurable_on h (IMAGE f s))
% Assm: ~F <=> T
% Assm: T
% Assm: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: !s. lebesgue_measurable s <=> measurable_on (indicator s) (:real^N)
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (lebesgue_measurable (IMAGE f s) <=> lebesgue_measurable s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tp, type, p : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cin1, type, in1 : (cartrealm > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealn > cartrealp) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cindicator0, type, indicator0 : ((cartrealn > $o) > cartrealn > cartrealn1)).
thf(ccond, type, cond : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cindicator, type, indicator : ((cartrealm > $o) > cartrealm > cartrealn1)).
thf(co, type, o : ((cartrealn > cartrealp) > (cartrealn > cartrealn) > cartrealn > cartrealp)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aLINEARu_BIJECTIVEu_LEFTu_RIGHTu_INVERSE, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y)) & ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y)) => ?[G:(cartrealn > cartrealn)]:((linear @ G) & ![X:cartrealn]:((G @ (F @ X)) = X) & ![Y:cartrealn]:((F @ (G @ Y)) = Y)))).
thf(aLINEARu_INJECTIVEu_IMPu_SURJECTIVE, axiom, ![F:(cartrealn > cartrealn)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y))).
thf(aMEASURABLEu_ONu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealn > cartrealn),H:(cartrealn > cartrealp),S:(cartrealn > $o)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ((measurableu_on @ (o @ H @ F) @ S) <=> (measurableu_on @ H @ (image @ F @ S))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aindicator, axiom, ![S:(cartrealm > $o)]:((indicator @ S) = ^[X:cartrealm]:(cond @ (in1 @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))))).
thf(alebesgueu_measurable, axiom, ![S:(cartrealn > $o)]:((lebesgueu_measurable @ S) <=> (measurableu_on0 @ (indicator0 @ S) @ univ0))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ((lebesgueu_measurable @ (image @ F @ S)) <=> (lebesgueu_measurable @ S)))).
