%   ORIGINAL: MEASURABLE_ON_PREIMAGE_OPEN_HALFSPACE_COMPONENT_GT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEASURABLE_ON_NEG_EQ: !f s. measurable_on (\x. --f x) s <=> measurable_on f s
% Assm: MEASURABLE_ON_PREIMAGE_OPEN_HALFSPACE_COMPONENT_LT: !f. measurable_on f (:real^M) <=> (!a k. 1 <= k /\ k <= dimindex (:N) ==> lebesgue_measurable {x | f x$k < a})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_NEG2: !x y. --x < --y <=> y < x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: TRUTH: T
% Assm: VECTOR_NEG_COMPONENT: !x i. --x$i = --(x$i)
% Assm: real_gt: !y x. x > y <=> y < x
% Goal: !f. measurable_on f (:real^M) <=> (!a k. 1 <= k /\ k <= dimindex (:N) ==> lebesgue_measurable {x | f x$k > a})
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. measurable_on (\x. --f x) s <=> measurable_on f s
% Assm: !f. measurable_on f (:real^M) <=> (!a k. 1 <= k /\ k <= dimindex (:N) ==> lebesgue_measurable {x | f x$k < a})
% Assm: ~F <=> T
% Assm: !x y. --x < --y <=> y < x
% Assm: !x. -- --x = x
% Assm: T
% Assm: !x i. --x$i = --(x$i)
% Assm: !y x. x > y <=> y < x
% Goal: !f. measurable_on f (:real^M) <=> (!a k. 1 <= k /\ k <= dimindex (:N) ==> lebesgue_measurable {x | f x$k > a})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (n > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealm > $o) > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMEASURABLEu_ONu_NEGu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((measurableu_on @ ^[X:cartrealm]:(vectoru_neg @ (F @ X)) @ S) <=> (measurableu_on @ F @ S))).
thf(aMEASURABLEu_ONu_PREIMAGEu_OPENu_HALFSPACEu_COMPONENTu_LT, axiom, ![F:(cartrealm > cartrealn)]:((measurableu_on @ F @ univ) <=> ![A:real,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ0))) => (lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2192:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_2192 @ (realu_lt @ (d_ @ (F @ X) @ K) @ A) @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_NEG2, axiom, ![X:real,Y:real]:((realu_lt @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_COMPONENT, axiom, ![X:cartrealn,I:num]:((d_ @ (vectoru_neg @ X) @ I) = (realu_neg @ (d_ @ X @ I)))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((measurableu_on @ F @ univ) <=> ![A:real,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ0))) => (lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2196:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_2196 @ (realu_gt @ (d_ @ (F @ X) @ K) @ A) @ X)))))).
