%   ORIGINAL: MEASURABLE_ON_PREIMAGE_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: LEBESGUE_MEASURABLE_COMPL: !s. lebesgue_measurable ((:real^N) DIFF s) <=> lebesgue_measurable s
% Assm: MEASURABLE_ON_PREIMAGE_OPEN: !f. measurable_on f (:real^M) <=> (!t. open t ==> lebesgue_measurable {x | f x IN t})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: closed: !s. closed s <=> open ((:real^N) DIFF s)
% Goal: !f. measurable_on f (:real^M) <=> (!t. closed t ==> lebesgue_measurable {x | f x IN t})
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:real^N)
% Assm: !s. lebesgue_measurable ((:real^M) DIFF s) <=> lebesgue_measurable s
% Assm: !f. measurable_on f (:real^M) <=> (!t. open t ==> lebesgue_measurable {x | f x IN t})
% Assm: ~F <=> T
% Assm: T
% Assm: !s. closed s <=> open ((:real^N) DIFF s)
% Goal: !f. measurable_on f (:real^M) <=> (!t. closed t ==> lebesgue_measurable {x | f x IN t})
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cdiff0, type, diff0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec0 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ0)).
thf(aLEBESGUEu_MEASURABLEu_COMPL, axiom, ![S:(cartrealm > $o)]:((lebesgueu_measurable @ (diff0 @ univ @ S)) <=> (lebesgueu_measurable @ S))).
thf(aMEASURABLEu_ONu_PREIMAGEu_OPEN, axiom, ![F:(cartrealm > cartrealn)]:((measurableu_on @ F @ univ) <=> ![T:(cartrealn > $o)]:((open @ T) => (lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2215:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_2215 @ (in @ (F @ X) @ T) @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aclosed, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> (open @ (diff @ univ0 @ S)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((measurableu_on @ F @ univ) <=> ![T:(cartrealn > $o)]:((closed @ T) => (lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2218:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_2218 @ (in @ (F @ X) @ T) @ X)))))).
