%   ORIGINAL: MEASURABLE_ON_PREIMAGE_CLOSED_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_INTERVAL: !a b. closed (interval [a,b])
% Assm: COUNTABLE_IMAGE: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: LEBESGUE_MEASURABLE_COUNTABLE_UNIONS: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (UNIONS f)
% Assm: MEASURABLE_ON_PREIMAGE_CLOSED: !f. measurable_on f (:real^M) <=> (!t. closed t ==> lebesgue_measurable {x | f x IN t})
% Assm: MEASURABLE_ON_PREIMAGE_OPEN: !f. measurable_on f (:real^M) <=> (!t. open t ==> lebesgue_measurable {x | f x IN t})
% Assm: OPEN_COUNTABLE_UNION_CLOSED_INTERVALS: !s. open s ==> (?D. COUNTABLE D /\ (!i. i IN D ==> i SUBSET s /\ (?a b. i = interval [a,b])) /\ UNIONS D = s)
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Assm: UNIONS_GSPEC_conjunct0: !P f. UNIONS {f x | P x} = {a | ?x. P x /\ a IN f x}
% Goal: !f. measurable_on f (:real^M) <=> (!a b. lebesgue_measurable {x | f x IN interval [a,b]})
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. closed (interval [a,b])
% Assm: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !f. COUNTABLE f /\ (!s. s IN f ==> lebesgue_measurable s) ==> lebesgue_measurable (UNIONS f)
% Assm: !f. measurable_on f (:real^M) <=> (!t. closed t ==> lebesgue_measurable {x | f x IN t})
% Assm: !f. measurable_on f (:real^M) <=> (!t. open t ==> lebesgue_measurable {x | f x IN t})
% Assm: !s. open s ==> (?D. COUNTABLE D /\ (!i. i IN D ==> i SUBSET s /\ (?a b. i = interval [a,b])) /\ UNIONS D = s)
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Assm: !P f. UNIONS {f x | P x} = {a | ?x. P x /\ a IN f x}
% Goal: !f. measurable_on f (:real^M) <=> (!a b. lebesgue_measurable {x | f x IN interval [a,b]})
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq48634, type, q48634 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cin2, type, in2 : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec1, type, gspec1 : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cunions0, type, unions0 : (((cartrealm > $o) > $o) > cartrealm > $o)).
thf(cin1, type, in1 : ((cartrealm > $o) > ((cartrealm > $o) > $o) > $o)).
thf(cin0, type, in0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(csetspec1, type, setspec1 : ((cartrealm > $o) > $o > (cartrealm > $o) > $o)).
thf(cimage1, type, image1 : ((cartrealn > cartrealm) > (cartrealn > $o) > cartrealm > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(ccountable2, type, countable2 : (((cartrealn > $o) > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(ccountable1, type, countable1 : (((cartrealm > $o) > $o) > $o)).
thf(ccountable0, type, countable0 : ((b > $o) > $o)).
thf(ccountable, type, countable : ((a > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealm > $o) > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:(closed @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aCOUNTABLEu_IMAGE, axiom, ![F:(a > b),S:(a > $o)]:((countable @ S) => (countable0 @ (image @ F @ S)))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in @ X @ S) => (P @ (F @ X))))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec0 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIONS, axiom, ![S:((cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (unions @ S)) <=> ?[T:(cartrealn > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aLEBESGUEu_MEASURABLEu_COUNTABLEu_UNIONS, axiom, ![F:((cartrealm > $o) > $o)]:(((countable1 @ F) & ![S:(cartrealm > $o)]:((in1 @ S @ F) => (lebesgueu_measurable @ S))) => (lebesgueu_measurable @ (unions0 @ F)))).
thf(aMEASURABLEu_ONu_PREIMAGEu_CLOSED, axiom, ![F:(cartrealm > cartrealn)]:((measurableu_on @ F @ univ) <=> ![T:(cartrealn > $o)]:((closed @ T) => (lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2218:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_2218 @ (in @ (F @ X) @ T) @ X)))))).
thf(aMEASURABLEu_ONu_PREIMAGEu_OPEN, axiom, ![F:(cartrealm > cartrealn)]:((measurableu_on @ F @ univ) <=> ![T:(cartrealn > $o)]:((open @ T) => (lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2215:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_2215 @ (in @ (F @ X) @ T) @ X)))))).
thf(aOPENu_COUNTABLEu_UNIONu_CLOSEDu_INTERVALS, axiom, ![S:(cartrealn > $o)]:((open @ S) => ?[D:((cartrealn > $o) > $o)]:((countable2 @ D) & ![I:(cartrealn > $o)]:((in0 @ I @ D) => ((subset @ I @ S) & ?[A:cartrealn,B:cartrealn]:(I = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) & ((unions @ D) = S)))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(cartrealn > cartrealm),S:(cartrealn > $o)]:((gspec @ ^[GENR_PVARR_11:cartrealm]:?[X:cartrealn]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image1 @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_GSPECu_conjunct0, axiom, ![P:(q48634 > $o),F:(q48634 > cartrealm > $o)]:((unions0 @ (gspec1 @ ^[GENR_PVARR_28:(cartrealm > $o)]:?[X:q48634]:(setspec1 @ GENR_PVARR_28 @ (P @ X) @ (F @ X)))) = (gspec @ ^[GENR_PVARR_29:cartrealm]:?[A:cartrealm]:(setspec @ GENR_PVARR_29 @ ?[X:q48634]:((P @ X) & (in2 @ A @ (F @ X))) @ A)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:((measurableu_on @ F @ univ) <=> ![A:cartrealn,B:cartrealn]:(lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2223:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_2223 @ (in @ (F @ X) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) @ X))))).
