%   ORIGINAL: LEBESGUE_MEASURABLE_PREIMAGE_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEASURABLE_ON_PREIMAGE_OPEN: !f. measurable_on f (:real^M) <=> (!t. open t ==> lebesgue_measurable {x | f x IN t})
% Assm: TRUTH: T
% Goal: !f t. measurable_on f (:real^M) /\ open t ==> lebesgue_measurable {x | f x IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. measurable_on f (:real^M) <=> (!t. open t ==> lebesgue_measurable {x | f x IN t})
% Assm: T
% Goal: !f t. measurable_on f (:real^M) /\ open t ==> lebesgue_measurable {x | f x IN t}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealm > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealm > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEASURABLEu_ONu_PREIMAGEu_OPEN, axiom, ![F:(cartrealm > cartrealn)]:((measurableu_on @ F @ univ) <=> ![T:(cartrealn > $o)]:((open @ T) => (lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2215:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_2215 @ (in @ (F @ X) @ T) @ X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),T:(cartrealn > $o)]:(((measurableu_on @ F @ univ) & (open @ T)) => (lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2224:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_2224 @ (in @ (F @ X) @ T) @ X))))).
