%   ORIGINAL: MEASURABLE_MEASURABLE_INTER_LEGESGUE_MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTER_COMM: !s t. s INTER t = t INTER s
% Assm: MEASURABLE_LEGESGUE_MEASURABLE_INTER_MEASURABLE: !s t. lebesgue_measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. measurable s /\ lebesgue_measurable t ==> measurable (s INTER t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s INTER t = t INTER s
% Assm: !s t. lebesgue_measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: ~F <=> T
% Assm: T
% Goal: !s t. measurable s /\ lebesgue_measurable t ==> measurable (s INTER t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTERu_COMM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((inter @ S @ T) = (inter @ T @ S))).
thf(aMEASURABLEu_LEGESGUEu_MEASURABLEu_INTERu_MEASURABLE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((lebesgueu_measurable @ S) & (measurable @ T)) => (measurable @ (inter @ S @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (lebesgueu_measurable @ T)) => (measurable @ (inter @ S @ T)))).
