%   ORIGINAL: MEASURABLE_INTER_HALFSPACE_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_HALFSPACE_COMPONENT_GE: !a k. closed {x | x$k >= a}
% Assm: FINITE_INDEX_INRANGE: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: LEBESGUE_MEASURABLE_CLOSED: !s. closed s ==> lebesgue_measurable s
% Assm: MEASURABLE_MEASURABLE_INTER_LEGESGUE_MEASURABLE: !s t. measurable s /\ lebesgue_measurable t ==> measurable (s INTER t)
% Assm: TRUTH: T
% Goal: !s a i. measurable s ==> measurable (s INTER {x | x$i >= a})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a k. closed {x | x$k >= a}
% Assm: !i. ?k. 1 <= k /\ k <= dimindex (:N) /\ (!x. x$i = x$k)
% Assm: !s. closed s ==> lebesgue_measurable s
% Assm: !s t. measurable s /\ lebesgue_measurable t ==> measurable (s INTER t)
% Assm: T
% Goal: !s a i. measurable s ==> measurable (s INTER {x | x$i >= a})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_HALFSPACEu_COMPONENTu_GE, axiom, ![A:real,K:num]:(closed @ (gspec @ ^[GENR_PVARR_523:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_523 @ (realu_ge @ (d_ @ X @ K) @ A) @ X)))).
thf(aFINITEu_INDEXu_INRANGE, axiom, ![I:num]:?[K:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![X:cartrealn]:((d_ @ X @ I) = (d_ @ X @ K)))).
thf(aLEBESGUEu_MEASURABLEu_CLOSED, axiom, ![S:(cartrealn > $o)]:((closed @ S) => (lebesgueu_measurable @ S))).
thf(aMEASURABLEu_MEASURABLEu_INTERu_LEGESGUEu_MEASURABLE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (lebesgueu_measurable @ T)) => (measurable @ (inter @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),A:real,I:num]:((measurable @ S) => (measurable @ (inter @ S @ (gspec @ ^[GENR_PVARR_2227:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_2227 @ (realu_ge @ (d_ @ X @ I) @ A) @ X)))))).
