%   ORIGINAL: MEASURABLE_MEASURABLE_DIFF_LEGESGUE_MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: LEBESGUE_MEASURABLE_COMPL: !s. lebesgue_measurable ((:real^N) DIFF s) <=> lebesgue_measurable s
% Assm: MEASURABLE_MEASURABLE_INTER_LEGESGUE_MEASURABLE: !s t. measurable s /\ lebesgue_measurable t ==> measurable (s INTER t)
% Assm: TRUTH: T
% Goal: !s t. measurable s /\ lebesgue_measurable t ==> measurable (s DIFF t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. x IN (:A)
% Assm: !s. lebesgue_measurable ((:real^?558425) DIFF s) <=> lebesgue_measurable s
% Assm: !s t. measurable s /\ lebesgue_measurable t ==> measurable (s INTER t)
% Assm: T
% Goal: !s t. measurable s /\ lebesgue_measurable t ==> measurable (s DIFF t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq558425, type, cartrealq558425 : $tType).
thf(tq558425, type, q558425 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq558425 > (cartrealq558425 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinter0, type, inter0 : ((cartrealq558425 > $o) > (cartrealq558425 > $o) > cartrealq558425 > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((cartrealq558425 > $o) > (cartrealq558425 > $o) > cartrealq558425 > $o)).
thf(cuniv0, type, univ0 : (cartrealq558425 > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealq558425 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealq558425 > $o) > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealq558425 > $o),T:(cartrealq558425 > $o),X:cartrealq558425]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aLEBESGUEu_MEASURABLEu_COMPL, axiom, ![S:(cartrealq558425 > $o)]:((lebesgueu_measurable @ (diff @ univ0 @ S)) <=> (lebesgueu_measurable @ S))).
thf(aMEASURABLEu_MEASURABLEu_INTERu_LEGESGUEu_MEASURABLE, axiom, ![S:(cartrealq558425 > $o),T:(cartrealq558425 > $o)]:(((measurable @ S) & (lebesgueu_measurable @ T)) => (measurable @ (inter0 @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq558425 > $o),T:(cartrealq558425 > $o)]:(((measurable @ S) & (lebesgueu_measurable @ T)) => (measurable @ (diff @ S @ T)))).
