%   ORIGINAL: LEBESGUE_MEASURABLE_INNER_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: LEBESGUE_MEASURABLE_COMPL: !s. lebesgue_measurable ((:real^N) DIFF s) <=> lebesgue_measurable s
% Assm: LEBESGUE_MEASURABLE_OUTER_OPEN: !s e. lebesgue_measurable s /\ &0 < e ==> (?t. open t /\ s SUBSET t /\ measurable (t DIFF s) /\ measure (t DIFF s) < e)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_CLOSED: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s e. lebesgue_measurable s /\ &0 < e ==> (?t. closed t /\ t SUBSET s /\ measurable (s DIFF t) /\ measure (s DIFF t) < e)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x. x IN (:A)
% Assm: !s. lebesgue_measurable ((:real^N) DIFF s) <=> lebesgue_measurable s
% Assm: !s e. lebesgue_measurable s /\ &0 < e ==> (?t. open t /\ s SUBSET t /\ measurable (t DIFF s) /\ measure (t DIFF s) < e)
% Assm: ~F <=> T
% Assm: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s e. lebesgue_measurable s /\ &0 < e ==> (?t. closed t /\ t SUBSET s /\ measurable (s DIFF t) /\ measure (s DIFF t) < e)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aLEBESGUEu_MEASURABLEu_COMPL, axiom, ![S:(cartrealn > $o)]:((lebesgueu_measurable @ (diff @ univ0 @ S)) <=> (lebesgueu_measurable @ S))).
thf(aLEBESGUEu_MEASURABLEu_OUTERu_OPEN, axiom, ![S:(cartrealn > $o),E:real]:(((lebesgueu_measurable @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[T:(cartrealn > $o)]:((open @ T) & (subset @ S @ T) & (measurable @ (diff @ T @ S)) & (realu_lt @ (measure @ (diff @ T @ S)) @ E)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_CLOSED, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (closed @ (diff @ univ0 @ S)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),E:real]:(((lebesgueu_measurable @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[T:(cartrealn > $o)]:((closed @ T) & (subset @ T @ S) & (measurable @ (diff @ S @ T)) & (realu_lt @ (measure @ (diff @ S @ T)) @ E)))).
