%   ORIGINAL: STEINHAUS_LEBESGUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: MEASURABLE_INTERVAL_conjunct0: !a b. measurable (interval [a,b])
% Assm: MEASURABLE_LEGESGUE_MEASURABLE_INTER_MEASURABLE: !s t. lebesgue_measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: MEASURABLE_MEASURE_POS_LT: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
% Assm: NEGLIGIBLE_ON_INTERVALS: !s. negligible s <=> (!a b. negligible (s INTER interval [a,b]))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: STEINHAUS: !s. measurable s /\ &0 < measure s ==> (?d. &0 < d /\ ball (vec 0,d) SUBSET {x - y | x IN s /\ y IN s})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. lebesgue_measurable s /\ ~negligible s ==> (?d. &0 < d /\ ball (vec 0,d) SUBSET {x - y | x IN s /\ y IN s})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: !a b. measurable (interval [a,b])
% Assm: !s t. lebesgue_measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
% Assm: !s. negligible s <=> (!a b. negligible (s INTER interval [a,b]))
% Assm: ~F <=> T
% Assm: !s. measurable s /\ &0 < measure s ==> (?d. &0 < d /\ ball (vec 0,d) SUBSET {x - y | x IN s /\ y IN s})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. lebesgue_measurable s /\ ~negligible s ==> (?d. &0 < d /\ ball (vec 0,d) SUBSET {x - y | x IN s /\ y IN s})
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aMEASURABLEu_INTERVALu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:(measurable @ (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil)))).
thf(aMEASURABLEu_LEGESGUEu_MEASURABLEu_INTERu_MEASURABLE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((lebesgueu_measurable @ S) & (measurable @ T)) => (measurable @ (inter @ S @ T)))).
thf(aMEASURABLEu_MEASUREu_POSu_LT, axiom, ![S:(cartrealn > $o)]:((measurable @ S) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)) <=> ~ ((negligible @ S))))).
thf(aNEGLIGIBLEu_ONu_INTERVALS, axiom, ![S:(cartrealn > $o)]:((negligible @ S) <=> ![A:cartrealn,B:cartrealn]:(negligible @ (inter @ S @ (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSTEINHAUS, axiom, ![S:(cartrealn > $o)]:(((measurable @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S))) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (subset @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ D)) @ (gspec @ ^[GENR_PVARR_2153:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_2153 @ ((in @ X @ S) & (in @ Y @ S)) @ (vectoru_sub @ X @ Y))))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((lebesgueu_measurable @ S) & ~ ((negligible @ S))) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (subset @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ D)) @ (gspec @ ^[GENR_PVARR_2230:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_2230 @ ((in @ X @ S) & (in @ Y @ S)) @ (vectoru_sub @ X @ Y))))))).
