%   ORIGINAL: RE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RE_DEF: !z. Re z = z$1
% Assm: TRUTH: T
% Assm: VECTOR_2_conjunct0: vector [x; y]$1 = x
% Assm: complex: !x y. complex (x,y) = vector [x; y]
% Goal: Re (complex (x,y)) = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. Re z = z$1
% Assm: T
% Assm: !y x. vector [x; y]$1 = x
% Assm: !x y. complex (x,y) = vector [x; y]
% Goal: !x y. Re (complex (x,y)) = x
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tlistreal, type, listreal : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvector, type, vector : (listreal > cartrealn2)).
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccons, type, cons : (real > listreal > listreal)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(cnil, type, nil : listreal).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREu_DEF, axiom, ![Z:cartrealn2]:((re @ Z) = (d_ @ Z @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_2u_conjunct0, axiom, ![Y:real,X:real]:((d_ @ (vector @ (cons @ X @ (cons @ Y @ nil))) @ (numeral @ (bit1 @ u_0))) = X)).
thf(acomplex, axiom, ![X:real,Y:real]:((complex @ (c_ @ X @ Y)) = (vector @ (cons @ X @ (cons @ Y @ nil))))).
thf(conjecture, conjecture, ![X:real,Y:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
