%   ORIGINAL: COMPLEX_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DIMINDEX_2: dimindex (:2) = 2
% Assm: FORALL_2: !P. (!i. 1 <= i /\ i <= 2 ==> P i) <=> P 1 /\ P 2
% Assm: IM_DEF: !z. Im z = z$2
% Assm: RE_DEF: !z. Re z = z$1
% Assm: TRUTH: T
% Goal: !w z. w = z <=> Re w = Re z /\ Im w = Im z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:2) ==> x$i = y$i)
% Assm: dimindex (:2) = 2
% Assm: !P. (!i. 1 <= i /\ i <= 2 ==> P i) <=> P 1 /\ P 2
% Assm: !z. Im z = z$2
% Assm: !z. Re z = z$1
% Assm: T
% Goal: !w z. w = z <=> Re w = Re z /\ Im w = Im z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cuniv, type, univ : (n2 > $o)).
thf(cdimindex, type, dimindex : ((n2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn2,Y:cartrealn2]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDIMINDEXu_2, axiom, ((dimindex @ univ) = (numeral @ (bit0 @ (bit1 @ u_0))))).
thf(aFORALLu_2, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit0 @ (bit1 @ u_0))))) => (P @ I)) <=> ((P @ (numeral @ (bit1 @ u_0))) & (P @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aIMu_DEF, axiom, ![Z:cartrealn2]:((im @ Z) = (d_ @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aREu_DEF, axiom, ![Z:cartrealn2]:((re @ Z) = (d_ @ Z @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((W = Z) <=> (((re @ W) = (re @ Z)) & ((im @ W) = (im @ Z))))).
