%   ORIGINAL: complex_add
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_EQ: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: IM: Im (complex (x,y)) = y
% Assm: IM_DEF: !z. Im z = z$2
% Assm: RE: Re (complex (x,y)) = x
% Assm: RE_DEF: !z. Re z = z$1
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Goal: w + z = complex (Re w + Re z,Im w + Im z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: !x y. Im (complex (x,y)) = y
% Assm: !z. Im z = z$2
% Assm: !y x. Re (complex (x,y)) = x
% Assm: !z. Re z = z$1
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Goal: !z w. w + z = complex (Re w + Re z,Im w + Im z)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_EQ, axiom, ![W:cartrealn2,Z:cartrealn2]:((W = Z) <=> (((re @ W) = (re @ Z)) & ((im @ W) = (im @ Z))))).
thf(aIM, axiom, ![X:real,Y:real]:((im @ (complex @ (c_ @ X @ Y))) = Y)).
thf(aIMu_DEF, axiom, ![Z:cartrealn2]:((im @ Z) = (d_ @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aREu_DEF, axiom, ![Z:cartrealn2]:((re @ Z) = (d_ @ Z @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealn2,Y:cartrealn2,I:num]:((d_ @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(conjecture, conjecture, ![Z:cartrealn2,W:cartrealn2]:((vectoru_add @ W @ Z) = (complex @ (c_ @ (realu_add @ (re @ W) @ (re @ Z)) @ (realu_add @ (im @ W) @ (im @ Z)))))).
