%   ORIGINAL: CX_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_DEF: !a. Cx a = complex (a,&0)
% Assm: IM: Im (complex (x,y)) = y
% Assm: RE: Re (complex (x,y)) = x
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_SUB_RZERO: !x. x - &0 = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: TRUTH: T
% Assm: complex_mul: !w z. w * z = complex (Re w * Re z - Im w * Im z,Re w * Im z + Im w * Re z)
% Goal: !x y. Cx (x * y) = Cx x * Cx y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a. Cx a = complex (a,&0)
% Assm: !x y. Im (complex (x,y)) = y
% Assm: !y x. Re (complex (x,y)) = x
% Assm: !x. x + &0 = x
% Assm: !x. &0 * x = &0
% Assm: !x. x - &0 = x
% Assm: !x. x * &0 = &0
% Assm: T
% Assm: !w z. w * z = complex (Re w * Re z - Im w * Im z,Re w * Im z + Im w * Re z)
% Goal: !x y. Cx (x * y) = Cx x * Cx y
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_DEF, axiom, ![A:real]:((cx @ A) = (complex @ (c_ @ A @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aIM, axiom, ![X:real,Y:real]:((im @ (complex @ (c_ @ X @ Y))) = Y)).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_SUBu_RZERO, axiom, ![X:real]:((realu_sub @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_mul, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_mul @ W @ Z) = (complex @ (c_ @ (realu_sub @ (realu_mul @ (re @ W) @ (re @ Z)) @ (realu_mul @ (im @ W) @ (im @ Z))) @ (realu_add @ (realu_mul @ (re @ W) @ (im @ Z)) @ (realu_mul @ (im @ W) @ (re @ Z))))))).
thf(conjecture, conjecture, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
