%   ORIGINAL: CX_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_INV: !x. Cx (inv x) = inv (Cx x)
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !x y. Cx (x / y) = Cx x / Cx y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Cx (inv x) = inv (Cx x)
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: T
% Assm: !w z. w / z = w * inv z
% Assm: !x y. x / y = x * inv y
% Goal: !x y. Cx (x / y) = Cx x / Cx y
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_inv, type, realu_inv : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_INV, axiom, ![X:real]:((cx @ (realu_inv @ X)) = (complexu_inv @ (cx @ X)))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![X:real,Y:real]:((cx @ (realu_div @ X @ Y)) = (complexu_div @ (cx @ X) @ (cx @ Y)))).
