%   ORIGINAL: CX_ABS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_EQ: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: CX_DEF: !a. Cx a = complex (a,&0)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: IM: Im (complex (x,y)) = y
% Assm: POW_2_SQRT_ABS: !x. sqrt (x pow 2) = abs x
% Assm: RE: Re (complex (x,y)) = x
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: TRUTH: T
% Assm: complex_norm: norm z = sqrt (Re z pow 2 + Im z pow 2)
% Goal: !x. Cx (abs x) = Cx (norm (Cx x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: !a. Cx a = complex (a,&0)
% Assm: !x. x pow 2 = x * x
% Assm: !x y. Im (complex (x,y)) = y
% Assm: !x. sqrt (x pow 2) = abs x
% Assm: !y x. Re (complex (x,y)) = x
% Assm: !x. x + &0 = x
% Assm: !x. &0 * x = &0
% Assm: T
% Assm: !z. norm z = sqrt (Re z pow 2 + Im z pow 2)
% Goal: !x. Cx (abs x) = Cx (norm (Cx x))
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_EQ, axiom, ![W:cartrealn2,Z:cartrealn2]:((W = Z) <=> (((re @ W) = (re @ Z)) & ((im @ W) = (im @ Z))))).
thf(aCXu_DEF, axiom, ![A:real]:((cx @ A) = (complex @ (c_ @ A @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aIM, axiom, ![X:real,Y:real]:((im @ (complex @ (c_ @ X @ Y))) = Y)).
thf(aPOWu_2u_SQRTu_ABS, axiom, ![X:real]:((sqrt @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_abs @ X))).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_norm, axiom, ![Z:cartrealn2]:((vectoru_norm @ Z) = (sqrt @ (realu_add @ (realu_pow @ (re @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (im @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![X:real]:((cx @ (realu_abs @ X)) = (cx @ (vectoru_norm @ (cx @ X))))).
