%   ORIGINAL: RE_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RE: Re (complex (x,y)) = x
% Assm: TRUTH: T
% Assm: complex_add: w + z = complex (Re w + Re z,Im w + Im z)
% Goal: !x y. Re (x + y) = Re x + Re y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !y x. Re (complex (x,y)) = x
% Assm: T
% Assm: !w z. w + z = complex (Re w + Re z,Im w + Im z)
% Goal: !x y. Re (x + y) = Re x + Re y
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cim, type, im : (cartrealn2 > real)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_add, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_add @ W @ Z) = (complex @ (c_ @ (realu_add @ (re @ W) @ (re @ Z)) @ (realu_add @ (im @ W) @ (im @ Z)))))).
thf(conjecture, conjecture, ![X:cartrealn2,Y:cartrealn2]:((re @ (vectoru_add @ X @ Y)) = (realu_add @ (re @ X) @ (re @ Y)))).
