%   ORIGINAL: RE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RE_ADD: !x y. Re (x + y) = Re x + Re y
% Assm: RE_NEG: !x. Re (--x) = --Re x
% Assm: TRUTH: T
% Assm: complex_sub: w - z = w + --z
% Assm: real_sub: !x y. x - y = x + --y
% Goal: !x y. Re (x - y) = Re x - Re y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. Re (x + y) = Re x + Re y
% Assm: !x. Re (--x) = --Re x
% Assm: T
% Assm: !w z. w - z = w + --z
% Assm: !x y. x - y = x + --y
% Goal: !x y. Re (x - y) = Re x - Re y
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREu_ADD, axiom, ![X:cartrealn2,Y:cartrealn2]:((re @ (vectoru_add @ X @ Y)) = (realu_add @ (re @ X) @ (re @ Y)))).
thf(aREu_NEG, axiom, ![X:cartrealn2]:((re @ (vectoru_neg @ X)) = (realu_neg @ (re @ X)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_sub, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_sub @ W @ Z) = (vectoru_add @ W @ (vectoru_neg @ Z)))).
thf(arealu_sub, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_neg @ Y)))).
thf(conjecture, conjecture, ![X:cartrealn2,Y:cartrealn2]:((re @ (vectoru_sub @ X @ Y)) = (realu_sub @ (re @ X) @ (re @ Y)))).
