%   ORIGINAL: IM_DIV_CX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_INV: !x. Cx (inv x) = inv (Cx x)
% Assm: IM_MUL_CX: !x z. Im (Cx x * z) = x * Im z /\ Im (z * Cx x) = Im z * x
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !z x. Im (z / Cx x) = Im z / x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Cx (inv x) = inv (Cx x)
% Assm: !x z. Im (Cx x * z) = x * Im z /\ Im (z * Cx x) = Im z * x
% Assm: T
% Assm: !w z. w / z = w * inv z
% Assm: !x y. x / y = x * inv y
% Goal: !z x. Im (z / Cx x) = Im z / x
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_inv, type, realu_inv : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_INV, axiom, ![X:real]:((cx @ (realu_inv @ X)) = (complexu_inv @ (cx @ X)))).
thf(aIMu_MULu_CX, axiom, ![X:real,Z:cartrealn2]:(((im @ (complexu_mul @ (cx @ X) @ Z)) = (realu_mul @ X @ (im @ Z))) & ((im @ (complexu_mul @ Z @ (cx @ X))) = (realu_mul @ (im @ Z) @ X)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![Z:cartrealn2,X:real]:((im @ (complexu_div @ Z @ (cx @ X))) = (realu_div @ (im @ Z) @ X))).
