%   ORIGINAL: COMPLEX_INV_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_INV_INV: !x. inv (inv x) = x
% Assm: COMPLEX_INV_MUL: !w z. inv (w * z) = inv w * inv z
% Assm: COMPLEX_MUL_AC_conjunct0: m * n = n * m
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !w z. inv (w / z) = z / w
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. inv (inv x) = x
% Assm: !w z. inv (w * z) = inv w * inv z
% Assm: !n m. m * n = n * m
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !w z. inv (w / z) = z / w
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_INVu_INV, axiom, ![X:cartrealn2]:((complexu_inv @ (complexu_inv @ X)) = X)).
thf(aCOMPLEXu_INVu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_inv @ (complexu_mul @ W @ Z)) = (complexu_mul @ (complexu_inv @ W) @ (complexu_inv @ Z)))).
thf(aCOMPLEXu_MULu_ACu_conjunct0, axiom, ![N:cartrealn2,M:cartrealn2]:((complexu_mul @ M @ N) = (complexu_mul @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((complexu_inv @ (complexu_div @ W @ Z)) = (complexu_div @ Z @ W))).
