%   ORIGINAL: COMPLEX_NEG_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_INV_NEG: !x. inv (--x) = --inv x
% Assm: TRUTH: T
% Goal: !x. --inv x = inv (--x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. inv (--x) = --inv x
% Assm: T
% Goal: !x. --inv x = inv (--x)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_INVu_NEG, axiom, ![X:cartrealn2]:((complexu_inv @ (vectoru_neg @ X)) = (vectoru_neg @ (complexu_inv @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn2]:((vectoru_neg @ (complexu_inv @ X)) = (complexu_inv @ (vectoru_neg @ X)))).
