%   ORIGINAL: COMPLEX_POW_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_POW_1: !x. x pow 1 = x
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: complex_pow_conjunct1: !n. x pow SUC n = x * x pow n
% Goal: !x. x pow 2 = x * x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x pow 1 = x
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x n. x pow SUC n = x * x pow n
% Goal: !x. x pow 2 = x * x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_POWu_1, axiom, ![X:cartrealn2]:((complexu_pow @ X @ (numeral @ (bit1 @ u_0))) = X)).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(acomplexu_powu_conjunct1, axiom, ![X:cartrealn2,N:num]:((complexu_pow @ X @ (suc @ N)) = (complexu_mul @ X @ (complexu_pow @ X @ N)))).
thf(conjecture, conjecture, ![X:cartrealn2]:((complexu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (complexu_mul @ X @ X))).
