%   ORIGINAL: COMPLEX_POW_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: COMPLEX_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: COMPLEX_NEG_NEG: !x. -- --x = x
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EVEN_conjunct0: EVEN 0 <=> T
% Assm: EVEN_conjunct1: !n. EVEN (SUC n) <=> ~EVEN n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_pow_conjunct0: x pow 0 = Cx (&1)
% Assm: complex_pow_conjunct1: !n. x pow SUC n = x * x pow n
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x. -- --x = x
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EVEN 0 <=> T
% Assm: !n. EVEN (SUC n) <=> ~EVEN n
% Assm: ~F <=> T
% Assm: T
% Assm: !x. x pow 0 = Cx (&1)
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccond, type, cond : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ceven, type, even : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_MULu_LNEG, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ (vectoru_neg @ X) @ Y) = (vectoru_neg @ (complexu_mul @ X @ Y)))).
thf(aCOMPLEXu_MULu_RNEG, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ (vectoru_neg @ Y)) = (vectoru_neg @ (complexu_mul @ X @ Y)))).
thf(aCOMPLEXu_NEGu_NEG, axiom, ![X:cartrealn2]:((vectoru_neg @ (vectoru_neg @ X)) = X)).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn2,T2:cartrealn2]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aEVENu_conjunct0, axiom, ((even @ (numeral @ u_0)) <=> $true)).
thf(aEVENu_conjunct1, axiom, ![N:num]:((even @ (suc @ N)) <=> ~ ((even @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_powu_conjunct0, axiom, ![X:cartrealn2]:((complexu_pow @ X @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(acomplexu_powu_conjunct1, axiom, ![X:cartrealn2,N:num]:((complexu_pow @ X @ (suc @ N)) = (complexu_mul @ X @ (complexu_pow @ X @ N)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![X:cartrealn2,N:num]:((complexu_pow @ (vectoru_neg @ X) @ N) = (cond @ (even @ N) @ (complexu_pow @ X @ N) @ (vectoru_neg @ (complexu_pow @ X @ N))))).
