%   ORIGINAL: COMPLEX_POW_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_POW_INV: !x n. inv x pow n = inv (x pow n)
% Assm: COMPLEX_POW_MUL: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !x y n. (x / y) pow n = x pow n / y pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x n. inv x pow n = inv (x pow n)
% Assm: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !x y n. (x / y) pow n = x pow n / y pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_POWu_INV, axiom, ![X:cartrealn2,N:num]:((complexu_pow @ (complexu_inv @ X) @ N) = (complexu_inv @ (complexu_pow @ X @ N)))).
thf(aCOMPLEXu_POWu_MUL, axiom, ![X:cartrealn2,Y:cartrealn2,N:num]:((complexu_pow @ (complexu_mul @ X @ Y) @ N) = (complexu_mul @ (complexu_pow @ X @ N) @ (complexu_pow @ Y @ N)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![X:cartrealn2,Y:cartrealn2,N:num]:((complexu_pow @ (complexu_div @ X @ Y) @ N) = (complexu_div @ (complexu_pow @ X @ N) @ (complexu_pow @ Y @ N)))).
