%   ORIGINAL: COMPLEX_DIV_POW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DIV_RMUL: !x y. ~(y = Cx (&0)) ==> x / y * y = x
% Assm: COMPLEX_EQ_MUL_RCANCEL: !x y z. x * z = y * z <=> x = y \/ z = Cx (&0)
% Assm: COMPLEX_POW_ADD: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: COMPLEX_POW_EQ_0: !x n. x pow n = Cx (&0) <=> x = Cx (&0) /\ ~(n = 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUB_ADD: !m n. n <= m ==> m - n + n = m
% Assm: TRUTH: T
% Goal: !x n k. ~(x = Cx (&0)) /\ k <= n /\ ~(k = 0) ==> x pow (n - k) = x pow n / x pow k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. ~(y = Cx (&0)) ==> x / y * y = x
% Assm: !x y z. x * z = y * z <=> x = y \/ z = Cx (&0)
% Assm: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: !x n. x pow n = Cx (&0) <=> x = Cx (&0) /\ ~(n = 0)
% Assm: ~F <=> T
% Assm: !m n. n <= m ==> m - n + n = m
% Assm: T
% Goal: !x n k. ~(x = Cx (&0)) /\ k <= n /\ ~(k = 0) ==> x pow (n - k) = x pow n / x pow k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DIVu_RMUL, axiom, ![X:cartrealn2,Y:cartrealn2]:(~ ((Y = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => ((complexu_mul @ (complexu_div @ X @ Y) @ Y) = X))).
thf(aCOMPLEXu_EQu_MULu_RCANCEL, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:(((complexu_mul @ X @ Z) = (complexu_mul @ Y @ Z)) <=> ((X = Y) | (Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(aCOMPLEXu_POWu_ADD, axiom, ![X:cartrealn2,M:num,N:num]:((complexu_pow @ X @ (p_ @ M @ N)) = (complexu_mul @ (complexu_pow @ X @ M) @ (complexu_pow @ X @ N)))).
thf(aCOMPLEXu_POWu_EQu_0, axiom, ![X:cartrealn2,N:num]:(((complexu_pow @ X @ N) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) <=> ((X = (cx @ (realu_ofu_num @ (numeral @ u_0)))) & ~ ((N = (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBu_ADD, axiom, ![M:num,N:num]:((l_a_ @ N @ M) => ((p_ @ (m_ @ M @ N) @ N) = M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn2,N:num,K:num]:((~ ((X = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & (l_a_ @ K @ N) & ~ ((K = (numeral @ u_0)))) => ((complexu_pow @ X @ (m_ @ N @ K)) = (complexu_div @ (complexu_pow @ X @ N) @ (complexu_pow @ X @ K))))).
