%   ORIGINAL: COMPLEX_VEC_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: CX_DEF: !a. Cx a = complex (a,&0)
% Assm: DIMINDEX_2: dimindex (:2) = 2
% Assm: FORALL_2: !P. (!i. 1 <= i /\ i <= 2 ==> P i) <=> P 1 /\ P 2
% Assm: TRUTH: T
% Assm: VECTOR_2_conjunct0: vector [x; y]$1 = x
% Assm: VECTOR_2_conjunct1: vector [x; y]$2 = y
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Assm: complex: !x y. complex (x,y) = vector [x; y]
% Goal: vec 0 = Cx (&0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:2) ==> x$i = y$i)
% Assm: !a. Cx a = complex (a,&0)
% Assm: dimindex (:2) = 2
% Assm: !P. (!i. 1 <= i /\ i <= 2 ==> P i) <=> P 1 /\ P 2
% Assm: T
% Assm: !y x. vector [x; y]$1 = x
% Assm: !x y. vector [x; y]$2 = y
% Assm: !k i. vec k$i = &k
% Assm: !x y. complex (x,y) = vector [x; y]
% Goal: vec 0 = Cx (&0)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistcartrealn2, type, listcartrealn2 : $tType).
thf(tcartcartrealn2n2, type, cartcartrealn2n2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tlistreal, type, listreal : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cnil, type, nil : listcartrealn2).
thf(cvector0, type, vector0 : (listreal > cartrealn2)).
thf(cvector, type, vector : (listcartrealn2 > cartcartrealn2n2)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(ccons0, type, cons0 : (real > listreal > listreal)).
thf(ccons, type, cons : (cartrealn2 > listcartrealn2 > listcartrealn2)).
thf(cdu_0, type, d_0 : (cartcartrealn2n2 > num > cartrealn2)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (n2 > $o)).
thf(cdimindex, type, dimindex : ((n2 > $o) > num)).
thf(cnil0, type, nil0 : listreal).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn2,Y:cartrealn2]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCXu_DEF, axiom, ![A:real]:((cx @ A) = (complex @ (c_ @ A @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aDIMINDEXu_2, axiom, ((dimindex @ univ) = (numeral @ (bit0 @ (bit1 @ u_0))))).
thf(aFORALLu_2, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit0 @ (bit1 @ u_0))))) => (P @ I)) <=> ((P @ (numeral @ (bit1 @ u_0))) & (P @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_2u_conjunct0, axiom, ![Y:cartrealn2,X:cartrealn2]:((d_0 @ (vector @ (cons @ X @ (cons @ Y @ nil))) @ (numeral @ (bit1 @ u_0))) = X)).
thf(aVECTORu_2u_conjunct1, axiom, ![X:cartrealn2,Y:cartrealn2]:((d_0 @ (vector @ (cons @ X @ (cons @ Y @ nil))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = Y)).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_ @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(acomplex, axiom, ![X:real,Y:real]:((complex @ (c_ @ X @ Y)) = (vector0 @ (cons0 @ X @ (cons0 @ Y @ nil0))))).
thf(conjecture, conjecture, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
