%   ORIGINAL: COMPLEX_NORM_NUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: REAL_ABS_NUM: !n. abs (&n) = &n
% Assm: TRUTH: T
% Goal: !n. norm (Cx (&n)) = &n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm (Cx x) = abs x
% Assm: !n. abs (&n) = &n
% Assm: T
% Goal: !n. norm (Cx (&n)) = &n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aREALu_ABSu_NUM, axiom, ![N:num]:((realu_abs @ (realu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:((vectoru_norm @ (cx @ (realu_ofu_num @ N))) = (realu_ofu_num @ N))).
