%   ORIGINAL: COMPLEX_NORM_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_NORM_INV: !z. norm (inv z) = inv (norm z)
% Assm: COMPLEX_NORM_MUL: !w z. norm (w * z) = norm w * norm z
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !w z. norm (w / z) = norm w / norm z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. norm (inv z) = inv (norm z)
% Assm: !w z. norm (w * z) = norm w * norm z
% Assm: T
% Assm: !w z. w / z = w * inv z
% Assm: !x y. x / y = x * inv y
% Goal: !w z. norm (w / z) = norm w / norm z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_inv, type, realu_inv : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_NORMu_INV, axiom, ![Z:cartrealn2]:((vectoru_norm @ (complexu_inv @ Z)) = (realu_inv @ (vectoru_norm @ Z)))).
thf(aCOMPLEXu_NORMu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_norm @ (complexu_mul @ W @ Z)) = (realu_mul @ (vectoru_norm @ W) @ (vectoru_norm @ Z)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((vectoru_norm @ (complexu_div @ W @ Z)) = (realu_div @ (vectoru_norm @ W) @ (vectoru_norm @ Z)))).
