%   ORIGINAL: COMPLEX_NORM_TRIANGLE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: COMPLEX_ADD_RID: !x. x + Cx (&0) = x
% Assm: COMPLEX_ADD_RINV: !x. x + --x = Cx (&0)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NORM_NEG: !x. norm (--x) = norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry.OIPLPTM1: !x y. norm (x + y) <= norm x + norm y
% Goal: !w z. norm w <= norm (w + z) + norm z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. x + Cx (&0) = x
% Assm: !x. x + --x = Cx (&0)
% Assm: !t. (\x. t x) = t
% Assm: !x. norm (--x) = norm x
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. norm (x + y) <= norm x + norm y
% Goal: !w z. norm w <= norm (w + z) + norm z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_ADDu_ASSOC, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:((vectoru_add @ X @ (vectoru_add @ Y @ Z)) = (vectoru_add @ (vectoru_add @ X @ Y) @ Z))).
thf(aCOMPLEXu_ADDu_RID, axiom, ![X:cartrealn2]:((vectoru_add @ X @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = X)).
thf(aCOMPLEXu_ADDu_RINV, axiom, ![X:cartrealn2]:((vectoru_add @ X @ (vectoru_neg @ X)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNORMu_NEG, axiom, ![X:cartrealn2]:((vectoru_norm @ (vectoru_neg @ X)) = (vectoru_norm @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_OIPLPTM1, axiom, ![X:cartrealn2,Y:cartrealn2]:(realu_le @ (vectoru_norm @ (vectoru_add @ X @ Y)) @ (realu_add @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:(realu_le @ (vectoru_norm @ W) @ (realu_add @ (vectoru_norm @ (vectoru_add @ W @ Z)) @ (vectoru_norm @ Z)))).
