%   ORIGINAL: COMPLEX_POW_EQ_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: COMPLEX_NORM_POW: !z n. norm (z pow n) = norm z pow n
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: REAL_POW_EQ_1: !x n. x pow n = &1 <=> abs x = &1 /\ (x < &0 ==> EVEN n) \/ n = 0
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Goal: !z n. z pow n = Cx (&1) ==> norm z = &1 \/ n = 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. norm (Cx x) = abs x
% Assm: !z n. norm (z pow n) = norm z pow n
% Assm: !x. abs (norm x) = norm x
% Assm: !x n. x pow n = &1 <=> abs x = &1 /\ (x < &0 ==> EVEN n) \/ n = 0
% Assm: T
% Assm: abs (&1) = &1
% Goal: !z n. z pow n = Cx (&1) ==> norm z = &1 \/ n = 0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ceven, type, even : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aCOMPLEXu_NORMu_POW, axiom, ![Z:cartrealn2,N:num]:((vectoru_norm @ (complexu_pow @ Z @ N)) = (realu_pow @ (vectoru_norm @ Z) @ N))).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealn2]:((realu_abs @ (vectoru_norm @ X)) = (vectoru_norm @ X))).
thf(aREALu_POWu_EQu_1, axiom, ![X:real,N:num]:(((realu_pow @ X @ N) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) <=> ((((realu_abs @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((realu_lt @ X @ (realu_ofu_num @ (numeral @ u_0))) => (even @ N))) | (N = (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![Z:cartrealn2,N:num]:(((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (((vectoru_norm @ Z) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) | (N = (numeral @ u_0))))).
