%   ORIGINAL: CNJ_CX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_EQ: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: CX_DEF: !a. Cx a = complex (a,&0)
% Assm: IM: Im (complex (x,y)) = y
% Assm: RE: Re (complex (x,y)) = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: TRUTH: T
% Assm: cnj: !z. cnj z = complex (Re z,--Im z)
% Goal: !x. cnj (Cx x) = Cx x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: !a. Cx a = complex (a,&0)
% Assm: !x y. Im (complex (x,y)) = y
% Assm: !y x. Re (complex (x,y)) = x
% Assm: -- &0 = &0
% Assm: T
% Assm: !z. cnj z = complex (Re z,--Im z)
% Goal: !x. cnj (Cx x) = Cx x
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_EQ, axiom, ![W:cartrealn2,Z:cartrealn2]:((W = Z) <=> (((re @ W) = (re @ Z)) & ((im @ W) = (im @ Z))))).
thf(aCXu_DEF, axiom, ![A:real]:((cx @ A) = (complex @ (c_ @ A @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aIM, axiom, ![X:real,Y:real]:((im @ (complex @ (c_ @ X @ Y))) = Y)).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(acnj, axiom, ![Z:cartrealn2]:((cnj @ Z) = (complex @ (c_ @ (re @ Z) @ (realu_neg @ (im @ Z)))))).
thf(conjecture, conjecture, ![X:real]:((cnj @ (cx @ X)) = (cx @ X))).
