%   ORIGINAL: CNJ_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_EQ: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: IM: Im (complex (x,y)) = y
% Assm: RE: Re (complex (x,y)) = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: TRUTH: T
% Assm: cnj: !z. cnj z = complex (Re z,--Im z)
% Assm: complex_inv: !z. inv z = complex (Re z / (Re z pow 2 + Im z pow 2),--Im z / (Re z pow 2 + Im z pow 2))
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !z. cnj (inv z) = inv (cnj z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: !x. x pow 2 = x * x
% Assm: !x y. Im (complex (x,y)) = y
% Assm: !y x. Re (complex (x,y)) = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x. -- --x = x
% Assm: T
% Assm: !z. cnj z = complex (Re z,--Im z)
% Assm: !z. inv z = complex (Re z / (Re z pow 2 + Im z pow 2),--Im z / (Re z pow 2 + Im z pow 2))
% Assm: !x y. x / y = x * inv y
% Goal: !z. cnj (inv z) = inv (cnj z)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_EQ, axiom, ![W:cartrealn2,Z:cartrealn2]:((W = Z) <=> (((re @ W) = (re @ Z)) & ((im @ W) = (im @ Z))))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aIM, axiom, ![X:real,Y:real]:((im @ (complex @ (c_ @ X @ Y))) = Y)).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(acnj, axiom, ![Z:cartrealn2]:((cnj @ Z) = (complex @ (c_ @ (re @ Z) @ (realu_neg @ (im @ Z)))))).
thf(acomplexu_inv, axiom, ![Z:cartrealn2]:((complexu_inv @ Z) = (complex @ (c_ @ (realu_div @ (re @ Z) @ (realu_add @ (realu_pow @ (re @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (im @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_div @ (realu_neg @ (im @ Z)) @ (realu_add @ (realu_pow @ (re @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (im @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![Z:cartrealn2]:((cnj @ (complexu_inv @ Z)) = (complexu_inv @ (cnj @ Z)))).
