%   ORIGINAL: CNJ_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CNJ_ADD: !w z. cnj (w + z) = cnj w + cnj z
% Assm: CNJ_NEG: !z. cnj (--z) = --cnj z
% Assm: TRUTH: T
% Assm: complex_sub: w - z = w + --z
% Goal: !w z. cnj (w - z) = cnj w - cnj z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. cnj (w + z) = cnj w + cnj z
% Assm: !z. cnj (--z) = --cnj z
% Assm: T
% Assm: !w z. w - z = w + --z
% Goal: !w z. cnj (w - z) = cnj w - cnj z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCNJu_ADD, axiom, ![W:cartrealn2,Z:cartrealn2]:((cnj @ (vectoru_add @ W @ Z)) = (vectoru_add @ (cnj @ W) @ (cnj @ Z)))).
thf(aCNJu_NEG, axiom, ![Z:cartrealn2]:((cnj @ (vectoru_neg @ Z)) = (vectoru_neg @ (cnj @ Z)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_sub, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_sub @ W @ Z) = (vectoru_add @ W @ (vectoru_neg @ Z)))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((cnj @ (vectoru_sub @ W @ Z)) = (vectoru_sub @ (cnj @ W) @ (cnj @ Z)))).
