%   ORIGINAL: CNJ_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CNJ_INV: !z. cnj (inv z) = inv (cnj z)
% Assm: CNJ_MUL: !w z. cnj (w * z) = cnj w * cnj z
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !w z. cnj (w / z) = cnj w / cnj z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. cnj (inv z) = inv (cnj z)
% Assm: !w z. cnj (w * z) = cnj w * cnj z
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !w z. cnj (w / z) = cnj w / cnj z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCNJu_INV, axiom, ![Z:cartrealn2]:((cnj @ (complexu_inv @ Z)) = (complexu_inv @ (cnj @ Z)))).
thf(aCNJu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((cnj @ (complexu_mul @ W @ Z)) = (complexu_mul @ (cnj @ W) @ (cnj @ Z)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((cnj @ (complexu_div @ W @ Z)) = (complexu_div @ (cnj @ W) @ (cnj @ Z)))).
