%   ORIGINAL: CNJ_POW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CNJ_CX: !x. cnj (Cx x) = Cx x
% Assm: CNJ_MUL: !w z. cnj (w * z) = cnj w * cnj z
% Assm: TRUTH: T
% Assm: complex_pow_conjunct0: x pow 0 = Cx (&1)
% Assm: complex_pow_conjunct1: !n. x pow SUC n = x * x pow n
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !z n. cnj (z pow n) = cnj z pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. cnj (Cx x) = Cx x
% Assm: !w z. cnj (w * z) = cnj w * cnj z
% Assm: T
% Assm: !x. x pow 0 = Cx (&1)
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !z n. cnj (z pow n) = cnj z pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCNJu_CX, axiom, ![X:real]:((cnj @ (cx @ X)) = (cx @ X))).
thf(aCNJu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((cnj @ (complexu_mul @ W @ Z)) = (complexu_mul @ (cnj @ W) @ (cnj @ Z)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_powu_conjunct0, axiom, ![X:cartrealn2]:((complexu_pow @ X @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(acomplexu_powu_conjunct1, axiom, ![X:cartrealn2,N:num]:((complexu_pow @ X @ (suc @ N)) = (complexu_mul @ X @ (complexu_pow @ X @ N)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![Z:cartrealn2,N:num]:((cnj @ (complexu_pow @ Z @ N)) = (complexu_pow @ (cnj @ Z) @ N))).
