%   ORIGINAL: RE_CNJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RE: Re (complex (x,y)) = x
% Assm: TRUTH: T
% Assm: cnj: !z. cnj z = complex (Re z,--Im z)
% Goal: !z. Re (cnj z) = Re z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !y x. Re (complex (x,y)) = x
% Assm: T
% Assm: !z. cnj z = complex (Re z,--Im z)
% Goal: !z. Re (cnj z) = Re z
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cim, type, im : (cartrealn2 > real)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aTRUTH, axiom, $true).
thf(acnj, axiom, ![Z:cartrealn2]:((cnj @ Z) = (complex @ (c_ @ (re @ Z) @ (realu_neg @ (im @ Z)))))).
thf(conjecture, conjecture, ![Z:cartrealn2]:((re @ (cnj @ Z)) = (re @ Z))).
