%   ORIGINAL: CNJ_II
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IM_II: Im ii = &1
% Assm: RE_II: Re ii = &0
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: TRUTH: T
% Assm: cnj: !z. cnj z = complex (Re z,--Im z)
% Assm: complex_neg: --z = complex (--Re z,--Im z)
% Goal: cnj ii = --ii
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: Im ii = &1
% Assm: Re ii = &0
% Assm: -- &0 = &0
% Assm: T
% Assm: !z. cnj z = complex (Re z,--Im z)
% Assm: !z. --z = complex (--Re z,--Im z)
% Goal: cnj ii = --ii
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMu_II, axiom, ((im @ ii) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREu_II, axiom, ((re @ ii) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(acnj, axiom, ![Z:cartrealn2]:((cnj @ Z) = (complex @ (c_ @ (re @ Z) @ (realu_neg @ (im @ Z)))))).
thf(acomplexu_neg, axiom, ![Z:cartrealn2]:((vectoru_neg @ Z) = (complex @ (c_ @ (realu_neg @ (re @ Z)) @ (realu_neg @ (im @ Z)))))).
thf(conjecture, conjecture, ((cnj @ ii) = (vectoru_neg @ ii))).
