%   ORIGINAL: COMPLEX_DIV_CNJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_INV_CNJ: !z. inv z = cnj z / Cx (norm z) pow 2
% Assm: COMPLEX_MUL_ASSOC: !x y z. x * y * z = (x * y) * z
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !a b. a / b = (a * cnj b) / Cx (norm b) pow 2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. inv z = cnj z / Cx (norm z) pow 2
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !a b. a / b = (a * cnj b) / Cx (norm b) pow 2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_INVu_CNJ, axiom, ![Z:cartrealn2]:((complexu_inv @ Z) = (complexu_div @ (cnj @ Z) @ (complexu_pow @ (cx @ (vectoru_norm @ Z)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aCOMPLEXu_MULu_ASSOC, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:((complexu_mul @ X @ (complexu_mul @ Y @ Z)) = (complexu_mul @ (complexu_mul @ X @ Y) @ Z))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![A:cartrealn2,B:cartrealn2]:((complexu_div @ A @ B) = (complexu_div @ (complexu_mul @ A @ (cnj @ B)) @ (complexu_pow @ (cx @ (vectoru_norm @ B)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
