%   ORIGINAL: IM_COMPLEX_DIV_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: CNJ_CX: !x. cnj (Cx x) = Cx x
% Assm: COMPLEX_DIV_CNJ: !a b. a / b = (a * cnj b) / Cx (norm b) pow 2
% Assm: COMPLEX_MUL_RZERO: !x. x * Cx (&0) = Cx (&0)
% Assm: COMPLEX_NORM_ZERO: !z. norm z = &0 <=> z = Cx (&0)
% Assm: CX_INV: !x. Cx (inv x) = inv (Cx x)
% Assm: CX_POW: !x n. Cx (x pow n) = Cx x pow n
% Assm: IM_CX: !x. Im (Cx x) = &0
% Assm: IM_MUL_CX: !x z. Im (Cx x * z) = x * Im z /\ Im (z * Cx x) = Im z * x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_EQ_0: !x. inv x = &0 <=> x = &0
% Assm: REAL_POW_EQ_0: !x n. x pow n = &0 <=> x = &0 /\ ~(n = 0)
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !a b. Im (a / b) = &0 <=> Im (a * cnj b) = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !x. cnj (Cx x) = Cx x
% Assm: !a b. a / b = (a * cnj b) / Cx (norm b) pow 2
% Assm: !x. x * Cx (&0) = Cx (&0)
% Assm: !z. norm z = &0 <=> z = Cx (&0)
% Assm: !x. Cx (inv x) = inv (Cx x)
% Assm: !x n. Cx (x pow n) = Cx x pow n
% Assm: !x. Im (Cx x) = &0
% Assm: !x z. Im (Cx x * z) = x * Im z /\ Im (z * Cx x) = Im z * x
% Assm: ~F <=> T
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x. inv x = &0 <=> x = &0
% Assm: !x n. x pow n = &0 <=> x = &0 /\ ~(n = 0)
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !a b. Im (a / b) = &0 <=> Im (a * cnj b) = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aCNJu_CX, axiom, ![X:real]:((cnj @ (cx @ X)) = (cx @ X))).
thf(aCOMPLEXu_DIVu_CNJ, axiom, ![A:cartrealn2,B:cartrealn2]:((complexu_div @ A @ B) = (complexu_div @ (complexu_mul @ A @ (cnj @ B)) @ (complexu_pow @ (cx @ (vectoru_norm @ B)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aCOMPLEXu_MULu_RZERO, axiom, ![X:cartrealn2]:((complexu_mul @ X @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPLEXu_NORMu_ZERO, axiom, ![Z:cartrealn2]:(((vectoru_norm @ Z) = (realu_ofu_num @ (numeral @ u_0))) <=> (Z = (cx @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aCXu_INV, axiom, ![X:real]:((cx @ (realu_inv @ X)) = (complexu_inv @ (cx @ X)))).
thf(aCXu_POW, axiom, ![X:real,N:num]:((cx @ (realu_pow @ X @ N)) = (complexu_pow @ (cx @ X) @ N))).
thf(aIMu_CX, axiom, ![X:real]:((im @ (cx @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aIMu_MULu_CX, axiom, ![X:real,Z:cartrealn2]:(((im @ (complexu_mul @ (cx @ X) @ Z)) = (realu_mul @ X @ (im @ Z))) & ((im @ (complexu_mul @ Z @ (cx @ X))) = (realu_mul @ (im @ Z) @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_EQu_0, axiom, ![X:real]:(((realu_inv @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_POWu_EQu_0, axiom, ![X:real,N:num]:(((realu_pow @ X @ N) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) & ~ ((N = (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![A:cartrealn2,B:cartrealn2]:(((im @ (complexu_div @ A @ B)) = (realu_ofu_num @ (numeral @ u_0))) <=> ((im @ (complexu_mul @ A @ (cnj @ B))) = (realu_ofu_num @ (numeral @ u_0))))).
