%   ORIGINAL: RE_COMPLEX_DIV_LE_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: RE_COMPLEX_DIV_GT_0: !a b. &0 < Re (a / b) <=> &0 < Re (a * cnj b)
% Assm: TRUTH: T
% Goal: !a b. Re (a / b) <= &0 <=> Re (a * cnj b) <= &0
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !a b. &0 < Re (a / b) <=> &0 < Re (a * cnj b)
% Assm: T
% Goal: !a b. Re (a / b) <= &0 <=> Re (a * cnj b) <= &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREu_COMPLEXu_DIVu_GTu_0, axiom, ![A:cartrealn2,B:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ (complexu_div @ A @ B))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ (complexu_mul @ A @ (cnj @ B)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn2,B:cartrealn2]:((realu_le @ (re @ (complexu_div @ A @ B)) @ (realu_ofu_num @ (numeral @ u_0))) <=> (realu_le @ (re @ (complexu_mul @ A @ (cnj @ B))) @ (realu_ofu_num @ (numeral @ u_0))))).
