%   ORIGINAL: COMPLEX_NORM_GE_RE_IM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: POW_2_SQRT_ABS: !x. sqrt (x pow 2) = abs x
% Assm: REAL_LE_ADDL: !x y. y <= x + y <=> &0 <= x
% Assm: REAL_LE_ADDR: !x y. x <= x + y <=> &0 <= y
% Assm: Real_ext.REAL_MK_NN_SQUARE: !x. &0 <= x * x
% Assm: SQRT_MONO_LE: !x y. &0 <= x /\ x <= y ==> sqrt x <= sqrt y
% Assm: TRUTH: T
% Assm: complex_norm: norm z = sqrt (Re z pow 2 + Im z pow 2)
% Goal: !z. abs (Re z) <= norm z /\ abs (Im z) <= norm z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x pow 2 = x * x
% Assm: !x. sqrt (x pow 2) = abs x
% Assm: !x y. y <= x + y <=> &0 <= x
% Assm: !x y. x <= x + y <=> &0 <= y
% Assm: !x. &0 <= x * x
% Assm: !x y. &0 <= x /\ x <= y ==> sqrt x <= sqrt y
% Assm: T
% Assm: !z. norm z = sqrt (Re z pow 2 + Im z pow 2)
% Goal: !z. abs (Re z) <= norm z /\ abs (Im z) <= norm z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aPOWu_2u_SQRTu_ABS, axiom, ![X:real]:((sqrt @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_abs @ X))).
thf(aREALu_LEu_ADDL, axiom, ![X:real,Y:real]:((realu_le @ Y @ (realu_add @ X @ Y)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aREALu_LEu_ADDR, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_add @ X @ Y)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y))).
thf(aRealu_exto_REALu_MKu_NNu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ X))).
thf(aSQRTu_MONOu_LE, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (sqrt @ X) @ (sqrt @ Y)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_norm, axiom, ![Z:cartrealn2]:((vectoru_norm @ Z) = (sqrt @ (realu_add @ (realu_pow @ (re @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (im @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![Z:cartrealn2]:((realu_le @ (realu_abs @ (re @ Z)) @ (vectoru_norm @ Z)) & (realu_le @ (realu_abs @ (im @ Z)) @ (vectoru_norm @ Z)))).
