%   ORIGINAL: COMPLEX_NORM_LE_RE_IM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIMINDEX_2: dimindex (:2) = 2
% Assm: IM_DEF: !z. Im z = z$2
% Assm: NORM_LE_L1: !x. norm x <= sum (1..dimindex (:N)) (\i. abs (x$i))
% Assm: RE_DEF: !z. Re z = z$1
% Assm: SUM_2: !t. sum (1..2) t = t 1 + t 2
% Assm: TRUTH: T
% Goal: !z. norm z <= abs (Re z) + abs (Im z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: dimindex (:2) = 2
% Assm: !z. Im z = z$2
% Assm: !x. norm x <= sum (1..dimindex (:2)) (\i. abs (x$i))
% Assm: !z. Re z = z$1
% Assm: !t. sum (1..2) t = t 1 + t 2
% Assm: T
% Goal: !z. norm z <= abs (Re z) + abs (Im z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cuniv, type, univ : (n2 > $o)).
thf(cdimindex, type, dimindex : ((n2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMINDEXu_2, axiom, ((dimindex @ univ) = (numeral @ (bit0 @ (bit1 @ u_0))))).
thf(aIMu_DEF, axiom, ![Z:cartrealn2]:((im @ Z) = (d_ @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aNORMu_LEu_L1, axiom, ![X:cartrealn2]:(realu_le @ (vectoru_norm @ X) @ (sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_abs @ (d_ @ X @ I))))).
thf(aREu_DEF, axiom, ![Z:cartrealn2]:((re @ Z) = (d_ @ Z @ (numeral @ (bit1 @ u_0))))).
thf(aSUMu_2, axiom, ![T:(num > real)]:((sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ T) = (realu_add @ (T @ (numeral @ (bit1 @ u_0))) @ (T @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:(realu_le @ (vectoru_norm @ Z) @ (realu_add @ (realu_abs @ (re @ Z)) @ (realu_abs @ (im @ Z))))).
