%   ORIGINAL: CX_SQRT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_EQ: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: IM: Im (complex (x,y)) = y
% Assm: IM_CX: !x. Im (Cx x) = &0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RE: Re (complex (x,y)) = x
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Assm: csqrt: !z. csqrt z = (if Im z = &0 then if &0 <= Re z then complex (sqrt (Re z),&0) else complex (&0,sqrt (--Re z)) else complex (sqrt ((norm z + Re z) / &2),Im z / abs (Im z) * sqrt ((norm z - Re z) / &2)))
% Goal: !x. &0 <= x ==> Cx (sqrt x) = csqrt (Cx x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x y. Im (complex (x,y)) = y
% Assm: !x. Im (Cx x) = &0
% Assm: ~F <=> T
% Assm: !y x. Re (complex (x,y)) = x
% Assm: !x. Re (Cx x) = x
% Assm: T
% Assm: !z. csqrt z = (if Im z = &0 then if &0 <= Re z then complex (sqrt (Re z),&0) else complex (&0,sqrt (--Re z)) else complex (sqrt ((norm z + Re z) / &2),Im z / abs (Im z) * sqrt ((norm z - Re z) / &2)))
% Goal: !x. &0 <= x ==> Cx (sqrt x) = csqrt (Cx x)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccsqrt, type, csqrt : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccond, type, cond : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_EQ, axiom, ![W:cartrealn2,Z:cartrealn2]:((W = Z) <=> (((re @ W) = (re @ Z)) & ((im @ W) = (im @ Z))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn2,T2:cartrealn2]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aIM, axiom, ![X:real,Y:real]:((im @ (complex @ (c_ @ X @ Y))) = Y)).
thf(aIMu_CX, axiom, ![X:real]:((im @ (cx @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(acsqrt, axiom, ![Z:cartrealn2]:((csqrt @ Z) = (cond @ ((im @ Z) = (realu_ofu_num @ (numeral @ u_0))) @ (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z)) @ (complex @ (c_ @ (sqrt @ (re @ Z)) @ (realu_ofu_num @ (numeral @ u_0)))) @ (complex @ (c_ @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ (realu_neg @ (re @ Z)))))) @ (complex @ (c_ @ (sqrt @ (realu_div @ (realu_add @ (vectoru_norm @ Z) @ (re @ Z)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_mul @ (realu_div @ (im @ Z) @ (realu_abs @ (im @ Z))) @ (sqrt @ (realu_div @ (realu_sub @ (vectoru_norm @ Z) @ (re @ Z)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))))).
thf(conjecture, conjecture, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((cx @ (sqrt @ X)) = (csqrt @ (cx @ X))))).
