%   ORIGINAL: CSQRT_CX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_SQRT: !x. &0 <= x ==> Cx (sqrt x) = csqrt (Cx x)
% Assm: TRUTH: T
% Goal: !x. &0 <= x ==> csqrt (Cx x) = Cx (sqrt x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 <= x ==> Cx (sqrt x) = csqrt (Cx x)
% Assm: T
% Goal: !x. &0 <= x ==> csqrt (Cx x) = Cx (sqrt x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccsqrt, type, csqrt : (cartrealn2 > cartrealn2)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_SQRT, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((cx @ (sqrt @ X)) = (csqrt @ (cx @ X))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((csqrt @ (cx @ X)) = (cx @ (sqrt @ X))))).
