%   ORIGINAL: VSUM_COMPLEX_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Assm: VSUM_COMPLEX_LMUL: !c f s. FINITE s ==> vsum s (\x. c * f x) = c * vsum s f
% Goal: !c f s. FINITE s ==> vsum s (\x. f x * c) = vsum s f * c
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x * y = y * x
% Assm: T
% Assm: !c f s. FINITE s ==> vsum s (\x. c * f x) = c * vsum s f
% Goal: !c f s. FINITE s ==> vsum s (\x. f x * c) = vsum s f * c
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tq565101, type, q565101 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvsum, type, vsum : ((q565101 > $o) > (q565101 > cartrealn2) > cartrealn2)).
thf(cfinite, type, finite : ((q565101 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_SYM, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ Y) = (complexu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_COMPLEXu_LMUL, axiom, ![C:cartrealn2,F:(q565101 > cartrealn2),S:(q565101 > $o)]:((finite @ S) => ((vsum @ S @ ^[X:q565101]:(complexu_mul @ C @ (F @ X))) = (complexu_mul @ C @ (vsum @ S @ F))))).
thf(conjecture, conjecture, ![C:cartrealn2,F:(q565101 > cartrealn2),S:(q565101 > $o)]:((finite @ S) => ((vsum @ S @ ^[X:q565101]:(complexu_mul @ (F @ X) @ C)) = (complexu_mul @ (vsum @ S @ F) @ C)))).
