%   ORIGINAL: COMPLEX_SUB_POW_R1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_RID: !x. x * Cx (&1) = x
% Assm: COMPLEX_POW_ONE: !n. Cx (&1) pow n = Cx (&1)
% Assm: COMPLEX_SUB_POW: !x y n. 1 <= n ==> x pow n - y pow n = (x - y) * vsum (0..n - 1) (\i. x pow i * y pow (n - 1 - i))
% Assm: TRUTH: T
% Goal: !x n. 1 <= n ==> x pow n - Cx (&1) = (x - Cx (&1)) * vsum (0..n - 1) (\i. x pow i)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x * Cx (&1) = x
% Assm: !n. Cx (&1) pow n = Cx (&1)
% Assm: !x y n. 1 <= n ==> x pow n - y pow n = (x - y) * vsum (0..n - 1) (\i. x pow i * y pow (n - 1 - i))
% Assm: T
% Goal: !x n. 1 <= n ==> x pow n - Cx (&1) = (x - Cx (&1)) * vsum (0..n - 1) (\i. x pow i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_RID, axiom, ![X:cartrealn2]:((complexu_mul @ X @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) = X)).
thf(aCOMPLEXu_POWu_ONE, axiom, ![N:num]:((complexu_pow @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCOMPLEXu_SUBu_POW, axiom, ![X:cartrealn2,Y:cartrealn2,N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((vectoru_sub @ (complexu_pow @ X @ N) @ (complexu_pow @ Y @ N)) = (complexu_mul @ (vectoru_sub @ X @ Y) @ (vsum @ (o_o_ @ (numeral @ u_0) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ ^[I:num]:(complexu_mul @ (complexu_pow @ X @ I) @ (complexu_pow @ Y @ (m_ @ (m_ @ N @ (numeral @ (bit1 @ u_0))) @ I)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn2,N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((vectoru_sub @ (complexu_pow @ X @ N) @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) = (complexu_mul @ (vectoru_sub @ X @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ (vsum @ (o_o_ @ (numeral @ u_0) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ ^[I:num]:(complexu_pow @ X @ I)))))).
