%   ORIGINAL: REAL_MUL_CX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IM_MUL_CX: !x z. Im (Cx x * z) = x * Im z /\ Im (z * Cx x) = Im z * x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: TRUTH: T
% Assm: real: !z. real z <=> Im z = &0
% Goal: !x z. real (Cx x * z) <=> x = &0 \/ real z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x z. Im (Cx x * z) = x * Im z /\ Im (z * Cx x) = Im z * x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: T
% Assm: !z. real z <=> Im z = &0
% Goal: !x z. real (Cx x * z) <=> x = &0 \/ real z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMu_MULu_CX, axiom, ![X:real,Z:cartrealn2]:(((im @ (complexu_mul @ (cx @ X) @ Z)) = (realu_mul @ X @ (im @ Z))) & ((im @ (complexu_mul @ Z @ (cx @ X))) = (realu_mul @ (im @ Z) @ X)))).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(areal, axiom, ![Z:cartrealn2]:((real0 @ Z) <=> ((im @ Z) = (realu_ofu_num @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![X:real,Z:cartrealn2]:((real0 @ (complexu_mul @ (cx @ X) @ Z)) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (real0 @ Z)))).
