%   ORIGINAL: REAL_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CNJ_MUL: !w z. cnj (w * z) = cnj w * cnj z
% Assm: REAL_CNJ: !z. real z <=> cnj z = z
% Assm: TRUTH: T
% Goal: !w z. real w /\ real z ==> real (w * z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. cnj (w * z) = cnj w * cnj z
% Assm: !z. real z <=> cnj z = z
% Assm: T
% Goal: !w z. real w /\ real z ==> real (w * z)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCNJu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((cnj @ (complexu_mul @ W @ Z)) = (complexu_mul @ (cnj @ W) @ (cnj @ Z)))).
thf(aREALu_CNJ, axiom, ![Z:cartrealn2]:((real0 @ Z) <=> ((cnj @ Z) = Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:(((real0 @ W) & (real0 @ Z)) => (real0 @ (complexu_mul @ W @ Z)))).
