%   ORIGINAL: IN_SEGMENT_CX_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN_SEGMENT_CX: !a b x. Cx x IN segment [Cx a,Cx b] <=> a <= x /\ x <= b \/ b <= x /\ x <= a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL: !z. real z <=> Cx (Re z) = z
% Assm: REAL_CX: !x. real (Cx x)
% Assm: REAL_SEGMENT: !a b x. x IN segment [a,b] /\ real a /\ real b ==> real x
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Assm: real: !z. real z <=> Im z = &0
% Goal: !a b x. x IN segment [Cx a,Cx b] <=> Im x = &0 /\ (a <= Re x /\ Re x <= b \/ b <= Re x /\ Re x <= a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b x. Cx x IN segment [Cx a,Cx b] <=> a <= x /\ x <= b \/ b <= x /\ x <= a
% Assm: ~F <=> T
% Assm: !z. real z <=> Cx (Re z) = z
% Assm: !x. real (Cx x)
% Assm: !a b x. x IN segment [a,b] /\ real a /\ real b ==> real x
% Assm: !x. Re (Cx x) = x
% Assm: T
% Assm: !z. real z <=> Im z = &0
% Goal: !a b x. x IN segment [Cx a,Cx b] <=> Im x = &0 /\ (a <= Re x /\ Re x <= b \/ b <= Re x /\ Re x <= a)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tprodcartrealn2cartrealn2, type, prodcartrealn2cartrealn2 : $tType).
thf(tlistprodcartrealn2cartrealn2, type, listprodcartrealn2cartrealn2 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn2cartrealn2).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealn2cartrealn2 > cartrealn2 > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn2 > cartrealn2 > prodcartrealn2cartrealn2)).
thf(ccons, type, cons : (prodcartrealn2cartrealn2 > listprodcartrealn2cartrealn2 > listprodcartrealn2cartrealn2)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINu_SEGMENTu_CX, axiom, ![A:real,B:real,X:real]:((in @ (cx @ X) @ (closedu_segment @ (cons @ (c_ @ (cx @ A) @ (cx @ B)) @ nil))) <=> (((realu_le @ A @ X) & (realu_le @ X @ B)) | ((realu_le @ B @ X) & (realu_le @ X @ A))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREAL, axiom, ![Z:cartrealn2]:((real0 @ Z) <=> ((cx @ (re @ Z)) = Z))).
thf(aREALu_CX, axiom, ![X:real]:(real0 @ (cx @ X))).
thf(aREALu_SEGMENT, axiom, ![A:cartrealn2,B:cartrealn2,X:cartrealn2]:(((in @ X @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & (real0 @ A) & (real0 @ B)) => (real0 @ X))).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(areal, axiom, ![Z:cartrealn2]:((real0 @ Z) <=> ((im @ Z) = (realu_ofu_num @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![A:real,B:real,X:cartrealn2]:((in @ X @ (closedu_segment @ (cons @ (c_ @ (cx @ A) @ (cx @ B)) @ nil))) <=> (((im @ X) = (realu_ofu_num @ (numeral @ u_0))) & (((realu_le @ A @ (re @ X)) & (realu_le @ (re @ X) @ B)) | ((realu_le @ B @ (re @ X)) & (realu_le @ (re @ X) @ A)))))).
