%   ORIGINAL: CONVEX_REAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_CMUL: !c x. c % x = Cx c * x
% Assm: IN: !P x. x IN P <=> P x
% Assm: REAL_ADD: !w z. real w /\ real z ==> real (w + z)
% Assm: REAL_CX: !x. real (Cx x)
% Assm: REAL_MUL: !w z. real w /\ real z ==> real (w * z)
% Assm: TRUTH: T
% Assm: convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: convex real
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c x. c % x = Cx c * x
% Assm: !P x. x IN P <=> P x
% Assm: !w z. real w /\ real z ==> real (w + z)
% Assm: !x. real (Cx x)
% Assm: !w z. real w /\ real z ==> real (w * z)
% Assm: T
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: convex real
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin0, type, in0 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cru_, type, r_ : (real > cartrealn2 > cartrealn2)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cconvex, type, convex : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_CMUL, axiom, ![C:real,X:cartrealn2]:((r_ @ C @ X) = (complexu_mul @ (cx @ C) @ X))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aREALu_ADD, axiom, ![W:cartrealn2,Z:cartrealn2]:(((real0 @ W) & (real0 @ Z)) => (real0 @ (vectoru_add @ W @ Z)))).
thf(aREALu_CX, axiom, ![X:real]:(real0 @ (cx @ X))).
thf(aREALu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:(((real0 @ W) & (real0 @ Z)) => (real0 @ (complexu_mul @ W @ Z)))).
thf(aTRUTH, axiom, $true).
thf(aconvex, axiom, ![S:(cartrealn2 > $o)]:((convex @ S) <=> ![X:cartrealn2,Y:cartrealn2,U:real,V:real]:(((in0 @ X @ S) & (in0 @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in0 @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(conjecture, conjecture, (convex @ real0)).
