%   ORIGINAL: IMAGE_CX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL: !z. real z <=> Cx (Re z) = z
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Goal: !s. IMAGE Cx s = {z | real z /\ Re z IN s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: !z. real z <=> Cx (Re z) = z
% Assm: !x. Re (Cx x) = x
% Assm: T
% Goal: !s. IMAGE Cx s = {z | real z /\ Re z IN s}
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((real > $o) > real > $o)).
thf(cin0, type, in0 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(csetspec0, type, setspec0 : (real > $o > real > $o)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cimage, type, image : ((real > cartrealn2) > (real > $o) > cartrealn2 > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2 > $o),G:(a > cartrealn2 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn2 > $o)]:(^[X:cartrealn2]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:((S = T) <=> ![X:cartrealn2]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(real > $o),X:real]:((in @ X @ (gspec0 @ ^[V:real]:?[Y:real]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:real,S:(real > $o),F:(real > real)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:real]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREAL, axiom, ![Z:cartrealn2]:((real0 @ Z) <=> ((cx @ (re @ Z)) = Z))).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o)]:((image @ cx @ S) = (gspec @ ^[GENR_PVARR_2231:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2231 @ ((real0 @ Z) & (in @ (re @ Z) @ S)) @ Z)))).
