%   ORIGINAL: COMPLEX_NORM_VSUM_SUM_RE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NORM_POS: !z. real z /\ &0 <= Re z ==> norm z = Re z
% Assm: REAL_VSUM: !f s. FINITE s /\ (!a. a IN s ==> real (f a)) ==> real (vsum s f)
% Assm: RE_VSUM: !f s. FINITE s ==> Re (vsum s f) = sum s (\x. Re (f x))
% Assm: SUM_POS_LE: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= sum s f
% Assm: TRUTH: T
% Goal: !f s. FINITE s /\ (!x. x IN s ==> real (f x) /\ &0 <= Re (f x)) ==> norm (vsum s f) = sum s (\x. Re (f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. real z /\ &0 <= Re z ==> norm z = Re z
% Assm: !f s. FINITE s /\ (!a. a IN s ==> real (f a)) ==> real (vsum s f)
% Assm: !f s. FINITE s ==> Re (vsum s f) = sum s (\x. Re (f x))
% Assm: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= sum s f
% Assm: T
% Goal: !f s. FINITE s /\ (!x. x IN s ==> real (f x) /\ &0 <= Re (f x)) ==> norm (vsum s f) = sum s (\x. Re (f x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq566295, type, q566295 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csum, type, sum : ((q566295 > $o) > (q566295 > real) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (q566295 > (q566295 > $o) > $o)).
thf(cvsum, type, vsum : ((q566295 > $o) > (q566295 > cartrealn2) > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cfinite, type, finite : ((q566295 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NORMu_POS, axiom, ![Z:cartrealn2]:(((real0 @ Z) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z))) => ((vectoru_norm @ Z) = (re @ Z)))).
thf(aREALu_VSUM, axiom, ![F:(q566295 > cartrealn2),S:(q566295 > $o)]:(((finite @ S) & ![A:q566295]:((in @ A @ S) => (real0 @ (F @ A)))) => (real0 @ (vsum @ S @ F)))).
thf(aREu_VSUM, axiom, ![F:(q566295 > cartrealn2),S:(q566295 > $o)]:((finite @ S) => ((re @ (vsum @ S @ F)) = (sum @ S @ ^[X:q566295]:(re @ (F @ X)))))).
thf(aSUMu_POSu_LE, axiom, ![F:(q566295 > real),S:(q566295 > $o)]:(((finite @ S) & ![X:q566295]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sum @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q566295 > cartrealn2),S:(q566295 > $o)]:(((finite @ S) & ![X:q566295]:((in @ X @ S) => ((real0 @ (F @ X)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ (F @ X)))))) => ((vectoru_norm @ (vsum @ S @ F)) = (sum @ S @ ^[X:q566295]:(re @ (F @ X)))))).
