%   ORIGINAL: COMPLEX_NORM_VSUM_BOUND_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_NORM_VSUM_BOUND: !s f g. FINITE s /\ (!x. x IN s ==> real (g x) /\ norm (f x) <= Re (g x)) ==> norm (vsum s f) <= norm (vsum s g)
% Assm: COMPLEX_NORM_VSUM_SUM_RE: !f s. FINITE s /\ (!x. x IN s ==> real (f x) /\ &0 <= Re (f x)) ==> norm (vsum s f) = sum s (\x. Re (f x))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_SUBSET: !u v f. FINITE u /\ FINITE v /\ (!x. x IN u DIFF v ==> f x <= &0) /\ (!x. x IN v DIFF u ==> &0 <= f x) ==> sum u f <= sum v f
% Assm: TRUTH: T
% Goal: !f g s t. FINITE s /\ t SUBSET s /\ (!x. x IN s ==> real (g x) /\ norm (f x) <= Re (g x)) ==> norm (vsum t f) <= norm (vsum s g)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s f g. FINITE s /\ (!x. x IN s ==> real (g x) /\ norm (f x) <= Re (g x)) ==> norm (vsum s f) <= norm (vsum s g)
% Assm: !f s. FINITE s /\ (!x. x IN s ==> real (f x) /\ &0 <= Re (f x)) ==> norm (vsum s f) = sum s (\x. Re (f x))
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x. I x = x
% Assm: !x. &0 <= norm x
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !u v f. FINITE u /\ FINITE v /\ (!x. x IN u DIFF v ==> f x <= &0) /\ (!x. x IN v DIFF u ==> &0 <= f x) ==> sum u f <= sum v f
% Assm: T
% Goal: !f g s t. FINITE s /\ t SUBSET s /\ (!x. x IN s ==> real (g x) /\ norm (f x) <= Re (g x)) ==> norm (vsum t f) <= norm (vsum s g)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvsum, type, vsum : ((a > $o) > (a > cartrealn2) > cartrealn2)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_NORMu_VSUMu_BOUND, axiom, ![S:(a > $o),F:(a > cartrealn2),G:(a > cartrealn2)]:(((finite @ S) & ![X:a]:((in @ X @ S) => ((real0 @ (G @ X)) & (realu_le @ (vectoru_norm @ (F @ X)) @ (re @ (G @ X)))))) => (realu_le @ (vectoru_norm @ (vsum @ S @ F)) @ (vectoru_norm @ (vsum @ S @ G))))).
thf(aCOMPLEXu_NORMu_VSUMu_SUMu_RE, axiom, ![F:(a > cartrealn2),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => ((real0 @ (F @ X)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ (F @ X)))))) => ((vectoru_norm @ (vsum @ S @ F)) = (sum @ S @ ^[X:a]:(re @ (F @ X)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn2]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUMu_SUBSET, axiom, ![U:(a > $o),V:(a > $o),F:(a > real)]:(((finite @ U) & (finite @ V) & ![X:a]:((in @ X @ (diff @ U @ V)) => (realu_le @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0)))) & ![X:a]:((in @ X @ (diff @ V @ U)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)))) => (realu_le @ (sum @ U @ F) @ (sum @ V @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > cartrealn2),G:(a > cartrealn2),S:(a > $o),T:(a > $o)]:(((finite @ S) & (subset @ T @ S) & ![X:a]:((in @ X @ S) => ((real0 @ (G @ X)) & (realu_le @ (vectoru_norm @ (F @ X)) @ (re @ (G @ X)))))) => (realu_le @ (vectoru_norm @ (vsum @ T @ F)) @ (vectoru_norm @ (vsum @ S @ G))))).
