%   ORIGINAL: COMPLEX_POLYFUN_LINEAR_FACTOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_EQ_SUB_RADD: !x y z. x - y = z <=> x = z + y
% Assm: COMPLEX_MUL_LZERO: !x. Cx (&0) * x = Cx (&0)
% Assm: COMPLEX_MUL_RZERO: !x. x * Cx (&0) = Cx (&0)
% Assm: COMPLEX_SUB_POLYFUN: !a x y n. 1 <= n ==> vsum (0..n) (\i. a i * x pow i) - vsum (0..n) (\i. a i * y pow i) = (x - y) * vsum (0..n - 1) (\j. vsum (j + 1..n) (\i. a i * y pow (i - j - 1)) * x pow j)
% Assm: COMPLEX_SUB_REFL: !x. x - x = Cx (&0)
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LE_1_conjunct0: !n. ~(n = 0) ==> 0 < n
% Assm: LE_1_conjunct3: !n. 0 < n ==> 1 <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NUMSEG_SING: !n. n..n = {n}
% Assm: TRUTH: T
% Assm: VSUM_0: vsum s (\x. vec 0) = vec 0
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: VSUM_SING: !f x. vsum {x} f = f x
% Assm: complex_pow_conjunct0: x pow 0 = Cx (&1)
% Goal: !a c n. ?b. !z. vsum (0..n) (\i. c i * z pow i) = (z - a) * vsum (0..n - 1) (\i. b i * z pow i) + vsum (0..n) (\i. c i * a pow i)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y z. x - y = z <=> x = z + y
% Assm: !x. Cx (&0) * x = Cx (&0)
% Assm: !x. x * Cx (&0) = Cx (&0)
% Assm: !a x y n. 1 <= n ==> vsum (0..n) (\i. a i * x pow i) - vsum (0..n) (\i. a i * y pow i) = (x - y) * vsum (0..n - 1) (\j. vsum (j + 1..n) (\i. a i * y pow (i - j - 1)) * x pow j)
% Assm: !x. x - x = Cx (&0)
% Assm: vec 0 = Cx (&0)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !n. ~(n = 0) ==> 0 < n
% Assm: !n. 0 < n ==> 1 <= n
% Assm: ~F <=> T
% Assm: !n. n..n = {n}
% Assm: T
% Assm: !s. vsum s (\x. vec 0) = vec 0
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: !f x. vsum {x} f = f x
% Assm: !x. x pow 0 = Cx (&1)
% Goal: !a c n. ?b. !z. vsum (0..n) (\i. c i * z pow i) = (z - a) * vsum (0..n - 1) (\i. b i * z pow i) + vsum (0..n) (\i. c i * a pow i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cinsert, type, insert : (num > (num > $o) > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(cempty, type, empty : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_EQu_SUBu_RADD, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:(((vectoru_sub @ X @ Y) = Z) <=> (X = (vectoru_add @ Z @ Y)))).
thf(aCOMPLEXu_MULu_LZERO, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPLEXu_MULu_RZERO, axiom, ![X:cartrealn2]:((complexu_mul @ X @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPLEXu_SUBu_POLYFUN, axiom, ![A:(num > cartrealn2),X:cartrealn2,Y:cartrealn2,N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((vectoru_sub @ (vsum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(complexu_mul @ (A @ I) @ (complexu_pow @ X @ I))) @ (vsum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(complexu_mul @ (A @ I) @ (complexu_pow @ Y @ I)))) = (complexu_mul @ (vectoru_sub @ X @ Y) @ (vsum @ (o_o_ @ (numeral @ u_0) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ ^[J:num]:(complexu_mul @ (vsum @ (o_o_ @ (p_ @ J @ (numeral @ (bit1 @ u_0))) @ N) @ ^[I:num]:(complexu_mul @ (A @ I) @ (complexu_pow @ Y @ (m_ @ (m_ @ I @ J) @ (numeral @ (bit1 @ u_0)))))) @ (complexu_pow @ X @ J))))))).
thf(aCOMPLEXu_SUBu_REFL, axiom, ![X:cartrealn2]:((vectoru_sub @ X @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLEu_1u_conjunct0, axiom, ![N:num]:(~ ((N = (numeral @ u_0))) => (l_ @ (numeral @ u_0) @ N))).
thf(aLEu_1u_conjunct3, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) => (l_a_ @ (numeral @ (bit1 @ u_0)) @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNUMSEGu_SING, axiom, ![N:num]:((o_o_ @ N @ N) = (insert @ N @ empty))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_0, axiom, ![S:(num > $o)]:((vsum @ S @ ^[X:num]:(vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_EQ, axiom, ![F:(num > cartrealn2),G:(num > cartrealn2),S:(num > $o)]:(![X:num]:((in0 @ X @ S) => ((F @ X) = (G @ X))) => ((vsum @ S @ F) = (vsum @ S @ G)))).
thf(aVSUMu_SING, axiom, ![F:(num > cartrealn2),X:num]:((vsum @ (insert @ X @ empty) @ F) = (F @ X))).
thf(acomplexu_powu_conjunct0, axiom, ![X:cartrealn2]:((complexu_pow @ X @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(conjecture, conjecture, ![A:cartrealn2,C:(num > cartrealn2),N:num]:?[B:(num > cartrealn2)]:![Z:cartrealn2]:((vsum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(complexu_mul @ (C @ I) @ (complexu_pow @ Z @ I))) = (vectoru_add @ (complexu_mul @ (vectoru_sub @ Z @ A) @ (vsum @ (o_o_ @ (numeral @ u_0) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ ^[I:num]:(complexu_mul @ (B @ I) @ (complexu_pow @ Z @ I)))) @ (vsum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(complexu_mul @ (C @ I) @ (complexu_pow @ A @ I)))))).
