%   ORIGINAL: COMPLEX_POLYFUN_LINEAR_FACTOR_ROOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_ADD_RID: !x. x + Cx (&0) = x
% Assm: COMPLEX_POLYFUN_LINEAR_FACTOR: !a c n. ?b. !z. vsum (0..n) (\i. c i * z pow i) = (z - a) * vsum (0..n - 1) (\i. b i * z pow i) + vsum (0..n) (\i. c i * a pow i)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a c n. vsum (0..n) (\i. c i * a pow i) = Cx (&0) ==> (?b. !z. vsum (0..n) (\i. c i * z pow i) = (z - a) * vsum (0..n - 1) (\i. b i * z pow i))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x + Cx (&0) = x
% Assm: !a c n. ?b. !z. vsum (0..n) (\i. c i * z pow i) = (z - a) * vsum (0..n - 1) (\i. b i * z pow i) + vsum (0..n) (\i. c i * a pow i)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !a c n. vsum (0..n) (\i. c i * a pow i) = Cx (&0) ==> (?b. !z. vsum (0..n) (\i. c i * z pow i) = (z - a) * vsum (0..n - 1) (\i. b i * z pow i))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(cmu_, type, m_ : (num > num > num)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_ADDu_RID, axiom, ![X:cartrealn2]:((vectoru_add @ X @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = X)).
thf(aCOMPLEXu_POLYFUNu_LINEARu_FACTOR, axiom, ![A:cartrealn2,C:(num > cartrealn2),N:num]:?[B:(num > cartrealn2)]:![Z:cartrealn2]:((vsum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(complexu_mul @ (C @ I) @ (complexu_pow @ Z @ I))) = (vectoru_add @ (complexu_mul @ (vectoru_sub @ Z @ A) @ (vsum @ (o_o_ @ (numeral @ u_0) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ ^[I:num]:(complexu_mul @ (B @ I) @ (complexu_pow @ Z @ I)))) @ (vsum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(complexu_mul @ (C @ I) @ (complexu_pow @ A @ I)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn2,C:(num > cartrealn2),N:num]:(((vsum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(complexu_mul @ (C @ I) @ (complexu_pow @ A @ I))) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) => ?[B:(num > cartrealn2)]:![Z:cartrealn2]:((vsum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(complexu_mul @ (C @ I) @ (complexu_pow @ Z @ I))) = (complexu_mul @ (vectoru_sub @ Z @ A) @ (vsum @ (o_o_ @ (numeral @ u_0) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ ^[I:num]:(complexu_mul @ (B @ I) @ (complexu_pow @ Z @ I))))))).
