%   ORIGINAL: COMPLEX_POLYFUN_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_LZERO: !x. Cx (&0) * x = Cx (&0)
% Assm: COMPLEX_POLYFUN_ROOTBOUND: !n c. ~(!i. i IN 0..n ==> c i = Cx (&0)) ==> FINITE {z | vsum (0..n) (\i. c i * z pow i) = Cx (&0)} /\ CARD {z | vsum (0..n) (\i. c i * z pow i) = Cx (&0)} <= n
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: EUCLIDEAN_SPACE_INFINITE: INFINITE (:real^N)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Assm: VSUM_0: vsum s (\x. vec 0) = vec 0
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Goal: !n c. (!z. vsum (0..n) (\i. c i * z pow i) = Cx (&0)) <=> (!i. i IN 0..n ==> c i = Cx (&0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Cx (&0) * x = Cx (&0)
% Assm: !n c. ~(!i. i IN 0..n ==> c i = Cx (&0)) ==> FINITE {z | vsum (0..n) (\i. c i * z pow i) = Cx (&0)} /\ CARD {z | vsum (0..n) (\i. c i * z pow i) = Cx (&0)} <= n
% Assm: vec 0 = Cx (&0)
% Assm: INFINITE (:real^N)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. x IN (:num)
% Assm: T
% Assm: !s. vsum s (\x. vec 0) = vec 0
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Goal: !n c. (!z. vsum (0..n) (\i. c i * z pow i) = Cx (&0)) <=> (!i. i IN 0..n ==> c i = Cx (&0))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(cuniv0, type, univ0 : (num > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cinfinite0, type, infinite0 : ((a > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cinfinite, type, infinite : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn2 > $o) > $o)).
thf(ccard, type, card : ((cartrealn2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_LZERO, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPLEXu_POLYFUNu_ROOTBOUND, axiom, ![N:num,C:(num > cartrealn2)]:(~ (![I:num]:((in @ I @ (o_o_ @ (numeral @ u_0) @ N)) => ((C @ I) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => ((finite @ (gspec @ ^[GENR_PVARR_2235:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2235 @ ((vsum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(complexu_mul @ (C @ I) @ (complexu_pow @ Z @ I))) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) @ Z))) & (l_a_ @ (card @ (gspec @ ^[GENR_PVARR_2236:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2236 @ ((vsum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(complexu_mul @ (C @ I) @ (complexu_pow @ Z @ I))) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) @ Z))) @ N)))).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aEUCLIDEANu_SPACEu_INFINITE, axiom, (infinite @ univ)).
thf(aEXTENSION, axiom, ![S:(num > $o),T:(num > $o)]:((S = T) <=> ![X:num]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINFINITE, axiom, ![S:(a > $o)]:((infinite0 @ S) <=> ~ ((finite0 @ S)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(num > $o),X:num]:((in @ X @ (gspec0 @ ^[V:num]:?[Y:num]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aINu_UNIV, axiom, ![X:num]:(in @ X @ univ0)).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_0, axiom, ![S:(num > $o)]:((vsum @ S @ ^[X:num]:(vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_EQ, axiom, ![F:(num > cartrealn2),G:(num > cartrealn2),S:(num > $o)]:(![X:num]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((vsum @ S @ F) = (vsum @ S @ G)))).
thf(conjecture, conjecture, ![N:num,C:(num > cartrealn2)]:(![Z:cartrealn2]:((vsum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(complexu_mul @ (C @ I) @ (complexu_pow @ Z @ I))) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) <=> ![I:num]:((in @ I @ (o_o_ @ (numeral @ u_0) @ N)) => ((C @ I) = (cx @ (realu_ofu_num @ (numeral @ u_0))))))).
