%   ORIGINAL: NEUTRAL_COMPLEX_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_MUL_LID: !x. Cx (&1) * x = x
% Assm: COMPLEX_MUL_RID: !x. x * Cx (&1) = x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_UNIQUE: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: TRUTH: T
% Assm: neutral: !op. neutral op = (@x. !y. op x y = y /\ op y x = y)
% Goal: neutral (*) = Cx (&1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. Cx (&1) * x = x
% Assm: !x. x * Cx (&1) = x
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: T
% Assm: !op. neutral op = (@x. !y. op x y = y /\ op y x = y)
% Goal: neutral (*) = Cx (&1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(chu_, type, h_ : ((cartrealn2 > $o) > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cneutral, type, neutral : ((cartrealn2 > cartrealn2 > cartrealn2) > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_MULu_LID, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X) = X)).
thf(aCOMPLEXu_MULu_RID, axiom, ![X:cartrealn2]:((complexu_mul @ X @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) = X)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_UNIQUE, axiom, ![P:(cartrealn2 > $o),X:cartrealn2]:(![Y:cartrealn2]:((P @ Y) <=> (Y = X)) => ((h_ @ P) = X))).
thf(aTRUTH, axiom, $true).
thf(aneutral, axiom, ![OP:(cartrealn2 > cartrealn2 > cartrealn2)]:((neutral @ OP) = (h_ @ ^[X:cartrealn2]:![Y:cartrealn2]:(((OP @ X @ Y) = Y) & ((OP @ Y @ X) = Y))))).
thf(conjecture, conjecture, ((neutral @ complexu_mul) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
