%   ORIGINAL: CPRODUCT_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_INV_1: inv (Cx (&1)) = Cx (&1)
% Assm: COMPLEX_INV_MUL: !w z. inv (w * z) = inv w * inv z
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CPRODUCT_CLAUSES_conjunct0: !f. cproduct {} f = Cx (&1)
% Assm: CPRODUCT_CLAUSES_conjunct1: !x f s. FINITE s ==> cproduct (x INSERT s) f = (if x IN s then cproduct s f else f x * cproduct s f)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. FINITE s ==> cproduct s (\x. inv (f x)) = inv (cproduct s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: inv (Cx (&1)) = Cx (&1)
% Assm: !w z. inv (w * z) = inv w * inv z
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f. cproduct {} f = Cx (&1)
% Assm: !x f s. FINITE s ==> cproduct (x INSERT s) f = (if x IN s then cproduct s f else f x * cproduct s f)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. FINITE s ==> cproduct s (\x. inv (f x)) = inv (cproduct s f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq568361, type, q568361 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cin, type, in : (q568361 > (q568361 > $o) > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cinsert, type, insert : (q568361 > (q568361 > $o) > q568361 > $o)).
thf(ccond, type, cond : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccproduct, type, cproduct : ((q568361 > $o) > (q568361 > cartrealn2) > cartrealn2)).
thf(cfinite, type, finite : ((q568361 > $o) > $o)).
thf(cempty, type, empty : (q568361 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_INVu_1, axiom, ((complexu_inv @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCOMPLEXu_INVu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_inv @ (complexu_mul @ W @ Z)) = (complexu_mul @ (complexu_inv @ W) @ (complexu_inv @ Z)))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn2,T2:cartrealn2]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCPRODUCTu_CLAUSESu_conjunct0, axiom, ![F:(q568361 > cartrealn2)]:((cproduct @ empty @ F) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCPRODUCTu_CLAUSESu_conjunct1, axiom, ![X:q568361,F:(q568361 > cartrealn2),S:(q568361 > $o)]:((finite @ S) => ((cproduct @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (cproduct @ S @ F) @ (complexu_mul @ (F @ X) @ (cproduct @ S @ F)))))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q568361 > $o) > $o)]:(((P @ empty) & ![X:q568361,S:(q568361 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q568361 > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q568361 > cartrealn2),S:(q568361 > $o)]:((finite @ S) => ((cproduct @ S @ ^[X:q568361]:(complexu_inv @ (F @ X))) = (complexu_inv @ (cproduct @ S @ F))))).
