%   ORIGINAL: CPRODUCT_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_MUL_AC_conjunct0: m * n = n * m
% Assm: COMPLEX_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: COMPLEX_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: COMPLEX_MUL_LID: !x. Cx (&1) * x = x
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CPRODUCT_CLAUSES_conjunct0: !f. cproduct {} f = Cx (&1)
% Assm: CPRODUCT_CLAUSES_conjunct1: !x f s. FINITE s ==> cproduct (x INSERT s) f = (if x IN s then cproduct s f else f x * cproduct s f)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g s. FINITE s ==> cproduct s (\x. f x * g x) = cproduct s f * cproduct s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. Cx (&1) * x = x
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f. cproduct {} f = Cx (&1)
% Assm: !x f s. FINITE s ==> cproduct (x INSERT s) f = (if x IN s then cproduct s f else f x * cproduct s f)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: T
% Goal: !f g s. FINITE s ==> cproduct s (\x. f x * g x) = cproduct s f * cproduct s g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq568396, type, q568396 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cin, type, in : (q568396 > (q568396 > $o) > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cinsert, type, insert : (q568396 > (q568396 > $o) > q568396 > $o)).
thf(ccond, type, cond : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccproduct, type, cproduct : ((q568396 > $o) > (q568396 > cartrealn2) > cartrealn2)).
thf(cfinite, type, finite : ((q568396 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (q568396 > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_MULu_ACu_conjunct0, axiom, ![N:cartrealn2,M:cartrealn2]:((complexu_mul @ M @ N) = (complexu_mul @ N @ M))).
thf(aCOMPLEXu_MULu_ACu_conjunct1, axiom, ![M:cartrealn2,N:cartrealn2,P:cartrealn2]:((complexu_mul @ (complexu_mul @ M @ N) @ P) = (complexu_mul @ M @ (complexu_mul @ N @ P)))).
thf(aCOMPLEXu_MULu_ACu_conjunct2, axiom, ![N:cartrealn2,M:cartrealn2,P:cartrealn2]:((complexu_mul @ M @ (complexu_mul @ N @ P)) = (complexu_mul @ N @ (complexu_mul @ M @ P)))).
thf(aCOMPLEXu_MULu_LID, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X) = X)).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn2,T2:cartrealn2]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCPRODUCTu_CLAUSESu_conjunct0, axiom, ![F:(q568396 > cartrealn2)]:((cproduct @ empty @ F) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCPRODUCTu_CLAUSESu_conjunct1, axiom, ![X:q568396,F:(q568396 > cartrealn2),S:(q568396 > $o)]:((finite @ S) => ((cproduct @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (cproduct @ S @ F) @ (complexu_mul @ (F @ X) @ (cproduct @ S @ F)))))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q568396 > $o) > $o)]:(((P @ empty) & ![X:q568396,S:(q568396 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q568396 > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q568396 > cartrealn2),G:(q568396 > cartrealn2),S:(q568396 > $o)]:((finite @ S) => ((cproduct @ S @ ^[X:q568396]:(complexu_mul @ (F @ X) @ (G @ X))) = (complexu_mul @ (cproduct @ S @ F) @ (cproduct @ S @ G))))).
