%   ORIGINAL: CPRODUCT_EQ_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_EQ_NEUTRAL: !op. monoidal op ==> (!f s. (!x. x IN s ==> f x = neutral op) ==> iterate op s f = neutral op)
% Assm: MONOIDAL_COMPLEX_MUL: monoidal (*)
% Assm: NEUTRAL_COMPLEX_MUL: neutral (*) = Cx (&1)
% Assm: TRUTH: T
% Assm: cproduct: cproduct = iterate (*)
% Goal: !f s. (!x. x IN s ==> f x = Cx (&1)) ==> cproduct s f = Cx (&1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f s. (!x. x IN s ==> f x = neutral op) ==> iterate op s f = neutral op)
% Assm: monoidal (*)
% Assm: neutral (*) = Cx (&1)
% Assm: T
% Assm: cproduct = iterate (*)
% Goal: !f s. (!x. x IN s ==> f x = Cx (&1)) ==> cproduct s f = Cx (&1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cneutral, type, neutral : ((cartrealn2 > cartrealn2 > cartrealn2) > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(citerate, type, iterate : ((cartrealn2 > cartrealn2 > cartrealn2) > (a > $o) > (a > cartrealn2) > cartrealn2)).
thf(ccproduct, type, cproduct : ((a > $o) > (a > cartrealn2) > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmonoidal, type, monoidal : ((cartrealn2 > cartrealn2 > cartrealn2) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_EQu_NEUTRAL, axiom, ![OP:(cartrealn2 > cartrealn2 > cartrealn2)]:((monoidal @ OP) => ![F:(a > cartrealn2),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (neutral @ OP))) => ((iterate @ OP @ S @ F) = (neutral @ OP))))).
thf(aMONOIDALu_COMPLEXu_MUL, axiom, (monoidal @ complexu_mul)).
thf(aNEUTRALu_COMPLEXu_MUL, axiom, ((neutral @ complexu_mul) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(acproduct, axiom, (cproduct = (iterate @ complexu_mul))).
thf(conjecture, conjecture, ![F:(a > cartrealn2),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) => ((cproduct @ S @ F) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
