%   ORIGINAL: NORM_CPRODUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: COMPLEX_NORM_MUL: !w z. norm (w * z) = norm w * norm z
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CPRODUCT_CLAUSES_conjunct0: !f. cproduct {} f = Cx (&1)
% Assm: CPRODUCT_CLAUSES_conjunct1: !x f s. FINITE s ==> cproduct (x INSERT s) f = (if x IN s then cproduct s f else f x * cproduct s f)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PRODUCT_CLAUSES_conjunct0: !f. product {} f = &1
% Assm: PRODUCT_CLAUSES_conjunct1: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Goal: !f s. FINITE s ==> norm (cproduct s f) = product s (\x. norm (f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. norm (Cx x) = abs x
% Assm: !w z. norm (w * z) = norm w * norm z
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f. cproduct {} f = Cx (&1)
% Assm: !x f s. FINITE s ==> cproduct (x INSERT s) f = (if x IN s then cproduct s f else f x * cproduct s f)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: !f. product {} f = &1
% Assm: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: T
% Assm: abs (&1) = &1
% Goal: !f s. FINITE s ==> norm (cproduct s f) = product s (\x. norm (f x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq568524, type, q568524 : $tType).
%  CONSTS
thf(cin, type, in : (q568524 > (q568524 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cproduct, type, product : ((q568524 > $o) > (q568524 > real) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ccond0, type, cond0 : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(cinsert, type, insert : (q568524 > (q568524 > $o) > q568524 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccproduct, type, cproduct : ((q568524 > $o) > (q568524 > cartrealn2) > cartrealn2)).
thf(cempty, type, empty : (q568524 > $o)).
thf(cfinite, type, finite : ((q568524 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aCOMPLEXu_NORMu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_norm @ (complexu_mul @ W @ Z)) = (realu_mul @ (vectoru_norm @ W) @ (vectoru_norm @ Z)))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCPRODUCTu_CLAUSESu_conjunct0, axiom, ![F:(q568524 > cartrealn2)]:((cproduct @ empty @ F) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCPRODUCTu_CLAUSESu_conjunct1, axiom, ![X:q568524,F:(q568524 > cartrealn2),S:(q568524 > $o)]:((finite @ S) => ((cproduct @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (cproduct @ S @ F) @ (complexu_mul @ (F @ X) @ (cproduct @ S @ F)))))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q568524 > $o) > $o)]:(((P @ empty) & ![X:q568524,S:(q568524 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q568524 > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPRODUCTu_CLAUSESu_conjunct0, axiom, ![F:(q568524 > real)]:((product @ empty @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aPRODUCTu_CLAUSESu_conjunct1, axiom, ![X:q568524,F:(q568524 > real),S:(q568524 > $o)]:((finite @ S) => ((product @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (product @ S @ F) @ (realu_mul @ (F @ X) @ (product @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![F:(q568524 > cartrealn2),S:(q568524 > $o)]:((finite @ S) => ((vectoru_norm @ (cproduct @ S @ F)) = (product @ S @ ^[X:q568524]:(vectoru_norm @ (F @ X)))))).
