%   ORIGINAL: CPRODUCT_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_EQ: !op. monoidal op ==> (!f g s. (!x. x IN s ==> f x = g x) ==> iterate op s f = iterate op s g)
% Assm: MONOIDAL_COMPLEX_MUL: monoidal (*)
% Assm: TRUTH: T
% Assm: cproduct: cproduct = iterate (*)
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> cproduct s f = cproduct s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f g s. (!x. x IN s ==> f x = g x) ==> iterate op s f = iterate op s g)
% Assm: monoidal (*)
% Assm: T
% Assm: cproduct = iterate (*)
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> cproduct s f = cproduct s g
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq568557, type, q568557 : $tType).
%  CONSTS
thf(cin, type, in : (q568557 > (q568557 > $o) > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(citerate, type, iterate : ((cartrealn2 > cartrealn2 > cartrealn2) > (q568557 > $o) > (q568557 > cartrealn2) > cartrealn2)).
thf(ccproduct, type, cproduct : ((q568557 > $o) > (q568557 > cartrealn2) > cartrealn2)).
thf(cmonoidal, type, monoidal : ((cartrealn2 > cartrealn2 > cartrealn2) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_EQ, axiom, ![OP:(cartrealn2 > cartrealn2 > cartrealn2)]:((monoidal @ OP) => ![F:(q568557 > cartrealn2),G:(q568557 > cartrealn2),S:(q568557 > $o)]:(![X:q568557]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((iterate @ OP @ S @ F) = (iterate @ OP @ S @ G))))).
thf(aMONOIDALu_COMPLEXu_MUL, axiom, (monoidal @ complexu_mul)).
thf(aTRUTH, axiom, $true).
thf(acproduct, axiom, (cproduct = (iterate @ complexu_mul))).
thf(conjecture, conjecture, ![F:(q568557 > cartrealn2),G:(q568557 > cartrealn2),S:(q568557 > $o)]:(![X:q568557]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((cproduct @ S @ F) = (cproduct @ S @ G)))).
