%   ORIGINAL: UNIFORM_LIM_COMPLEX_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BILINEAR_COMPLEX_MUL: bilinear (*)
% Assm: TRUTH: T
% Assm: UNIFORM_LIM_BILINEAR: !net P h f g l m b1 b2. bilinear h /\ eventually (\x. !n. P n ==> norm (l n) <= b1) net /\ eventually (\x. !n. P n ==> norm (m n) <= b2) net /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (g n x - m n) < e) net) ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (h (f n x) (g n x) - h (l n) (m n)) < e) net)
% Goal: !net P f g l m b1 b2. eventually (\x. !n. P n ==> norm (l n) <= b1) net /\ eventually (\x. !n. P n ==> norm (m n) <= b2) net /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (g n x - m n) < e) net) ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x * g n x - l n * m n) < e) net)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: bilinear (*)
% Assm: T
% Assm: !net P h f g l m b1 b2. bilinear h /\ eventually (\x. !n. P n ==> norm (l n) <= b1) net /\ eventually (\x. !n. P n ==> norm (m n) <= b2) net /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (g n x - m n) < e) net) ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (h (f n x) (g n x) - h (l n) (m n)) < e) net)
% Goal: !net P f g l m b1 b2. eventually (\x. !n. P n ==> norm (l n) <= b1) net /\ eventually (\x. !n. P n ==> norm (m n) <= b2) net /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (g n x - m n) < e) net) ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x * g n x - l n * m n) < e) net)
%  TYPES
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cbilinear, type, bilinear : ((cartrealn2 > cartrealn2 > cartrealn2) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBILINEARu_COMPLEXu_MUL, axiom, (bilinear @ complexu_mul)).
thf(aTRUTH, axiom, $true).
thf(aUNIFORMu_LIMu_BILINEAR, axiom, ![NET:neta,P:(b > $o),H:(cartrealn2 > cartrealn2 > cartrealn2),F:(b > a > cartrealn2),G:(b > a > cartrealn2),L:(b > cartrealn2),M:(b > cartrealn2),B1:real,B2:real]:(((bilinear @ H) & (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_le @ (vectoru_norm @ (L @ N)) @ B1)) @ NET) & (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_le @ (vectoru_norm @ (M @ N)) @ B2)) @ NET) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (F @ N @ X) @ (L @ N))) @ E)) @ NET)) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (G @ N @ X) @ (M @ N))) @ E)) @ NET))) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (H @ (F @ N @ X) @ (G @ N @ X)) @ (H @ (L @ N) @ (M @ N)))) @ E)) @ NET)))).
thf(conjecture, conjecture, ![NET:neta,P:(b > $o),F:(b > a > cartrealn2),G:(b > a > cartrealn2),L:(b > cartrealn2),M:(b > cartrealn2),B1:real,B2:real]:(((eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_le @ (vectoru_norm @ (L @ N)) @ B1)) @ NET) & (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_le @ (vectoru_norm @ (M @ N)) @ B2)) @ NET) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (F @ N @ X) @ (L @ N))) @ E)) @ NET)) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (G @ N @ X) @ (M @ N))) @ E)) @ NET))) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (complexu_mul @ (F @ N @ X) @ (G @ N @ X)) @ (complexu_mul @ (L @ N) @ (M @ N)))) @ E)) @ NET)))).
