%   ORIGINAL: UNIFORM_LIM_COMPLEX_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_NORM_INV: !z. norm (inv z) = inv (norm z)
% Assm: EVENTUALLY_MONO: !net p q. (!x. p x ==> q x) /\ eventually p net ==> eventually q net
% Assm: REAL_LE_INV2: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: TRUTH: T
% Assm: UNIFORM_LIM_COMPLEX_INV: !net P f l b. (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ &0 < b /\ eventually (\x. !n. P n ==> b <= norm (l n)) net ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (inv (f n x) - inv (l n)) < e) net)
% Assm: UNIFORM_LIM_COMPLEX_MUL: !net P f g l m b1 b2. eventually (\x. !n. P n ==> norm (l n) <= b1) net /\ eventually (\x. !n. P n ==> norm (m n) <= b2) net /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (g n x - m n) < e) net) ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x * g n x - l n * m n) < e) net)
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !net P f g l m b1 b2. eventually (\x. !n. P n ==> norm (l n) <= b1) net /\ &0 < b2 /\ eventually (\x. !n. P n ==> b2 <= norm (m n)) net /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (g n x - m n) < e) net) ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x / g n x - l n / m n) < e) net)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. norm (inv z) = inv (norm z)
% Assm: !net p q. (!x. p x ==> q x) /\ eventually p net ==> eventually q net
% Assm: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: T
% Assm: !net P f l b. (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ &0 < b /\ eventually (\x. !n. P n ==> b <= norm (l n)) net ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (inv (f n x) - inv (l n)) < e) net)
% Assm: !net P f g l m b1 b2. eventually (\x. !n. P n ==> norm (l n) <= b1) net /\ eventually (\x. !n. P n ==> norm (m n) <= b2) net /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (g n x - m n) < e) net) ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x * g n x - l n * m n) < e) net)
% Assm: !w z. w / z = w * inv z
% Goal: !net P f g l m b1 b2. eventually (\x. !n. P n ==> norm (l n) <= b1) net /\ &0 < b2 /\ eventually (\x. !n. P n ==> b2 <= norm (m n)) net /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (g n x - m n) < e) net) ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x / g n x - l n / m n) < e) net)
%  TYPES
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_NORMu_INV, axiom, ![Z:cartrealn2]:((vectoru_norm @ (complexu_inv @ Z)) = (realu_inv @ (vectoru_norm @ Z)))).
thf(aEVENTUALLYu_MONO, axiom, ![NET:neta,P:(a > $o),Q:(a > $o)]:((![X:a]:((P @ X) => (Q @ X)) & (eventually @ P @ NET)) => (eventually @ Q @ NET))).
thf(aREALu_LEu_INV2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (realu_inv @ Y) @ (realu_inv @ X)))).
thf(aTRUTH, axiom, $true).
thf(aUNIFORMu_LIMu_COMPLEXu_INV, axiom, ![NET:neta,P:(b > $o),F:(b > a > cartrealn2),L:(b > cartrealn2),B:real]:((![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (F @ N @ X) @ (L @ N))) @ E)) @ NET)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_le @ B @ (vectoru_norm @ (L @ N)))) @ NET)) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (complexu_inv @ (F @ N @ X)) @ (complexu_inv @ (L @ N)))) @ E)) @ NET)))).
thf(aUNIFORMu_LIMu_COMPLEXu_MUL, axiom, ![NET:neta,P:(b > $o),F:(b > a > cartrealn2),G:(b > a > cartrealn2),L:(b > cartrealn2),M:(b > cartrealn2),B1:real,B2:real]:(((eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_le @ (vectoru_norm @ (L @ N)) @ B1)) @ NET) & (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_le @ (vectoru_norm @ (M @ N)) @ B2)) @ NET) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (F @ N @ X) @ (L @ N))) @ E)) @ NET)) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (G @ N @ X) @ (M @ N))) @ E)) @ NET))) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (complexu_mul @ (F @ N @ X) @ (G @ N @ X)) @ (complexu_mul @ (L @ N) @ (M @ N)))) @ E)) @ NET)))).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![NET:neta,P:(b > $o),F:(b > a > cartrealn2),G:(b > a > cartrealn2),L:(b > cartrealn2),M:(b > cartrealn2),B1:real,B2:real]:(((eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_le @ (vectoru_norm @ (L @ N)) @ B1)) @ NET) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B2) & (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_le @ B2 @ (vectoru_norm @ (M @ N)))) @ NET) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (F @ N @ X) @ (L @ N))) @ E)) @ NET)) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (G @ N @ X) @ (M @ N))) @ E)) @ NET))) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (complexu_div @ (F @ N @ X) @ (G @ N @ X)) @ (complexu_div @ (L @ N) @ (M @ N)))) @ E)) @ NET)))).
