%   ORIGINAL: LIM_COMPLEX_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BILINEAR_COMPLEX_MUL: bilinear (*)
% Assm: LIM_BILINEAR: !net h f g l m. (f --> l) net /\ (g --> m) net /\ bilinear h ==> ((\x. h (f x) (g x)) --> h l m) net
% Assm: TRUTH: T
% Goal: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x * g x) --> l * m) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: bilinear (*)
% Assm: !net h f g l m. (f --> l) net /\ (g --> m) net /\ bilinear h ==> ((\x. h (f x) (g x)) --> h l m) net
% Assm: T
% Goal: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x * g x) --> l * m) net
%  TYPES
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn2) > cartrealn2 > neta > $o)).
thf(cbilinear, type, bilinear : ((cartrealn2 > cartrealn2 > cartrealn2) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBILINEARu_COMPLEXu_MUL, axiom, (bilinear @ complexu_mul)).
thf(aLIMu_BILINEAR, axiom, ![NET:neta,H:(cartrealn2 > cartrealn2 > cartrealn2),F:(a > cartrealn2),G:(a > cartrealn2),L:cartrealn2,M:cartrealn2]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET) & (bilinear @ H)) => (m_m_g_ @ ^[X:a]:(H @ (F @ X) @ (G @ X)) @ (H @ L @ M) @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealn2),G:(a > cartrealn2),L:cartrealn2,M:cartrealn2]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET)) => (m_m_g_ @ ^[X:a]:(complexu_mul @ (F @ X) @ (G @ X)) @ (complexu_mul @ L @ M) @ NET))).
