%   ORIGINAL: LIM_COMPLEX_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_NORM_NZ: !z. &0 < norm z <=> ~(z = Cx (&0))
% Assm: EVENTUALLY_TRUE: !net. eventually (\x. T) net <=> T
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: TRUTH: T
% Assm: UNIFORM_LIM_COMPLEX_INV: !net P f l b. (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ &0 < b /\ eventually (\x. !n. P n ==> b <= norm (l n)) net ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (inv (f n x) - inv (l n)) < e) net)
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: tendsto: !f l net. (f --> l) net <=> (!e. &0 < e ==> eventually (\x. dist (f x,l) < e) net)
% Goal: !net f g l m. (f --> l) net /\ ~(l = Cx (&0)) ==> ((\x. inv (f x)) --> inv l) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. &0 < norm z <=> ~(z = Cx (&0))
% Assm: !net. eventually (\x. T) net <=> T
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: T
% Assm: !net P f l b. (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (f n x - l n) < e) net) /\ &0 < b /\ eventually (\x. !n. P n ==> b <= norm (l n)) net ==> (!e. &0 < e ==> eventually (\x. !n. P n ==> norm (inv (f n x) - inv (l n)) < e) net)
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !f l net. (f --> l) net <=> (!e. &0 < e ==> eventually (\x. dist (f x,l) < e) net)
% Goal: !net f g l m. (f --> l) net /\ ~(l = Cx (&0)) ==> ((\x. inv (f x)) --> inv l) net
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tq570399, type, q570399 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq570407, type, q570407 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq175054, type, q175054 : $tType).
thf(tprodcartrealn2cartrealn2, type, prodcartrealn2cartrealn2 : $tType).
thf(tnetq175054, type, netq175054 : $tType).
%  CONSTS
thf(cdistance0, type, distance0 : (prodcartrealn2cartrealn2 > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq98293 > real)).
thf(cdistance, type, distance : (prodcartrealq98293cartrealq98293 > real)).
thf(ceventually0, type, eventually0 : ((a > $o) > neta > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ceventually, type, eventually : ((q175054 > $o) > netq175054 > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccu_0, type, c_0 : (cartrealn2 > cartrealn2 > prodcartrealn2cartrealn2)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_, type, c_ : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn2) > cartrealn2 > neta > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_NORMu_NZ, axiom, ![Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ Z)) <=> ~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(aEVENTUALLYu_TRUE, axiom, ![NET:netq175054]:((eventually @ ^[X:q175054]:$true @ NET) <=> $true)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(aUNIFORMu_LIMu_COMPLEXu_INV, axiom, ![NET:neta,P:(b > $o),F:(b > a > cartrealn2),L:(b > cartrealn2),B:real]:((![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually0 @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (F @ N @ X) @ (L @ N))) @ E)) @ NET)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (eventually0 @ ^[X:a]:![N:b]:((P @ N) => (realu_le @ B @ (vectoru_norm @ (L @ N)))) @ NET)) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually0 @ ^[X:a]:![N:b]:((P @ N) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (complexu_inv @ (F @ N @ X)) @ (complexu_inv @ (L @ N)))) @ E)) @ NET)))).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance @ (c_ @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub0 @ X @ Y)))).
thf(atendsto, axiom, ![F:(a > cartrealn2),L:cartrealn2,NET:neta]:((m_m_g_ @ F @ L @ NET) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually0 @ ^[X:a]:(realu_lt @ (distance0 @ (c_0 @ (F @ X) @ L)) @ E) @ NET)))).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealn2),G:q570399,L:cartrealn2,M:q570407]:(((m_m_g_ @ F @ L @ NET) & ~ ((L = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => (m_m_g_ @ ^[X:a]:(complexu_inv @ (F @ X)) @ (complexu_inv @ L) @ NET))).
