%   ORIGINAL: LIM_COMPLEX_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LIM_COMPLEX_INV: !net f g l m. (f --> l) net /\ ~(l = Cx (&0)) ==> ((\x. inv (f x)) --> inv l) net
% Assm: LIM_COMPLEX_MUL: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x * g x) --> l * m) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !net f g l m. (f --> l) net /\ (g --> m) net /\ ~(m = Cx (&0)) ==> ((\x. f x / g x) --> l / m) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !net f g l m. (f --> l) net /\ ~(l = Cx (&0)) ==> ((\x. inv (f x)) --> inv l) net
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x * g x) --> l * m) net
% Assm: ~F <=> T
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !net f g l m. (f --> l) net /\ (g --> m) net /\ ~(m = Cx (&0)) ==> ((\x. f x / g x) --> l / m) net
%  TYPES
thf(tq570399, type, q570399 : $tType).
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tq570407, type, q570407 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn2) > cartrealn2 > neta > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLIMu_COMPLEXu_INV, axiom, ![NET:neta,F:(a > cartrealn2),G:q570399,L:cartrealn2,M:q570407]:(((m_m_g_ @ F @ L @ NET) & ~ ((L = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => (m_m_g_ @ ^[X:a]:(complexu_inv @ (F @ X)) @ (complexu_inv @ L) @ NET))).
thf(aLIMu_COMPLEXu_MUL, axiom, ![NET:neta,F:(a > cartrealn2),G:(a > cartrealn2),L:cartrealn2,M:cartrealn2]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET)) => (m_m_g_ @ ^[X:a]:(complexu_mul @ (F @ X) @ (G @ X)) @ (complexu_mul @ L @ M) @ NET))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealn2),G:(a > cartrealn2),L:cartrealn2,M:cartrealn2]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET) & ~ ((M = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => (m_m_g_ @ ^[X:a]:(complexu_div @ (F @ X) @ (G @ X)) @ (complexu_div @ L @ M) @ NET))).
