%   ORIGINAL: LIM_COMPLEX_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_COMPLEX_MUL: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x * g x) --> l * m) net
% Assm: LIM_CONST: !net a. ((\x. a) --> a) net
% Assm: TRUTH: T
% Goal: !f l c. (f --> l) net ==> ((\x. c * f x) --> c * l) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x * g x) --> l * m) net
% Assm: !net a. ((\x. a) --> a) net
% Assm: T
% Goal: !net f l c. (f --> l) net ==> ((\x. c * f x) --> c * l) net
%  TYPES
thf(tnetq570563, type, netq570563 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq570563, type, q570563 : $tType).
%  CONSTS
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q570563 > cartrealn2) > cartrealn2 > netq570563 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_COMPLEXu_MUL, axiom, ![NET:netq570563,F:(q570563 > cartrealn2),G:(q570563 > cartrealn2),L:cartrealn2,M:cartrealn2]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET)) => (m_m_g_ @ ^[X:q570563]:(complexu_mul @ (F @ X) @ (G @ X)) @ (complexu_mul @ L @ M) @ NET))).
thf(aLIMu_CONST, axiom, ![NET:netq570563,A:cartrealn2]:(m_m_g_ @ ^[X:q570563]:A @ A @ NET)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:netq570563,F:(q570563 > cartrealn2),L:cartrealn2,C:cartrealn2]:((m_m_g_ @ F @ L @ NET) => (m_m_g_ @ ^[X:q570563]:(complexu_mul @ C @ (F @ X)) @ (complexu_mul @ C @ L) @ NET))).
