%   ORIGINAL: LIM_NULL_COMPLEX_POW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_POW_ZERO: !n. Cx (&0) pow n = (if n = 0 then Cx (&1) else Cx (&0))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: LIM_COMPLEX_POW: !net f l n. (f --> l) net ==> ((\x. f x pow n) --> l pow n) net
% Assm: TRUTH: T
% Goal: !net f n. (f --> Cx (&0)) net /\ ~(n = 0) ==> ((\x. f x pow n) --> Cx (&0)) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. Cx (&0) pow n = (if n = 0 then Cx (&1) else Cx (&0))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !net f l n. (f --> l) net ==> ((\x. f x pow n) --> l pow n) net
% Assm: T
% Goal: !net f n. (f --> Cx (&0)) net /\ ~(n = 0) ==> ((\x. f x pow n) --> Cx (&0)) net
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnetq570917, type, netq570917 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tq570917, type, q570917 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccond0, type, cond0 : ($o > num > num > num)).
thf(ccond, type, cond : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q570917 > cartrealn2) > cartrealn2 > netq570917 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_POWu_ZERO, axiom, ![N:num]:((complexu_pow @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ N) = (cond @ (N = (numeral @ u_0)) @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (cx @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aLIMu_COMPLEXu_POW, axiom, ![NET:netq570917,F:(q570917 > cartrealn2),L:cartrealn2,N:num]:((m_m_g_ @ F @ L @ NET) => (m_m_g_ @ ^[X:q570917]:(complexu_pow @ (F @ X) @ N) @ (complexu_pow @ L @ N) @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:netq570917,F:(q570917 > cartrealn2),N:num]:(((m_m_g_ @ F @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET) & ~ ((N = (numeral @ u_0)))) => (m_m_g_ @ ^[X:q570917]:(complexu_pow @ (F @ X) @ N) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET))).
