%   ORIGINAL: LIM_NULL_COMPLEX_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: LIM_TRANSFORM_BOUND: !f g. eventually (\n. norm (f n) <= norm (g n)) net /\ (g --> vec 0) net ==> (f --> vec 0) net
% Assm: TRUTH: T
% Goal: !f g. eventually (\n. norm (f n) <= norm (g n)) net /\ (g --> Cx (&0)) net ==> (f --> Cx (&0)) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: vec 0 = Cx (&0)
% Assm: !net f g. eventually (\n. norm (f n) <= norm (g n)) net /\ (g --> vec 0) net ==> (f --> vec 0) net
% Assm: T
% Goal: !net f g. eventually (\n. norm (f n) <= norm (g n)) net /\ (g --> Cx (&0)) net ==> (f --> Cx (&0)) net
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq570947, type, q570947 : $tType).
thf(tn2, type, n2 : $tType).
thf(tnetq570947, type, netq570947 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ceventually, type, eventually : ((q570947 > $o) > netq570947 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q570947 > cartrealn2) > cartrealn2 > netq570947 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aLIMu_TRANSFORMu_BOUND, axiom, ![NET:netq570947,F:(q570947 > cartrealn2),G:(q570947 > cartrealn2)]:(((eventually @ ^[N:q570947]:(realu_le @ (vectoru_norm @ (F @ N)) @ (vectoru_norm @ (G @ N))) @ NET) & (m_m_g_ @ G @ (vec @ (numeral @ u_0)) @ NET)) => (m_m_g_ @ F @ (vec @ (numeral @ u_0)) @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:netq570947,F:(q570947 > cartrealn2),G:(q570947 > cartrealn2)]:(((eventually @ ^[N:q570947]:(realu_le @ (vectoru_norm @ (F @ N)) @ (vectoru_norm @ (G @ N))) @ NET) & (m_m_g_ @ G @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET)) => (m_m_g_ @ F @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET))).
