%   ORIGINAL: SERIES_COMPLEX_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LINEAR_COMPLEX_MUL: !c. linear (\x. c * x)
% Assm: SERIES_LINEAR: !f h l s. (f sums l) s /\ linear h ==> ((\n. h (f n)) sums h l) s
% Assm: TRUTH: T
% Goal: !f l c s. (f sums l) s ==> ((\x. c * f x) sums c * l) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !c. linear (\x. c * x)
% Assm: !f h l s. (f sums l) s /\ linear h ==> ((\n. h (f n)) sums h l) s
% Assm: T
% Goal: !f l c s. (f sums l) s ==> ((\x. c * f x) sums c * l) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(clinear, type, linear : ((cartrealn2 > cartrealn2) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLINEARu_COMPLEXu_MUL, axiom, ![C:cartrealn2]:(linear @ ^[X:cartrealn2]:(complexu_mul @ C @ X))).
thf(aSERIESu_LINEAR, axiom, ![F:(num > cartrealn2),H:(cartrealn2 > cartrealn2),L:cartrealn2,S:(num > $o)]:(((sums @ F @ L @ S) & (linear @ H)) => (sums @ ^[N:num]:(H @ (F @ N)) @ (H @ L) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > cartrealn2),L:cartrealn2,C:cartrealn2,S:(num > $o)]:((sums @ F @ L @ S) => (sums @ ^[X:num]:(complexu_mul @ C @ (F @ X)) @ (complexu_mul @ C @ L) @ S))).
