%   ORIGINAL: SERIES_COMPLEX_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_SYM: !x y. x * y = y * x
% Assm: SERIES_COMPLEX_LMUL: !f l c s. (f sums l) s ==> ((\x. c * f x) sums c * l) s
% Assm: TRUTH: T
% Goal: !f l c s. (f sums l) s ==> ((\x. f x * c) sums l * c) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x * y = y * x
% Assm: !f l c s. (f sums l) s ==> ((\x. c * f x) sums c * l) s
% Assm: T
% Goal: !f l c s. (f sums l) s ==> ((\x. f x * c) sums l * c) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_SYM, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ Y) = (complexu_mul @ Y @ X))).
thf(aSERIESu_COMPLEXu_LMUL, axiom, ![F:(num > cartrealn2),L:cartrealn2,C:cartrealn2,S:(num > $o)]:((sums @ F @ L @ S) => (sums @ ^[X:num]:(complexu_mul @ C @ (F @ X)) @ (complexu_mul @ C @ L) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > cartrealn2),L:cartrealn2,C:cartrealn2,S:(num > $o)]:((sums @ F @ L @ S) => (sums @ ^[X:num]:(complexu_mul @ (F @ X) @ C) @ (complexu_mul @ L @ C) @ S))).
