%   ORIGINAL: SERIES_COMPLEX_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SERIES_COMPLEX_RMUL: !f l c s. (f sums l) s ==> ((\x. f x * c) sums l * c) s
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !f l c s. (f sums l) s ==> ((\x. f x / c) sums l / c) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f l c s. (f sums l) s ==> ((\x. f x * c) sums l * c) s
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !f l c s. (f sums l) s ==> ((\x. f x / c) sums l / c) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSERIESu_COMPLEXu_RMUL, axiom, ![F:(num > cartrealn2),L:cartrealn2,C:cartrealn2,S:(num > $o)]:((sums @ F @ L @ S) => (sums @ ^[X:num]:(complexu_mul @ (F @ X) @ C) @ (complexu_mul @ L @ C) @ S))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![F:(num > cartrealn2),L:cartrealn2,C:cartrealn2,S:(num > $o)]:((sums @ F @ L @ S) => (sums @ ^[X:num]:(complexu_div @ (F @ X) @ C) @ (complexu_div @ L @ C) @ S))).
