%   ORIGINAL: SUMMABLE_COMPLEX_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SERIES_COMPLEX_LMUL: !f l c s. (f sums l) s ==> ((\x. c * f x) sums c * l) s
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f c s. summable s f ==> summable s (\x. c * f x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f l c s. (f sums l) s ==> ((\x. c * f x) sums c * l) s
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f c s. summable s f ==> summable s (\x. c * f x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csummable, type, summable : ((num > $o) > (num > cartrealn2) > $o)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSERIESu_COMPLEXu_LMUL, axiom, ![F:(num > cartrealn2),L:cartrealn2,C:cartrealn2,S:(num > $o)]:((sums @ F @ L @ S) => (sums @ ^[X:num]:(complexu_mul @ C @ (F @ X)) @ (complexu_mul @ C @ L) @ S))).
thf(aTRUTH, axiom, $true).
thf(asummable, axiom, ![F:(num > cartrealn2),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn2]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![F:(num > cartrealn2),C:cartrealn2,S:(num > $o)]:((summable @ S @ F) => (summable @ S @ ^[X:num]:(complexu_mul @ C @ (F @ X))))).
