%   ORIGINAL: CONTINUOUS_AT_CX_DOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_CMUL: !c x. c % x = Cx c * x
% Assm: CX_ADD: !x y. Cx (x + y) = Cx x + Cx y
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: LINEAR_CONTINUOUS_AT: !f a. linear f ==> f continuous at a
% Assm: TRUTH: T
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !c z. (\z. Cx (c dot z)) continuous at z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c x. c % x = Cx c * x
% Assm: !x y. Cx (x + y) = Cx x + Cx y
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !f a. linear f ==> f continuous at a
% Assm: T
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !c z. (\z. Cx (c dot z)) continuous at z
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tm, type, m : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealn2) > netcartrealn > $o)).
thf(cru_1, type, r_1 : (real > cartrealm > cartrealm)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealm > cartrealm > cartrealm)).
thf(cru_0, type, r_0 : (real > cartrealn > cartrealn)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cru_, type, r_ : (real > cartrealn2 > cartrealn2)).
thf(clinear0, type, linear0 : ((cartrealm > cartrealn) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn2) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_CMUL, axiom, ![C:real,X:cartrealn2]:((r_ @ C @ X) = (complexu_mul @ (cx @ C) @ X))).
thf(aCXu_ADD, axiom, ![X:real,Y:real]:((cx @ (realu_add @ X @ Y)) = (vectoru_add @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aDOTu_RADD, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:((dot @ X @ (vectoru_add0 @ Y @ Z)) = (realu_add @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealn,Y:cartrealn]:((dot @ X @ (r_0 @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aLINEARu_CONTINUOUSu_AT, axiom, ![F:(cartrealn > cartrealn2),A:cartrealn]:((linear @ F) => (continuous @ F @ (at @ A)))).
thf(aTRUTH, axiom, $true).
thf(alinear, axiom, ![F:(cartrealm > cartrealn)]:((linear0 @ F) <=> (![X:cartrealm,Y:cartrealm]:((F @ (vectoru_add1 @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealm]:((F @ (r_1 @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![C:cartrealn,Z:cartrealn]:(continuous @ ^[Z:cartrealn]:(cx @ (dot @ C @ Z)) @ (at @ Z))).
