%   ORIGINAL: CONTINUOUS_WITHIN_CX_DOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_AT_CX_DOT: !c z. (\z. Cx (c dot z)) continuous at z
% Assm: CONTINUOUS_AT_WITHIN: !f x s. f continuous at x ==> f continuous at x within s
% Assm: TRUTH: T
% Goal: !c z s. (\z. Cx (c dot z)) continuous at z within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c z. (\z. Cx (c dot z)) continuous at z
% Assm: !f x s. f continuous at x ==> f continuous at x within s
% Assm: T
% Goal: !c z s. (\z. Cx (c dot z)) continuous at z within s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealn2) > netcartrealn > $o)).
thf(cwithin, type, within : (netcartrealn > (cartrealn > $o) > netcartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ATu_CXu_DOT, axiom, ![C:cartrealn,Z:cartrealn]:(continuous @ ^[Z:cartrealn]:(cx @ (dot @ C @ Z)) @ (at @ Z))).
thf(aCONTINUOUSu_ATu_WITHIN, axiom, ![F:(cartrealn > cartrealn2),X:cartrealn,S:(cartrealn > $o)]:((continuous @ F @ (at @ X)) => (continuous @ F @ (within @ (at @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:cartrealn,Z:cartrealn,S:(cartrealn > $o)]:(continuous @ ^[Z:cartrealn]:(cx @ (dot @ C @ Z)) @ (within @ (at @ Z) @ S))).
