%   ORIGINAL: LINEAR_CX_IM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_CMUL: !c x. c % x = Cx c * x
% Assm: CX_ADD: !x y. Cx (x + y) = Cx x + Cx y
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: IM_ADD: !x y. Im (x + y) = Im x + Im y
% Assm: IM_MUL_CX: !x z. Im (Cx x * z) = x * Im z /\ Im (z * Cx x) = Im z * x
% Assm: TRUTH: T
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: linear (Cx o Im)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c x. c % x = Cx c * x
% Assm: !x y. Cx (x + y) = Cx x + Cx y
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !x y. Im (x + y) = Im x + Im y
% Assm: !x z. Im (Cx x * z) = x * Im z /\ Im (z * Cx x) = Im z * x
% Assm: T
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: linear (Cx o Im)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cru_, type, r_ : (real > cartrealn2 > cartrealn2)).
thf(co, type, o : ((real > cartrealn2) > (cartrealn2 > real) > cartrealn2 > cartrealn2)).
thf(clinear, type, linear : ((cartrealn2 > cartrealn2) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_CMUL, axiom, ![C:real,X:cartrealn2]:((r_ @ C @ X) = (complexu_mul @ (cx @ C) @ X))).
thf(aCXu_ADD, axiom, ![X:real,Y:real]:((cx @ (realu_add @ X @ Y)) = (vectoru_add @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aIMu_ADD, axiom, ![X:cartrealn2,Y:cartrealn2]:((im @ (vectoru_add @ X @ Y)) = (realu_add @ (im @ X) @ (im @ Y)))).
thf(aIMu_MULu_CX, axiom, ![X:real,Z:cartrealn2]:(((im @ (complexu_mul @ (cx @ X) @ Z)) = (realu_mul @ X @ (im @ Z))) & ((im @ (complexu_mul @ Z @ (cx @ X))) = (realu_mul @ (im @ Z) @ X)))).
thf(aTRUTH, axiom, $true).
thf(alinear, axiom, ![F:(cartrealn2 > cartrealn2)]:((linear @ F) <=> (![X:cartrealn2,Y:cartrealn2]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealn2]:((F @ (r_ @ C @ X)) = (r_ @ C @ (F @ X)))))).
thf(aou_THM, axiom, ![F:(real > cartrealn2),G:(cartrealn2 > real),X:cartrealn2]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, (linear @ (o @ cx @ im))).
