%   ORIGINAL: HOLOMORPHIC_ON_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_WITHIN_OPEN: !f l a s. a IN s /\ open s ==> ((f --> l) (at a within s) <=> (f --> l) (at a))
% Assm: TRUTH: T
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Assm: has_derivative_at: !f f' x. (f has_derivative f') (at x) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x)
% Assm: has_derivative_within: !f f' x s. (f has_derivative f') (at x within s) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x within s)
% Assm: holomorphic_on: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Goal: !f s. open s ==> (f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x))))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f l a s. a IN s /\ open s ==> ((f --> l) (at a within s) <=> (f --> l) (at a))
% Assm: T
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Assm: !f f' x. (f has_derivative f') (at x) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x)
% Assm: !f f' x s. (f has_derivative f') (at x within s) <=> linear f' /\ ((\y. inv (norm (y - x)) % (f y - (f x + f' (y - x)))) --> vec 0) (at x within s)
% Assm: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Goal: !f s. open s ==> (f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x))))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq176011, type, cartrealq176011 : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq176011, type, q176011 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((cartrealn2 > cartrealn) > cartrealn > netcartrealn2 > $o)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn2 > cartrealn) > (cartrealn2 > cartrealn) > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealn2 > cartrealq176011) > cartrealq176011 > netcartrealn2 > $o)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(clinear, type, linear : ((cartrealn2 > cartrealn) > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_WITHINu_OPEN, axiom, ![F:(cartrealn2 > cartrealq176011),L:cartrealq176011,A:cartrealn2,S:(cartrealn2 > $o)]:(((in @ A @ S) & (open @ S)) => ((m_m_g_ @ F @ L @ (within @ (at @ A) @ S)) <=> (m_m_g_ @ F @ L @ (at @ A))))).
thf(aTRUTH, axiom, $true).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(ahasu_derivativeu_at, axiom, ![F:(cartrealn2 > cartrealn),FI_:(cartrealn2 > cartrealn),X:cartrealn2]:((hasu_derivative0 @ F @ FI_ @ (at @ X)) <=> ((linear @ FI_) & (m_m_g_0 @ ^[Y:cartrealn2]:(r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ Y @ X))) @ (vectoru_sub0 @ (F @ Y) @ (vectoru_add @ (F @ X) @ (FI_ @ (vectoru_sub @ Y @ X))))) @ (vec @ (numeral @ u_0)) @ (at @ X))))).
thf(ahasu_derivativeu_within, axiom, ![F:(cartrealn2 > cartrealn),FI_:(cartrealn2 > cartrealn),X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_derivative0 @ F @ FI_ @ (within @ (at @ X) @ S)) <=> ((linear @ FI_) & (m_m_g_0 @ ^[Y:cartrealn2]:(r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ Y @ X))) @ (vectoru_sub0 @ (F @ Y) @ (vectoru_add @ (F @ X) @ (FI_ @ (vectoru_sub @ Y @ X))))) @ (vec @ (numeral @ u_0)) @ (within @ (at @ X) @ S))))).
thf(aholomorphicu_on, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((holomorphicu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S))))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((open @ S) => ((holomorphicu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ (at @ X)))))).
