%   ORIGINAL: HOLOMORPHIC_ON_IMP_DIFFERENTIABLE_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HOLOMORPHIC_ON_DIFFERENTIABLE: !f s. f holomorphic_on s <=> (!x. x IN s ==> f complex_differentiable at x within s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s x. f holomorphic_on s /\ x IN s ==> f complex_differentiable at x within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. f holomorphic_on s <=> (!x. x IN s ==> f complex_differentiable at x within s)
% Assm: ~F <=> T
% Assm: T
% Goal: !f s x. f holomorphic_on s /\ x IN s ==> f complex_differentiable at x within s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHOLOMORPHICu_ONu_DIFFERENTIABLE, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((holomorphicu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => (complexu_differentiable @ F @ (within @ (at @ X) @ S))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),X:cartrealn2]:(((holomorphicu_on @ F @ S) & (in @ X @ S)) => (complexu_differentiable @ F @ (within @ (at @ X) @ S)))).
