%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_IMP_CONTINUOUS_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIFFERENTIABLE_IMP_CONTINUOUS_WITHIN: !f s. f differentiable at x within s ==> f continuous at x within s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f f' x s. (f has_complex_derivative f') (at x within s) ==> f continuous at x within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x f s. f differentiable at x within s ==> f continuous at x within s
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f f' x s. (f has_complex_derivative f') (at x within s) ==> f continuous at x within s
%  TYPES
thf(tq410833, type, q410833 : $tType).
thf(tnetcartrealq410833, type, netcartrealq410833 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq410833, type, cartrealq410833 : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tcartrealq410832, type, cartrealq410832 : $tType).
thf(tq410832, type, q410832 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cdifferentiable0, type, differentiable0 : ((cartrealq410833 > cartrealq410832) > netcartrealq410833 > $o)).
thf(cdifferentiable, type, differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq410833 > cartrealq410832) > (cartrealq410833 > cartrealq410832) > netcartrealq410833 > $o)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIFFERENTIABLEu_IMPu_CONTINUOUSu_WITHIN, axiom, ![X:cartrealn2,F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((differentiable @ F @ (within @ (at @ X) @ S)) => (continuous @ F @ (within @ (at @ X) @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adifferentiable, axiom, ![F:(cartrealq410833 > cartrealq410832),NET:netcartrealq410833]:((differentiable0 @ F @ NET) <=> ?[FI_:(cartrealq410833 > cartrealq410832)]:(hasu_derivative @ F @ FI_ @ NET))).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative0 @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) => (continuous @ F @ (within @ (at @ X) @ S)))).
