%   ORIGINAL: HOLOMORPHIC_ON_IMP_CONTINUOUS_ON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: DIFFERENTIABLE_IMP_CONTINUOUS_WITHIN: !f s. f differentiable at x within s ==> f continuous at x within s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Assm: holomorphic_on: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Goal: !f s. f holomorphic_on s ==> f continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: !x f s. f differentiable at x within s ==> f continuous at x within s
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Assm: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Goal: !f s. f holomorphic_on s ==> f continuous_on s
%  TYPES
thf(tq410833, type, q410833 : $tType).
thf(tnetcartrealq410833, type, netcartrealq410833 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq410833, type, cartrealq410833 : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tcartrealq410832, type, cartrealq410832 : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tq410832, type, q410832 : $tType).
%  CONSTS
thf(cat0, type, at0 : (cartrealm > netcartrealm)).
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cdifferentiable0, type, differentiable0 : ((cartrealq410833 > cartrealq410832) > netcartrealq410833 > $o)).
thf(ccontinuous0, type, continuous0 : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cdifferentiable, type, differentiable : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq410833 > cartrealq410832) > (cartrealq410833 > cartrealq410832) > netcartrealq410833 > $o)).
thf(cwithin0, type, within0 : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => (continuous @ F @ (within @ (at @ X) @ S))))).
thf(aDIFFERENTIABLEu_IMPu_CONTINUOUSu_WITHIN, axiom, ![X:cartrealm,F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((differentiable @ F @ (within0 @ (at0 @ X) @ S)) => (continuous0 @ F @ (within0 @ (at0 @ X) @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adifferentiable, axiom, ![F:(cartrealq410833 > cartrealq410832),NET:netcartrealq410833]:((differentiable0 @ F @ NET) <=> ?[FI_:(cartrealq410833 > cartrealq410832)]:(hasu_derivative @ F @ FI_ @ NET))).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative0 @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(aholomorphicu_on, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((holomorphicu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S))))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((holomorphicu_on @ F @ S) => (continuousu_on @ F @ S))).
