%   ORIGINAL: COMPLEX_DIFFERENTIABLE_WITHIN_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_COMPLEX_DERIVATIVE_WITHIN_SUBSET: !f s t x. (f has_complex_derivative f') (at x within s) /\ t SUBSET s ==> (f has_complex_derivative f') (at x within t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_differentiable: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !f s t. f complex_differentiable at x within s /\ t SUBSET s ==> f complex_differentiable at x within t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f' f s t x. (f has_complex_derivative f') (at x within s) /\ t SUBSET s ==> (f has_complex_derivative f') (at x within t)
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !x f s t. f complex_differentiable at x within s /\ t SUBSET s ==> f complex_differentiable at x within t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_COMPLEXu_DERIVATIVEu_WITHINu_SUBSET, axiom, ![FI_:cartrealn2,F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),T:(cartrealn2 > $o),X:cartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (subset @ T @ S)) => (hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_differentiable, axiom, ![F:(cartrealn2 > cartrealn2),NET:netcartrealn2]:((complexu_differentiable @ F @ NET) <=> ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![X:cartrealn2,F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:(((complexu_differentiable @ F @ (within @ (at @ X) @ S)) & (subset @ T @ S)) => (complexu_differentiable @ F @ (within @ (at @ X) @ T)))).
