%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_TRANSFORM_WITHIN_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_DERIVATIVE_TRANSFORM_WITHIN_OPEN: !f g s x. open s /\ x IN s /\ (!y. y IN s ==> f y = g y) /\ (f has_derivative f') (at x) ==> (g has_derivative f') (at x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f g f' s z. open s /\ z IN s /\ (!w. w IN s ==> f w = g w) /\ (f has_complex_derivative f') (at z) ==> (g has_complex_derivative f') (at z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f' f g s x. open s /\ x IN s /\ (!y. y IN s ==> f y = g y) /\ (f has_derivative f') (at x) ==> (g has_derivative f') (at x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f g f' s z. open s /\ z IN s /\ (!w. w IN s ==> f w = g w) /\ (f has_complex_derivative f') (at z) ==> (g has_complex_derivative f') (at z)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_DERIVATIVEu_TRANSFORMu_WITHINu_OPEN, axiom, ![FI_:(cartrealn2 > cartrealn2),F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),X:cartrealn2]:(((open @ S) & (in @ X @ S) & ![Y:cartrealn2]:((in @ Y @ S) => ((F @ Y) = (G @ Y))) & (hasu_derivative @ F @ FI_ @ (at @ X))) => (hasu_derivative @ G @ FI_ @ (at @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),FI_:cartrealn2,S:(cartrealn2 > $o),Z:cartrealn2]:(((open @ S) & (in @ Z @ S) & ![W:cartrealn2]:((in @ W @ S) => ((F @ W) = (G @ W))) & (hasu_complexu_derivative @ F @ FI_ @ (at @ Z))) => (hasu_complexu_derivative @ G @ FI_ @ (at @ Z)))).
