%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_ZERO_CONNECTED_CONSTANT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_LZERO: !x. Cx (&0) * x = Cx (&0)
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: HAS_DERIVATIVE_ZERO_CONNECTED_CONSTANT: !f s. open s /\ connected s /\ (!x. x IN s ==> (f has_derivative (\h. vec 0)) (at x)) ==> (?c. !x. x IN s ==> f x = c)
% Assm: TRUTH: T
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f s. open s /\ connected s /\ (!x. x IN s ==> (f has_complex_derivative Cx (&0)) (at x)) ==> (?c. !x. x IN s ==> f x = c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Cx (&0) * x = Cx (&0)
% Assm: vec 0 = Cx (&0)
% Assm: !f s. open s /\ connected s /\ (!x. x IN s ==> (f has_derivative (\h. vec 0)) (at x)) ==> (?c. !x. x IN s ==> f x = c)
% Assm: T
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f s. open s /\ connected s /\ (!x. x IN s ==> (f has_complex_derivative Cx (&0)) (at x)) ==> (?c. !x. x IN s ==> f x = c)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(cconnected, type, connected : ((cartrealn2 > $o) > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_LZERO, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aHASu_DERIVATIVEu_ZEROu_CONNECTEDu_CONSTANT, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((open @ S) & (connected @ S) & ![X:cartrealn2]:((in @ X @ S) => (hasu_derivative @ F @ ^[H:cartrealn2]:(vec @ (numeral @ u_0)) @ (at @ X)))) => ?[C:cartrealn2]:![X:cartrealn2]:((in @ X @ S) => ((F @ X) = C)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((open @ S) & (connected @ S) & ![X:cartrealn2]:((in @ X @ S) => (hasu_complexu_derivative @ F @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ (at @ X)))) => ?[C:cartrealn2]:![X:cartrealn2]:((in @ X @ S) => ((F @ X) = C)))).
