%   ORIGINAL: COMPLEX_DIFF_CHAIN_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_ASSOC: !x y z. x * y * z = (x * y) * z
% Assm: DIFF_CHAIN_WITHIN: !f g f' g' x s. (f has_derivative f') (at x within s) /\ (g has_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_derivative g' o f') (at x within s)
% Assm: TRUTH: T
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g f' g' x s. (f has_complex_derivative f') (at x within s) /\ (g has_complex_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_complex_derivative g' * f') (at x within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !f g f' g' x s. (f has_derivative f') (at x within s) /\ (g has_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_derivative g' o f') (at x within s)
% Assm: T
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g f' g' x s. (f has_complex_derivative f') (at x within s) /\ (g has_complex_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_complex_derivative g' * f') (at x within s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(co, type, o : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(cimage, type, image : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_ASSOC, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:((complexu_mul @ X @ (complexu_mul @ Y @ Z)) = (complexu_mul @ (complexu_mul @ X @ Y) @ Z))).
thf(aDIFFu_CHAINu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),FI_:(cartrealn2 > cartrealn2),GI_:(cartrealn2 > cartrealn2),X:cartrealn2,S:(cartrealn2 > $o)]:(((hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (hasu_derivative @ G @ GI_ @ (within @ (at @ (F @ X)) @ (image @ F @ S)))) => (hasu_derivative @ (o @ G @ F) @ (o @ GI_ @ FI_) @ (within @ (at @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(aou_DEF, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2)]:((o @ F @ G) = ^[X:cartrealn2]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),FI_:cartrealn2,GI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:(((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (hasu_complexu_derivative @ G @ GI_ @ (within @ (at @ (F @ X)) @ (image @ F @ S)))) => (hasu_complexu_derivative @ (o @ G @ F) @ (complexu_mul @ GI_ @ FI_) @ (within @ (at @ X) @ S)))).
