%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_CHAIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DIFF_CHAIN_AT: !f g f' g' x. (f has_complex_derivative f') (at x) /\ (g has_complex_derivative g') (at (f x)) ==> (g o f has_complex_derivative g' * f') (at x)
% Assm: COMPLEX_DIFF_CHAIN_WITHIN: !f g f' g' x s. (f has_complex_derivative f') (at x within s) /\ (g has_complex_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_complex_derivative g' * f') (at x within s)
% Assm: COMPLEX_MUL_SYM: !x y. x * y = y * x
% Assm: HAS_COMPLEX_DERIVATIVE_AT_WITHIN: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !P f g. (!x. P x ==> (g has_complex_derivative g' x) (at x)) ==> (!x s. (f has_complex_derivative f') (at x within s) /\ P (f x) ==> ((\x. g (f x)) has_complex_derivative f' * g' (f x)) (at x within s)) /\ (!x. (f has_complex_derivative f') (at x) /\ P (f x) ==> ((\x. g (f x)) has_complex_derivative f' * g' (f x)) (at x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g f' g' x. (f has_complex_derivative f') (at x) /\ (g has_complex_derivative g') (at (f x)) ==> (g o f has_complex_derivative g' * f') (at x)
% Assm: !f g f' g' x s. (f has_complex_derivative f') (at x within s) /\ (g has_complex_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_complex_derivative g' * f') (at x within s)
% Assm: !x y. x * y = y * x
% Assm: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !g' f' P f g. (!x. P x ==> (g has_complex_derivative g' x) (at x)) ==> (!x s. (f has_complex_derivative f') (at x within s) /\ P (f x) ==> ((\x. g (f x)) has_complex_derivative f' * g' (f x)) (at x within s)) /\ (!x. (f has_complex_derivative f') (at x) /\ P (f x) ==> ((\x. g (f x)) has_complex_derivative f' * g' (f x)) (at x))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cimage, type, image : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(co, type, o : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DIFFu_CHAINu_AT, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),FI_:cartrealn2,GI_:cartrealn2,X:cartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) & (hasu_complexu_derivative @ G @ GI_ @ (at @ (F @ X)))) => (hasu_complexu_derivative @ (o @ G @ F) @ (complexu_mul @ GI_ @ FI_) @ (at @ X)))).
thf(aCOMPLEXu_DIFFu_CHAINu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),FI_:cartrealn2,GI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:(((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (hasu_complexu_derivative @ G @ GI_ @ (within @ (at @ (F @ X)) @ (image @ F @ S)))) => (hasu_complexu_derivative @ (o @ G @ F) @ (complexu_mul @ GI_ @ FI_) @ (within @ (at @ X) @ S)))).
thf(aCOMPLEXu_MULu_SYM, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ Y) = (complexu_mul @ Y @ X))).
thf(aHASu_COMPLEXu_DERIVATIVEu_ATu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![GI_:(cartrealn2 > cartrealn2),FI_:cartrealn2,P:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2)]:(![X:cartrealn2]:((P @ X) => (hasu_complexu_derivative @ G @ (GI_ @ X) @ (at @ X))) => (![X:cartrealn2,S:(cartrealn2 > $o)]:(((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (P @ (F @ X))) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(G @ (F @ X)) @ (complexu_mul @ FI_ @ (GI_ @ (F @ X))) @ (within @ (at @ X) @ S))) & ![X:cartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) & (P @ (F @ X))) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(G @ (F @ X)) @ (complexu_mul @ FI_ @ (GI_ @ (F @ X))) @ (at @ X)))))).
