%   ORIGINAL: COMPLEX_DERIVATIVE_UNIQUE_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_RID: !x. x * Cx (&1) = x
% Assm: FRECHET_DERIVATIVE_UNIQUE_AT: !f f' f'' x. (f has_derivative f') (at x) /\ (f has_derivative f'') (at x) ==> f' = f''
% Assm: TRUTH: T
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f z f' f''. (f has_complex_derivative f') (at z) /\ (f has_complex_derivative f'') (at z) ==> f' = f''
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x * Cx (&1) = x
% Assm: !f f' f'' x. (f has_derivative f') (at x) /\ (f has_derivative f'') (at x) ==> f' = f''
% Assm: T
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f z f' f''. (f has_complex_derivative f') (at z) /\ (f has_complex_derivative f'') (at z) ==> f' = f''
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn2 > cartrealn) > (cartrealn2 > cartrealn) > netcartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_RID, axiom, ![X:cartrealn2]:((complexu_mul @ X @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) = X)).
thf(aFRECHETu_DERIVATIVEu_UNIQUEu_AT, axiom, ![F:(cartrealn2 > cartrealn),FI_:(cartrealn2 > cartrealn),FI_I_:(cartrealn2 > cartrealn),X:cartrealn2]:(((hasu_derivative @ F @ FI_ @ (at @ X)) & (hasu_derivative @ F @ FI_I_ @ (at @ X))) => (FI_ = FI_I_))).
thf(aTRUTH, axiom, $true).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative0 @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),Z:cartrealn2,FI_:cartrealn2,FI_I_:cartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ (at @ Z)) & (hasu_complexu_derivative @ F @ FI_I_ @ (at @ Z))) => (FI_ = FI_I_))).
