%   ORIGINAL: HIGHER_COMPLEX_DERIVATIVE_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ONE: 1 = SUC 0
% Assm: TRUTH: T
% Assm: higher_complex_derivative_conjunct0: higher_complex_derivative 0 f = f
% Assm: higher_complex_derivative_conjunct1: !n. higher_complex_derivative (SUC n) f = complex_derivative (higher_complex_derivative n f)
% Goal: !f z. higher_complex_derivative 1 f z = complex_derivative f z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: 1 = SUC 0
% Assm: T
% Assm: !f. higher_complex_derivative 0 f = f
% Assm: !f n. higher_complex_derivative (SUC n) f = complex_derivative (higher_complex_derivative n f)
% Goal: !f z. higher_complex_derivative 1 f z = complex_derivative f z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_derivative, type, complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(chigheruu_complexuu_derivative, type, higheru_complexu_derivative : (num > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(ahigheru_complexu_derivativeu_conjunct0, axiom, ![F:(cartrealn2 > cartrealn2)]:((higheru_complexu_derivative @ (numeral @ u_0) @ F) = F)).
thf(ahigheru_complexu_derivativeu_conjunct1, axiom, ![F:(cartrealn2 > cartrealn2),N:num]:((higheru_complexu_derivative @ (suc @ N) @ F) = (complexu_derivative @ (higheru_complexu_derivative @ N @ F)))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),Z:cartrealn2]:((higheru_complexu_derivative @ (numeral @ (bit1 @ u_0)) @ F @ Z) = (complexu_derivative @ F @ Z))).
