%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_COMPLEX_DERIVATIVE_WITHIN: !f s a. (f has_complex_derivative f') (at a within s) <=> ((\x. (f x - f a) / (x - a)) --> f') (at a within s)
% Assm: TRUTH: T
% Assm: WITHIN_UNIV: !x. at x within (:real^N) = at x
% Goal: !f a. (f has_complex_derivative f') (at a) <=> ((\x. (f x - f a) / (x - a)) --> f') (at a)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f' f s a. (f has_complex_derivative f') (at a within s) <=> ((\x. (f x - f a) / (x - a)) --> f') (at a within s)
% Assm: T
% Assm: !x. at x within (:real^2) = at x
% Goal: !f' f a. (f has_complex_derivative f') (at a) <=> ((\x. (f x - f a) / (x - a)) --> f') (at a)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(cuniv, type, univ : (cartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_COMPLEXu_DERIVATIVEu_WITHIN, axiom, ![FI_:cartrealn2,F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),A:cartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ A) @ S)) <=> (m_m_g_ @ ^[X:cartrealn2]:(complexu_div @ (vectoru_sub @ (F @ X) @ (F @ A)) @ (vectoru_sub @ X @ A)) @ FI_ @ (within @ (at @ A) @ S)))).
thf(aTRUTH, axiom, $true).
thf(aWITHINu_UNIV, axiom, ![X:cartrealn2]:((within @ (at @ X) @ univ) = (at @ X))).
thf(conjecture, conjecture, ![FI_:cartrealn2,F:(cartrealn2 > cartrealn2),A:cartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ (at @ A)) <=> (m_m_g_ @ ^[X:cartrealn2]:(complexu_div @ (vectoru_sub @ (F @ X) @ (F @ A)) @ (vectoru_sub @ X @ A)) @ FI_ @ (at @ A)))).
