%   ORIGINAL: HAS_DERIVATIVE_COMPLEX_CMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_DERIVATIVE_LINEAR: !f net. linear f ==> (f has_derivative f) net
% Assm: LINEAR_COMPLEX_MUL: !c. linear (\x. c * x)
% Assm: TRUTH: T
% Goal: !net c. ((\x. c * x) has_derivative (\x. c * x)) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f net. linear f ==> (f has_derivative f) net
% Assm: !c. linear (\x. c * x)
% Assm: T
% Goal: !net c. ((\x. c * x) has_derivative (\x. c * x)) net
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(clinear, type, linear : ((cartrealn2 > cartrealn2) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_DERIVATIVEu_LINEAR, axiom, ![F:(cartrealn2 > cartrealn2),NET:netcartrealn2]:((linear @ F) => (hasu_derivative @ F @ F @ NET))).
thf(aLINEARu_COMPLEXu_MUL, axiom, ![C:cartrealn2]:(linear @ ^[X:cartrealn2]:(complexu_mul @ C @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:netcartrealn2,C:cartrealn2]:(hasu_derivative @ ^[X:cartrealn2]:(complexu_mul @ C @ X) @ ^[X:cartrealn2]:(complexu_mul @ C @ X) @ NET)).
