%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_LMUL_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DIFF_CHAIN_WITHIN: !f g f' g' x s. (f has_complex_derivative f') (at x within s) /\ (g has_complex_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_complex_derivative g' * f') (at x within s)
% Assm: HAS_COMPLEX_DERIVATIVE_LINEAR: !net c. ((\x. c * x) has_complex_derivative c) net
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f f' c x s. (f has_complex_derivative f') (at x within s) ==> ((\x. c * f x) has_complex_derivative c * f') (at x within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g f' g' x s. (f has_complex_derivative f') (at x within s) /\ (g has_complex_derivative g') (at (f x) within IMAGE f s) ==> (g o f has_complex_derivative g' * f') (at x within s)
% Assm: !net c. ((\x. c * x) has_complex_derivative c) net
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f f' c x s. (f has_complex_derivative f') (at x within s) ==> ((\x. c * f x) has_complex_derivative c * f') (at x within s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(cimage, type, image : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DIFFu_CHAINu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),FI_:cartrealn2,GI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:(((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & (hasu_complexu_derivative @ G @ GI_ @ (within @ (at @ (F @ X)) @ (image @ F @ S)))) => (hasu_complexu_derivative @ (o @ G @ F) @ (complexu_mul @ GI_ @ FI_) @ (within @ (at @ X) @ S)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_LINEAR, axiom, ![NET:netcartrealn2,C:cartrealn2]:(hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_mul @ C @ X) @ C @ NET)).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,C:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_mul @ C @ (F @ X)) @ (complexu_mul @ C @ FI_) @ (within @ (at @ X) @ S)))).
