%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_RMUL_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_SYM: !x y. x * y = y * x
% Assm: HAS_COMPLEX_DERIVATIVE_LMUL_WITHIN: !f f' c x s. (f has_complex_derivative f') (at x within s) ==> ((\x. c * f x) has_complex_derivative c * f') (at x within s)
% Assm: TRUTH: T
% Goal: !f f' c x s. (f has_complex_derivative f') (at x within s) ==> ((\x. f x * c) has_complex_derivative f' * c) (at x within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x * y = y * x
% Assm: !f f' c x s. (f has_complex_derivative f') (at x within s) ==> ((\x. c * f x) has_complex_derivative c * f') (at x within s)
% Assm: T
% Goal: !f f' c x s. (f has_complex_derivative f') (at x within s) ==> ((\x. f x * c) has_complex_derivative f' * c) (at x within s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_SYM, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ Y) = (complexu_mul @ Y @ X))).
thf(aHASu_COMPLEXu_DERIVATIVEu_LMULu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,C:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_mul @ C @ (F @ X)) @ (complexu_mul @ C @ FI_) @ (within @ (at @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,C:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_mul @ (F @ X) @ C) @ (complexu_mul @ FI_ @ C) @ (within @ (at @ X) @ S)))).
