%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_SUB_RDISTRIB: !x y z. (x - y) * z = x * z - y * z
% Assm: HAS_DERIVATIVE_SUB: !f f' g g' net. (f has_derivative f') net /\ (g has_derivative g') net ==> ((\x. f x - g x) has_derivative (\h. f' h - g' h)) net
% Assm: TRUTH: T
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f f' g g' net. (f has_complex_derivative f') net /\ (g has_complex_derivative g') net ==> ((\x. f x - g x) has_complex_derivative f' - g') net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. (x - y) * z = x * z - y * z
% Assm: !f f' g g' net. (f has_derivative f') net /\ (g has_derivative g') net ==> ((\x. f x - g x) has_derivative (\h. f' h - g' h)) net
% Assm: T
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f f' g g' net. (f has_complex_derivative f') net /\ (g has_complex_derivative g') net ==> ((\x. f x - g x) has_complex_derivative f' - g') net
%  TYPES
thf(ta, type, a : $tType).
thf(tnetcartrealq410245, type, netcartrealq410245 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tcartrealq410245, type, cartrealq410245 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq410245, type, q410245 : $tType).
%  CONSTS
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq410245 > cartrealn2) > (cartrealq410245 > cartrealn2) > netcartrealq410245 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_SUBu_RDISTRIB, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:((complexu_mul @ (vectoru_sub @ X @ Y) @ Z) = (vectoru_sub @ (complexu_mul @ X @ Z) @ (complexu_mul @ Y @ Z)))).
thf(aHASu_DERIVATIVEu_SUB, axiom, ![F:(cartrealq410245 > cartrealn2),FI_:(cartrealq410245 > cartrealn2),G:(cartrealq410245 > cartrealn2),GI_:(cartrealq410245 > cartrealn2),NET:netcartrealq410245]:(((hasu_derivative @ F @ FI_ @ NET) & (hasu_derivative @ G @ GI_ @ NET)) => (hasu_derivative @ ^[X:cartrealq410245]:(vectoru_sub @ (F @ X) @ (G @ X)) @ ^[H:cartrealq410245]:(vectoru_sub @ (FI_ @ H) @ (GI_ @ H)) @ NET))).
thf(aTRUTH, axiom, $true).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative0 @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,G:(cartrealn2 > cartrealn2),GI_:cartrealn2,NET:netcartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ NET) & (hasu_complexu_derivative @ G @ GI_ @ NET)) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(vectoru_sub @ (F @ X) @ (G @ X)) @ (vectoru_sub @ FI_ @ GI_) @ NET))).
