%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_POW_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_COMPLEX_DERIVATIVE_POW_WITHIN: !f f' x s n. (f has_complex_derivative f') (at x within s) ==> ((\x. f x pow n) has_complex_derivative Cx (&n) * f x pow (n - 1) * f') (at x within s)
% Assm: TRUTH: T
% Assm: WITHIN_UNIV: !x. at x within (:real^N) = at x
% Goal: !f f' x n. (f has_complex_derivative f') (at x) ==> ((\x. f x pow n) has_complex_derivative Cx (&n) * f x pow (n - 1) * f') (at x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' x s n. (f has_complex_derivative f') (at x within s) ==> ((\x. f x pow n) has_complex_derivative Cx (&n) * f x pow (n - 1) * f') (at x within s)
% Assm: T
% Assm: !x. at x within (:real^2) = at x
% Goal: !f f' x n. (f has_complex_derivative f') (at x) ==> ((\x. f x pow n) has_complex_derivative Cx (&n) * f x pow (n - 1) * f') (at x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cmu_, type, m_ : (num > num > num)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(cuniv, type, univ : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_COMPLEXu_DERIVATIVEu_POWu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o),N:num]:((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_pow @ (F @ X) @ N) @ (complexu_mul @ (cx @ (realu_ofu_num @ N)) @ (complexu_mul @ (complexu_pow @ (F @ X) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ FI_)) @ (within @ (at @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(aWITHINu_UNIV, axiom, ![X:cartrealn2]:((within @ (at @ X) @ univ) = (at @ X))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,N:num]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_pow @ (F @ X) @ N) @ (complexu_mul @ (cx @ (realu_ofu_num @ N)) @ (complexu_mul @ (complexu_pow @ (F @ X) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ FI_)) @ (at @ X)))).
