%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_INV_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_COMPLEX_DERIVATIVE_INV_WITHIN: !f f' x s. (f has_complex_derivative f') (at x within s) /\ ~(f x = Cx (&0)) ==> ((\x. inv (f x)) has_complex_derivative --f' / f x pow 2) (at x within s)
% Assm: TRUTH: T
% Assm: WITHIN_UNIV: !x. at x within (:real^N) = at x
% Goal: !f f' x. (f has_complex_derivative f') (at x) /\ ~(f x = Cx (&0)) ==> ((\x. inv (f x)) has_complex_derivative --f' / f x pow 2) (at x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' x s. (f has_complex_derivative f') (at x within s) /\ ~(f x = Cx (&0)) ==> ((\x. inv (f x)) has_complex_derivative --f' / f x pow 2) (at x within s)
% Assm: T
% Assm: !x. at x within (:real^2) = at x
% Goal: !f f' x. (f has_complex_derivative f') (at x) /\ ~(f x = Cx (&0)) ==> ((\x. inv (f x)) has_complex_derivative --f' / f x pow 2) (at x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(cuniv, type, univ : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_COMPLEXu_DERIVATIVEu_INVu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:(((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) & ~ (((F @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_inv @ (F @ X)) @ (complexu_div @ (vectoru_neg @ FI_) @ (complexu_pow @ (F @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (within @ (at @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(aWITHINu_UNIV, axiom, ![X:cartrealn2]:((within @ (at @ X) @ univ) = (at @ X))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) & ~ (((F @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_inv @ (F @ X)) @ (complexu_div @ (vectoru_neg @ FI_) @ (complexu_pow @ (F @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (at @ X)))).
