%   ORIGINAL: HOLOMORPHIC_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HOLOMORPHIC_TRANSFORM: !f g s. (!x. x IN s ==> f x = g x) /\ f holomorphic_on s ==> g holomorphic_on s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> (f holomorphic_on s <=> g holomorphic_on s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g s. (!x. x IN s ==> f x = g x) /\ f holomorphic_on s ==> g holomorphic_on s
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: T
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> (f holomorphic_on s <=> g holomorphic_on s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(ci0, type, i0 : ($o > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHOLOMORPHICu_TRANSFORM, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((![X:cartrealn2]:((in @ X @ S) => ((F @ X) = (G @ X))) & (holomorphicu_on @ F @ S)) => (holomorphicu_on @ G @ S))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(![X:cartrealn2]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((holomorphicu_on @ F @ S) <=> (holomorphicu_on @ G @ S)))).
