%   ORIGINAL: COMPLEX_DIFFERENTIABLE_INV_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_COMPLEX_DERIVATIVE_INV_AT: !f f' x. (f has_complex_derivative f') (at x) /\ ~(f x = Cx (&0)) ==> ((\x. inv (f x)) has_complex_derivative --f' / f x pow 2) (at x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_differentiable: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !f z. f complex_differentiable at z /\ ~(f z = Cx (&0)) ==> (\z. inv (f z)) complex_differentiable at z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f f' x. (f has_complex_derivative f') (at x) /\ ~(f x = Cx (&0)) ==> ((\x. inv (f x)) has_complex_derivative --f' / f x pow 2) (at x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !f z. f complex_differentiable at z /\ ~(f z = Cx (&0)) ==> (\z. inv (f z)) complex_differentiable at z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_INVu_AT, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) & ~ (((F @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_inv @ (F @ X)) @ (complexu_div @ (vectoru_neg @ FI_) @ (complexu_pow @ (F @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (at @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_differentiable, axiom, ![F:(cartrealn2 > cartrealn2),NET:netcartrealn2]:((complexu_differentiable @ F @ NET) <=> ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),Z:cartrealn2]:(((complexu_differentiable @ F @ (at @ Z)) & ~ (((F @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => (complexu_differentiable @ ^[Z:cartrealn2]:(complexu_inv @ (F @ Z)) @ (at @ Z)))).
