%   ORIGINAL: COMPLEX_DIFFERENTIABLE_TRANSFORM_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_COMPLEX_DERIVATIVE_TRANSFORM_AT: !f f' g x d. &0 < d /\ (!x'. dist (x',x) < d ==> f x' = g x') /\ (f has_complex_derivative f') (at x) ==> (g has_complex_derivative f') (at x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_differentiable: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !f g x d. &0 < d /\ (!x'. dist (x',x) < d ==> f x' = g x') /\ f complex_differentiable at x ==> g complex_differentiable at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f f' g x d. &0 < d /\ (!x'. dist (x',x) < d ==> f x' = g x') /\ (f has_complex_derivative f') (at x) ==> (g has_complex_derivative f') (at x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !f g x d. &0 < d /\ (!x'. dist (x',x) < d ==> f x' = g x') /\ f complex_differentiable at x ==> g complex_differentiable at x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tprodcartrealn2cartrealn2, type, prodcartrealn2cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cdistance, type, distance : (prodcartrealn2cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccu_, type, c_ : (cartrealn2 > cartrealn2 > prodcartrealn2cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_COMPLEXu_DERIVATIVEu_TRANSFORMu_AT, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,G:(cartrealn2 > cartrealn2),X:cartrealn2,D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealn2]:((realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D) => ((F @ XI_) = (G @ XI_))) & (hasu_complexu_derivative @ F @ FI_ @ (at @ X))) => (hasu_complexu_derivative @ G @ FI_ @ (at @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_differentiable, axiom, ![F:(cartrealn2 > cartrealn2),NET:netcartrealn2]:((complexu_differentiable @ F @ NET) <=> ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),X:cartrealn2,D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealn2]:((realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D) => ((F @ XI_) = (G @ XI_))) & (complexu_differentiable @ F @ (at @ X))) => (complexu_differentiable @ G @ (at @ X)))).
