%   ORIGINAL: HOLOMORPHIC_ON_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_COMPLEX_DERIVATIVE_LINEAR: !net c. ((\x. c * x) has_complex_derivative c) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: holomorphic_on: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Goal: !s c. (\w. c * w) holomorphic_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !net c. ((\x. c * x) has_complex_derivative c) net
% Assm: ~F <=> T
% Assm: T
% Assm: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Goal: !s c. (\w. c * w) holomorphic_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_LINEAR, axiom, ![NET:netcartrealn2,C:cartrealn2]:(hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_mul @ C @ X) @ C @ NET)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aholomorphicu_on, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((holomorphicu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S))))).
thf(conjecture, conjecture, ![S:(cartrealn2 > $o),C:cartrealn2]:(holomorphicu_on @ ^[W:cartrealn2]:(complexu_mul @ C @ W) @ S)).
