%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_DERIVATIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DERIVATIVE_UNIQUE_AT: !f z f' f''. (f has_complex_derivative f') (at z) /\ (f has_complex_derivative f'') (at z) ==> f' = f''
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: complex_derivative: !f x. complex_derivative f x = (@f'. (f has_complex_derivative f') (at x))
% Goal: !f f' x. (f has_complex_derivative f') (at x) ==> complex_derivative f x = f'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f z f' f''. (f has_complex_derivative f') (at z) /\ (f has_complex_derivative f'') (at z) ==> f' = f''
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !f x. complex_derivative f x = (@f'. (f has_complex_derivative f') (at x))
% Goal: !f f' x. (f has_complex_derivative f') (at x) ==> complex_derivative f x = f'
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(chu_0, type, h_0 : ((cartrealn2 > $o) > cartrealn2)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccomplexuu_derivative, type, complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DERIVATIVEu_UNIQUEu_AT, axiom, ![F:(cartrealn2 > cartrealn2),Z:cartrealn2,FI_:cartrealn2,FI_I_:cartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ (at @ Z)) & (hasu_complexu_derivative @ F @ FI_I_ @ (at @ Z))) => (FI_ = FI_I_))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),X:cartrealn2]:((complexu_derivative @ F @ X) = (h_0 @ ^[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ (at @ X))))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => ((complexu_derivative @ F @ X) = FI_))).
