%   ORIGINAL: COMPLEX_DIFFERENTIABLE_COMPOSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DIFF_CHAIN_AT: !f g f' g' x. (f has_complex_derivative f') (at x) /\ (g has_complex_derivative g') (at (f x)) ==> (g o f has_complex_derivative g' * f') (at x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_differentiable: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !f g z. f complex_differentiable at z /\ g complex_differentiable at (f z) ==> g o f complex_differentiable at z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g f' g' x. (f has_complex_derivative f') (at x) /\ (g has_complex_derivative g') (at (f x)) ==> (g o f has_complex_derivative g' * f') (at x)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !f g z. f complex_differentiable at z /\ g complex_differentiable at (f z) ==> g o f complex_differentiable at z
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(co, type, o : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DIFFu_CHAINu_AT, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),FI_:cartrealn2,GI_:cartrealn2,X:cartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) & (hasu_complexu_derivative @ G @ GI_ @ (at @ (F @ X)))) => (hasu_complexu_derivative @ (o @ G @ F) @ (complexu_mul @ GI_ @ FI_) @ (at @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_differentiable, axiom, ![F:(cartrealn2 > cartrealn2),NET:netcartrealn2]:((complexu_differentiable @ F @ NET) <=> ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),Z:cartrealn2]:(((complexu_differentiable @ F @ (at @ Z)) & (complexu_differentiable @ G @ (at @ (F @ Z)))) => (complexu_differentiable @ (o @ G @ F) @ (at @ Z)))).
