%   ORIGINAL: COMPLEX_DERIVATIVE_CHAIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DIFF_CHAIN_AT: !f g f' g' x. (f has_complex_derivative f') (at x) /\ (g has_complex_derivative g') (at (f x)) ==> (g o f has_complex_derivative g' * f') (at x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_COMPLEX_DERIVATIVE_DERIVATIVE: !f f' x. (f has_complex_derivative f') (at x) ==> complex_derivative f x = f'
% Assm: HAS_COMPLEX_DERIVATIVE_DIFFERENTIABLE: !f x. (f has_complex_derivative complex_derivative f x) (at x) <=> f complex_differentiable at x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g z. f complex_differentiable at z /\ g complex_differentiable at (f z) ==> complex_derivative (g o f) z = complex_derivative g (f z) * complex_derivative f z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g f' g' x. (f has_complex_derivative f') (at x) /\ (g has_complex_derivative g') (at (f x)) ==> (g o f has_complex_derivative g' * f') (at x)
% Assm: !t. (\x. t x) = t
% Assm: !f f' x. (f has_complex_derivative f') (at x) ==> complex_derivative f x = f'
% Assm: !f x. (f has_complex_derivative complex_derivative f x) (at x) <=> f complex_differentiable at x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f g z. f complex_differentiable at z /\ g complex_differentiable at (f z) ==> complex_derivative (g o f) z = complex_derivative g (f z) * complex_derivative f z
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(co, type, o : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(ccomplexuu_derivative, type, complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DIFFu_CHAINu_AT, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),FI_:cartrealn2,GI_:cartrealn2,X:cartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) & (hasu_complexu_derivative @ G @ GI_ @ (at @ (F @ X)))) => (hasu_complexu_derivative @ (o @ G @ F) @ (complexu_mul @ GI_ @ FI_) @ (at @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_COMPLEXu_DERIVATIVEu_DERIVATIVE, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => ((complexu_derivative @ F @ X) = FI_))).
thf(aHASu_COMPLEXu_DERIVATIVEu_DIFFERENTIABLE, axiom, ![F:(cartrealn2 > cartrealn2),X:cartrealn2]:((hasu_complexu_derivative @ F @ (complexu_derivative @ F @ X) @ (at @ X)) <=> (complexu_differentiable @ F @ (at @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),Z:cartrealn2]:(((complexu_differentiable @ F @ (at @ Z)) & (complexu_differentiable @ G @ (at @ (F @ Z)))) => ((complexu_derivative @ (o @ G @ F) @ Z) = (complexu_mul @ (complexu_derivative @ G @ (F @ Z)) @ (complexu_derivative @ F @ Z))))).
