%   ORIGINAL: COMPLEX_DERIVATIVE_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_COMPLEX_DERIVATIVE_DERIVATIVE: !f f' x. (f has_complex_derivative f') (at x) ==> complex_derivative f x = f'
% Assm: HAS_COMPLEX_DERIVATIVE_LINEAR: !net c. ((\x. c * x) has_complex_derivative c) net
% Assm: TRUTH: T
% Goal: !c. complex_derivative (\w. c * w) = (\z. c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f f' x. (f has_complex_derivative f') (at x) ==> complex_derivative f x = f'
% Assm: !net c. ((\x. c * x) has_complex_derivative c) net
% Assm: T
% Goal: !c. complex_derivative (\w. c * w) = (\z. c)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_derivative, type, complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2 > cartrealn2),G:(a > cartrealn2 > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2)]:((F = G) <=> ![X:cartrealn2]:((F @ X) = (G @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_DERIVATIVE, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => ((complexu_derivative @ F @ X) = FI_))).
thf(aHASu_COMPLEXu_DERIVATIVEu_LINEAR, axiom, ![NET:netcartrealn2,C:cartrealn2]:(hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_mul @ C @ X) @ C @ NET)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:cartrealn2]:((complexu_derivative @ ^[W:cartrealn2]:(complexu_mul @ C @ W)) = ^[Z:cartrealn2]:C)).
