%   ORIGINAL: COMPLEX_DERIVATIVE_ID
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_COMPLEX_DERIVATIVE_DERIVATIVE: !f f' x. (f has_complex_derivative f') (at x) ==> complex_derivative f x = f'
% Assm: HAS_COMPLEX_DERIVATIVE_ID: !net. ((\x. x) has_complex_derivative Cx (&1)) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: complex_derivative (\w. w) = (\z. Cx (&1))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f f' x. (f has_complex_derivative f') (at x) ==> complex_derivative f x = f'
% Assm: !net. ((\x. x) has_complex_derivative Cx (&1)) net
% Assm: ~F <=> T
% Assm: T
% Goal: complex_derivative (\w. w) = (\z. Cx (&1))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_derivative, type, complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2 > cartrealn2),G:(a > cartrealn2 > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn2 > cartrealn2)]:(^[X:cartrealn2]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2)]:((F = G) <=> ![X:cartrealn2]:((F @ X) = (G @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_DERIVATIVE, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => ((complexu_derivative @ F @ X) = FI_))).
thf(aHASu_COMPLEXu_DERIVATIVEu_ID, axiom, ![NET:netcartrealn2]:(hasu_complexu_derivative @ ^[X:cartrealn2]:X @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ NET)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ((complexu_derivative @ ^[W:cartrealn2]:W) = ^[Z:cartrealn2]:(cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
