%   ORIGINAL: COMPLEX_DERIVATIVE_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_COMPLEX_DERIVATIVE_DERIVATIVE: !f f' x. (f has_complex_derivative f') (at x) ==> complex_derivative f x = f'
% Assm: HAS_COMPLEX_DERIVATIVE_DIFFERENTIABLE: !f x. (f has_complex_derivative complex_derivative f x) (at x) <=> f complex_differentiable at x
% Assm: HAS_COMPLEX_DERIVATIVE_MUL_AT: !f f' g g' x. (f has_complex_derivative f') (at x) /\ (g has_complex_derivative g') (at x) ==> ((\x. f x * g x) has_complex_derivative f x * g' + f' * g x) (at x)
% Assm: TRUTH: T
% Goal: !f g z. f complex_differentiable at z /\ g complex_differentiable at z ==> complex_derivative (\w. f w * g w) z = f z * complex_derivative g z + complex_derivative f z * g z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' x. (f has_complex_derivative f') (at x) ==> complex_derivative f x = f'
% Assm: !f x. (f has_complex_derivative complex_derivative f x) (at x) <=> f complex_differentiable at x
% Assm: !f f' g g' x. (f has_complex_derivative f') (at x) /\ (g has_complex_derivative g') (at x) ==> ((\x. f x * g x) has_complex_derivative f x * g' + f' * g x) (at x)
% Assm: T
% Goal: !f g z. f complex_differentiable at z /\ g complex_differentiable at z ==> complex_derivative (\w. f w * g w) z = f z * complex_derivative g z + complex_derivative f z * g z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_derivative, type, complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_COMPLEXu_DERIVATIVEu_DERIVATIVE, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => ((complexu_derivative @ F @ X) = FI_))).
thf(aHASu_COMPLEXu_DERIVATIVEu_DIFFERENTIABLE, axiom, ![F:(cartrealn2 > cartrealn2),X:cartrealn2]:((hasu_complexu_derivative @ F @ (complexu_derivative @ F @ X) @ (at @ X)) <=> (complexu_differentiable @ F @ (at @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_MULu_AT, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,G:(cartrealn2 > cartrealn2),GI_:cartrealn2,X:cartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) & (hasu_complexu_derivative @ G @ GI_ @ (at @ X))) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_mul @ (F @ X) @ (G @ X)) @ (vectoru_add @ (complexu_mul @ (F @ X) @ GI_) @ (complexu_mul @ FI_ @ (G @ X))) @ (at @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),Z:cartrealn2]:(((complexu_differentiable @ F @ (at @ Z)) & (complexu_differentiable @ G @ (at @ Z))) => ((complexu_derivative @ ^[W:cartrealn2]:(complexu_mul @ (F @ W) @ (G @ W)) @ Z) = (vectoru_add @ (complexu_mul @ (F @ Z) @ (complexu_derivative @ G @ Z)) @ (complexu_mul @ (complexu_derivative @ F @ Z) @ (G @ Z)))))).
