%   ORIGINAL: COMPLEX_DERIVATIVE_TRANSFORM_WITHIN_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DERIVATIVE_UNIQUE_AT: !f z f' f''. (f has_complex_derivative f') (at z) /\ (f has_complex_derivative f'') (at z) ==> f' = f''
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_COMPLEX_DERIVATIVE_DIFFERENTIABLE: !f x. (f has_complex_derivative complex_derivative f x) (at x) <=> f complex_differentiable at x
% Assm: HAS_COMPLEX_DERIVATIVE_TRANSFORM_WITHIN_OPEN: !f g f' s z. open s /\ z IN s /\ (!w. w IN s ==> f w = g w) /\ (f has_complex_derivative f') (at z) ==> (g has_complex_derivative f') (at z)
% Assm: HOLOMORPHIC_ON_IMP_DIFFERENTIABLE_AT: !f s x. f holomorphic_on s /\ open s /\ x IN s ==> f complex_differentiable at x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g s. open s /\ f holomorphic_on s /\ g holomorphic_on s /\ z IN s /\ (!w. w IN s ==> f w = g w) ==> complex_derivative f z = complex_derivative g z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f z f' f''. (f has_complex_derivative f') (at z) /\ (f has_complex_derivative f'') (at z) ==> f' = f''
% Assm: !t. (\x. t x) = t
% Assm: !f x. (f has_complex_derivative complex_derivative f x) (at x) <=> f complex_differentiable at x
% Assm: !f g f' s z. open s /\ z IN s /\ (!w. w IN s ==> f w = g w) /\ (f has_complex_derivative f') (at z) ==> (g has_complex_derivative f') (at z)
% Assm: !f s x. f holomorphic_on s /\ open s /\ x IN s ==> f complex_differentiable at x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !z f g s. open s /\ f holomorphic_on s /\ g holomorphic_on s /\ z IN s /\ (!w. w IN s ==> f w = g w) ==> complex_derivative f z = complex_derivative g z
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccomplexuu_derivative, type, complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DERIVATIVEu_UNIQUEu_AT, axiom, ![F:(cartrealn2 > cartrealn2),Z:cartrealn2,FI_:cartrealn2,FI_I_:cartrealn2]:(((hasu_complexu_derivative @ F @ FI_ @ (at @ Z)) & (hasu_complexu_derivative @ F @ FI_I_ @ (at @ Z))) => (FI_ = FI_I_))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_COMPLEXu_DERIVATIVEu_DIFFERENTIABLE, axiom, ![F:(cartrealn2 > cartrealn2),X:cartrealn2]:((hasu_complexu_derivative @ F @ (complexu_derivative @ F @ X) @ (at @ X)) <=> (complexu_differentiable @ F @ (at @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_TRANSFORMu_WITHINu_OPEN, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),FI_:cartrealn2,S:(cartrealn2 > $o),Z:cartrealn2]:(((open @ S) & (in @ Z @ S) & ![W:cartrealn2]:((in @ W @ S) => ((F @ W) = (G @ W))) & (hasu_complexu_derivative @ F @ FI_ @ (at @ Z))) => (hasu_complexu_derivative @ G @ FI_ @ (at @ Z)))).
thf(aHOLOMORPHICu_ONu_IMPu_DIFFERENTIABLEu_AT, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),X:cartrealn2]:(((holomorphicu_on @ F @ S) & (open @ S) & (in @ X @ S)) => (complexu_differentiable @ F @ (at @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2,F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((open @ S) & (holomorphicu_on @ F @ S) & (holomorphicu_on @ G @ S) & (in @ Z @ S) & ![W:cartrealn2]:((in @ W @ S) => ((F @ W) = (G @ W)))) => ((complexu_derivative @ F @ Z) = (complexu_derivative @ G @ Z)))).
