%   ORIGINAL: COMPLEX_DERIVATIVE_COMPOSE_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_DERIVATIVE_CHAIN: !f g z. f complex_differentiable at z /\ g complex_differentiable at (f z) ==> complex_derivative (g o f) z = complex_derivative g (f z) * complex_derivative f z
% Assm: COMPLEX_DERIVATIVE_LINEAR: !c. complex_derivative (\w. c * w) = (\z. c)
% Assm: COMPLEX_DIFFERENTIABLE_LINEAR: (\z. c * z) complex_differentiable p
% Assm: COMPLEX_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f c z. f complex_differentiable at (c * z) ==> complex_derivative (\w. f (c * w)) z = c * complex_derivative f (c * z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g z. f complex_differentiable at z /\ g complex_differentiable at (f z) ==> complex_derivative (g o f) z = complex_derivative g (f z) * complex_derivative f z
% Assm: !c. complex_derivative (\w. c * w) = (\z. c)
% Assm: !c p. (\z. c * z) complex_differentiable p
% Assm: !x y. x * y = y * x
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f c z. f complex_differentiable at (c * z) ==> complex_derivative (\w. f (c * w)) z = c * complex_derivative f (c * z)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(ccomplexuu_derivative, type, complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_DERIVATIVEu_CHAIN, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),Z:cartrealn2]:(((complexu_differentiable @ F @ (at @ Z)) & (complexu_differentiable @ G @ (at @ (F @ Z)))) => ((complexu_derivative @ (o @ G @ F) @ Z) = (complexu_mul @ (complexu_derivative @ G @ (F @ Z)) @ (complexu_derivative @ F @ Z))))).
thf(aCOMPLEXu_DERIVATIVEu_LINEAR, axiom, ![C:cartrealn2]:((complexu_derivative @ ^[W:cartrealn2]:(complexu_mul @ C @ W)) = ^[Z:cartrealn2]:C)).
thf(aCOMPLEXu_DIFFERENTIABLEu_LINEAR, axiom, ![C:cartrealn2,P:netcartrealn2]:(complexu_differentiable @ ^[Z:cartrealn2]:(complexu_mul @ C @ Z) @ P)).
thf(aCOMPLEXu_MULu_SYM, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ Y) = (complexu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),C:cartrealn2,Z:cartrealn2]:((complexu_differentiable @ F @ (at @ (complexu_mul @ C @ Z))) => ((complexu_derivative @ ^[W:cartrealn2]:(F @ (complexu_mul @ C @ W)) @ Z) = (complexu_mul @ C @ (complexu_derivative @ F @ (complexu_mul @ C @ Z)))))).
