%   ORIGINAL: ANALYTIC_IMP_HOLOMORPHIC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_COMPLEX_DERIVATIVE_AT_WITHIN: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: HAS_COMPLEX_DERIVATIVE_WITHIN_OPEN: !f f' a s. a IN s /\ open s ==> ((f has_complex_derivative f') (at a within s) <=> (f has_complex_derivative f') (at a))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: TRUTH: T
% Assm: analytic_on: !s f. f analytic_on s <=> (!x. x IN s ==> (?e. &0 < e /\ f holomorphic_on ball (x,e)))
% Assm: holomorphic_on: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Goal: !f s. f analytic_on s ==> f holomorphic_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !t. (\x. t x) = t
% Assm: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: !f f' a s. a IN s /\ open s ==> ((f has_complex_derivative f') (at a within s) <=> (f has_complex_derivative f') (at a))
% Assm: ~F <=> T
% Assm: !x e. open (ball (x,e))
% Assm: T
% Assm: !s f. f analytic_on s <=> (!x. x IN s ==> (?e. &0 < e /\ f holomorphic_on ball (x,e)))
% Assm: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Goal: !f s. f analytic_on s ==> f holomorphic_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(tq169309, type, q169309 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealn2real, type, prodcartrealn2real : $tType).
thf(tprodcartrealq169289real, type, prodcartrealq169289real : $tType).
thf(tprodcartrealq169309real, type, prodcartrealq169309real : $tType).
thf(tcartrealq169309, type, cartrealq169309 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq169289, type, cartrealq169289 : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq169289, type, q169289 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cball1, type, ball1 : (prodcartrealn2real > cartrealn2 > $o)).
thf(cball0, type, ball0 : (prodcartrealq169289real > cartrealq169289 > $o)).
thf(cin0, type, in0 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cball, type, ball : (prodcartrealq169309real > cartrealq169309 > $o)).
thf(cin, type, in : (cartrealq169309 > (cartrealq169309 > $o) > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealn2 > real > prodcartrealn2real)).
thf(ccu_0, type, c_0 : (cartrealq169289 > real > prodcartrealq169289real)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq169309 > real > prodcartrealq169309real)).
thf(copen0, type, open0 : ((cartrealq169289 > $o) > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealq169309,E:real]:((in @ X @ (ball @ (c_ @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_COMPLEXu_DERIVATIVEu_ATu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_WITHINu_OPEN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,A:cartrealn2,S:(cartrealn2 > $o)]:(((in0 @ A @ S) & (open @ S)) => ((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ A) @ S)) <=> (hasu_complexu_derivative @ F @ FI_ @ (at @ A))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_BALL, axiom, ![X:cartrealq169289,E:real]:(open0 @ (ball0 @ (c_0 @ X @ E)))).
thf(aTRUTH, axiom, $true).
thf(aanalyticu_on, axiom, ![S:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2)]:((analyticu_on @ F @ S) <=> ![X:cartrealn2]:((in0 @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (holomorphicu_on @ F @ (ball1 @ (c_1 @ X @ E))))))).
thf(aholomorphicu_on, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((holomorphicu_on @ F @ S) <=> ![X:cartrealn2]:((in0 @ X @ S) => ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S))))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((analyticu_on @ F @ S) => (holomorphicu_on @ F @ S))).
