%   ORIGINAL: ANALYTIC_ON_IMP_DIFFERENTIABLE_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HOLOMORPHIC_ON_OPEN: !f s. open s ==> (f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x))))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: TRUTH: T
% Assm: analytic_on: !s f. f analytic_on s <=> (!x. x IN s ==> (?e. &0 < e /\ f holomorphic_on ball (x,e)))
% Assm: complex_differentiable: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !f s x. f analytic_on s /\ x IN s ==> f complex_differentiable at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !t. (\x. t x) = t
% Assm: !f s. open s ==> (f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x))))
% Assm: ~F <=> T
% Assm: !x e. open (ball (x,e))
% Assm: T
% Assm: !s f. f analytic_on s <=> (!x. x IN s ==> (?e. &0 < e /\ f holomorphic_on ball (x,e)))
% Assm: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !f s x. f analytic_on s /\ x IN s ==> f complex_differentiable at x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq169289real, type, prodcartrealq169289real : $tType).
thf(tprodcartrealn2real, type, prodcartrealn2real : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq169289, type, cartrealq169289 : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq169289, type, q169289 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cball0, type, ball0 : (prodcartrealq169289real > cartrealq169289 > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cball, type, ball : (prodcartrealn2real > cartrealn2 > $o)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealq169289 > real > prodcartrealq169289real)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn2 > real > prodcartrealn2real)).
thf(copen0, type, open0 : ((cartrealq169289 > $o) > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealn2,E:real]:((in @ X @ (ball @ (c_ @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHOLOMORPHICu_ONu_OPEN, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((open @ S) => ((holomorphicu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ (at @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_BALL, axiom, ![X:cartrealq169289,E:real]:(open0 @ (ball0 @ (c_0 @ X @ E)))).
thf(aTRUTH, axiom, $true).
thf(aanalyticu_on, axiom, ![S:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2)]:((analyticu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (holomorphicu_on @ F @ (ball @ (c_ @ X @ E))))))).
thf(acomplexu_differentiable, axiom, ![F:(cartrealn2 > cartrealn2),NET:netcartrealn2]:((complexu_differentiable @ F @ NET) <=> ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),X:cartrealn2]:(((analyticu_on @ F @ S) & (in @ X @ S)) => (complexu_differentiable @ F @ (at @ X)))).
