%   ORIGINAL: ANALYTIC_ON_HOLOMORPHIC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ANALYTIC_ON_OPEN: !f s. open s ==> (f analytic_on s <=> f holomorphic_on s)
% Assm: ANALYTIC_ON_SUBSET: !f s t. f analytic_on s /\ t SUBSET s ==> f analytic_on t
% Assm: ANALYTIC_ON_UNIONS: !f s. f analytic_on UNIONS s <=> (!t. t IN s ==> f analytic_on t)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: OPEN_UNIONS: (!s. s IN f ==> open s) ==> open (UNIONS f)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: analytic_on: !s f. f analytic_on s <=> (!x. x IN s ==> (?e. &0 < e /\ f holomorphic_on ball (x,e)))
% Goal: !f s. f analytic_on s <=> (?t. open t /\ s SUBSET t /\ f holomorphic_on t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f s. open s ==> (f analytic_on s <=> f holomorphic_on s)
% Assm: !f s t. f analytic_on s /\ t SUBSET s ==> f analytic_on t
% Assm: !f s. f analytic_on UNIONS s <=> (!t. t IN s ==> f analytic_on t)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: !x e. open (ball (x,e))
% Assm: !f. (!s. s IN f ==> open s) ==> open (UNIONS f)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s f. f analytic_on s <=> (!x. x IN s ==> (?e. &0 < e /\ f holomorphic_on ball (x,e)))
% Goal: !f s. f analytic_on s <=> (?t. open t /\ s SUBSET t /\ f holomorphic_on t)
%  TYPES
thf(tnum, type, num : $tType).
thf(tq169309, type, q169309 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealn2real, type, prodcartrealn2real : $tType).
thf(tprodcartrealq169309real, type, prodcartrealq169309real : $tType).
thf(tcartrealq169309, type, cartrealq169309 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cin4, type, in4 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cball0, type, ball0 : (prodcartrealn2real > cartrealn2 > $o)).
thf(cin3, type, in3 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((a > $o) > $o) > a > $o)).
thf(cin2, type, in2 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cball, type, ball : (prodcartrealq169309real > cartrealq169309 > $o)).
thf(cin0, type, in0 : (cartrealq169309 > (cartrealq169309 > $o) > $o)).
thf(cin, type, in : ((cartrealn2 > $o) > ((cartrealn2 > $o) > $o) > $o)).
thf(cunions, type, unions : (((cartrealn2 > $o) > $o) > cartrealn2 > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealn2 > real > prodcartrealn2real)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq169309 > real > prodcartrealq169309real)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aANALYTICu_ONu_OPEN, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((open @ S) => ((analyticu_on @ F @ S) <=> (holomorphicu_on @ F @ S)))).
thf(aANALYTICu_ONu_SUBSET, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & (subset @ T @ S)) => (analyticu_on @ F @ T))).
thf(aANALYTICu_ONu_UNIONS, axiom, ![F:(cartrealn2 > cartrealn2),S:((cartrealn2 > $o) > $o)]:((analyticu_on @ F @ (unions @ S)) <=> ![T:(cartrealn2 > $o)]:((in @ T @ S) => (analyticu_on @ F @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealq169309,E:real]:((in0 @ X @ (ball @ (c_ @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in2 @ X @ (unions0 @ S)) <=> ?[T:(a > $o)]:((in3 @ T @ S) & (in2 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_BALL, axiom, ![X:cartrealn2,E:real]:(open @ (ball0 @ (c_0 @ X @ E)))).
thf(aOPENu_UNIONS, axiom, ![F:((cartrealn2 > $o) > $o)]:(![S:(cartrealn2 > $o)]:((in @ S @ F) => (open @ S)) => (open @ (unions @ F)))).
thf(aSUBSET, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:((subset @ S @ T) <=> ![X:cartrealn2]:((in4 @ X @ S) => (in4 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aanalyticu_on, axiom, ![S:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2)]:((analyticu_on @ F @ S) <=> ![X:cartrealn2]:((in4 @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (holomorphicu_on @ F @ (ball0 @ (c_0 @ X @ E))))))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((analyticu_on @ F @ S) <=> ?[T:(cartrealn2 > $o)]:((open @ T) & (subset @ S @ T) & (holomorphicu_on @ F @ T)))).
