%   ORIGINAL: ANALYTIC_ON_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ANALYTIC_ON_HOLOMORPHIC: !f s. f analytic_on s <=> (?t. open t /\ s SUBSET t /\ f holomorphic_on t)
% Assm: HOLOMORPHIC_ON_LINEAR: !s c. (\w. c * w) holomorphic_on s
% Assm: OPEN_UNIV: open (:real^N)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !s c. (\w. c * w) analytic_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f analytic_on s <=> (?t. open t /\ s SUBSET t /\ f holomorphic_on t)
% Assm: !s c. (\w. c * w) holomorphic_on s
% Assm: open (:real^N)
% Assm: !s. s SUBSET (:A)
% Assm: T
% Goal: !s c. (\w. c * w) analytic_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(copen0, type, open0 : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cuniv0, type, univ0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aANALYTICu_ONu_HOLOMORPHIC, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((analyticu_on @ F @ S) <=> ?[T:(cartrealn2 > $o)]:((open @ T) & (subset @ S @ T) & (holomorphicu_on @ F @ T)))).
thf(aHOLOMORPHICu_ONu_LINEAR, axiom, ![S:(cartrealn2 > $o),C:cartrealn2]:(holomorphicu_on @ ^[W:cartrealn2]:(complexu_mul @ C @ W) @ S)).
thf(aOPENu_UNIV, axiom, (open0 @ univ)).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset0 @ S @ univ0)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn2 > $o),C:cartrealn2]:(analyticu_on @ ^[W:cartrealn2]:(complexu_mul @ C @ W) @ S)).
