%   ORIGINAL: ANALYTIC_ON_COMPOSE_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ANALYTIC_ON_COMPOSE: !f g s. f analytic_on s /\ g analytic_on IMAGE f s ==> g o f analytic_on s
% Assm: ANALYTIC_ON_SUBSET: !f s t. f analytic_on s /\ t SUBSET s ==> f analytic_on t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f g s t. f analytic_on s /\ g analytic_on t /\ (!z. z IN s ==> f z IN t) ==> g o f analytic_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g s. f analytic_on s /\ g analytic_on IMAGE f s ==> g o f analytic_on s
% Assm: !f s t. f analytic_on s /\ t SUBSET s ==> f analytic_on t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f g s t. f analytic_on s /\ g analytic_on t /\ (!z. z IN s ==> f z IN t) ==> g o f analytic_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cimage, type, image : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(co, type, o : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aANALYTICu_ONu_COMPOSE, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & (analyticu_on @ G @ (image @ F @ S))) => (analyticu_on @ (o @ G @ F) @ S))).
thf(aANALYTICu_ONu_SUBSET, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & (subset @ T @ S)) => (analyticu_on @ F @ T))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(cartrealn2 > $o),X:cartrealn2]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn2,S:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn2]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:((subset @ S @ T) <=> ![X:cartrealn2]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & (analyticu_on @ G @ T) & ![Z:cartrealn2]:((in @ Z @ S) => (in @ (F @ Z) @ T))) => (analyticu_on @ (o @ G @ F) @ S))).
