%   ORIGINAL: ANALYTIC_ON_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ANALYTIC_ON_ADD: !f g s. f analytic_on s /\ g analytic_on s ==> (\z. f z + g z) analytic_on s
% Assm: ANALYTIC_ON_NEG: !f s. f analytic_on s ==> (\z. --f z) analytic_on s
% Assm: TRUTH: T
% Assm: complex_sub: w - z = w + --z
% Goal: !f g s. f analytic_on s /\ g analytic_on s ==> (\z. f z - g z) analytic_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. f analytic_on s /\ g analytic_on s ==> (\z. f z + g z) analytic_on s
% Assm: !f s. f analytic_on s ==> (\z. --f z) analytic_on s
% Assm: T
% Assm: !w z. w - z = w + --z
% Goal: !f g s. f analytic_on s /\ g analytic_on s ==> (\z. f z - g z) analytic_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aANALYTICu_ONu_ADD, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & (analyticu_on @ G @ S)) => (analyticu_on @ ^[Z:cartrealn2]:(vectoru_add @ (F @ Z) @ (G @ Z)) @ S))).
thf(aANALYTICu_ONu_NEG, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((analyticu_on @ F @ S) => (analyticu_on @ ^[Z:cartrealn2]:(vectoru_neg @ (F @ Z)) @ S))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_sub, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_sub @ W @ Z) = (vectoru_add @ W @ (vectoru_neg @ Z)))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & (analyticu_on @ G @ S)) => (analyticu_on @ ^[Z:cartrealn2]:(vectoru_sub @ (F @ Z) @ (G @ Z)) @ S))).
