%   ORIGINAL: ANALYTIC_ON_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ANALYTIC_ON_INV: !f s. f analytic_on s /\ (!z. z IN s ==> ~(f z = Cx (&0))) ==> (\z. inv (f z)) analytic_on s
% Assm: ANALYTIC_ON_MUL: !f g s. f analytic_on s /\ g analytic_on s ==> (\z. f z * g z) analytic_on s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !f g s. f analytic_on s /\ g analytic_on s /\ (!z. z IN s ==> ~(g z = Cx (&0))) ==> (\z. f z / g z) analytic_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. f analytic_on s /\ (!z. z IN s ==> ~(f z = Cx (&0))) ==> (\z. inv (f z)) analytic_on s
% Assm: !f g s. f analytic_on s /\ g analytic_on s ==> (\z. f z * g z) analytic_on s
% Assm: ~F <=> T
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !f g s. f analytic_on s /\ g analytic_on s /\ (!z. z IN s ==> ~(g z = Cx (&0))) ==> (\z. f z / g z) analytic_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aANALYTICu_ONu_INV, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & ![Z:cartrealn2]:((in @ Z @ S) => ~ (((F @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0))))))) => (analyticu_on @ ^[Z:cartrealn2]:(complexu_inv @ (F @ Z)) @ S))).
thf(aANALYTICu_ONu_MUL, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & (analyticu_on @ G @ S)) => (analyticu_on @ ^[Z:cartrealn2]:(complexu_mul @ (F @ Z) @ (G @ Z)) @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & (analyticu_on @ G @ S) & ![Z:cartrealn2]:((in @ Z @ S) => ~ (((G @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0))))))) => (analyticu_on @ ^[Z:cartrealn2]:(complexu_div @ (F @ Z) @ (G @ Z)) @ S))).
