%   ORIGINAL: ANALYTIC_ON_POW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ANALYTIC_ON_CONST: !c s. (\z. c) analytic_on s
% Assm: ANALYTIC_ON_MUL: !f g s. f analytic_on s /\ g analytic_on s ==> (\z. f z * g z) analytic_on s
% Assm: TRUTH: T
% Assm: complex_pow_conjunct0: x pow 0 = Cx (&1)
% Assm: complex_pow_conjunct1: !n. x pow SUC n = x * x pow n
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f s n. f analytic_on s ==> (\z. f z pow n) analytic_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c s. (\z. c) analytic_on s
% Assm: !f g s. f analytic_on s /\ g analytic_on s ==> (\z. f z * g z) analytic_on s
% Assm: T
% Assm: !x. x pow 0 = Cx (&1)
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f s n. f analytic_on s ==> (\z. f z pow n) analytic_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aANALYTICu_ONu_CONST, axiom, ![C:cartrealn2,S:(cartrealn2 > $o)]:(analyticu_on @ ^[Z:cartrealn2]:C @ S)).
thf(aANALYTICu_ONu_MUL, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & (analyticu_on @ G @ S)) => (analyticu_on @ ^[Z:cartrealn2]:(complexu_mul @ (F @ Z) @ (G @ Z)) @ S))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_powu_conjunct0, axiom, ![X:cartrealn2]:((complexu_pow @ X @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(acomplexu_powu_conjunct1, axiom, ![X:cartrealn2,N:num]:((complexu_pow @ X @ (suc @ N)) = (complexu_mul @ X @ (complexu_pow @ X @ N)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),N:num]:((analyticu_on @ F @ S) => (analyticu_on @ ^[Z:cartrealn2]:(complexu_pow @ (F @ Z) @ N) @ S))).
