%   ORIGINAL: ANALYTIC_ON_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ANALYTIC_ON_ADD: !f g s. f analytic_on s /\ g analytic_on s ==> (\z. f z + g z) analytic_on s
% Assm: ANALYTIC_ON_CONST: !c s. (\z. c) analytic_on s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !f s k. FINITE k /\ (!a. a IN k ==> f a analytic_on s) ==> (\x. vsum k (\a. f a x)) analytic_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g s. f analytic_on s /\ g analytic_on s ==> (\z. f z + g z) analytic_on s
% Assm: !c s. (\z. c) analytic_on s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !f s k. FINITE k /\ (!a. a IN k ==> f a analytic_on s) ==> (\x. vsum k (\a. f a x)) analytic_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tq577156, type, q577156 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn2)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (q577156 > (q577156 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(cinsert, type, insert : (q577156 > (q577156 > $o) > q577156 > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvsum, type, vsum : ((q577156 > $o) > (q577156 > cartrealn2) > cartrealn2)).
thf(cfinite, type, finite : ((q577156 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (q577156 > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aANALYTICu_ONu_ADD, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & (analyticu_on @ G @ S)) => (analyticu_on @ ^[Z:cartrealn2]:(vectoru_add @ (F @ Z) @ (G @ Z)) @ S))).
thf(aANALYTICu_ONu_CONST, axiom, ![C:cartrealn2,S:(cartrealn2 > $o)]:(analyticu_on @ ^[Z:cartrealn2]:C @ S)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q577156 > $o) > $o)]:(((P @ empty) & ![X:q577156,S:(q577156 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q577156 > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:q577156,Y:q577156,S:(q577156 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q577156]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q577156 > cartrealn2)]:((vsum @ empty @ F) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q577156,F:(q577156 > cartrealn2),S:(q577156 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(conjecture, conjecture, ![F:(q577156 > cartrealn2 > cartrealn2),S:(cartrealn2 > $o),K:(q577156 > $o)]:(((finite @ K) & ![A:q577156]:((in @ A @ K) => (analyticu_on @ (F @ A) @ S))) => (analyticu_on @ ^[X:cartrealn2]:(vsum @ K @ ^[A:q577156]:(F @ A @ X)) @ S))).
