%   ORIGINAL: ANALYTIC_AT_BALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: analytic_on: !s f. f analytic_on s <=> (!x. x IN s ==> (?e. &0 < e /\ f holomorphic_on ball (x,e)))
% Goal: !f z. f analytic_on {z} <=> (?e. &0 < e /\ f holomorphic_on ball (z,e))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: T
% Assm: !s f. f analytic_on s <=> (!x. x IN s ==> (?e. &0 < e /\ f holomorphic_on ball (x,e)))
% Goal: !f z. f analytic_on {z} <=> (?e. &0 < e /\ f holomorphic_on ball (z,e))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealn2real, type, prodcartrealn2real : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cball, type, ball : (prodcartrealn2real > cartrealn2 > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn2 > real > prodcartrealn2real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn2 > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_SING, axiom, ![X:cartrealn2,Y:cartrealn2]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aanalyticu_on, axiom, ![S:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2)]:((analyticu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (holomorphicu_on @ F @ (ball @ (c_ @ X @ E))))))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),Z:cartrealn2]:((analyticu_on @ F @ (insert @ Z @ empty)) <=> ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (holomorphicu_on @ F @ (ball @ (c_ @ Z @ E)))))).
