%   ORIGINAL: ANALYTIC_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ANALYTIC_ON_HOLOMORPHIC: !f s. f analytic_on s <=> (?t. open t /\ s SUBSET t /\ f holomorphic_on t)
% Assm: SING_SUBSET: !s x. {x} SUBSET s <=> x IN s
% Assm: TRUTH: T
% Goal: !f z. f analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f analytic_on s <=> (?t. open t /\ s SUBSET t /\ f holomorphic_on t)
% Assm: !s x. {x} SUBSET s <=> x IN s
% Assm: T
% Goal: !f z. f analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn2 > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aANALYTICu_ONu_HOLOMORPHIC, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((analyticu_on @ F @ S) <=> ?[T:(cartrealn2 > $o)]:((open @ T) & (subset @ S @ T) & (holomorphicu_on @ F @ T)))).
thf(aSINGu_SUBSET, axiom, ![S:(cartrealn2 > $o),X:cartrealn2]:((subset @ (insert @ X @ empty) @ S) <=> (in @ X @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),Z:cartrealn2]:((analyticu_on @ F @ (insert @ Z @ empty)) <=> ?[S:(cartrealn2 > $o)]:((open @ S) & (in @ Z @ S) & (holomorphicu_on @ F @ S)))).
