%   ORIGINAL: ANALYTIC_AT_TWO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ANALYTIC_AT: !f z. f analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HOLOMORPHIC_ON_SUBSET: !f s t. f holomorphic_on s /\ t SUBSET s ==> f holomorphic_on t
% Assm: INTER_SUBSET_conjunct0: !s t. s INTER t SUBSET s
% Assm: INTER_SUBSET_conjunct1: !s t. t INTER s SUBSET s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_INTER: !s t. open s /\ open t ==> open (s INTER t)
% Assm: TRUTH: T
% Goal: !f g z. f analytic_on {z} /\ g analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s /\ g holomorphic_on s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f z. f analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s t. f holomorphic_on s /\ t SUBSET s ==> f holomorphic_on t
% Assm: !s t. s INTER t SUBSET s
% Assm: !s t. t INTER s SUBSET s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s t. open s /\ open t ==> open (s INTER t)
% Assm: T
% Goal: !f g z. f analytic_on {z} /\ g analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s /\ g holomorphic_on s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cinter0, type, inter0 : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cinsert, type, insert : (cartrealn2 > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aANALYTICu_AT, axiom, ![F:(cartrealn2 > cartrealn2),Z:cartrealn2]:((analyticu_on @ F @ (insert @ Z @ empty)) <=> ?[S:(cartrealn2 > $o)]:((open @ S) & (in @ Z @ S) & (holomorphicu_on @ F @ S)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHOLOMORPHICu_ONu_SUBSET, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:(((holomorphicu_on @ F @ S) & (subset @ T @ S)) => (holomorphicu_on @ F @ T))).
thf(aINTERu_SUBSETu_conjunct0, axiom, ![S:(a > $o),T:(a > $o)]:(subset0 @ (inter @ S @ T) @ S)).
thf(aINTERu_SUBSETu_conjunct1, axiom, ![S:(a > $o),T:(a > $o)]:(subset0 @ (inter @ T @ S) @ S)).
thf(aINu_INTER, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o),X:cartrealn2]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INTER, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:(((open @ S) & (open @ T)) => (open @ (inter0 @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),Z:cartrealn2]:(((analyticu_on @ F @ (insert @ Z @ empty)) & (analyticu_on @ G @ (insert @ Z @ empty))) <=> ?[S:(cartrealn2 > $o)]:((open @ S) & (in @ Z @ S) & (holomorphicu_on @ F @ S) & (holomorphicu_on @ G @ S)))).
