%   ORIGINAL: ANALYTIC_AT_POW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ANALYTIC_AT: !f z. f analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HOLOMORPHIC_ON_POW: !f s n. f holomorphic_on s ==> (\z. f z pow n) holomorphic_on s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f n z. f analytic_on {z} ==> (\w. f w pow n) analytic_on {z}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f z. f analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f s n. f holomorphic_on s ==> (\z. f z pow n) holomorphic_on s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f n z. f analytic_on {z} ==> (\w. f w pow n) analytic_on {z}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cinsert, type, insert : (cartrealn2 > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aANALYTICu_AT, axiom, ![F:(cartrealn2 > cartrealn2),Z:cartrealn2]:((analyticu_on @ F @ (insert @ Z @ empty)) <=> ?[S:(cartrealn2 > $o)]:((open @ S) & (in @ Z @ S) & (holomorphicu_on @ F @ S)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHOLOMORPHICu_ONu_POW, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),N:num]:((holomorphicu_on @ F @ S) => (holomorphicu_on @ ^[Z:cartrealn2]:(complexu_pow @ (F @ Z) @ N) @ S))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),N:num,Z:cartrealn2]:((analyticu_on @ F @ (insert @ Z @ empty)) => (analyticu_on @ ^[W:cartrealn2]:(complexu_pow @ (F @ W) @ N) @ (insert @ Z @ empty)))).
