%   ORIGINAL: COMPLEX_DERIVATIVE_MUL_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ANALYTIC_AT_TWO: !f g z. f analytic_on {z} /\ g analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s /\ g holomorphic_on s)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DERIVATIVE_MUL: !f g z. f complex_differentiable at z /\ g complex_differentiable at z ==> complex_derivative (\w. f w * g w) z = f z * complex_derivative g z + complex_derivative f z * g z
% Assm: HOLOMORPHIC_ON_IMP_DIFFERENTIABLE_AT: !f s x. f holomorphic_on s /\ open s /\ x IN s ==> f complex_differentiable at x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g z. f analytic_on {z} /\ g analytic_on {z} ==> complex_derivative (\w. f w * g w) z = f z * complex_derivative g z + complex_derivative f z * g z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g z. f analytic_on {z} /\ g analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s /\ g holomorphic_on s)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g z. f complex_differentiable at z /\ g complex_differentiable at z ==> complex_derivative (\w. f w * g w) z = f z * complex_derivative g z + complex_derivative f z * g z
% Assm: !f s x. f holomorphic_on s /\ open s /\ x IN s ==> f complex_differentiable at x
% Assm: ~F <=> T
% Assm: T
% Goal: !f g z. f analytic_on {z} /\ g analytic_on {z} ==> complex_derivative (\w. f w * g w) z = f z * complex_derivative g z + complex_derivative f z * g z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_derivative, type, complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(cinsert, type, insert : (cartrealn2 > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aANALYTICu_ATu_TWO, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),Z:cartrealn2]:(((analyticu_on @ F @ (insert @ Z @ empty)) & (analyticu_on @ G @ (insert @ Z @ empty))) <=> ?[S:(cartrealn2 > $o)]:((open @ S) & (in @ Z @ S) & (holomorphicu_on @ F @ S) & (holomorphicu_on @ G @ S)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DERIVATIVEu_MUL, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),Z:cartrealn2]:(((complexu_differentiable @ F @ (at @ Z)) & (complexu_differentiable @ G @ (at @ Z))) => ((complexu_derivative @ ^[W:cartrealn2]:(complexu_mul @ (F @ W) @ (G @ W)) @ Z) = (vectoru_add @ (complexu_mul @ (F @ Z) @ (complexu_derivative @ G @ Z)) @ (complexu_mul @ (complexu_derivative @ F @ Z) @ (G @ Z)))))).
thf(aHOLOMORPHICu_ONu_IMPu_DIFFERENTIABLEu_AT, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),X:cartrealn2]:(((holomorphicu_on @ F @ S) & (open @ S) & (in @ X @ S)) => (complexu_differentiable @ F @ (at @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),Z:cartrealn2]:(((analyticu_on @ F @ (insert @ Z @ empty)) & (analyticu_on @ G @ (insert @ Z @ empty))) => ((complexu_derivative @ ^[W:cartrealn2]:(complexu_mul @ (F @ W) @ (G @ W)) @ Z) = (vectoru_add @ (complexu_mul @ (F @ Z) @ (complexu_derivative @ G @ Z)) @ (complexu_mul @ (complexu_derivative @ F @ Z) @ (G @ Z)))))).
