%   ORIGINAL: COMPLEX_DERIVATIVE_LMUL_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ANALYTIC_AT: !f z. f analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DERIVATIVE_LMUL: !f c z. f complex_differentiable at z ==> complex_derivative (\w. c * f w) z = c * complex_derivative f z
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HOLOMORPHIC_ON_IMP_DIFFERENTIABLE_AT: !f s x. f holomorphic_on s /\ open s /\ x IN s ==> f complex_differentiable at x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f c z. f analytic_on {z} ==> complex_derivative (\w. c * f w) z = c * complex_derivative f z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f z. f analytic_on {z} <=> (?s. open s /\ z IN s /\ f holomorphic_on s)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f c z. f complex_differentiable at z ==> complex_derivative (\w. c * f w) z = c * complex_derivative f z
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f s x. f holomorphic_on s /\ open s /\ x IN s ==> f complex_differentiable at x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f c z. f analytic_on {z} ==> complex_derivative (\w. c * f w) z = c * complex_derivative f z
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_derivative, type, complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(cinsert, type, insert : (cartrealn2 > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aANALYTICu_AT, axiom, ![F:(cartrealn2 > cartrealn2),Z:cartrealn2]:((analyticu_on @ F @ (insert @ Z @ empty)) <=> ?[S:(cartrealn2 > $o)]:((open @ S) & (in @ Z @ S) & (holomorphicu_on @ F @ S)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DERIVATIVEu_LMUL, axiom, ![F:(cartrealn2 > cartrealn2),C:cartrealn2,Z:cartrealn2]:((complexu_differentiable @ F @ (at @ Z)) => ((complexu_derivative @ ^[W:cartrealn2]:(complexu_mul @ C @ (F @ W)) @ Z) = (complexu_mul @ C @ (complexu_derivative @ F @ Z))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHOLOMORPHICu_ONu_IMPu_DIFFERENTIABLEu_AT, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),X:cartrealn2]:(((holomorphicu_on @ F @ S) & (open @ S) & (in @ X @ S)) => (complexu_differentiable @ F @ (at @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),C:cartrealn2,Z:cartrealn2]:((analyticu_on @ F @ (insert @ Z @ empty)) => ((complexu_derivative @ ^[W:cartrealn2]:(complexu_mul @ C @ (F @ W)) @ Z) = (complexu_mul @ C @ (complexu_derivative @ F @ Z))))).
