%   ORIGINAL: HAS_VECTOR_DERIVATIVE_REAL_COMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_CMUL: !c x. c % x = Cx c * x
% Assm: COMPLEX_MUL_SYM: !x y. x * y = y * x
% Assm: CX_ADD: !x y. Cx (x + y) = Cx x + Cx y
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: DIFF_CHAIN_AT: !f g f' g' x. (f has_derivative f') (at x) /\ (g has_derivative g') (at (f x)) ==> (g o f has_derivative g' o f') (at x)
% Assm: DROP_ADD: !x y. drop (x + y) = drop x + drop y
% Assm: DROP_CMUL: !x c. drop (c % x) = c * drop x
% Assm: HAS_DERIVATIVE_LINEAR: !f net. linear f ==> (f has_derivative f) net
% Assm: TRUTH: T
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Assm: has_vector_derivative: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: (f has_complex_derivative f') (at (Cx (drop a))) ==> ((\x. f (Cx (drop x))) has_vector_derivative f') (at a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c x. c % x = Cx c * x
% Assm: !x y. x * y = y * x
% Assm: !x y. Cx (x + y) = Cx x + Cx y
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !f g f' g' x. (f has_derivative f') (at x) /\ (g has_derivative g') (at (f x)) ==> (g o f has_derivative g' o f') (at x)
% Assm: !f g f' g' x. (f has_derivative f') (at x) /\ (g has_derivative g') (at (f x)) ==> (g o f has_derivative g' o f') (at x)
% Assm: !f g f' g' x. (f has_derivative f') (at x) /\ (g has_derivative g') (at (f x)) ==> (g o f has_derivative g' o f') (at x)
% Assm: !f g f' g' x. (f has_derivative f') (at x) /\ (g has_derivative g') (at (f x)) ==> (g o f has_derivative g' o f') (at x)
% Assm: !x y. drop (x + y) = drop x + drop y
% Assm: !x c. drop (c % x) = c * drop x
% Assm: !f net. linear f ==> (f has_derivative f) net
% Assm: T
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !a f' f. (f has_complex_derivative f') (at (Cx (drop a))) ==> ((\x. f (Cx (drop x))) has_vector_derivative f') (at a)
%  TYPES
thf(tp, type, p : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tcartrealq409901, type, cartrealq409901 : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealq409900, type, netcartrealq409900 : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn1, type, n1 : $tType).
thf(tq409900, type, q409900 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tn2, type, n2 : $tType).
thf(tq409901, type, q409901 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tcartrealq409900, type, cartrealq409900 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat0, type, at0 : (cartrealn1 > netcartrealn1)).
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(co3, type, o3 : ((b > c) > (a > b) > a > c)).
thf(cru_2, type, r_2 : (real > cartrealn > cartrealn)).
thf(cru_1, type, r_1 : (real > cartrealm > cartrealm)).
thf(cvectoruu_add2, type, vectoru_add2 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealm > cartrealm > cartrealm)).
thf(chasuu_derivative5, type, hasu_derivative5 : ((cartrealq409900 > cartrealq409901) > (cartrealq409900 > cartrealq409901) > netcartrealq409900 > $o)).
thf(cru_0, type, r_0 : (real > cartrealn1 > cartrealn1)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(co2, type, o2 : ((cartrealn1 > cartrealp) > (cartrealn1 > cartrealn1) > cartrealn1 > cartrealp)).
thf(chasuu_derivative4, type, hasu_derivative4 : ((cartrealn1 > cartrealn1) > (cartrealn1 > cartrealn1) > netcartrealn1 > $o)).
thf(co1, type, o1 : ((cartrealn2 > cartrealp) > (cartrealn1 > cartrealn2) > cartrealn1 > cartrealp)).
thf(chasuu_derivative3, type, hasu_derivative3 : ((cartrealn1 > cartrealn2) > (cartrealn1 > cartrealn2) > netcartrealn1 > $o)).
thf(co0, type, o0 : ((cartrealn1 > cartrealp) > (cartrealn2 > cartrealn1) > cartrealn2 > cartrealp)).
thf(chasuu_derivative2, type, hasu_derivative2 : ((cartrealn1 > cartrealp) > (cartrealn1 > cartrealp) > netcartrealn1 > $o)).
thf(chasuu_derivative1, type, hasu_derivative1 : ((cartrealn2 > cartrealn1) > (cartrealn2 > cartrealn1) > netcartrealn2 > $o)).
thf(co, type, o : ((cartrealn2 > cartrealp) > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealp)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn2 > cartrealp) > (cartrealn2 > cartrealp) > netcartrealn2 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cru_, type, r_ : (real > cartrealn2 > cartrealn2)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealn2) > cartrealn2 > netcartrealn1 > $o)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(clinear0, type, linear0 : ((cartrealm > cartrealn) > $o)).
thf(clinear, type, linear : ((cartrealq409900 > cartrealq409901) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_CMUL, axiom, ![C:real,X:cartrealn2]:((r_ @ C @ X) = (complexu_mul @ (cx @ C) @ X))).
thf(aCOMPLEXu_MULu_SYM, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ Y) = (complexu_mul @ Y @ X))).
thf(aCXu_ADD, axiom, ![X:real,Y:real]:((cx @ (realu_add @ X @ Y)) = (vectoru_add @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aDIFFu_CHAINu_ATu_monomorphized3, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealp),FI_:(cartrealn2 > cartrealn2),GI_:(cartrealn2 > cartrealp),X:cartrealn2]:(((hasu_derivative @ F @ FI_ @ (at @ X)) & (hasu_derivative0 @ G @ GI_ @ (at @ (F @ X)))) => (hasu_derivative0 @ (o @ G @ F) @ (o @ GI_ @ FI_) @ (at @ X)))).
thf(aDIFFu_CHAINu_ATu_monomorphized2, axiom, ![F:(cartrealn2 > cartrealn1),G:(cartrealn1 > cartrealp),FI_:(cartrealn2 > cartrealn1),GI_:(cartrealn1 > cartrealp),X:cartrealn2]:(((hasu_derivative1 @ F @ FI_ @ (at @ X)) & (hasu_derivative2 @ G @ GI_ @ (at0 @ (F @ X)))) => (hasu_derivative0 @ (o0 @ G @ F) @ (o0 @ GI_ @ FI_) @ (at @ X)))).
thf(aDIFFu_CHAINu_ATu_monomorphized1, axiom, ![F:(cartrealn1 > cartrealn2),G:(cartrealn2 > cartrealp),FI_:(cartrealn1 > cartrealn2),GI_:(cartrealn2 > cartrealp),X:cartrealn1]:(((hasu_derivative3 @ F @ FI_ @ (at0 @ X)) & (hasu_derivative0 @ G @ GI_ @ (at @ (F @ X)))) => (hasu_derivative2 @ (o1 @ G @ F) @ (o1 @ GI_ @ FI_) @ (at0 @ X)))).
thf(aDIFFu_CHAINu_ATu_monomorphized0, axiom, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealp),FI_:(cartrealn1 > cartrealn1),GI_:(cartrealn1 > cartrealp),X:cartrealn1]:(((hasu_derivative4 @ F @ FI_ @ (at0 @ X)) & (hasu_derivative2 @ G @ GI_ @ (at0 @ (F @ X)))) => (hasu_derivative2 @ (o2 @ G @ F) @ (o2 @ GI_ @ FI_) @ (at0 @ X)))).
thf(aDROPu_ADD, axiom, ![X:cartrealn1,Y:cartrealn1]:((drop @ (vectoru_add0 @ X @ Y)) = (realu_add @ (drop @ X) @ (drop @ Y)))).
thf(aDROPu_CMUL, axiom, ![X:cartrealn1,C:real]:((drop @ (r_0 @ C @ X)) = (realu_mul @ C @ (drop @ X)))).
thf(aHASu_DERIVATIVEu_LINEAR, axiom, ![F:(cartrealq409900 > cartrealq409901),NET:netcartrealq409900]:((linear @ F) => (hasu_derivative5 @ F @ F @ NET))).
thf(aTRUTH, axiom, $true).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(ahasu_vectoru_derivative, axiom, ![F:(cartrealn1 > cartrealn2),FI_:cartrealn2,NET:netcartrealn1]:((hasu_vectoru_derivative @ F @ FI_ @ NET) <=> (hasu_derivative3 @ F @ ^[X:cartrealn1]:(r_ @ (drop @ X) @ FI_) @ NET))).
thf(alinear, axiom, ![F:(cartrealm > cartrealn)]:((linear0 @ F) <=> (![X:cartrealm,Y:cartrealm]:((F @ (vectoru_add1 @ X @ Y)) = (vectoru_add2 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealm]:((F @ (r_1 @ C @ X)) = (r_2 @ C @ (F @ X)))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o3 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![A:cartrealn1,FI_:cartrealn2,F:(cartrealn2 > cartrealn2)]:((hasu_complexu_derivative @ F @ FI_ @ (at @ (cx @ (drop @ A)))) => (hasu_vectoru_derivative @ ^[X:cartrealn1]:(F @ (cx @ (drop @ X))) @ FI_ @ (at0 @ A)))).
