%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_SEQUENCE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_NORM_MUL: !w z. norm (w * z) = norm w * norm z
% Assm: COMPLEX_SUB_RDISTRIB: !x y z. (x - y) * z = x * z - y * z
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_DERIVATIVE_SEQUENCE: !s f f' g'. convex s /\ (!n x. x IN s ==> (f n has_derivative f' n x) (at x within s)) /\ (!e. &0 < e ==> (?N. !n x h. n >= N /\ x IN s ==> norm (f' n x h - g' x h) <= e * norm h)) /\ (?x l. x IN s /\ ((\n. f n x) --> l) sequentially) ==> (?g. !x. x IN s ==> ((\n. f n x) --> g x) sequentially /\ (g has_derivative g' x) (at x within s))
% Assm: I_THM: !x. I x = x
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_RMUL: !x y z. x <= y /\ &0 <= z ==> x * z <= y * z
% Assm: TRUTH: T
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !s f f' g'. convex s /\ (!n x. x IN s ==> (f n has_complex_derivative f' n x) (at x within s)) /\ (!e. &0 < e ==> (?N. !n x. n >= N /\ x IN s ==> norm (f' n x - g' x) <= e)) /\ (?x l. x IN s /\ ((\n. f n x) --> l) sequentially) ==> (?g. !x. x IN s ==> ((\n. f n x) --> g x) sequentially /\ (g has_complex_derivative g' x) (at x within s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !w z. norm (w * z) = norm w * norm z
% Assm: !x y z. (x - y) * z = x * z - y * z
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !s f f' g'. convex s /\ (!n x. x IN s ==> (f n has_derivative f' n x) (at x within s)) /\ (!e. &0 < e ==> (?N. !n x h. n >= N /\ x IN s ==> norm (f' n x h - g' x h) <= e * norm h)) /\ (?x l. x IN s /\ ((\n. f n x) --> l) sequentially) ==> (?g. !x. x IN s ==> ((\n. f n x) --> g x) sequentially /\ (g has_derivative g' x) (at x within s))
% Assm: !x. I x = x
% Assm: !x. &0 <= norm x
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ &0 <= z ==> x * z <= y * z
% Assm: T
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !s f f' g'. convex s /\ (!n x. x IN s ==> (f n has_complex_derivative f' n x) (at x within s)) /\ (!e. &0 < e ==> (?N. !n x. n >= N /\ x IN s ==> norm (f' n x - g' x) <= e)) /\ (?x l. x IN s /\ ((\n. f n x) --> l) sequentially) ==> (?g. !x. x IN s ==> ((\n. f n x) --> g x) sequentially /\ (g has_complex_derivative g' x) (at x within s))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn2) > cartrealn2 > netnum > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(cconvex, type, convex : ((cartrealn2 > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_NORMu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_norm @ (complexu_mul @ W @ Z)) = (realu_mul @ (vectoru_norm @ W) @ (vectoru_norm @ Z)))).
thf(aCOMPLEXu_SUBu_RDISTRIB, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:((complexu_mul @ (vectoru_sub @ X @ Y) @ Z) = (vectoru_sub @ (complexu_mul @ X @ Z) @ (complexu_mul @ Y @ Z)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_DERIVATIVEu_SEQUENCE, axiom, ![S:(cartrealn2 > $o),F:(num > cartrealn2 > cartrealn2),FI_:(num > cartrealn2 > cartrealn2 > cartrealn2),GI_:(cartrealn2 > cartrealn2 > cartrealn2)]:(((convex @ S) & ![N:num,X:cartrealn2]:((in @ X @ S) => (hasu_derivative @ (F @ N) @ (FI_ @ N @ X) @ (within @ (at @ X) @ S))) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num,X:cartrealn2,H:cartrealn2]:(((g_a_ @ N0 @ N) & (in @ X @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ (FI_ @ N0 @ X @ H) @ (GI_ @ X @ H))) @ (realu_mul @ E @ (vectoru_norm @ H))))) & ?[X:cartrealn2,L:cartrealn2]:((in @ X @ S) & (m_m_g_ @ ^[N:num]:(F @ N @ X) @ L @ sequentially))) => ?[G:(cartrealn2 > cartrealn2)]:![X:cartrealn2]:((in @ X @ S) => ((m_m_g_ @ ^[N:num]:(F @ N @ X) @ (G @ X) @ sequentially) & (hasu_derivative @ G @ (GI_ @ X) @ (within @ (at @ X) @ S)))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn2]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_RMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Z)) => (realu_le @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(conjecture, conjecture, ![S:(cartrealn2 > $o),F:(num > cartrealn2 > cartrealn2),FI_:(num > cartrealn2 > cartrealn2),GI_:(cartrealn2 > cartrealn2)]:(((convex @ S) & ![N:num,X:cartrealn2]:((in @ X @ S) => (hasu_complexu_derivative @ (F @ N) @ (FI_ @ N @ X) @ (within @ (at @ X) @ S))) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num,X:cartrealn2]:(((g_a_ @ N0 @ N) & (in @ X @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ (FI_ @ N0 @ X) @ (GI_ @ X))) @ E))) & ?[X:cartrealn2,L:cartrealn2]:((in @ X @ S) & (m_m_g_ @ ^[N:num]:(F @ N @ X) @ L @ sequentially))) => ?[G:(cartrealn2 > cartrealn2)]:![X:cartrealn2]:((in @ X @ S) => ((m_m_g_ @ ^[N:num]:(F @ N @ X) @ (G @ X) @ sequentially) & (hasu_complexu_derivative @ G @ (GI_ @ X) @ (within @ (at @ X) @ S)))))).
