%   ORIGINAL: COMPLEX_DIFFERENTIABLE_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_NORM_MUL: !w z. norm (w * z) = norm w * norm z
% Assm: DIFFERENTIABLE_BOUND: !f f' s B. convex s /\ (!x. x IN s ==> (f has_derivative f' x) (at x within s)) /\ (!x. x IN s ==> onorm (f' x) <= B) ==> (!x y. x IN s /\ y IN s ==> norm (f x - f y) <= B * norm (x - y))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_COMPLEX_MUL: !c. linear (\x. c * x)
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ONORM: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: REAL_LE_RMUL: !x y z. x <= y /\ &0 <= z ==> x * z <= y * z
% Assm: TRUTH: T
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f f' s B. convex s /\ (!x. x IN s ==> (f has_complex_derivative f' x) (at x within s) /\ norm (f' x) <= B) ==> (!x y. x IN s /\ y IN s ==> norm (f x - f y) <= B * norm (x - y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !w z. norm (w * z) = norm w * norm z
% Assm: !f f' s B. convex s /\ (!x. x IN s ==> (f has_derivative f' x) (at x within s)) /\ (!x. x IN s ==> onorm (f' x) <= B) ==> (!x y. x IN s /\ y IN s ==> norm (f x - f y) <= B * norm (x - y))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !c. linear (\x. c * x)
% Assm: !x. &0 <= norm x
% Assm: ~F <=> T
% Assm: !f. linear f ==> (!x. norm (f x) <= onorm f * norm x) /\ (!b. (!x. norm (f x) <= b * norm x) ==> onorm f <= b)
% Assm: !x y z. x <= y /\ &0 <= z ==> x * z <= y * z
% Assm: T
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !f f' s B. convex s /\ (!x. x IN s ==> (f has_complex_derivative f' x) (at x within s) /\ norm (f' x) <= B) ==> (!x y. x IN s /\ y IN s ==> norm (f x - f y) <= B * norm (x - y))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(conorm, type, onorm : ((cartrealn2 > cartrealn2) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(clinear, type, linear : ((cartrealn2 > cartrealn2) > $o)).
thf(cconvex, type, convex : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_NORMu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_norm @ (complexu_mul @ W @ Z)) = (realu_mul @ (vectoru_norm @ W) @ (vectoru_norm @ Z)))).
thf(aDIFFERENTIABLEu_BOUND, axiom, ![F:(cartrealn2 > cartrealn2),FI_:(cartrealn2 > cartrealn2 > cartrealn2),S:(cartrealn2 > $o),B:real]:(((convex @ S) & ![X:cartrealn2]:((in @ X @ S) => (hasu_derivative @ F @ (FI_ @ X) @ (within @ (at @ X) @ S))) & ![X:cartrealn2]:((in @ X @ S) => (realu_le @ (onorm @ (FI_ @ X)) @ B))) => ![X:cartrealn2,Y:cartrealn2]:(((in @ X @ S) & (in @ Y @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ (F @ X) @ (F @ Y))) @ (realu_mul @ B @ (vectoru_norm @ (vectoru_sub @ X @ Y))))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLINEARu_COMPLEXu_MUL, axiom, ![C:cartrealn2]:(linear @ ^[X:cartrealn2]:(complexu_mul @ C @ X))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn2]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aONORM, axiom, ![F:(cartrealn2 > cartrealn2)]:((linear @ F) => (![X:cartrealn2]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ (onorm @ F) @ (vectoru_norm @ X))) & ![B:real]:(![X:cartrealn2]:(realu_le @ (vectoru_norm @ (F @ X)) @ (realu_mul @ B @ (vectoru_norm @ X))) => (realu_le @ (onorm @ F) @ B))))).
thf(aREALu_LEu_RMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Z)) => (realu_le @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),FI_:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),B:real]:(((convex @ S) & ![X:cartrealn2]:((in @ X @ S) => ((hasu_complexu_derivative @ F @ (FI_ @ X) @ (within @ (at @ X) @ S)) & (realu_le @ (vectoru_norm @ (FI_ @ X)) @ B)))) => ![X:cartrealn2,Y:cartrealn2]:(((in @ X @ S) & (in @ Y @ S)) => (realu_le @ (vectoru_norm @ (vectoru_sub @ (F @ X) @ (F @ Y))) @ (realu_mul @ B @ (vectoru_norm @ (vectoru_sub @ X @ Y))))))).
