%   ORIGINAL: COMPLEX_DIFFERENTIABLE_IMP_DIFFERENTIABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_differentiable: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !net f. f complex_differentiable net ==> f differentiable net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !net f. f complex_differentiable net ==> f differentiable net
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cdifferentiable, type, differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_differentiable, axiom, ![F:(cartrealn2 > cartrealn2),NET:netcartrealn2]:((complexu_differentiable @ F @ NET) <=> ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ NET))).
thf(adifferentiable, axiom, ![F:(cartrealn2 > cartrealn2),NET:netcartrealn2]:((differentiable @ F @ NET) <=> ?[FI_:(cartrealn2 > cartrealn2)]:(hasu_derivative @ F @ FI_ @ NET))).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(conjecture, conjecture, ![NET:netcartrealn2,F:(cartrealn2 > cartrealn2)]:((complexu_differentiable @ F @ NET) => (differentiable @ F @ NET))).
