%   ORIGINAL: COMPLEX_BASIS_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct7: !m n. BIT0 m = BIT1 n <=> F
% Assm: ARITH_EQ_conjunct8: !m n. BIT1 m = BIT0 n <=> F
% Assm: BASIS_COMPONENT: !k i. 1 <= i /\ i <= dimindex (:N) ==> basis k$i = (if i = k then &1 else &0)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DIMINDEX_2: dimindex (:2) = 2
% Assm: FORALL_2: !P. (!i. 1 <= i /\ i <= 2 ==> P i) <=> P 1 /\ P 2
% Assm: IM: Im (complex (x,y)) = y
% Assm: IM_CX: !x. Im (Cx x) = &0
% Assm: IM_DEF: !z. Im z = z$2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RE: Re (complex (x,y)) = x
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: RE_DEF: !z. Re z = z$1
% Assm: TRUTH: T
% Assm: ii: ii = complex (&0,&1)
% Goal: basis 2 = ii
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !m n. BIT0 m = BIT1 n <=> F
% Assm: !m n. BIT1 m = BIT0 n <=> F
% Assm: !k i. 1 <= i /\ i <= dimindex (:2) ==> basis k$i = (if i = k then &1 else &0)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:2) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: dimindex (:2) = 2
% Assm: !P. (!i. 1 <= i /\ i <= 2 ==> P i) <=> P 1 /\ P 2
% Assm: !x y. Im (complex (x,y)) = y
% Assm: !x. Im (Cx x) = &0
% Assm: !z. Im z = z$2
% Assm: ~F <=> T
% Assm: !y x. Re (complex (x,y)) = x
% Assm: !x. Re (Cx x) = x
% Assm: !z. Re z = z$1
% Assm: T
% Assm: ii = complex (&0,&1)
% Goal: basis 2 = ii
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cre, type, re : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cbasis, type, basis : (num > cartrealn2)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccond0, type, cond0 : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cuniv, type, univ : (n2 > $o)).
thf(cdimindex, type, dimindex : ((n2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct7, axiom, ![M:num,N:num]:(((bit0 @ M) = (bit1 @ N)) <=> $false)).
thf(aARITHu_EQu_conjunct8, axiom, ![M:num,N:num]:(((bit1 @ M) = (bit0 @ N)) <=> $false)).
thf(aBASISu_COMPONENT, axiom, ![K:num,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (basis @ K) @ I) = (cond @ (I = K) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn2,Y:cartrealn2]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn2,T2:cartrealn2]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aDIMINDEXu_2, axiom, ((dimindex @ univ) = (numeral @ (bit0 @ (bit1 @ u_0))))).
thf(aFORALLu_2, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit0 @ (bit1 @ u_0))))) => (P @ I)) <=> ((P @ (numeral @ (bit1 @ u_0))) & (P @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aIM, axiom, ![X:real,Y:real]:((im @ (complex @ (c_ @ X @ Y))) = Y)).
thf(aIMu_CX, axiom, ![X:real]:((im @ (cx @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aIMu_DEF, axiom, ![Z:cartrealn2]:((im @ Z) = (d_ @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aREu_DEF, axiom, ![Z:cartrealn2]:((re @ Z) = (d_ @ Z @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aii, axiom, (ii = (complex @ (c_ @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(conjecture, conjecture, ((basis @ (numeral @ (bit0 @ (bit1 @ u_0)))) = ii)).
