%   ORIGINAL: REAL_SERIES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INTER: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: REAL_LIM_SEQUENTIALLY: !f l. (f --> l) sequentially /\ (?N. !n. n >= N ==> real (f n)) ==> real l
% Assm: REAL_VSUM: !f s. FINITE s /\ (!a. a IN s ==> real (f a)) ==> real (vsum s f)
% Assm: TRUTH: T
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f l s. (f sums l) s /\ (!n. real (f n)) ==> real l
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: !m n. FINITE (m..n)
% Assm: !f l. (f --> l) sequentially /\ (?N. !n. n >= N ==> real (f n)) ==> real l
% Assm: !f s. FINITE s /\ (!a. a IN s ==> real (f a)) ==> real (vsum s f)
% Assm: T
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f l s. (f sums l) s /\ (!n. real (f n)) ==> real l
%  TYPES
thf(tq565702, type, q565702 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cin, type, in : (q565702 > (q565702 > $o) > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cinter0, type, inter0 : ((num > $o) > (num > $o) > num > $o)).
thf(cvsum0, type, vsum0 : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(cvsum, type, vsum : ((q565702 > $o) > (q565702 > cartrealn2) > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn2) > cartrealn2 > netnum > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(cfinite1, type, finite1 : ((q565702 > $o) > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INTER, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ S) | (finite @ T)) => (finite @ (inter @ S @ T)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aREALu_LIMu_SEQUENTIALLY, axiom, ![F:(num > cartrealn2),L:cartrealn2]:(((m_m_g_ @ F @ L @ sequentially) & ?[N:num]:![N0:num]:((g_a_ @ N0 @ N) => (real0 @ (F @ N0)))) => (real0 @ L))).
thf(aREALu_VSUM, axiom, ![F:(q565702 > cartrealn2),S:(q565702 > $o)]:(((finite1 @ S) & ![A:q565702]:((in @ A @ S) => (real0 @ (F @ A)))) => (real0 @ (vsum @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(asums, axiom, ![S:(num > $o),F:(num > cartrealn2),L:cartrealn2]:((sums @ F @ L @ S) <=> (m_m_g_ @ ^[N:num]:(vsum0 @ (inter0 @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > cartrealn2),L:cartrealn2,S:(num > $o)]:(((sums @ F @ L @ S) & ![N:num]:(real0 @ (F @ N))) => (real0 @ L))).
