%   ORIGINAL: LIM_NULL_COMPARISON_COMPLEX_RE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_NORM_GE_RE_IM: !z. abs (Re z) <= norm z /\ abs (Im z) <= norm z
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVENTUALLY_MONO: !net p q. (!x. p x ==> q x) /\ eventually p net ==> eventually q net
% Assm: LIM_NULL_COMPARISON_COMPLEX: !net f g. eventually (\x. norm (f x) <= norm (g x)) net /\ (g --> Cx (&0)) net ==> (f --> Cx (&0)) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_LE: !x. x <= abs x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Goal: !net f g. eventually (\x. norm (f x) <= Re (g x)) net /\ (g --> Cx (&0)) net ==> (f --> Cx (&0)) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. abs (Re z) <= norm z /\ abs (Im z) <= norm z
% Assm: !t. (\x. t x) = t
% Assm: !net p q. (!x. p x ==> q x) /\ eventually p net ==> eventually q net
% Assm: !net f g. eventually (\x. norm (f x) <= norm (g x)) net /\ (g --> Cx (&0)) net ==> (f --> Cx (&0)) net
% Assm: ~F <=> T
% Assm: !x. x <= abs x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Goal: !net f g. eventually (\x. norm (f x) <= Re (g x)) net /\ (g --> Cx (&0)) net ==> (f --> Cx (&0)) net
%  TYPES
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cim, type, im : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn2) > cartrealn2 > neta > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_NORMu_GEu_REu_IM, axiom, ![Z:cartrealn2]:((realu_le @ (realu_abs @ (re @ Z)) @ (vectoru_norm @ Z)) & (realu_le @ (realu_abs @ (im @ Z)) @ (vectoru_norm @ Z)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEVENTUALLYu_MONO, axiom, ![NET:neta,P:(a > $o),Q:(a > $o)]:((![X:a]:((P @ X) => (Q @ X)) & (eventually @ P @ NET)) => (eventually @ Q @ NET))).
thf(aLIMu_NULLu_COMPARISONu_COMPLEX, axiom, ![NET:neta,F:(a > cartrealn2),G:(a > cartrealn2)]:(((eventually @ ^[X:a]:(realu_le @ (vectoru_norm @ (F @ X)) @ (vectoru_norm @ (G @ X))) @ NET) & (m_m_g_ @ G @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET)) => (m_m_g_ @ F @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_LE, axiom, ![X:real]:(realu_le @ X @ (realu_abs @ X))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealn2),G:(a > cartrealn2)]:(((eventually @ ^[X:a]:(realu_le @ (vectoru_norm @ (F @ X)) @ (re @ (G @ X))) @ NET) & (m_m_g_ @ G @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET)) => (m_m_g_ @ F @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET))).
