%   ORIGINAL: SUMMABLE_SUBSET_COMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: SERIES_COMPARISON_COMPLEX: !f g s. summable s g /\ (!n. n IN s ==> real (g n) /\ &0 <= Re (g n)) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= norm (g n)) ==> summable s f
% Assm: SUMMABLE_SUBSET: !x s t. s SUBSET t /\ summable t (\i. if i IN s then x i else vec 0) ==> summable s x
% Assm: TRUTH: T
% Goal: !x s t. (!n. n IN s ==> real (x n) /\ &0 <= Re (x n)) /\ summable s x /\ t SUBSET s ==> summable t x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: norm (vec 0) = &0
% Assm: !x. &0 <= norm x
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !f g s. summable s g /\ (!n. n IN s ==> real (g n) /\ &0 <= Re (g n)) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= norm (g n)) ==> summable s f
% Assm: !x s t. s SUBSET t /\ summable t (\i. if i IN s then x i else vec 0) ==> summable s x
% Assm: T
% Goal: !x s t. (!n. n IN s ==> real (x n) /\ &0 <= Re (x n)) /\ summable s x /\ t SUBSET s ==> summable t x
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq99706, type, cartrealq99706 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tq99722, type, q99722 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tcartrealq99722, type, cartrealq99722 : $tType).
thf(tq99706, type, q99706 : $tType).
%  CONSTS
thf(cvec0, type, vec0 : (num > cartrealn2)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealn2 > real)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq99722 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq99706 > real)).
thf(csubset, type, subset : ((num > $o) > (num > $o) > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn2) > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec, type, vec : (num > cartrealq99706)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealq99722]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm0 @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSERIESu_COMPARISONu_COMPLEX, axiom, ![F:(num > cartrealn2),G:(num > cartrealn2),S:(num > $o)]:(((summable @ S @ G) & ![N:num]:((in @ N @ S) => ((real0 @ (G @ N)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ (G @ N))))) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (vectoru_norm1 @ (F @ N0)) @ (vectoru_norm1 @ (G @ N0))))) => (summable @ S @ F))).
thf(aSUMMABLEu_SUBSET, axiom, ![X:(num > cartrealn2),S:(num > $o),T:(num > $o)]:(((subset @ S @ T) & (summable @ T @ ^[I:num]:(cond0 @ (in @ I @ S) @ (X @ I) @ (vec0 @ (numeral @ u_0))))) => (summable @ S @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:(num > cartrealn2),S:(num > $o),T:(num > $o)]:((![N:num]:((in @ N @ S) => ((real0 @ (X @ N)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ (X @ N))))) & (summable @ S @ X) & (subset @ T @ S)) => (summable @ T @ X))).
