%   ORIGINAL: SERIES_ABSCONV_IMP_CONV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: REAL_CX: !x. real (Cx x)
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: SERIES_COMPARISON_COMPLEX: !f g s. summable s g /\ (!n. n IN s ==> real (g n) /\ &0 <= Re (g n)) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= norm (g n)) ==> summable s f
% Assm: TRUTH: T
% Goal: !x k. summable k (\n. Cx (norm (x n))) ==> summable k x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm (Cx x) = abs x
% Assm: !x. &0 <= norm x
% Assm: !x. abs (norm x) = norm x
% Assm: !x. real (Cx x)
% Assm: !x. x <= x
% Assm: !x. Re (Cx x) = x
% Assm: !f g s. summable s g /\ (!n. n IN s ==> real (g n) /\ &0 <= Re (g n)) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= norm (g n)) ==> summable s f
% Assm: T
% Goal: !x k. summable k (\n. Cx (norm (x n))) ==> summable k x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn2 > real)).
thf(csummable0, type, summable0 : ((num > $o) > (num > cartrealn) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn2) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm0 @ (cx @ X)) = (realu_abs @ X))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealn]:((realu_abs @ (vectoru_norm @ X)) = (vectoru_norm @ X))).
thf(aREALu_CX, axiom, ![X:real]:(real0 @ (cx @ X))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aSERIESu_COMPARISONu_COMPLEX, axiom, ![F:(num > cartrealn),G:(num > cartrealn2),S:(num > $o)]:(((summable @ S @ G) & ![N:num]:((in @ N @ S) => ((real0 @ (G @ N)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ (G @ N))))) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (vectoru_norm @ (F @ N0)) @ (vectoru_norm0 @ (G @ N0))))) => (summable0 @ S @ F))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:(num > cartrealn),K:(num > $o)]:((summable @ K @ ^[N:num]:(cx @ (vectoru_norm @ (X @ N)))) => (summable0 @ K @ X))).
