%   ORIGINAL: SUMMABLE_GP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: COMPLEX_NORM_POW: !z n. norm (z pow n) = norm z pow n
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CX_POW: !x n. Cx (x pow n) = Cx x pow n
% Assm: FROM_0: from 0 = (:num)
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: REAL_ABS_POW: !x n. abs (x pow n) = abs x pow n
% Assm: REAL_CX: !x. real (Cx x)
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: Real_ext.REAL_PROP_NN_POW: !x n. &0 <= x ==> &0 <= x pow n
% Assm: SERIES_COMPARISON_COMPLEX: !f g s. summable s g /\ (!n. n IN s ==> real (g n) /\ &0 <= Re (g n)) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= norm (g n)) ==> summable s f
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: SUMMABLE_SUBSET: !x s t. s SUBSET t /\ summable t (\i. if i IN s then x i else vec 0) ==> summable s x
% Assm: SUMS_GP: !n z. norm z < &1 ==> ((\k. z pow k) sums z pow n / (Cx (&1) - z)) (from n)
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !z k. norm z < &1 ==> summable k (\n. z pow n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm (Cx x) = abs x
% Assm: !z n. norm (z pow n) = norm z pow n
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x n. Cx (x pow n) = Cx x pow n
% Assm: from 0 = (:num)
% Assm: norm (vec 0) = &0
% Assm: !x. &0 <= norm x
% Assm: !x. abs (norm x) = norm x
% Assm: !x n. abs (x pow n) = abs x pow n
% Assm: !x. real (Cx x)
% Assm: !x. x <= x
% Assm: !x. Re (Cx x) = x
% Assm: !x n. &0 <= x ==> &0 <= x pow n
% Assm: !f g s. summable s g /\ (!n. n IN s ==> real (g n) /\ &0 <= Re (g n)) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= norm (g n)) ==> summable s f
% Assm: !s. s SUBSET (:A)
% Assm: !x s t. s SUBSET t /\ summable t (\i. if i IN s then x i else vec 0) ==> summable s x
% Assm: !n z. norm z < &1 ==> ((\k. z pow k) sums z pow n / (Cx (&1) - z)) (from n)
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !z k. norm z < &1 ==> summable k (\n. z pow n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((num > $o) > (num > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(cfrom, type, from : (num > num > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn2) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (num > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (a > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aCOMPLEXu_NORMu_POW, axiom, ![Z:cartrealn2,N:num]:((vectoru_norm @ (complexu_pow @ Z @ N)) = (realu_pow @ (vectoru_norm @ Z) @ N))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCXu_POW, axiom, ![X:real,N:num]:((cx @ (realu_pow @ X @ N)) = (complexu_pow @ (cx @ X) @ N))).
thf(aFROMu_0, axiom, ((from @ (numeral @ u_0)) = univ)).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn2]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealn2]:((realu_abs @ (vectoru_norm @ X)) = (vectoru_norm @ X))).
thf(aREALu_ABSu_POW, axiom, ![X:real,N:num]:((realu_abs @ (realu_pow @ X @ N)) = (realu_pow @ (realu_abs @ X) @ N))).
thf(aREALu_CX, axiom, ![X:real]:(real0 @ (cx @ X))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aRealu_exto_REALu_PROPu_NNu_POW, axiom, ![X:real,N:num]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aSERIESu_COMPARISONu_COMPLEX, axiom, ![F:(num > cartrealn2),G:(num > cartrealn2),S:(num > $o)]:(((summable @ S @ G) & ![N:num]:((in @ N @ S) => ((real0 @ (G @ N)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ (G @ N))))) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (vectoru_norm @ (F @ N0)) @ (vectoru_norm @ (G @ N0))))) => (summable @ S @ F))).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset @ S @ univ0)).
thf(aSUMMABLEu_SUBSET, axiom, ![X:(num > cartrealn2),S:(num > $o),T:(num > $o)]:(((subset0 @ S @ T) & (summable @ T @ ^[I:num]:(cond0 @ (in @ I @ S) @ (X @ I) @ (vec @ (numeral @ u_0))))) => (summable @ S @ X))).
thf(aSUMSu_GP, axiom, ![N:num,Z:cartrealn2]:((realu_lt @ (vectoru_norm @ Z) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (sums @ ^[K:num]:(complexu_pow @ Z @ K) @ (complexu_div @ (complexu_pow @ Z @ N) @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Z)) @ (from @ N)))).
thf(aTRUTH, axiom, $true).
thf(asummable, axiom, ![F:(num > cartrealn2),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn2]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![Z:cartrealn2,K:(num > $o)]:((realu_lt @ (vectoru_norm @ Z) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (summable @ K @ ^[N:num]:(complexu_pow @ Z @ N)))).
