%   ORIGINAL: SERIES_DIRICHLET_COMPLEX_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BILINEAR_COMPLEX_MUL: bilinear (*)
% Assm: COMPLEX_MUL_SYM: !x y. x * y = y * x
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: FINITE_INTER: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: LIFT_SUM: !k x. FINITE k ==> lift (sum k x) = vsum k (lift o x)
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: SERIES_CAUCHY: !f s. (?l. (f sums l) s) <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> norm (vsum (s INTER (m..n)) f) < e))
% Assm: SERIES_DIRICHLET_BILINEAR: !f g h k m p l. bilinear h /\ bounded {vsum (m..n) f | n IN (:num)} /\ summable (from p) (\n. lift (norm (g (n + 1) - g n))) /\ ((\n. h (g (n + 1)) (vsum (1..n) f)) --> l) sequentially ==> summable (from k) (\n. h (g n) (f n))
% Assm: TRUTH: T
% Assm: VSUM_CX: !f s. FINITE s ==> vsum s (\a. Cx (f a)) = Cx (sum s f)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f g N k m p l. bounded {vsum (m..n) f | n IN (:num)} /\ summable (from p) (\n. Cx (norm (g (n + 1) - g n))) /\ ((\n. vsum (1..n) f * g (n + 1)) --> l) sequentially ==> summable (from k) (\n. f n * g n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: bilinear (*)
% Assm: !x y. x * y = y * x
% Assm: !x. norm (Cx x) = abs x
% Assm: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: !m n. FINITE (m..n)
% Assm: !k x. FINITE k ==> lift (sum k x) = vsum k (lift o x)
% Assm: !x. norm (lift x) = abs x
% Assm: !f s. (?l. (f sums l) s) <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> norm (vsum (s INTER (m..n)) f) < e))
% Assm: !f g h k m p l. bilinear h /\ bounded {vsum (m..n) f | n IN (:num)} /\ summable (from p) (\n. lift (norm (g (n + 1) - g n))) /\ ((\n. h (g (n + 1)) (vsum (1..n) f)) --> l) sequentially ==> summable (from k) (\n. h (g n) (f n))
% Assm: T
% Assm: !f s. FINITE s ==> vsum s (\a. Cx (f a)) = Cx (sum s f)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f g N k m p l. bounded {vsum (m..n) f | n IN (:num)} /\ summable (from p) (\n. Cx (norm (g (n + 1) - g n))) /\ ((\n. vsum (1..n) f * g (n + 1)) --> l) sequentially ==> summable (from k) (\n. f n * g n)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq580975, type, q580975 : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq116579, type, q116579 : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(csummable0, type, summable0 : ((num > $o) > (num > cartrealn1) > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(csum, type, sum : ((q116579 > $o) > (q116579 > real) > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cfrom, type, from : (num > num > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn2) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cinter0, type, inter0 : ((num > $o) > (num > $o) > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(co, type, o : ((real > cartrealn1) > (q116579 > real) > q116579 > cartrealn1)).
thf(cvsum0, type, vsum0 : ((q116579 > $o) > (q116579 > cartrealn1) > cartrealn1)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn2) > cartrealn2 > netnum > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cfinite1, type, finite1 : ((q116579 > $o) > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cbilinear, type, bilinear : ((cartrealn2 > cartrealn2 > cartrealn2) > $o)).
thf(cbounded, type, bounded : ((cartrealn2 > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBILINEARu_COMPLEXu_MUL, axiom, (bilinear @ complexu_mul)).
thf(aCOMPLEXu_MULu_SYM, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ Y) = (complexu_mul @ Y @ X))).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aFINITEu_INTER, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ S) | (finite @ T)) => (finite @ (inter @ S @ T)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aLIFTu_SUM, axiom, ![K:(q116579 > $o),X:(q116579 > real)]:((finite1 @ K) => ((lift @ (sum @ K @ X)) = (vsum0 @ K @ (o @ lift @ X))))).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm0 @ (lift @ X)) = (realu_abs @ X))).
thf(aSERIESu_CAUCHY, axiom, ![F:(num > cartrealn2),S:(num > $o)]:(?[L:cartrealn2]:(sums @ F @ L @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:((g_a_ @ M @ N) => (realu_lt @ (vectoru_norm @ (vsum @ (inter0 @ S @ (o_o_ @ M @ N0)) @ F)) @ E))))).
thf(aSERIESu_DIRICHLETu_BILINEAR, axiom, ![F:(num > cartrealn2),G:(num > cartrealn2),H:(cartrealn2 > cartrealn2 > cartrealn2),K:num,M:num,P:num,L:cartrealn2]:(((bilinear @ H) & (bounded @ (gspec @ ^[GENR_PVARR_729:cartrealn2]:?[N:num]:(setspec @ GENR_PVARR_729 @ (in @ N @ univ) @ (vsum @ (o_o_ @ M @ N) @ F)))) & (summable0 @ (from @ P) @ ^[N:num]:(lift @ (vectoru_norm @ (vectoru_sub @ (G @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) @ (G @ N))))) & (m_m_g_ @ ^[N:num]:(H @ (G @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) @ (vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N) @ F)) @ L @ sequentially)) => (summable @ (from @ K) @ ^[N:num]:(H @ (G @ N) @ (F @ N))))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CX, axiom, ![F:(num > real),S:(num > $o)]:((finite0 @ S) => ((vsum @ S @ ^[A:num]:(cx @ (F @ A))) = (cx @ (sum0 @ S @ F))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(asummable, axiom, ![F:(num > cartrealn2),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn2]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![F:(num > cartrealn2),G:(num > cartrealn2),N:q580975,K:num,M:num,P:num,L:cartrealn2]:(((bounded @ (gspec @ ^[GENR_PVARR_2275:cartrealn2]:?[N0:num]:(setspec @ GENR_PVARR_2275 @ (in @ N0 @ univ) @ (vsum @ (o_o_ @ M @ N0) @ F)))) & (summable @ (from @ P) @ ^[N0:num]:(cx @ (vectoru_norm @ (vectoru_sub @ (G @ (p_ @ N0 @ (numeral @ (bit1 @ u_0)))) @ (G @ N0))))) & (m_m_g_ @ ^[N0:num]:(complexu_mul @ (vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N0) @ F) @ (G @ (p_ @ N0 @ (numeral @ (bit1 @ u_0))))) @ L @ sequentially)) => (summable @ (from @ K) @ ^[N0:num]:(complexu_mul @ (F @ N0) @ (G @ N0))))).
