%   ORIGINAL: SERIES_DIRICHLET_COMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_CMUL: !c x. c % x = Cx c * x
% Assm: COMPLEX_MUL_SYM: !x y. x * y = y * x
% Assm: COMPLEX_NORM_GE_RE_IM: !z. abs (Re z) <= norm z /\ abs (Im z) <= norm z
% Assm: COMPLEX_SUB_RZERO: !x. x - Cx (&0) = x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: LIM_SEQUENTIALLY: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL: !z. real z <=> Cx (Re z) = z
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: SERIES_DIRICHLET: !f g N k m. bounded {vsum (m..n) f | n IN (:num)} /\ (!n. N <= n ==> g (n + 1) <= g n) /\ (lift o g --> vec 0) sequentially ==> summable (from k) (\n. g n % f n)
% Assm: TRUTH: T
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g N k m. bounded {vsum (m..n) f | n IN (:num)} /\ (!n. real (g n)) /\ (!n. N <= n ==> Re (g (n + 1)) <= Re (g n)) /\ (g --> Cx (&0)) sequentially ==> summable (from k) (\n. f n * g n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !c x. c % x = Cx c * x
% Assm: !x y. x * y = y * x
% Assm: !z. abs (Re z) <= norm z /\ abs (Im z) <= norm z
% Assm: !x. x - Cx (&0) = x
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !s l. (s --> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> dist (s n,l) < e))
% Assm: !x. norm (lift x) = abs x
% Assm: ~F <=> T
% Assm: !z. real z <=> Cx (Re z) = z
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !f g N k m. bounded {vsum (m..n) f | n IN (:num)} /\ (!n. N <= n ==> g (n + 1) <= g n) /\ (lift o g --> vec 0) sequentially ==> summable (from k) (\n. g n % f n)
% Assm: T
% Assm: !x. x - vec 0 = x
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g N k m. bounded {vsum (m..n) f | n IN (:num)} /\ (!n. real (g n)) /\ (!n. N <= n ==> Re (g (n + 1)) <= Re (g n)) /\ (g --> Cx (&0)) sequentially ==> summable (from k) (\n. f n * g n)
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tcartrealq97531, type, cartrealq97531 : $tType).
thf(treal, type, real : $tType).
thf(tq97531, type, q97531 : $tType).
thf(tn1, type, n1 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tprodcartrealn2cartrealn2, type, prodcartrealn2cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq98293 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq98293cartrealq98293 > real)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(cdistance, type, distance : (prodcartrealn2cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cfrom, type, from : (num > num > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn2) > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cvectoruu_sub1, type, vectoru_sub1 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_0, type, c_0 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq97531 > cartrealq97531 > cartrealq97531)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealn1) > cartrealn1 > netnum > $o)).
thf(ccu_, type, c_ : (cartrealn2 > cartrealn2 > prodcartrealn2cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cru_, type, r_ : (real > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn2) > cartrealn2 > netnum > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cbounded, type, bounded : ((cartrealn2 > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cvec0, type, vec0 : (num > cartrealq97531)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_CMUL, axiom, ![C:real,X:cartrealn2]:((r_ @ C @ X) = (complexu_mul @ (cx @ C) @ X))).
thf(aCOMPLEXu_MULu_SYM, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ Y) = (complexu_mul @ Y @ X))).
thf(aCOMPLEXu_NORMu_GEu_REu_IM, axiom, ![Z:cartrealn2]:((realu_le @ (realu_abs @ (re @ Z)) @ (vectoru_norm @ Z)) & (realu_le @ (realu_abs @ (im @ Z)) @ (vectoru_norm @ Z)))).
thf(aCOMPLEXu_SUBu_RZERO, axiom, ![X:cartrealn2]:((vectoru_sub @ X @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = X)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLIMu_SEQUENTIALLY, axiom, ![S:(num > cartrealn2),L:cartrealn2]:((m_m_g_ @ S @ L @ sequentially) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (distance @ (c_ @ (S @ N0) @ L)) @ E))))).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm0 @ (lift @ X)) = (realu_abs @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREAL, axiom, ![Z:cartrealn2]:((real0 @ Z) <=> ((cx @ (re @ Z)) = Z))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aSERIESu_DIRICHLET, axiom, ![F:(num > cartrealn2),G:(num > real),N:num,K:num,M:num]:(((bounded @ (gspec @ ^[GENR_PVARR_730:cartrealn2]:?[N0:num]:(setspec @ GENR_PVARR_730 @ (in @ N0 @ univ) @ (vsum @ (o_o_ @ M @ N0) @ F)))) & ![N0:num]:((l_a_ @ N @ N0) => (realu_le @ (G @ (p_ @ N0 @ (numeral @ (bit1 @ u_0)))) @ (G @ N0))) & (m_m_g_0 @ (o @ lift @ G) @ (vec @ (numeral @ u_0)) @ sequentially)) => (summable @ (from @ K) @ ^[N0:num]:(r_ @ (G @ N0) @ (F @ N0))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealq97531]:((vectoru_sub0 @ X @ (vec0 @ (numeral @ u_0))) = X)).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance0 @ (c_0 @ X @ Y)) = (vectoru_norm1 @ (vectoru_sub1 @ X @ Y)))).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(num > cartrealn2),G:(num > cartrealn2),N:num,K:num,M:num]:(((bounded @ (gspec @ ^[GENR_PVARR_2276:cartrealn2]:?[N0:num]:(setspec @ GENR_PVARR_2276 @ (in @ N0 @ univ) @ (vsum @ (o_o_ @ M @ N0) @ F)))) & ![N0:num]:(real0 @ (G @ N0)) & ![N0:num]:((l_a_ @ N @ N0) => (realu_le @ (re @ (G @ (p_ @ N0 @ (numeral @ (bit1 @ u_0))))) @ (re @ (G @ N0)))) & (m_m_g_ @ G @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ sequentially)) => (summable @ (from @ K) @ ^[N0:num]:(complexu_mul @ (F @ N0) @ (G @ N0))))).
