%   ORIGINAL: SERIES_DIRICHLET_COMPLEX_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_PARTIAL_SUMS: !f k. bounded {vsum (k..n) f | n IN (:num)} ==> bounded {vsum (m..n) f | m IN (:num) /\ n IN (:num)}
% Assm: BOUNDED_POS: !s. bounded s <=> (?b. &0 < b /\ (!x. x IN s ==> norm x <= b))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: SERIES_DIRICHLET_COMPLEX_VERY_EXPLICIT: !f g B p. &0 < B /\ 1 <= p /\ (!m n. p <= m ==> norm (vsum (m..n) f) <= B) /\ (!n. p <= n ==> real (g n) /\ &0 <= Re (g n)) /\ (!n. p <= n ==> Re (g (n + 1)) <= Re (g n)) ==> (!m n. p <= m ==> norm (vsum (m..n) (\k. f k * g k)) <= &2 * B * norm (g m))
% Assm: TRUTH: T
% Goal: !f g p q. 1 <= p /\ bounded {vsum (q..n) f | n IN (:num)} /\ (!n. p <= n ==> real (g n) /\ &0 <= Re (g n)) /\ (!n. p <= n ==> Re (g (n + 1)) <= Re (g n)) ==> (?B. &0 < B /\ (!m n. p <= m ==> norm (vsum (m..n) (\k. f k * g k)) <= B * norm (g m)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f k. bounded {vsum (k..n) f | n IN (:num)} ==> bounded {vsum (m..n) f | m IN (:num) /\ n IN (:num)}
% Assm: !s. bounded s <=> (?b. &0 < b /\ (!x. x IN s ==> norm x <= b))
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. x IN (:num)
% Assm: ~F <=> T
% Assm: !m n. &m < &n <=> m < n
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !f g B p. &0 < B /\ 1 <= p /\ (!m n. p <= m ==> norm (vsum (m..n) f) <= B) /\ (!n. p <= n ==> real (g n) /\ &0 <= Re (g n)) /\ (!n. p <= n ==> Re (g (n + 1)) <= Re (g n)) ==> (!m n. p <= m ==> norm (vsum (m..n) (\k. f k * g k)) <= &2 * B * norm (g m))
% Assm: T
% Goal: !f g p q. 1 <= p /\ bounded {vsum (q..n) f | n IN (:num)} /\ (!n. p <= n ==> real (g n) /\ &0 <= Re (g n)) /\ (!n. p <= n ==> Re (g (n + 1)) <= Re (g n)) ==> (?B. &0 < B /\ (!m n. p <= m ==> norm (vsum (m..n) (\k. f k * g k)) <= B * norm (g m)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(cin0, type, in0 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cbounded, type, bounded : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_PARTIALu_SUMS, axiom, ![F:(num > cartrealn2),K:num]:((bounded @ (gspec @ ^[GENR_PVARR_727:cartrealn2]:?[N:num]:(setspec @ GENR_PVARR_727 @ (in @ N @ univ) @ (vsum @ (o_o_ @ K @ N) @ F)))) => (bounded @ (gspec @ ^[GENR_PVARR_728:cartrealn2]:?[M:num,N:num]:(setspec @ GENR_PVARR_728 @ ((in @ M @ univ) & (in @ N @ univ)) @ (vsum @ (o_o_ @ M @ N) @ F)))))).
thf(aBOUNDEDu_POS, axiom, ![S:(cartrealn2 > $o)]:((bounded @ S) <=> ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealn2]:((in0 @ X @ S) => (realu_le @ (vectoru_norm @ X) @ B))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > num > $o) > $o),X:num]:((in @ X @ (gspec0 @ ^[V:num]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:num]:(P0 & (X = T))))).
thf(aINu_UNIV, axiom, ![X:num]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aSERIESu_DIRICHLETu_COMPLEXu_VERYu_EXPLICIT, axiom, ![F:(num > cartrealn2),G:(num > cartrealn2),B:real,P:num]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ P) & ![M:num,N:num]:((l_a_ @ P @ M) => (realu_le @ (vectoru_norm @ (vsum @ (o_o_ @ M @ N) @ F)) @ B)) & ![N:num]:((l_a_ @ P @ N) => ((real0 @ (G @ N)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ (G @ N))))) & ![N:num]:((l_a_ @ P @ N) => (realu_le @ (re @ (G @ (p_ @ N @ (numeral @ (bit1 @ u_0))))) @ (re @ (G @ N))))) => ![M:num,N:num]:((l_a_ @ P @ M) => (realu_le @ (vectoru_norm @ (vsum @ (o_o_ @ M @ N) @ ^[K:num]:(complexu_mul @ (F @ K) @ (G @ K)))) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ B @ (vectoru_norm @ (G @ M)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > cartrealn2),G:(num > cartrealn2),P:num,Q:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ P) & (bounded @ (gspec @ ^[GENR_PVARR_2277:cartrealn2]:?[N:num]:(setspec @ GENR_PVARR_2277 @ (in @ N @ univ) @ (vsum @ (o_o_ @ Q @ N) @ F)))) & ![N:num]:((l_a_ @ P @ N) => ((real0 @ (G @ N)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ (G @ N))))) & ![N:num]:((l_a_ @ P @ N) => (realu_le @ (re @ (G @ (p_ @ N @ (numeral @ (bit1 @ u_0))))) @ (re @ (G @ N))))) => ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![M:num,N:num]:((l_a_ @ P @ M) => (realu_le @ (vectoru_norm @ (vsum @ (o_o_ @ M @ N) @ ^[K:num]:(complexu_mul @ (F @ K) @ (G @ K)))) @ (realu_mul @ B @ (vectoru_norm @ (G @ M)))))))).
