%   ORIGINAL: POWER_SERIES_CONV_IMP_ABSCONV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ABEL_LEMMA: !a M r r0. &0 <= r /\ r < r0 /\ (!n. n IN k ==> norm (a n) * r0 pow n <= M) ==> summable k (\n. Cx (norm (a n) * r pow n))
% Assm: BOUNDED_POS: !s. bounded s <=> (?b. &0 < b /\ (!x. x IN s ==> norm x <= b))
% Assm: COMPLEX_NORM_MUL: !w z. norm (w * z) = norm w * norm z
% Assm: COMPLEX_NORM_POW: !z n. norm (z pow n) = norm z pow n
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: SUMMABLE_IMP_BOUNDED: !f k. summable k f ==> bounded (IMAGE f k)
% Assm: TRUTH: T
% Goal: !a k w z. summable k (\n. a n * z pow n) /\ norm w < norm z ==> summable k (\n. Cx (norm (a n * w pow n)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !k a M r r0. &0 <= r /\ r < r0 /\ (!n. n IN k ==> norm (a n) * r0 pow n <= M) ==> summable k (\n. Cx (norm (a n) * r pow n))
% Assm: !s. bounded s <=> (?b. &0 < b /\ (!x. x IN s ==> norm x <= b))
% Assm: !w z. norm (w * z) = norm w * norm z
% Assm: !z n. norm (z pow n) = norm z pow n
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. &0 <= norm x
% Assm: !f k. summable k f ==> bounded (IMAGE f k)
% Assm: T
% Goal: !a k w z. summable k (\n. a n * z pow n) /\ norm w < norm z ==> summable k (\n. Cx (norm (a n * w pow n)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq47565, type, q47565 : $tType).
thf(tb, type, b : $tType).
thf(tq47566, type, q47566 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cin2, type, in2 : (q47566 > (q47566 > $o) > $o)).
thf(cin1, type, in1 : (q47565 > (q47565 > $o) > $o)).
thf(cin0, type, in0 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn2) > $o)).
thf(cimage0, type, image0 : ((num > cartrealn2) > (num > $o) > cartrealn2 > $o)).
thf(cimage, type, image : ((q47566 > q47565) > (q47566 > $o) > q47565 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cbounded, type, bounded : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aABELu_LEMMA, axiom, ![K:(num > $o),A:(num > cartrealn2),M:real,R:real,R0:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (realu_lt @ R @ R0) & ![N:num]:((in @ N @ K) => (realu_le @ (realu_mul @ (vectoru_norm @ (A @ N)) @ (realu_pow @ R0 @ N)) @ M))) => (summable @ K @ ^[N:num]:(cx @ (realu_mul @ (vectoru_norm @ (A @ N)) @ (realu_pow @ R @ N)))))).
thf(aBOUNDEDu_POS, axiom, ![S:(cartrealn2 > $o)]:((bounded @ S) <=> ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealn2]:((in0 @ X @ S) => (realu_le @ (vectoru_norm @ X) @ B))))).
thf(aCOMPLEXu_NORMu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_norm @ (complexu_mul @ W @ Z)) = (realu_mul @ (vectoru_norm @ W) @ (vectoru_norm @ Z)))).
thf(aCOMPLEXu_NORMu_POW, axiom, ![Z:cartrealn2,N:num]:((vectoru_norm @ (complexu_pow @ Z @ N)) = (realu_pow @ (vectoru_norm @ Z) @ N))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(q47565 > $o),F:(q47566 > q47565),S:(q47566 > $o)]:(![Y:q47565]:((in1 @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:q47566]:((in2 @ X @ S) => (P @ (F @ X))))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn2]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aSUMMABLEu_IMPu_BOUNDED, axiom, ![F:(num > cartrealn2),K:(num > $o)]:((summable @ K @ F) => (bounded @ (image0 @ F @ K)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:(num > cartrealn2),K:(num > $o),W:cartrealn2,Z:cartrealn2]:(((summable @ K @ ^[N:num]:(complexu_mul @ (A @ N) @ (complexu_pow @ Z @ N))) & (realu_lt @ (vectoru_norm @ W) @ (vectoru_norm @ Z))) => (summable @ K @ ^[N:num]:(cx @ (vectoru_norm @ (complexu_mul @ (A @ N) @ (complexu_pow @ W @ N))))))).
