%   ORIGINAL: CEXP_CONVERGES_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CEXP_CONVERGES: !z. ((\n. z pow n / Cx (&(FACT n))) sums cexp z) (from 0)
% Assm: SERIES_UNIQUE: !f l l' s. (f sums l) s /\ (f sums l') s ==> l = l'
% Assm: TRUTH: T
% Goal: !w z. ((\n. z pow n / Cx (&(FACT n))) sums w) (from 0) <=> w = cexp z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. ((\n. z pow n / Cx (&(FACT n))) sums cexp z) (from 0)
% Assm: !f l l' s. (f sums l) s /\ (f sums l') s ==> l = l'
% Assm: T
% Goal: !w z. ((\n. z pow n / Cx (&(FACT n))) sums w) (from 0) <=> w = cexp z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cfrom, type, from : (num > num > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cfact, type, fact : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCEXPu_CONVERGES, axiom, ![Z:cartrealn2]:(sums @ ^[N:num]:(complexu_div @ (complexu_pow @ Z @ N) @ (cx @ (realu_ofu_num @ (fact @ N)))) @ (cexp @ Z) @ (from @ (numeral @ u_0)))).
thf(aSERIESu_UNIQUE, axiom, ![F:(num > cartrealn2),L:cartrealn2,LI_:cartrealn2,S:(num > $o)]:(((sums @ F @ L @ S) & (sums @ F @ LI_ @ S)) => (L = LI_))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((sums @ ^[N:num]:(complexu_div @ (complexu_pow @ Z @ N) @ (cx @ (realu_ofu_num @ (fact @ N)))) @ W @ (from @ (numeral @ u_0))) <=> (W = (cexp @ Z)))).
