%   ORIGINAL: COMPLEX_DIFFERENTIABLE_WITHIN_CEXP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DIFFERENTIABLE_AT_CEXP: !z. cexp complex_differentiable at z
% Assm: COMPLEX_DIFFERENTIABLE_AT_WITHIN: !f s z. f complex_differentiable at z ==> f complex_differentiable at z within s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s z. cexp complex_differentiable at z within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. cexp complex_differentiable at z
% Assm: !f s z. f complex_differentiable at z ==> f complex_differentiable at z within s
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s z. cexp complex_differentiable at z within s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DIFFERENTIABLEu_ATu_CEXP, axiom, ![Z:cartrealn2]:(complexu_differentiable @ cexp @ (at @ Z))).
thf(aCOMPLEXu_DIFFERENTIABLEu_ATu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),Z:cartrealn2]:((complexu_differentiable @ F @ (at @ Z)) => (complexu_differentiable @ F @ (within @ (at @ Z) @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn2 > $o),Z:cartrealn2]:(complexu_differentiable @ cexp @ (within @ (at @ Z) @ S))).
