%   ORIGINAL: CEXP_NEG_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CEXP_0: cexp (Cx (&0)) = Cx (&1)
% Assm: CEXP_ADD_MUL: !w z. cexp (w + z) * cexp (--z) = cexp w
% Assm: COMPLEX_ADD_LID: !x. Cx (&0) + x = x
% Assm: TRUTH: T
% Goal: !z. cexp z * cexp (--z) = Cx (&1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: cexp (Cx (&0)) = Cx (&1)
% Assm: !w z. cexp (w + z) * cexp (--z) = cexp w
% Assm: !x. Cx (&0) + x = x
% Assm: T
% Goal: !z. cexp z * cexp (--z) = Cx (&1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCEXPu_0, axiom, ((cexp @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCEXPu_ADDu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_mul @ (cexp @ (vectoru_add @ W @ Z)) @ (cexp @ (vectoru_neg @ Z))) = (cexp @ W))).
thf(aCOMPLEXu_ADDu_LID, axiom, ![X:cartrealn2]:((vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:((complexu_mul @ (cexp @ Z) @ (cexp @ (vectoru_neg @ Z))) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
