%   ORIGINAL: CEXP_NEG_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CEXP_NEG_RMUL: !z. cexp z * cexp (--z) = Cx (&1)
% Assm: COMPLEX_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Goal: !z. cexp (--z) * cexp z = Cx (&1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. cexp z * cexp (--z) = Cx (&1)
% Assm: !x y. x * y = y * x
% Assm: T
% Goal: !z. cexp (--z) * cexp z = Cx (&1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCEXPu_NEGu_RMUL, axiom, ![Z:cartrealn2]:((complexu_mul @ (cexp @ Z) @ (cexp @ (vectoru_neg @ Z))) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCOMPLEXu_MULu_SYM, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ Y) = (complexu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:((complexu_mul @ (cexp @ (vectoru_neg @ Z)) @ (cexp @ Z)) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
