%   ORIGINAL: CEXP_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CEXP_ADD: !w z. cexp (w + z) = cexp w * cexp z
% Assm: CEXP_NEG: !z. cexp (--z) = inv (cexp z)
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Assm: complex_sub: w - z = w + --z
% Goal: !w z. cexp (w - z) = cexp w / cexp z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. cexp (w + z) = cexp w * cexp z
% Assm: !z. cexp (--z) = inv (cexp z)
% Assm: T
% Assm: !w z. w / z = w * inv z
% Assm: !w z. w - z = w + --z
% Goal: !w z. cexp (w - z) = cexp w / cexp z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCEXPu_ADD, axiom, ![W:cartrealn2,Z:cartrealn2]:((cexp @ (vectoru_add @ W @ Z)) = (complexu_mul @ (cexp @ W) @ (cexp @ Z)))).
thf(aCEXPu_NEG, axiom, ![Z:cartrealn2]:((cexp @ (vectoru_neg @ Z)) = (complexu_inv @ (cexp @ Z)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(acomplexu_sub, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_sub @ W @ Z) = (vectoru_add @ W @ (vectoru_neg @ Z)))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((cexp @ (vectoru_sub @ W @ Z)) = (complexu_div @ (cexp @ W) @ (cexp @ Z)))).
