%   ORIGINAL: CEXP_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CEXP_0: cexp (Cx (&0)) = Cx (&1)
% Assm: CEXP_ADD: !w z. cexp (w + z) = cexp w * cexp z
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CPRODUCT_CLAUSES_conjunct0: !f. cproduct {} f = Cx (&1)
% Assm: CPRODUCT_CLAUSES_conjunct1: !x f s. FINITE s ==> cproduct (x INSERT s) f = (if x IN s then cproduct s f else f x * cproduct s f)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !f s. FINITE s ==> cexp (vsum s f) = cproduct s (\x. cexp (f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: cexp (Cx (&0)) = Cx (&1)
% Assm: !w z. cexp (w + z) = cexp w * cexp z
% Assm: vec 0 = Cx (&0)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f. cproduct {} f = Cx (&1)
% Assm: !x f s. FINITE s ==> cproduct (x INSERT s) f = (if x IN s then cproduct s f else f x * cproduct s f)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !f s. FINITE s ==> cexp (vsum s f) = cproduct s (\x. cexp (f x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tq586231, type, q586231 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cin, type, in : (q586231 > (q586231 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cinsert, type, insert : (q586231 > (q586231 > $o) > q586231 > $o)).
thf(ccond, type, cond : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccproduct, type, cproduct : ((q586231 > $o) > (q586231 > cartrealn2) > cartrealn2)).
thf(cvsum, type, vsum : ((q586231 > $o) > (q586231 > cartrealn2) > cartrealn2)).
thf(cfinite, type, finite : ((q586231 > $o) > $o)).
thf(cempty, type, empty : (q586231 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCEXPu_0, axiom, ((cexp @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCEXPu_ADD, axiom, ![W:cartrealn2,Z:cartrealn2]:((cexp @ (vectoru_add @ W @ Z)) = (complexu_mul @ (cexp @ W) @ (cexp @ Z)))).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn2,T2:cartrealn2]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCPRODUCTu_CLAUSESu_conjunct0, axiom, ![F:(q586231 > cartrealn2)]:((cproduct @ empty @ F) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCPRODUCTu_CLAUSESu_conjunct1, axiom, ![X:q586231,F:(q586231 > cartrealn2),S:(q586231 > $o)]:((finite @ S) => ((cproduct @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (cproduct @ S @ F) @ (complexu_mul @ (F @ X) @ (cproduct @ S @ F)))))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q586231 > $o) > $o)]:(((P @ empty) & ![X:q586231,S:(q586231 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q586231 > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q586231 > cartrealn2)]:((vsum @ empty @ F) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q586231,F:(q586231 > cartrealn2),S:(q586231 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(conjecture, conjecture, ![F:(q586231 > cartrealn2),S:(q586231 > $o)]:((finite @ S) => ((cexp @ (vsum @ S @ F)) = (cproduct @ S @ ^[X:q586231]:(cexp @ (F @ X)))))).
