%   ORIGINAL: CSIN_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CCOS_NEG: !z. ccos (--z) = ccos z
% Assm: COMPLEX_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: CSIN_ADD: !w z. csin (w + z) = csin w * ccos z + ccos w * csin z
% Assm: CSIN_NEG: !z. csin (--z) = --csin z
% Assm: TRUTH: T
% Assm: complex_sub: w - z = w + --z
% Goal: !w z. csin (w - z) = csin w * ccos z - ccos w * csin z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. ccos (--z) = ccos z
% Assm: !x y. x * --y = --(x * y)
% Assm: !w z. csin (w + z) = csin w * ccos z + ccos w * csin z
% Assm: !z. csin (--z) = --csin z
% Assm: T
% Assm: !w z. w - z = w + --z
% Goal: !w z. csin (w - z) = csin w * ccos z - ccos w * csin z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(ccsin, type, csin : (cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCCOSu_NEG, axiom, ![Z:cartrealn2]:((ccos @ (vectoru_neg @ Z)) = (ccos @ Z))).
thf(aCOMPLEXu_MULu_RNEG, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ (vectoru_neg @ Y)) = (vectoru_neg @ (complexu_mul @ X @ Y)))).
thf(aCSINu_ADD, axiom, ![W:cartrealn2,Z:cartrealn2]:((csin @ (vectoru_add @ W @ Z)) = (vectoru_add @ (complexu_mul @ (csin @ W) @ (ccos @ Z)) @ (complexu_mul @ (ccos @ W) @ (csin @ Z))))).
thf(aCSINu_NEG, axiom, ![Z:cartrealn2]:((csin @ (vectoru_neg @ Z)) = (vectoru_neg @ (csin @ Z)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_sub, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_sub @ W @ Z) = (vectoru_add @ W @ (vectoru_neg @ Z)))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((csin @ (vectoru_sub @ W @ Z)) = (vectoru_sub @ (complexu_mul @ (csin @ W) @ (ccos @ Z)) @ (complexu_mul @ (ccos @ W) @ (csin @ Z))))).
