%   ORIGINAL: DEMOIVRE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CEXP_EULER: !z. cexp (ii * z) = ccos z + ii * csin z
% Assm: CEXP_N: !n x. cexp (Cx (&n) * x) = cexp x pow n
% Assm: COMPLEX_MUL_AC_conjunct0: m * n = n * m
% Assm: COMPLEX_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: TRUTH: T
% Goal: !z n. (ccos z + ii * csin z) pow n = ccos (Cx (&n) * z) + ii * csin (Cx (&n) * z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. cexp (ii * z) = ccos z + ii * csin z
% Assm: !n x. cexp (Cx (&n) * x) = cexp x pow n
% Assm: !n m. m * n = n * m
% Assm: !n m p. m * n * p = n * m * p
% Assm: T
% Goal: !z n. (ccos z + ii * csin z) pow n = ccos (Cx (&n) * z) + ii * csin (Cx (&n) * z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccsin, type, csin : (cartrealn2 > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cii, type, ii : cartrealn2).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCEXPu_EULER, axiom, ![Z:cartrealn2]:((cexp @ (complexu_mul @ ii @ Z)) = (vectoru_add @ (ccos @ Z) @ (complexu_mul @ ii @ (csin @ Z))))).
thf(aCEXPu_N, axiom, ![N:num,X:cartrealn2]:((cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ N)) @ X)) = (complexu_pow @ (cexp @ X) @ N))).
thf(aCOMPLEXu_MULu_ACu_conjunct0, axiom, ![N:cartrealn2,M:cartrealn2]:((complexu_mul @ M @ N) = (complexu_mul @ N @ M))).
thf(aCOMPLEXu_MULu_ACu_conjunct2, axiom, ![N:cartrealn2,M:cartrealn2,P:cartrealn2]:((complexu_mul @ M @ (complexu_mul @ N @ P)) = (complexu_mul @ N @ (complexu_mul @ M @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2,N:num]:((complexu_pow @ (vectoru_add @ (ccos @ Z) @ (complexu_mul @ ii @ (csin @ Z))) @ N) = (vectoru_add @ (ccos @ (complexu_mul @ (cx @ (realu_ofu_num @ N)) @ Z)) @ (complexu_mul @ ii @ (csin @ (complexu_mul @ (cx @ (realu_ofu_num @ N)) @ Z)))))).
