%   ORIGINAL: CNJ_CEXP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CEXP_CONVERGES: !z. ((\n. z pow n / Cx (&(FACT n))) sums cexp z) (from 0)
% Assm: CNJ_CX: !x. cnj (Cx x) = Cx x
% Assm: CNJ_DIV: !w z. cnj (w / z) = cnj w / cnj z
% Assm: CNJ_POW: !z n. cnj (z pow n) = cnj z pow n
% Assm: SERIES_UNIQUE: !f l l' s. (f sums l) s /\ (f sums l') s ==> l = l'
% Assm: SUMS_CNJ: !net f l. ((\x. cnj (f x)) sums cnj l) net <=> (f sums l) net
% Assm: TRUTH: T
% Goal: !z. cnj (cexp z) = cexp (cnj z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. ((\n. z pow n / Cx (&(FACT n))) sums cexp z) (from 0)
% Assm: !x. cnj (Cx x) = Cx x
% Assm: !w z. cnj (w / z) = cnj w / cnj z
% Assm: !z n. cnj (z pow n) = cnj z pow n
% Assm: !f l l' s. (f sums l) s /\ (f sums l') s ==> l = l'
% Assm: !net f l. ((\x. cnj (f x)) sums cnj l) net <=> (f sums l) net
% Assm: T
% Goal: !z. cnj (cexp z) = cexp (cnj z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cfrom, type, from : (num > num > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cfact, type, fact : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCEXPu_CONVERGES, axiom, ![Z:cartrealn2]:(sums @ ^[N:num]:(complexu_div @ (complexu_pow @ Z @ N) @ (cx @ (realu_ofu_num @ (fact @ N)))) @ (cexp @ Z) @ (from @ (numeral @ u_0)))).
thf(aCNJu_CX, axiom, ![X:real]:((cnj @ (cx @ X)) = (cx @ X))).
thf(aCNJu_DIV, axiom, ![W:cartrealn2,Z:cartrealn2]:((cnj @ (complexu_div @ W @ Z)) = (complexu_div @ (cnj @ W) @ (cnj @ Z)))).
thf(aCNJu_POW, axiom, ![Z:cartrealn2,N:num]:((cnj @ (complexu_pow @ Z @ N)) = (complexu_pow @ (cnj @ Z) @ N))).
thf(aSERIESu_UNIQUE, axiom, ![F:(num > cartrealn2),L:cartrealn2,LI_:cartrealn2,S:(num > $o)]:(((sums @ F @ L @ S) & (sums @ F @ LI_ @ S)) => (L = LI_))).
thf(aSUMSu_CNJ, axiom, ![NET:(num > $o),F:(num > cartrealn2),L:cartrealn2]:((sums @ ^[X:num]:(cnj @ (F @ X)) @ (cnj @ L) @ NET) <=> (sums @ F @ L @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:((cnj @ (cexp @ Z)) = (cexp @ (cnj @ Z)))).
