%   ORIGINAL: REAL_EXP_NEG_MUL2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CEXP_NEG_LMUL: !z. cexp (--z) * cexp z = Cx (&1)
% Assm: CX_EXP: !x. Cx (exp x) = cexp (Cx x)
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: CX_NEG: !x. Cx (--x) = --Cx x
% Assm: TRUTH: T
% Goal: !x. exp (--x) * exp x = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. cexp (--z) * cexp z = Cx (&1)
% Assm: !x. Cx (exp x) = cexp (Cx x)
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !x. Cx (--x) = --Cx x
% Assm: T
% Goal: !x. exp (--x) * exp x = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cexp, type, exp : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCEXPu_NEGu_LMUL, axiom, ![Z:cartrealn2]:((complexu_mul @ (cexp @ (vectoru_neg @ Z)) @ (cexp @ Z)) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCXu_EXP, axiom, ![X:real]:((cx @ (exp @ X)) = (cexp @ (cx @ X)))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_NEG, axiom, ![X:real]:((cx @ (realu_neg @ X)) = (vectoru_neg @ (cx @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((realu_mul @ (exp @ (realu_neg @ X)) @ (exp @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
