%   ORIGINAL: REAL_EXP_N
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CEXP_N: !n x. cexp (Cx (&n) * x) = cexp x pow n
% Assm: CX_EXP: !x. Cx (exp x) = cexp (Cx x)
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: CX_POW: !x n. Cx (x pow n) = Cx x pow n
% Assm: TRUTH: T
% Goal: !n x. exp (&n * x) = exp x pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n x. cexp (Cx (&n) * x) = cexp x pow n
% Assm: !x. Cx (exp x) = cexp (Cx x)
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !x n. Cx (x pow n) = Cx x pow n
% Assm: T
% Goal: !n x. exp (&n * x) = exp x pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cexp, type, exp : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCEXPu_N, axiom, ![N:num,X:cartrealn2]:((cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ N)) @ X)) = (complexu_pow @ (cexp @ X) @ N))).
thf(aCXu_EXP, axiom, ![X:real]:((cx @ (exp @ X)) = (cexp @ (cx @ X)))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_POW, axiom, ![X:real,N:num]:((cx @ (realu_pow @ X @ N)) = (complexu_pow @ (cx @ X) @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real]:((exp @ (realu_mul @ (realu_ofu_num @ N) @ X)) = (realu_pow @ (exp @ X) @ N))).
