%   ORIGINAL: REAL_EXP_MONO_IMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EXP_LT_1: !x. &0 < x ==> &1 < exp x
% Assm: REAL_EXP_POS_LT: !x. &0 < exp x
% Assm: REAL_EXP_SUB: !x y. exp (x - y) = exp x / exp y
% Assm: REAL_LT_RDIV_EQ: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: TRUTH: T
% Goal: !x y. x < y ==> exp x < exp y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 < x ==> &1 < exp x
% Assm: !x. &0 < exp x
% Assm: !x y. exp (x - y) = exp x / exp y
% Assm: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: !x. &1 * x = x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: T
% Goal: !x y. x < y ==> exp x < exp y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cexp, type, exp : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EXPu_LTu_1, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (exp @ X)))).
thf(aREALu_EXPu_POSu_LT, axiom, ![X:real]:(realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (exp @ X))).
thf(aREALu_EXPu_SUB, axiom, ![X:real,Y:real]:((exp @ (realu_sub @ X @ Y)) = (realu_div @ (exp @ X) @ (exp @ Y)))).
thf(aREALu_LTu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_lt @ X @ (realu_div @ Y @ Z)) <=> (realu_lt @ (realu_mul @ X @ Z) @ Y)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_lt @ (exp @ X) @ (exp @ Y)))).
