%   ORIGINAL: REAL_EXP_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PRODUCT_CLAUSES_conjunct0: !f. product {} f = &1
% Assm: PRODUCT_CLAUSES_conjunct1: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: REAL_EXP_ADD: !x y. exp (x + y) = exp x * exp y
% Assm: Real_ext.REAL_SV_EXP_0: exp (&0) = &1
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Goal: !f s. FINITE s ==> exp (sum s f) = product s (\x. exp (f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: !f. product {} f = &1
% Assm: !x f s. FINITE s ==> product (x INSERT s) f = (if x IN s then product s f else f x * product s f)
% Assm: !x y. exp (x + y) = exp x * exp y
% Assm: exp (&0) = &1
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Goal: !f s. FINITE s ==> exp (sum s f) = product s (\x. exp (f x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq587787, type, q587787 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin, type, in : (q587787 > (q587787 > $o) > $o)).
thf(cproduct, type, product : ((q587787 > $o) > (q587787 > real) > real)).
thf(csum, type, sum : ((q587787 > $o) > (q587787 > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (q587787 > (q587787 > $o) > q587787 > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cempty, type, empty : (q587787 > $o)).
thf(cfinite, type, finite : ((q587787 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cexp, type, exp : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q587787 > $o) > $o)]:(((P @ empty) & ![X:q587787,S:(q587787 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q587787 > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPRODUCTu_CLAUSESu_conjunct0, axiom, ![F:(q587787 > real)]:((product @ empty @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aPRODUCTu_CLAUSESu_conjunct1, axiom, ![X:q587787,F:(q587787 > real),S:(q587787 > $o)]:((finite @ S) => ((product @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (product @ S @ F) @ (realu_mul @ (F @ X) @ (product @ S @ F)))))).
thf(aREALu_EXPu_ADD, axiom, ![X:real,Y:real]:((exp @ (realu_add @ X @ Y)) = (realu_mul @ (exp @ X) @ (exp @ Y)))).
thf(aRealu_exto_REALu_SVu_EXPu_0, axiom, ((exp @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(q587787 > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:q587787,F:(q587787 > real),S:(q587787 > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q587787 > real),S:(q587787 > $o)]:((finite @ S) => ((exp @ (sum @ S @ F)) = (product @ S @ ^[X:q587787]:(exp @ (F @ X)))))).
