%   ORIGINAL: CNJ_CCOS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CNJ_ADD: !w z. cnj (w + z) = cnj w + cnj z
% Assm: CNJ_CEXP: !z. cnj (cexp z) = cexp (cnj z)
% Assm: CNJ_CX: !x. cnj (Cx x) = Cx x
% Assm: CNJ_DIV: !w z. cnj (w / z) = cnj w / cnj z
% Assm: CNJ_II: cnj ii = --ii
% Assm: CNJ_MUL: !w z. cnj (w * z) = cnj w * cnj z
% Assm: CNJ_NEG: !z. cnj (--z) = --cnj z
% Assm: COMPLEX_ADD_AC_conjunct0: m + n = n + m
% Assm: COMPLEX_NEG_NEG: !x. -- --x = x
% Assm: TRUTH: T
% Assm: ccos: !z. ccos z = (cexp (ii * z) + cexp (--ii * z)) / Cx (&2)
% Goal: !z. cnj (ccos z) = ccos (cnj z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. cnj (w + z) = cnj w + cnj z
% Assm: !z. cnj (cexp z) = cexp (cnj z)
% Assm: !x. cnj (Cx x) = Cx x
% Assm: !w z. cnj (w / z) = cnj w / cnj z
% Assm: cnj ii = --ii
% Assm: !w z. cnj (w * z) = cnj w * cnj z
% Assm: !z. cnj (--z) = --cnj z
% Assm: !n m. m + n = n + m
% Assm: !x. -- --x = x
% Assm: T
% Assm: !z. ccos z = (cexp (ii * z) + cexp (--ii * z)) / Cx (&2)
% Goal: !z. cnj (ccos z) = ccos (cnj z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCNJu_ADD, axiom, ![W:cartrealn2,Z:cartrealn2]:((cnj @ (vectoru_add @ W @ Z)) = (vectoru_add @ (cnj @ W) @ (cnj @ Z)))).
thf(aCNJu_CEXP, axiom, ![Z:cartrealn2]:((cnj @ (cexp @ Z)) = (cexp @ (cnj @ Z)))).
thf(aCNJu_CX, axiom, ![X:real]:((cnj @ (cx @ X)) = (cx @ X))).
thf(aCNJu_DIV, axiom, ![W:cartrealn2,Z:cartrealn2]:((cnj @ (complexu_div @ W @ Z)) = (complexu_div @ (cnj @ W) @ (cnj @ Z)))).
thf(aCNJu_II, axiom, ((cnj @ ii) = (vectoru_neg @ ii))).
thf(aCNJu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((cnj @ (complexu_mul @ W @ Z)) = (complexu_mul @ (cnj @ W) @ (cnj @ Z)))).
thf(aCNJu_NEG, axiom, ![Z:cartrealn2]:((cnj @ (vectoru_neg @ Z)) = (vectoru_neg @ (cnj @ Z)))).
thf(aCOMPLEXu_ADDu_ACu_conjunct0, axiom, ![N:cartrealn2,M:cartrealn2]:((vectoru_add @ M @ N) = (vectoru_add @ N @ M))).
thf(aCOMPLEXu_NEGu_NEG, axiom, ![X:cartrealn2]:((vectoru_neg @ (vectoru_neg @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(accos, axiom, ![Z:cartrealn2]:((ccos @ Z) = (complexu_div @ (vectoru_add @ (cexp @ (complexu_mul @ ii @ Z)) @ (cexp @ (complexu_mul @ (vectoru_neg @ ii) @ Z))) @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![Z:cartrealn2]:((cnj @ (ccos @ Z)) = (ccos @ (cnj @ Z)))).
