%   ORIGINAL: SIN_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CSIN_SUB: !w z. csin (w - z) = csin w * ccos z - ccos w * csin z
% Assm: CX_COS: !x. Cx (cos x) = ccos (Cx x)
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: CX_SIN: !x. Cx (sin x) = csin (Cx x)
% Assm: CX_SUB: !x y. Cx (x - y) = Cx x - Cx y
% Assm: TRUTH: T
% Goal: !w z. sin (w - z) = sin w * cos z - cos w * sin z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. csin (w - z) = csin w * ccos z - ccos w * csin z
% Assm: !x. Cx (cos x) = ccos (Cx x)
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !x. Cx (sin x) = csin (Cx x)
% Assm: !x y. Cx (x - y) = Cx x - Cx y
% Assm: T
% Goal: !w z. sin (w - z) = sin w * cos z - cos w * sin z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(ccsin, type, csin : (cartrealn2 > cartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccos, type, cos : (real > real)).
thf(csin, type, sin : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCSINu_SUB, axiom, ![W:cartrealn2,Z:cartrealn2]:((csin @ (vectoru_sub @ W @ Z)) = (vectoru_sub @ (complexu_mul @ (csin @ W) @ (ccos @ Z)) @ (complexu_mul @ (ccos @ W) @ (csin @ Z))))).
thf(aCXu_COS, axiom, ![X:real]:((cx @ (cos @ X)) = (ccos @ (cx @ X)))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_SIN, axiom, ![X:real]:((cx @ (sin @ X)) = (csin @ (cx @ X)))).
thf(aCXu_SUB, axiom, ![X:real,Y:real]:((cx @ (realu_sub @ X @ Y)) = (vectoru_sub @ (cx @ X) @ (cx @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:real,Z:real]:((sin @ (realu_sub @ W @ Z)) = (realu_sub @ (realu_mul @ (sin @ W) @ (cos @ Z)) @ (realu_mul @ (cos @ W) @ (sin @ Z))))).
