%   ORIGINAL: REAL_ADD_COS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_ADD_CCOS: !w z. ccos w + ccos z = Cx (&2) * ccos ((w + z) / Cx (&2)) * ccos ((w - z) / Cx (&2))
% Assm: CX_ADD: !x y. Cx (x + y) = Cx x + Cx y
% Assm: CX_COS: !x. Cx (cos x) = ccos (Cx x)
% Assm: CX_DIV: !x y. Cx (x / y) = Cx x / Cx y
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: CX_SUB: !x y. Cx (x - y) = Cx x - Cx y
% Assm: TRUTH: T
% Goal: !x y. cos x + cos y = &2 * cos ((x + y) / &2) * cos ((x - y) / &2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. ccos w + ccos z = Cx (&2) * ccos ((w + z) / Cx (&2)) * ccos ((w - z) / Cx (&2))
% Assm: !x y. Cx (x + y) = Cx x + Cx y
% Assm: !x. Cx (cos x) = ccos (Cx x)
% Assm: !x y. Cx (x / y) = Cx x / Cx y
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !x y. Cx (x - y) = Cx x - Cx y
% Assm: T
% Goal: !x y. cos x + cos y = &2 * cos ((x + y) / &2) * cos ((x - y) / &2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_ADDu_CCOS, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_add @ (ccos @ W) @ (ccos @ Z)) = (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (ccos @ (complexu_div @ (vectoru_add @ W @ Z) @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) @ (ccos @ (complexu_div @ (vectoru_sub @ W @ Z) @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))))))).
thf(aCXu_ADD, axiom, ![X:real,Y:real]:((cx @ (realu_add @ X @ Y)) = (vectoru_add @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_COS, axiom, ![X:real]:((cx @ (cos @ X)) = (ccos @ (cx @ X)))).
thf(aCXu_DIV, axiom, ![X:real,Y:real]:((cx @ (realu_div @ X @ Y)) = (complexu_div @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_SUB, axiom, ![X:real,Y:real]:((cx @ (realu_sub @ X @ Y)) = (vectoru_sub @ (cx @ X) @ (cx @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:((realu_add @ (cos @ X) @ (cos @ Y)) = (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ (cos @ (realu_div @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (cos @ (realu_div @ (realu_sub @ X @ Y) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))).
