%   ORIGINAL: EULER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CEXP_ADD: !w z. cexp (w + z) = cexp w * cexp z
% Assm: CEXP_EULER: !z. cexp (ii * z) = ccos z + ii * csin z
% Assm: COMPLEX_EXPAND: !z. z = Cx (Re z) + ii * Cx (Im z)
% Assm: CX_COS: !x. Cx (cos x) = ccos (Cx x)
% Assm: CX_EXP: !x. Cx (exp x) = cexp (Cx x)
% Assm: CX_SIN: !x. Cx (sin x) = csin (Cx x)
% Assm: TRUTH: T
% Goal: !z. cexp z = Cx (exp (Re z)) * (Cx (cos (Im z)) + ii * Cx (sin (Im z)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. cexp (w + z) = cexp w * cexp z
% Assm: !z. cexp (ii * z) = ccos z + ii * csin z
% Assm: !z. z = Cx (Re z) + ii * Cx (Im z)
% Assm: !x. Cx (cos x) = ccos (Cx x)
% Assm: !x. Cx (exp x) = cexp (Cx x)
% Assm: !x. Cx (sin x) = csin (Cx x)
% Assm: T
% Goal: !z. cexp z = Cx (exp (Re z)) * (Cx (cos (Im z)) + ii * Cx (sin (Im z)))
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccsin, type, csin : (cartrealn2 > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cii, type, ii : cartrealn2).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cexp, type, exp : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCEXPu_ADD, axiom, ![W:cartrealn2,Z:cartrealn2]:((cexp @ (vectoru_add @ W @ Z)) = (complexu_mul @ (cexp @ W) @ (cexp @ Z)))).
thf(aCEXPu_EULER, axiom, ![Z:cartrealn2]:((cexp @ (complexu_mul @ ii @ Z)) = (vectoru_add @ (ccos @ Z) @ (complexu_mul @ ii @ (csin @ Z))))).
thf(aCOMPLEXu_EXPAND, axiom, ![Z:cartrealn2]:(Z = (vectoru_add @ (cx @ (re @ Z)) @ (complexu_mul @ ii @ (cx @ (im @ Z)))))).
thf(aCXu_COS, axiom, ![X:real]:((cx @ (cos @ X)) = (ccos @ (cx @ X)))).
thf(aCXu_EXP, axiom, ![X:real]:((cx @ (exp @ X)) = (cexp @ (cx @ X)))).
thf(aCXu_SIN, axiom, ![X:real]:((cx @ (sin @ X)) = (csin @ (cx @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:((cexp @ Z) = (complexu_mul @ (cx @ (exp @ (re @ Z))) @ (vectoru_add @ (cx @ (cos @ (im @ Z))) @ (complexu_mul @ ii @ (cx @ (sin @ (im @ Z)))))))).
