%   ORIGINAL: IVT_DECREASING_RE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_NEG: !f net. f continuous net ==> (\x. --f x) continuous net
% Assm: IVT_INCREASING_RE: !f a b y. a <= b /\ (!x. a <= x /\ x <= b ==> f continuous at (Cx x)) /\ Re (f (Cx a)) <= y /\ y <= Re (f (Cx b)) ==> (?x. a <= x /\ x <= b /\ Re (f (Cx x)) = y)
% Assm: REAL_EQ_NEG2: !x y. --x = --y <=> x = y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: RE_NEG: !x. Re (--x) = --Re x
% Assm: TRUTH: T
% Goal: !f a b y. a <= b /\ (!x. a <= x /\ x <= b ==> f continuous at (Cx x)) /\ Re (f (Cx b)) <= y /\ y <= Re (f (Cx a)) ==> (?x. a <= x /\ x <= b /\ Re (f (Cx x)) = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f net. f continuous net ==> (\x. --f x) continuous net
% Assm: !f a b y. a <= b /\ (!x. a <= x /\ x <= b ==> f continuous at (Cx x)) /\ Re (f (Cx a)) <= y /\ y <= Re (f (Cx b)) ==> (?x. a <= x /\ x <= b /\ Re (f (Cx x)) = y)
% Assm: !x y. --x = --y <=> x = y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x. Re (--x) = --Re x
% Assm: T
% Goal: !f a b y. a <= b /\ (!x. a <= x /\ x <= b ==> f continuous at (Cx x)) /\ Re (f (Cx b)) <= y /\ y <= Re (f (Cx a)) ==> (?x. a <= x /\ x <= b /\ Re (f (Cx x)) = y)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_NEG, axiom, ![F:(cartrealn2 > cartrealn2),NET:netcartrealn2]:((continuous @ F @ NET) => (continuous @ ^[X:cartrealn2]:(vectoru_neg @ (F @ X)) @ NET))).
thf(aIVTu_INCREASINGu_RE, axiom, ![F:(cartrealn2 > cartrealn2),A:real,B:real,Y:real]:(((realu_le @ A @ B) & ![X:real]:(((realu_le @ A @ X) & (realu_le @ X @ B)) => (continuous @ F @ (at @ (cx @ X)))) & (realu_le @ (re @ (F @ (cx @ A))) @ Y) & (realu_le @ Y @ (re @ (F @ (cx @ B))))) => ?[X:real]:((realu_le @ A @ X) & (realu_le @ X @ B) & ((re @ (F @ (cx @ X))) = Y)))).
thf(aREALu_EQu_NEG2, axiom, ![X:real,Y:real]:(((realu_neg @ X) = (realu_neg @ Y)) <=> (X = Y))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREu_NEG, axiom, ![X:cartrealn2]:((re @ (vectoru_neg @ X)) = (realu_neg @ (re @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),A:real,B:real,Y:real]:(((realu_le @ A @ B) & ![X:real]:(((realu_le @ A @ X) & (realu_le @ X @ B)) => (continuous @ F @ (at @ (cx @ X)))) & (realu_le @ (re @ (F @ (cx @ B))) @ Y) & (realu_le @ Y @ (re @ (F @ (cx @ A))))) => ?[X:real]:((realu_le @ A @ X) & (realu_le @ X @ B) & ((re @ (F @ (cx @ X))) = Y)))).
