%   ORIGINAL: IVT_INCREASING_IM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_COMPLEX_MUL: !net f g. f continuous net /\ g continuous net ==> (\x. f x * g x) continuous net
% Assm: CONTINUOUS_CONST: !net c. (\x. c) continuous net
% Assm: IVT_DECREASING_RE: !f a b y. a <= b /\ (!x. a <= x /\ x <= b ==> f continuous at (Cx x)) /\ Re (f (Cx b)) <= y /\ y <= Re (f (Cx a)) ==> (?x. a <= x /\ x <= b /\ Re (f (Cx x)) = y)
% Assm: REAL_EQ_NEG2: !x y. --x = --y <=> x = y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: RE_MUL_II: !z. Re (z * ii) = --Im z /\ Re (ii * z) = --Im z
% Assm: TRUTH: T
% Goal: !f a b y. a <= b /\ (!x. a <= x /\ x <= b ==> f continuous at (Cx x)) /\ Im (f (Cx a)) <= y /\ y <= Im (f (Cx b)) ==> (?x. a <= x /\ x <= b /\ Im (f (Cx x)) = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f g. f continuous net /\ g continuous net ==> (\x. f x * g x) continuous net
% Assm: !net c. (\x. c) continuous net
% Assm: !f a b y. a <= b /\ (!x. a <= x /\ x <= b ==> f continuous at (Cx x)) /\ Re (f (Cx b)) <= y /\ y <= Re (f (Cx a)) ==> (?x. a <= x /\ x <= b /\ Re (f (Cx x)) = y)
% Assm: !x y. --x = --y <=> x = y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !z. Re (z * ii) = --Im z /\ Re (ii * z) = --Im z
% Assm: T
% Goal: !f a b y. a <= b /\ (!x. a <= x /\ x <= b ==> f continuous at (Cx x)) /\ Im (f (Cx a)) <= y /\ y <= Im (f (Cx b)) ==> (?x. a <= x /\ x <= b /\ Im (f (Cx x)) = y)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cii, type, ii : cartrealn2).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_COMPLEXu_MUL, axiom, ![NET:netcartrealn2,F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2)]:(((continuous @ F @ NET) & (continuous @ G @ NET)) => (continuous @ ^[X:cartrealn2]:(complexu_mul @ (F @ X) @ (G @ X)) @ NET))).
thf(aCONTINUOUSu_CONST, axiom, ![NET:netcartrealn2,C:cartrealn2]:(continuous @ ^[X:cartrealn2]:C @ NET)).
thf(aIVTu_DECREASINGu_RE, axiom, ![F:(cartrealn2 > cartrealn2),A:real,B:real,Y:real]:(((realu_le @ A @ B) & ![X:real]:(((realu_le @ A @ X) & (realu_le @ X @ B)) => (continuous @ F @ (at @ (cx @ X)))) & (realu_le @ (re @ (F @ (cx @ B))) @ Y) & (realu_le @ Y @ (re @ (F @ (cx @ A))))) => ?[X:real]:((realu_le @ A @ X) & (realu_le @ X @ B) & ((re @ (F @ (cx @ X))) = Y)))).
thf(aREALu_EQu_NEG2, axiom, ![X:real,Y:real]:(((realu_neg @ X) = (realu_neg @ Y)) <=> (X = Y))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREu_MULu_II, axiom, ![Z:cartrealn2]:(((re @ (complexu_mul @ Z @ ii)) = (realu_neg @ (im @ Z))) & ((re @ (complexu_mul @ ii @ Z)) = (realu_neg @ (im @ Z))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),A:real,B:real,Y:real]:(((realu_le @ A @ B) & ![X:real]:(((realu_le @ A @ X) & (realu_le @ X @ B)) => (continuous @ F @ (at @ (cx @ X)))) & (realu_le @ (im @ (F @ (cx @ A))) @ Y) & (realu_le @ Y @ (im @ (F @ (cx @ B))))) => ?[X:real]:((realu_le @ A @ X) & (realu_le @ X @ B) & ((im @ (F @ (cx @ X))) = Y)))).
