%   ORIGINAL: LOG_EXP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXP_LOG: !x. &0 < x ==> exp (log x) = x
% Assm: REAL_EXP_INJ: !x y. exp x = exp y <=> x = y
% Assm: REAL_EXP_POS_LT: !x. &0 < exp x
% Assm: TRUTH: T
% Goal: !x. log (exp x) = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 < x ==> exp (log x) = x
% Assm: !x y. exp x = exp y <=> x = y
% Assm: !x. &0 < exp x
% Assm: T
% Goal: !x. log (exp x) = x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cexp, type, exp : (real > real)).
thf(clog, type, log : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXPu_LOG, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((exp @ (log @ X)) = X))).
thf(aREALu_EXPu_INJ, axiom, ![X:real,Y:real]:(((exp @ X) = (exp @ Y)) <=> (X = Y))).
thf(aREALu_EXPu_POSu_LT, axiom, ![X:real]:(realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (exp @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((log @ (exp @ X)) = X)).
