%   ORIGINAL: REAL_EXP_LOG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXP_LOG: !x. &0 < x ==> exp (log x) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EXP_POS_LT: !x. &0 < exp x
% Assm: TRUTH: T
% Goal: !x. exp (log x) = x <=> &0 < x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. &0 < x ==> exp (log x) = x
% Assm: ~F <=> T
% Assm: !x. &0 < exp x
% Assm: T
% Goal: !x. exp (log x) = x <=> &0 < x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(clog, type, log : (real > real)).
thf(cexp, type, exp : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXPu_LOG, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((exp @ (log @ X)) = X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EXPu_POSu_LT, axiom, ![X:real]:(realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (exp @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(((exp @ (log @ X)) = X) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
