%   ORIGINAL: LOG_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LOG_INV: !x. &0 < x ==> log (inv x) = --log x
% Assm: LOG_MUL: !x y. &0 < x /\ &0 < y ==> log (x * y) = log x + log y
% Assm: REAL_LT_INV_EQ: !x. &0 < inv x <=> &0 < x
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_sub: !x y. x - y = x + --y
% Goal: !x y. &0 < x /\ &0 < y ==> log (x / y) = log x - log y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 < x ==> log (inv x) = --log x
% Assm: !x y. &0 < x /\ &0 < y ==> log (x * y) = log x + log y
% Assm: !x. &0 < inv x <=> &0 < x
% Assm: T
% Assm: !x y. x / y = x * inv y
% Assm: !x y. x - y = x + --y
% Goal: !x y. &0 < x /\ &0 < y ==> log (x / y) = log x - log y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(clog, type, log : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLOGu_INV, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((log @ (realu_inv @ X)) = (realu_neg @ (log @ X))))).
thf(aLOGu_MUL, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((log @ (realu_mul @ X @ Y)) = (realu_add @ (log @ X) @ (log @ Y))))).
thf(aREALu_LTu_INVu_EQ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_sub, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_neg @ Y)))).
thf(conjecture, conjecture, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((log @ (realu_div @ X @ Y)) = (realu_sub @ (log @ X) @ (log @ Y))))).
