%   ORIGINAL: LOG_POW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXP_LOG: !x. &0 < x ==> exp (log x) = x
% Assm: REAL_EXP_INJ: !x y. exp x = exp y <=> x = y
% Assm: REAL_EXP_N: !n x. exp (&n * x) = exp x pow n
% Assm: REAL_POW_LT: !x n. &0 < x ==> &0 < x pow n
% Assm: TRUTH: T
% Goal: !n x. &0 < x ==> log (x pow n) = &n * log x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 < x ==> exp (log x) = x
% Assm: !x y. exp x = exp y <=> x = y
% Assm: !n x. exp (&n * x) = exp x pow n
% Assm: !x n. &0 < x ==> &0 < x pow n
% Assm: T
% Goal: !n x. &0 < x ==> log (x pow n) = &n * log x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cexp, type, exp : (real > real)).
thf(clog, type, log : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXPu_LOG, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((exp @ (log @ X)) = X))).
thf(aREALu_EXPu_INJ, axiom, ![X:real,Y:real]:(((exp @ X) = (exp @ Y)) <=> (X = Y))).
thf(aREALu_EXPu_N, axiom, ![N:num,X:real]:((exp @ (realu_mul @ (realu_ofu_num @ N) @ X)) = (realu_pow @ (exp @ X) @ N))).
thf(aREALu_POWu_LT, axiom, ![X:real,N:num]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((log @ (realu_pow @ X @ N)) = (realu_mul @ (realu_ofu_num @ N) @ (log @ X))))).
