%   ORIGINAL: Real_ext.REAL_PROP_POS_SIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_AT_CSIN: !z. csin continuous at z
% Assm: CX_SIN: !x. Cx (sin x) = csin (Cx x)
% Assm: IVT_DECREASING_RE: !f a b y. a <= b /\ (!x. a <= x /\ x <= b ==> f continuous at (Cx x)) /\ Re (f (Cx b)) <= y /\ y <= Re (f (Cx a)) ==> (?x. a <= x /\ x <= b /\ Re (f (Cx x)) = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PI_WORKS_conjunct0: &0 < pi
% Assm: PI_WORKS_conjunct2: !x. &0 < x /\ x < pi ==> ~(sin x = &0)
% Assm: REAL_LET_ANTISYM: !x y. ~(x <= y /\ y < x)
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_LTE_TRANS: !x y z. x < y /\ y <= z ==> x < z
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: SIN_NEARZERO: ?x. &0 < x /\ (!y. &0 < y /\ y <= x ==> &0 < sin y)
% Assm: SIN_PI: sin pi = &0
% Assm: TRUTH: T
% Goal: !x. &0 < x /\ x < pi ==> &0 < sin x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. csin continuous at z
% Assm: !x. Cx (sin x) = csin (Cx x)
% Assm: !f a b y. a <= b /\ (!x. a <= x /\ x <= b ==> f continuous at (Cx x)) /\ Re (f (Cx b)) <= y /\ y <= Re (f (Cx a)) ==> (?x. a <= x /\ x <= b /\ Re (f (Cx x)) = y)
% Assm: ~F <=> T
% Assm: &0 < pi
% Assm: !x. &0 < x /\ x < pi ==> ~(sin x = &0)
% Assm: !x y. ~(x <= y /\ y < x)
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y z. x < y /\ y <= z ==> x < z
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x. Re (Cx x) = x
% Assm: ?x. &0 < x /\ (!y. &0 < y /\ y <= x ==> &0 < sin y)
% Assm: sin pi = &0
% Assm: T
% Goal: !x. &0 < x /\ x < pi ==> &0 < sin x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccsin, type, csin : (cartrealn2 > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ATu_CSIN, axiom, ![Z:cartrealn2]:(continuous @ csin @ (at @ Z))).
thf(aCXu_SIN, axiom, ![X:real]:((cx @ (sin @ X)) = (csin @ (cx @ X)))).
thf(aIVTu_DECREASINGu_RE, axiom, ![F:(cartrealn2 > cartrealn2),A:real,B:real,Y:real]:(((realu_le @ A @ B) & ![X:real]:(((realu_le @ A @ X) & (realu_le @ X @ B)) => (continuous @ F @ (at @ (cx @ X)))) & (realu_le @ (re @ (F @ (cx @ B))) @ Y) & (realu_le @ Y @ (re @ (F @ (cx @ A))))) => ?[X:real]:((realu_le @ A @ X) & (realu_le @ X @ B) & ((re @ (F @ (cx @ X))) = Y)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPIu_WORKSu_conjunct0, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ pi)).
thf(aPIu_WORKSu_conjunct2, axiom, ![X:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ pi)) => ~ (((sin @ X) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_LETu_ANTISYM, axiom, ![X:real,Y:real]:~ (((realu_le @ X @ Y) & (realu_lt @ Y @ X)))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_LTEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_le @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aSINu_NEARZERO, axiom, ?[X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & ![Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & (realu_le @ Y @ X)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (sin @ Y))))).
thf(aSINu_PI, axiom, ((sin @ pi) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ pi)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (sin @ X)))).
