%   ORIGINAL: COS_POS_PI_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COS_POS_PI: !x. --(pi / &2) < x /\ x < pi / &2 ==> &0 < cos x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: TRUTH: T
% Assm: Trigonometry.CFXEKKP1: cos (pi / &2) = &0
% Assm: Trigonometry.KGLLRQT1: !x. cos (--x) = cos x
% Goal: !x. --(pi / &2) <= x /\ x <= pi / &2 ==> &0 <= cos x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. --(pi / &2) < x /\ x < pi / &2 ==> &0 < cos x
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: T
% Assm: cos (pi / &2) = &0
% Assm: !x. cos (--x) = cos x
% Goal: !x. --(pi / &2) <= x /\ x <= pi / &2 ==> &0 <= cos x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ccos, type, cos : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOSu_POSu_PI, axiom, ![X:real]:(((realu_lt @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ X) & (realu_lt @ X @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (cos @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_CFXEKKP1, axiom, ((cos @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTrigonometryo_KGLLRQT1, axiom, ![X:real]:((cos @ (realu_neg @ X)) = (cos @ X))).
thf(conjecture, conjecture, ![X:real]:(((realu_le @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ X) & (realu_le @ X @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (cos @ X)))).
