%   ORIGINAL: SIN_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PI_NZ: ~(pi = &0)
% Assm: PI_WORKS_conjunct0: &0 < pi
% Assm: REAL_DIV_RMUL: !x y. ~(y = &0) ==> x / y * y = x
% Assm: REAL_EQ_LDIV_EQ: !x y z. &0 < z ==> (x / z = y <=> x = y * z)
% Assm: SIN_PIMUL_EQ_0: !n. sin (n * pi) = &0 <=> integer n
% Assm: TRUTH: T
% Goal: !x. sin x = &0 <=> (?n. integer n /\ x = n * pi)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: ~(pi = &0)
% Assm: &0 < pi
% Assm: !x y. ~(y = &0) ==> x / y * y = x
% Assm: !x y z. &0 < z ==> (x / z = y <=> x = y * z)
% Assm: !n. sin (n * pi) = &0 <=> integer n
% Assm: T
% Goal: !x. sin x = &0 <=> (?n. integer n /\ x = n * pi)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(csin, type, sin : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPIu_NZ, axiom, ~ ((pi = (realu_ofu_num @ (numeral @ u_0))))).
thf(aPIu_WORKSu_conjunct0, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ pi)).
thf(aREALu_DIVu_RMUL, axiom, ![X:real,Y:real]:(~ ((Y = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_div @ X @ Y) @ Y) = X))).
thf(aREALu_EQu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => (((realu_div @ X @ Z) = Y) <=> (X = (realu_mul @ Y @ Z))))).
thf(aSINu_PIMULu_EQu_0, axiom, ![N:real]:(((sin @ (realu_mul @ N @ pi)) = (realu_ofu_num @ (numeral @ u_0))) <=> (integer @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(((sin @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> ?[N:real]:((integer @ N) & (X = (realu_mul @ N @ pi))))).
