%   ORIGINAL: SIN_ZERO_PI
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTEGER_CASES: integer x <=> (?n. x = &n) \/ (?n. x = -- &n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: SIN_EQ_0: !x. sin x = &0 <=> (?n. integer n /\ x = n * pi)
% Assm: TRUTH: T
% Goal: !x. sin x = &0 <=> (?n. x = &n * pi) \/ (?n. x = --(&n * pi))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. integer x <=> (?n. x = &n) \/ (?n. x = -- &n)
% Assm: ~F <=> T
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. sin x = &0 <=> (?n. integer n /\ x = n * pi)
% Assm: T
% Goal: !x. sin x = &0 <=> (?n. x = &n * pi) \/ (?n. x = --(&n * pi))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(csin, type, sin : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINTEGERu_CASES, axiom, ![X:real]:((integer @ X) <=> (?[N:num]:(X = (realu_ofu_num @ N)) | ?[N:num]:(X = (realu_neg @ (realu_ofu_num @ N)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aSINu_EQu_0, axiom, ![X:real]:(((sin @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> ?[N:real]:((integer @ N) & (X = (realu_mul @ N @ pi))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(((sin @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (?[N:num]:(X = (realu_mul @ (realu_ofu_num @ N) @ pi)) | ?[N:num]:(X = (realu_neg @ (realu_mul @ (realu_ofu_num @ N) @ pi)))))).
