%   ORIGINAL: SIN_COS_SQRT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EQ_SUB_LADD: !x y z. x = y - z <=> x + z = y
% Assm: SIN_CIRCLE: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: SQRT_UNIQUE: !x y. &0 <= y /\ y pow 2 = x ==> sqrt x = y
% Assm: TRUTH: T
% Goal: !x. &0 <= sin x ==> sin x = sqrt (&1 - cos x pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. x = y - z <=> x + z = y
% Assm: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: !x y. &0 <= y /\ y pow 2 = x ==> sqrt x = y
% Assm: T
% Goal: !x. &0 <= sin x ==> sin x = sqrt (&1 - cos x pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ccos, type, cos : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(csin, type, sin : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EQu_SUBu_LADD, axiom, ![X:real,Y:real,Z:real]:((X = (realu_sub @ Y @ Z)) <=> ((realu_add @ X @ Z) = Y))).
thf(aSINu_CIRCLE, axiom, ![X:real]:((realu_add @ (realu_pow @ (sin @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (cos @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aSQRTu_UNIQUE, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & ((realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X)) => ((sqrt @ X) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sin @ X)) => ((sin @ X) = (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (cos @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
