%   ORIGINAL: CIRCLE_SINCOS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SINCOS_TOTAL_2PI: !x y. x pow 2 + y pow 2 = &1 ==> (?t. &0 <= t /\ t < &2 * pi /\ x = cos t /\ y = sin t)
% Assm: TRUTH: T
% Goal: !x y. x pow 2 + y pow 2 = &1 ==> (?t. x = cos t /\ y = sin t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. x pow 2 + y pow 2 = &1 ==> (?t. &0 <= t /\ t < &2 * pi /\ x = cos t /\ y = sin t)
% Assm: T
% Goal: !x y. x pow 2 + y pow 2 = &1 ==> (?t. x = cos t /\ y = sin t)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSINCOSu_TOTALu_2PI, axiom, ![X:real,Y:real]:(((realu_add @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ?[T:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ T @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & (X = (cos @ T)) & (Y = (sin @ T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:(((realu_add @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ?[T:real]:((X = (cos @ T)) & (Y = (sin @ T))))).
