%   ORIGINAL: NORM_COSSIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IM: Im (complex (x,y)) = y
% Assm: RE: Re (complex (x,y)) = x
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: SIN_CIRCLE: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: SQRT_1: sqrt (&1) = &1
% Assm: TRUTH: T
% Assm: complex_norm: norm z = sqrt (Re z pow 2 + Im z pow 2)
% Goal: !t. norm (complex (cos t,sin t)) = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. Im (complex (x,y)) = y
% Assm: !y x. Re (complex (x,y)) = x
% Assm: !x y. x + y = y + x
% Assm: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: sqrt (&1) = &1
% Assm: T
% Assm: !z. norm z = sqrt (Re z pow 2 + Im z pow 2)
% Goal: !t. norm (complex (cos t,sin t)) = &1
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIM, axiom, ![X:real,Y:real]:((im @ (complex @ (c_ @ X @ Y))) = Y)).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aSINu_CIRCLE, axiom, ![X:real]:((realu_add @ (realu_pow @ (sin @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (cos @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aSQRTu_1, axiom, ((sqrt @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_norm, axiom, ![Z:cartrealn2]:((vectoru_norm @ Z) = (sqrt @ (realu_add @ (realu_pow @ (re @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (im @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![T:real]:((vectoru_norm @ (complex @ (c_ @ (cos @ T) @ (sin @ T)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
