%   ORIGINAL: NORM_CEXP_II
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IM_CX: !x. Im (Cx x) = &0
% Assm: NORM_CEXP: !z. norm (cexp z) = exp (Re z)
% Assm: RE_MUL_II: !z. Re (z * ii) = --Im z /\ Re (ii * z) = --Im z
% Assm: Real_ext.REAL_SV_EXP_0: exp (&0) = &1
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: TRUTH: T
% Goal: !t. norm (cexp (ii * Cx t)) = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Im (Cx x) = &0
% Assm: !z. norm (cexp z) = exp (Re z)
% Assm: !z. Re (z * ii) = --Im z /\ Re (ii * z) = --Im z
% Assm: exp (&0) = &1
% Assm: -- &0 = &0
% Assm: T
% Goal: !t. norm (cexp (ii * Cx t)) = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cre, type, re : (cartrealn2 > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cexp, type, exp : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMu_CX, axiom, ![X:real]:((im @ (cx @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_CEXP, axiom, ![Z:cartrealn2]:((vectoru_norm @ (cexp @ Z)) = (exp @ (re @ Z)))).
thf(aREu_MULu_II, axiom, ![Z:cartrealn2]:(((re @ (complexu_mul @ Z @ ii)) = (realu_neg @ (im @ Z))) & ((re @ (complexu_mul @ ii @ Z)) = (realu_neg @ (im @ Z))))).
thf(aRealu_exto_REALu_SVu_EXPu_0, axiom, ((exp @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![T:real]:((vectoru_norm @ (cexp @ (complexu_mul @ ii @ (cx @ T)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
