%   ORIGINAL: NORM_CEXP_IMAGINARY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_CEXP: !z. norm (cexp z) = exp (Re z)
% Assm: REAL_EXP_EQ_1: !x. exp x = &1 <=> x = &0
% Assm: TRUTH: T
% Goal: !z. norm (cexp z) = &1 ==> Re z = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. norm (cexp z) = exp (Re z)
% Assm: !x. exp x = &1 <=> x = &0
% Assm: T
% Goal: !z. norm (cexp z) = &1 ==> Re z = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cre, type, re : (cartrealn2 > real)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cexp, type, exp : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_CEXP, axiom, ![Z:cartrealn2]:((vectoru_norm @ (cexp @ Z)) = (exp @ (re @ Z)))).
thf(aREALu_EXPu_EQu_1, axiom, ![X:real]:(((exp @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) <=> (X = (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:(((vectoru_norm @ (cexp @ Z)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ((re @ Z) = (realu_ofu_num @ (numeral @ u_0))))).
