%   ORIGINAL: ARG_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Arg_DEF: !z. Arg z = (if z = Cx (&0) then &0 else @t. &0 <= t /\ t < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx t))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: TRUTH: T
% Goal: Arg (Cx (&0)) = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. Arg z = (if z = Cx (&0) then &0 else @t. &0 <= t /\ t < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx t))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: T
% Goal: Arg (Cx (&0)) = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(chu_, type, h_ : ((real > $o) > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(cpi, type, pi : real).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aArgu_DEF, axiom, ![Z:cartrealn2]:((arg @ Z) = (cond @ (Z = (cx @ (realu_ofu_num @ (numeral @ u_0)))) @ (realu_ofu_num @ (numeral @ u_0)) @ (h_ @ ^[T:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ T @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & (Z = (complexu_mul @ (cx @ (vectoru_norm @ Z)) @ (cexp @ (complexu_mul @ ii @ (cx @ T)))))))))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ((arg @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = (realu_ofu_num @ (numeral @ u_0)))).
