%   ORIGINAL: COMPLEX_NORM_EQ_1_CEXP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARG: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_MUL_LID: !x. Cx (&1) * x = x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IM_CX: !x. Im (Cx x) = &0
% Assm: NORM_CEXP: !z. norm (cexp z) = exp (Re z)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RE_MUL_II: !z. Re (z * ii) = --Im z /\ Re (ii * z) = --Im z
% Assm: Real_ext.REAL_SV_EXP_0: exp (&0) = &1
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: TRUTH: T
% Goal: !z. norm z = &1 <=> (?t. z = cexp (ii * Cx t))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. Cx (&1) * x = x
% Assm: !t. (\x. t x) = t
% Assm: !x. Im (Cx x) = &0
% Assm: !z. norm (cexp z) = exp (Re z)
% Assm: ~F <=> T
% Assm: !z. Re (z * ii) = --Im z /\ Re (ii * z) = --Im z
% Assm: exp (&0) = &1
% Assm: -- &0 = &0
% Assm: T
% Goal: !z. norm z = &1 <=> (?t. z = cexp (ii * Cx t))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cre, type, re : (cartrealn2 > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cpi, type, pi : real).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cexp, type, exp : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aARG, axiom, ![Z:cartrealn2]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (arg @ Z)) & (realu_lt @ (arg @ Z) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & (Z = (complexu_mul @ (cx @ (vectoru_norm @ Z)) @ (cexp @ (complexu_mul @ ii @ (cx @ (arg @ Z)))))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_MULu_LID, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X) = X)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIMu_CX, axiom, ![X:real]:((im @ (cx @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_CEXP, axiom, ![Z:cartrealn2]:((vectoru_norm @ (cexp @ Z)) = (exp @ (re @ Z)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREu_MULu_II, axiom, ![Z:cartrealn2]:(((re @ (complexu_mul @ Z @ ii)) = (realu_neg @ (im @ Z))) & ((re @ (complexu_mul @ ii @ Z)) = (realu_neg @ (im @ Z))))).
thf(aRealu_exto_REALu_SVu_EXPu_0, axiom, ((exp @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:(((vectoru_norm @ Z) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) <=> ?[T:real]:(Z = (cexp @ (complexu_mul @ ii @ (cx @ T)))))).
