%   ORIGINAL: ARG_DIV_CX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARG_MUL_CX: !r z. &0 < r ==> Arg (Cx r * z) = Arg z
% Assm: COMPLEX_MUL_SYM: !x y. x * y = y * x
% Assm: CX_INV: !x. Cx (inv x) = inv (Cx x)
% Assm: REAL_LT_INV_EQ: !x. &0 < inv x <=> &0 < x
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !r z. &0 < r ==> Arg (z / Cx r) = Arg z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !r z. &0 < r ==> Arg (Cx r * z) = Arg z
% Assm: !x y. x * y = y * x
% Assm: !x. Cx (inv x) = inv (Cx x)
% Assm: !x. &0 < inv x <=> &0 < x
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !r z. &0 < r ==> Arg (z / Cx r) = Arg z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARGu_MULu_CX, axiom, ![R:real,Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) => ((arg @ (complexu_mul @ (cx @ R) @ Z)) = (arg @ Z)))).
thf(aCOMPLEXu_MULu_SYM, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ Y) = (complexu_mul @ Y @ X))).
thf(aCXu_INV, axiom, ![X:real]:((cx @ (realu_inv @ X)) = (complexu_inv @ (cx @ X)))).
thf(aREALu_LTu_INVu_EQ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![R:real,Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) => ((arg @ (complexu_div @ Z @ (cx @ R))) = (arg @ Z)))).
