%   ORIGINAL: ARG_NUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARG_EQ_0: !z. Arg z = &0 <=> real z /\ &0 <= Re z
% Assm: REAL_CX: !x. real (Cx x)
% Assm: REAL_POS: !n. &0 <= &n
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Goal: !n. Arg (Cx (&n)) = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. Arg z = &0 <=> real z /\ &0 <= Re z
% Assm: !x. real (Cx x)
% Assm: !n. &0 <= &n
% Assm: !x. Re (Cx x) = x
% Assm: T
% Goal: !n. Arg (Cx (&n)) = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARGu_EQu_0, axiom, ![Z:cartrealn2]:(((arg @ Z) = (realu_ofu_num @ (numeral @ u_0))) <=> ((real0 @ Z) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z))))).
thf(aREALu_CX, axiom, ![X:real]:(real0 @ (cx @ X))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:((arg @ (cx @ (realu_ofu_num @ N))) = (realu_ofu_num @ (numeral @ u_0)))).
