%   ORIGINAL: ARG_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ARG: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: ARG_MUL_CX: !r z. &0 < r ==> Arg (Cx r * z) = Arg z
% Assm: COMPLEX_DIV_RMUL: !x y. ~(y = Cx (&0)) ==> x / y * y = x
% Assm: COMPLEX_MUL_ASSOC: !x y z. x * y * z = (x * y) * z
% Assm: COMPLEX_NORM_NZ: !z. &0 < norm z <=> ~(z = Cx (&0))
% Assm: COMPLEX_NORM_ZERO: !z. norm z = &0 <=> z = Cx (&0)
% Assm: CX_DIV: !x y. Cx (x / y) = Cx x / Cx y
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_DIV: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: TRUTH: T
% Goal: !w z. ~(w = Cx (&0)) /\ ~(z = Cx (&0)) ==> (Arg w = Arg z <=> (?x. &0 < x /\ w = Cx x * z))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: !r z. &0 < r ==> Arg (Cx r * z) = Arg z
% Assm: !x y. ~(y = Cx (&0)) ==> x / y * y = x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !z. &0 < norm z <=> ~(z = Cx (&0))
% Assm: !z. norm z = &0 <=> z = Cx (&0)
% Assm: !x y. Cx (x / y) = Cx x / Cx y
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: ~F <=> T
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: T
% Goal: !w z. ~(w = Cx (&0)) /\ ~(z = Cx (&0)) ==> (Arg w = Arg z <=> (?x. &0 < x /\ w = Cx x * z))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cpi, type, pi : real).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aARG, axiom, ![Z:cartrealn2]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (arg @ Z)) & (realu_lt @ (arg @ Z) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & (Z = (complexu_mul @ (cx @ (vectoru_norm @ Z)) @ (cexp @ (complexu_mul @ ii @ (cx @ (arg @ Z)))))))).
thf(aARGu_MULu_CX, axiom, ![R:real,Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) => ((arg @ (complexu_mul @ (cx @ R) @ Z)) = (arg @ Z)))).
thf(aCOMPLEXu_DIVu_RMUL, axiom, ![X:cartrealn2,Y:cartrealn2]:(~ ((Y = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => ((complexu_mul @ (complexu_div @ X @ Y) @ Y) = X))).
thf(aCOMPLEXu_MULu_ASSOC, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:((complexu_mul @ X @ (complexu_mul @ Y @ Z)) = (complexu_mul @ (complexu_mul @ X @ Y) @ Z))).
thf(aCOMPLEXu_NORMu_NZ, axiom, ![Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ Z)) <=> ~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(aCOMPLEXu_NORMu_ZERO, axiom, ![Z:cartrealn2]:(((vectoru_norm @ Z) = (realu_ofu_num @ (numeral @ u_0))) <=> (Z = (cx @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aCXu_DIV, axiom, ![X:real,Y:real]:((cx @ (realu_div @ X @ Y)) = (complexu_div @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_DIV, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((~ ((W = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => (((arg @ W) = (arg @ Z)) <=> ?[X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (W = (complexu_mul @ (cx @ X) @ Z)))))).
