%   ORIGINAL: ARG_LE_DIV_SUM_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARG: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: ARG_LE_DIV_SUM: !w z. ~(w = Cx (&0)) /\ ~(z = Cx (&0)) /\ Arg w <= Arg z ==> Arg z = Arg w + Arg (z / w)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_ADDR: !x y. x <= x + y <=> &0 <= y
% Assm: TRUTH: T
% Goal: !w z. ~(w = Cx (&0)) /\ ~(z = Cx (&0)) ==> (Arg w <= Arg z <=> Arg z = Arg w + Arg (z / w))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: !w z. ~(w = Cx (&0)) /\ ~(z = Cx (&0)) /\ Arg w <= Arg z ==> Arg z = Arg w + Arg (z / w)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. x <= x + y <=> &0 <= y
% Assm: T
% Goal: !w z. ~(w = Cx (&0)) /\ ~(z = Cx (&0)) ==> (Arg w <= Arg z <=> Arg z = Arg w + Arg (z / w))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cpi, type, pi : real).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aARG, axiom, ![Z:cartrealn2]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (arg @ Z)) & (realu_lt @ (arg @ Z) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & (Z = (complexu_mul @ (cx @ (vectoru_norm @ Z)) @ (cexp @ (complexu_mul @ ii @ (cx @ (arg @ Z)))))))).
thf(aARGu_LEu_DIVu_SUM, axiom, ![W:cartrealn2,Z:cartrealn2]:((~ ((W = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & (realu_le @ (arg @ W) @ (arg @ Z))) => ((arg @ Z) = (realu_add @ (arg @ W) @ (arg @ (complexu_div @ Z @ W)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_ADDR, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_add @ X @ Y)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((~ ((W = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => ((realu_le @ (arg @ W) @ (arg @ Z)) <=> ((arg @ Z) = (realu_add @ (arg @ W) @ (arg @ (complexu_div @ Z @ W))))))).
