%   ORIGINAL: ROTATE2D_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LINEAR_ROTATE2D: !t. linear (rotate2d t)
% Assm: LINEAR_SUB: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: TRUTH: T
% Goal: !t w z. rotate2d t (w - z) = rotate2d t w - rotate2d t z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. linear (rotate2d t)
% Assm: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: T
% Goal: !t w z. rotate2d t (w - z) = rotate2d t w - rotate2d t z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crotate2d, type, rotate2d : (real > cartrealn2 > cartrealn2)).
thf(clinear, type, linear : ((cartrealn2 > cartrealn2) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLINEARu_ROTATE2D, axiom, ![T:real]:(linear @ (rotate2d @ T))).
thf(aLINEARu_SUB, axiom, ![F:(cartrealn2 > cartrealn2),X:cartrealn2,Y:cartrealn2]:((linear @ F) => ((F @ (vectoru_sub @ X @ Y)) = (vectoru_sub @ (F @ X) @ (F @ Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![T:real,W:cartrealn2,Z:cartrealn2]:((rotate2d @ T @ (vectoru_sub @ W @ Z)) = (vectoru_sub @ (rotate2d @ T @ W) @ (rotate2d @ T @ Z)))).
