%   ORIGINAL: ROTATE2D_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_NORM_ZERO: !z. norm z = &0 <=> z = Cx (&0)
% Assm: NORM_ROTATE2D: !t z. norm (rotate2d t z) = norm z
% Assm: TRUTH: T
% Goal: !t z. rotate2d t z = Cx (&0) <=> z = Cx (&0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. norm z = &0 <=> z = Cx (&0)
% Assm: !t z. norm (rotate2d t z) = norm z
% Assm: T
% Goal: !t z. rotate2d t z = Cx (&0) <=> z = Cx (&0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crotate2d, type, rotate2d : (real > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_NORMu_ZERO, axiom, ![Z:cartrealn2]:(((vectoru_norm @ Z) = (realu_ofu_num @ (numeral @ u_0))) <=> (Z = (cx @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aNORMu_ROTATE2D, axiom, ![T:real,Z:cartrealn2]:((vectoru_norm @ (rotate2d @ T @ Z)) = (vectoru_norm @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![T:real,Z:cartrealn2]:(((rotate2d @ T @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) <=> (Z = (cx @ (realu_ofu_num @ (numeral @ u_0)))))).
