%   ORIGINAL: ORTHOGONAL_TRANSFORMATION_ROTATE2D
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LINEAR_ROTATE2D: !t. linear (rotate2d t)
% Assm: NORM_ROTATE2D: !t z. norm (rotate2d t z) = norm z
% Assm: ORTHOGONAL_TRANSFORMATION: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: TRUTH: T
% Goal: !t. orthogonal_transformation (rotate2d t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. linear (rotate2d t)
% Assm: !t z. norm (rotate2d t z) = norm z
% Assm: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: T
% Goal: !t. orthogonal_transformation (rotate2d t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crotate2d, type, rotate2d : (real > cartrealn2 > cartrealn2)).
thf(clinear, type, linear : ((cartrealn2 > cartrealn2) > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn2 > cartrealn2) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLINEARu_ROTATE2D, axiom, ![T:real]:(linear @ (rotate2d @ T))).
thf(aNORMu_ROTATE2D, axiom, ![T:real,Z:cartrealn2]:((vectoru_norm @ (rotate2d @ T @ Z)) = (vectoru_norm @ Z))).
thf(aORTHOGONALu_TRANSFORMATION, axiom, ![F:(cartrealn2 > cartrealn2)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealn2]:((vectoru_norm @ (F @ V)) = (vectoru_norm @ V))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![T:real]:(orthogonalu_transformation @ (rotate2d @ T))).
