%   ORIGINAL: ARG_ROTATE2D
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ARG: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: ARG_UNIQUE: !a r z. &0 < r /\ Cx r * cexp (ii * Cx a) = z /\ &0 <= a /\ a < &2 * pi ==> Arg z = a
% Assm: CEXP_ADD: !w z. cexp (w + z) = cexp w * cexp z
% Assm: COMPLEX_ADD_LDISTRIB: !x y z. x * (y + z) = x * y + x * z
% Assm: COMPLEX_MUL_AC_conjunct0: m * n = n * m
% Assm: COMPLEX_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: COMPLEX_NORM_NZ: !z. &0 < norm z <=> ~(z = Cx (&0))
% Assm: CX_ADD: !x y. Cx (x + y) = Cx x + Cx y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ROTATE2D_COMPLEX: !t z. rotate2d t z = cexp (ii * Cx t) * z
% Assm: TRUTH: T
% Goal: !t z. ~(z = Cx (&0)) /\ &0 <= t + Arg z /\ t + Arg z < &2 * pi ==> Arg (rotate2d t z) = t + Arg z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: !a r z. &0 < r /\ Cx r * cexp (ii * Cx a) = z /\ &0 <= a /\ a < &2 * pi ==> Arg z = a
% Assm: !w z. cexp (w + z) = cexp w * cexp z
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !n m. m * n = n * m
% Assm: !n m p. m * n * p = n * m * p
% Assm: !z. &0 < norm z <=> ~(z = Cx (&0))
% Assm: !x y. Cx (x + y) = Cx x + Cx y
% Assm: ~F <=> T
% Assm: !t z. rotate2d t z = cexp (ii * Cx t) * z
% Assm: T
% Goal: !t z. ~(z = Cx (&0)) /\ &0 <= t + Arg z /\ t + Arg z < &2 * pi ==> Arg (rotate2d t z) = t + Arg z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cpi, type, pi : real).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crotate2d, type, rotate2d : (real > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aARG, axiom, ![Z:cartrealn2]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (arg @ Z)) & (realu_lt @ (arg @ Z) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & (Z = (complexu_mul @ (cx @ (vectoru_norm @ Z)) @ (cexp @ (complexu_mul @ ii @ (cx @ (arg @ Z)))))))).
thf(aARGu_UNIQUE, axiom, ![A:real,R:real,Z:cartrealn2]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ((complexu_mul @ (cx @ R) @ (cexp @ (complexu_mul @ ii @ (cx @ A)))) = Z) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_lt @ A @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi))) => ((arg @ Z) = A))).
thf(aCEXPu_ADD, axiom, ![W:cartrealn2,Z:cartrealn2]:((cexp @ (vectoru_add @ W @ Z)) = (complexu_mul @ (cexp @ W) @ (cexp @ Z)))).
thf(aCOMPLEXu_ADDu_LDISTRIB, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:((complexu_mul @ X @ (vectoru_add @ Y @ Z)) = (vectoru_add @ (complexu_mul @ X @ Y) @ (complexu_mul @ X @ Z)))).
thf(aCOMPLEXu_MULu_ACu_conjunct0, axiom, ![N:cartrealn2,M:cartrealn2]:((complexu_mul @ M @ N) = (complexu_mul @ N @ M))).
thf(aCOMPLEXu_MULu_ACu_conjunct2, axiom, ![N:cartrealn2,M:cartrealn2,P:cartrealn2]:((complexu_mul @ M @ (complexu_mul @ N @ P)) = (complexu_mul @ N @ (complexu_mul @ M @ P)))).
thf(aCOMPLEXu_NORMu_NZ, axiom, ![Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ Z)) <=> ~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(aCXu_ADD, axiom, ![X:real,Y:real]:((cx @ (realu_add @ X @ Y)) = (vectoru_add @ (cx @ X) @ (cx @ Y)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aROTATE2Du_COMPLEX, axiom, ![T:real,Z:cartrealn2]:((rotate2d @ T @ Z) = (complexu_mul @ (cexp @ (complexu_mul @ ii @ (cx @ T))) @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![T:real,Z:cartrealn2]:((~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ T @ (arg @ Z))) & (realu_lt @ (realu_add @ T @ (arg @ Z)) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi))) => ((arg @ (rotate2d @ T @ Z)) = (realu_add @ T @ (arg @ Z))))).
