%   ORIGINAL: ROTATION_ROTATE2D_EXISTS_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct6: !m n. BIT0 m <= BIT0 n <=> m <= n
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: DIMINDEX_2: dimindex (:2) = 2
% Assm: LINEAR_CMUL: !f c x. linear f ==> f (c % x) = c % f x
% Assm: LINEAR_ROTATE2D: !t. linear (rotate2d t)
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: ROTATION_EXISTS: !a b. 2 <= dimindex (:N) /\ norm a = norm b ==> (?f. orthogonal_transformation f /\ det (matrix f) = &1 /\ f a = b)
% Assm: ROTATION_ROTATE2D: !f. orthogonal_transformation f /\ det (matrix f) = &1 ==> (?t. &0 <= t /\ t < &2 * pi /\ f = rotate2d t)
% Assm: TRUTH: T
% Goal: !x y. ?t. &0 <= t /\ t < &2 * pi /\ norm y % rotate2d t x = norm x % y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !m n. BIT0 m <= BIT0 n <=> m <= n
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: dimindex (:2) = 2
% Assm: !f c x. linear f ==> f (c % x) = c % f x
% Assm: !t. linear (rotate2d t)
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. abs (norm x) = norm x
% Assm: !x y. x * y = y * x
% Assm: !a b. 2 <= dimindex (:2) /\ norm a = norm b ==> (?f. orthogonal_transformation f /\ det (matrix f) = &1 /\ f a = b)
% Assm: !f. orthogonal_transformation f /\ det (matrix f) = &1 ==> (?t. &0 <= t /\ t < &2 * pi /\ f = rotate2d t)
% Assm: T
% Goal: !x y. ?t. &0 <= t /\ t < &2 * pi /\ norm y % rotate2d t x = norm x % y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealn2n2, type, cartcartrealn2n2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cmatrix, type, matrix : ((cartrealn2 > cartrealn2) > cartcartrealn2n2)).
thf(cdet, type, det : (cartcartrealn2n2 > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crotate2d, type, rotate2d : (real > cartrealn2 > cartrealn2)).
thf(cru_, type, r_ : (real > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (n2 > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn2 > cartrealn2) > $o)).
thf(clinear, type, linear : ((cartrealn2 > cartrealn2) > $o)).
thf(cdimindex, type, dimindex : ((n2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct6, axiom, ![M:num,N:num]:((l_a_ @ (bit0 @ M) @ (bit0 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aDIMINDEXu_2, axiom, ((dimindex @ univ) = (numeral @ (bit0 @ (bit1 @ u_0))))).
thf(aLINEARu_CMUL, axiom, ![F:(cartrealn2 > cartrealn2),C:real,X:cartrealn2]:((linear @ F) => ((F @ (r_ @ C @ X)) = (r_ @ C @ (F @ X))))).
thf(aLINEARu_ROTATE2D, axiom, ![T:real]:(linear @ (rotate2d @ T))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealn2]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealn2]:((realu_abs @ (vectoru_norm @ X)) = (vectoru_norm @ X))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aROTATIONu_EXISTS, axiom, ![A:cartrealn2,B:cartrealn2]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & ((vectoru_norm @ A) = (vectoru_norm @ B))) => ?[F:(cartrealn2 > cartrealn2)]:((orthogonalu_transformation @ F) & ((det @ (matrix @ F)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((F @ A) = B)))).
thf(aROTATIONu_ROTATE2D, axiom, ![F:(cartrealn2 > cartrealn2)]:(((orthogonalu_transformation @ F) & ((det @ (matrix @ F)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ?[T:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ T @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & (F = (rotate2d @ T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn2,Y:cartrealn2]:?[T:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ T @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ((r_ @ (vectoru_norm @ Y) @ (rotate2d @ T @ X)) = (r_ @ (vectoru_norm @ X) @ Y)))).
