%   ORIGINAL: ROTATION_ROTATE2D_EXISTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_NORM_ZERO: !z. norm z = &0 <=> z = Cx (&0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PI_WORKS_conjunct0: &0 < pi
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: ROTATE2D_0: !t. rotate2d t (Cx (&0)) = Cx (&0)
% Assm: ROTATION_ROTATE2D_EXISTS_GEN: !x y. ?t. &0 <= t /\ t < &2 * pi /\ norm y % rotate2d t x = norm x % y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LCANCEL: !a x y. a % x = a % y <=> a = &0 \/ x = y
% Goal: !x y. norm x = norm y ==> (?t. &0 <= t /\ t < &2 * pi /\ rotate2d t x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. norm z = &0 <=> z = Cx (&0)
% Assm: ~F <=> T
% Assm: &0 < pi
% Assm: !x. x <= x
% Assm: !m n. &m < &n <=> m < n
% Assm: !t. rotate2d t (Cx (&0)) = Cx (&0)
% Assm: !x y. ?t. &0 <= t /\ t < &2 * pi /\ norm y % rotate2d t x = norm x % y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: T
% Assm: !a x y. a % x = a % y <=> a = &0 \/ x = y
% Goal: !x y. norm x = norm y ==> (?t. &0 <= t /\ t < &2 * pi /\ rotate2d t x = y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cpi, type, pi : real).
thf(cru_, type, r_ : (real > cartrealn2 > cartrealn2)).
thf(crotate2d, type, rotate2d : (real > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_NORMu_ZERO, axiom, ![Z:cartrealn2]:(((vectoru_norm @ Z) = (realu_ofu_num @ (numeral @ u_0))) <=> (Z = (cx @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPIu_WORKSu_conjunct0, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ pi)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aROTATE2Du_0, axiom, ![T:real]:((rotate2d @ T @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aROTATIONu_ROTATE2Du_EXISTSu_GEN, axiom, ![X:cartrealn2,Y:cartrealn2]:?[T:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ T @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ((r_ @ (vectoru_norm @ Y) @ (rotate2d @ T @ X)) = (r_ @ (vectoru_norm @ X) @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LCANCEL, axiom, ![A:real,X:cartrealn2,Y:cartrealn2]:(((r_ @ A @ X) = (r_ @ A @ Y)) <=> ((A = (realu_ofu_num @ (numeral @ u_0))) | (X = Y)))).
thf(conjecture, conjecture, ![X:cartrealn2,Y:cartrealn2]:(((vectoru_norm @ X) = (vectoru_norm @ Y)) => ?[T:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ T @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ((rotate2d @ T @ X) = Y)))).
