%   ORIGINAL: ROTATE2D_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_TRANSFORMATION_INJECTIVE: !f. orthogonal_transformation f ==> (!x y. f x = f y ==> x = y)
% Assm: ORTHOGONAL_TRANSFORMATION_ROTATE2D: !t. orthogonal_transformation (rotate2d t)
% Assm: TRUTH: T
% Goal: !t x y. rotate2d t x = rotate2d t y <=> x = y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !f. orthogonal_transformation f ==> (!x y. f x = f y ==> x = y)
% Assm: !t. orthogonal_transformation (rotate2d t)
% Assm: T
% Goal: !t x y. rotate2d t x = rotate2d t y <=> x = y
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(crotate2d, type, rotate2d : (real > cartrealn2 > cartrealn2)).
thf(ci0, type, i0 : ($o > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn2 > cartrealn2) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_TRANSFORMATIONu_INJECTIVE, axiom, ![F:(cartrealn2 > cartrealn2)]:((orthogonalu_transformation @ F) => ![X:cartrealn2,Y:cartrealn2]:(((F @ X) = (F @ Y)) => (X = Y)))).
thf(aORTHOGONALu_TRANSFORMATIONu_ROTATE2D, axiom, ![T:real]:(orthogonalu_transformation @ (rotate2d @ T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![T:real,X:cartrealn2,Y:cartrealn2]:(((rotate2d @ T @ X) = (rotate2d @ T @ Y)) <=> (X = Y))).
