%   ORIGINAL: ROTATION_MATRIX_ROTATE2D
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MATRIX_ROTATE2D: !t. matrix (rotate2d t) = vector [vector [cos t; --sin t]; vector [sin t; cos t]]
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: ROTATION_MATRIX_2: !A. rotation_matrix A <=> A$1$1 pow 2 + A$2$1 pow 2 = &1 /\ A$1$1 = A$2$2 /\ A$1$2 = --(A$2$1)
% Assm: SIN_CIRCLE: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: TRUTH: T
% Assm: VECTOR_2_conjunct0: vector [x; y]$1 = x
% Assm: VECTOR_2_conjunct1: vector [x; y]$2 = y
% Goal: !t. rotation_matrix (matrix (rotate2d t))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !t. matrix (rotate2d t) = vector [vector [cos t; --sin t]; vector [sin t; cos t]]
% Assm: ~F <=> T
% Assm: !x y. x + y = y + x
% Assm: !A. rotation_matrix A <=> A$1$1 pow 2 + A$2$1 pow 2 = &1 /\ A$1$1 = A$2$2 /\ A$1$2 = --(A$2$1)
% Assm: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: T
% Assm: !y x. vector [x; y]$1 = x
% Assm: !x y. vector [x; y]$2 = y
% Goal: !t. rotation_matrix (matrix (rotate2d t))
%  TYPES
thf(tnum, type, num : $tType).
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartan2, type, cartan2 : $tType).
thf(treal, type, real : $tType).
thf(tlistcartrealn2, type, listcartrealn2 : $tType).
thf(tcartcartrealn2n2, type, cartcartrealn2n2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tlistreal, type, listreal : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listcartrealn2).
thf(cvector1, type, vector1 : (lista > cartan2)).
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvector0, type, vector0 : (listreal > cartrealn2)).
thf(cvector, type, vector : (listcartrealn2 > cartcartrealn2n2)).
thf(cmatrix, type, matrix : ((cartrealn2 > cartrealn2) > cartcartrealn2n2)).
thf(cdu_1, type, d_1 : (cartan2 > num > a)).
thf(ccons1, type, cons1 : (a > lista > lista)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdu_0, type, d_0 : (cartcartrealn2n2 > num > cartrealn2)).
thf(ccons0, type, cons0 : (real > listreal > listreal)).
thf(ccons, type, cons : (cartrealn2 > listcartrealn2 > listcartrealn2)).
thf(crotate2d, type, rotate2d : (real > cartrealn2 > cartrealn2)).
thf(crotationuu_matrix, type, rotationu_matrix : (cartcartrealn2n2 > $o)).
thf(cnil, type, nil : listreal).
thf(cuu_0, type, u_0 : num).
thf(cnil1, type, nil1 : lista).
thf(csin, type, sin : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMATRIXu_ROTATE2D, axiom, ![T:real]:((matrix @ (rotate2d @ T)) = (vector @ (cons @ (vector0 @ (cons0 @ (cos @ T) @ (cons0 @ (realu_neg @ (sin @ T)) @ nil))) @ (cons @ (vector0 @ (cons0 @ (sin @ T) @ (cons0 @ (cos @ T) @ nil))) @ nil0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aROTATIONu_MATRIXu_2, axiom, ![A:cartcartrealn2n2]:((rotationu_matrix @ A) <=> (((realu_add @ (realu_pow @ (d_ @ (d_0 @ A @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d_ @ (d_0 @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((d_ @ (d_0 @ A @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit1 @ u_0))) = (d_ @ (d_0 @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (numeral @ (bit0 @ (bit1 @ u_0))))) & ((d_ @ (d_0 @ A @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_neg @ (d_ @ (d_0 @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (numeral @ (bit1 @ u_0)))))))).
thf(aSINu_CIRCLE, axiom, ![X:real]:((realu_add @ (realu_pow @ (sin @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (cos @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_2u_conjunct0, axiom, ![Y:a,X:a]:((d_1 @ (vector1 @ (cons1 @ X @ (cons1 @ Y @ nil1))) @ (numeral @ (bit1 @ u_0))) = X)).
thf(aVECTORu_2u_conjunct1, axiom, ![X:a,Y:a]:((d_1 @ (vector1 @ (cons1 @ X @ (cons1 @ Y @ nil1))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = Y)).
thf(conjecture, conjecture, ![T:real]:(rotationu_matrix @ (matrix @ (rotate2d @ T)))).
