%   ORIGINAL: CTAN_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CCOS_NEG: !z. ccos (--z) = ccos z
% Assm: COMPLEX_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: CSIN_NEG: !z. csin (--z) = --csin z
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Assm: ctan: !z. ctan z = csin z / ccos z
% Goal: !z. ctan (--z) = --ctan z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. ccos (--z) = ccos z
% Assm: !x y. --x * y = --(x * y)
% Assm: !z. csin (--z) = --csin z
% Assm: T
% Assm: !w z. w / z = w * inv z
% Assm: !z. ctan z = csin z / ccos z
% Goal: !z. ctan (--z) = --ctan z
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccsin, type, csin : (cartrealn2 > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(cctan, type, ctan : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCCOSu_NEG, axiom, ![Z:cartrealn2]:((ccos @ (vectoru_neg @ Z)) = (ccos @ Z))).
thf(aCOMPLEXu_MULu_LNEG, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ (vectoru_neg @ X) @ Y) = (vectoru_neg @ (complexu_mul @ X @ Y)))).
thf(aCSINu_NEG, axiom, ![Z:cartrealn2]:((csin @ (vectoru_neg @ Z)) = (vectoru_neg @ (csin @ Z)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(actan, axiom, ![Z:cartrealn2]:((ctan @ Z) = (complexu_div @ (csin @ Z) @ (ccos @ Z)))).
thf(conjecture, conjecture, ![Z:cartrealn2]:((ctan @ (vectoru_neg @ Z)) = (vectoru_neg @ (ctan @ Z)))).
