%   ORIGINAL: CTAN_DOUBLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_MUL_2: !x. Cx (&2) * x = x + x
% Assm: COMPLEX_POW_2: !x. x pow 2 = x * x
% Assm: CTAN_ADD: !w z. ~(ccos w = Cx (&0)) /\ ~(ccos z = Cx (&0)) /\ ~(ccos (w + z) = Cx (&0)) ==> ctan (w + z) = (ctan w + ctan z) / (Cx (&1) - ctan w * ctan z)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !z. ~(ccos z = Cx (&0)) /\ ~(ccos (Cx (&2) * z) = Cx (&0)) ==> ctan (Cx (&2) * z) = (Cx (&2) * ctan z) / (Cx (&1) - ctan z pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. Cx (&2) * x = x + x
% Assm: !x. x pow 2 = x * x
% Assm: !w z. ~(ccos w = Cx (&0)) /\ ~(ccos z = Cx (&0)) /\ ~(ccos (w + z) = Cx (&0)) ==> ctan (w + z) = (ctan w + ctan z) / (Cx (&1) - ctan w * ctan z)
% Assm: ~F <=> T
% Assm: T
% Goal: !z. ~(ccos z = Cx (&0)) /\ ~(ccos (Cx (&2) * z) = Cx (&0)) ==> ctan (Cx (&2) * z) = (Cx (&2) * ctan z) / (Cx (&1) - ctan z pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cctan, type, ctan : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_MULu_2, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ X) = (vectoru_add @ X @ X))).
thf(aCOMPLEXu_POWu_2, axiom, ![X:cartrealn2]:((complexu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (complexu_mul @ X @ X))).
thf(aCTANu_ADD, axiom, ![W:cartrealn2,Z:cartrealn2]:((~ (((ccos @ W) = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ (((ccos @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ (((ccos @ (vectoru_add @ W @ Z)) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => ((ctan @ (vectoru_add @ W @ Z)) = (complexu_div @ (vectoru_add @ (ctan @ W) @ (ctan @ Z)) @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ (ctan @ W) @ (ctan @ Z))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:((~ (((ccos @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ (((ccos @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ Z)) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => ((ctan @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ Z)) = (complexu_div @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (ctan @ Z)) @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ (ctan @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
