%   ORIGINAL: CTAN_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CCOS_NEG: !z. ccos (--z) = ccos z
% Assm: COMPLEX_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: COMPLEX_NEG_NEG: !x. -- --x = x
% Assm: CTAN_ADD: !w z. ~(ccos w = Cx (&0)) /\ ~(ccos z = Cx (&0)) /\ ~(ccos (w + z) = Cx (&0)) ==> ctan (w + z) = (ctan w + ctan z) / (Cx (&1) - ctan w * ctan z)
% Assm: CTAN_NEG: !z. ctan (--z) = --ctan z
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_sub: w - z = w + --z
% Goal: !w z. ~(ccos w = Cx (&0)) /\ ~(ccos z = Cx (&0)) /\ ~(ccos (w - z) = Cx (&0)) ==> ctan (w - z) = (ctan w - ctan z) / (Cx (&1) + ctan w * ctan z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. ccos (--z) = ccos z
% Assm: !x y. x * --y = --(x * y)
% Assm: !x. -- --x = x
% Assm: !w z. ~(ccos w = Cx (&0)) /\ ~(ccos z = Cx (&0)) /\ ~(ccos (w + z) = Cx (&0)) ==> ctan (w + z) = (ctan w + ctan z) / (Cx (&1) - ctan w * ctan z)
% Assm: !z. ctan (--z) = --ctan z
% Assm: ~F <=> T
% Assm: T
% Assm: !w z. w - z = w + --z
% Goal: !w z. ~(ccos w = Cx (&0)) /\ ~(ccos z = Cx (&0)) /\ ~(ccos (w - z) = Cx (&0)) ==> ctan (w - z) = (ctan w - ctan z) / (Cx (&1) + ctan w * ctan z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(cctan, type, ctan : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCCOSu_NEG, axiom, ![Z:cartrealn2]:((ccos @ (vectoru_neg @ Z)) = (ccos @ Z))).
thf(aCOMPLEXu_MULu_RNEG, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ (vectoru_neg @ Y)) = (vectoru_neg @ (complexu_mul @ X @ Y)))).
thf(aCOMPLEXu_NEGu_NEG, axiom, ![X:cartrealn2]:((vectoru_neg @ (vectoru_neg @ X)) = X)).
thf(aCTANu_ADD, axiom, ![W:cartrealn2,Z:cartrealn2]:((~ (((ccos @ W) = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ (((ccos @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ (((ccos @ (vectoru_add @ W @ Z)) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => ((ctan @ (vectoru_add @ W @ Z)) = (complexu_div @ (vectoru_add @ (ctan @ W) @ (ctan @ Z)) @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ (ctan @ W) @ (ctan @ Z))))))).
thf(aCTANu_NEG, axiom, ![Z:cartrealn2]:((ctan @ (vectoru_neg @ Z)) = (vectoru_neg @ (ctan @ Z)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_sub, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_sub @ W @ Z) = (vectoru_add @ W @ (vectoru_neg @ Z)))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((~ (((ccos @ W) = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ (((ccos @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ (((ccos @ (vectoru_sub @ W @ Z)) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => ((ctan @ (vectoru_sub @ W @ Z)) = (complexu_div @ (vectoru_sub @ (ctan @ W) @ (ctan @ Z)) @ (vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ (ctan @ W) @ (ctan @ Z))))))).
