%   ORIGINAL: CNJ_CTAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CNJ_CCOS: !z. cnj (ccos z) = ccos (cnj z)
% Assm: CNJ_CSIN: !z. cnj (csin z) = csin (cnj z)
% Assm: CNJ_DIV: !w z. cnj (w / z) = cnj w / cnj z
% Assm: TRUTH: T
% Assm: ctan: !z. ctan z = csin z / ccos z
% Goal: !z. cnj (ctan z) = ctan (cnj z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. cnj (ccos z) = ccos (cnj z)
% Assm: !z. cnj (csin z) = csin (cnj z)
% Assm: !w z. cnj (w / z) = cnj w / cnj z
% Assm: T
% Assm: !z. ctan z = csin z / ccos z
% Goal: !z. cnj (ctan z) = ctan (cnj z)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccsin, type, csin : (cartrealn2 > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(cctan, type, ctan : (cartrealn2 > cartrealn2)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCNJu_CCOS, axiom, ![Z:cartrealn2]:((cnj @ (ccos @ Z)) = (ccos @ (cnj @ Z)))).
thf(aCNJu_CSIN, axiom, ![Z:cartrealn2]:((cnj @ (csin @ Z)) = (csin @ (cnj @ Z)))).
thf(aCNJu_DIV, axiom, ![W:cartrealn2,Z:cartrealn2]:((cnj @ (complexu_div @ W @ Z)) = (complexu_div @ (cnj @ W) @ (cnj @ Z)))).
thf(aTRUTH, axiom, $true).
thf(actan, axiom, ![Z:cartrealn2]:((ctan @ Z) = (complexu_div @ (csin @ Z) @ (ccos @ Z)))).
thf(conjecture, conjecture, ![Z:cartrealn2]:((cnj @ (ctan @ Z)) = (ctan @ (cnj @ Z)))).
