%   ORIGINAL: tan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_COS: !x. Cx (cos x) = ccos (Cx x)
% Assm: CX_DIV: !x y. Cx (x / y) = Cx x / Cx y
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: CX_SIN: !x. Cx (sin x) = csin (Cx x)
% Assm: CX_TAN: !x. Cx (tan x) = ctan (Cx x)
% Assm: TRUTH: T
% Assm: ctan: !z. ctan z = csin z / ccos z
% Goal: !x. tan x = sin x / cos x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Cx (cos x) = ccos (Cx x)
% Assm: !x y. Cx (x / y) = Cx x / Cx y
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: !x. Cx (sin x) = csin (Cx x)
% Assm: !x. Cx (tan x) = ctan (Cx x)
% Assm: T
% Assm: !z. ctan z = csin z / ccos z
% Goal: !x. tan x = sin x / cos x
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cctan, type, ctan : (cartrealn2 > cartrealn2)).
thf(ccsin, type, csin : (cartrealn2 > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccos, type, cos : (real > real)).
thf(csin, type, sin : (real > real)).
thf(ctan, type, tan : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_COS, axiom, ![X:real]:((cx @ (cos @ X)) = (ccos @ (cx @ X)))).
thf(aCXu_DIV, axiom, ![X:real,Y:real]:((cx @ (realu_div @ X @ Y)) = (complexu_div @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aCXu_SIN, axiom, ![X:real]:((cx @ (sin @ X)) = (csin @ (cx @ X)))).
thf(aCXu_TAN, axiom, ![X:real]:((cx @ (tan @ X)) = (ctan @ (cx @ X)))).
thf(aTRUTH, axiom, $true).
thf(actan, axiom, ![Z:cartrealn2]:((ctan @ Z) = (complexu_div @ (csin @ Z) @ (ccos @ Z)))).
thf(conjecture, conjecture, ![X:real]:((tan @ X) = (realu_div @ (sin @ X) @ (cos @ X)))).
