%   ORIGINAL: TAN_NPI
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: SIN_NPI: !n. sin (&n * pi) = &0
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Assm: tan: !x. tan x = sin x / cos x
% Goal: !n. tan (&n * pi) = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 * x = &0
% Assm: !n. sin (&n * pi) = &0
% Assm: T
% Assm: !x y. x / y = x * inv y
% Assm: !x. tan x = sin x / cos x
% Goal: !n. tan (&n * pi) = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ccos, type, cos : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(csin, type, sin : (real > real)).
thf(ctan, type, tan : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSINu_NPI, axiom, ![N:num]:((sin @ (realu_mul @ (realu_ofu_num @ N) @ pi)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(atan, axiom, ![X:real]:((tan @ X) = (realu_div @ (sin @ X) @ (cos @ X)))).
thf(conjecture, conjecture, ![N:num]:((tan @ (realu_mul @ (realu_ofu_num @ N) @ pi)) = (realu_ofu_num @ (numeral @ u_0)))).
