%   ORIGINAL: TAN_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CTAN_NEG: !z. ctan (--z) = --ctan z
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: CX_NEG: !x. Cx (--x) = --Cx x
% Assm: CX_TAN: !x. Cx (tan x) = ctan (Cx x)
% Assm: TRUTH: T
% Goal: !x. tan (--x) = --tan x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. ctan (--z) = --ctan z
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: !x. Cx (--x) = --Cx x
% Assm: !x. Cx (tan x) = ctan (Cx x)
% Assm: T
% Goal: !x. tan (--x) = --tan x
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(cctan, type, ctan : (cartrealn2 > cartrealn2)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(ctan, type, tan : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCTANu_NEG, axiom, ![Z:cartrealn2]:((ctan @ (vectoru_neg @ Z)) = (vectoru_neg @ (ctan @ Z)))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aCXu_NEG, axiom, ![X:real]:((cx @ (realu_neg @ X)) = (vectoru_neg @ (cx @ X)))).
thf(aCXu_TAN, axiom, ![X:real]:((cx @ (tan @ X)) = (ctan @ (cx @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((tan @ (realu_neg @ X)) = (realu_neg @ (tan @ X)))).
