%   ORIGINAL: TAN_PERIODIC_PI
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COS_PERIODIC_PI: !x. cos (x + pi) = --cos x
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: TRUTH: T
% Assm: Trigonometry.LLOYXRK3: !x. sin (x + pi) = --sin x
% Assm: real_div: !x y. x / y = x * inv y
% Assm: tan: !x. tan x = sin x / cos x
% Goal: !x. tan (x + pi) = tan x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. cos (x + pi) = --cos x
% Assm: !x. inv (--x) = --inv x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x. -- --x = x
% Assm: T
% Assm: !x. sin (x + pi) = --sin x
% Assm: !x y. x / y = x * inv y
% Assm: !x. tan x = sin x / cos x
% Goal: !x. tan (x + pi) = tan x
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cpi, type, pi : real).
thf(csin, type, sin : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(ctan, type, tan : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOSu_PERIODICu_PI, axiom, ![X:real]:((cos @ (realu_add @ X @ pi)) = (realu_neg @ (cos @ X)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_LLOYXRK3, axiom, ![X:real]:((sin @ (realu_add @ X @ pi)) = (realu_neg @ (sin @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(atan, axiom, ![X:real]:((tan @ X) = (realu_div @ (sin @ X) @ (cos @ X)))).
thf(conjecture, conjecture, ![X:real]:((tan @ (realu_add @ X @ pi)) = (tan @ X))).
