%   ORIGINAL: TAN_DOUBLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_2: !x. &2 * x = x + x
% Assm: TAN_ADD: !x y. ~(cos x = &0) /\ ~(cos y = &0) /\ ~(cos (x + y) = &0) ==> tan (x + y) = (tan x + tan y) / (&1 - tan x * tan y)
% Assm: TRUTH: T
% Goal: !x. ~(cos x = &0) /\ ~(cos (&2 * x) = &0) ==> tan (&2 * x) = (&2 * tan x) / (&1 - tan x pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x pow 2 = x * x
% Assm: ~F <=> T
% Assm: !x. &2 * x = x + x
% Assm: !x y. ~(cos x = &0) /\ ~(cos y = &0) /\ ~(cos (x + y) = &0) ==> tan (x + y) = (tan x + tan y) / (&1 - tan x * tan y)
% Assm: T
% Goal: !x. ~(cos x = &0) /\ ~(cos (&2 * x) = &0) ==> tan (&2 * x) = (&2 * tan x) / (&1 - tan x pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ctan, type, tan : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_2, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X) = (realu_add @ X @ X))).
thf(aTANu_ADD, axiom, ![X:real,Y:real]:((~ (((cos @ X) = (realu_ofu_num @ (numeral @ u_0)))) & ~ (((cos @ Y) = (realu_ofu_num @ (numeral @ u_0)))) & ~ (((cos @ (realu_add @ X @ Y)) = (realu_ofu_num @ (numeral @ u_0))))) => ((tan @ (realu_add @ X @ Y)) = (realu_div @ (realu_add @ (tan @ X) @ (tan @ Y)) @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_mul @ (tan @ X) @ (tan @ Y))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((~ (((cos @ X) = (realu_ofu_num @ (numeral @ u_0)))) & ~ (((cos @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X)) = (realu_ofu_num @ (numeral @ u_0))))) => ((tan @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X)) = (realu_div @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (tan @ X)) @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (tan @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
