%   ORIGINAL: REAL_ADD_TAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_ADD_CTAN: !w z. ~(ccos w = Cx (&0)) /\ ~(ccos z = Cx (&0)) ==> ctan w + ctan z = csin (w + z) / (ccos w * ccos z)
% Assm: CX_ADD: !x y. Cx (x + y) = Cx x + Cx y
% Assm: CX_COS: !x. Cx (cos x) = ccos (Cx x)
% Assm: CX_DIV: !x y. Cx (x / y) = Cx x / Cx y
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: CX_SIN: !x. Cx (sin x) = csin (Cx x)
% Assm: CX_TAN: !x. Cx (tan x) = ctan (Cx x)
% Assm: TRUTH: T
% Goal: !x y. ~(cos x = &0) /\ ~(cos y = &0) ==> tan x + tan y = sin (x + y) / (cos x * cos y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. ~(ccos w = Cx (&0)) /\ ~(ccos z = Cx (&0)) ==> ctan w + ctan z = csin (w + z) / (ccos w * ccos z)
% Assm: !x y. Cx (x + y) = Cx x + Cx y
% Assm: !x. Cx (cos x) = ccos (Cx x)
% Assm: !x y. Cx (x / y) = Cx x / Cx y
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !x. Cx (sin x) = csin (Cx x)
% Assm: !x. Cx (tan x) = ctan (Cx x)
% Assm: T
% Goal: !x y. ~(cos x = &0) /\ ~(cos y = &0) ==> tan x + tan y = sin (x + y) / (cos x * cos y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccsin, type, csin : (cartrealn2 > cartrealn2)).
thf(cctan, type, ctan : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(ctan, type, tan : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_ADDu_CTAN, axiom, ![W:cartrealn2,Z:cartrealn2]:((~ (((ccos @ W) = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ (((ccos @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => ((vectoru_add @ (ctan @ W) @ (ctan @ Z)) = (complexu_div @ (csin @ (vectoru_add @ W @ Z)) @ (complexu_mul @ (ccos @ W) @ (ccos @ Z)))))).
thf(aCXu_ADD, axiom, ![X:real,Y:real]:((cx @ (realu_add @ X @ Y)) = (vectoru_add @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_COS, axiom, ![X:real]:((cx @ (cos @ X)) = (ccos @ (cx @ X)))).
thf(aCXu_DIV, axiom, ![X:real,Y:real]:((cx @ (realu_div @ X @ Y)) = (complexu_div @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_SIN, axiom, ![X:real]:((cx @ (sin @ X)) = (csin @ (cx @ X)))).
thf(aCXu_TAN, axiom, ![X:real]:((cx @ (tan @ X)) = (ctan @ (cx @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:((~ (((cos @ X) = (realu_ofu_num @ (numeral @ u_0)))) & ~ (((cos @ Y) = (realu_ofu_num @ (numeral @ u_0))))) => ((realu_add @ (tan @ X) @ (tan @ Y)) = (realu_div @ (sin @ (realu_add @ X @ Y)) @ (realu_mul @ (cos @ X) @ (cos @ Y)))))).
