%   ORIGINAL: TAN_MONO_LE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: TAN_MONO_LE: !x y. --(pi / &2) < x /\ x <= y /\ y < pi / &2 ==> tan x <= tan y
% Assm: TAN_MONO_LT: !x y. --(pi / &2) < x /\ x < y /\ y < pi / &2 ==> tan x < tan y
% Assm: TRUTH: T
% Goal: !x y. --(pi / &2) < x /\ x < pi / &2 /\ --(pi / &2) < y /\ y < pi / &2 ==> (tan x <= tan y <=> x <= y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. --(pi / &2) < x /\ x <= y /\ y < pi / &2 ==> tan x <= tan y
% Assm: !x y. --(pi / &2) < x /\ x < y /\ y < pi / &2 ==> tan x < tan y
% Assm: T
% Goal: !x y. --(pi / &2) < x /\ x < pi / &2 /\ --(pi / &2) < y /\ y < pi / &2 ==> (tan x <= tan y <=> x <= y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ctan, type, tan : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTANu_MONOu_LE, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ X) & (realu_le @ X @ Y) & (realu_lt @ Y @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (realu_le @ (tan @ X) @ (tan @ Y)))).
thf(aTANu_MONOu_LT, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ X) & (realu_lt @ X @ Y) & (realu_lt @ Y @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (realu_lt @ (tan @ X) @ (tan @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:(((realu_lt @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ X) & (realu_lt @ X @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & (realu_lt @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ Y) & (realu_lt @ Y @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => ((realu_le @ (tan @ X) @ (tan @ Y)) <=> (realu_le @ X @ Y)))).
