%   ORIGINAL: EXISTS_COMPLEX'
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX: !z. complex (Re z,Im z) = z
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IM: Im (complex (x,y)) = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RE: Re (complex (x,y)) = x
% Assm: TRUTH: T
% Goal: !P. (?z. P (Re z) (Im z)) <=> (?x y. P x y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. complex (Re z,Im z) = z
% Assm: !t. (\x. t x) = t
% Assm: !x y. Im (complex (x,y)) = y
% Assm: ~F <=> T
% Assm: !y x. Re (complex (x,y)) = x
% Assm: T
% Goal: !P. (?z. P (Re z) (Im z)) <=> (?x y. P x y)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEX, axiom, ![Z:cartrealn2]:((complex @ (c_ @ (re @ Z) @ (im @ Z))) = Z)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIM, axiom, ![X:real,Y:real]:((im @ (complex @ (c_ @ X @ Y))) = Y)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(real > real > $o)]:(?[Z:cartrealn2]:(P @ (re @ Z) @ (im @ Z)) <=> ?[X:real,Y:real]:(P @ X @ Y))).
