%   ORIGINAL: CLOG_WORKS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CEXP_COMPLEX: !r t. cexp (complex (r,t)) = Cx (exp r) * complex (cos t,sin t)
% Assm: COMPLEX_DIV_LMUL: !x y. ~(y = Cx (&0)) ==> y * x / y = x
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: COMPLEX_NORM_DIV: !w z. norm (w / z) = norm w / norm z
% Assm: COMPLEX_NORM_NZ: !z. &0 < norm z <=> ~(z = Cx (&0))
% Assm: COMPLEX_NORM_ZERO: !z. norm z = &0 <=> z = Cx (&0)
% Assm: COMPLEX_UNIMODULAR_POLAR: !z. norm z = &1 ==> (?x. z = complex (cos x,sin x))
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: EXP_LOG: !x. &0 < x ==> exp (log x) = x
% Assm: IM: Im (complex (x,y)) = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: REAL_DIV_REFL: !x. ~(x = &0) ==> x / x = &1
% Assm: SINCOS_PRINCIPAL_VALUE: !x. ?y. (--pi < y /\ y <= pi) /\ sin y = sin x /\ cos y = cos x
% Assm: TRUTH: T
% Assm: clog: !z. clog z = (@w. cexp w = z /\ --pi < Im w /\ Im w <= pi)
% Goal: !z. ~(z = Cx (&0)) ==> cexp (clog z) = z /\ --pi < Im (clog z) /\ Im (clog z) <= pi
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !r t. cexp (complex (r,t)) = Cx (exp r) * complex (cos t,sin t)
% Assm: !x y. ~(y = Cx (&0)) ==> y * x / y = x
% Assm: !x. norm (Cx x) = abs x
% Assm: !w z. norm (w / z) = norm w / norm z
% Assm: !z. &0 < norm z <=> ~(z = Cx (&0))
% Assm: !z. norm z = &0 <=> z = Cx (&0)
% Assm: !z. norm z = &1 ==> (?x. z = complex (cos x,sin x))
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: (?) = (\P. P ((@) P))
% Assm: !x. &0 < x ==> exp (log x) = x
% Assm: !x y. Im (complex (x,y)) = y
% Assm: ~F <=> T
% Assm: !x. abs (norm x) = norm x
% Assm: !x. ~(x = &0) ==> x / x = &1
% Assm: !x. ?y. (--pi < y /\ y <= pi) /\ sin y = sin x /\ cos y = cos x
% Assm: T
% Assm: !z. clog z = (@w. cexp w = z /\ --pi < Im w /\ Im w <= pi)
% Goal: !z. ~(z = Cx (&0)) ==> cexp (clog z) = z /\ --pi < Im (clog z) /\ Im (clog z) <= pi
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq100270, type, cartrealq100270 : $tType).
thf(tq100270, type, q100270 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(chu_0, type, h_0 : ((cartrealn2 > $o) > cartrealn2)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq100270 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cpi, type, pi : real).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(clog, type, log : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cexp, type, exp : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCEXPu_COMPLEX, axiom, ![R:real,T:real]:((cexp @ (complex @ (c_ @ R @ T))) = (complexu_mul @ (cx @ (exp @ R)) @ (complex @ (c_ @ (cos @ T) @ (sin @ T)))))).
thf(aCOMPLEXu_DIVu_LMUL, axiom, ![X:cartrealn2,Y:cartrealn2]:(~ ((Y = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => ((complexu_mul @ Y @ (complexu_div @ X @ Y)) = X))).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aCOMPLEXu_NORMu_DIV, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_norm @ (complexu_div @ W @ Z)) = (realu_div @ (vectoru_norm @ W) @ (vectoru_norm @ Z)))).
thf(aCOMPLEXu_NORMu_NZ, axiom, ![Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ Z)) <=> ~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(aCOMPLEXu_NORMu_ZERO, axiom, ![Z:cartrealn2]:(((vectoru_norm @ Z) = (realu_ofu_num @ (numeral @ u_0))) <=> (Z = (cx @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aCOMPLEXu_UNIMODULARu_POLAR, axiom, ![Z:cartrealn2]:(((vectoru_norm @ Z) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ?[X:real]:(Z = (complex @ (c_ @ (cos @ X) @ (sin @ X)))))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aEXPu_LOG, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((exp @ (log @ X)) = X))).
thf(aIM, axiom, ![X:real,Y:real]:((im @ (complex @ (c_ @ X @ Y))) = Y)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealq100270]:((realu_abs @ (vectoru_norm0 @ X)) = (vectoru_norm0 @ X))).
thf(aREALu_DIVu_REFL, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_div @ X @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aSINCOSu_PRINCIPALu_VALUE, axiom, ![X:real]:?[Y:real]:((realu_lt @ (realu_neg @ pi) @ Y) & (realu_le @ Y @ pi) & ((sin @ Y) = (sin @ X)) & ((cos @ Y) = (cos @ X)))).
thf(aTRUTH, axiom, $true).
thf(aclog, axiom, ![Z:cartrealn2]:((clog @ Z) = (h_0 @ ^[W:cartrealn2]:(((cexp @ W) = Z) & (realu_lt @ (realu_neg @ pi) @ (im @ W)) & (realu_le @ (im @ W) @ pi))))).
thf(conjecture, conjecture, ![Z:cartrealn2]:(~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => (((cexp @ (clog @ Z)) = Z) & (realu_lt @ (realu_neg @ pi) @ (im @ (clog @ Z))) & (realu_le @ (im @ (clog @ Z)) @ pi)))).
