%   ORIGINAL: CEXP_CLOG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOG_WORKS: !z. ~(z = Cx (&0)) ==> cexp (clog z) = z /\ --pi < Im (clog z) /\ Im (clog z) <= pi
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !z. ~(z = Cx (&0)) ==> cexp (clog z) = z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. ~(z = Cx (&0)) ==> cexp (clog z) = z /\ --pi < Im (clog z) /\ Im (clog z) <= pi
% Assm: ~F <=> T
% Assm: T
% Goal: !z. ~(z = Cx (&0)) ==> cexp (clog z) = z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOGu_WORKS, axiom, ![Z:cartrealn2]:(~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => (((cexp @ (clog @ Z)) = Z) & (realu_lt @ (realu_neg @ pi) @ (im @ (clog @ Z))) & (realu_le @ (im @ (clog @ Z)) @ pi)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:(~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => ((cexp @ (clog @ Z)) = Z))).
