%   ORIGINAL: CLOG_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOG_CEXP: !z. --pi < Im z /\ Im z <= pi ==> clog (cexp z) = z
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !w z. --pi < Im z /\ Im z <= pi /\ cexp z = w ==> clog w = z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. --pi < Im z /\ Im z <= pi ==> clog (cexp z) = z
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !w z. --pi < Im z /\ Im z <= pi /\ cexp z = w ==> clog w = z
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOGu_CEXP, axiom, ![Z:cartrealn2]:(((realu_lt @ (realu_neg @ pi) @ (im @ Z)) & (realu_le @ (im @ Z) @ pi)) => ((clog @ (cexp @ Z)) = Z))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:(((realu_lt @ (realu_neg @ pi) @ (im @ Z)) & (realu_le @ (im @ Z) @ pi) & ((cexp @ Z) = W)) => ((clog @ W) = Z))).
