%   ORIGINAL: RE_CLOG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CEXP_CLOG: !z. ~(z = Cx (&0)) ==> cexp (clog z) = z
% Assm: LOG_EXP: !x. log (exp x) = x
% Assm: NORM_CEXP: !z. norm (cexp z) = exp (Re z)
% Assm: TRUTH: T
% Goal: !z. ~(z = Cx (&0)) ==> Re (clog z) = log (norm z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. ~(z = Cx (&0)) ==> cexp (clog z) = z
% Assm: !x. log (exp x) = x
% Assm: !z. norm (cexp z) = exp (Re z)
% Assm: T
% Goal: !z. ~(z = Cx (&0)) ==> Re (clog z) = log (norm z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cexp, type, exp : (real > real)).
thf(clog, type, log : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCEXPu_CLOG, axiom, ![Z:cartrealn2]:(~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => ((cexp @ (clog @ Z)) = Z))).
thf(aLOGu_EXP, axiom, ![X:real]:((log @ (exp @ X)) = X)).
thf(aNORMu_CEXP, axiom, ![Z:cartrealn2]:((vectoru_norm @ (cexp @ Z)) = (exp @ (re @ Z)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:(~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => ((re @ (clog @ Z)) = (log @ (vectoru_norm @ Z))))).
