%   ORIGINAL: HOLOMORPHIC_ON_CSQRT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_COMPLEX_DERIVATIVE_AT_WITHIN: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: HAS_COMPLEX_DERIVATIVE_CSQRT: !z. (Im z = &0 ==> &0 < Re z) ==> (csqrt has_complex_derivative inv (Cx (&2) * csqrt z)) (at z)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: holomorphic_on: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Goal: !s. (!z. z IN s /\ Im z = &0 ==> &0 < Re z) ==> csqrt holomorphic_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: !z. (Im z = &0 ==> &0 < Re z) ==> (csqrt has_complex_derivative inv (Cx (&2) * csqrt z)) (at z)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Goal: !s. (!z. z IN s /\ Im z = &0 ==> &0 < Re z) ==> csqrt holomorphic_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccsqrt, type, csqrt : (cartrealn2 > cartrealn2)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_COMPLEXu_DERIVATIVEu_ATu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_CSQRT, axiom, ![Z:cartrealn2]:((((im @ Z) = (realu_ofu_num @ (numeral @ u_0))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z))) => (hasu_complexu_derivative @ csqrt @ (complexu_inv @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (csqrt @ Z))) @ (at @ Z)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aholomorphicu_on, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((holomorphicu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S))))).
thf(conjecture, conjecture, ![S:(cartrealn2 > $o)]:(![Z:cartrealn2]:(((in @ Z @ S) & ((im @ Z) = (realu_ofu_num @ (numeral @ u_0)))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z))) => (holomorphicu_on @ csqrt @ S))).
