%   ORIGINAL: CPOW_N
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CEXP_CLOG: !z. ~(z = Cx (&0)) ==> cexp (clog z) = z
% Assm: CEXP_N: !n x. cexp (Cx (&n) * x) = cexp x pow n
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: cpow: !z w. w cpow z = (if w = Cx (&0) then Cx (&0) else cexp (z * clog w))
% Goal: !z. z cpow Cx (&n) = (if z = Cx (&0) then Cx (&0) else z pow n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. ~(z = Cx (&0)) ==> cexp (clog z) = z
% Assm: !n x. cexp (Cx (&n) * x) = cexp x pow n
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ~F <=> T
% Assm: T
% Assm: !z w. w cpow z = (if w = Cx (&0) then Cx (&0) else cexp (z * clog w))
% Goal: !n z. z cpow Cx (&n) = (if z = Cx (&0) then Cx (&0) else z pow n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccond, type, cond : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccpow, type, cpow : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCEXPu_CLOG, axiom, ![Z:cartrealn2]:(~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => ((cexp @ (clog @ Z)) = Z))).
thf(aCEXPu_N, axiom, ![N:num,X:cartrealn2]:((cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ N)) @ X)) = (complexu_pow @ (cexp @ X) @ N))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn2,T2:cartrealn2]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:cartrealn2,C:$o,P:(cartrealn2 > $o),Y:cartrealn2]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acpow, axiom, ![Z:cartrealn2,W:cartrealn2]:((cpow @ W @ Z) = (cond @ (W = (cx @ (realu_ofu_num @ (numeral @ u_0)))) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ (cexp @ (complexu_mul @ Z @ (clog @ W)))))).
thf(conjecture, conjecture, ![N:num,Z:cartrealn2]:((cpow @ Z @ (cx @ (realu_ofu_num @ N))) = (cond @ (Z = (cx @ (realu_ofu_num @ (numeral @ u_0)))) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ (complexu_pow @ Z @ N)))).
