%   ORIGINAL: CPOW_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CEXP_ADD: !w z. cexp (w + z) = cexp w * cexp z
% Assm: COMPLEX_ADD_RDISTRIB: !x y z. (x + y) * z = x * z + y * z
% Assm: COMPLEX_MUL_RZERO: !x. x * Cx (&0) = Cx (&0)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: TRUTH: T
% Assm: cpow: !z w. w cpow z = (if w = Cx (&0) then Cx (&0) else cexp (z * clog w))
% Goal: !w z1 z2. w cpow (z1 + z2) = w cpow z1 * w cpow z2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. cexp (w + z) = cexp w * cexp z
% Assm: !x y z. (x + y) * z = x * z + y * z
% Assm: !x. x * Cx (&0) = Cx (&0)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: T
% Assm: !z w. w cpow z = (if w = Cx (&0) then Cx (&0) else cexp (z * clog w))
% Goal: !w z1 z2. w cpow (z1 + z2) = w cpow z1 * w cpow z2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccond, type, cond : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccpow, type, cpow : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCEXPu_ADD, axiom, ![W:cartrealn2,Z:cartrealn2]:((cexp @ (vectoru_add @ W @ Z)) = (complexu_mul @ (cexp @ W) @ (cexp @ Z)))).
thf(aCOMPLEXu_ADDu_RDISTRIB, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:((complexu_mul @ (vectoru_add @ X @ Y) @ Z) = (vectoru_add @ (complexu_mul @ X @ Z) @ (complexu_mul @ Y @ Z)))).
thf(aCOMPLEXu_MULu_RZERO, axiom, ![X:cartrealn2]:((complexu_mul @ X @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn2,T2:cartrealn2]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aTRUTH, axiom, $true).
thf(acpow, axiom, ![Z:cartrealn2,W:cartrealn2]:((cpow @ W @ Z) = (cond @ (W = (cx @ (realu_ofu_num @ (numeral @ u_0)))) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ (cexp @ (complexu_mul @ Z @ (clog @ W)))))).
thf(conjecture, conjecture, ![W:cartrealn2,Z1:cartrealn2,Z2:cartrealn2]:((cpow @ W @ (vectoru_add @ Z1 @ Z2)) = (complexu_mul @ (cpow @ W @ Z1) @ (cpow @ W @ Z2)))).
