%   ORIGINAL: CPOW_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CEXP_NZ: !z. ~(cexp z = Cx (&0))
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: cpow: !z w. w cpow z = (if w = Cx (&0) then Cx (&0) else cexp (z * clog w))
% Goal: !w z. w cpow z = Cx (&0) <=> w = Cx (&0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. ~(cexp z = Cx (&0))
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ~F <=> T
% Assm: T
% Assm: !z w. w cpow z = (if w = Cx (&0) then Cx (&0) else cexp (z * clog w))
% Goal: !w z. w cpow z = Cx (&0) <=> w = Cx (&0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccond0, type, cond0 : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccpow, type, cpow : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCEXPu_NZ, axiom, ![Z:cartrealn2]:~ (((cexp @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acpow, axiom, ![Z:cartrealn2,W:cartrealn2]:((cpow @ W @ Z) = (cond0 @ (W = (cx @ (realu_ofu_num @ (numeral @ u_0)))) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ (cexp @ (complexu_mul @ Z @ (clog @ W)))))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:(((cpow @ W @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) <=> (W = (cx @ (realu_ofu_num @ (numeral @ u_0)))))).
