%   ORIGINAL: NORM_CPOW_REAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: CX_LOG: !z. &0 < z ==> Cx (log z) = clog (Cx z)
% Assm: NORM_CEXP: !z. norm (cexp z) = exp (Re z)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL: !z. real z <=> Cx (Re z) = z
% Assm: REAL_POS_NZ: !x. &0 < x ==> ~(x = &0)
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: RE_MUL_CX: !x z. Re (Cx x * z) = x * Re z /\ Re (z * Cx x) = Re z * x
% Assm: TRUTH: T
% Assm: cpow: !z w. w cpow z = (if w = Cx (&0) then Cx (&0) else cexp (z * clog w))
% Goal: !w z. real w /\ &0 < Re w ==> norm (w cpow z) = exp (Re z * log (Re w))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: !z. &0 < z ==> Cx (log z) = clog (Cx z)
% Assm: !z. norm (cexp z) = exp (Re z)
% Assm: ~F <=> T
% Assm: !z. real z <=> Cx (Re z) = z
% Assm: !x. &0 < x ==> ~(x = &0)
% Assm: !x. Re (Cx x) = x
% Assm: !x z. Re (Cx x * z) = x * Re z /\ Re (z * Cx x) = Re z * x
% Assm: T
% Assm: !z w. w cpow z = (if w = Cx (&0) then Cx (&0) else cexp (z * clog w))
% Goal: !w z. real w /\ &0 < Re w ==> norm (w cpow z) = exp (Re z * log (Re w))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(ccpow, type, cpow : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(clog, type, log : (real > real)).
thf(cexp, type, exp : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aCXu_LOG, axiom, ![Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((cx @ (log @ Z)) = (clog @ (cx @ Z))))).
thf(aNORMu_CEXP, axiom, ![Z:cartrealn2]:((vectoru_norm @ (cexp @ Z)) = (exp @ (re @ Z)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREAL, axiom, ![Z:cartrealn2]:((real0 @ Z) <=> ((cx @ (re @ Z)) = Z))).
thf(aREALu_POSu_NZ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ~ ((X = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aREu_MULu_CX, axiom, ![X:real,Z:cartrealn2]:(((re @ (complexu_mul @ (cx @ X) @ Z)) = (realu_mul @ X @ (re @ Z))) & ((re @ (complexu_mul @ Z @ (cx @ X))) = (realu_mul @ (re @ Z) @ X)))).
thf(aTRUTH, axiom, $true).
thf(acpow, axiom, ![Z:cartrealn2,W:cartrealn2]:((cpow @ W @ Z) = (cond0 @ (W = (cx @ (realu_ofu_num @ (numeral @ u_0)))) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ (cexp @ (complexu_mul @ Z @ (clog @ W)))))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:(((real0 @ W) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ W))) => ((vectoru_norm @ (cpow @ W @ Z)) = (exp @ (realu_mul @ (re @ Z) @ (log @ (re @ W))))))).
