%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_CPOW_RIGHT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_MUL_LID: !x. Cx (&1) * x = x
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_COMPLEX_DERIVATIVE_CEXP: !z. (cexp has_complex_derivative cexp z) (at z)
% Assm: HAS_COMPLEX_DERIVATIVE_CHAIN_UNIV: !f g. (!x. (g has_complex_derivative g' x) (at x)) ==> (!x s. (f has_complex_derivative f') (at x within s) ==> ((\x. g (f x)) has_complex_derivative f' * g' (f x)) (at x within s)) /\ (!x. (f has_complex_derivative f') (at x) ==> ((\x. g (f x)) has_complex_derivative f' * g' (f x)) (at x))
% Assm: HAS_COMPLEX_DERIVATIVE_ID: !net. ((\x. x) has_complex_derivative Cx (&1)) net
% Assm: HAS_COMPLEX_DERIVATIVE_RMUL_AT: !f f' c x. (f has_complex_derivative f') (at x) ==> ((\x. f x * c) has_complex_derivative f' * c) (at x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: cpow: !z w. w cpow z = (if w = Cx (&0) then Cx (&0) else cexp (z * clog w))
% Goal: !w z. ~(w = Cx (&0)) ==> ((\z. w cpow z) has_complex_derivative clog w * w cpow z) (at z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. Cx (&1) * x = x
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !z. (cexp has_complex_derivative cexp z) (at z)
% Assm: !f' g' f g. (!x. (g has_complex_derivative g' x) (at x)) ==> (!x s. (f has_complex_derivative f') (at x within s) ==> ((\x. g (f x)) has_complex_derivative f' * g' (f x)) (at x within s)) /\ (!x. (f has_complex_derivative f') (at x) ==> ((\x. g (f x)) has_complex_derivative f' * g' (f x)) (at x))
% Assm: !net. ((\x. x) has_complex_derivative Cx (&1)) net
% Assm: !f f' c x. (f has_complex_derivative f') (at x) ==> ((\x. f x * c) has_complex_derivative f' * c) (at x)
% Assm: ~F <=> T
% Assm: T
% Assm: !z w. w cpow z = (if w = Cx (&0) then Cx (&0) else cexp (z * clog w))
% Goal: !w z. ~(w = Cx (&0)) ==> ((\z. w cpow z) has_complex_derivative clog w * w cpow z) (at z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(ccond, type, cond : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccpow, type, cpow : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_MULu_LID, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X) = X)).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn2,T2:cartrealn2]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_COMPLEXu_DERIVATIVEu_CEXP, axiom, ![Z:cartrealn2]:(hasu_complexu_derivative @ cexp @ (cexp @ Z) @ (at @ Z))).
thf(aHASu_COMPLEXu_DERIVATIVEu_CHAINu_UNIV, axiom, ![FI_:cartrealn2,GI_:(cartrealn2 > cartrealn2),F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2)]:(![X:cartrealn2]:(hasu_complexu_derivative @ G @ (GI_ @ X) @ (at @ X)) => (![X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(G @ (F @ X)) @ (complexu_mul @ FI_ @ (GI_ @ (F @ X))) @ (within @ (at @ X) @ S))) & ![X:cartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(G @ (F @ X)) @ (complexu_mul @ FI_ @ (GI_ @ (F @ X))) @ (at @ X)))))).
thf(aHASu_COMPLEXu_DERIVATIVEu_ID, axiom, ![NET:netcartrealn2]:(hasu_complexu_derivative @ ^[X:cartrealn2]:X @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ NET)).
thf(aHASu_COMPLEXu_DERIVATIVEu_RMULu_AT, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,C:cartrealn2,X:cartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_mul @ (F @ X) @ C) @ (complexu_mul @ FI_ @ C) @ (at @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acpow, axiom, ![Z:cartrealn2,W:cartrealn2]:((cpow @ W @ Z) = (cond @ (W = (cx @ (realu_ofu_num @ (numeral @ u_0)))) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ (cexp @ (complexu_mul @ Z @ (clog @ W)))))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:(~ ((W = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => (hasu_complexu_derivative @ ^[Z:cartrealn2]:(cpow @ W @ Z) @ (complexu_mul @ (clog @ W) @ (cpow @ W @ Z)) @ (at @ Z)))).
