%   ORIGINAL: COMPLEX_DIFFERENTIABLE_CPOW_RIGHT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_COMPLEX_DERIVATIVE_CPOW_RIGHT: !w z. ~(w = Cx (&0)) ==> ((\z. w cpow z) has_complex_derivative clog w * w cpow z) (at z)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_differentiable: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !w z. ~(w = Cx (&0)) ==> (\z. w cpow z) complex_differentiable at z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !w z. ~(w = Cx (&0)) ==> ((\z. w cpow z) has_complex_derivative clog w * w cpow z) (at z)
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Goal: !w z. ~(w = Cx (&0)) ==> (\z. w cpow z) complex_differentiable at z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccpow, type, cpow : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_CPOWu_RIGHT, axiom, ![W:cartrealn2,Z:cartrealn2]:(~ ((W = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => (hasu_complexu_derivative @ ^[Z:cartrealn2]:(cpow @ W @ Z) @ (complexu_mul @ (clog @ W) @ (cpow @ W @ Z)) @ (at @ Z)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_differentiable, axiom, ![F:(cartrealn2 > cartrealn2),NET:netcartrealn2]:((complexu_differentiable @ F @ NET) <=> ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:(~ ((W = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => (complexu_differentiable @ ^[Z:cartrealn2]:(cpow @ W @ Z) @ (at @ Z)))).
