%   ORIGINAL: HOLOMORPHIC_ON_CPOW_RIGHT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DIFFERENTIABLE_AT_WITHIN: !f s z. f complex_differentiable at z ==> f complex_differentiable at z within s
% Assm: COMPLEX_DIFFERENTIABLE_CPOW_RIGHT: !w z. ~(w = Cx (&0)) ==> (\z. w cpow z) complex_differentiable at z
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HOLOMORPHIC_ON_COMPOSE: !f g s. f holomorphic_on s /\ g holomorphic_on IMAGE f s ==> g o f holomorphic_on s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_differentiable: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Assm: holomorphic_on: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !w f s. ~(w = Cx (&0)) /\ f holomorphic_on s ==> (\z. w cpow f z) holomorphic_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s z. f complex_differentiable at z ==> f complex_differentiable at z within s
% Assm: !w z. ~(w = Cx (&0)) ==> (\z. w cpow z) complex_differentiable at z
% Assm: !t. (\x. t x) = t
% Assm: !f g s. f holomorphic_on s /\ g holomorphic_on IMAGE f s ==> g o f holomorphic_on s
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f complex_differentiable net <=> (?f'. (f has_complex_derivative f') net)
% Assm: !f s. f holomorphic_on s <=> (!x. x IN s ==> (?f'. (f has_complex_derivative f') (at x within s)))
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !w f s. ~(w = Cx (&0)) /\ f holomorphic_on s ==> (\z. w cpow f z) holomorphic_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(co, type, o : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(cimage, type, image : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(ccpow, type, cpow : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DIFFERENTIABLEu_ATu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),Z:cartrealn2]:((complexu_differentiable @ F @ (at @ Z)) => (complexu_differentiable @ F @ (within @ (at @ Z) @ S)))).
thf(aCOMPLEXu_DIFFERENTIABLEu_CPOWu_RIGHT, axiom, ![W:cartrealn2,Z:cartrealn2]:(~ ((W = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => (complexu_differentiable @ ^[Z:cartrealn2]:(cpow @ W @ Z) @ (at @ Z)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHOLOMORPHICu_ONu_COMPOSE, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((holomorphicu_on @ F @ S) & (holomorphicu_on @ G @ (image @ F @ S))) => (holomorphicu_on @ (o @ G @ F) @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_differentiable, axiom, ![F:(cartrealn2 > cartrealn2),NET:netcartrealn2]:((complexu_differentiable @ F @ NET) <=> ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ NET))).
thf(aholomorphicu_on, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((holomorphicu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => ?[FI_:cartrealn2]:(hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![W:cartrealn2,F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((~ ((W = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & (holomorphicu_on @ F @ S)) => (holomorphicu_on @ ^[Z:cartrealn2]:(cpow @ W @ (F @ Z)) @ S))).
