%   ORIGINAL: CONTINUOUS_AT_CATN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_COMPLEX_DERIVATIVE_CATN: !z. (Re z = &0 ==> abs (Im z) < &1) ==> (catn has_complex_derivative inv (Cx (&1) + z pow 2)) (at z)
% Assm: HAS_COMPLEX_DERIVATIVE_IMP_CONTINUOUS_AT: !f f' x. (f has_complex_derivative f') (at x) ==> f continuous at x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !z. (Re z = &0 ==> abs (Im z) < &1) ==> catn continuous at z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !z. (Re z = &0 ==> abs (Im z) < &1) ==> (catn has_complex_derivative inv (Cx (&1) + z pow 2)) (at z)
% Assm: !f f' x. (f has_complex_derivative f') (at x) ==> f continuous at x
% Assm: ~F <=> T
% Assm: T
% Goal: !z. (Re z = &0 ==> abs (Im z) < &1) ==> catn continuous at z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccatn, type, catn : (cartrealn2 > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_COMPLEXu_DERIVATIVEu_CATN, axiom, ![Z:cartrealn2]:((((re @ Z) = (realu_ofu_num @ (numeral @ u_0))) => (realu_lt @ (realu_abs @ (im @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (hasu_complexu_derivative @ catn @ (complexu_inv @ (vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (at @ Z)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_IMPu_CONTINUOUSu_AT, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (continuous @ F @ (at @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:((((re @ Z) = (realu_ofu_num @ (numeral @ u_0))) => (realu_lt @ (realu_abs @ (im @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (continuous @ catn @ (at @ Z)))).
