%   ORIGINAL: CONTINUOUS_ON_CATN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_AT_CATN: !z. (Re z = &0 ==> abs (Im z) < &1) ==> catn continuous at z
% Assm: CONTINUOUS_AT_IMP_CONTINUOUS_ON: !f s. (!x. x IN s ==> f continuous at x) ==> f continuous_on s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. (!z. z IN s /\ Re z = &0 ==> abs (Im z) < &1) ==> catn continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. (Re z = &0 ==> abs (Im z) < &1) ==> catn continuous at z
% Assm: !f s. (!x. x IN s ==> f continuous at x) ==> f continuous_on s
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s. (!z. z IN s /\ Re z = &0 ==> abs (Im z) < &1) ==> catn continuous_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccatn, type, catn : (cartrealn2 > cartrealn2)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ATu_CATN, axiom, ![Z:cartrealn2]:((((re @ Z) = (realu_ofu_num @ (numeral @ u_0))) => (realu_lt @ (realu_abs @ (im @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (continuous @ catn @ (at @ Z)))).
thf(aCONTINUOUSu_ATu_IMPu_CONTINUOUSu_ON, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(![X:cartrealn2]:((in @ X @ S) => (continuous @ F @ (at @ X))) => (continuousu_on @ F @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn2 > $o)]:(![Z:cartrealn2]:(((in @ Z @ S) & ((re @ Z) = (realu_ofu_num @ (numeral @ u_0)))) => (realu_lt @ (realu_abs @ (im @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (continuousu_on @ catn @ S))).
