%   ORIGINAL: ATN_MONO_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: TAN_MONO_LE: !x y. --(pi / &2) < x /\ x <= y /\ y < pi / &2 ==> tan x <= tan y
% Assm: TRUTH: T
% Assm: Trigonometry.EWITKLU: !y. tan (atn y) = y
% Assm: Trigonometry.RIQVMHH2: !y. --(pi / &2) < atn y /\ atn y < pi / &2
% Goal: !x y. x < y ==> atn x < atn y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !x y. --(pi / &2) < x /\ x <= y /\ y < pi / &2 ==> tan x <= tan y
% Assm: T
% Assm: !y. tan (atn y) = y
% Assm: !y. --(pi / &2) < atn y /\ atn y < pi / &2
% Goal: !x y. x < y ==> atn x < atn y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ctan, type, tan : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(catn, type, atn : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTANu_MONOu_LE, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ X) & (realu_le @ X @ Y) & (realu_lt @ Y @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (realu_le @ (tan @ X) @ (tan @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_EWITKLU, axiom, ![Y:real]:((tan @ (atn @ Y)) = Y)).
thf(aTrigonometryo_RIQVMHH2, axiom, ![Y:real]:((realu_lt @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (atn @ Y)) & (realu_lt @ (atn @ Y) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_lt @ (atn @ X) @ (atn @ Y)))).
