%   ORIGINAL: Real_ext.REAL_PROP_POS_ATN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ATN_0: atn (&0) = &0
% Assm: ATN_MONO_LT_EQ: !x y. atn x < atn y <=> x < y
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: &0 < atn x <=> &0 < x
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: atn (&0) = &0
% Assm: !x y. atn x < atn y <=> x < y
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Goal: !x. &0 < atn x <=> &0 < x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(catn, type, atn : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aATNu_0, axiom, ((atn @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aATNu_MONOu_LTu_EQ, axiom, ![X:real,Y:real]:((realu_lt @ (atn @ X) @ (atn @ Y)) <=> (realu_lt @ X @ Y))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (atn @ X)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
