%   ORIGINAL: SIN_ATN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ATN_BOUND: !y. abs (atn y) < pi / &2
% Assm: SIN_TAN: !x. abs x < pi / &2 ==> sin x = tan x / sqrt (&1 + tan x pow 2)
% Assm: TRUTH: T
% Assm: Trigonometry.EWITKLU: !y. tan (atn y) = y
% Goal: !x. sin (atn x) = x / sqrt (&1 + x pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !y. abs (atn y) < pi / &2
% Assm: !x. abs x < pi / &2 ==> sin x = tan x / sqrt (&1 + tan x pow 2)
% Assm: T
% Assm: !y. tan (atn y) = y
% Goal: !x. sin (atn x) = x / sqrt (&1 + x pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ctan, type, tan : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(catn, type, atn : (real > real)).
thf(csin, type, sin : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aATNu_BOUND, axiom, ![Y:real]:(realu_lt @ (realu_abs @ (atn @ Y)) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aSINu_TAN, axiom, ![X:real]:((realu_lt @ (realu_abs @ X) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) => ((sin @ X) = (realu_div @ (tan @ X) @ (sqrt @ (realu_add @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (tan @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_EWITKLU, axiom, ![Y:real]:((tan @ (atn @ Y)) = Y)).
thf(conjecture, conjecture, ![X:real]:((sin @ (atn @ X)) = (realu_div @ X @ (sqrt @ (realu_add @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
