%   ORIGINAL: TAN_TOTAL_POS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ATN_POS_LE: &0 <= atn x <=> &0 <= x
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry.EWITKLU: !y. tan (atn y) = y
% Assm: Trigonometry.RIQVMHH2: !y. --(pi / &2) < atn y /\ atn y < pi / &2
% Goal: !y. &0 <= y ==> (?x. &0 <= x /\ x < pi / &2 /\ tan x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !x. &0 <= atn x <=> &0 <= x
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !y. tan (atn y) = y
% Assm: !y. --(pi / &2) < atn y /\ atn y < pi / &2
% Goal: !y. &0 <= y ==> (?x. &0 <= x /\ x < pi / &2 /\ tan x = y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(catn, type, atn : (real > real)).
thf(ctan, type, tan : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aATNu_POSu_LE, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (atn @ X)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_EWITKLU, axiom, ![Y:real]:((tan @ (atn @ Y)) = Y)).
thf(aTrigonometryo_RIQVMHH2, axiom, ![Y:real]:((realu_lt @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (atn @ Y)) & (realu_lt @ (atn @ Y) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) => ?[X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & ((tan @ X) = Y)))).
