%   ORIGINAL: CACS_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CACS_CCOS: !z. &0 < Re z /\ Re z < pi \/ Re z = &0 /\ &0 <= Im z \/ Re z = pi /\ Im z <= &0 ==> cacs (ccos z) = z
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !w z. ccos z = w /\ (&0 < Re z /\ Re z < pi \/ Re z = &0 /\ &0 <= Im z \/ Re z = pi /\ Im z <= &0) ==> cacs w = z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. &0 < Re z /\ Re z < pi \/ Re z = &0 /\ &0 <= Im z \/ Re z = pi /\ Im z <= &0 ==> cacs (ccos z) = z
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !w z. ccos z = w /\ (&0 < Re z /\ Re z < pi \/ Re z = &0 /\ &0 <= Im z \/ Re z = pi /\ Im z <= &0) ==> cacs w = z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccacs, type, cacs : (cartrealn2 > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCACSu_CCOS, axiom, ![Z:cartrealn2]:((((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z)) & (realu_lt @ (re @ Z) @ pi)) | (((re @ Z) = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (im @ Z))) | (((re @ Z) = pi) & (realu_le @ (im @ Z) @ (realu_ofu_num @ (numeral @ u_0))))) => ((cacs @ (ccos @ Z)) = Z))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:cartrealn2,Z:cartrealn2]:((((ccos @ Z) = W) & (((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z)) & (realu_lt @ (re @ Z) @ pi)) | (((re @ Z) = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (im @ Z))) | (((re @ Z) = pi) & (realu_le @ (im @ Z) @ (realu_ofu_num @ (numeral @ u_0)))))) => ((cacs @ W) = Z))).
