%   ORIGINAL: CACS_NEG_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CACS_UNIQUE: !w z. ccos z = w /\ (&0 < Re z /\ Re z < pi \/ Re z = &0 /\ &0 <= Im z \/ Re z = pi /\ Im z <= &0) ==> cacs w = z
% Assm: COS_PI: cos pi = -- &1
% Assm: CX_COS: !x. Cx (cos x) = ccos (Cx x)
% Assm: CX_NEG: !x. Cx (--x) = --Cx x
% Assm: IM_CX: !x. Im (Cx x) = &0
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Goal: cacs (--Cx (&1)) = Cx pi
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !w z. ccos z = w /\ (&0 < Re z /\ Re z < pi \/ Re z = &0 /\ &0 <= Im z \/ Re z = pi /\ Im z <= &0) ==> cacs w = z
% Assm: cos pi = -- &1
% Assm: !x. Cx (cos x) = ccos (Cx x)
% Assm: !x. Cx (--x) = --Cx x
% Assm: !x. Im (Cx x) = &0
% Assm: !x. x <= x
% Assm: !x. Re (Cx x) = x
% Assm: T
% Goal: cacs (--Cx (&1)) = Cx pi
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccacs, type, cacs : (cartrealn2 > cartrealn2)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCACSu_UNIQUE, axiom, ![W:cartrealn2,Z:cartrealn2]:((((ccos @ Z) = W) & (((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z)) & (realu_lt @ (re @ Z) @ pi)) | (((re @ Z) = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (im @ Z))) | (((re @ Z) = pi) & (realu_le @ (im @ Z) @ (realu_ofu_num @ (numeral @ u_0)))))) => ((cacs @ W) = Z))).
thf(aCOSu_PI, axiom, ((cos @ pi) = (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCXu_COS, axiom, ![X:real]:((cx @ (cos @ X)) = (ccos @ (cx @ X)))).
thf(aCXu_NEG, axiom, ![X:real]:((cx @ (realu_neg @ X)) = (vectoru_neg @ (cx @ X)))).
thf(aIMu_CX, axiom, ![X:real]:((im @ (cx @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ((cacs @ (vectoru_neg @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) = (cx @ pi))).
