%   ORIGINAL: COMPLEX_DIFFERENTIABLE_WITHIN_CACS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DIFFERENTIABLE_AT_CACS: !z. (Im z = &0 ==> abs (Re z) < &1) ==> cacs complex_differentiable at z
% Assm: COMPLEX_DIFFERENTIABLE_AT_WITHIN: !f s z. f complex_differentiable at z ==> f complex_differentiable at z within s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s z. (Im z = &0 ==> abs (Re z) < &1) ==> cacs complex_differentiable at z within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z. (Im z = &0 ==> abs (Re z) < &1) ==> cacs complex_differentiable at z
% Assm: !f s z. f complex_differentiable at z ==> f complex_differentiable at z within s
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !s z. (Im z = &0 ==> abs (Re z) < &1) ==> cacs complex_differentiable at z within s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccacs, type, cacs : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_differentiable, type, complexu_differentiable : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DIFFERENTIABLEu_ATu_CACS, axiom, ![Z:cartrealn2]:((((im @ Z) = (realu_ofu_num @ (numeral @ u_0))) => (realu_lt @ (realu_abs @ (re @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (complexu_differentiable @ cacs @ (at @ Z)))).
thf(aCOMPLEXu_DIFFERENTIABLEu_ATu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),Z:cartrealn2]:((complexu_differentiable @ F @ (at @ Z)) => (complexu_differentiable @ F @ (within @ (at @ Z) @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn2 > $o),Z:cartrealn2]:((((im @ Z) = (realu_ofu_num @ (numeral @ u_0))) => (realu_lt @ (realu_abs @ (re @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (complexu_differentiable @ cacs @ (within @ (at @ Z) @ S)))).
