%   ORIGINAL: CONTINUOUS_AT_CACS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_COMPLEX_DERIVATIVE_CACS: !z. (Im z = &0 ==> abs (Re z) < &1) ==> (cacs has_complex_derivative --inv (csin (cacs z))) (at z)
% Assm: HAS_COMPLEX_DERIVATIVE_IMP_CONTINUOUS_AT: !f f' x. (f has_complex_derivative f') (at x) ==> f continuous at x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !z. (Im z = &0 ==> abs (Re z) < &1) ==> cacs continuous at z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !z. (Im z = &0 ==> abs (Re z) < &1) ==> (cacs has_complex_derivative --inv (csin (cacs z))) (at z)
% Assm: !f f' x. (f has_complex_derivative f') (at x) ==> f continuous at x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !z. (Im z = &0 ==> abs (Re z) < &1) ==> cacs continuous at z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccsin, type, csin : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccacs, type, cacs : (cartrealn2 > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_COMPLEXu_DERIVATIVEu_CACS, axiom, ![Z:cartrealn2]:((((im @ Z) = (realu_ofu_num @ (numeral @ u_0))) => (realu_lt @ (realu_abs @ (re @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (hasu_complexu_derivative @ cacs @ (vectoru_neg @ (complexu_inv @ (csin @ (cacs @ Z)))) @ (at @ Z)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_IMPu_CONTINUOUSu_AT, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (continuous @ F @ (at @ X)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:((((im @ Z) = (realu_ofu_num @ (numeral @ u_0))) => (realu_lt @ (realu_abs @ (re @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (continuous @ cacs @ (at @ Z)))).
