%   ORIGINAL: RE_CACS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: RE_MUL_II: !z. Re (z * ii) = --Im z /\ Re (ii * z) = --Im z
% Assm: RE_NEG: !x. Re (--x) = --Re x
% Assm: TRUTH: T
% Assm: cacs: !z. cacs z = --ii * clog (z + ii * csqrt (Cx (&1) - z pow 2))
% Goal: !z. Re (cacs z) = Im (clog (z + ii * csqrt (Cx (&1) - z pow 2)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. -- --x = x
% Assm: !z. Re (z * ii) = --Im z /\ Re (ii * z) = --Im z
% Assm: !x. Re (--x) = --Re x
% Assm: T
% Assm: !z. cacs z = --ii * clog (z + ii * csqrt (Cx (&1) - z pow 2))
% Goal: !z. Re (cacs z) = Im (clog (z + ii * csqrt (Cx (&1) - z pow 2)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccsqrt, type, csqrt : (cartrealn2 > cartrealn2)).
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(ccacs, type, cacs : (cartrealn2 > cartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_LNEG, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ (vectoru_neg @ X) @ Y) = (vectoru_neg @ (complexu_mul @ X @ Y)))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREu_MULu_II, axiom, ![Z:cartrealn2]:(((re @ (complexu_mul @ Z @ ii)) = (realu_neg @ (im @ Z))) & ((re @ (complexu_mul @ ii @ Z)) = (realu_neg @ (im @ Z))))).
thf(aREu_NEG, axiom, ![X:cartrealn2]:((re @ (vectoru_neg @ X)) = (realu_neg @ (re @ X)))).
thf(aTRUTH, axiom, $true).
thf(acacs, axiom, ![Z:cartrealn2]:((cacs @ Z) = (complexu_mul @ (vectoru_neg @ ii) @ (clog @ (vectoru_add @ Z @ (complexu_mul @ ii @ (csqrt @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))))).
thf(conjecture, conjecture, ![Z:cartrealn2]:((re @ (cacs @ Z)) = (im @ (clog @ (vectoru_add @ Z @ (complexu_mul @ ii @ (csqrt @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))))).
