%   ORIGINAL: CACS_BOUNDS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CACS_RANGE_LEMMA: !z. abs (Re z) < &1 ==> &0 < Im (z + ii * csqrt (Cx (&1) - z pow 2))
% Assm: IM_CLOG_POS_LT_IMP: !z. &0 < Im z ==> &0 < Im (clog z) /\ Im (clog z) < pi
% Assm: RE_CACS: !z. Re (cacs z) = Im (clog (z + ii * csqrt (Cx (&1) - z pow 2)))
% Assm: TRUTH: T
% Goal: !z. abs (Re z) < &1 ==> &0 < Re (cacs z) /\ Re (cacs z) < pi
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. abs (Re z) < &1 ==> &0 < Im (z + ii * csqrt (Cx (&1) - z pow 2))
% Assm: !z. &0 < Im z ==> &0 < Im (clog z) /\ Im (clog z) < pi
% Assm: !z. Re (cacs z) = Im (clog (z + ii * csqrt (Cx (&1) - z pow 2)))
% Assm: T
% Goal: !z. abs (Re z) < &1 ==> &0 < Re (cacs z) /\ Re (cacs z) < pi
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cclog, type, clog : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccsqrt, type, csqrt : (cartrealn2 > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(ccacs, type, cacs : (cartrealn2 > cartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCACSu_RANGEu_LEMMA, axiom, ![Z:cartrealn2]:((realu_lt @ (realu_abs @ (re @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (im @ (vectoru_add @ Z @ (complexu_mul @ ii @ (csqrt @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))))).
thf(aIMu_CLOGu_POSu_LTu_IMP, axiom, ![Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (im @ Z)) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (im @ (clog @ Z))) & (realu_lt @ (im @ (clog @ Z)) @ pi)))).
thf(aREu_CACS, axiom, ![Z:cartrealn2]:((re @ (cacs @ Z)) = (im @ (clog @ (vectoru_add @ Z @ (complexu_mul @ ii @ (csqrt @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:((realu_lt @ (realu_abs @ (re @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ (cacs @ Z))) & (realu_lt @ (re @ (cacs @ Z)) @ pi)))).
