%   ORIGINAL: CSIN_CACS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CACS_CASN_SQRT_POS: !z. &0 < Re z \/ Re z = &0 /\ &0 <= Im z ==> cacs z = casn (csqrt (Cx (&1) - z pow 2))
% Assm: CSIN_CASN: !z. csin (casn z) = z
% Assm: TRUTH: T
% Goal: !z. &0 < Re z \/ Re z = &0 /\ &0 <= Im z ==> csin (cacs z) = csqrt (Cx (&1) - z pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. &0 < Re z \/ Re z = &0 /\ &0 <= Im z ==> cacs z = casn (csqrt (Cx (&1) - z pow 2))
% Assm: !z. csin (casn z) = z
% Assm: T
% Goal: !z. &0 < Re z \/ Re z = &0 /\ &0 <= Im z ==> csin (cacs z) = csqrt (Cx (&1) - z pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccasn, type, casn : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccsqrt, type, csqrt : (cartrealn2 > cartrealn2)).
thf(ccacs, type, cacs : (cartrealn2 > cartrealn2)).
thf(ccsin, type, csin : (cartrealn2 > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCACSu_CASNu_SQRTu_POS, axiom, ![Z:cartrealn2]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z)) | (((re @ Z) = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (im @ Z)))) => ((cacs @ Z) = (casn @ (csqrt @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))).
thf(aCSINu_CASN, axiom, ![Z:cartrealn2]:((csin @ (casn @ Z)) = Z)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z)) | (((re @ Z) = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (im @ Z)))) => ((csin @ (cacs @ Z)) = (csqrt @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ Z @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
