%   ORIGINAL: CX_ASN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL: !z. real z <=> Cx (Re z) = z
% Assm: REAL_ASN: !z. real z /\ abs (Re z) <= &1 ==> real (casn z)
% Assm: REAL_CX: !x. real (Cx x)
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Assm: asn: !x. asn x = Re (casn (Cx x))
% Goal: !x. abs x <= &1 ==> Cx (asn x) = casn (Cx x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !z. real z <=> Cx (Re z) = z
% Assm: !z. real z /\ abs (Re z) <= &1 ==> real (casn z)
% Assm: !x. real (Cx x)
% Assm: !x. Re (Cx x) = x
% Assm: T
% Assm: !x. asn x = Re (casn (Cx x))
% Goal: !x. abs x <= &1 ==> Cx (asn x) = casn (Cx x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cre, type, re : (cartrealn2 > real)).
thf(ccasn, type, casn : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(casn, type, asn : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREAL, axiom, ![Z:cartrealn2]:((real0 @ Z) <=> ((cx @ (re @ Z)) = Z))).
thf(aREALu_ASN, axiom, ![Z:cartrealn2]:(((real0 @ Z) & (realu_le @ (realu_abs @ (re @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (real0 @ (casn @ Z)))).
thf(aREALu_CX, axiom, ![X:real]:(real0 @ (cx @ X))).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aasn, axiom, ![X:real]:((asn @ X) = (re @ (casn @ (cx @ X))))).
thf(conjecture, conjecture, ![X:real]:((realu_le @ (realu_abs @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ((cx @ (asn @ X)) = (casn @ (cx @ X))))).
