%   ORIGINAL: COS_ASN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ASN_BOUNDS: !y. -- &1 <= y /\ y <= &1 ==> --(pi / &2) <= asn y /\ asn y <= pi / &2
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COS_POS_PI_LE: !x. --(pi / &2) <= x /\ x <= pi / &2 ==> &0 <= cos x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EQ_SUB_RADD: !x y z. x - y = z <=> x = z + y
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: SIN_ASN: !y. -- &1 <= y /\ y <= &1 ==> sin (asn y) = y
% Assm: SIN_CIRCLE: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: SQRT_UNIQUE: !x y. &0 <= y /\ y pow 2 = x ==> sqrt x = y
% Assm: TRUTH: T
% Goal: !x. -- &1 <= x /\ x <= &1 ==> cos (asn x) = sqrt (&1 - x pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !y. -- &1 <= y /\ y <= &1 ==> --(pi / &2) <= asn y /\ asn y <= pi / &2
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. --(pi / &2) <= x /\ x <= pi / &2 ==> &0 <= cos x
% Assm: ~F <=> T
% Assm: !x y z. x - y = z <=> x = z + y
% Assm: !x y. x + y = y + x
% Assm: !y. -- &1 <= y /\ y <= &1 ==> sin (asn y) = y
% Assm: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: !x y. &0 <= y /\ y pow 2 = x ==> sqrt x = y
% Assm: T
% Goal: !x. -- &1 <= x /\ x <= &1 ==> cos (asn x) = sqrt (&1 - x pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(casn, type, asn : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aASNu_BOUNDS, axiom, ![Y:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y) & (realu_le @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((realu_le @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (asn @ Y)) & (realu_le @ (asn @ Y) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOSu_POSu_PIu_LE, axiom, ![X:real]:(((realu_le @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ X) & (realu_le @ X @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (cos @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EQu_SUBu_RADD, axiom, ![X:real,Y:real,Z:real]:(((realu_sub @ X @ Y) = Z) <=> (X = (realu_add @ Z @ Y)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aSINu_ASN, axiom, ![Y:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y) & (realu_le @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((sin @ (asn @ Y)) = Y))).
thf(aSINu_CIRCLE, axiom, ![X:real]:((realu_add @ (realu_pow @ (sin @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (cos @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aSQRTu_UNIQUE, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & ((realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X)) => ((sqrt @ X) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X) & (realu_le @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((cos @ (asn @ X)) = (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
