%   ORIGINAL: ACS_MONO_LE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ACS_MONO_LT_EQ: !x y. abs x <= &1 /\ abs y <= &1 ==> (acs x < acs y <=> y < x)
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: TRUTH: T
% Goal: !x y. abs x <= &1 /\ abs y <= &1 ==> (acs x <= acs y <=> y <= x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. abs x <= &1 /\ abs y <= &1 ==> (acs x < acs y <=> y < x)
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: T
% Goal: !x y. abs x <= &1 /\ abs y <= &1 ==> (acs x <= acs y <=> y <= x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cacs, type, acs : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aACSu_MONOu_LTu_EQ, axiom, ![X:real,Y:real]:(((realu_le @ (realu_abs @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (realu_le @ (realu_abs @ Y) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((realu_lt @ (acs @ X) @ (acs @ Y)) <=> (realu_lt @ Y @ X)))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:(((realu_le @ (realu_abs @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (realu_le @ (realu_abs @ Y) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((realu_le @ (acs @ X) @ (acs @ Y)) <=> (realu_le @ Y @ X)))).
