%   ORIGINAL: ASN_ACS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ASN_PLUS_ACS: !x. -- &1 <= x /\ x <= &1 ==> asn x + acs x = pi / &2
% Assm: REAL_EQ_SUB_LADD: !x y z. x = y - z <=> x + z = y
% Assm: TRUTH: T
% Goal: !x. -- &1 <= x /\ x <= &1 ==> asn x = pi / &2 - acs x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. -- &1 <= x /\ x <= &1 ==> asn x + acs x = pi / &2
% Assm: !x y z. x = y - z <=> x + z = y
% Assm: T
% Goal: !x. -- &1 <= x /\ x <= &1 ==> asn x = pi / &2 - acs x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cacs, type, acs : (real > real)).
thf(casn, type, asn : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aASNu_PLUSu_ACS, axiom, ![X:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X) & (realu_le @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((realu_add @ (asn @ X) @ (acs @ X)) = (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aREALu_EQu_SUBu_LADD, axiom, ![X:real,Y:real,Z:real]:((X = (realu_sub @ Y @ Z)) <=> ((realu_add @ X @ Z) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X) & (realu_le @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((asn @ X) = (realu_sub @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (acs @ X))))).
