%   ORIGINAL: LIM_INV_N
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_LID: !x. Cx (&1) * x = x
% Assm: LIM_1_OVER_N: ((\n. Cx (&1) / Cx (&n)) --> Cx (&0)) sequentially
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: ((\n. inv (Cx (&n))) --> Cx (&0)) sequentially
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Cx (&1) * x = x
% Assm: ((\n. Cx (&1) / Cx (&n)) --> Cx (&0)) sequentially
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: ((\n. inv (Cx (&n))) --> Cx (&0)) sequentially
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn2) > cartrealn2 > netnum > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_LID, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X) = X)).
thf(aLIMu_1u_OVERu_N, axiom, (m_m_g_ @ ^[N:num]:(complexu_div @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (cx @ (realu_ofu_num @ N))) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ sequentially)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, (m_m_g_ @ ^[N:num]:(complexu_inv @ (cx @ (realu_ofu_num @ N))) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ sequentially)).
