%   ORIGINAL: LIM_N_OVER_POWN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_NORM_INV: !z. norm (inv z) = inv (norm z)
% Assm: COMPLEX_POW_INV: !x n. inv x pow n = inv (x pow n)
% Assm: LIM_N_TIMES_POWN: !z. norm z < &1 ==> ((\n. Cx (&n) * z pow n) --> Cx (&0)) sequentially
% Assm: REAL_INV_LT_1: !x. &1 < x ==> inv x < &1
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !z. &1 < norm z ==> ((\n. Cx (&n) / z pow n) --> Cx (&0)) sequentially
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. norm (inv z) = inv (norm z)
% Assm: !x n. inv x pow n = inv (x pow n)
% Assm: !z. norm z < &1 ==> ((\n. Cx (&n) * z pow n) --> Cx (&0)) sequentially
% Assm: !x. &1 < x ==> inv x < &1
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !z. &1 < norm z ==> ((\n. Cx (&n) / z pow n) --> Cx (&0)) sequentially
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn2) > cartrealn2 > netnum > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_NORMu_INV, axiom, ![Z:cartrealn2]:((vectoru_norm @ (complexu_inv @ Z)) = (realu_inv @ (vectoru_norm @ Z)))).
thf(aCOMPLEXu_POWu_INV, axiom, ![X:cartrealn2,N:num]:((complexu_pow @ (complexu_inv @ X) @ N) = (complexu_inv @ (complexu_pow @ X @ N)))).
thf(aLIMu_Nu_TIMESu_POWN, axiom, ![Z:cartrealn2]:((realu_lt @ (vectoru_norm @ Z) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (m_m_g_ @ ^[N:num]:(complexu_mul @ (cx @ (realu_ofu_num @ N)) @ (complexu_pow @ Z @ N)) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ sequentially))).
thf(aREALu_INVu_LTu_1, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) => (realu_lt @ (realu_inv @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (vectoru_norm @ Z)) => (m_m_g_ @ ^[N:num]:(complexu_div @ (cx @ (realu_ofu_num @ N)) @ (complexu_pow @ Z @ N)) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ sequentially))).
