%   ORIGINAL: FINITE_COMPLEX_ROOTS_UNITY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FINITE_CARD_COMPLEX_ROOTS_UNITY: !n. 1 <= n ==> FINITE {z | z pow n = Cx (&1)} /\ CARD {z | z pow n = Cx (&1)} <= n
% Assm: LE_1_conjunct0: !n. ~(n = 0) ==> 0 < n
% Assm: LE_1_conjunct3: !n. 0 < n ==> 1 <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !n. ~(n = 0) ==> FINITE {z | z pow n = Cx (&1)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n. 1 <= n ==> FINITE {z | z pow n = Cx (&1)} /\ CARD {z | z pow n = Cx (&1)} <= n
% Assm: !n. ~(n = 0) ==> 0 < n
% Assm: !n. 0 < n ==> 1 <= n
% Assm: ~F <=> T
% Assm: T
% Goal: !n. ~(n = 0) ==> FINITE {z | z pow n = Cx (&1)}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cfinite, type, finite : ((cartrealn2 > $o) > $o)).
thf(ccard, type, card : ((cartrealn2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFINITEu_CARDu_COMPLEXu_ROOTSu_UNITY, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((finite @ (gspec @ ^[GENR_PVARR_2315:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2315 @ ((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Z))) & (l_a_ @ (card @ (gspec @ ^[GENR_PVARR_2316:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2316 @ ((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Z))) @ N)))).
thf(aLEu_1u_conjunct0, axiom, ![N:num]:(~ ((N = (numeral @ u_0))) => (l_ @ (numeral @ u_0) @ N))).
thf(aLEu_1u_conjunct3, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) => (l_a_ @ (numeral @ (bit1 @ u_0)) @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:(~ ((N = (numeral @ u_0))) => (finite @ (gspec @ ^[GENR_PVARR_2317:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2317 @ ((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Z))))).
