%   ORIGINAL: COMPLEX_ROOTS_UNITY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_SUBSET_LE: !a b. FINITE b /\ a SUBSET b /\ CARD b <= CARD a ==> a = b
% Assm: COMPLEX_ROOT_UNITY: !n j. ~(n = 0) ==> cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) pow n = Cx (&1)
% Assm: FINITE_CARD_COMPLEX_ROOTS_UNITY: !n. 1 <= n ==> FINITE {z | z pow n = Cx (&1)} /\ CARD {z | z pow n = Cx (&1)} <= n
% Assm: FINITE_CARD_COMPLEX_ROOTS_UNITY_EXPLICIT: !n. 1 <= n ==> FINITE {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} /\ CARD {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} = n
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: LE_1_conjunct5: !n. 1 <= n ==> ~(n = 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SIMPLE_IMAGE_GEN: !f P. {f x | P x} = IMAGE f {x | P x}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !n. 1 <= n ==> {z | z pow n = Cx (&1)} = {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. FINITE b /\ a SUBSET b /\ CARD b <= CARD a ==> a = b
% Assm: !n j. ~(n = 0) ==> cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) pow n = Cx (&1)
% Assm: !n. 1 <= n ==> FINITE {z | z pow n = Cx (&1)} /\ CARD {z | z pow n = Cx (&1)} <= n
% Assm: !n. 1 <= n ==> FINITE {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} /\ CARD {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} = n
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !n. 1 <= n ==> ~(n = 0)
% Assm: ~F <=> T
% Assm: !f P. {f x | P x} = IMAGE f {x | P x}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !n. 1 <= n ==> {z | z pow n = Cx (&1)} = {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq47565, type, q47565 : $tType).
thf(tq47566, type, q47566 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cin2, type, in2 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin1, type, in1 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cin0, type, in0 : (q47566 > (q47566 > $o) > $o)).
thf(cin, type, in : (q47565 > (q47565 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpi, type, pi : real).
thf(cimage0, type, image0 : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cimage, type, image : ((q47566 > q47565) > (q47566 > $o) > q47565 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cfinite, type, finite : ((cartrealn2 > $o) > $o)).
thf(ccard, type, card : ((cartrealn2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2 > $o),G:(a > cartrealn2 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_SUBSETu_LE, axiom, ![A:(cartrealn2 > $o),B:(cartrealn2 > $o)]:(((finite @ B) & (subset @ A @ B) & (l_a_ @ (card @ B) @ (card @ A))) => (A = B))).
thf(aCOMPLEXu_ROOTu_UNITY, axiom, ![N:num,J:num]:(~ ((N = (numeral @ u_0))) => ((complexu_pow @ (cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (cx @ pi) @ (complexu_mul @ ii @ (cx @ (realu_div @ (realu_ofu_num @ J) @ (realu_ofu_num @ N))))))) @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aFINITEu_CARDu_COMPLEXu_ROOTSu_UNITY, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((finite @ (gspec @ ^[GENR_PVARR_2315:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2315 @ ((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Z))) & (l_a_ @ (card @ (gspec @ ^[GENR_PVARR_2316:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2316 @ ((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Z))) @ N)))).
thf(aFINITEu_CARDu_COMPLEXu_ROOTSu_UNITYu_EXPLICIT, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((finite @ (gspec @ ^[GENR_PVARR_2318:cartrealn2]:?[J:num]:(setspec @ GENR_PVARR_2318 @ (l_ @ J @ N) @ (cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (cx @ pi) @ (complexu_mul @ ii @ (cx @ (realu_div @ (realu_ofu_num @ J) @ (realu_ofu_num @ N)))))))))) & ((card @ (gspec @ ^[GENR_PVARR_2319:cartrealn2]:?[J:num]:(setspec @ GENR_PVARR_2319 @ (l_ @ J @ N) @ (cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (cx @ pi) @ (complexu_mul @ ii @ (cx @ (realu_div @ (realu_ofu_num @ J) @ (realu_ofu_num @ N)))))))))) = N)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(q47565 > $o),F:(q47566 > q47565),S:(q47566 > $o)]:(![Y:q47565]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:q47566]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn2 > $o),X:cartrealn2]:((in1 @ X @ (gspec @ ^[V:cartrealn2]:?[Y:cartrealn2]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLEu_1u_conjunct5, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ~ ((N = (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSIMPLEu_IMAGEu_GEN, axiom, ![F:(cartrealn2 > cartrealn2),P:(cartrealn2 > $o)]:((gspec @ ^[GENR_PVARR_12:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_12 @ (P @ X) @ (F @ X))) = (image0 @ F @ (gspec @ ^[GENR_PVARR_13:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_13 @ (P @ X) @ X))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in2 @ X @ S) => (in2 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((gspec @ ^[GENR_PVARR_2320:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2320 @ ((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Z)) = (gspec @ ^[GENR_PVARR_2321:cartrealn2]:?[J:num]:(setspec @ GENR_PVARR_2321 @ (l_ @ J @ N) @ (cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (cx @ pi) @ (complexu_mul @ ii @ (cx @ (realu_div @ (realu_ofu_num @ J) @ (realu_ofu_num @ N)))))))))))).
