%   ORIGINAL: CARD_COMPLEX_ROOTS_UNITY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_ROOTS_UNITY: !n. 1 <= n ==> {z | z pow n = Cx (&1)} = {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n}
% Assm: FINITE_CARD_COMPLEX_ROOTS_UNITY_EXPLICIT: !n. 1 <= n ==> FINITE {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} /\ CARD {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} = n
% Assm: TRUTH: T
% Goal: !n. 1 <= n ==> CARD {z | z pow n = Cx (&1)} = n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. 1 <= n ==> {z | z pow n = Cx (&1)} = {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n}
% Assm: !n. 1 <= n ==> FINITE {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} /\ CARD {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} = n
% Assm: T
% Goal: !n. 1 <= n ==> CARD {z | z pow n = Cx (&1)} = n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpi, type, pi : real).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cfinite, type, finite : ((cartrealn2 > $o) > $o)).
thf(ccard, type, card : ((cartrealn2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_ROOTSu_UNITY, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((gspec @ ^[GENR_PVARR_2320:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2320 @ ((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Z)) = (gspec @ ^[GENR_PVARR_2321:cartrealn2]:?[J:num]:(setspec @ GENR_PVARR_2321 @ (l_ @ J @ N) @ (cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (cx @ pi) @ (complexu_mul @ ii @ (cx @ (realu_div @ (realu_ofu_num @ J) @ (realu_ofu_num @ N)))))))))))).
thf(aFINITEu_CARDu_COMPLEXu_ROOTSu_UNITYu_EXPLICIT, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((finite @ (gspec @ ^[GENR_PVARR_2318:cartrealn2]:?[J:num]:(setspec @ GENR_PVARR_2318 @ (l_ @ J @ N) @ (cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (cx @ pi) @ (complexu_mul @ ii @ (cx @ (realu_div @ (realu_ofu_num @ J) @ (realu_ofu_num @ N)))))))))) & ((card @ (gspec @ ^[GENR_PVARR_2319:cartrealn2]:?[J:num]:(setspec @ GENR_PVARR_2319 @ (l_ @ J @ N) @ (cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (cx @ pi) @ (complexu_mul @ ii @ (cx @ (realu_div @ (realu_ofu_num @ J) @ (realu_ofu_num @ N)))))))))) = N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((card @ (gspec @ ^[GENR_PVARR_2322:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2322 @ ((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Z))) = N))).
