%   ORIGINAL: HAS_SIZE_COMPLEX_ROOTS_UNITY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_COMPLEX_ROOTS_UNITY: !n. 1 <= n ==> CARD {z | z pow n = Cx (&1)} = n
% Assm: FINITE_COMPLEX_ROOTS_UNITY: !n. ~(n = 0) ==> FINITE {z | z pow n = Cx (&1)}
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: LE_1_conjunct5: !n. 1 <= n ==> ~(n = 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !n. 1 <= n ==> {z | z pow n = Cx (&1)} HAS_SIZE n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n. 1 <= n ==> CARD {z | z pow n = Cx (&1)} = n
% Assm: !n. ~(n = 0) ==> FINITE {z | z pow n = Cx (&1)}
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !n. 1 <= n ==> ~(n = 0)
% Assm: ~F <=> T
% Assm: T
% Goal: !n. 1 <= n ==> {z | z pow n = Cx (&1)} HAS_SIZE n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn2 > $o) > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cfinite, type, finite : ((cartrealn2 > $o) > $o)).
thf(ccard, type, card : ((cartrealn2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_COMPLEXu_ROOTSu_UNITY, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((card @ (gspec @ ^[GENR_PVARR_2322:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2322 @ ((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Z))) = N))).
thf(aFINITEu_COMPLEXu_ROOTSu_UNITY, axiom, ![N:num]:(~ ((N = (numeral @ u_0))) => (finite @ (gspec @ ^[GENR_PVARR_2317:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2317 @ ((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Z))))).
thf(aHASu_SIZE, axiom, ![S:(cartrealn2 > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aLEu_1u_conjunct5, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ~ ((N = (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => (hasu_size @ (gspec @ ^[GENR_PVARR_2323:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2323 @ ((complexu_pow @ Z @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Z)) @ N))).
