%   ORIGINAL: CLOSED_ARG_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIFF: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: OPEN_ARG_GT: !t. open {z | t < Arg z}
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: TRUTH: T
% Assm: closed: !s. closed s <=> open ((:real^N) DIFF s)
% Goal: !t. closed {z | Arg z <= t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:A)
% Assm: !t. open {z | t < Arg z}
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: T
% Assm: !s. closed s <=> open ((:real^2) DIFF s)
% Goal: !t. closed {z | Arg z <= t}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cdiff, type, diff : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cuniv0, type, univ0 : (cartrealn2 > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn2 > $o) > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIFF, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:((diff @ S @ T) = (gspec @ ^[GENR_PVARR_4:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_4 @ ((in @ X @ S) & ~ ((in @ X @ T))) @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn2 > $o),X:cartrealn2]:((in @ X @ (gspec @ ^[V:cartrealn2]:?[Y:cartrealn2]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ)).
thf(aOPENu_ARGu_GT, axiom, ![T:real]:(open @ (gspec @ ^[GENR_PVARR_2335:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2335 @ (realu_lt @ T @ (arg @ Z)) @ Z)))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aclosed, axiom, ![S:(cartrealn2 > $o)]:((closed @ S) <=> (open @ (diff @ univ0 @ S)))).
thf(conjecture, conjecture, ![T:real]:(closed @ (gspec @ ^[GENR_PVARR_2336:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2336 @ (realu_le @ (arg @ Z) @ T) @ Z)))).
