%   ORIGINAL: ROOT_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Real_ext.REAL_MK_NN_SQUARE: !x. &0 <= x * x
% Assm: TRUTH: T
% Assm: root: !n x. root n x = (@u. (&0 <= x ==> &0 <= u) /\ u pow n = x)
% Assm: sqrt: !x. sqrt x = (@y. &0 <= y /\ y pow 2 = x)
% Goal: !x. root 2 x = sqrt x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x pow 2 = x * x
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: !x. &0 <= x * x
% Assm: T
% Assm: !n x. root n x = (@u. (&0 <= x ==> &0 <= u) /\ u pow n = x)
% Assm: !x. sqrt x = (@y. &0 <= y /\ y pow 2 = x)
% Goal: !x. root 2 x = sqrt x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(croot, type, root : (num > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRealu_exto_REALu_MKu_NNu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ X))).
thf(aTRUTH, axiom, $true).
thf(aroot, axiom, ![N:num,X:real]:((root @ N @ X) = (h_ @ ^[U:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U)) & ((realu_pow @ U @ N) = X))))).
thf(asqrt, axiom, ![X:real]:((sqrt @ X) = (h_ @ ^[Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & ((realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X))))).
thf(conjecture, conjecture, ![X:real]:((root @ (numeral @ (bit0 @ (bit1 @ u_0))) @ X) = (sqrt @ X))).
