%   ORIGINAL: ROOT_POS_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_POW_ROOT: !n x. ODD n \/ ~(n = 0) /\ &0 <= x ==> root n x pow n = x
% Assm: REAL_POW_ZERO: !n. &0 pow n = (if n = 0 then &1 else &0)
% Assm: ROOT_POS_LE: !n x. ~(n = 0) /\ &0 <= x ==> &0 <= root n x
% Assm: TRUTH: T
% Goal: !n x. ~(n = 0) /\ &0 < x ==> &0 < root n x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !n x. ODD n \/ ~(n = 0) /\ &0 <= x ==> root n x pow n = x
% Assm: !n. &0 pow n = (if n = 0 then &1 else &0)
% Assm: !n x. ~(n = 0) /\ &0 <= x ==> &0 <= root n x
% Assm: T
% Goal: !n x. ~(n = 0) /\ &0 < x ==> &0 < root n x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(croot, type, root : (num > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(codd, type, odd : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_POWu_ROOT, axiom, ![N:num,X:real]:(((odd @ N) | (~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))) => ((realu_pow @ (root @ N @ X) @ N) = X))).
thf(aREALu_POWu_ZERO, axiom, ![N:num]:((realu_pow @ (realu_ofu_num @ (numeral @ u_0)) @ N) = (cond0 @ (N = (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aROOTu_POSu_LE, axiom, ![N:num,X:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (root @ N @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real]:((~ ((N = (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (root @ N @ X)))).
