%   ORIGINAL: REAL_ROOT_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POW_INV: !x n. inv x pow n = inv (x pow n)
% Assm: REAL_POW_ROOT: !n x. ODD n \/ ~(n = 0) /\ &0 <= x ==> root n x pow n = x
% Assm: ROOT_POS_LE: !n x. ~(n = 0) /\ &0 <= x ==> &0 <= root n x
% Assm: ROOT_UNIQUE: !n x y. y pow n = x /\ (ODD n \/ ~(n = 0) /\ &0 <= y) ==> root n x = y
% Assm: Real_ext.REAL_PROP_NN_INV: !x. &0 <= inv x <=> &0 <= x
% Assm: TRUTH: T
% Goal: !n x. ~(n = 0) /\ &0 <= x ==> root n (inv x) = inv (root n x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x n. inv x pow n = inv (x pow n)
% Assm: !n x. ODD n \/ ~(n = 0) /\ &0 <= x ==> root n x pow n = x
% Assm: !n x. ~(n = 0) /\ &0 <= x ==> &0 <= root n x
% Assm: !n x y. y pow n = x /\ (ODD n \/ ~(n = 0) /\ &0 <= y) ==> root n x = y
% Assm: !x. &0 <= inv x <=> &0 <= x
% Assm: T
% Goal: !n x. ~(n = 0) /\ &0 <= x ==> root n (inv x) = inv (root n x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(croot, type, root : (num > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(codd, type, odd : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POWu_INV, axiom, ![X:real,N:num]:((realu_pow @ (realu_inv @ X) @ N) = (realu_inv @ (realu_pow @ X @ N)))).
thf(aREALu_POWu_ROOT, axiom, ![N:num,X:real]:(((odd @ N) | (~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))) => ((realu_pow @ (root @ N @ X) @ N) = X))).
thf(aROOTu_POSu_LE, axiom, ![N:num,X:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (root @ N @ X)))).
thf(aROOTu_UNIQUE, axiom, ![N:num,X:real,Y:real]:((((realu_pow @ Y @ N) = X) & ((odd @ N) | (~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)))) => ((root @ N @ X) = Y))).
thf(aRealu_exto_REALu_PROPu_NNu_INV, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X)) => ((root @ N @ (realu_inv @ X)) = (realu_inv @ (root @ N @ X))))).
