%   ORIGINAL: REAL_ROOT_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ROOT_INV: !n x. ~(n = 0) /\ &0 <= x ==> root n (inv x) = inv (root n x)
% Assm: REAL_ROOT_MUL: !n x y. ~(n = 0) /\ &0 <= x /\ &0 <= y ==> root n (x * y) = root n x * root n y
% Assm: Real_ext.REAL_PROP_NN_INV: !x. &0 <= inv x <=> &0 <= x
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !n x y. ~(n = 0) /\ &0 <= x /\ &0 <= y ==> root n (x / y) = root n x / root n y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n x. ~(n = 0) /\ &0 <= x ==> root n (inv x) = inv (root n x)
% Assm: !n x y. ~(n = 0) /\ &0 <= x /\ &0 <= y ==> root n (x * y) = root n x * root n y
% Assm: !x. &0 <= inv x <=> &0 <= x
% Assm: T
% Assm: !x y. x / y = x * inv y
% Goal: !n x y. ~(n = 0) /\ &0 <= x /\ &0 <= y ==> root n (x / y) = root n x / root n y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(croot, type, root : (num > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ROOTu_INV, axiom, ![N:num,X:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X)) => ((root @ N @ (realu_inv @ X)) = (realu_inv @ (root @ N @ X))))).
thf(aREALu_ROOTu_MUL, axiom, ![N:num,X:real,Y:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((root @ N @ (realu_mul @ X @ Y)) = (realu_mul @ (root @ N @ X) @ (root @ N @ Y))))).
thf(aRealu_exto_REALu_PROPu_NNu_INV, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![N:num,X:real,Y:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((root @ N @ (realu_div @ X @ Y)) = (realu_div @ (root @ N @ X) @ (root @ N @ Y))))).
