%   ORIGINAL: ROOT_MONO_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: ROOT_MONO_LT: !n x y. ~(n = 0) /\ &0 <= x /\ x < y ==> root n x < root n y
% Assm: TRUTH: T
% Goal: !n x y. ~(n = 0) /\ &0 <= x /\ x <= y ==> root n x <= root n y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !n x y. ~(n = 0) /\ &0 <= x /\ x < y ==> root n x < root n y
% Assm: T
% Goal: !n x y. ~(n = 0) /\ &0 <= x /\ x <= y ==> root n x <= root n y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(croot, type, root : (num > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aROOTu_MONOu_LT, axiom, ![N:num,X:real,Y:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ Y)) => (realu_lt @ (root @ N @ X) @ (root @ N @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real,Y:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (root @ N @ X) @ (root @ N @ Y)))).
