%   ORIGINAL: REAL_ROOT_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ROOT_POW: !n x. ODD n \/ ~(n = 0) /\ &0 <= x ==> root n (x pow n) = x
% Assm: ROOT_MONO_LE_EQ: !n x y. ~(n = 0) /\ &0 <= x /\ &0 <= y ==> (root n x <= root n y <=> x <= y)
% Assm: Real_ext.REAL_PROP_NN_POW: !x n. &0 <= x ==> &0 <= x pow n
% Assm: TRUTH: T
% Goal: !n x y. ~(n = 0) /\ &0 <= x /\ &0 <= y ==> (root n x <= y <=> x <= y pow n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !n x. ODD n \/ ~(n = 0) /\ &0 <= x ==> root n (x pow n) = x
% Assm: !n x y. ~(n = 0) /\ &0 <= x /\ &0 <= y ==> (root n x <= root n y <=> x <= y)
% Assm: !x n. &0 <= x ==> &0 <= x pow n
% Assm: T
% Goal: !n x y. ~(n = 0) /\ &0 <= x /\ &0 <= y ==> (root n x <= y <=> x <= y pow n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(croot, type, root : (num > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(codd, type, odd : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ROOTu_POW, axiom, ![N:num,X:real]:(((odd @ N) | (~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))) => ((root @ N @ (realu_pow @ X @ N)) = X))).
thf(aROOTu_MONOu_LEu_EQ, axiom, ![N:num,X:real,Y:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((realu_le @ (root @ N @ X) @ (root @ N @ Y)) <=> (realu_le @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_NNu_POW, axiom, ![X:real,N:num]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real,Y:real]:((~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((realu_le @ (root @ N @ X) @ Y) <=> (realu_le @ X @ (realu_pow @ Y @ N))))).
