%   ORIGINAL: LOG_ROOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LE_1_conjunct1: !n. ~(n = 0) ==> 1 <= n
% Assm: LE_1_conjunct4: !n. 1 <= n ==> 0 < n
% Assm: LOG_POW: !n x. &0 < x ==> log (x pow n) = &n * log x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EQ_RDIV_EQ: !x y z. &0 < z ==> (x = y / z <=> x * z = y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: REAL_POW_ROOT: !n x. ODD n \/ ~(n = 0) /\ &0 <= x ==> root n x pow n = x
% Assm: ROOT_POS_LT: !n x. ~(n = 0) /\ &0 < x ==> &0 < root n x
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: TRUTH: T
% Goal: !n x. ~(n = 0) /\ &0 < x ==> log (root n x) = log x / &n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n. ~(n = 0) ==> 1 <= n
% Assm: !n. 1 <= n ==> 0 < n
% Assm: !n x. &0 < x ==> log (x pow n) = &n * log x
% Assm: ~F <=> T
% Assm: !x y z. &0 < z ==> (x = y / z <=> x * z = y)
% Assm: !x y. x * y = y * x
% Assm: !m n. &m < &n <=> m < n
% Assm: !n x. ODD n \/ ~(n = 0) /\ &0 <= x ==> root n x pow n = x
% Assm: !n x. ~(n = 0) /\ &0 < x ==> &0 < root n x
% Assm: !x y. x < y ==> x <= y
% Assm: T
% Goal: !n x. ~(n = 0) /\ &0 < x ==> log (root n x) = log x / &n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(croot, type, root : (num > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(codd, type, odd : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(clog, type, log : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLEu_1u_conjunct1, axiom, ![N:num]:(~ ((N = (numeral @ u_0))) => (l_a_ @ (numeral @ (bit1 @ u_0)) @ N))).
thf(aLEu_1u_conjunct4, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => (l_ @ (numeral @ u_0) @ N))).
thf(aLOGu_POW, axiom, ![N:num,X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((log @ (realu_pow @ X @ N)) = (realu_mul @ (realu_ofu_num @ N) @ (log @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EQu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((X = (realu_div @ Y @ Z)) <=> ((realu_mul @ X @ Z) = Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aREALu_POWu_ROOT, axiom, ![N:num,X:real]:(((odd @ N) | (~ ((N = (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))) => ((realu_pow @ (root @ N @ X) @ N) = X))).
thf(aROOTu_POSu_LT, axiom, ![N:num,X:real]:((~ ((N = (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (root @ N @ X)))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real]:((~ ((N = (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X)) => ((log @ (root @ N @ X)) = (realu_div @ (log @ X) @ (realu_ofu_num @ N))))).
