%   ORIGINAL: ROOT_EXP_LOG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LOG_ROOT: !n x. ~(n = 0) /\ &0 < x ==> log (root n x) = log x / &n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EXP_LOG: !x. exp (log x) = x <=> &0 < x
% Assm: ROOT_POS_LT: !n x. ~(n = 0) /\ &0 < x ==> &0 < root n x
% Assm: TRUTH: T
% Goal: !n x. ~(n = 0) /\ &0 < x ==> root n x = exp (log x / &n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n x. ~(n = 0) /\ &0 < x ==> log (root n x) = log x / &n
% Assm: ~F <=> T
% Assm: !x. exp (log x) = x <=> &0 < x
% Assm: !n x. ~(n = 0) /\ &0 < x ==> &0 < root n x
% Assm: T
% Goal: !n x. ~(n = 0) /\ &0 < x ==> root n x = exp (log x / &n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(croot, type, root : (num > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(clog, type, log : (real > real)).
thf(cexp, type, exp : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLOGu_ROOT, axiom, ![N:num,X:real]:((~ ((N = (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X)) => ((log @ (root @ N @ X)) = (realu_div @ (log @ X) @ (realu_ofu_num @ N))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EXPu_LOG, axiom, ![X:real]:(((exp @ (log @ X)) = X) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aROOTu_POSu_LT, axiom, ![N:num,X:real]:((~ ((N = (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (root @ N @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,X:real]:((~ ((N = (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X)) => ((root @ N @ X) = (exp @ (realu_div @ (log @ X) @ (realu_ofu_num @ N)))))).
