%   ORIGINAL: RPOW_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: REAL_ABS_NEG: !x. abs (--x) = abs x
% Assm: REAL_EXP_NEG: !x. exp (--x) = inv (exp x)
% Assm: REAL_INV_1: inv (&1) = &1
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_NEG_EQ_0: !x. --x = &0 <=> x = &0
% Assm: Real_ext.REAL_SV_INV_0: inv (&0) = &0
% Assm: TRUTH: T
% Assm: rpow: !y x. rpow x y = (if &0 < x then exp (y * log x) else if x = &0 then if y = &0 then &1 else &0 else if ?m n. ODD m /\ ODD n /\ abs y = &m / &n then --exp (y * log (--x)) else exp (y * log (--x)))
% Goal: !x y. rpow x (--y) = inv (rpow x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x. abs (--x) = abs x
% Assm: !x. exp (--x) = inv (exp x)
% Assm: inv (&1) = &1
% Assm: !x. inv (--x) = --inv x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. --x = &0 <=> x = &0
% Assm: inv (&0) = &0
% Assm: T
% Assm: !y x. rpow x y = (if &0 < x then exp (y * log x) else if x = &0 then if y = &0 then &1 else &0 else if ?m n. ODD m /\ ODD n /\ abs y = &m / &n then --exp (y * log (--x)) else exp (y * log (--x)))
% Goal: !x y. rpow x (--y) = inv (rpow x y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crpow, type, rpow : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(codd, type, odd : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(clog, type, log : (real > real)).
thf(cexp, type, exp : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aREALu_ABSu_NEG, axiom, ![X:real]:((realu_abs @ (realu_neg @ X)) = (realu_abs @ X))).
thf(aREALu_EXPu_NEG, axiom, ![X:real]:((exp @ (realu_neg @ X)) = (realu_inv @ (exp @ X)))).
thf(aREALu_INVu_1, axiom, ((realu_inv @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_NEGu_EQu_0, axiom, ![X:real]:(((realu_neg @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (realu_ofu_num @ (numeral @ u_0))))).
thf(aRealu_exto_REALu_SVu_INVu_0, axiom, ((realu_inv @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(arpow, axiom, ![Y:real,X:real]:((rpow @ X @ Y) = (cond @ (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ (exp @ (realu_mul @ Y @ (log @ X))) @ (cond @ (X = (realu_ofu_num @ (numeral @ u_0))) @ (cond @ (Y = (realu_ofu_num @ (numeral @ u_0))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))) @ (cond @ ?[M:num,N:num]:((odd @ M) & (odd @ N) & ((realu_abs @ Y) = (realu_div @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)))) @ (realu_neg @ (exp @ (realu_mul @ Y @ (log @ (realu_neg @ X))))) @ (exp @ (realu_mul @ Y @ (log @ (realu_neg @ X))))))))).
thf(conjecture, conjecture, ![X:real,Y:real]:((rpow @ X @ (realu_neg @ Y)) = (realu_inv @ (rpow @ X @ Y)))).
