%   ORIGINAL: RPOW_ZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: REAL_LT_REFL: !x. ~(x < x)
% Assm: TRUTH: T
% Assm: rpow: !y x. rpow x y = (if &0 < x then exp (y * log x) else if x = &0 then if y = &0 then &1 else &0 else if ?m n. ODD m /\ ODD n /\ abs y = &m / &n then --exp (y * log (--x)) else exp (y * log (--x)))
% Goal: !y. rpow (&0) y = (if y = &0 then &1 else &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x. ~(x < x)
% Assm: T
% Assm: !y x. rpow x y = (if &0 < x then exp (y * log x) else if x = &0 then if y = &0 then &1 else &0 else if ?m n. ODD m /\ ODD n /\ abs y = &m / &n then --exp (y * log (--x)) else exp (y * log (--x)))
% Goal: !y. rpow (&0) y = (if y = &0 then &1 else &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crpow, type, rpow : (real > real > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(codd, type, odd : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(clog, type, log : (real > real)).
thf(cexp, type, exp : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aREALu_LTu_REFL, axiom, ![X:real]:~ ((realu_lt @ X @ X))).
thf(aTRUTH, axiom, $true).
thf(arpow, axiom, ![Y:real,X:real]:((rpow @ X @ Y) = (cond @ (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ (exp @ (realu_mul @ Y @ (log @ X))) @ (cond @ (X = (realu_ofu_num @ (numeral @ u_0))) @ (cond @ (Y = (realu_ofu_num @ (numeral @ u_0))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))) @ (cond @ ?[M:num,N:num]:((odd @ M) & (odd @ N) & ((realu_abs @ Y) = (realu_div @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)))) @ (realu_neg @ (exp @ (realu_mul @ Y @ (log @ (realu_neg @ X))))) @ (exp @ (realu_mul @ Y @ (log @ (realu_neg @ X))))))))).
thf(conjecture, conjecture, ![Y:real]:((rpow @ (realu_ofu_num @ (numeral @ u_0)) @ Y) = (cond @ (Y = (realu_ofu_num @ (numeral @ u_0))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))))).
