%   ORIGINAL: RPOW_LE2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Float.pow_conjunct0: x pow 0 = &1
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: RPOW_LT2: !x y z. &0 <= x /\ x < y /\ &0 < z ==> rpow x z < rpow y z
% Assm: RPOW_POW: !x n. rpow x (&n) = x pow n
% Assm: TRUTH: T
% Goal: !x y z. &0 <= x /\ x <= y /\ &0 <= z ==> rpow x z <= rpow y z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x pow 0 = &1
% Assm: ~F <=> T
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x. x <= x
% Assm: !x y z. &0 <= x /\ x < y /\ &0 < z ==> rpow x z < rpow y z
% Assm: !x n. rpow x (&n) = x pow n
% Assm: T
% Goal: !x y z. &0 <= x /\ x <= y /\ &0 <= z ==> rpow x z <= rpow y z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crpow, type, rpow : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFloato_powu_conjunct0, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aRPOWu_LT2, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ Y) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z)) => (realu_lt @ (rpow @ X @ Z) @ (rpow @ Y @ Z)))).
thf(aRPOWu_POW, axiom, ![X:real,N:num]:((rpow @ X @ (realu_ofu_num @ N)) = (realu_pow @ X @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Z)) => (realu_le @ (rpow @ X @ Z) @ (rpow @ Y @ Z)))).
