%   ORIGINAL: RPOW_RPOW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: LOG_EXP: !x. log (exp x) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_EXP_POS_LT: !x. &0 < exp x
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: RPOW_ONE: !z. rpow (&1) z = &1
% Assm: RPOW_ZERO: !y. rpow (&0) y = (if y = &0 then &1 else &0)
% Assm: TRUTH: T
% Assm: rpow: !y x. rpow x y = (if &0 < x then exp (y * log x) else if x = &0 then if y = &0 then &1 else &0 else if ?m n. ODD m /\ ODD n /\ abs y = &m / &n then --exp (y * log (--x)) else exp (y * log (--x)))
% Goal: !x y z. &0 <= x ==> rpow (rpow x y) z = rpow x (y * z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x. log (exp x) = x
% Assm: ~F <=> T
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x. &0 < exp x
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !z. rpow (&1) z = &1
% Assm: !y. rpow (&0) y = (if y = &0 then &1 else &0)
% Assm: T
% Assm: !y x. rpow x y = (if &0 < x then exp (y * log x) else if x = &0 then if y = &0 then &1 else &0 else if ?m n. ODD m /\ ODD n /\ abs y = &m / &n then --exp (y * log (--x)) else exp (y * log (--x)))
% Goal: !x y z. &0 <= x ==> rpow (rpow x y) z = rpow x (y * z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crpow, type, rpow : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(codd, type, odd : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cexp, type, exp : (real > real)).
thf(clog, type, log : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aLOGu_EXP, axiom, ![X:real]:((log @ (exp @ X)) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_EXPu_POSu_LT, axiom, ![X:real]:(realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (exp @ X))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aRPOWu_ONE, axiom, ![Z:real]:((rpow @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ Z) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aRPOWu_ZERO, axiom, ![Y:real]:((rpow @ (realu_ofu_num @ (numeral @ u_0)) @ Y) = (cond @ (Y = (realu_ofu_num @ (numeral @ u_0))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(arpow, axiom, ![Y:real,X:real]:((rpow @ X @ Y) = (cond @ (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ (exp @ (realu_mul @ Y @ (log @ X))) @ (cond @ (X = (realu_ofu_num @ (numeral @ u_0))) @ (cond @ (Y = (realu_ofu_num @ (numeral @ u_0))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))) @ (cond @ ?[M:num,N:num]:((odd @ M) & (odd @ N) & ((realu_abs @ Y) = (realu_div @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)))) @ (realu_neg @ (exp @ (realu_mul @ Y @ (log @ (realu_neg @ X))))) @ (exp @ (realu_mul @ Y @ (log @ (realu_neg @ X))))))))).
thf(conjecture, conjecture, ![X:real,Y:real,Z:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((rpow @ (rpow @ X @ Y) @ Z) = (rpow @ X @ (realu_mul @ Y @ Z))))).
