%   ORIGINAL: REAL_INV_RPOW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RPOW_INV: !x y. rpow (inv x) y = inv (rpow x y)
% Assm: TRUTH: T
% Goal: !x y. inv (rpow x y) = rpow (inv x) y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. rpow (inv x) y = inv (rpow x y)
% Assm: T
% Goal: !x y. inv (rpow x y) = rpow (inv x) y
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crpow, type, rpow : (real > real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRPOWu_INV, axiom, ![X:real,Y:real]:((rpow @ (realu_inv @ X) @ Y) = (realu_inv @ (rpow @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:((realu_inv @ (rpow @ X @ Y)) = (rpow @ (realu_inv @ X) @ Y))).
