%   ORIGINAL: CONTINUOUS_LOGARITHM_ON_CONTRACTIBLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INESSENTIAL_IMP_CONTINUOUS_LOGARITHM: !f s. compact s /\ (?a. homotopic_with (\h. T) (s,(:real^2) DIFF {Cx (&0)}) f (\t. a)) ==> (?g. g continuous_on s /\ (!x. x IN s ==> f x = cexp (g x)))
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NULLHOMOTOPIC_FROM_CONTRACTIBLE: !f s t. f continuous_on s /\ IMAGE f s SUBSET t /\ contractible s ==> (?c. homotopic_with (\h. T) (s,t) f (\x. c))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f s. f continuous_on s /\ compact s /\ contractible s /\ (!x. x IN s ==> ~(f x = Cx (&0))) ==> (?g. g continuous_on s /\ (!x. x IN s ==> f x = cexp (g x)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P x. x IN P <=> P x
% Assm: !f s. compact s /\ (?a. homotopic_with (\h. T) (s,(:real^2) DIFF {Cx (&0)}) f (\t. a)) ==> (?g. g continuous_on s /\ (!x. x IN s ==> f x = cexp (g x)))
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. x IN (:real^N)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !f s t. f continuous_on s /\ IMAGE f s SUBSET t /\ contractible s ==> (?c. homotopic_with (\h. T) (s,t) f (\x. c))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f s. f continuous_on s /\ compact s /\ contractible s /\ (!x. x IN s ==> ~(f x = Cx (&0))) ==> (?g. g continuous_on s /\ (!x. x IN s ==> f x = cexp (g x)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tprodfuncartrealnboolfuncartrealn2bool, type, prodfuncartrealnboolfuncartrealn2bool : $tType).
thf(tfuncartrealn2bool, type, funcartrealn2bool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn2) > (cartrealn > $o) > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealn2) > (cartrealn > $o) > cartrealn2 > $o)).
thf(cinsert0, type, insert0 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn2 > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cdiff, type, diff : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(ccu_, type, c_ : ((cartrealn > $o) > (cartrealn2 > $o) > prodfuncartrealnboolfuncartrealn2bool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealn > cartrealn2) > $o) > prodfuncartrealnboolfuncartrealn2bool > (cartrealn > cartrealn2) > (cartrealn > cartrealn2) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
thf(cuniv, type, univ : (cartrealn2 > $o)).
thf(ccontractible, type, contractible : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINESSENTIALu_IMPu_CONTINUOUSu_LOGARITHM, axiom, ![F:(cartrealn > cartrealn2),S:(cartrealn > $o)]:(((compact @ S) & ?[A:cartrealn2]:(homotopicu_with @ ^[H:(cartrealn > cartrealn2)]:$true @ (c_ @ S @ (diff @ univ @ (insert @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ empty))) @ F @ ^[T:cartrealn]:A)) => ?[G:(cartrealn > cartrealn2)]:((continuousu_on @ G @ S) & ![X:cartrealn]:((in @ X @ S) => ((F @ X) = (cexp @ (G @ X))))))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ0)).
thf(aIu_THM, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty0))).
thf(aNULLHOMOTOPICu_FROMu_CONTRACTIBLE, axiom, ![F:(cartrealn > cartrealn2),S:(cartrealn > $o),T:(cartrealn2 > $o)]:(((continuousu_on @ F @ S) & (subset @ (image0 @ F @ S) @ T) & (contractible @ S)) => ?[C:cartrealn2]:(homotopicu_with @ ^[H:(cartrealn > cartrealn2)]:$true @ (c_ @ S @ T) @ F @ ^[X:cartrealn]:C))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset0 @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn2),S:(cartrealn > $o)]:(((continuousu_on @ F @ S) & (compact @ S) & (contractible @ S) & ![X:cartrealn]:((in @ X @ S) => ~ (((F @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0))))))) => ?[G:(cartrealn > cartrealn2)]:((continuousu_on @ G @ S) & ![X:cartrealn]:((in @ X @ S) => ((F @ X) = (cexp @ (G @ X))))))).
