%   ORIGINAL: CONTINUOUS_LOGARITHM_ON_CBALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_CBALL: !x e. compact (cball (x,e))
% Assm: CONTINUOUS_LOGARITHM_ON_CONTRACTIBLE: !f s. f continuous_on s /\ compact s /\ contractible s /\ (!x. x IN s ==> ~(f x = Cx (&0))) ==> (?g. g continuous_on s /\ (!x. x IN s ==> f x = cexp (g x)))
% Assm: CONTINUOUS_ON_EMPTY: !f. f continuous_on {}
% Assm: CONVEX_CBALL: !x e. convex (cball (x,e))
% Assm: CONVEX_IMP_STARLIKE: !s. convex s /\ ~(s = {}) ==> starlike s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: STARLIKE_IMP_CONTRACTIBLE: !s. starlike s ==> contractible s
% Assm: TRUTH: T
% Goal: !f a r. f continuous_on cball (a,r) /\ (!z. z IN cball (a,r) ==> ~(f z = Cx (&0))) ==> (?h. h continuous_on cball (a,r) /\ (!z. z IN cball (a,r) ==> f z = cexp (h z)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. compact (cball (x,e))
% Assm: !f s. f continuous_on s /\ compact s /\ contractible s /\ (!x. x IN s ==> ~(f x = Cx (&0))) ==> (?g. g continuous_on s /\ (!x. x IN s ==> f x = cexp (g x)))
% Assm: !f. f continuous_on {}
% Assm: !x e. convex (cball (x,e))
% Assm: !s. convex s /\ ~(s = {}) ==> starlike s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. starlike s ==> contractible s
% Assm: T
% Goal: !f a r. f continuous_on cball (a,r) /\ (!z. z IN cball (a,r) ==> ~(f z = Cx (&0))) ==> (?h. h continuous_on cball (a,r) /\ (!z. z IN cball (a,r) ==> f z = cexp (h z)))
%  TYPES
thf(tcartrealq289607, type, cartrealq289607 : $tType).
thf(tnum, type, num : $tType).
thf(tq289607, type, q289607 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn2) > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cstarlike0, type, starlike0 : ((cartrealn > $o) > $o)).
thf(cstarlike, type, starlike : ((cartrealq289607 > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealq289607 > $o)).
thf(cconvex0, type, convex0 : ((cartrealq289607 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccontractible, type, contractible : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_CBALL, axiom, ![X:cartrealn,E:real]:(compact @ (cball @ (c_ @ X @ E)))).
thf(aCONTINUOUSu_LOGARITHMu_ONu_CONTRACTIBLE, axiom, ![F:(cartrealn > cartrealn2),S:(cartrealn > $o)]:(((continuousu_on @ F @ S) & (compact @ S) & (contractible @ S) & ![X:cartrealn]:((in @ X @ S) => ~ (((F @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0))))))) => ?[G:(cartrealn > cartrealn2)]:((continuousu_on @ G @ S) & ![X:cartrealn]:((in @ X @ S) => ((F @ X) = (cexp @ (G @ X))))))).
thf(aCONTINUOUSu_ONu_EMPTY, axiom, ![F:(cartrealn > cartrealn2)]:(continuousu_on @ F @ empty)).
thf(aCONVEXu_CBALL, axiom, ![X:cartrealn,E:real]:(convex @ (cball @ (c_ @ X @ E)))).
thf(aCONVEXu_IMPu_STARLIKE, axiom, ![S:(cartrealq289607 > $o)]:(((convex0 @ S) & ~ ((S = empty0))) => (starlike @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSTARLIKEu_IMPu_CONTRACTIBLE, axiom, ![S:(cartrealn > $o)]:((starlike0 @ S) => (contractible @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn2),A:cartrealn,R:real]:(((continuousu_on @ F @ (cball @ (c_ @ A @ R))) & ![Z:cartrealn]:((in @ Z @ (cball @ (c_ @ A @ R))) => ~ (((F @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0))))))) => ?[H:(cartrealn > cartrealn2)]:((continuousu_on @ H @ (cball @ (c_ @ A @ R))) & ![Z:cartrealn]:((in @ Z @ (cball @ (c_ @ A @ R))) => ((F @ Z) = (cexp @ (H @ Z))))))).
