%   ORIGINAL: REAL_OPEN_INTER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DOWN2: !d1 d2. &0 < d1 /\ &0 < d2 ==> (?e. &0 < e /\ e < d1 /\ e < d2)
% Assm: REAL_LT_TRANS: !x y z. x < y /\ y < z ==> x < z
% Assm: TRUTH: T
% Assm: real_open: !s. real_open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. abs (x' - x) < e ==> x' IN s)))
% Goal: !s t. real_open s /\ real_open t ==> real_open (s INTER t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !d1 d2. &0 < d1 /\ &0 < d2 ==> (?e. &0 < e /\ e < d1 /\ e < d2)
% Assm: !x y z. x < y /\ y < z ==> x < z
% Assm: T
% Assm: !s. real_open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. abs (x' - x) < e ==> x' IN s)))
% Goal: !s t. real_open s /\ real_open t ==> real_open (s INTER t)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_INTER, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DOWN2, axiom, ![D1:real,D2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D2)) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (realu_lt @ E @ D1) & (realu_lt @ E @ D2)))).
thf(aREALu_LTu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(arealu_open, axiom, ![S:(real > $o)]:((realu_open @ S) <=> ![X:real]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![XI_:real]:((realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ E) => (in @ XI_ @ S)))))).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:(((realu_open @ S) & (realu_open @ T)) => (realu_open @ (inter @ S @ T)))).
