%   ORIGINAL: REAL_OPEN_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_open: !s. real_open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. abs (x' - x) < e ==> x' IN s)))
% Goal: (!s. s IN f ==> real_open s) ==> real_open (UNIONS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. real_open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. abs (x' - x) < e ==> x' IN s)))
% Goal: !f. (!s. s IN f ==> real_open s) ==> real_open (UNIONS f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cin0, type, in0 : (((real > $o) > $o) > (((real > $o) > $o) > $o) > $o)).
thf(cunions0, type, unions0 : ((((real > $o) > $o) > $o) > (real > $o) > $o)).
thf(cunions, type, unions : (((real > $o) > $o) > real > $o)).
thf(cin, type, in : ((real > $o) > ((real > $o) > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_UNIONS, axiom, ![S:(((real > $o) > $o) > $o),X:(real > $o)]:((in @ X @ (unions0 @ S)) <=> ?[T:((real > $o) > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_open, axiom, ![S:(real > $o)]:((realu_open @ S) <=> ![X:real]:((in1 @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![XI_:real]:((realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ E) => (in1 @ XI_ @ S)))))).
thf(conjecture, conjecture, ![F:((real > $o) > $o)]:(![S:(real > $o)]:((in @ S @ F) => (realu_open @ S)) => (realu_open @ (unions @ F)))).
