%   ORIGINAL: TOPSPACE_EUCLIDEANREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OPEN_IN: !s. real_open s <=> open_in euclideanreal s
% Assm: REAL_OPEN_UNIV: real_open (:real)
% Assm: TRUTH: T
% Assm: topspace: !top. topspace top = UNIONS {s | open_in top s}
% Goal: topspace euclideanreal = (:real)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. x IN (:real)
% Assm: ~F <=> T
% Assm: !s. real_open s <=> open_in euclideanreal s
% Assm: real_open (:real)
% Assm: T
% Assm: !top. topspace top = UNIONS {s | open_in top s}
% Goal: topspace euclideanreal = (:real)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(ttopologyreal, type, topologyreal : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((real > $o) > $o) > (real > $o) > $o)).
thf(cunions0, type, unions0 : (((real > $o) > $o) > real > $o)).
thf(copenuu_in, type, openu_in : (topologyreal > (real > $o) > $o)).
thf(cin2, type, in2 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ctopspace, type, topspace : (topologyreal > real > $o)).
thf(csetspec0, type, setspec0 : ((real > $o) > $o > (real > $o) > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(ceuclideanreal, type, euclideanreal : topologyreal).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(real > $o),T:(real > $o)]:((S = T) <=> ![X:real]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in1 @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in2 @ T @ S) & (in1 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:real]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OPENu_IN, axiom, ![S:(real > $o)]:((realu_open @ S) <=> (openu_in @ euclideanreal @ S))).
thf(aREALu_OPENu_UNIV, axiom, (realu_open @ univ)).
thf(aTRUTH, axiom, $true).
thf(atopspace, axiom, ![TOP:topologyreal]:((topspace @ TOP) = (unions0 @ (gspec0 @ ^[GENR_PVARR_453:(real > $o)]:?[S:(real > $o)]:(setspec0 @ GENR_PVARR_453 @ (openu_in @ TOP @ S) @ S))))).
thf(conjecture, conjecture, ((topspace @ euclideanreal) = univ)).
