%   ORIGINAL: TOPSPACE_EUCLIDEANREAL_SUBTOPOLOGY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTER_UNIV_conjunct0: !s. (:A) INTER s = s
% Assm: TOPSPACE_EUCLIDEANREAL: topspace euclideanreal = (:real)
% Assm: TOPSPACE_SUBTOPOLOGY: !top u. topspace (subtopology top u) = topspace top INTER u
% Assm: TRUTH: T
% Goal: !s. topspace (subtopology euclideanreal s) = s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. (:real) INTER s = s
% Assm: topspace euclideanreal = (:real)
% Assm: !top u. topspace (subtopology top u) = topspace top INTER u
% Assm: T
% Goal: !s. topspace (subtopology euclideanreal s) = s
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(ttopologyreal, type, topologyreal : $tType).
%  CONSTS
thf(ctopspace, type, topspace : (topologyreal > real > $o)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(csubtopology, type, subtopology : (topologyreal > (real > $o) > topologyreal)).
thf(ceuclideanreal, type, euclideanreal : topologyreal).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTERu_UNIVu_conjunct0, axiom, ![S:(real > $o)]:((inter @ univ @ S) = S)).
thf(aTOPSPACEu_EUCLIDEANREAL, axiom, ((topspace @ euclideanreal) = univ)).
thf(aTOPSPACEu_SUBTOPOLOGY, axiom, ![TOP:topologyreal,U:(real > $o)]:((topspace @ (subtopology @ TOP @ U)) = (inter @ (topspace @ TOP) @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o)]:((topspace @ (subtopology @ euclideanreal @ S)) = S)).
