%   ORIGINAL: REAL_CLOSED_IN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OPEN_IN: !s. real_open s <=> open_in euclideanreal s
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TOPSPACE_EUCLIDEANREAL: topspace euclideanreal = (:real)
% Assm: TRUTH: T
% Assm: closed_in: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Assm: real_closed: !s. real_closed s <=> real_open ((:real) DIFF s)
% Goal: !s. real_closed s <=> closed_in euclideanreal s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. real_open s <=> open_in euclideanreal s
% Assm: !s. s SUBSET (:A)
% Assm: topspace euclideanreal = (:real)
% Assm: T
% Assm: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Assm: !s. real_closed s <=> real_open ((:real) DIFF s)
% Goal: !s. real_closed s <=> closed_in euclideanreal s
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(ttopologyreal, type, topologyreal : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((real > $o) > (real > $o) > $o)).
thf(ctopspace, type, topspace : (topologyreal > real > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologyreal > (real > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologyreal > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(ceuclideanreal, type, euclideanreal : topologyreal).
thf(crealuu_closed, type, realu_closed : ((real > $o) > $o)).
thf(cuniv0, type, univ0 : (real > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OPENu_IN, axiom, ![S:(real > $o)]:((realu_open @ S) <=> (openu_in @ euclideanreal @ S))).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset @ S @ univ)).
thf(aTOPSPACEu_EUCLIDEANREAL, axiom, ((topspace @ euclideanreal) = univ0)).
thf(aTRUTH, axiom, $true).
thf(aclosedu_in, axiom, ![TOP:topologyreal,S:(real > $o)]:((closedu_in @ TOP @ S) <=> ((subset0 @ S @ (topspace @ TOP)) & (openu_in @ TOP @ (diff @ (topspace @ TOP) @ S))))).
thf(arealu_closed, axiom, ![S:(real > $o)]:((realu_closed @ S) <=> (realu_open @ (diff @ univ0 @ S)))).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_closed @ S) <=> (closedu_in @ euclideanreal @ S))).
