%   ORIGINAL: REAL_OPEN_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_UNION: !top s t. open_in top s /\ open_in top t ==> open_in top (s UNION t)
% Assm: REAL_OPEN_IN: !s. real_open s <=> open_in euclideanreal s
% Assm: TRUTH: T
% Goal: !s t. real_open s /\ real_open t ==> real_open (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !top s t. open_in top s /\ open_in top t ==> open_in top (s UNION t)
% Assm: !s. real_open s <=> open_in euclideanreal s
% Assm: T
% Goal: !s t. real_open s /\ real_open t ==> real_open (s UNION t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(ttopologyreal, type, topologyreal : $tType).
%  CONSTS
thf(copenuu_in, type, openu_in : (topologyreal > (real > $o) > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(ceuclideanreal, type, euclideanreal : topologyreal).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_UNION, axiom, ![TOP:topologyreal,S:(real > $o),T:(real > $o)]:(((openu_in @ TOP @ S) & (openu_in @ TOP @ T)) => (openu_in @ TOP @ (union @ S @ T)))).
thf(aREALu_OPENu_IN, axiom, ![S:(real > $o)]:((realu_open @ S) <=> (openu_in @ euclideanreal @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:(((realu_open @ S) & (realu_open @ T)) => (realu_open @ (union @ S @ T)))).
