%   ORIGINAL: REAL_CLOSED_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_IN_INTERS: !top k. ~(k = {}) /\ (!s. s IN k ==> closed_in top s) ==> closed_in top (INTERS k)
% Assm: CLOSED_IN_TOPSPACE: !top. closed_in top (topspace top)
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CLOSED_IN: !s. real_closed s <=> closed_in euclideanreal s
% Assm: TOPSPACE_EUCLIDEANREAL: topspace euclideanreal = (:real)
% Assm: TRUTH: T
% Goal: !f. (!s. s IN f ==> real_closed s) ==> real_closed (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !top k. ~(k = {}) /\ (!s. s IN k ==> closed_in top s) ==> closed_in top (INTERS k)
% Assm: !top. closed_in top (topspace top)
% Assm: INTERS {} = (:real)
% Assm: ~F <=> T
% Assm: !s. real_closed s <=> closed_in euclideanreal s
% Assm: topspace euclideanreal = (:real)
% Assm: T
% Goal: !f. (!s. s IN f ==> real_closed s) ==> real_closed (INTERS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(ttopologyq167223, type, topologyq167223 : $tType).
thf(treal, type, real : $tType).
thf(tq167223, type, q167223 : $tType).
thf(ttopologyreal, type, topologyreal : $tType).
%  CONSTS
thf(ctopspace0, type, topspace0 : (topologyreal > real > $o)).
thf(ctopspace, type, topspace : (topologyq167223 > q167223 > $o)).
thf(ccloseduu_in0, type, closedu_in0 : (topologyq167223 > (q167223 > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologyreal > (real > $o) > $o)).
thf(cinters, type, inters : (((real > $o) > $o) > real > $o)).
thf(cin, type, in : ((real > $o) > ((real > $o) > $o) > $o)).
thf(ceuclideanreal, type, euclideanreal : topologyreal).
thf(cempty, type, empty : ((real > $o) > $o)).
thf(crealuu_closed, type, realu_closed : ((real > $o) > $o)).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_INu_INTERS, axiom, ![TOP:topologyreal,K:((real > $o) > $o)]:((~ ((K = empty)) & ![S:(real > $o)]:((in @ S @ K) => (closedu_in @ TOP @ S))) => (closedu_in @ TOP @ (inters @ K)))).
thf(aCLOSEDu_INu_TOPSPACE, axiom, ![TOP:topologyq167223]:(closedu_in0 @ TOP @ (topspace @ TOP))).
thf(aINTERSu_0, axiom, ((inters @ empty) = univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CLOSEDu_IN, axiom, ![S:(real > $o)]:((realu_closed @ S) <=> (closedu_in @ euclideanreal @ S))).
thf(aTOPSPACEu_EUCLIDEANREAL, axiom, ((topspace0 @ euclideanreal) = univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((real > $o) > $o)]:(![S:(real > $o)]:((in @ S @ F) => (realu_closed @ S)) => (realu_closed @ (inters @ F)))).
