%   ORIGINAL: REAL_OPEN_REAL_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_CLOSED_IN_EQ: !top s. open_in top s <=> s SUBSET topspace top /\ closed_in top (topspace top DIFF s)
% Assm: REAL_CLOSED_IN: !s. real_closed s <=> closed_in euclideanreal s
% Assm: REAL_OPEN_IN: !s. real_open s <=> open_in euclideanreal s
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TOPSPACE_EUCLIDEANREAL: topspace euclideanreal = (:real)
% Assm: TRUTH: T
% Goal: !s. real_open s <=> real_closed ((:real) DIFF s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !top s. open_in top s <=> s SUBSET topspace top /\ closed_in top (topspace top DIFF s)
% Assm: !s. real_closed s <=> closed_in euclideanreal s
% Assm: !s. real_open s <=> open_in euclideanreal s
% Assm: !s. s SUBSET (:real)
% Assm: topspace euclideanreal = (:real)
% Assm: T
% Goal: !s. real_open s <=> real_closed ((:real) DIFF s)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(ttopologyreal, type, topologyreal : $tType).
%  CONSTS
thf(ccloseduu_in, type, closedu_in : (topologyreal > (real > $o) > $o)).
thf(ctopspace, type, topspace : (topologyreal > real > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologyreal > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(ceuclideanreal, type, euclideanreal : topologyreal).
thf(crealuu_closed, type, realu_closed : ((real > $o) > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_CLOSEDu_INu_EQ, axiom, ![TOP:topologyreal,S:(real > $o)]:((openu_in @ TOP @ S) <=> ((subset @ S @ (topspace @ TOP)) & (closedu_in @ TOP @ (diff @ (topspace @ TOP) @ S))))).
thf(aREALu_CLOSEDu_IN, axiom, ![S:(real > $o)]:((realu_closed @ S) <=> (closedu_in @ euclideanreal @ S))).
thf(aREALu_OPENu_IN, axiom, ![S:(real > $o)]:((realu_open @ S) <=> (openu_in @ euclideanreal @ S))).
thf(aSUBSETu_UNIV, axiom, ![S:(real > $o)]:(subset @ S @ univ)).
thf(aTOPSPACEu_EUCLIDEANREAL, axiom, ((topspace @ euclideanreal) = univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_open @ S) <=> (realu_closed @ (diff @ univ @ S)))).
