%   ORIGINAL: REAL_CLOSED_DIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_IN_DIFF: !top s t. closed_in top s /\ open_in top t ==> closed_in top (s DIFF t)
% Assm: REAL_CLOSED_IN: !s. real_closed s <=> closed_in euclideanreal s
% Assm: REAL_OPEN_IN: !s. real_open s <=> open_in euclideanreal s
% Assm: TRUTH: T
% Goal: !s t. real_closed s /\ real_open t ==> real_closed (s DIFF t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !top s t. closed_in top s /\ open_in top t ==> closed_in top (s DIFF t)
% Assm: !s. real_closed s <=> closed_in euclideanreal s
% Assm: !s. real_open s <=> open_in euclideanreal s
% Assm: T
% Goal: !s t. real_closed s /\ real_open t ==> real_closed (s DIFF t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(ttopologyreal, type, topologyreal : $tType).
%  CONSTS
thf(copenuu_in, type, openu_in : (topologyreal > (real > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologyreal > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(ceuclideanreal, type, euclideanreal : topologyreal).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(crealuu_closed, type, realu_closed : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_INu_DIFF, axiom, ![TOP:topologyreal,S:(real > $o),T:(real > $o)]:(((closedu_in @ TOP @ S) & (openu_in @ TOP @ T)) => (closedu_in @ TOP @ (diff @ S @ T)))).
thf(aREALu_CLOSEDu_IN, axiom, ![S:(real > $o)]:((realu_closed @ S) <=> (closedu_in @ euclideanreal @ S))).
thf(aREALu_OPENu_IN, axiom, ![S:(real > $o)]:((realu_open @ S) <=> (openu_in @ euclideanreal @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:(((realu_closed @ S) & (realu_open @ T)) => (realu_closed @ (diff @ S @ T)))).
