%   ORIGINAL: REAL_OPEN_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: INTERS_INSERT: INTERS (s INSERT u) = s INTER INTERS u
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OPEN_INTER: !s t. real_open s /\ real_open t ==> real_open (s INTER t)
% Assm: REAL_OPEN_UNIV: real_open (:real)
% Assm: TRUTH: T
% Goal: !s. FINITE s /\ (!t. t IN s ==> real_open t) ==> real_open (INTERS s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: INTERS {} = (:real)
% Assm: !s u. INTERS (s INSERT u) = s INTER INTERS u
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !s t. real_open s /\ real_open t ==> real_open (s INTER t)
% Assm: real_open (:real)
% Assm: T
% Goal: !s. FINITE s /\ (!t. t IN s ==> real_open t) ==> real_open (INTERS s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cinters, type, inters : (((real > $o) > $o) > real > $o)).
thf(cin, type, in : ((real > $o) > ((real > $o) > $o) > $o)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(cinsert, type, insert : ((real > $o) > ((real > $o) > $o) > (real > $o) > $o)).
thf(cempty, type, empty : ((real > $o) > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(cfinite, type, finite : (((real > $o) > $o) > $o)).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((real > $o) > $o) > $o)]:(((P @ empty) & ![X:(real > $o),S:((real > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((real > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINTERSu_0, axiom, ((inters @ empty) = univ)).
thf(aINTERSu_INSERT, axiom, ![S:(real > $o),U:((real > $o) > $o)]:((inters @ (insert @ S @ U)) = (inter @ S @ (inters @ U)))).
thf(aINu_INSERT, axiom, ![X:(real > $o),Y:(real > $o),S:((real > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OPENu_INTER, axiom, ![S:(real > $o),T:(real > $o)]:(((realu_open @ S) & (realu_open @ T)) => (realu_open @ (inter @ S @ T)))).
thf(aREALu_OPENu_UNIV, axiom, (realu_open @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:((real > $o) > $o)]:(((finite @ S) & ![T:(real > $o)]:((in @ T @ S) => (realu_open @ T))) => (realu_open @ (inters @ S)))).
