%   ORIGINAL: REAL_CLOSED_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CLOSED_EMPTY: real_closed {}
% Assm: REAL_CLOSED_UNION: !s t. real_closed s /\ real_closed t ==> real_closed (s UNION t)
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !s. FINITE s /\ (!t. t IN s ==> real_closed t) ==> real_closed (UNIONS s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: real_closed {}
% Assm: !s t. real_closed s /\ real_closed t ==> real_closed (s UNION t)
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !s. FINITE s /\ (!t. t IN s ==> real_closed t) ==> real_closed (UNIONS s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cunions, type, unions : (((real > $o) > $o) > real > $o)).
thf(cin, type, in : ((real > $o) > ((real > $o) > $o) > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(cinsert, type, insert : ((real > $o) > ((real > $o) > $o) > (real > $o) > $o)).
thf(cempty, type, empty : ((real > $o) > $o)).
thf(crealuu_closed, type, realu_closed : ((real > $o) > $o)).
thf(cfinite, type, finite : (((real > $o) > $o) > $o)).
thf(cempty0, type, empty0 : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((real > $o) > $o) > $o)]:(((P @ empty) & ![X:(real > $o),S:((real > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((real > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:(real > $o),Y:(real > $o),S:((real > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CLOSEDu_EMPTY, axiom, (realu_closed @ empty0)).
thf(aREALu_CLOSEDu_UNION, axiom, ![S:(real > $o),T:(real > $o)]:(((realu_closed @ S) & (realu_closed @ T)) => (realu_closed @ (union @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty) = empty0)).
thf(aUNIONSu_INSERT, axiom, ![S:(real > $o),U:((real > $o) > $o)]:((unions @ (insert @ S @ U)) = (union @ S @ (unions @ U)))).
thf(conjecture, conjecture, ![S:((real > $o) > $o)]:(((finite @ S) & ![T:(real > $o)]:((in @ T @ S) => (realu_closed @ T))) => (realu_closed @ (unions @ S)))).
