%   ORIGINAL: REAL_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OPEN: !s. real_open s <=> open (IMAGE lift s)
% Assm: TRUTH: T
% Assm: closed: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: real_closed: !s. real_closed s <=> real_open ((:real) DIFF s)
% Goal: !s. real_closed s <=> closed (IMAGE lift s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. x IN (:A)
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: ~F <=> T
% Assm: !s. real_open s <=> open (IMAGE lift s)
% Assm: T
% Assm: !s. closed s <=> open ((:real^1) DIFF s)
% Assm: !s. real_closed s <=> real_open ((:real) DIFF s)
% Goal: !s. real_closed s <=> closed (IMAGE lift s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdiff1, type, diff1 : ((real > $o) > (real > $o) > real > $o)).
thf(cdiff0, type, diff0 : ((cartrealn1 > $o) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cuniv0, type, univ0 : (cartrealn1 > $o)).
thf(copen, type, open : ((cartrealn1 > $o) > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn1 > $o) > $o)).
thf(crealuu_closed, type, realu_closed : ((real > $o) > $o)).
thf(cuniv1, type, univ1 : (real > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn1,S:(real > $o),F:(real > cartrealn1)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:real]:((Y = (F @ X)) & (in1 @ X @ S)))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OPEN, axiom, ![S:(real > $o)]:((realu_open @ S) <=> (open @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aclosed, axiom, ![S:(cartrealn1 > $o)]:((closed @ S) <=> (open @ (diff0 @ univ0 @ S)))).
thf(arealu_closed, axiom, ![S:(real > $o)]:((realu_closed @ S) <=> (realu_open @ (diff1 @ univ1 @ S)))).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_closed @ S) <=> (closed @ (image @ lift @ S)))).
