%   ORIGINAL: REAL_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_LIFT: !s. bounded (IMAGE lift s) <=> (?a. !x. x IN s ==> abs x <= a)
% Assm: TRUTH: T
% Assm: real_bounded: !s. real_bounded s <=> (?B. !x. x IN s ==> abs x <= B)
% Goal: real_bounded s <=> bounded (IMAGE lift s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded (IMAGE lift s) <=> (?a. !x. x IN s ==> abs x <= a)
% Assm: T
% Assm: !s. real_bounded s <=> (?B. !x. x IN s ==> abs x <= B)
% Goal: !s. real_bounded s <=> bounded (IMAGE lift s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cbounded, type, bounded : ((cartrealn1 > $o) > $o)).
thf(crealuu_bounded, type, realu_bounded : ((real > $o) > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_LIFT, axiom, ![S:(real > $o)]:((bounded @ (image @ lift @ S)) <=> ?[A:real]:![X:real]:((in @ X @ S) => (realu_le @ (realu_abs @ X) @ A)))).
thf(aTRUTH, axiom, $true).
thf(arealu_bounded, axiom, ![S:(real > $o)]:((realu_bounded @ S) <=> ?[B:real]:![X:real]:((in @ X @ S) => (realu_le @ (realu_abs @ X) @ B)))).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_bounded @ S) <=> (bounded @ (image @ lift @ S)))).
