%   ORIGINAL: REAL_BOUNDED_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IMAGE_SUBSET: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_BOUNDED: real_bounded s <=> bounded (IMAGE lift s)
% Assm: TRUTH: T
% Goal: !s t. real_bounded t /\ s SUBSET t ==> real_bounded s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !t. (\x. t x) = t
% Assm: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: ~F <=> T
% Assm: !s. real_bounded s <=> bounded (IMAGE lift s)
% Assm: T
% Goal: !s t. real_bounded t /\ s SUBSET t ==> real_bounded s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq181630, type, q181630 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq181630, type, cartrealq181630 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(csubset0, type, subset0 : ((cartrealq181630 > $o) > (cartrealq181630 > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn1 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq181630 > $o) > $o)).
thf(crealuu_bounded, type, realu_bounded : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealq181630 > $o),T:(cartrealq181630 > $o)]:(((bounded @ T) & (subset0 @ S @ T)) => (bounded @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIMAGEu_SUBSET, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:((subset @ S @ T) => (subset @ (image @ F @ S) @ (image @ F @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_BOUNDED, axiom, ![S:(real > $o)]:((realu_bounded @ S) <=> (bounded0 @ (image0 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:(((realu_bounded @ T) & (subset @ S @ T)) => (realu_bounded @ S))).
