%   ORIGINAL: REAL_BOUNDED_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_UNION: !s t. bounded (s UNION t) <=> bounded s /\ bounded t
% Assm: IMAGE_UNION: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: REAL_BOUNDED: real_bounded s <=> bounded (IMAGE lift s)
% Assm: TRUTH: T
% Goal: !s t. real_bounded (s UNION t) <=> real_bounded s /\ real_bounded t
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. bounded (s UNION t) <=> bounded s /\ bounded t
% Assm: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: !s. real_bounded s <=> bounded (IMAGE lift s)
% Assm: T
% Goal: !s t. real_bounded (s UNION t) <=> real_bounded s /\ real_bounded t
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tq181787, type, q181787 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq181787, type, cartrealq181787 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cunion0, type, union0 : ((cartrealq181787 > $o) > (cartrealq181787 > $o) > cartrealq181787 > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn1 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq181787 > $o) > $o)).
thf(crealuu_bounded, type, realu_bounded : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_UNION, axiom, ![S:(cartrealq181787 > $o),T:(cartrealq181787 > $o)]:((bounded @ (union0 @ S @ T)) <=> ((bounded @ S) & (bounded @ T)))).
thf(aIMAGEu_UNION, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:((image @ F @ (union @ S @ T)) = (union @ (image @ F @ S) @ (image @ F @ T)))).
thf(aREALu_BOUNDED, axiom, ![S:(real > $o)]:((realu_bounded @ S) <=> (bounded0 @ (image0 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:((realu_bounded @ (union @ S @ T)) <=> ((realu_bounded @ S) & (realu_bounded @ T)))).
