%   ORIGINAL: REAL_COMPACT_EQ_BOUNDED_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: REAL_BOUNDED: real_bounded s <=> bounded (IMAGE lift s)
% Assm: REAL_CLOSED: !s. real_closed s <=> closed (IMAGE lift s)
% Assm: TRUTH: T
% Assm: real_compact: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !s. real_compact s <=> real_bounded s /\ real_closed s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s. real_bounded s <=> bounded (IMAGE lift s)
% Assm: !s. real_closed s <=> closed (IMAGE lift s)
% Assm: T
% Assm: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !s. real_compact s <=> real_bounded s /\ real_closed s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(ccompact0, type, compact0 : ((cartrealn1 > $o) > $o)).
thf(cclosed0, type, closed0 : ((cartrealn1 > $o) > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn1 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(crealuu_closed, type, realu_closed : ((real > $o) > $o)).
thf(crealuu_bounded, type, realu_bounded : ((real > $o) > $o)).
thf(crealuu_compact, type, realu_compact : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aREALu_BOUNDED, axiom, ![S:(real > $o)]:((realu_bounded @ S) <=> (bounded0 @ (image @ lift @ S)))).
thf(aREALu_CLOSED, axiom, ![S:(real > $o)]:((realu_closed @ S) <=> (closed0 @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(arealu_compact, axiom, ![S:(real > $o)]:((realu_compact @ S) <=> (compact0 @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_compact @ S) <=> ((realu_bounded @ S) & (realu_closed @ S)))).
