%   ORIGINAL: REAL_COMPACT_ATTAINS_SUP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPACT_ATTAINS_SUP: !s. compact (IMAGE lift s) /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> y <= x))
% Assm: TRUTH: T
% Assm: real_compact: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !s. real_compact s /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> y <= x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. compact (IMAGE lift s) /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> y <= x))
% Assm: T
% Assm: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !s. real_compact s /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> y <= x))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(ccompact, type, compact : ((cartrealn1 > $o) > $o)).
thf(crealuu_compact, type, realu_compact : ((real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPACTu_ATTAINSu_SUP, axiom, ![S:(real > $o)]:(((compact @ (image @ lift @ S)) & ~ ((S = empty))) => ?[X:real]:((in @ X @ S) & ![Y:real]:((in @ Y @ S) => (realu_le @ Y @ X))))).
thf(aTRUTH, axiom, $true).
thf(arealu_compact, axiom, ![S:(real > $o)]:((realu_compact @ S) <=> (compact @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![S:(real > $o)]:(((realu_compact @ S) & ~ ((S = empty))) => ?[X:real]:((in @ X @ S) & ![Y:real]:((in @ Y @ S) => (realu_le @ Y @ X))))).
