%   ORIGINAL: TENDSTO_REAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_LIFT: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: tendsto: !f l net. (f --> l) net <=> (!e. &0 < e ==> eventually (\x. dist (f x,l) < e) net)
% Assm: tendsto_real: !f l net. (f ---> l) net <=> (!e. &0 < e ==> eventually (\x. abs (f x - l) < e) net)
% Goal: (s ---> l) = (lift o s --> lift l)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f l net. (f --> l) net <=> (!e. &0 < e ==> eventually (\x. dist (f x,l) < e) net)
% Assm: !f l net. (f ---> l) net <=> (!e. &0 < e ==> eventually (\x. abs (f x - l) < e) net)
% Goal: !l s. (s ---> l) = (lift o s --> lift l)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tq618585, type, q618585 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetq618585, type, netq618585 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(ceventually, type, eventually : ((q618585 > $o) > netq618585 > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(co, type, o : ((real > cartrealn1) > (q618585 > real) > q618585 > cartrealn1)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q618585 > cartrealn1) > cartrealn1 > netq618585 > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q618585 > real) > real > netq618585 > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > netq618585 > $o),G:(a > netq618585 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_LIFT, axiom, ![X:real,Y:real]:((distance @ (c_ @ (lift @ X) @ (lift @ Y))) = (realu_abs @ (realu_sub @ X @ Y)))).
thf(aFUNu_EQu_THM, axiom, ![F:(netq618585 > $o),G:(netq618585 > $o)]:((F = G) <=> ![X:netq618585]:((F @ X) <=> (G @ X)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(real > cartrealn1),G:(q618585 > real),X:q618585]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(atendsto, axiom, ![F:(q618585 > cartrealn1),L:cartrealn1,NET:netq618585]:((m_m_g_ @ F @ L @ NET) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:q618585]:(realu_lt @ (distance @ (c_ @ (F @ X) @ L)) @ E) @ NET)))).
thf(atendstou_real, axiom, ![F:(q618585 > real),L:real,NET:netq618585]:((m_m_m_g_ @ F @ L @ NET) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:q618585]:(realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E) @ NET)))).
thf(conjecture, conjecture, ![L:real,S:(q618585 > real)]:((m_m_m_g_ @ S @ L) = (m_m_g_ @ (o @ lift @ S) @ (lift @ L)))).
