%   ORIGINAL: REALLIM_COMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: CX_SUB: !x y. Cx (x - y) = Cx x - Cx y
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: tendsto: !f l net. (f --> l) net <=> (!e. &0 < e ==> eventually (\x. dist (f x,l) < e) net)
% Assm: tendsto_real: !f l net. (f ---> l) net <=> (!e. &0 < e ==> eventually (\x. abs (f x - l) < e) net)
% Goal: (s ---> l) = (Cx o s --> Cx l)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm (Cx x) = abs x
% Assm: !x y. Cx (x - y) = Cx x - Cx y
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f l net. (f --> l) net <=> (!e. &0 < e ==> eventually (\x. dist (f x,l) < e) net)
% Assm: !f l net. (f ---> l) net <=> (!e. &0 < e ==> eventually (\x. abs (f x - l) < e) net)
% Goal: !l s. (s ---> l) = (Cx o s --> Cx l)
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tnetq618619, type, netq618619 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq618619, type, q618619 : $tType).
thf(tprodcartrealn2cartrealn2, type, prodcartrealn2cartrealn2 : $tType).
%  CONSTS
thf(cdistance0, type, distance0 : (prodcartrealn2cartrealn2 > real)).
thf(ceventually, type, eventually : ((q618619 > $o) > netq618619 > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq98293 > real)).
thf(cdistance, type, distance : (prodcartrealq98293cartrealq98293 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccu_0, type, c_0 : (cartrealn2 > cartrealn2 > prodcartrealn2cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_, type, c_ : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(co, type, o : ((real > cartrealn2) > (q618619 > real) > q618619 > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q618619 > cartrealn2) > cartrealn2 > netq618619 > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q618619 > real) > real > netq618619 > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > netq618619 > $o),G:(a > netq618619 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aCXu_SUB, axiom, ![X:real,Y:real]:((cx @ (realu_sub @ X @ Y)) = (vectoru_sub @ (cx @ X) @ (cx @ Y)))).
thf(aFUNu_EQu_THM, axiom, ![F:(netq618619 > $o),G:(netq618619 > $o)]:((F = G) <=> ![X:netq618619]:((F @ X) <=> (G @ X)))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance @ (c_ @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub0 @ X @ Y)))).
thf(aou_THM, axiom, ![F:(real > cartrealn2),G:(q618619 > real),X:q618619]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(atendsto, axiom, ![F:(q618619 > cartrealn2),L:cartrealn2,NET:netq618619]:((m_m_g_ @ F @ L @ NET) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:q618619]:(realu_lt @ (distance0 @ (c_0 @ (F @ X) @ L)) @ E) @ NET)))).
thf(atendstou_real, axiom, ![F:(q618619 > real),L:real,NET:netq618619]:((m_m_m_g_ @ F @ L @ NET) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:q618619]:(realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E) @ NET)))).
thf(conjecture, conjecture, ![L:real,S:(q618619 > real)]:((m_m_m_g_ @ S @ L) = (m_m_g_ @ (o @ cx @ S) @ (cx @ L)))).
