%   ORIGINAL: REALLIM_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: LIM_CMUL: !f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f l c. (f ---> l) net ==> ((\x. c * f x) ---> c * l) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !net f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !net f l c. (f ---> l) net ==> ((\x. c * f x) ---> c * l) net
%  TYPES
thf(tq176203, type, q176203 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq176206, type, q176206 : $tType).
thf(ta, type, a : $tType).
thf(tnetq618702, type, netq618702 : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tcartrealq176206, type, cartrealq176206 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq618702, type, q618702 : $tType).
thf(tnetq176203, type, netq176203 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (q618702 > real) > q618702 > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((q618702 > cartrealn1) > cartrealn1 > netq618702 > $o)).
thf(cru_0, type, r_0 : (real > cartrealq176206 > cartrealq176206)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q176203 > cartrealq176206) > cartrealq176206 > netq176203 > $o)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q618702 > real) > real > netq618702 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_ @ C @ (lift @ X)))).
thf(aLIMu_CMUL, axiom, ![NET:netq176203,F:(q176203 > cartrealq176206),L:cartrealq176206,C:real]:((m_m_g_ @ F @ L @ NET) => (m_m_g_ @ ^[X:q176203]:(r_0 @ C @ (F @ X)) @ (r_0 @ C @ L) @ NET))).
thf(aTENDSTOu_REAL, axiom, ![S:(q618702 > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![NET:netq618702,F:(q618702 > real),L:real,C:real]:((m_m_m_g_ @ F @ L @ NET) => (m_m_m_g_ @ ^[X:q618702]:(realu_mul @ C @ (F @ X)) @ (realu_mul @ C @ L) @ NET))).
