%   ORIGINAL: REALLIM_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_LMUL: !f l c. (f ---> l) net ==> ((\x. c * f x) ---> c * l) net
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Goal: !f l c. (f ---> l) net ==> ((\x. f x * c) ---> l * c) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f l c. (f ---> l) net ==> ((\x. c * f x) ---> c * l) net
% Assm: !x y. x * y = y * x
% Assm: T
% Goal: !net f l c. (f ---> l) net ==> ((\x. f x * c) ---> l * c) net
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetq618734, type, netq618734 : $tType).
thf(treal, type, real : $tType).
thf(tq618734, type, q618734 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q618734 > real) > real > netq618734 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_LMUL, axiom, ![NET:netq618734,F:(q618734 > real),L:real,C:real]:((m_m_m_g_ @ F @ L @ NET) => (m_m_m_g_ @ ^[X:q618734]:(realu_mul @ C @ (F @ X)) @ (realu_mul @ C @ L) @ NET))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:netq618734,F:(q618734 > real),L:real,C:real]:((m_m_m_g_ @ F @ L @ NET) => (m_m_m_g_ @ ^[X:q618734]:(realu_mul @ (F @ X) @ C) @ (realu_mul @ L @ C) @ NET))).
