%   ORIGINAL: REALLIM_NEG_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_NEG: !x. lift (--x) = --lift x
% Assm: LIM_NEG_EQ: !net f l. ((\x. --f x) --> --l) net <=> (f --> l) net
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !net f l. ((\x. --f x) ---> --l) net <=> (f ---> l) net
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. lift (--x) = --lift x
% Assm: !net f l. ((\x. --f x) --> --l) net <=> (f --> l) net
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !net f l. ((\x. --f x) ---> --l) net <=> (f ---> l) net
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq176369, type, q176369 : $tType).
thf(tq618882, type, q618882 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetq176369, type, netq176369 : $tType).
thf(tnetq618882, type, netq618882 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn1 > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (q618882 > real) > q618882 > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((q618882 > cartrealn1) > cartrealn1 > netq618882 > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q176369 > cartrealn) > cartrealn > netq176369 > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q618882 > real) > real > netq618882 > $o)).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealn > cartrealn)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_NEG, axiom, ![X:real]:((lift @ (realu_neg @ X)) = (vectoru_neg @ (lift @ X)))).
thf(aLIMu_NEGu_EQ, axiom, ![NET:netq176369,F:(q176369 > cartrealn),L:cartrealn]:((m_m_g_ @ ^[X:q176369]:(vectoru_neg0 @ (F @ X)) @ (vectoru_neg0 @ L) @ NET) <=> (m_m_g_ @ F @ L @ NET))).
thf(aTENDSTOu_REAL, axiom, ![S:(q618882 > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![NET:netq618882,F:(q618882 > real),L:real]:((m_m_m_g_ @ ^[X:q618882]:(realu_neg @ (F @ X)) @ (realu_neg @ L) @ NET) <=> (m_m_m_g_ @ F @ L @ NET))).
