%   ORIGINAL: REALLIM_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_SUB: !x y. lift (x - y) = lift x - lift y
% Assm: LIM_SUB: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !net f g l m. (f ---> l) net /\ (g ---> m) net ==> ((\x. f x - g x) ---> l - m) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. lift (x - y) = lift x - lift y
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x - g x) --> l - m) net
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !net f g l m. (f ---> l) net /\ (g ---> m) net ==> ((\x. f x - g x) ---> l - m) net
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq176624, type, q176624 : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tcartrealq176624, type, cartrealq176624 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (a > real) > a > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((a > cartrealn1) > cartrealn1 > neta > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq176624 > cartrealq176624 > cartrealq176624)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealq176624) > cartrealq176624 > neta > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((a > real) > real > neta > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_SUB, axiom, ![X:real,Y:real]:((lift @ (realu_sub @ X @ Y)) = (vectoru_sub @ (lift @ X) @ (lift @ Y)))).
thf(aLIMu_SUB, axiom, ![NET:neta,F:(a > cartrealq176624),G:(a > cartrealq176624),L:cartrealq176624,M:cartrealq176624]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET)) => (m_m_g_ @ ^[X:a]:(vectoru_sub0 @ (F @ X) @ (G @ X)) @ (vectoru_sub0 @ L @ M) @ NET))).
thf(aTENDSTOu_REAL, axiom, ![S:(a > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![NET:neta,F:(a > real),G:(a > real),L:real,M:real]:(((m_m_m_g_ @ F @ L @ NET) & (m_m_m_g_ @ G @ M @ NET)) => (m_m_m_g_ @ ^[X:a]:(realu_sub @ (F @ X) @ (G @ X)) @ (realu_sub @ L @ M) @ NET))).
