%   ORIGINAL: REALLIM_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: LIM_COMPLEX_MUL: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x * g x) --> l * m) net
% Assm: REALLIM_COMPLEX: (s ---> l) = (Cx o s --> Cx l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !net f g l m. (f ---> l) net /\ (g ---> m) net ==> ((\x. f x * g x) ---> l * m) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x * g x) --> l * m) net
% Assm: !s l. (s ---> l) = (Cx o s --> Cx l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !net f g l m. (f ---> l) net /\ (g ---> m) net ==> ((\x. f x * g x) ---> l * m) net
%  TYPES
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn2) > (a > real) > a > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn2) > cartrealn2 > neta > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((a > real) > real > neta > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aLIMu_COMPLEXu_MUL, axiom, ![NET:neta,F:(a > cartrealn2),G:(a > cartrealn2),L:cartrealn2,M:cartrealn2]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET)) => (m_m_g_ @ ^[X:a]:(complexu_mul @ (F @ X) @ (G @ X)) @ (complexu_mul @ L @ M) @ NET))).
thf(aREALLIMu_COMPLEX, axiom, ![S:(a > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_ @ (o @ cx @ S) @ (cx @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![NET:neta,F:(a > real),G:(a > real),L:real,M:real]:(((m_m_m_g_ @ F @ L @ NET) & (m_m_m_g_ @ G @ M @ NET)) => (m_m_m_g_ @ ^[X:a]:(realu_mul @ (F @ X) @ (G @ X)) @ (realu_mul @ L @ M) @ NET))).
