%   ORIGINAL: REALLIM_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_INV: !net f l. (f ---> l) net /\ ~(l = &0) ==> ((\x. inv (f x)) ---> inv l) net
% Assm: REALLIM_MUL: !net f g l m. (f ---> l) net /\ (g ---> m) net ==> ((\x. f x * g x) ---> l * m) net
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !net f g l m. (f ---> l) net /\ (g ---> m) net /\ ~(m = &0) ==> ((\x. f x / g x) ---> l / m) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f l. (f ---> l) net /\ ~(l = &0) ==> ((\x. inv (f x)) ---> inv l) net
% Assm: !net f g l m. (f ---> l) net /\ (g ---> m) net ==> ((\x. f x * g x) ---> l * m) net
% Assm: T
% Assm: !x y. x / y = x * inv y
% Goal: !net f g l m. (f ---> l) net /\ (g ---> m) net /\ ~(m = &0) ==> ((\x. f x / g x) ---> l / m) net
%  TYPES
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((a > real) > real > neta > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_INV, axiom, ![NET:neta,F:(a > real),L:real]:(((m_m_m_g_ @ F @ L @ NET) & ~ ((L = (realu_ofu_num @ (numeral @ u_0))))) => (m_m_m_g_ @ ^[X:a]:(realu_inv @ (F @ X)) @ (realu_inv @ L) @ NET))).
thf(aREALLIMu_MUL, axiom, ![NET:neta,F:(a > real),G:(a > real),L:real,M:real]:(((m_m_m_g_ @ F @ L @ NET) & (m_m_m_g_ @ G @ M @ NET)) => (m_m_m_g_ @ ^[X:a]:(realu_mul @ (F @ X) @ (G @ X)) @ (realu_mul @ L @ M) @ NET))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![NET:neta,F:(a > real),G:(a > real),L:real,M:real]:(((m_m_m_g_ @ F @ L @ NET) & (m_m_m_g_ @ G @ M @ NET) & ~ ((M = (realu_ofu_num @ (numeral @ u_0))))) => (m_m_m_g_ @ ^[X:a]:(realu_div @ (F @ X) @ (G @ X)) @ (realu_div @ L @ M) @ NET))).
