%   ORIGINAL: REALLIM_NULL_POW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: REALLIM_POW: !net f l n. (f ---> l) net ==> ((\x. f x pow n) ---> l pow n) net
% Assm: REAL_POW_ZERO: !n. &0 pow n = (if n = 0 then &1 else &0)
% Assm: TRUTH: T
% Goal: !net f n. (f ---> &0) net /\ ~(n = 0) ==> ((\x. f x pow n) ---> &0) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !net f l n. (f ---> l) net ==> ((\x. f x pow n) ---> l pow n) net
% Assm: !n. &0 pow n = (if n = 0 then &1 else &0)
% Assm: T
% Goal: !net f n. (f ---> &0) net /\ ~(n = 0) ==> ((\x. f x pow n) ---> &0) net
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq619512, type, q619512 : $tType).
thf(treal, type, real : $tType).
thf(tnetq619512, type, netq619512 : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q619512 > real) > real > netq619512 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aREALLIMu_POW, axiom, ![NET:netq619512,F:(q619512 > real),L:real,N:num]:((m_m_m_g_ @ F @ L @ NET) => (m_m_m_g_ @ ^[X:q619512]:(realu_pow @ (F @ X) @ N) @ (realu_pow @ L @ N) @ NET))).
thf(aREALu_POWu_ZERO, axiom, ![N:num]:((realu_pow @ (realu_ofu_num @ (numeral @ u_0)) @ N) = (cond0 @ (N = (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:netq619512,F:(q619512 > real),N:num]:(((m_m_m_g_ @ F @ (realu_ofu_num @ (numeral @ u_0)) @ NET) & ~ ((N = (numeral @ u_0)))) => (m_m_m_g_ @ ^[X:q619512]:(realu_pow @ (F @ X) @ N) @ (realu_ofu_num @ (numeral @ u_0)) @ NET))).
