%   ORIGINAL: REALLIM_TRANSFORM_EVENTUALLY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EVENTUALLY_MONO: !net p q. (!x. p x ==> q x) /\ eventually p net ==> eventually q net
% Assm: LIM_TRANSFORM_EVENTUALLY: !net f g l. eventually (\x. f x = g x) net /\ (f --> l) net ==> (g --> l) net
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !net f g l. eventually (\x. f x = g x) net /\ (f ---> l) net ==> (g ---> l) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net p q. (!x. p x ==> q x) /\ eventually p net ==> eventually q net
% Assm: !net f g l. eventually (\x. f x = g x) net /\ (f --> l) net ==> (g --> l) net
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !net f g l. eventually (\x. f x = g x) net /\ (f ---> l) net ==> (g ---> l) net
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq619687, type, q619687 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetq619687, type, netq619687 : $tType).
thf(tq179267, type, q179267 : $tType).
thf(tcartrealq179267, type, cartrealq179267 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(ceventually, type, eventually : ((q619687 > $o) > netq619687 > $o)).
thf(co0, type, o0 : ((b > real) > (a > b) > a > real)).
thf(co, type, o : ((real > cartrealn1) > (q619687 > real) > q619687 > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((q619687 > cartrealn1) > cartrealn1 > netq619687 > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q619687 > cartrealq179267) > cartrealq179267 > netq619687 > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q619687 > real) > real > netq619687 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEVENTUALLYu_MONO, axiom, ![NET:netq619687,P:(q619687 > $o),Q:(q619687 > $o)]:((![X:q619687]:((P @ X) => (Q @ X)) & (eventually @ P @ NET)) => (eventually @ Q @ NET))).
thf(aLIMu_TRANSFORMu_EVENTUALLY, axiom, ![NET:netq619687,F:(q619687 > cartrealq179267),G:(q619687 > cartrealq179267),L:cartrealq179267]:(((eventually @ ^[X:q619687]:((F @ X) = (G @ X)) @ NET) & (m_m_g_ @ F @ L @ NET)) => (m_m_g_ @ G @ L @ NET))).
thf(aTENDSTOu_REAL, axiom, ![S:(q619687 > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![NET:netq619687,F:(q619687 > real),G:(q619687 > real),L:real]:(((eventually @ ^[X:q619687]:((F @ X) = (G @ X)) @ NET) & (m_m_m_g_ @ F @ L @ NET)) => (m_m_m_g_ @ G @ L @ NET))).
