%   ORIGINAL: REALLIM_TRANSFORM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: LIFT_SUB: !x y. lift (x - y) = lift x - lift y
% Assm: LIM_TRANSFORM: !net f g l. ((\x. f x - g x) --> vec 0) net /\ (f --> l) net ==> (g --> l) net
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !net f g l. ((\x. f x - g x) ---> &0) net /\ (f ---> l) net ==> (g ---> l) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. lift (&n) = vec n
% Assm: !x y. lift (x - y) = lift x - lift y
% Assm: !net f g l. ((\x. f x - g x) --> vec 0) net /\ (f --> l) net ==> (g --> l) net
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !net f g l. ((\x. f x - g x) ---> &0) net /\ (f ---> l) net ==> (g ---> l) net
%  TYPES
thf(tcartrealq179224, type, cartrealq179224 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq179209, type, q179209 : $tType).
thf(tnum, type, num : $tType).
thf(tnetq619727, type, netq619727 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tnetq179209, type, netq179209 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq619727, type, q619727 : $tType).
thf(tq179224, type, q179224 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (q619727 > real) > q619727 > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((q619727 > cartrealn1) > cartrealn1 > netq619727 > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq179224 > cartrealq179224 > cartrealq179224)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q179209 > cartrealq179224) > cartrealq179224 > netq179209 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q619727 > real) > real > netq619727 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvec0, type, vec0 : (num > cartrealq179224)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aLIFTu_SUB, axiom, ![X:real,Y:real]:((lift @ (realu_sub @ X @ Y)) = (vectoru_sub @ (lift @ X) @ (lift @ Y)))).
thf(aLIMu_TRANSFORM, axiom, ![NET:netq179209,F:(q179209 > cartrealq179224),G:(q179209 > cartrealq179224),L:cartrealq179224]:(((m_m_g_ @ ^[X:q179209]:(vectoru_sub0 @ (F @ X) @ (G @ X)) @ (vec0 @ (numeral @ u_0)) @ NET) & (m_m_g_ @ F @ L @ NET)) => (m_m_g_ @ G @ L @ NET))).
thf(aTENDSTOu_REAL, axiom, ![S:(q619727 > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![NET:netq619727,F:(q619727 > real),G:(q619727 > real),L:real]:(((m_m_m_g_ @ ^[X:q619727]:(realu_sub @ (F @ X) @ (G @ X)) @ (realu_ofu_num @ (numeral @ u_0)) @ NET) & (m_m_m_g_ @ F @ L @ NET)) => (m_m_m_g_ @ G @ L @ NET))).
