%   ORIGINAL: REALLIM_TRANSFORM_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: LIFT_SUB: !x y. lift (x - y) = lift x - lift y
% Assm: LIM_TRANSFORM_EQ: !net f g l. ((\x. f x - g x) --> vec 0) net ==> ((f --> l) net <=> (g --> l) net)
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !net f g l. ((\x. f x - g x) ---> &0) net ==> ((f ---> l) net <=> (g ---> l) net)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. lift (&n) = vec n
% Assm: !x y. lift (x - y) = lift x - lift y
% Assm: !net f g l. ((\x. f x - g x) --> vec 0) net ==> ((f --> l) net <=> (g --> l) net)
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !net f g l. ((\x. f x - g x) ---> &0) net ==> ((f ---> l) net <=> (g ---> l) net)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (a > real) > a > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((a > cartrealn1) > cartrealn1 > neta > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((a > real) > real > neta > $o)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aLIFTu_SUB, axiom, ![X:real,Y:real]:((lift @ (realu_sub @ X @ Y)) = (vectoru_sub @ (lift @ X) @ (lift @ Y)))).
thf(aLIMu_TRANSFORMu_EQ, axiom, ![NET:neta,F:(a > cartrealn),G:(a > cartrealn),L:cartrealn]:((m_m_g_ @ ^[X:a]:(vectoru_sub0 @ (F @ X) @ (G @ X)) @ (vec0 @ (numeral @ u_0)) @ NET) => ((m_m_g_ @ F @ L @ NET) <=> (m_m_g_ @ G @ L @ NET)))).
thf(aTENDSTOu_REAL, axiom, ![S:(a > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![NET:neta,F:(a > real),G:(a > real),L:real]:((m_m_m_g_ @ ^[X:a]:(realu_sub @ (F @ X) @ (G @ X)) @ (realu_ofu_num @ (numeral @ u_0)) @ NET) => ((m_m_m_g_ @ F @ L @ NET) <=> (m_m_m_g_ @ G @ L @ NET)))).
