%   ORIGINAL: REAL_CONVERGENT_IMP_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_POS: !s. bounded s <=> (?b. &0 < b /\ (!x. x IN s ==> norm x <= b))
% Assm: CONVERGENT_IMP_BOUNDED: !s l. (s --> l) sequentially ==> bounded (IMAGE s (:num))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: REAL_BOUNDED: real_bounded s <=> bounded (IMAGE lift s)
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !s l. (s ---> l) sequentially ==> real_bounded (IMAGE s (:num))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s <=> (?b. &0 < b /\ (!x. x IN s ==> norm x <= b))
% Assm: !s l. (s --> l) sequentially ==> bounded (IMAGE s (:num))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. x IN (:num)
% Assm: !x. norm (lift x) = abs x
% Assm: !s. real_bounded s <=> bounded (IMAGE lift s)
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !s l. (s ---> l) sequentially ==> real_bounded (IMAGE s (:num))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq184852, type, cartrealq184852 : $tType).
thf(tq184852, type, q184852 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq181852, type, cartrealq181852 : $tType).
thf(tq181852, type, q181852 : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(cin1, type, in1 : (num > (num > $o) > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq181852 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq181852 > (cartrealq181852 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealn1) > cartrealn1 > netnum > $o)).
thf(cimage1, type, image1 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cimage0, type, image0 : ((num > cartrealq184852) > (num > $o) > cartrealq184852 > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealq184852) > cartrealq184852 > netnum > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((num > real) > (num > $o) > real > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cbounded1, type, bounded1 : ((cartrealn1 > $o) > $o)).
thf(cbounded0, type, bounded0 : ((cartrealq184852 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq181852 > $o) > $o)).
thf(crealuu_bounded, type, realu_bounded : ((real > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_POS, axiom, ![S:(cartrealq181852 > $o)]:((bounded @ S) <=> ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![X:cartrealq181852]:((in @ X @ S) => (realu_le @ (vectoru_norm @ X) @ B))))).
thf(aCONVERGENTu_IMPu_BOUNDED, axiom, ![S:(num > cartrealq184852),L:cartrealq184852]:((m_m_g_ @ S @ L @ sequentially) => (bounded0 @ (image0 @ S @ univ)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(num > real),S:(num > $o)]:(![Y:real]:((in0 @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:num]:((in1 @ X @ S) => (P @ (F @ X))))).
thf(aINu_UNIV, axiom, ![X:num]:(in1 @ X @ univ)).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm0 @ (lift @ X)) = (realu_abs @ X))).
thf(aREALu_BOUNDED, axiom, ![S:(real > $o)]:((realu_bounded @ S) <=> (bounded1 @ (image1 @ lift @ S)))).
thf(aTENDSTOu_REAL, axiom, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L @ sequentially) => (realu_bounded @ (image @ S @ univ)))).
