%   ORIGINAL: REALLIM_SEQUENTIALLY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EVENTUALLY_SEQUENTIALLY: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: TRUTH: T
% Assm: tendsto_real: !f l net. (f ---> l) net <=> (!e. &0 < e ==> eventually (\x. abs (f x - l) < e) net)
% Goal: !s l. (s ---> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> abs (s n - l) < e))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: T
% Assm: !f l net. (f ---> l) net <=> (!e. &0 < e ==> eventually (\x. abs (f x - l) < e) net)
% Goal: !s l. (s ---> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> abs (s n - l) < e))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(ceventually, type, eventually : ((num > $o) > netnum > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEVENTUALLYu_SEQUENTIALLY, axiom, ![P:(num > $o)]:((eventually @ P @ sequentially) <=> ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (P @ N0)))).
thf(aTRUTH, axiom, $true).
thf(atendstou_real, axiom, ![F:(num > real),L:real,NET:netnum]:((m_m_m_g_ @ F @ L @ NET) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:num]:(realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E) @ NET)))).
thf(conjecture, conjecture, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L @ sequentially) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (realu_abs @ (realu_sub @ (S @ N0) @ L)) @ E))))).
