%   ORIGINAL: LIM_COMPONENTWISE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_COMPONENTWISE_LIFT: !net f. (f --> l) net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. lift (f x$i)) --> lift (l$i)) net)
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !net f. (f --> l) net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. f x$i) ---> l$i) net)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !l net f. (f --> l) net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. lift (f x$i)) --> lift (l$i)) net)
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !l net f. (f --> l) net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. f x$i) ---> l$i) net)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (a > real) > a > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((a > cartrealn1) > cartrealn1 > neta > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((a > real) > real > neta > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_COMPONENTWISEu_LIFT, axiom, ![L:cartrealn,NET:neta,F:(a > cartrealn)]:((m_m_g_ @ F @ L @ NET) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (m_m_g_0 @ ^[X:a]:(lift @ (d_ @ (F @ X) @ I)) @ (lift @ (d_ @ L @ I)) @ NET)))).
thf(aTENDSTOu_REAL, axiom, ![S:(a > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![L:cartrealn,NET:neta,F:(a > cartrealn)]:((m_m_g_ @ F @ L @ NET) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (m_m_m_g_ @ ^[X:a]:(d_ @ (F @ X) @ I) @ (d_ @ L @ I) @ NET)))).
