%   ORIGINAL: REALLIM_UBOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FORALL_DROP: (!x. P x) <=> (!x. P (drop x))
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIM_DROP_UBOUND: !net f l b. (f --> l) net /\ ~trivial_limit net /\ eventually (\x. drop (f x) <= b) net ==> drop l <= b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !net f l b. (f ---> l) net /\ ~trivial_limit net /\ eventually (\x. f x <= b) net ==> l <= b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P. (!x. P x) <=> (!x. P (drop x))
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !net f l b. (f --> l) net /\ ~trivial_limit net /\ eventually (\x. drop (f x) <= b) net ==> drop l <= b
% Assm: ~F <=> T
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !net f l b. (f ---> l) net /\ ~trivial_limit net /\ eventually (\x. f x <= b) net ==> l <= b
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (a > real) > a > cartrealn1)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn1) > cartrealn1 > neta > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((a > real) > real > neta > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (neta > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFORALLu_DROP, axiom, ![P:(real > $o)]:(![X:real]:(P @ X) <=> ![X:cartrealn1]:(P @ (drop @ X)))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIMu_DROPu_UBOUND, axiom, ![NET:neta,F:(a > cartrealn1),L:cartrealn1,B:real]:(((m_m_g_ @ F @ L @ NET) & ~ ((trivialu_limit @ NET)) & (eventually @ ^[X:a]:(realu_le @ (drop @ (F @ X)) @ B) @ NET)) => (realu_le @ (drop @ L) @ B))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTENDSTOu_REAL, axiom, ![S:(a > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_ @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![NET:neta,F:(a > real),L:real,B:real]:(((m_m_m_g_ @ F @ L @ NET) & ~ ((trivialu_limit @ NET)) & (eventually @ ^[X:a]:(realu_le @ (F @ X) @ B) @ NET)) => (realu_le @ L @ B))).
