%   ORIGINAL: REALLIM_CONST_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: LIM_CONST_EQ: !net c d. ((\x. c) --> d) net <=> trivial_limit net \/ c = d
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !net c d. ((\x. c) ---> d) net <=> trivial_limit net \/ c = d
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. lift x = lift y <=> x = y
% Assm: !net c d. ((\x. c) --> d) net <=> trivial_limit net \/ c = d
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !net c d. ((\x. c) ---> d) net <=> trivial_limit net \/ c = d
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (a > real) > a > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((a > cartrealn1) > cartrealn1 > neta > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((a > real) > real > neta > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (neta > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aLIMu_CONSTu_EQ, axiom, ![NET:neta,C:cartrealn,D:cartrealn]:((m_m_g_ @ ^[X:a]:C @ D @ NET) <=> ((trivialu_limit @ NET) | (C = D)))).
thf(aTENDSTOu_REAL, axiom, ![S:(a > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![NET:neta,C:real,D:real]:((m_m_m_g_ @ ^[X:a]:C @ D @ NET) <=> ((trivialu_limit @ NET) | (C = D)))).
