%   ORIGINAL: REALLIM_NULL_COMPARISON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: LIM_NULL_COMPARISON: !net f g. eventually (\x. norm (f x) <= g x) net /\ ((\x. lift (g x)) --> vec 0) net ==> (f --> vec 0) net
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !net f g. eventually (\x. abs (f x) <= g x) net /\ (g ---> &0) net ==> (f ---> &0) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. lift (&n) = vec n
% Assm: !net f g. eventually (\x. norm (f x) <= g x) net /\ ((\x. lift (g x)) --> vec 0) net ==> (f --> vec 0) net
% Assm: !x. norm (lift x) = abs x
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !net f g. eventually (\x. abs (f x) <= g x) net /\ (g ---> &0) net ==> (f ---> &0) net
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(tcartrealq176955, type, cartrealq176955 : $tType).
thf(tq176955, type, q176955 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cvec0, type, vec0 : (num > cartrealq176955)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq176955 > real)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (a > real) > a > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((a > cartrealq176955) > cartrealq176955 > neta > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn1) > cartrealn1 > neta > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((a > real) > real > neta > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aLIMu_NULLu_COMPARISON, axiom, ![NET:neta,F:(a > cartrealq176955),G:(a > real)]:(((eventually @ ^[X:a]:(realu_le @ (vectoru_norm @ (F @ X)) @ (G @ X)) @ NET) & (m_m_g_ @ ^[X:a]:(lift @ (G @ X)) @ (vec @ (numeral @ u_0)) @ NET)) => (m_m_g_0 @ F @ (vec0 @ (numeral @ u_0)) @ NET))).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm0 @ (lift @ X)) = (realu_abs @ X))).
thf(aTENDSTOu_REAL, axiom, ![S:(a > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_ @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![NET:neta,F:(a > real),G:(a > real)]:(((eventually @ ^[X:a]:(realu_le @ (realu_abs @ (F @ X)) @ (G @ X)) @ NET) & (m_m_m_g_ @ G @ (realu_ofu_num @ (numeral @ u_0)) @ NET)) => (m_m_m_g_ @ F @ (realu_ofu_num @ (numeral @ u_0)) @ NET))).
