%   ORIGINAL: REAL_SUMS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INTER_NUMSEG: !s m n. FINITE (s INTER (m..n))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: LIFT_SUM: !k x. FINITE k ==> lift (sum k x) = vsum k (lift o x)
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: (f real_sums l) = (lift o f sums lift l)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s m n. FINITE (s INTER (m..n))
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !k x. FINITE k ==> lift (sum k x) = vsum k (lift o x)
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !l f. (f real_sums l) = (lift o f sums lift l)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn1) > cartrealn1 > netnum > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn1) > cartrealn1)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(csums, type, sums : ((num > cartrealn1) > cartrealn1 > (num > $o) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (num > $o) > $o),G:(a > (num > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INTERu_NUMSEG, axiom, ![S:(num > $o),M:num,N:num]:(finite @ (inter @ S @ (o_o_ @ M @ N)))).
thf(aFUNu_EQu_THM, axiom, ![F:((num > $o) > $o),G:((num > $o) > $o)]:((F = G) <=> ![X:(num > $o)]:((F @ X) <=> (G @ X)))).
thf(aLIFTu_SUM, axiom, ![K:(num > $o),X:(num > real)]:((finite @ K) => ((lift @ (sum @ K @ X)) = (vsum @ K @ (o @ lift @ X))))).
thf(aTENDSTOu_REAL, axiom, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_ @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(real > cartrealn1),G:(num > real)]:((o @ F @ G) = ^[X:num]:(F @ (G @ X)))).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_ @ ^[N:num]:(sum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(asums, axiom, ![S:(num > $o),F:(num > cartrealn1),L:cartrealn1]:((sums @ F @ L @ S) <=> (m_m_g_ @ ^[N:num]:(vsum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![L:real,F:(num > real)]:((realu_sums @ F @ L) = (sums @ (o @ lift @ F) @ (lift @ L)))).
