%   ORIGINAL: REAL_SUMS_IM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INTER_NUMSEG: !s m n. FINITE (s INTER (m..n))
% Assm: IM_VSUM: !f s. FINITE s ==> Im (vsum s f) = sum s (\x. Im (f x))
% Assm: REALLIM_IM: !net f l. (f --> l) net ==> (Im o f ---> Im l) net
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f l s. (f sums l) s ==> (Im o f real_sums Im l) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s m n. FINITE (s INTER (m..n))
% Assm: !f s. FINITE s ==> Im (vsum s f) = sum s (\x. Im (f x))
% Assm: !net f l. (f --> l) net ==> (Im o f ---> Im l) net
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f l s. (f sums l) s ==> (Im o f real_sums Im l) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tq565034, type, q565034 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(csum, type, sum : ((q565034 > $o) > (q565034 > real) > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cvsum0, type, vsum0 : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn2) > cartrealn2 > netnum > $o)).
thf(cvsum, type, vsum : ((q565034 > $o) > (q565034 > cartrealn2) > cartrealn2)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(co, type, o : ((cartrealn2 > real) > (num > cartrealn2) > num > real)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(cfinite0, type, finite0 : ((q565034 > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INTERu_NUMSEG, axiom, ![S:(num > $o),M:num,N:num]:(finite @ (inter @ S @ (o_o_ @ M @ N)))).
thf(aIMu_VSUM, axiom, ![F:(q565034 > cartrealn2),S:(q565034 > $o)]:((finite0 @ S) => ((im @ (vsum @ S @ F)) = (sum @ S @ ^[X:q565034]:(im @ (F @ X)))))).
thf(aREALLIMu_IM, axiom, ![NET:netnum,F:(num > cartrealn2),L:cartrealn2]:((m_m_g_ @ F @ L @ NET) => (m_m_m_g_ @ (o @ im @ F) @ (im @ L) @ NET))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(cartrealn2 > real),G:(num > cartrealn2)]:((o @ F @ G) = ^[X:num]:(F @ (G @ X)))).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_ @ ^[N:num]:(sum0 @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(asums, axiom, ![S:(num > $o),F:(num > cartrealn2),L:cartrealn2]:((sums @ F @ L @ S) <=> (m_m_g_ @ ^[N:num]:(vsum0 @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > cartrealn2),L:cartrealn2,S:(num > $o)]:((sums @ F @ L @ S) => (realu_sums @ (o @ im @ F) @ (im @ L) @ S))).
