%   ORIGINAL: REAL_SUMS_COMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INTER: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: REALLIM_COMPLEX: (s ---> l) = (Cx o s --> Cx l)
% Assm: TRUTH: T
% Assm: VSUM_CX: !f s. FINITE s ==> vsum s (\a. Cx (f a)) = Cx (sum s f)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f l s. (f real_sums l) s <=> (Cx o f sums Cx l) s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: !m n. FINITE (m..n)
% Assm: !s l. (s ---> l) = (Cx o s --> Cx l)
% Assm: T
% Assm: !f s. FINITE s ==> vsum s (\a. Cx (f a)) = Cx (sum s f)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f l s. (f real_sums l) s <=> (Cx o f sums Cx l) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvsum0, type, vsum0 : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(cinter0, type, inter0 : ((num > $o) > (num > $o) > num > $o)).
thf(cvsum, type, vsum : ((a > $o) > (a > cartrealn2) > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn2) > cartrealn2 > netnum > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(co, type, o : ((real > cartrealn2) > (num > real) > num > cartrealn2)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INTER, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ S) | (finite @ T)) => (finite @ (inter @ S @ T)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aREALLIMu_COMPLEX, axiom, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_ @ (o @ cx @ S) @ (cx @ L)))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CX, axiom, ![F:(a > real),S:(a > $o)]:((finite @ S) => ((vsum @ S @ ^[A:a]:(cx @ (F @ A))) = (cx @ (sum @ S @ F))))).
thf(aou_DEF, axiom, ![F:(real > cartrealn2),G:(num > real)]:((o @ F @ G) = ^[X:num]:(F @ (G @ X)))).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_ @ ^[N:num]:(sum0 @ (inter0 @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(asums, axiom, ![S:(num > $o),F:(num > cartrealn2),L:cartrealn2]:((sums @ F @ L @ S) <=> (m_m_g_ @ ^[N:num]:(vsum0 @ (inter0 @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > real),L:real,S:(num > $o)]:((realu_sums @ F @ L @ S) <=> (sums @ (o @ cx @ F) @ (cx @ L) @ S))).
