%   ORIGINAL: REAL_SUMMABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXISTS_LIFT: (?x. P x) <=> (?x. P (lift x))
% Assm: REAL_SUMS: (f real_sums l) = (lift o f sums lift l)
% Assm: TRUTH: T
% Assm: real_summable: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: real_summable s f <=> summable s (lift o f)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (?x. P x) <=> (?x. P (lift x))
% Assm: !f l. (f real_sums l) = (lift o f sums lift l)
% Assm: T
% Assm: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f s. real_summable s f <=> summable s (lift o f)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(csums, type, sums : ((num > cartrealn1) > cartrealn1 > (num > $o) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXISTSu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(?[X:cartrealn1]:(P @ X) <=> ?[X:real]:(P @ (lift @ X)))).
thf(aREALu_SUMS, axiom, ![F:(num > real),L:real]:((realu_sums @ F @ L) = (sums @ (o @ lift @ F) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(arealu_summable, axiom, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) <=> ?[L:real]:(realu_sums @ F @ L @ S))).
thf(asummable, axiom, ![F:(num > cartrealn1),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn1]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) <=> (summable @ S @ (o @ lift @ F)))).
