%   ORIGINAL: REAL_SUMMABLE_COMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL: !z. real z <=> Cx (Re z) = z
% Assm: REAL_CX: !x. real (Cx x)
% Assm: REAL_SERIES: !f l s. (f sums l) s /\ (!n. real (f n)) ==> real l
% Assm: REAL_SUMS_COMPLEX: !f l s. (f real_sums l) s <=> (Cx o f sums Cx l) s
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: real_summable: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: real_summable s f <=> summable s (Cx o f)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !z. real z <=> Cx (Re z) = z
% Assm: !x. real (Cx x)
% Assm: !f l s. (f sums l) s /\ (!n. real (f n)) ==> real l
% Assm: !f l s. (f real_sums l) s <=> (Cx o f sums Cx l) s
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !f s. real_summable s f <=> summable s (Cx o f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cre, type, re : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn2) > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(co, type, o : ((real > cartrealn2) > (num > real) > num > cartrealn2)).
thf(ci, type, i : ($o > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREAL, axiom, ![Z:cartrealn2]:((real0 @ Z) <=> ((cx @ (re @ Z)) = Z))).
thf(aREALu_CX, axiom, ![X:real]:(real0 @ (cx @ X))).
thf(aREALu_SERIES, axiom, ![F:(num > cartrealn2),L:cartrealn2,S:(num > $o)]:(((sums @ F @ L @ S) & ![N:num]:(real0 @ (F @ N))) => (real0 @ L))).
thf(aREALu_SUMSu_COMPLEX, axiom, ![F:(num > real),L:real,S:(num > $o)]:((realu_sums @ F @ L @ S) <=> (sums @ (o @ cx @ F) @ (cx @ L) @ S))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(real > cartrealn2),G:(num > real),X:num]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(arealu_summable, axiom, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) <=> ?[L:real]:(realu_sums @ F @ L @ S))).
thf(asummable, axiom, ![F:(num > cartrealn2),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealn2]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) <=> (summable @ S @ (o @ cx @ F)))).
