%   ORIGINAL: REAL_SERIES_CAUCHY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DROP_VSUM: !k x. FINITE k ==> drop (vsum k x) = sum k (drop o x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_LIFT: (?x. P x) <=> (?x. P (lift x))
% Assm: FINITE_INTER_NUMSEG: !s m n. FINITE (s INTER (m..n))
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NORM_REAL: !x. norm x = abs (x$1)
% Assm: REAL_SUMS: (f real_sums l) = (lift o f sums lift l)
% Assm: SERIES_CAUCHY: !f s. (?l. (f sums l) s) <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> norm (vsum (s INTER (m..n)) f) < e))
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: (?l. (f real_sums l) s) <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> abs (sum (s INTER (m..n)) f) < e))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !k x. FINITE k ==> drop (vsum k x) = sum k (drop o x)
% Assm: !t. (\x. t x) = t
% Assm: !P. (?x. P x) <=> (?x. P (lift x))
% Assm: !s m n. FINITE (s INTER (m..n))
% Assm: !x. drop (lift x) = x
% Assm: !x. norm x = abs (x$1)
% Assm: !f l. (f real_sums l) = (lift o f sums lift l)
% Assm: !f s. (?l. (f sums l) s) <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> norm (vsum (s INTER (m..n)) f) < e))
% Assm: T
% Assm: !x. drop x = x$1
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f s. (?l. (f real_sums l) s) <=> (!e. &0 < e ==> (?N. !m n. m >= N ==> abs (sum (s INTER (m..n)) f) < e))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq231574, type, cartrealq231574 : $tType).
thf(tq231574, type, q231574 : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq231574 > real)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cvsum0, type, vsum0 : ((num > $o) > (num > cartrealq231574) > cartrealq231574)).
thf(csums0, type, sums0 : ((num > cartrealq231574) > cartrealq231574 > (num > $o) > $o)).
thf(co0, type, o0 : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(csums, type, sums : ((num > cartrealn1) > cartrealn1 > (num > $o) > $o)).
thf(co, type, o : ((cartrealn1 > real) > (num > cartrealn1) > num > real)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn1) > cartrealn1)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDROPu_VSUM, axiom, ![K:(num > $o),X:(num > cartrealn1)]:((finite @ K) => ((drop @ (vsum @ K @ X)) = (sum @ K @ (o @ drop @ X))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(?[X:cartrealn1]:(P @ X) <=> ?[X:real]:(P @ (lift @ X)))).
thf(aFINITEu_INTERu_NUMSEG, axiom, ![S:(num > $o),M:num,N:num]:(finite @ (inter @ S @ (o_o_ @ M @ N)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNORMu_REAL, axiom, ![X:cartrealn1]:((vectoru_norm @ X) = (realu_abs @ (d_ @ X @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_SUMS, axiom, ![F:(num > real),L:real]:((realu_sums @ F @ L) = (sums @ (o0 @ lift @ F) @ (lift @ L)))).
thf(aSERIESu_CAUCHY, axiom, ![F:(num > cartrealq231574),S:(num > $o)]:(?[L:cartrealq231574]:(sums0 @ F @ L @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:((g_a_ @ M @ N) => (realu_lt @ (vectoru_norm0 @ (vsum0 @ (inter @ S @ (o_o_ @ M @ N0)) @ F)) @ E))))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(num > real),S:(num > $o)]:(?[L:real]:(realu_sums @ F @ L @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:((g_a_ @ M @ N) => (realu_lt @ (realu_abs @ (sum @ (inter @ S @ (o_o_ @ M @ N0)) @ F)) @ E))))).
