%   ORIGINAL: REAL_SUMS_INFSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_infsum: !f s. real_infsum s f = (@l. (f real_sums l) s)
% Assm: real_summable: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !f s. (f real_sums real_infsum s f) s <=> real_summable s f
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: ~F <=> T
% Assm: T
% Assm: !f s. real_infsum s f = (@l. (f real_sums l) s)
% Assm: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !f s. (f real_sums real_infsum s f) s <=> real_summable s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chu_0, type, h_0 : ((real > $o) > real)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_infsum, type, realu_infsum : ((num > $o) > (num > real) > real)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_infsum, axiom, ![F:(num > real),S:(num > $o)]:((realu_infsum @ S @ F) = (h_0 @ ^[L:real]:(realu_sums @ F @ L @ S)))).
thf(arealu_summable, axiom, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) <=> ?[L:real]:(realu_sums @ F @ L @ S))).
thf(conjecture, conjecture, ![F:(num > real),S:(num > $o)]:((realu_sums @ F @ (realu_infsum @ S @ F) @ S) <=> (realu_summable @ S @ F))).
