%   ORIGINAL: REAL_INFSUM_COMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INFSUM_UNIQUE: !f l s. (f sums l) s ==> infsum s f = l
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUMS_COMPLEX: !f l s. (f real_sums l) s <=> (Cx o f sums Cx l) s
% Assm: REAL_SUMS_INFSUM: !f s. (f real_sums real_infsum s f) s <=> real_summable s f
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Goal: !f s. real_summable s f ==> real_infsum s f = Re (infsum s (Cx o f))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f l s. (f sums l) s ==> infsum s f = l
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f l s. (f real_sums l) s <=> (Cx o f sums Cx l) s
% Assm: !f s. (f real_sums real_infsum s f) s <=> real_summable s f
% Assm: !x. Re (Cx x) = x
% Assm: T
% Goal: !f s. real_summable s f ==> real_infsum s f = Re (infsum s (Cx o f))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_infsum, type, realu_infsum : ((num > $o) > (num > real) > real)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(co, type, o : ((real > cartrealn2) > (num > real) > num > cartrealn2)).
thf(cinfsum, type, infsum : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINFSUMu_UNIQUE, axiom, ![F:(num > cartrealn2),L:cartrealn2,S:(num > $o)]:((sums @ F @ L @ S) => ((infsum @ S @ F) = L))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUMSu_COMPLEX, axiom, ![F:(num > real),L:real,S:(num > $o)]:((realu_sums @ F @ L @ S) <=> (sums @ (o @ cx @ F) @ (cx @ L) @ S))).
thf(aREALu_SUMSu_INFSUM, axiom, ![F:(num > real),S:(num > $o)]:((realu_sums @ F @ (realu_infsum @ S @ F) @ S) <=> (realu_summable @ S @ F))).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) => ((realu_infsum @ S @ F) = (re @ (infsum @ S @ (o @ cx @ F)))))).
