%   ORIGINAL: REAL_SERIES_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LE_0: !n. 0 <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_SEQUENTIALLY: !s l. (s ---> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> abs (s n - l) < e))
% Assm: REAL_SUB_REFL: !x. x - x = &0
% Assm: Real_ext.REAL_SV_ABS_0: abs (&0) = &0
% Assm: TRUTH: T
% Assm: num_FINITE: !s. FINITE s <=> (?a. !x. x IN s ==> x <= a)
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !f s. FINITE s ==> (f real_sums sum s f) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !n. 0 <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: ~F <=> T
% Assm: !s l. (s ---> l) sequentially <=> (!e. &0 < e ==> (?N. !n. N <= n ==> abs (s n - l) < e))
% Assm: !x. x - x = &0
% Assm: abs (&0) = &0
% Assm: T
% Assm: !s. FINITE s <=> (?a. !x. x IN s ==> x <= a)
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !f s. FINITE s ==> (f real_sums sum s f) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cinter0, type, inter0 : ((num > $o) > (num > $o) > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_SEQUENTIALLY, axiom, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L @ sequentially) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (realu_lt @ (realu_abs @ (realu_sub @ (S @ N0) @ L)) @ E))))).
thf(aREALu_SUBu_REFL, axiom, ![X:real]:((realu_sub @ X @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_ABSu_0, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(anumu_FINITE, axiom, ![S:(num > $o)]:((finite @ S) <=> ?[A:num]:![X:num]:((in0 @ X @ S) => (l_a_ @ X @ A)))).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_ @ ^[N:num]:(sum @ (inter0 @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > real),S:(num > $o)]:((finite @ S) => (realu_sums @ F @ (sum @ S @ F) @ S))).
