%   ORIGINAL: REAL_SUMMABLE_IFF_EVENTUALLY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUMMABLE: real_summable s f <=> summable s (lift o f)
% Assm: SUMMABLE_IFF_EVENTUALLY: !f g k. (?N. !n. N <= n /\ n IN k ==> f n = g n) ==> (summable k f <=> summable k g)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g k. (?N. !n. N <= n /\ n IN k ==> f n = g n) ==> (real_summable k f <=> real_summable k g)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s f. real_summable s f <=> summable s (lift o f)
% Assm: !f g k. (?N. !n. N <= n /\ n IN k ==> f n = g n) ==> (summable k f <=> summable k g)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x <=> f (g x)
% Goal: !f g k. (?N. !n. N <= n /\ n IN k ==> f n = g n) ==> (real_summable k f <=> real_summable k g)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq231725, type, cartrealq231725 : $tType).
thf(tnum, type, num : $tType).
thf(tq231725, type, q231725 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(csummable0, type, summable0 : ((num > $o) > (num > cartrealq231725) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(co1, type, o1 : ((b > $o) > (a > b) > a > $o)).
thf(co0, type, o0 : ((b > real) > (a > b) > a > real)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUMMABLE, axiom, ![S:(num > $o),F:(num > real)]:((realu_summable @ S @ F) <=> (summable @ S @ (o @ lift @ F)))).
thf(aSUMMABLEu_IFFu_EVENTUALLY, axiom, ![F:(num > cartrealq231725),G:(num > cartrealq231725),K:(num > $o)]:(?[N:num]:![N0:num]:(((l_a_ @ N @ N0) & (in @ N0 @ K)) => ((F @ N0) = (G @ N0))) => ((summable0 @ K @ F) <=> (summable0 @ K @ G)))).
thf(aTRUTH, axiom, $true).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > real),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > $o),G:(a > b),X:a]:((o1 @ F @ G @ X) <=> (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(num > real),G:(num > real),K:(num > $o)]:(?[N:num]:![N0:num]:(((l_a_ @ N @ N0) & (in @ N0 @ K)) => ((F @ N0) = (G @ N0))) => ((realu_summable @ K @ F) <=> (realu_summable @ K @ G)))).
