%   ORIGINAL: REAL_SUMMABLE_IFF_COFINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUMMABLE: real_summable s f <=> summable s (lift o f)
% Assm: SUMMABLE_IFF_COFINITE: !f s t. FINITE (s DIFF t UNION t DIFF s) ==> (summable s f <=> summable t f)
% Assm: TRUTH: T
% Goal: !f s t. FINITE (s DIFF t UNION t DIFF s) ==> (real_summable s f <=> real_summable t f)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s f. real_summable s f <=> summable s (lift o f)
% Assm: !f s t. FINITE (s DIFF t UNION t DIFF s) ==> (summable s f <=> summable t f)
% Assm: T
% Goal: !f s t. FINITE (s DIFF t UNION t DIFF s) ==> (real_summable s f <=> real_summable t f)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq231855, type, q231855 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq231855, type, cartrealq231855 : $tType).
%  CONSTS
thf(csummable0, type, summable0 : ((num > $o) > (num > cartrealq231855) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(cdiff, type, diff : ((num > $o) > (num > $o) > num > $o)).
thf(cunion, type, union : ((num > $o) > (num > $o) > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUMMABLE, axiom, ![S:(num > $o),F:(num > real)]:((realu_summable @ S @ F) <=> (summable @ S @ (o @ lift @ F)))).
thf(aSUMMABLEu_IFFu_COFINITE, axiom, ![F:(num > cartrealq231855),S:(num > $o),T:(num > $o)]:((finite @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((summable0 @ S @ F) <=> (summable0 @ T @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),S:(num > $o),T:(num > $o)]:((finite @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((realu_summable @ S @ F) <=> (realu_summable @ T @ F)))).
