%   ORIGINAL: REAL_SUMMABLE_EQ_COFINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUMMABLE_IFF_COFINITE: !f s t. FINITE (s DIFF t UNION t DIFF s) ==> (real_summable s f <=> real_summable t f)
% Assm: TRUTH: T
% Goal: !f s t. FINITE (s DIFF t UNION t DIFF s) /\ real_summable s f ==> real_summable t f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !f s t. FINITE (s DIFF t UNION t DIFF s) ==> (real_summable s f <=> real_summable t f)
% Assm: T
% Goal: !f s t. FINITE (s DIFF t UNION t DIFF s) /\ real_summable s f ==> real_summable t f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(cdiff, type, diff : ((num > $o) > (num > $o) > num > $o)).
thf(cunion, type, union : ((num > $o) > (num > $o) > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUMMABLEu_IFFu_COFINITE, axiom, ![F:(num > real),S:(num > $o),T:(num > $o)]:((finite @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((realu_summable @ S @ F) <=> (realu_summable @ T @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),S:(num > $o),T:(num > $o)]:(((finite @ (union @ (diff @ S @ T) @ (diff @ T @ S))) & (realu_summable @ S @ F)) => (realu_summable @ T @ F))).
