%   ORIGINAL: REAL_SERIES_GOESTOZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: REAL_SUMMABLE: real_summable s f <=> summable s (lift o f)
% Assm: SERIES_GOESTOZERO: !s x. summable s x ==> (!e. &0 < e ==> eventually (\n. n IN s ==> norm (x n) < e) sequentially)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !s x. real_summable s x ==> (!e. &0 < e ==> eventually (\n. n IN s ==> abs (x n) < e) sequentially)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm (lift x) = abs x
% Assm: !s f. real_summable s f <=> summable s (lift o f)
% Assm: !s x. summable s x ==> (!e. &0 < e ==> eventually (\n. n IN s ==> norm (x n) < e) sequentially)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !s x. real_summable s x ==> (!e. &0 < e ==> eventually (\n. n IN s ==> abs (x n) < e) sequentially)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq232315, type, q232315 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tcartrealq232315, type, cartrealq232315 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq232315 > real)).
thf(csummable0, type, summable0 : ((num > $o) > (num > cartrealq232315) > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(ceventually, type, eventually : ((num > $o) > netnum > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm @ (lift @ X)) = (realu_abs @ X))).
thf(aREALu_SUMMABLE, axiom, ![S:(num > $o),F:(num > real)]:((realu_summable @ S @ F) <=> (summable @ S @ (o @ lift @ F)))).
thf(aSERIESu_GOESTOZERO, axiom, ![S:(num > $o),X:(num > cartrealq232315)]:((summable0 @ S @ X) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[N:num]:((in @ N @ S) => (realu_lt @ (vectoru_norm0 @ (X @ N)) @ E)) @ sequentially)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(num > $o),X:(num > real)]:((realu_summable @ S @ X) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[N:num]:((in @ N @ S) => (realu_lt @ (realu_abs @ (X @ N)) @ E)) @ sequentially)))).
