%   ORIGINAL: REAL_SUMMABLE_IMP_TOZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: REAL_SUMMABLE: real_summable s f <=> summable s (lift o f)
% Assm: SUMMABLE_IMP_TOZERO: !f k. summable k f ==> ((\n. if n IN k then f n else vec 0) --> vec 0) sequentially
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f k. real_summable k f ==> ((\n. if n IN k then f n else &0) ---> &0) sequentially
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !n. lift (&n) = vec n
% Assm: !s f. real_summable s f <=> summable s (lift o f)
% Assm: !f k. summable k f ==> ((\n. if n IN k then f n else vec 0) --> vec 0) sequentially
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f k. real_summable k f ==> ((\n. if n IN k then f n else &0) ---> &0) sequentially
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csummable0, type, summable0 : ((num > $o) > (num > cartrealn) > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealn1) > cartrealn1 > netnum > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_RAND, axiom, ![B:$o,F:(real > real),X:real,Y:real]:((F @ (cond @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aREALu_SUMMABLE, axiom, ![S:(num > $o),F:(num > real)]:((realu_summable @ S @ F) <=> (summable @ S @ (o @ lift @ F)))).
thf(aSUMMABLEu_IMPu_TOZERO, axiom, ![F:(num > cartrealn),K:(num > $o)]:((summable0 @ K @ F) => (m_m_g_ @ ^[N:num]:(cond0 @ (in @ N @ K) @ (F @ N) @ (vec0 @ (numeral @ u_0))) @ (vec0 @ (numeral @ u_0)) @ sequentially))).
thf(aTENDSTOu_REAL, axiom, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(num > real),K:(num > $o)]:((realu_summable @ K @ F) => (m_m_m_g_ @ ^[N:num]:(cond @ (in @ N @ K) @ (F @ N) @ (realu_ofu_num @ (numeral @ u_0))) @ (realu_ofu_num @ (numeral @ u_0)) @ sequentially))).
