%   ORIGINAL: REAL_SUMMABLE_IMP_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: REAL_BOUNDED: real_bounded s <=> bounded (IMAGE lift s)
% Assm: REAL_SUMMABLE: real_summable s f <=> summable s (lift o f)
% Assm: SUMMABLE_IMP_BOUNDED: !f k. summable k f ==> bounded (IMAGE f k)
% Assm: TRUTH: T
% Goal: !f k. real_summable k f ==> real_bounded (IMAGE f k)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !s. real_bounded s <=> bounded (IMAGE lift s)
% Assm: !s f. real_summable s f <=> summable s (lift o f)
% Assm: !f k. summable k f ==> bounded (IMAGE f k)
% Assm: T
% Goal: !f k. real_summable k f ==> real_bounded (IMAGE f k)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csummable0, type, summable0 : ((num > $o) > (num > cartrealn) > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(cimage2, type, image2 : ((num > cartrealn) > (num > $o) > cartrealn > $o)).
thf(co0, type, o0 : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(cimage1, type, image1 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cimage0, type, image0 : ((num > num) > (num > $o) > num > $o)).
thf(co, type, o : ((num > real) > (num > num) > num > real)).
thf(cimage, type, image : ((num > real) > (num > $o) > real > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn1 > $o) > $o)).
thf(crealuu_bounded, type, realu_bounded : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_o, axiom, ![F:(num > real),G:(num > num),S:(num > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image0 @ G @ S)))).
thf(aREALu_BOUNDED, axiom, ![S:(real > $o)]:((realu_bounded @ S) <=> (bounded @ (image1 @ lift @ S)))).
thf(aREALu_SUMMABLE, axiom, ![S:(num > $o),F:(num > real)]:((realu_summable @ S @ F) <=> (summable @ S @ (o0 @ lift @ F)))).
thf(aSUMMABLEu_IMPu_BOUNDED, axiom, ![F:(num > cartrealn),K:(num > $o)]:((summable0 @ K @ F) => (bounded0 @ (image2 @ F @ K)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),K:(num > $o)]:((realu_summable @ K @ F) => (realu_bounded @ (image @ F @ K)))).
