%   ORIGINAL: REAL_SUMMABLE_IMP_REAL_SUMS_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FROM_INTER_NUMSEG: !k n. from k INTER (0..n) = k..n
% Assm: REAL_CONVERGENT_IMP_BOUNDED: !s l. (s ---> l) sequentially ==> real_bounded (IMAGE s (:num))
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Assm: real_summable: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !f k. real_summable (from k) f ==> real_bounded {sum (k..n) f | n IN (:num)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !k n. from k INTER (0..n) = k..n
% Assm: !s l. (s ---> l) sequentially ==> real_bounded (IMAGE s (:num))
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Assm: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !f k. real_summable (from k) f ==> real_bounded {sum (k..n) f | n IN (:num)}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(cfrom, type, from : (num > num > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(cimage, type, image : ((num > real) > (num > $o) > real > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(crealuu_bounded, type, realu_bounded : ((real > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFROMu_INTERu_NUMSEG, axiom, ![K:num,N:num]:((inter @ (from @ K) @ (o_o_ @ (numeral @ u_0) @ N)) = (o_o_ @ K @ N))).
thf(aREALu_CONVERGENTu_IMPu_BOUNDED, axiom, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L @ sequentially) => (realu_bounded @ (image @ S @ univ)))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(num > real),S:(num > $o)]:((gspec @ ^[GENR_PVARR_11:real]:?[X:num]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(arealu_summable, axiom, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) <=> ?[L:real]:(realu_sums @ F @ L @ S))).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_ @ ^[N:num]:(sum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > real),K:num]:((realu_summable @ (from @ K) @ F) => (realu_bounded @ (gspec @ ^[GENR_PVARR_2347:real]:?[N:num]:(setspec @ GENR_PVARR_2347 @ (in @ N @ univ) @ (sum @ (o_o_ @ K @ N) @ F)))))).
