%   ORIGINAL: REAL_SERIES_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INTER_NUMSEG: !s m n. FINITE (s INTER (m..n))
% Assm: REALLIM_ADD: !net f g l m. (f ---> l) net /\ (g ---> m) net ==> ((\x. f x + g x) ---> l + m) net
% Assm: SUM_ADD: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: TRUTH: T
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !x x0 y y0 s. (x real_sums x0) s /\ (y real_sums y0) s ==> ((\n. x n + y n) real_sums x0 + y0) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s m n. FINITE (s INTER (m..n))
% Assm: !net f g l m. (f ---> l) net /\ (g ---> m) net ==> ((\x. f x + g x) ---> l + m) net
% Assm: !f g s. FINITE s ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: T
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !x x0 y y0 s. (x real_sums x0) s /\ (y real_sums y0) s ==> ((\n. x n + y n) real_sums x0 + y0) s
%  TYPES
thf(tneta, type, neta : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tq70444, type, q70444 : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(csum, type, sum : ((q70444 > $o) > (q70444 > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cmu_mu_mu_gu_0, type, m_m_m_g_0 : ((num > real) > real > netnum > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((a > real) > real > neta > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(cfinite0, type, finite0 : ((q70444 > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INTERu_NUMSEG, axiom, ![S:(num > $o),M:num,N:num]:(finite @ (inter @ S @ (o_o_ @ M @ N)))).
thf(aREALLIMu_ADD, axiom, ![NET:neta,F:(a > real),G:(a > real),L:real,M:real]:(((m_m_m_g_ @ F @ L @ NET) & (m_m_m_g_ @ G @ M @ NET)) => (m_m_m_g_ @ ^[X:a]:(realu_add @ (F @ X) @ (G @ X)) @ (realu_add @ L @ M) @ NET))).
thf(aSUMu_ADD, axiom, ![F:(q70444 > real),G:(q70444 > real),S:(q70444 > $o)]:((finite0 @ S) => ((sum @ S @ ^[X:q70444]:(realu_add @ (F @ X) @ (G @ X))) = (realu_add @ (sum @ S @ F) @ (sum @ S @ G))))).
thf(aTRUTH, axiom, $true).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_0 @ ^[N:num]:(sum0 @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![X:(num > real),X0:real,Y:(num > real),Y0:real,S:(num > $o)]:(((realu_sums @ X @ X0 @ S) & (realu_sums @ Y @ Y0 @ S)) => (realu_sums @ ^[N:num]:(realu_add @ (X @ N) @ (Y @ N)) @ (realu_add @ X0 @ Y0) @ S))).
