%   ORIGINAL: REAL_SERIES_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_RMUL: !f l c. (f ---> l) net ==> ((\x. f x * c) ---> l * c) net
% Assm: SUM_RMUL: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: TRUTH: T
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !x x0 c s. (x real_sums x0) s ==> ((\n. x n * c) real_sums x0 * c) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f l c. (f ---> l) net ==> ((\x. f x * c) ---> l * c) net
% Assm: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: T
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !x x0 c s. (x real_sums x0) s ==> ((\n. x n * c) real_sums x0 * c) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnetq618734, type, netq618734 : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tq618734, type, q618734 : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(cmu_mu_mu_gu_0, type, m_m_m_g_0 : ((num > real) > real > netnum > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q618734 > real) > real > netq618734 > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_RMUL, axiom, ![NET:netq618734,F:(q618734 > real),L:real,C:real]:((m_m_m_g_ @ F @ L @ NET) => (m_m_m_g_ @ ^[X:q618734]:(realu_mul @ (F @ X) @ C) @ (realu_mul @ L @ C) @ NET))).
thf(aSUMu_RMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum @ S @ ^[X:a]:(realu_mul @ (F @ X) @ C)) = (realu_mul @ (sum @ S @ F) @ C))).
thf(aTRUTH, axiom, $true).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_0 @ ^[N:num]:(sum0 @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![X:(num > real),X0:real,C:real,S:(num > $o)]:((realu_sums @ X @ X0 @ S) => (realu_sums @ ^[N:num]:(realu_mul @ (X @ N) @ C) @ (realu_mul @ X0 @ C) @ S))).
