%   ORIGINAL: REAL_SUMS_IFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !f g k. (!x. x IN k ==> f x = g x) ==> ((f real_sums l) k <=> (g real_sums l) k)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !l f g k. (!x. x IN k ==> f x = g x) ==> ((f real_sums l) k <=> (g real_sums l) k)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_INTER, axiom, ![S:(num > $o),T:(num > $o),X:num]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aSUMu_EQ, axiom, ![F:(num > real),G:(num > real),S:(num > $o)]:(![X:num]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_ @ ^[N:num]:(sum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![L:real,F:(num > real),G:(num > real),K:(num > $o)]:(![X:num]:((in @ X @ K) => ((F @ X) = (G @ X))) => ((realu_sums @ F @ L @ K) <=> (realu_sums @ G @ L @ K)))).
