%   ORIGINAL: REAL_SERIES_DIFFS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EVENTUALLY_SEQUENTIALLY: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: FROM_INTER_NUMSEG: !k n. from k INTER (0..n) = k..n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_CONST: !net a. ((\x. a) ---> a) net
% Assm: REALLIM_SUB: !net f g l m. (f ---> l) net /\ (g ---> m) net ==> ((\x. f x - g x) ---> l - m) net
% Assm: REALLIM_TRANSFORM_EVENTUALLY: !net f g l. eventually (\x. f x = g x) net /\ (f ---> l) net ==> (g ---> l) net
% Assm: REAL_SEQ_OFFSET: !f l k. (f ---> l) sequentially ==> ((\i. f (i + k)) ---> l) sequentially
% Assm: REAL_SUB_RZERO: !x. x - &0 = x
% Assm: SUM_DIFFS: !m n. sum (m..n) (\k. f k - f (k + 1)) = (if m <= n then f m - f (n + 1) else &0)
% Assm: TRUTH: T
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !f k. (f ---> &0) sequentially ==> ((\n. f n - f (n + 1)) real_sums f k) (from k)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: !k n. from k INTER (0..n) = k..n
% Assm: ~F <=> T
% Assm: !net a. ((\x. a) ---> a) net
% Assm: !net f g l m. (f ---> l) net /\ (g ---> m) net ==> ((\x. f x - g x) ---> l - m) net
% Assm: !net f g l. eventually (\x. f x = g x) net /\ (f ---> l) net ==> (g ---> l) net
% Assm: !f l k. (f ---> l) sequentially ==> ((\i. f (i + k)) ---> l) sequentially
% Assm: !x. x - &0 = x
% Assm: !f m n. sum (m..n) (\k. f k - f (k + 1)) = (if m <= n then f m - f (n + 1) else &0)
% Assm: T
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !f k. (f ---> &0) sequentially ==> ((\n. f n - f (n + 1)) real_sums f k) (from k)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ceventually, type, eventually : ((num > $o) > netnum > $o)).
thf(cfrom, type, from : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aEVENTUALLYu_SEQUENTIALLY, axiom, ![P:(num > $o)]:((eventually @ P @ sequentially) <=> ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (P @ N0)))).
thf(aFROMu_INTERu_NUMSEG, axiom, ![K:num,N:num]:((inter @ (from @ K) @ (o_o_ @ (numeral @ u_0) @ N)) = (o_o_ @ K @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_CONST, axiom, ![NET:netnum,A:real]:(m_m_m_g_ @ ^[X:num]:A @ A @ NET)).
thf(aREALLIMu_SUB, axiom, ![NET:netnum,F:(num > real),G:(num > real),L:real,M:real]:(((m_m_m_g_ @ F @ L @ NET) & (m_m_m_g_ @ G @ M @ NET)) => (m_m_m_g_ @ ^[X:num]:(realu_sub @ (F @ X) @ (G @ X)) @ (realu_sub @ L @ M) @ NET))).
thf(aREALLIMu_TRANSFORMu_EVENTUALLY, axiom, ![NET:netnum,F:(num > real),G:(num > real),L:real]:(((eventually @ ^[X:num]:((F @ X) = (G @ X)) @ NET) & (m_m_m_g_ @ F @ L @ NET)) => (m_m_m_g_ @ G @ L @ NET))).
thf(aREALu_SEQu_OFFSET, axiom, ![F:(num > real),L:real,K:num]:((m_m_m_g_ @ F @ L @ sequentially) => (m_m_m_g_ @ ^[I:num]:(F @ (p_ @ I @ K)) @ L @ sequentially))).
thf(aREALu_SUBu_RZERO, axiom, ![X:real]:((realu_sub @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aSUMu_DIFFS, axiom, ![F:(num > real),M:num,N:num]:((sum @ (o_o_ @ M @ N) @ ^[K:num]:(realu_sub @ (F @ K) @ (F @ (p_ @ K @ (numeral @ (bit1 @ u_0)))))) = (cond0 @ (l_a_ @ M @ N) @ (realu_sub @ (F @ M) @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0))))) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_ @ ^[N:num]:(sum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > real),K:num]:((m_m_m_g_ @ F @ (realu_ofu_num @ (numeral @ u_0)) @ sequentially) => (realu_sums @ ^[N:num]:(realu_sub @ (F @ N) @ (F @ (p_ @ N @ (numeral @ (bit1 @ u_0))))) @ (F @ K) @ (from @ K)))).
