%   ORIGINAL: REAL_SUMS_LE2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EVENTUALLY_TRUE: !net. eventually (\x. T) net <=> T
% Assm: FINITE_INTER: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_LE: !net f g l m. (f ---> l) net /\ (g ---> m) net /\ ~trivial_limit net /\ eventually (\x. f x <= g x) net ==> l <= m
% Assm: SUM_LE: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> sum s f <= sum s g
% Assm: TRIVIAL_LIMIT_SEQUENTIALLY: ~trivial_limit sequentially
% Assm: TRUTH: T
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !f g s y z. (f real_sums y) s /\ (g real_sums z) s /\ (!i. i IN s ==> f i <= g i) ==> y <= z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !net. eventually (\x. T) net <=> T
% Assm: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: !m n. FINITE (m..n)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !net f g l m. (f ---> l) net /\ (g ---> m) net /\ ~trivial_limit net /\ eventually (\x. f x <= g x) net ==> l <= m
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> sum s f <= sum s g
% Assm: ~trivial_limit sequentially
% Assm: T
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !f g s y z. (f real_sums y) s /\ (g real_sums z) s /\ (!i. i IN s ==> f i <= g i) ==> y <= z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tq620662, type, q620662 : $tType).
thf(tq175054, type, q175054 : $tType).
thf(tnetq175054, type, netq175054 : $tType).
thf(tnetq620662, type, netq620662 : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(ceventually0, type, eventually0 : ((q620662 > $o) > netq620662 > $o)).
thf(ceventually, type, eventually : ((q175054 > $o) > netq175054 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cmu_mu_mu_gu_0, type, m_m_m_g_0 : ((num > real) > real > netnum > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q620662 > real) > real > netq620662 > $o)).
thf(cinter0, type, inter0 : ((num > $o) > (num > $o) > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(ctrivialuu_limit0, type, trivialu_limit0 : (netnum > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (netq620662 > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEVENTUALLYu_TRUE, axiom, ![NET:netq175054]:((eventually @ ^[X:q175054]:$true @ NET) <=> $true)).
thf(aFINITEu_INTER, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ S) | (finite @ T)) => (finite @ (inter @ S @ T)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aINu_INTER, axiom, ![S:(num > $o),T:(num > $o),X:num]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_LE, axiom, ![NET:netq620662,F:(q620662 > real),G:(q620662 > real),L:real,M:real]:(((m_m_m_g_ @ F @ L @ NET) & (m_m_m_g_ @ G @ M @ NET) & ~ ((trivialu_limit @ NET)) & (eventually0 @ ^[X:q620662]:(realu_le @ (F @ X) @ (G @ X)) @ NET)) => (realu_le @ L @ M))).
thf(aSUMu_LE, axiom, ![F:(num > real),G:(num > real),S:(num > $o)]:(((finite0 @ S) & ![X:num]:((in @ X @ S) => (realu_le @ (F @ X) @ (G @ X)))) => (realu_le @ (sum @ S @ F) @ (sum @ S @ G)))).
thf(aTRIVIALu_LIMITu_SEQUENTIALLY, axiom, ~ ((trivialu_limit0 @ sequentially))).
thf(aTRUTH, axiom, $true).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_0 @ ^[N:num]:(sum @ (inter0 @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > real),G:(num > real),S:(num > $o),Y:real,Z:real]:(((realu_sums @ F @ Y @ S) & (realu_sums @ G @ Z @ S) & ![I:num]:((in @ I @ S) => (realu_le @ (F @ I) @ (G @ I)))) => (realu_le @ Y @ Z))).
