%   ORIGINAL: REAL_INFSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INFSUM_UNIQUE: !f l s. (f sums l) s ==> infsum s f = l
% Assm: I_THM: !x. I x = x
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUMS: (f real_sums l) = (lift o f sums lift l)
% Assm: REAL_SUMS_INFSUM: !f s. (f real_sums real_infsum s f) s <=> real_summable s f
% Assm: TRUTH: T
% Goal: !f s. real_summable s f ==> real_infsum s f = drop (infsum s (lift o f))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f l s. (f sums l) s ==> infsum s f = l
% Assm: !x. I x = x
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: ~F <=> T
% Assm: !f l. (f real_sums l) = (lift o f sums lift l)
% Assm: !f s. (f real_sums real_infsum s f) s <=> real_summable s f
% Assm: T
% Goal: !f s. real_summable s f ==> real_infsum s f = drop (infsum s (lift o f))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_infsum, type, realu_infsum : ((num > $o) > (num > real) > real)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(csums, type, sums : ((num > cartrealn1) > cartrealn1 > (num > $o) > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(cinfsum, type, infsum : ((num > $o) > (num > cartrealn1) > cartrealn1)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINFSUMu_UNIQUE, axiom, ![F:(num > cartrealn1),L:cartrealn1,S:(num > $o)]:((sums @ F @ L @ S) => ((infsum @ S @ F) = L))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUMS, axiom, ![F:(num > real),L:real]:((realu_sums @ F @ L) = (sums @ (o @ lift @ F) @ (lift @ L)))).
thf(aREALu_SUMSu_INFSUM, axiom, ![F:(num > real),S:(num > $o)]:((realu_sums @ F @ (realu_infsum @ S @ F) @ S) <=> (realu_summable @ S @ F))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) => ((realu_infsum @ S @ F) = (drop @ (infsum @ S @ (o @ lift @ F)))))).
