%   ORIGINAL: REAL_PARTIAL_SUMS_LE_INFSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DROP_VSUM: !k x. FINITE k ==> drop (vsum k x) = sum k (drop o x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INTER: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: PARTIAL_SUMS_DROP_LE_INFSUM: !f s n. (!i. i IN s ==> &0 <= drop (f i)) /\ summable s f ==> drop (vsum (s INTER (0..n)) f) <= drop (infsum s f)
% Assm: REAL_INFSUM: !f s. real_summable s f ==> real_infsum s f = drop (infsum s (lift o f))
% Assm: REAL_SUMMABLE: real_summable s f <=> summable s (lift o f)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f s n. (!i. i IN s ==> &0 <= f i) /\ real_summable s f ==> sum (s INTER (0..n)) f <= real_infsum s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !k x. FINITE k ==> drop (vsum k x) = sum k (drop o x)
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: !m n. FINITE (m..n)
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !f s n. (!i. i IN s ==> &0 <= drop (f i)) /\ summable s f ==> drop (vsum (s INTER (0..n)) f) <= drop (infsum s f)
% Assm: !f s. real_summable s f ==> real_infsum s f = drop (infsum s (lift o f))
% Assm: !s f. real_summable s f <=> summable s (lift o f)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f s n. (!i. i IN s ==> &0 <= f i) /\ real_summable s f ==> sum (s INTER (0..n)) f <= real_infsum s f
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_infsum, type, realu_infsum : ((num > $o) > (num > real) > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(co0, type, o0 : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(cinfsum, type, infsum : ((num > $o) > (num > cartrealn1) > cartrealn1)).
thf(co, type, o : ((cartrealn1 > real) > (num > cartrealn1) > num > real)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn1) > cartrealn1)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDROPu_VSUM, axiom, ![K:(num > $o),X:(num > cartrealn1)]:((finite @ K) => ((drop @ (vsum @ K @ X)) = (sum @ K @ (o @ drop @ X))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INTER, axiom, ![S:(num > $o),T:(num > $o)]:(((finite @ S) | (finite @ T)) => (finite @ (inter @ S @ T)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aPARTIALu_SUMSu_DROPu_LEu_INFSUM, axiom, ![F:(num > cartrealn1),S:(num > $o),N:num]:((![I:num]:((in @ I @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ (F @ I)))) & (summable @ S @ F)) => (realu_le @ (drop @ (vsum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F)) @ (drop @ (infsum @ S @ F))))).
thf(aREALu_INFSUM, axiom, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) => ((realu_infsum @ S @ F) = (drop @ (infsum @ S @ (o0 @ lift @ F)))))).
thf(aREALu_SUMMABLE, axiom, ![S:(num > $o),F:(num > real)]:((realu_summable @ S @ F) <=> (summable @ S @ (o0 @ lift @ F)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(num > real),S:(num > $o),N:num]:((![I:num]:((in @ I @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ I))) & (realu_summable @ S @ F)) => (realu_le @ (sum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ (realu_infsum @ S @ F)))).
