%   ORIGINAL: REAL_SUMMABLE_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SERIES_RMUL: !x x0 c s. (x real_sums x0) s ==> ((\n. x n * c) real_sums x0 * c) s
% Assm: TRUTH: T
% Assm: real_summable: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !s x c. real_summable s x ==> real_summable s (\n. x n * c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x x0 c s. (x real_sums x0) s ==> ((\n. x n * c) real_sums x0 * c) s
% Assm: T
% Assm: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !s x c. real_summable s x ==> real_summable s (\n. x n * c)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SERIESu_RMUL, axiom, ![X:(num > real),X0:real,C:real,S:(num > $o)]:((realu_sums @ X @ X0 @ S) => (realu_sums @ ^[N:num]:(realu_mul @ (X @ N) @ C) @ (realu_mul @ X0 @ C) @ S))).
thf(aTRUTH, axiom, $true).
thf(arealu_summable, axiom, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) <=> ?[L:real]:(realu_sums @ F @ L @ S))).
thf(conjecture, conjecture, ![S:(num > $o),X:(num > real),C:real]:((realu_summable @ S @ X) => (realu_summable @ S @ ^[N:num]:(realu_mul @ (X @ N) @ C)))).
