%   ORIGINAL: REAL_SERIES_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_RESTRICT_SET: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
% Assm: TRUTH: T
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !x s t l. s SUBSET t /\ ((\i. if i IN s then x i else &0) real_sums l) t ==> (x real_sums l) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
% Assm: T
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !x s t l. s SUBSET t /\ ((\i. if i IN s then x i else &0) real_sums l) t ==> (x real_sums l) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(csubset, type, subset : ((num > $o) > (num > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(num > $o),T:(num > $o)]:((S = T) <=> ![X:num]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(num > $o),X:num]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(num > $o),X:num]:((in @ X @ (gspec @ ^[V:num]:?[Y:num]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(num > $o),T:(num > $o),X:num]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(num > $o),T:(num > $o)]:((subset @ S @ T) <=> ![X:num]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUMu_RESTRICTu_SET, axiom, ![P:(num > $o),S:(num > $o),F:(num > real)]:((sum @ (gspec @ ^[GENR_PVARR_177:num]:?[X:num]:(setspec @ GENR_PVARR_177 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) = (sum @ S @ ^[X:num]:(cond @ (P @ X) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_ @ ^[N:num]:(sum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![X:(num > real),S:(num > $o),T:(num > $o),L:real]:(((subset @ S @ T) & (realu_sums @ ^[I:num]:(cond @ (in @ I @ S) @ (X @ I) @ (realu_ofu_num @ (numeral @ u_0))) @ L @ T)) => (realu_sums @ X @ L @ S))).
