%   ORIGINAL: REAL_SUMMABLE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SERIES_SUBSET: !x s t l. s SUBSET t /\ ((\i. if i IN s then x i else &0) real_sums l) t ==> (x real_sums l) s
% Assm: TRUTH: T
% Assm: real_summable: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !x s t. s SUBSET t /\ real_summable t (\i. if i IN s then x i else &0) ==> real_summable s x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x s t l. s SUBSET t /\ ((\i. if i IN s then x i else &0) real_sums l) t ==> (x real_sums l) s
% Assm: T
% Assm: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !x s t. s SUBSET t /\ real_summable t (\i. if i IN s then x i else &0) ==> real_summable s x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(csubset, type, subset : ((num > $o) > (num > $o) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SERIESu_SUBSET, axiom, ![X:(num > real),S:(num > $o),T:(num > $o),L:real]:(((subset @ S @ T) & (realu_sums @ ^[I:num]:(cond @ (in @ I @ S) @ (X @ I) @ (realu_ofu_num @ (numeral @ u_0))) @ L @ T)) => (realu_sums @ X @ L @ S))).
thf(aTRUTH, axiom, $true).
thf(arealu_summable, axiom, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) <=> ?[L:real]:(realu_sums @ F @ L @ S))).
thf(conjecture, conjecture, ![X:(num > real),S:(num > $o),T:(num > $o)]:(((subset @ S @ T) & (realu_summable @ T @ ^[I:num]:(cond @ (in @ I @ S) @ (X @ I) @ (realu_ofu_num @ (numeral @ u_0))))) => (realu_summable @ S @ X))).
