%   ORIGINAL: REAL_SUMMABLE_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SERIES_RESTRICT: !f k l. ((\n. if n IN k then f n else &0) real_sums l) (:num) <=> (f real_sums l) k
% Assm: TRUTH: T
% Assm: real_summable: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !f k. real_summable (:num) (\n. if n IN k then f n else &0) <=> real_summable k f
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f k l. ((\n. if n IN k then f n else &0) real_sums l) (:num) <=> (f real_sums l) k
% Assm: T
% Assm: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !f k. real_summable (:num) (\n. if n IN k then f n else &0) <=> real_summable k f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cuniv, type, univ : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SERIESu_RESTRICT, axiom, ![F:(num > real),K:(num > $o),L:real]:((realu_sums @ ^[N:num]:(cond @ (in @ N @ K) @ (F @ N) @ (realu_ofu_num @ (numeral @ u_0))) @ L @ univ) <=> (realu_sums @ F @ L @ K))).
thf(aTRUTH, axiom, $true).
thf(arealu_summable, axiom, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) <=> ?[L:real]:(realu_sums @ F @ L @ S))).
thf(conjecture, conjecture, ![F:(num > real),K:(num > $o)]:((realu_summable @ univ @ ^[N:num]:(cond @ (in @ N @ K) @ (F @ N) @ (realu_ofu_num @ (numeral @ u_0)))) <=> (realu_summable @ K @ F))).
