%   ORIGINAL: REAL_INFSUM_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INFSUM_UNIQUE: !f l s. (f real_sums l) s ==> real_infsum s f = l
% Assm: REAL_SERIES_RMUL: !x x0 c s. (x real_sums x0) s ==> ((\n. x n * c) real_sums x0 * c) s
% Assm: REAL_SUMS_INFSUM: !f s. (f real_sums real_infsum s f) s <=> real_summable s f
% Assm: TRUTH: T
% Goal: !s x c. real_summable s x ==> real_infsum s (\n. x n * c) = real_infsum s x * c
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f l s. (f real_sums l) s ==> real_infsum s f = l
% Assm: !x x0 c s. (x real_sums x0) s ==> ((\n. x n * c) real_sums x0 * c) s
% Assm: !f s. (f real_sums real_infsum s f) s <=> real_summable s f
% Assm: T
% Goal: !s x c. real_summable s x ==> real_infsum s (\n. x n * c) = real_infsum s x * c
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_infsum, type, realu_infsum : ((num > $o) > (num > real) > real)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INFSUMu_UNIQUE, axiom, ![F:(num > real),L:real,S:(num > $o)]:((realu_sums @ F @ L @ S) => ((realu_infsum @ S @ F) = L))).
thf(aREALu_SERIESu_RMUL, axiom, ![X:(num > real),X0:real,C:real,S:(num > $o)]:((realu_sums @ X @ X0 @ S) => (realu_sums @ ^[N:num]:(realu_mul @ (X @ N) @ C) @ (realu_mul @ X0 @ C) @ S))).
thf(aREALu_SUMSu_INFSUM, axiom, ![F:(num > real),S:(num > $o)]:((realu_sums @ F @ (realu_infsum @ S @ F) @ S) <=> (realu_summable @ S @ F))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > $o),X:(num > real),C:real]:((realu_summable @ S @ X) => ((realu_infsum @ S @ ^[N:num]:(realu_mul @ (X @ N) @ C)) = (realu_mul @ (realu_infsum @ S @ X) @ C)))).
