%   ORIGINAL: REAL_INFSUM_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INFSUM_UNIQUE: !f l s. (f real_sums l) s ==> real_infsum s f = l
% Assm: REAL_SERIES_RESTRICT: !f k l. ((\n. if n IN k then f n else &0) real_sums l) (:num) <=> (f real_sums l) k
% Assm: REAL_SUMMABLE_RESTRICT: !f k. real_summable (:num) (\n. if n IN k then f n else &0) <=> real_summable k f
% Assm: REAL_SUMS_INFSUM: !f s. (f real_sums real_infsum s f) s <=> real_summable s f
% Assm: TRUTH: T
% Assm: real_infsum: !f s. real_infsum s f = (@l. (f real_sums l) s)
% Assm: real_summable: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !k a. real_infsum (:num) (\n. if n IN k then a n else &0) = real_infsum k a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f l s. (f real_sums l) s ==> real_infsum s f = l
% Assm: !f k l. ((\n. if n IN k then f n else &0) real_sums l) (:num) <=> (f real_sums l) k
% Assm: !f k. real_summable (:num) (\n. if n IN k then f n else &0) <=> real_summable k f
% Assm: !f s. (f real_sums real_infsum s f) s <=> real_summable s f
% Assm: T
% Assm: !f s. real_infsum s f = (@l. (f real_sums l) s)
% Assm: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !k a. real_infsum (:num) (\n. if n IN k then a n else &0) = real_infsum k a
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(crealuu_infsum, type, realu_infsum : ((num > $o) > (num > real) > real)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cuniv, type, univ : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INFSUMu_UNIQUE, axiom, ![F:(num > real),L:real,S:(num > $o)]:((realu_sums @ F @ L @ S) => ((realu_infsum @ S @ F) = L))).
thf(aREALu_SERIESu_RESTRICT, axiom, ![F:(num > real),K:(num > $o),L:real]:((realu_sums @ ^[N:num]:(cond @ (in @ N @ K) @ (F @ N) @ (realu_ofu_num @ (numeral @ u_0))) @ L @ univ) <=> (realu_sums @ F @ L @ K))).
thf(aREALu_SUMMABLEu_RESTRICT, axiom, ![F:(num > real),K:(num > $o)]:((realu_summable @ univ @ ^[N:num]:(cond @ (in @ N @ K) @ (F @ N) @ (realu_ofu_num @ (numeral @ u_0)))) <=> (realu_summable @ K @ F))).
thf(aREALu_SUMSu_INFSUM, axiom, ![F:(num > real),S:(num > $o)]:((realu_sums @ F @ (realu_infsum @ S @ F) @ S) <=> (realu_summable @ S @ F))).
thf(aTRUTH, axiom, $true).
thf(arealu_infsum, axiom, ![F:(num > real),S:(num > $o)]:((realu_infsum @ S @ F) = (h_ @ ^[L:real]:(realu_sums @ F @ L @ S)))).
thf(arealu_summable, axiom, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) <=> ?[L:real]:(realu_sums @ F @ L @ S))).
thf(conjecture, conjecture, ![K:(num > $o),A:(num > real)]:((realu_infsum @ univ @ ^[N:num]:(cond @ (in @ N @ K) @ (A @ N) @ (realu_ofu_num @ (numeral @ u_0)))) = (realu_infsum @ K @ A))).
