%   ORIGINAL: REAL_SERIES_COMPARISON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_LIFT: (?x. P x) <=> (?x. P (lift x))
% Assm: I_THM: !x. I x = x
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUMS: (f real_sums l) = (lift o f sums lift l)
% Assm: SERIES_COMPARISON: !f g s. (?l. (lift o g sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= g n) ==> (?l. (f sums l) s)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g s. (?l. (g real_sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> abs (f n) <= g n) ==> (?l. (f real_sums l) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (?x. P x) <=> (?x. P (lift x))
% Assm: !x. I x = x
% Assm: !x. norm (lift x) = abs x
% Assm: ~F <=> T
% Assm: !f l. (f real_sums l) = (lift o f sums lift l)
% Assm: !f g s. (?l. (lift o g sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> norm (f n) <= g n) ==> (?l. (f sums l) s)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g s. (?l. (g real_sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> abs (f n) <= g n) ==> (?l. (f real_sums l) s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(csums0, type, sums0 : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(csums, type, sums : ((num > cartrealn1) > cartrealn1 > (num > $o) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(ci, type, i : (a > a)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(?[X:cartrealn1]:(P @ X) <=> ?[X:real]:(P @ (lift @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm @ (lift @ X)) = (realu_abs @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUMS, axiom, ![F:(num > real),L:real]:((realu_sums @ F @ L) = (sums @ (o @ lift @ F) @ (lift @ L)))).
thf(aSERIESu_COMPARISON, axiom, ![F:(num > cartrealn),G:(num > real),S:(num > $o)]:((?[L:cartrealn1]:(sums @ (o @ lift @ G) @ L @ S) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (vectoru_norm0 @ (F @ N0)) @ (G @ N0)))) => ?[L:cartrealn]:(sums0 @ F @ L @ S))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(num > real),G:(num > real),S:(num > $o)]:((?[L:real]:(realu_sums @ G @ L @ S) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (realu_abs @ (F @ N0)) @ (G @ N0)))) => ?[L:real]:(realu_sums @ F @ L @ S))).
