%   ORIGINAL: REAL_SUMMABLE_COMPARISON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SERIES_COMPARISON: !f g s. (?l. (g real_sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> abs (f n) <= g n) ==> (?l. (f real_sums l) s)
% Assm: TRUTH: T
% Assm: real_summable: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !f g s. real_summable s g /\ (?N. !n. n >= N /\ n IN s ==> abs (f n) <= g n) ==> real_summable s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. (?l. (g real_sums l) s) /\ (?N. !n. n >= N /\ n IN s ==> abs (f n) <= g n) ==> (?l. (f real_sums l) s)
% Assm: T
% Assm: !f s. real_summable s f <=> (?l. (f real_sums l) s)
% Goal: !f g s. real_summable s g /\ (?N. !n. n >= N /\ n IN s ==> abs (f n) <= g n) ==> real_summable s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SERIESu_COMPARISON, axiom, ![F:(num > real),G:(num > real),S:(num > $o)]:((?[L:real]:(realu_sums @ G @ L @ S) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (realu_abs @ (F @ N0)) @ (G @ N0)))) => ?[L:real]:(realu_sums @ F @ L @ S))).
thf(aTRUTH, axiom, $true).
thf(arealu_summable, axiom, ![F:(num > real),S:(num > $o)]:((realu_summable @ S @ F) <=> ?[L:real]:(realu_sums @ F @ L @ S))).
thf(conjecture, conjecture, ![F:(num > real),G:(num > real),S:(num > $o)]:(((realu_summable @ S @ G) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (realu_abs @ (F @ N0)) @ (G @ N0)))) => (realu_summable @ S @ F))).
