%   ORIGINAL: REAL_SERIES_RATIO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_LIFT: (?x. P x) <=> (?x. P (lift x))
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUMS: (f real_sums l) = (lift o f sums lift l)
% Assm: SERIES_RATIO: !c a s N. c < &1 /\ (!n. n >= N ==> norm (a (SUC n)) <= c * norm (a n)) ==> (?l. (a sums l) s)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !c a s N. c < &1 /\ (!n. n >= N ==> abs (a (SUC n)) <= c * abs (a n)) ==> (?l. (a real_sums l) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (?x. P x) <=> (?x. P (lift x))
% Assm: !x. norm (lift x) = abs x
% Assm: ~F <=> T
% Assm: !f l. (f real_sums l) = (lift o f sums lift l)
% Assm: !c a s N. c < &1 /\ (!n. n >= N ==> norm (a (SUC n)) <= c * norm (a n)) ==> (?l. (a sums l) s)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !c a s N. c < &1 /\ (!n. n >= N ==> abs (a (SUC n)) <= c * abs (a n)) ==> (?l. (a real_sums l) s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(csums0, type, sums0 : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(csums, type, sums : ((num > cartrealn1) > cartrealn1 > (num > $o) > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(?[X:cartrealn1]:(P @ X) <=> ?[X:real]:(P @ (lift @ X)))).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm @ (lift @ X)) = (realu_abs @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUMS, axiom, ![F:(num > real),L:real]:((realu_sums @ F @ L) = (sums @ (o @ lift @ F) @ (lift @ L)))).
thf(aSERIESu_RATIO, axiom, ![C:real,A:(num > cartrealn),S:(num > $o),N:num]:(((realu_lt @ C @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ![N0:num]:((g_a_ @ N0 @ N) => (realu_le @ (vectoru_norm0 @ (A @ (suc @ N0))) @ (realu_mul @ C @ (vectoru_norm0 @ (A @ N0)))))) => ?[L:cartrealn]:(sums0 @ A @ L @ S))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![C:real,A:(num > real),S:(num > $o),N:num]:(((realu_lt @ C @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ![N0:num]:((g_a_ @ N0 @ N) => (realu_le @ (realu_abs @ (A @ (suc @ N0))) @ (realu_mul @ C @ (realu_abs @ (A @ N0)))))) => ?[L:real]:(realu_sums @ A @ L @ S))).
