%   ORIGINAL: BOUNDED_PARTIAL_REAL_SUMS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_PARTIAL_SUMS: !f k. bounded {vsum (k..n) f | n IN (:num)} ==> bounded {vsum (m..n) f | m IN (:num) /\ n IN (:num)}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: LIFT_SUM: !k x. FINITE k ==> lift (sum k x) = vsum k (lift o x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_BOUNDED: real_bounded s <=> bounded (IMAGE lift s)
% Assm: TRUTH: T
% Goal: !f k. real_bounded {sum (k..n) f | n IN (:num)} ==> real_bounded {sum (m..n) f | m IN (:num) /\ n IN (:num)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f k. bounded {vsum (k..n) f | n IN (:num)} ==> bounded {vsum (m..n) f | m IN (:num) /\ n IN (:num)}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !m n. FINITE (m..n)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !k x. FINITE k ==> lift (sum k x) = vsum k (lift o x)
% Assm: ~F <=> T
% Assm: !s. real_bounded s <=> bounded (IMAGE lift s)
% Assm: T
% Goal: !f k. real_bounded {sum (k..n) f | n IN (:num)} ==> real_bounded {sum (m..n) f | m IN (:num) /\ n IN (:num)}
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cgspec1, type, gspec1 : ((num > $o) > num > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(cvsum0, type, vsum0 : ((num > $o) > (num > cartrealn1) > cartrealn1)).
thf(cimage, type, image : ((num > num) > (num > $o) > num > $o)).
thf(csetspec1, type, setspec1 : (num > $o > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn1 > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(crealuu_bounded, type, realu_bounded : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_PARTIALu_SUMS, axiom, ![F:(num > cartrealn),K:num]:((bounded @ (gspec0 @ ^[GENR_PVARR_727:cartrealn]:?[N:num]:(setspec0 @ GENR_PVARR_727 @ (in @ N @ univ) @ (vsum @ (o_o_ @ K @ N) @ F)))) => (bounded @ (gspec0 @ ^[GENR_PVARR_728:cartrealn]:?[M:num,N:num]:(setspec0 @ GENR_PVARR_728 @ ((in @ M @ univ) & (in @ N @ univ)) @ (vsum @ (o_o_ @ M @ N) @ F)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(num > $o),T:(num > $o)]:((S = T) <=> ![X:num]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > num > $o) > $o),X:num]:((in @ X @ (gspec1 @ ^[V:num]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:num]:(P0 & (X = T))))).
thf(aINu_IMAGE, axiom, ![Y:num,S:(num > $o),F:(num > num)]:((in @ Y @ (image @ F @ S)) <=> ?[X:num]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aLIFTu_SUM, axiom, ![K:(num > $o),X:(num > real)]:((finite @ K) => ((lift @ (sum @ K @ X)) = (vsum0 @ K @ (o @ lift @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_BOUNDED, axiom, ![S:(real > $o)]:((realu_bounded @ S) <=> (bounded0 @ (image0 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),K:num]:((realu_bounded @ (gspec @ ^[GENR_PVARR_2352:real]:?[N:num]:(setspec @ GENR_PVARR_2352 @ (in @ N @ univ) @ (sum @ (o_o_ @ K @ N) @ F)))) => (realu_bounded @ (gspec @ ^[GENR_PVARR_2353:real]:?[M:num,N:num]:(setspec @ GENR_PVARR_2353 @ ((in @ M @ univ) & (in @ N @ univ)) @ (sum @ (o_o_ @ M @ N) @ F)))))).
