%   ORIGINAL: REAL_SERIES_DIRICHLET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_BOUNDED: real_bounded s <=> bounded (IMAGE lift s)
% Assm: REAL_SUMMABLE: real_summable s f <=> summable s (lift o f)
% Assm: SERIES_DIRICHLET: !f g N k m. bounded {vsum (m..n) f | n IN (:num)} /\ (!n. N <= n ==> g (n + 1) <= g n) /\ (lift o g --> vec 0) sequentially ==> summable (from k) (\n. g n % f n)
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: VSUM_REAL: !f s. FINITE s ==> vsum s f = lift (sum s (drop o f))
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g N k m. real_bounded {sum (m..n) f | n IN (:num)} /\ (!n. N <= n ==> g (n + 1) <= g n) /\ (g ---> &0) sequentially ==> real_summable (from k) (\n. g n * f n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !m n. FINITE (m..n)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !x. drop (lift x) = x
% Assm: !n. lift (&n) = vec n
% Assm: ~F <=> T
% Assm: !s. real_bounded s <=> bounded (IMAGE lift s)
% Assm: !s f. real_summable s f <=> summable s (lift o f)
% Assm: !f g N k m. bounded {vsum (m..n) f | n IN (:num)} /\ (!n. N <= n ==> g (n + 1) <= g n) /\ (lift o g --> vec 0) sequentially ==> summable (from k) (\n. g n % f n)
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f s. FINITE s ==> vsum s f = lift (sum s (drop o f))
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g N k m. real_bounded {sum (m..n) f | n IN (:num)} /\ (!n. N <= n ==> g (n + 1) <= g n) /\ (g ---> &0) sequentially ==> real_summable (from k) (\n. g n * f n)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csummable0, type, summable0 : ((num > $o) > (num > cartrealn) > $o)).
thf(cgspec1, type, gspec1 : ((cartrealn > $o) > cartrealn > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cfrom, type, from : (num > num > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(co0, type, o0 : ((cartrealn1 > real) > (num > cartrealn1) > num > real)).
thf(cvsum0, type, vsum0 : ((num > $o) > (num > cartrealn1) > cartrealn1)).
thf(cru_0, type, r_0 : (real > cartrealn > cartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn1) > cartrealn1 > netnum > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(csetspec1, type, setspec1 : (cartrealn > $o > cartrealn > $o)).
thf(co, type, o : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(cimage, type, image : ((num > num) > (num > $o) > num > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn1 > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(crealuu_bounded, type, realu_bounded : ((real > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(num > $o),T:(num > $o)]:((S = T) <=> ![X:num]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > num > $o) > $o),X:num]:((in @ X @ (gspec0 @ ^[V:num]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:num]:(P0 & (X = T))))).
thf(aINu_IMAGE, axiom, ![Y:num,S:(num > $o),F:(num > num)]:((in @ Y @ (image @ F @ S)) <=> ?[X:num]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_ @ C @ (lift @ X)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_BOUNDED, axiom, ![S:(real > $o)]:((realu_bounded @ S) <=> (bounded @ (image0 @ lift @ S)))).
thf(aREALu_SUMMABLE, axiom, ![S:(num > $o),F:(num > real)]:((realu_summable @ S @ F) <=> (summable @ S @ (o @ lift @ F)))).
thf(aSERIESu_DIRICHLET, axiom, ![F:(num > cartrealn),G:(num > real),N:num,K:num,M:num]:(((bounded0 @ (gspec1 @ ^[GENR_PVARR_730:cartrealn]:?[N0:num]:(setspec1 @ GENR_PVARR_730 @ (in @ N0 @ univ) @ (vsum @ (o_o_ @ M @ N0) @ F)))) & ![N0:num]:((l_a_ @ N @ N0) => (realu_le @ (G @ (p_ @ N0 @ (numeral @ (bit1 @ u_0)))) @ (G @ N0))) & (m_m_g_ @ (o @ lift @ G) @ (vec @ (numeral @ u_0)) @ sequentially)) => (summable0 @ (from @ K) @ ^[N0:num]:(r_0 @ (G @ N0) @ (F @ N0))))).
thf(aTENDSTOu_REAL, axiom, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_ @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_REAL, axiom, ![F:(num > cartrealn1),S:(num > $o)]:((finite @ S) => ((vsum0 @ S @ F) = (lift @ (sum @ S @ (o0 @ drop @ F)))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(num > real),G:(num > real),N:num,K:num,M:num]:(((realu_bounded @ (gspec @ ^[GENR_PVARR_2356:real]:?[N0:num]:(setspec @ GENR_PVARR_2356 @ (in @ N0 @ univ) @ (sum @ (o_o_ @ M @ N0) @ F)))) & ![N0:num]:((l_a_ @ N @ N0) => (realu_le @ (G @ (p_ @ N0 @ (numeral @ (bit1 @ u_0)))) @ (G @ N0))) & (m_m_m_g_ @ G @ (realu_ofu_num @ (numeral @ u_0)) @ sequentially)) => (realu_summable @ (from @ K) @ ^[N0:num]:(realu_mul @ (G @ N0) @ (F @ N0))))).
