%   ORIGINAL: REAL_SERIES_ABSCONV_IMP_CONV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_SUMMABLE_COMPARISON: !f g s. real_summable s g /\ (?N. !n. n >= N /\ n IN s ==> abs (f n) <= g n) ==> real_summable s f
% Assm: TRUTH: T
% Goal: !x k. real_summable k (\n. abs (x n)) ==> real_summable k x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !f g s. real_summable s g /\ (?N. !n. n >= N /\ n IN s ==> abs (f n) <= g n) ==> real_summable s f
% Assm: T
% Goal: !x k. real_summable k (\n. abs (x n)) ==> real_summable k x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_SUMMABLEu_COMPARISON, axiom, ![F:(num > real),G:(num > real),S:(num > $o)]:(((realu_summable @ S @ G) & ?[N:num]:![N0:num]:(((g_a_ @ N0 @ N) & (in @ N0 @ S)) => (realu_le @ (realu_abs @ (F @ N0)) @ (G @ N0)))) => (realu_summable @ S @ F))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:(num > real),K:(num > $o)]:((realu_summable @ K @ ^[N:num]:(realu_abs @ (X @ N))) => (realu_summable @ K @ X))).
