%   ORIGINAL: REAL_SUMS_GP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: CX_DIV: !x y. Cx (x / y) = Cx x / Cx y
% Assm: CX_POW: !x n. Cx (x pow n) = Cx x pow n
% Assm: CX_SUB: !x y. Cx (x - y) = Cx x - Cx y
% Assm: REAL_SUMS_COMPLEX: !f l s. (f real_sums l) s <=> (Cx o f sums Cx l) s
% Assm: SUMS_GP: !n z. norm z < &1 ==> ((\k. z pow k) sums z pow n / (Cx (&1) - z)) (from n)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !n x. abs x < &1 ==> ((\k. x pow k) real_sums x pow n / (&1 - x)) (from n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm (Cx x) = abs x
% Assm: !x y. Cx (x / y) = Cx x / Cx y
% Assm: !x n. Cx (x pow n) = Cx x pow n
% Assm: !x y. Cx (x - y) = Cx x - Cx y
% Assm: !f l s. (f real_sums l) s <=> (Cx o f sums Cx l) s
% Assm: !n z. norm z < &1 ==> ((\k. z pow k) sums z pow n / (Cx (&1) - z)) (from n)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !n x. abs x < &1 ==> ((\k. x pow k) real_sums x pow n / (&1 - x)) (from n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cfrom, type, from : (num > num > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn2) > (num > real) > num > cartrealn2)).
thf(csums, type, sums : ((num > cartrealn2) > cartrealn2 > (num > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aCXu_DIV, axiom, ![X:real,Y:real]:((cx @ (realu_div @ X @ Y)) = (complexu_div @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_POW, axiom, ![X:real,N:num]:((cx @ (realu_pow @ X @ N)) = (complexu_pow @ (cx @ X) @ N))).
thf(aCXu_SUB, axiom, ![X:real,Y:real]:((cx @ (realu_sub @ X @ Y)) = (vectoru_sub @ (cx @ X) @ (cx @ Y)))).
thf(aREALu_SUMSu_COMPLEX, axiom, ![F:(num > real),L:real,S:(num > $o)]:((realu_sums @ F @ L @ S) <=> (sums @ (o @ cx @ F) @ (cx @ L) @ S))).
thf(aSUMSu_GP, axiom, ![N:num,Z:cartrealn2]:((realu_lt @ (vectoru_norm @ Z) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (sums @ ^[K:num]:(complexu_pow @ Z @ K) @ (complexu_div @ (complexu_pow @ Z @ N) @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Z)) @ (from @ N)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![N:num,X:real]:((realu_lt @ (realu_abs @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (realu_sums @ ^[K:num]:(realu_pow @ X @ K) @ (realu_div @ (realu_pow @ X @ N) @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X)) @ (from @ N)))).
