%   ORIGINAL: REAL_ABEL_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ABEL_LEMMA: !a M r r0. &0 <= r /\ r < r0 /\ (!n. n IN k ==> norm (a n) * r0 pow n <= M) ==> summable k (\n. Cx (norm (a n) * r pow n))
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: CX_ABS: !x. Cx (abs x) = Cx (norm (Cx x))
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUMMABLE_COMPLEX: real_summable s f <=> summable s (Cx o f)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !a M r r0. &0 <= r /\ r < r0 /\ (!n. n IN k ==> abs (a n) * r0 pow n <= M) ==> real_summable k (\n. abs (a n) * r pow n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !k a M r r0. &0 <= r /\ r < r0 /\ (!n. n IN k ==> norm (a n) * r0 pow n <= M) ==> summable k (\n. Cx (norm (a n) * r pow n))
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. norm (Cx x) = abs x
% Assm: !x. Cx (abs x) = Cx (norm (Cx x))
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s f. real_summable s f <=> summable s (Cx o f)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !k a M r r0. &0 <= r /\ r < r0 /\ (!n. n IN k ==> abs (a n) * r0 pow n <= M) ==> real_summable k (\n. abs (a n) * r pow n)
%  TYPES
thf(tq581872, type, q581872 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tcartrealq581872, type, cartrealq581872 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn2) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq581872 > real)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn2) > (num > real) > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aABELu_LEMMA, axiom, ![K:(num > $o),A:(num > cartrealq581872),M:real,R:real,R0:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (realu_lt @ R @ R0) & ![N:num]:((in @ N @ K) => (realu_le @ (realu_mul @ (vectoru_norm @ (A @ N)) @ (realu_pow @ R0 @ N)) @ M))) => (summable @ K @ ^[N:num]:(cx @ (realu_mul @ (vectoru_norm @ (A @ N)) @ (realu_pow @ R @ N)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm0 @ (cx @ X)) = (realu_abs @ X))).
thf(aCXu_ABS, axiom, ![X:real]:((cx @ (realu_abs @ X)) = (cx @ (vectoru_norm0 @ (cx @ X))))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUMMABLEu_COMPLEX, axiom, ![S:(num > $o),F:(num > real)]:((realu_summable @ S @ F) <=> (summable @ S @ (o @ cx @ F)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![K:(num > $o),A:(num > real),M:real,R:real,R0:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (realu_lt @ R @ R0) & ![N:num]:((in @ N @ K) => (realu_le @ (realu_mul @ (realu_abs @ (A @ N)) @ (realu_pow @ R0 @ N)) @ M))) => (realu_summable @ K @ ^[N:num]:(realu_mul @ (realu_abs @ (A @ N)) @ (realu_pow @ R @ N))))).
