%   ORIGINAL: REAL_POWER_SERIES_CONV_IMP_ABSCONV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: CX_ABS: !x. Cx (abs x) = Cx (norm (Cx x))
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: CX_POW: !x n. Cx (x pow n) = Cx x pow n
% Assm: POWER_SERIES_CONV_IMP_ABSCONV: !a k w z. summable k (\n. a n * z pow n) /\ norm w < norm z ==> summable k (\n. Cx (norm (a n * w pow n)))
% Assm: REAL_SUMMABLE_COMPLEX: real_summable s f <=> summable s (Cx o f)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !a k w z. real_summable k (\n. a n * z pow n) /\ abs w < abs z ==> real_summable k (\n. abs (a n * w pow n))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm (Cx x) = abs x
% Assm: !x. Cx (abs x) = Cx (norm (Cx x))
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !x n. Cx (x pow n) = Cx x pow n
% Assm: !a k w z. summable k (\n. a n * z pow n) /\ norm w < norm z ==> summable k (\n. Cx (norm (a n * w pow n)))
% Assm: !s f. real_summable s f <=> summable s (Cx o f)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !a k w z. real_summable k (\n. a n * z pow n) /\ abs w < abs z ==> real_summable k (\n. abs (a n * w pow n))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csummable, type, summable : ((num > $o) > (num > cartrealn2) > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_summable, type, realu_summable : ((num > $o) > (num > real) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn2) > (num > real) > num > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aCXu_ABS, axiom, ![X:real]:((cx @ (realu_abs @ X)) = (cx @ (vectoru_norm @ (cx @ X))))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_POW, axiom, ![X:real,N:num]:((cx @ (realu_pow @ X @ N)) = (complexu_pow @ (cx @ X) @ N))).
thf(aPOWERu_SERIESu_CONVu_IMPu_ABSCONV, axiom, ![A:(num > cartrealn2),K:(num > $o),W:cartrealn2,Z:cartrealn2]:(((summable @ K @ ^[N:num]:(complexu_mul @ (A @ N) @ (complexu_pow @ Z @ N))) & (realu_lt @ (vectoru_norm @ W) @ (vectoru_norm @ Z))) => (summable @ K @ ^[N:num]:(cx @ (vectoru_norm @ (complexu_mul @ (A @ N) @ (complexu_pow @ W @ N))))))).
thf(aREALu_SUMMABLEu_COMPLEX, axiom, ![S:(num > $o),F:(num > real)]:((realu_summable @ S @ F) <=> (summable @ S @ (o @ cx @ F)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![A:(num > real),K:(num > $o),W:real,Z:real]:(((realu_summable @ K @ ^[N:num]:(realu_mul @ (A @ N) @ (realu_pow @ Z @ N))) & (realu_lt @ (realu_abs @ W) @ (realu_abs @ Z))) => (realu_summable @ K @ ^[N:num]:(realu_abs @ (realu_mul @ (A @ N) @ (realu_pow @ W @ N)))))).
