%   ORIGINAL: REALLIM_1_OVER_N
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_INV: !x. Cx (inv x) = inv (Cx x)
% Assm: LIM_INV_N: ((\n. inv (Cx (&n))) --> Cx (&0)) sequentially
% Assm: REALLIM_COMPLEX: (s ---> l) = (Cx o s --> Cx l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: ((\n. inv (&n)) ---> &0) sequentially
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Cx (inv x) = inv (Cx x)
% Assm: ((\n. inv (Cx (&n))) --> Cx (&0)) sequentially
% Assm: !s l. (s ---> l) = (Cx o s --> Cx l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: ((\n. inv (&n)) ---> &0) sequentially
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn2) > (num > real) > num > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn2) > cartrealn2 > netnum > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_INV, axiom, ![X:real]:((cx @ (realu_inv @ X)) = (complexu_inv @ (cx @ X)))).
thf(aLIMu_INVu_N, axiom, (m_m_g_ @ ^[N:num]:(complexu_inv @ (cx @ (realu_ofu_num @ N))) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ sequentially)).
thf(aREALLIMu_COMPLEX, axiom, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_ @ (o @ cx @ S) @ (cx @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, (m_m_m_g_ @ ^[N:num]:(realu_inv @ (realu_ofu_num @ N)) @ (realu_ofu_num @ (numeral @ u_0)) @ sequentially)).
