%   ORIGINAL: REALLIM_POWN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: CX_POW: !x n. Cx (x pow n) = Cx x pow n
% Assm: LIM_POWN: !z. norm z < &1 ==> ((\n. z pow n) --> Cx (&0)) sequentially
% Assm: REALLIM_COMPLEX: (s ---> l) = (Cx o s --> Cx l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !z. abs z < &1 ==> ((\n. z pow n) ---> &0) sequentially
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm (Cx x) = abs x
% Assm: !x n. Cx (x pow n) = Cx x pow n
% Assm: !z. norm z < &1 ==> ((\n. z pow n) --> Cx (&0)) sequentially
% Assm: !s l. (s ---> l) = (Cx o s --> Cx l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !z. abs z < &1 ==> ((\n. z pow n) ---> &0) sequentially
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn2) > (num > real) > num > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn2) > cartrealn2 > netnum > $o)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aCXu_POW, axiom, ![X:real,N:num]:((cx @ (realu_pow @ X @ N)) = (complexu_pow @ (cx @ X) @ N))).
thf(aLIMu_POWN, axiom, ![Z:cartrealn2]:((realu_lt @ (vectoru_norm @ Z) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (m_m_g_ @ ^[N:num]:(complexu_pow @ Z @ N) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ sequentially))).
thf(aREALLIMu_COMPLEX, axiom, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_ @ (o @ cx @ S) @ (cx @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![Z:real]:((realu_lt @ (realu_abs @ Z) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (m_m_m_g_ @ ^[N:num]:(realu_pow @ Z @ N) @ (realu_ofu_num @ (numeral @ u_0)) @ sequentially))).
