%   ORIGINAL: AT_NEGINFINITY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Assm: at_neginfinity: at_neginfinity = mk_net (\x y. x <= y)
% Assm: net_tybij_conjunct1: !r. (!x y. (!z. r z x ==> r z y) \/ (!z. r z y ==> r z x)) <=> netord (mk_net r) = r
% Goal: !x y. netord at_neginfinity x y <=> x <= y
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Assm: at_neginfinity = mk_net (\x y. x <= y)
% Assm: !r. (!x y. (!z. r z x ==> r z y) \/ (!z. r z y ==> r z x)) <=> netord (mk_net r) = r
% Goal: !x y. netord at_neginfinity x y <=> x <= y
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cnetord, type, netord : (netreal > real > real > $o)).
thf(cmkuu_net, type, mku_net : ((real > real > $o) > netreal)).
thf(catuu_neginfinity, type, atu_neginfinity : netreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(aatu_neginfinity, axiom, (atu_neginfinity = (mku_net @ ^[X:real,Y:real]:(realu_le @ X @ Y)))).
thf(anetu_tybiju_conjunct1, axiom, ![R:(real > real > $o)]:(![X:real,Y:real]:(![Z:real]:((R @ Z @ X) => (R @ Z @ Y)) | ![Z:real]:((R @ Z @ Y) => (R @ Z @ X))) <=> ((netord @ (mku_net @ R)) = R))).
thf(conjecture, conjecture, ![X:real,Y:real]:((netord @ atu_neginfinity @ X @ Y) <=> (realu_le @ X @ Y))).
