%   ORIGINAL: EVENTUALLY_ATREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EVENTUALLY_WITHINREAL: !s a p. eventually p (atreal a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> p x))
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Assm: WITHINREAL_UNIV: !x. atreal x within (:real) = atreal x
% Goal: !a p. eventually p (atreal a) <=> (?d. &0 < d /\ (!x. &0 < abs (x - a) /\ abs (x - a) < d ==> p x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s a p. eventually p (atreal a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> p x))
% Assm: !x. x IN (:A)
% Assm: T
% Assm: !x. atreal x within (:real) = atreal x
% Goal: !a p. eventually p (atreal a) <=> (?d. &0 < d /\ (!x. &0 < abs (x - a) /\ abs (x - a) < d ==> p x))
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ceventually, type, eventually : ((real > $o) > netreal > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (real > $o)).
thf(cuniv, type, univ : (a > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEVENTUALLYu_WITHINREAL, axiom, ![S:(real > $o),A:real,P:(real > $o)]:((eventually @ P @ (within @ (atreal @ A) @ S)) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (P @ X))))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ)).
thf(aTRUTH, axiom, $true).
thf(aWITHINREALu_UNIV, axiom, ![X:real]:((within @ (atreal @ X) @ univ0) = (atreal @ X))).
thf(conjecture, conjecture, ![A:real,P:(real > $o)]:((eventually @ P @ (atreal @ A)) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (P @ X))))).
