%   ORIGINAL: EVENTUALLY_AT_NEGINFINITY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AT_NEGINFINITY: !x y. netord at_neginfinity x y <=> x <= y
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: TRIVIAL_LIMIT_AT_NEGINFINITY: ~trivial_limit at_neginfinity
% Assm: TRUTH: T
% Assm: eventually: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Goal: !p. eventually p at_neginfinity <=> (?b. !x. x <= b ==> p x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !x y. netord at_neginfinity x y <=> x <= y
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: ~trivial_limit at_neginfinity
% Assm: T
% Assm: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Goal: !p. eventually p at_neginfinity <=> (?b. !x. x <= b ==> p x)
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ceventually, type, eventually : ((real > $o) > netreal > $o)).
thf(cnetord, type, netord : (netreal > real > real > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (netreal > $o)).
thf(catuu_neginfinity, type, atu_neginfinity : netreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aATu_NEGINFINITY, axiom, ![X:real,Y:real]:((netord @ atu_neginfinity @ X @ Y) <=> (realu_le @ X @ Y))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aTRIVIALu_LIMITu_ATu_NEGINFINITY, axiom, ~ ((trivialu_limit @ atu_neginfinity))).
thf(aTRUTH, axiom, $true).
thf(aeventually, axiom, ![NET:netreal,P:(real > $o)]:((eventually @ P @ NET) <=> ((trivialu_limit @ NET) | ?[Y:real]:(?[X:real]:(netord @ NET @ X @ Y) & ![X:real]:((netord @ NET @ X @ Y) => (P @ X)))))).
thf(conjecture, conjecture, ![P:(real > $o)]:((eventually @ P @ atu_neginfinity) <=> ?[B:real]:![X:real]:((realu_le @ X @ B) => (P @ X)))).
