%   ORIGINAL: REALLIM_WITHINREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EVENTUALLY_WITHINREAL: !s a p. eventually p (atreal a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> p x))
% Assm: TRUTH: T
% Assm: tendsto_real: !f l net. (f ---> l) net <=> (!e. &0 < e ==> eventually (\x. abs (f x - l) < e) net)
% Goal: !f l a s. (f ---> l) (atreal a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s a p. eventually p (atreal a within s) <=> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> p x))
% Assm: T
% Assm: !f l net. (f ---> l) net <=> (!e. &0 < e ==> eventually (\x. abs (f x - l) < e) net)
% Goal: !f l a s. (f ---> l) (atreal a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(ceventually, type, eventually : ((real > $o) > netreal > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEVENTUALLYu_WITHINREAL, axiom, ![S:(real > $o),A:real,P:(real > $o)]:((eventually @ P @ (within @ (atreal @ A) @ S)) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (P @ X))))).
thf(aTRUTH, axiom, $true).
thf(atendstou_real, axiom, ![F:(real > real),L:real,NET:netreal]:((m_m_m_g_ @ F @ L @ NET) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[X:real]:(realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E) @ NET)))).
thf(conjecture, conjecture, ![F:(real > real),L:real,A:real,S:(real > $o)]:((m_m_m_g_ @ F @ L @ (within @ (atreal @ A) @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E)))))).
