%   ORIGINAL: REALLIM_ATREAL_WITHINREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_ATREAL: !f l a. (f ---> l) (atreal a) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: REALLIM_WITHINREAL: !f l a s. (f ---> l) (atreal a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: TRUTH: T
% Goal: !f l a s. (f ---> l) (atreal a) ==> (f ---> l) (atreal a within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !f l a. (f ---> l) (atreal a) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: !f l a s. (f ---> l) (atreal a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: T
% Goal: !f l a s. (f ---> l) (atreal a) ==> (f ---> l) (atreal a within s)
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_ATREAL, axiom, ![F:(real > real),L:real,A:real]:((m_m_m_g_ @ F @ L @ (atreal @ A)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E)))))).
thf(aREALLIMu_WITHINREAL, axiom, ![F:(real > real),L:real,A:real,S:(real > $o)]:((m_m_m_g_ @ F @ L @ (within @ (atreal @ A) @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),L:real,A:real,S:(real > $o)]:((m_m_m_g_ @ F @ L @ (atreal @ A)) => (m_m_m_g_ @ F @ L @ (within @ (atreal @ A) @ S)))).
