%   ORIGINAL: LIM_TRANSFORM_WITHINREAL_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EVENTUALLY_ATREAL: !a p. eventually p (atreal a) <=> (?d. &0 < d /\ (!x. &0 < abs (x - a) /\ abs (x - a) < d ==> p x))
% Assm: LIM_WITHINREAL: !f l a s. (f --> l) (atreal a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> dist (f x,l) < e)))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: TRUTH: T
% Goal: !f a s t. eventually (\x. x IN s <=> x IN t) (atreal a) ==> ((f --> l) (atreal a within s) <=> (f --> l) (atreal a within t))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a p. eventually p (atreal a) <=> (?d. &0 < d /\ (!x. &0 < abs (x - a) /\ abs (x - a) < d ==> p x))
% Assm: !f l a s. (f --> l) (atreal a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> dist (f x,l) < e)))
% Assm: ~F <=> T
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: T
% Goal: !l f a s t. eventually (\x. x IN s <=> x IN t) (atreal a) ==> ((f --> l) (atreal a within s) <=> (f --> l) (atreal a within t))
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq625823, type, q625823 : $tType).
thf(tprodcartrealq625823cartrealq625823, type, prodcartrealq625823cartrealq625823 : $tType).
thf(tcartrealq625823, type, cartrealq625823 : $tType).
%  CONSTS
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealq625823cartrealq625823 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ceventually, type, eventually : ((real > $o) > netreal > $o)).
thf(ccu_, type, c_ : (cartrealq625823 > cartrealq625823 > prodcartrealq625823cartrealq625823)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(cmu_mu_gu_, type, m_m_g_ : ((real > cartrealq625823) > cartrealq625823 > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEVENTUALLYu_ATREAL, axiom, ![A:real,P:(real > $o)]:((eventually @ P @ (atreal @ A)) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (P @ X))))).
thf(aLIMu_WITHINREAL, axiom, ![F:(real > cartrealq625823),L:cartrealq625823,A:real,S:(real > $o)]:((m_m_g_ @ F @ L @ (within @ (atreal @ A) @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (realu_lt @ (distance @ (c_ @ (F @ X) @ L)) @ E)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:cartrealq625823,F:(real > cartrealq625823),A:real,S:(real > $o),T:(real > $o)]:((eventually @ ^[X:real]:((in @ X @ S) <=> (in @ X @ T)) @ (atreal @ A)) => ((m_m_g_ @ F @ L @ (within @ (atreal @ A) @ S)) <=> (m_m_g_ @ F @ L @ (within @ (atreal @ A) @ T))))).
