%   ORIGINAL: REALLIM_TRANSFORM_WITHIN_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EVENTUALLY_AT: !a p. eventually p (at a) <=> (?d. &0 < d /\ (!x. &0 < dist (x,a) /\ dist (x,a) < d ==> p x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_WITHIN: !f l a s. (f ---> l) (at a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) < d ==> abs (f x - l) < e)))
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: TRUTH: T
% Goal: !f a s t. eventually (\x. x IN s <=> x IN t) (at a) ==> ((f ---> l) (at a within s) <=> (f ---> l) (at a within t))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a p. eventually p (at a) <=> (?d. &0 < d /\ (!x. &0 < dist (x,a) /\ dist (x,a) < d ==> p x))
% Assm: ~F <=> T
% Assm: !f l a s. (f ---> l) (at a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) < d ==> abs (f x - l) < e)))
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: T
% Goal: !l f a s t. eventually (\x. x IN s <=> x IN t) (at a) ==> ((f ---> l) (at a within s) <=> (f ---> l) (at a within t))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq625899, type, cartrealq625899 : $tType).
thf(treal, type, real : $tType).
thf(tq625899, type, q625899 : $tType).
thf(tprodcartrealq625899cartrealq625899, type, prodcartrealq625899cartrealq625899 : $tType).
thf(tnetcartrealq625899, type, netcartrealq625899 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq625899 > netcartrealq625899)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealq625899cartrealq625899 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealq625899 > (cartrealq625899 > $o) > $o)).
thf(ceventually, type, eventually : ((cartrealq625899 > $o) > netcartrealq625899 > $o)).
thf(ccu_, type, c_ : (cartrealq625899 > cartrealq625899 > prodcartrealq625899cartrealq625899)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netcartrealq625899 > (cartrealq625899 > $o) > netcartrealq625899)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((cartrealq625899 > real) > real > netcartrealq625899 > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEVENTUALLYu_AT, axiom, ![A:cartrealq625899,P:(cartrealq625899 > $o)]:((eventually @ P @ (at @ A)) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealq625899]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_lt @ (distance @ (c_ @ X @ A)) @ D)) => (P @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_WITHIN, axiom, ![F:(cartrealq625899 > real),L:real,A:cartrealq625899,S:(cartrealq625899 > $o)]:((m_m_m_g_ @ F @ L @ (within @ (at @ A) @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealq625899]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_lt @ (distance @ (c_ @ X @ A)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E)))))).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:real,F:(cartrealq625899 > real),A:cartrealq625899,S:(cartrealq625899 > $o),T:(cartrealq625899 > $o)]:((eventually @ ^[X:cartrealq625899]:((in @ X @ S) <=> (in @ X @ T)) @ (at @ A)) => ((m_m_m_g_ @ F @ L @ (within @ (at @ A) @ S)) <=> (m_m_m_g_ @ F @ L @ (within @ (at @ A) @ T))))).
