%   ORIGINAL: REALLIM_WITHINREAL_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_LIFT: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: REALLIM_WITHIN: !f l a s. (f ---> l) (at a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) < d ==> abs (f x - l) < e)))
% Assm: REALLIM_WITHINREAL: !f l a s. (f ---> l) (atreal a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: (f ---> a) (atreal x within s) <=> (f o drop ---> a) (at (lift x) within IMAGE lift s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. drop (lift x) = x
% Assm: !f l a s. (f ---> l) (at a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < dist (x,a) /\ dist (x,a) < d ==> abs (f x - l) < e)))
% Assm: !f l a s. (f ---> l) (atreal a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !s x a f. (f ---> a) (atreal x within s) <=> (f o drop ---> a) (at (lift x) within IMAGE lift s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cwithin0, type, within0 : (netcartrealn1 > (cartrealn1 > $o) > netcartrealn1)).
thf(co, type, o : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(cmu_mu_mu_gu_0, type, m_m_m_g_0 : ((cartrealn1 > real) > real > netcartrealn1 > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_LIFT, axiom, ![X:real,Y:real]:((distance @ (c_ @ (lift @ X) @ (lift @ Y))) = (realu_abs @ (realu_sub @ X @ Y)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn1 > $o),F:(real > cartrealn1),S:(real > $o)]:(![Y:cartrealn1]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aREALLIMu_WITHIN, axiom, ![F:(cartrealn1 > real),L:real,A:cartrealn1,S:(cartrealn1 > $o)]:((m_m_m_g_0 @ F @ L @ (within0 @ (at @ A) @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealn1]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_lt @ (distance @ (c_ @ X @ A)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E)))))).
thf(aREALLIMu_WITHINREAL, axiom, ![F:(real > real),L:real,A:real,S:(real > $o)]:((m_m_m_g_ @ F @ L @ (within @ (atreal @ A) @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((in0 @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E)))))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(real > real),G:(cartrealn1 > real),X:cartrealn1]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(real > $o),X:real,A:real,F:(real > real)]:((m_m_m_g_ @ F @ A @ (within @ (atreal @ X) @ S)) <=> (m_m_m_g_0 @ (o @ F @ drop) @ A @ (within0 @ (at @ (lift @ X)) @ (image @ lift @ S))))).
