%   ORIGINAL: REALLIM_ATREAL_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_LIFT: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: FORALL_LIFT: (!x. P x) <=> (!x. P (lift x))
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: REALLIM_AT: !f l a. (f ---> l) (at a) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. &0 < dist (x,a) /\ dist (x,a) < d ==> abs (f x - l) < e)))
% Assm: REALLIM_ATREAL: !f l a. (f ---> l) (atreal a) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: (f ---> a) (atreal x) <=> (f o drop ---> a) (at (lift x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: !P. (!x. P x) <=> (!x. P (lift x))
% Assm: !x. drop (lift x) = x
% Assm: !f l a. (f ---> l) (at a) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. &0 < dist (x,a) /\ dist (x,a) < d ==> abs (f x - l) < e)))
% Assm: !f l a. (f ---> l) (atreal a) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !x a f. (f ---> a) (atreal x) <=> (f o drop ---> a) (at (lift x))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(co, type, o : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(cmu_mu_mu_gu_0, type, m_m_m_g_0 : ((cartrealn1 > real) > real > netcartrealn1 > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_LIFT, axiom, ![X:real,Y:real]:((distance @ (c_ @ (lift @ X) @ (lift @ Y))) = (realu_abs @ (realu_sub @ X @ Y)))).
thf(aFORALLu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(![X:cartrealn1]:(P @ X) <=> ![X:real]:(P @ (lift @ X)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aREALLIMu_AT, axiom, ![F:(cartrealn1 > real),L:real,A:cartrealn1]:((m_m_m_g_0 @ F @ L @ (at @ A)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealn1]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ A))) & (realu_lt @ (distance @ (c_ @ X @ A)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E)))))).
thf(aREALLIMu_ATREAL, axiom, ![F:(real > real),L:real,A:real]:((m_m_m_g_ @ F @ L @ (atreal @ A)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E)))))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(real > real),G:(cartrealn1 > real),X:cartrealn1]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![X:real,A:real,F:(real > real)]:((m_m_m_g_ @ F @ A @ (atreal @ X)) <=> (m_m_m_g_0 @ (o @ F @ drop) @ A @ (at @ (lift @ X))))).
