%   ORIGINAL: REAL_CONTINUOUS_WITHINREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NETLIMIT_WITHINREAL: !a s. ~trivial_limit (atreal a within s) ==> netlimit (atreal a within s) = a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM: (f ---> l) net <=> trivial_limit net \/ (!e. &0 < e ==> (?y. (?x. netord net x y) /\ (!x. netord net x y ==> abs (f x - l) < e)))
% Assm: TRUTH: T
% Assm: real_continuous: !f net. f real_continuous net <=> (f ---> f (netlimit net)) net
% Goal: !f x s. f real_continuous atreal x within s <=> (f ---> f x) (atreal x within s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a s. ~trivial_limit (atreal a within s) ==> netlimit (atreal a within s) = a
% Assm: ~F <=> T
% Assm: !net f l. (f ---> l) net <=> trivial_limit net \/ (!e. &0 < e ==> (?y. (?x. netord net x y) /\ (!x. netord net x y ==> abs (f x - l) < e)))
% Assm: T
% Assm: !f net. f real_continuous net <=> (f ---> f (netlimit net)) net
% Goal: !f x s. f real_continuous atreal x within s <=> (f ---> f x) (atreal x within s)
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cnetlimit, type, netlimit : (netreal > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(cnetord, type, netord : (netreal > real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((real > real) > real > netreal > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(ctrivialuu_limit, type, trivialu_limit : (netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNETLIMITu_WITHINREAL, axiom, ![A:real,S:(real > $o)]:(~ ((trivialu_limit @ (within @ (atreal @ A) @ S))) => ((netlimit @ (within @ (atreal @ A) @ S)) = A))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIM, axiom, ![NET:netreal,F:(real > real),L:real]:((m_m_m_g_ @ F @ L @ NET) <=> ((trivialu_limit @ NET) | ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[Y:real]:(?[X:real]:(netord @ NET @ X @ Y) & ![X:real]:((netord @ NET @ X @ Y) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E))))))).
thf(aTRUTH, axiom, $true).
thf(arealu_continuous, axiom, ![F:(real > real),NET:netreal]:((realu_continuous @ F @ NET) <=> (m_m_m_g_ @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(conjecture, conjecture, ![F:(real > real),X:real,S:(real > $o)]:((realu_continuous @ F @ (within @ (atreal @ X) @ S)) <=> (m_m_m_g_ @ F @ (F @ X) @ (within @ (atreal @ X) @ S)))).
