%   ORIGINAL: real_continuous_atreal
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Assm: WITHINREAL_UNIV: !x. atreal x within (:real) = atreal x
% Assm: real_continuous_withinreal: f real_continuous atreal x within s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> abs (f x' - f x) < e)))
% Goal: f real_continuous atreal x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. abs (x' - x) < d ==> abs (f x' - f x) < e)))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x IN (:A)
% Assm: T
% Assm: !x. atreal x within (:real) = atreal x
% Assm: !s f x. f real_continuous atreal x within s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> abs (f x' - f x) < e)))
% Goal: !x f. f real_continuous atreal x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. abs (x' - x) < d ==> abs (f x' - f x) < e)))
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (real > $o)).
thf(cuniv, type, univ : (a > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aTRUTH, axiom, $true).
thf(aWITHINREALu_UNIV, axiom, ![X:real]:((within @ (atreal @ X) @ univ0) = (atreal @ X))).
thf(arealu_continuousu_withinreal, axiom, ![S:(real > $o),F:(real > real),X:real]:((realu_continuous @ F @ (within @ (atreal @ X) @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:real]:(((in0 @ XI_ @ S) & (realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(conjecture, conjecture, ![X:real,F:(real > real)]:((realu_continuous @ F @ (atreal @ X)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:real]:((realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ XI_) @ (F @ X))) @ E)))))).
