%   ORIGINAL: REAL_CONTINUOUS_ATREAL_WITHINREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_continuous_atreal: f real_continuous atreal x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. abs (x' - x) < d ==> abs (f x' - f x) < e)))
% Assm: real_continuous_withinreal: f real_continuous atreal x within s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> abs (f x' - f x) < e)))
% Goal: !f s x. f real_continuous atreal x ==> f real_continuous atreal x within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !f x. f real_continuous atreal x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. abs (x' - x) < d ==> abs (f x' - f x) < e)))
% Assm: !s f x. f real_continuous atreal x within s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> abs (f x' - f x) < e)))
% Goal: !f s x. f real_continuous atreal x ==> f real_continuous atreal x within s
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_continuousu_atreal, axiom, ![F:(real > real),X:real]:((realu_continuous @ F @ (atreal @ X)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:real]:((realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(arealu_continuousu_withinreal, axiom, ![S:(real > $o),F:(real > real),X:real]:((realu_continuous @ F @ (within @ (atreal @ X) @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:real]:(((in @ XI_ @ S) & (realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),X:real]:((realu_continuous @ F @ (atreal @ X)) => (realu_continuous @ F @ (within @ (atreal @ X) @ S)))).
