%   ORIGINAL: REAL_CONTINUOUS_DIV_WITHINREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NETLIMIT_WITHINREAL: !a s. ~trivial_limit (atreal a within s) ==> netlimit (atreal a within s) = a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CONTINUOUS_DIV: !net f g. f real_continuous net /\ g real_continuous net /\ ~(g (netlimit net) = &0) ==> (\x. f x / g x) real_continuous net
% Assm: REAL_CONTINUOUS_TRIVIAL_LIMIT: !f net. trivial_limit net ==> f real_continuous net
% Assm: TRUTH: T
% Goal: !f s a. f real_continuous atreal a within s /\ g real_continuous atreal a within s /\ ~(g a = &0) ==> (\x. f x / g x) real_continuous atreal a within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !a s. ~trivial_limit (atreal a within s) ==> netlimit (atreal a within s) = a
% Assm: ~F <=> T
% Assm: !net f g. f real_continuous net /\ g real_continuous net /\ ~(g (netlimit net) = &0) ==> (\x. f x / g x) real_continuous net
% Assm: !f net. trivial_limit net ==> f real_continuous net
% Assm: T
% Goal: !g f s a. f real_continuous atreal a within s /\ g real_continuous atreal a within s /\ ~(g a = &0) ==> (\x. f x / g x) real_continuous atreal a within s
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cnetlimit, type, netlimit : (netreal > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(ctrivialuu_limit, type, trivialu_limit : (netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNETLIMITu_WITHINREAL, axiom, ![A:real,S:(real > $o)]:(~ ((trivialu_limit @ (within @ (atreal @ A) @ S))) => ((netlimit @ (within @ (atreal @ A) @ S)) = A))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CONTINUOUSu_DIV, axiom, ![NET:netreal,F:(real > real),G:(real > real)]:(((realu_continuous @ F @ NET) & (realu_continuous @ G @ NET) & ~ (((G @ (netlimit @ NET)) = (realu_ofu_num @ (numeral @ u_0))))) => (realu_continuous @ ^[X:real]:(realu_div @ (F @ X) @ (G @ X)) @ NET))).
thf(aREALu_CONTINUOUSu_TRIVIALu_LIMIT, axiom, ![F:(real > real),NET:netreal]:((trivialu_limit @ NET) => (realu_continuous @ F @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![G:(real > real),F:(real > real),S:(real > $o),A:real]:(((realu_continuous @ F @ (within @ (atreal @ A) @ S)) & (realu_continuous @ G @ (within @ (atreal @ A) @ S)) & ~ (((G @ A) = (realu_ofu_num @ (numeral @ u_0))))) => (realu_continuous @ ^[X:real]:(realu_div @ (F @ X) @ (G @ X)) @ (within @ (atreal @ A) @ S)))).
