%   ORIGINAL: REAL_CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_continuous_on: !s f. f real_continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> abs (f x' - f x) < e))))
% Assm: real_continuous_withinreal: f real_continuous atreal x within s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> abs (f x' - f x) < e)))
% Goal: !f s. f real_continuous_on s <=> (!x. x IN s ==> f real_continuous atreal x within s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !s f. f real_continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> abs (f x' - f x) < e))))
% Assm: !s f x. f real_continuous atreal x within s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> abs (f x' - f x) < e)))
% Goal: !f s. f real_continuous_on s <=> (!x. x IN s ==> f real_continuous atreal x within s)
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_continuousu_on, axiom, ![S:(real > $o),F:(real > real)]:((realu_continuousu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:real]:(((in @ XI_ @ S) & (realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ XI_) @ (F @ X))) @ E))))))).
thf(arealu_continuousu_withinreal, axiom, ![S:(real > $o),F:(real > real),X:real]:((realu_continuous @ F @ (within @ (atreal @ X) @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:real]:(((in @ XI_ @ S) & (realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((realu_continuousu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => (realu_continuous @ F @ (within @ (atreal @ X) @ S))))).
