%   ORIGINAL: REAL_CONTINUOUS_ON_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_UNION: !f s t. closed s /\ closed t /\ f continuous_on s /\ f continuous_on t ==> f continuous_on s UNION t
% Assm: IMAGE_UNION: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: REAL_CLOSED: !s. real_closed s <=> closed (IMAGE lift s)
% Assm: REAL_CONTINUOUS_ON: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: TRUTH: T
% Goal: !f s t. real_closed s /\ real_closed t /\ f real_continuous_on s /\ f real_continuous_on t ==> f real_continuous_on s UNION t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t. closed s /\ closed t /\ f continuous_on s /\ f continuous_on t ==> f continuous_on s UNION t
% Assm: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: !s. real_closed s <=> closed (IMAGE lift s)
% Assm: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: T
% Goal: !f s t. real_closed s /\ real_closed t /\ f real_continuous_on s /\ f real_continuous_on t ==> f real_continuous_on s UNION t
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq217816, type, q217816 : $tType).
thf(tcartrealq217816, type, cartrealq217816 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq217821, type, cartrealq217821 : $tType).
thf(tq217821, type, q217821 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq217816 > cartrealq217821) > (cartrealq217816 > $o) > $o)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cunion0, type, union0 : ((cartrealq217816 > $o) > (cartrealq217816 > $o) > cartrealq217816 > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(cclosed0, type, closed0 : ((cartrealn1 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealq217816 > $o) > $o)).
thf(crealuu_closed, type, realu_closed : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_UNION, axiom, ![F:(cartrealq217816 > cartrealq217821),S:(cartrealq217816 > $o),T:(cartrealq217816 > $o)]:(((closed @ S) & (closed @ T) & (continuousu_on @ F @ S) & (continuousu_on @ F @ T)) => (continuousu_on @ F @ (union0 @ S @ T)))).
thf(aIMAGEu_UNION, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:((image @ F @ (union @ S @ T)) = (union @ (image @ F @ S) @ (image @ F @ T)))).
thf(aREALu_CLOSED, axiom, ![S:(real > $o)]:((realu_closed @ S) <=> (closed0 @ (image0 @ lift @ S)))).
thf(aREALu_CONTINUOUSu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_continuousu_on @ F @ S) <=> (continuousu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image0 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o)]:(((realu_closed @ S) & (realu_closed @ T) & (realu_continuousu_on @ F @ S) & (realu_continuousu_on @ F @ T)) => (realu_continuousu_on @ F @ (union @ S @ T)))).
