%   ORIGINAL: REAL_UNIFORMLY_CONTINUOUS_ON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_LIFT: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: real_uniformly_continuous_on: !s f. f real_uniformly_continuous_on s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x x'. x IN s /\ x' IN s /\ abs (x' - x) < d ==> abs (f x' - f x) < e)))
% Assm: uniformly_continuous_on: !s f. f uniformly_continuous_on s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x x'. x IN s /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !f s. f real_uniformly_continuous_on s <=> lift o f o drop uniformly_continuous_on IMAGE lift s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. dist (lift x,lift y) = abs (x - y)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. drop (lift x) = x
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !s f. f real_uniformly_continuous_on s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x x'. x IN s /\ x' IN s /\ abs (x' - x) < d ==> abs (f x' - f x) < e)))
% Assm: !s f. f uniformly_continuous_on s <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x x'. x IN s /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e)))
% Goal: !f s. f real_uniformly_continuous_on s <=> lift o f o drop uniformly_continuous_on IMAGE lift s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cuniformlyuu_continuousuu_on, type, uniformlyu_continuousu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(crealuu_uniformlyuu_continuousuu_on, type, realu_uniformlyu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_LIFT, axiom, ![X:real,Y:real]:((distance @ (c_ @ (lift @ X) @ (lift @ Y))) = (realu_abs @ (realu_sub @ X @ Y)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn1 > $o),F:(real > cartrealn1),S:(real > $o)]:(![Y:cartrealn1]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aou_THMu_monomorphized1, axiom, ![F:(real > real),G:(cartrealn1 > real),X:cartrealn1]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(real > cartrealn1),G:(cartrealn1 > real),X:cartrealn1]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(arealu_uniformlyu_continuousu_on, axiom, ![S:(real > $o),F:(real > real)]:((realu_uniformlyu_continuousu_on @ F @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real,XI_:real]:(((in0 @ X @ S) & (in0 @ XI_ @ S) & (realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(auniformlyu_continuousu_on, axiom, ![S:(cartrealn1 > $o),F:(cartrealn1 > cartrealn1)]:((uniformlyu_continuousu_on @ F @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealn1,XI_:cartrealn1]:(((in @ X @ S) & (in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => (realu_lt @ (distance @ (c_ @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((realu_uniformlyu_continuousu_on @ F @ S) <=> (uniformlyu_continuousu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
