%   ORIGINAL: REAL_UNIFORMLY_CONTINUOUS_ON_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_UNIFORMLY_CONTINUOUS_ON_LMUL: !f c s. f real_uniformly_continuous_on s ==> (\x. c * f x) real_uniformly_continuous_on s
% Assm: TRUTH: T
% Goal: !f c s. f real_uniformly_continuous_on s ==> (\x. f x * c) real_uniformly_continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x * y = y * x
% Assm: !f c s. f real_uniformly_continuous_on s ==> (\x. c * f x) real_uniformly_continuous_on s
% Assm: T
% Goal: !f c s. f real_uniformly_continuous_on s ==> (\x. f x * c) real_uniformly_continuous_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_uniformlyuu_continuousuu_on, type, realu_uniformlyu_continuousu_on : ((real > real) > (real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_UNIFORMLYu_CONTINUOUSu_ONu_LMUL, axiom, ![F:(real > real),C:real,S:(real > $o)]:((realu_uniformlyu_continuousu_on @ F @ S) => (realu_uniformlyu_continuousu_on @ ^[X:real]:(realu_mul @ C @ (F @ X)) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),C:real,S:(real > $o)]:((realu_uniformlyu_continuousu_on @ F @ S) => (realu_uniformlyu_continuousu_on @ ^[X:real]:(realu_mul @ (F @ X) @ C) @ S))).
