%   ORIGINAL: REAL_COMPACT_UNIFORMLY_CONTINUOUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPACT_UNIFORMLY_CONTINUOUS: !f s. f continuous_on s /\ compact s ==> f uniformly_continuous_on s
% Assm: REAL_CONTINUOUS_ON: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: REAL_UNIFORMLY_CONTINUOUS_ON: !f s. f real_uniformly_continuous_on s <=> lift o f o drop uniformly_continuous_on IMAGE lift s
% Assm: TRUTH: T
% Assm: real_compact: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !f s. f real_continuous_on s /\ real_compact s ==> f real_uniformly_continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f continuous_on s /\ compact s ==> f uniformly_continuous_on s
% Assm: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: !f s. f real_uniformly_continuous_on s <=> lift o f o drop uniformly_continuous_on IMAGE lift s
% Assm: T
% Assm: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !f s. f real_continuous_on s /\ real_compact s ==> f real_uniformly_continuous_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniformlyuu_continuousuu_on0, type, uniformlyu_continuousu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cuniformlyuu_continuousuu_on, type, uniformlyu_continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(crealuu_uniformlyuu_continuousuu_on, type, realu_uniformlyu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(ccompact0, type, compact0 : ((cartrealn1 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealm > $o) > $o)).
thf(crealuu_compact, type, realu_compact : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPACTu_UNIFORMLYu_CONTINUOUS, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (compact @ S)) => (uniformlyu_continuousu_on @ F @ S))).
thf(aREALu_CONTINUOUSu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_continuousu_on @ F @ S) <=> (continuousu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aREALu_UNIFORMLYu_CONTINUOUSu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_uniformlyu_continuousu_on @ F @ S) <=> (uniformlyu_continuousu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(arealu_compact, axiom, ![S:(real > $o)]:((realu_compact @ S) <=> (compact0 @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:(((realu_continuousu_on @ F @ S) & (realu_compact @ S)) => (realu_uniformlyu_continuousu_on @ F @ S))).
