%   ORIGINAL: REAL_COMPACT_CONTINUOUS_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPACT_CONTINUOUS_IMAGE: !f s. f continuous_on s /\ compact s ==> compact (IMAGE f s)
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: REAL_CONTINUOUS_ON: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_compact: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !f s. f real_continuous_on s /\ real_compact s ==> real_compact (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f continuous_on s /\ compact s ==> compact (IMAGE f s)
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !x. drop (lift x) = x
% Assm: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !f s. f real_continuous_on s /\ real_compact s ==> real_compact (IMAGE f s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(co2, type, o2 : ((b > c) > (a > b) > a > c)).
thf(cimage1, type, image1 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co1, type, o1 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co0, type, o0 : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(cimage0, type, image0 : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(ccompact1, type, compact1 : ((cartrealn1 > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealm > $o) > $o)).
thf(crealuu_compact, type, realu_compact : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPACTu_CONTINUOUSu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (compact @ S)) => (compact0 @ (image0 @ F @ S)))).
thf(aIMAGEu_o, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image @ G @ S)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aREALu_CONTINUOUSu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_continuousu_on @ F @ S) <=> (continuousu_on0 @ (o0 @ lift @ (o1 @ F @ drop)) @ (image1 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o2 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(arealu_compact, axiom, ![S:(real > $o)]:((realu_compact @ S) <=> (compact1 @ (image1 @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:(((realu_continuousu_on @ F @ S) & (realu_compact @ S)) => (realu_compact @ (image @ F @ S)))).
