%   ORIGINAL: REAL_CONTINUOUS_COMPLEX_COMPONENTS_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_AT_ID: !a. (\x. x) continuous at a
% Assm: CONTINUOUS_COMPONENTWISE: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. f x$i) real_continuous net)
% Assm: DIMINDEX_2: dimindex (:2) = 2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_2: !P. (!i. 1 <= i /\ i <= 2 ==> P i) <=> P 1 /\ P 2
% Assm: IM_DEF: !z. Im z = z$2
% Assm: RE_DEF: !z. Re z = z$1
% Assm: TRUTH: T
% Goal: !z. Re real_continuous at z /\ Im real_continuous at z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a. (\x. x) continuous at a
% Assm: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. f x$i) real_continuous net)
% Assm: dimindex (:2) = 2
% Assm: !t. (\x. t x) = t
% Assm: !P. (!i. 1 <= i /\ i <= 2 ==> P i) <=> P 1 /\ P 2
% Assm: !z. Im z = z$2
% Assm: !z. Re z = z$1
% Assm: T
% Goal: !z. Re real_continuous at z /\ Im real_continuous at z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cdu_0, type, d_0 : (cartrealn2 > num > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccontinuous0, type, continuous0 : ((cartrealn2 > cartrealn) > netcartrealn2 > $o)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_continuous, type, realu_continuous : ((cartrealn2 > real) > netcartrealn2 > $o)).
thf(cuniv0, type, univ0 : (n2 > $o)).
thf(cdimindex0, type, dimindex0 : ((n2 > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ATu_ID, axiom, ![A:cartrealn2]:(continuous @ ^[X:cartrealn2]:X @ (at @ A))).
thf(aCONTINUOUSu_COMPONENTWISE, axiom, ![NET:netcartrealn2,F:(cartrealn2 > cartrealn)]:((continuous0 @ F @ NET) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_continuous @ ^[X:cartrealn2]:(d_ @ (F @ X) @ I) @ NET)))).
thf(aDIMINDEXu_2, axiom, ((dimindex0 @ univ0) = (numeral @ (bit0 @ (bit1 @ u_0))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_2, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit0 @ (bit1 @ u_0))))) => (P @ I)) <=> ((P @ (numeral @ (bit1 @ u_0))) & (P @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aIMu_DEF, axiom, ![Z:cartrealn2]:((im @ Z) = (d_0 @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aREu_DEF, axiom, ![Z:cartrealn2]:((re @ Z) = (d_0 @ Z @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:((realu_continuous @ re @ (at @ Z)) & (realu_continuous @ im @ (at @ Z)))).
