%   ORIGINAL: REAL_CONTINUOUS_COMPLEX_COMPONENTS_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CONTINUOUS_AT_WITHIN: !f s x. f real_continuous at x ==> f real_continuous at x within s
% Assm: REAL_CONTINUOUS_COMPLEX_COMPONENTS_AT: !z. Re real_continuous at z /\ Im real_continuous at z
% Assm: TRUTH: T
% Goal: !s z. Re real_continuous at z within s /\ Im real_continuous at z within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !f s x. f real_continuous at x ==> f real_continuous at x within s
% Assm: !z. Re real_continuous at z /\ Im real_continuous at z
% Assm: T
% Goal: !s z. Re real_continuous at z within s /\ Im real_continuous at z within s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_continuous, type, realu_continuous : ((cartrealn2 > real) > netcartrealn2 > $o)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CONTINUOUSu_ATu_WITHIN, axiom, ![F:(cartrealn2 > real),S:(cartrealn2 > $o),X:cartrealn2]:((realu_continuous @ F @ (at @ X)) => (realu_continuous @ F @ (within @ (at @ X) @ S)))).
thf(aREALu_CONTINUOUSu_COMPLEXu_COMPONENTSu_AT, axiom, ![Z:cartrealn2]:((realu_continuous @ re @ (at @ Z)) & (realu_continuous @ im @ (at @ Z)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn2 > $o),Z:cartrealn2]:((realu_continuous @ re @ (within @ (at @ Z) @ S)) & (realu_continuous @ im @ (within @ (at @ Z) @ S)))).
