%   ORIGINAL: HAS_REAL_VECTOR_DERIVATIVE_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FORALL_LIFT: (!x. P x) <=> (!x. P (lift x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_REAL_FRECHET_DERIVATIVE_AT: (f has_real_derivative f') (atreal x) <=> (lift o f o drop has_derivative (\x. f' % x)) (at (lift x))
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Assm: has_vector_derivative: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: (f has_real_derivative f') (atreal x) <=> (lift o f o drop has_vector_derivative lift f') (at (lift x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (!x. P x) <=> (!x. P (lift x))
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !f f' x. (f has_real_derivative f') (atreal x) <=> (lift o f o drop has_derivative (\x. f' % x)) (at (lift x))
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !x. drop (lift x) = x
% Assm: !x y. lift x = lift y <=> x = y
% Assm: !x y. x * y = y * x
% Assm: T
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !x f' f. (f has_real_derivative f') (atreal x) <=> (lift o f o drop has_vector_derivative lift f') (at (lift x))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn1 > cartrealn1) > (cartrealn1 > cartrealn1) > netcartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealn1) > cartrealn1 > netcartrealn1 > $o)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFORALLu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(![X:cartrealn1]:(P @ X) <=> ![X:real]:(P @ (lift @ X)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aHASu_REALu_FRECHETu_DERIVATIVEu_AT, axiom, ![F:(real > real),FI_:real,X:real]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) <=> (hasu_derivative @ (o @ lift @ (o0 @ F @ drop)) @ ^[X0:cartrealn1]:(r_ @ FI_ @ X0) @ (at @ (lift @ X))))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_ @ C @ (lift @ X)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(ahasu_vectoru_derivative, axiom, ![F:(cartrealn1 > cartrealn1),FI_:cartrealn1,NET:netcartrealn1]:((hasu_vectoru_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn1]:(r_ @ (drop @ X) @ FI_) @ NET))).
thf(conjecture, conjecture, ![X:real,FI_:real,F:(real > real)]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) <=> (hasu_vectoru_derivative @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ FI_) @ (at @ (lift @ X))))).
