%   ORIGINAL: REAL_DIFFERENTIABLE_ON_REAL_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_DERIVATIVE_ATREAL: (f has_real_derivative f') (atreal a) <=> ((\x. (f x - f a) / (x - a)) ---> f') (atreal a)
% Assm: HAS_REAL_DERIVATIVE_WITHINREAL: (f has_real_derivative f') (atreal a within s) <=> ((\x. (f x - f a) / (x - a)) ---> f') (atreal a within s)
% Assm: REALLIM_WITHIN_REAL_OPEN: !f l a s. a IN s /\ real_open s ==> ((f ---> l) (atreal a within s) <=> (f ---> l) (atreal a))
% Assm: TRUTH: T
% Assm: real_differentiable_on: !f s. f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x within s)))
% Goal: !f s. real_open s ==> (f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x))))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' a. (f has_real_derivative f') (atreal a) <=> ((\x. (f x - f a) / (x - a)) ---> f') (atreal a)
% Assm: !f f' a s. (f has_real_derivative f') (atreal a within s) <=> ((\x. (f x - f a) / (x - a)) ---> f') (atreal a within s)
% Assm: !f l a s. a IN s /\ real_open s ==> ((f ---> l) (atreal a within s) <=> (f ---> l) (atreal a))
% Assm: T
% Assm: !f s. f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x within s)))
% Goal: !f s. real_open s ==> (f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x))))
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_differentiableuu_on, type, realu_differentiableu_on : ((real > real) > (real > $o) > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((real > real) > real > netreal > $o)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_DERIVATIVEu_ATREAL, axiom, ![F:(real > real),FI_:real,A:real]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ A)) <=> (m_m_m_g_ @ ^[X:real]:(realu_div @ (realu_sub @ (F @ X) @ (F @ A)) @ (realu_sub @ X @ A)) @ FI_ @ (atreal @ A)))).
thf(aHASu_REALu_DERIVATIVEu_WITHINREAL, axiom, ![F:(real > real),FI_:real,A:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ A) @ S)) <=> (m_m_m_g_ @ ^[X:real]:(realu_div @ (realu_sub @ (F @ X) @ (F @ A)) @ (realu_sub @ X @ A)) @ FI_ @ (within @ (atreal @ A) @ S)))).
thf(aREALLIMu_WITHINu_REALu_OPEN, axiom, ![F:(real > real),L:real,A:real,S:(real > $o)]:(((in @ A @ S) & (realu_open @ S)) => ((m_m_m_g_ @ F @ L @ (within @ (atreal @ A) @ S)) <=> (m_m_m_g_ @ F @ L @ (atreal @ A))))).
thf(aTRUTH, axiom, $true).
thf(arealu_differentiableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_differentiableu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((realu_open @ S) => ((realu_differentiableu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ (atreal @ X)))))).
