%   ORIGINAL: HAS_COMPLEX_REAL_DERIVATIVE_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_COMPLEX_REAL_DERIVATIVE_WITHIN_GEN: !f g h s d. &0 < d /\ x IN s /\ (h has_complex_derivative Cx g) (at (Cx x) within {z | real z /\ Re z IN s}) /\ (!y. y IN s /\ abs (y - x) < d ==> h (Cx y) = Cx (f y)) ==> (f has_real_derivative g) (atreal x within s)
% Assm: REAL_LT_01: &0 < &1
% Assm: TRUTH: T
% Goal: !f g h s. x IN s /\ (h has_complex_derivative Cx g) (at (Cx x) within {z | real z /\ Re z IN s}) /\ (!y. y IN s ==> h (Cx y) = Cx (f y)) ==> (f has_real_derivative g) (atreal x within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x f g h s d. &0 < d /\ x IN s /\ (h has_complex_derivative Cx g) (at (Cx x) within {z | real z /\ Re z IN s}) /\ (!y. y IN s /\ abs (y - x) < d ==> h (Cx y) = Cx (f y)) ==> (f has_real_derivative g) (atreal x within s)
% Assm: &0 < &1
% Assm: T
% Goal: !x f g h s. x IN s /\ (h has_complex_derivative Cx g) (at (Cx x) within {z | real z /\ Re z IN s}) /\ (!y. y IN s ==> h (Cx y) = Cx (f y)) ==> (f has_real_derivative g) (atreal x within s)
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin0, type, within0 : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_COMPLEXu_REALu_DERIVATIVEu_WITHINu_GEN, axiom, ![X:real,F:(real > real),G:real,H:(cartrealn2 > cartrealn2),S:(real > $o),D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (in @ X @ S) & (hasu_complexu_derivative @ H @ (cx @ G) @ (within @ (at @ (cx @ X)) @ (gspec @ ^[GENR_PVARR_2359:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2359 @ ((real0 @ Z) & (in @ (re @ Z) @ S)) @ Z)))) & ![Y:real]:(((in @ Y @ S) & (realu_lt @ (realu_abs @ (realu_sub @ Y @ X)) @ D)) => ((H @ (cx @ Y)) = (cx @ (F @ Y))))) => (hasu_realu_derivative @ F @ G @ (within0 @ (atreal @ X) @ S)))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,F:(real > real),G:real,H:(cartrealn2 > cartrealn2),S:(real > $o)]:(((in @ X @ S) & (hasu_complexu_derivative @ H @ (cx @ G) @ (within @ (at @ (cx @ X)) @ (gspec @ ^[GENR_PVARR_2361:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2361 @ ((real0 @ Z) & (in @ (re @ Z) @ S)) @ Z)))) & ![Y:real]:((in @ Y @ S) => ((H @ (cx @ Y)) = (cx @ (F @ Y))))) => (hasu_realu_derivative @ F @ G @ (within0 @ (atreal @ X) @ S)))).
