%   ORIGINAL: IS_REALINTERVAL_IS_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXISTS_DROP: (?x. P x) <=> (?x. P (drop x))
% Assm: FORALL_DROP: (!x. P x) <=> (!x. P (drop x))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IS_INTERVAL_1: !s. is_interval s <=> (!a b x. a IN s /\ b IN s /\ drop a <= drop x /\ drop x <= drop b ==> x IN s)
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Assm: is_realinterval: !s. is_realinterval s <=> (!a b c. a IN s /\ b IN s /\ a <= c /\ c <= b ==> c IN s)
% Goal: !s. is_realinterval s <=> is_interval (IMAGE lift s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (?x. P x) <=> (?x. P (drop x))
% Assm: !P. (!x. P x) <=> (!x. P (drop x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s. is_interval s <=> (!a b x. a IN s /\ b IN s /\ drop a <= drop x /\ drop x <= drop b ==> x IN s)
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: T
% Assm: !s. is_realinterval s <=> (!a b c. a IN s /\ b IN s /\ a <= c /\ c <= b ==> c IN s)
% Goal: !s. is_realinterval s <=> is_interval (IMAGE lift s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cisuu_interval, type, isu_interval : ((cartrealn1 > $o) > $o)).
thf(cisuu_realinterval, type, isu_realinterval : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXISTSu_DROP, axiom, ![P:(real > $o)]:(?[X:real]:(P @ X) <=> ?[X:cartrealn1]:(P @ (drop @ X)))).
thf(aFORALLu_DROP, axiom, ![P:(real > $o)]:(![X:real]:(P @ X) <=> ![X:cartrealn1]:(P @ (drop @ X)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn1 > $o),F:(real > cartrealn1),S:(real > $o)]:(![Y:cartrealn1]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn1,S:(real > $o),F:(real > cartrealn1)]:((in @ Y @ (image @ F @ S)) <=> ?[X:real]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aISu_INTERVALu_1, axiom, ![S:(cartrealn1 > $o)]:((isu_interval @ S) <=> ![A:cartrealn1,B:cartrealn1,X:cartrealn1]:(((in @ A @ S) & (in @ B @ S) & (realu_le @ (drop @ A) @ (drop @ X)) & (realu_le @ (drop @ X) @ (drop @ B))) => (in @ X @ S)))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aisu_realinterval, axiom, ![S:(real > $o)]:((isu_realinterval @ S) <=> ![A:real,B:real,C:real]:(((in0 @ A @ S) & (in0 @ B @ S) & (realu_le @ A @ C) & (realu_le @ C @ B)) => (in0 @ C @ S)))).
thf(conjecture, conjecture, ![S:(real > $o)]:((isu_realinterval @ S) <=> (isu_interval @ (image @ lift @ S)))).
