%   ORIGINAL: IS_REALINTERVAL_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Assm: is_realinterval: !s. is_realinterval s <=> (!a b c. a IN s /\ b IN s /\ a <= c /\ c <= b ==> c IN s)
% Goal: !s t. is_realinterval s /\ is_realinterval t /\ ~(s INTER t = {}) ==> is_realinterval (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Assm: !s. is_realinterval s <=> (!a b c. a IN s /\ b IN s /\ a <= c /\ c <= b ==> c IN s)
% Goal: !s t. is_realinterval s /\ is_realinterval t /\ ~(s INTER t = {}) ==> is_realinterval (s UNION t)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(cisuu_realinterval, type, isu_realinterval : ((real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(real > $o)]:(^[X:real]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(real > $o),T:(real > $o)]:((S = T) <=> ![X:real]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INTER, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:real]:~ ((in @ X @ empty))).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(aisu_realinterval, axiom, ![S:(real > $o)]:((isu_realinterval @ S) <=> ![A:real,B:real,C:real]:(((in @ A @ S) & (in @ B @ S) & (realu_le @ A @ C) & (realu_le @ C @ B)) => (in @ C @ S)))).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:(((isu_realinterval @ S) & (isu_realinterval @ T) & ~ (((inter @ S @ T) = empty))) => (isu_realinterval @ (union @ S @ T)))).
