%   ORIGINAL: IS_REAL_INTERVAL_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_DROP: (!x. P x) <=> (!x. P (drop x))
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE_LIFT_DROP_conjunct0: !x s. x IN IMAGE lift s <=> drop x IN s
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: IS_INTERVAL_1_CASES: !s. is_interval s <=> s = {} \/ s = (:real^1) \/ (?a. s = {x | a < drop x}) \/ (?a. s = {x | a <= drop x}) \/ (?b. s = {x | drop x <= b}) \/ (?b. s = {x | drop x < b}) \/ (?a b. s = {x | a < drop x /\ drop x < b}) \/ (?a b. s = {x | a < drop x /\ drop x <= b}) \/ (?a b. s = {x | a <= drop x /\ drop x < b}) \/ (?a b. s = {x | a <= drop x /\ drop x <= b})
% Assm: IS_REALINTERVAL_IS_INTERVAL: !s. is_realinterval s <=> is_interval (IMAGE lift s)
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !s. is_realinterval s <=> s = {} \/ s = (:real) \/ (?a. s = {x | a < x}) \/ (?a. s = {x | a <= x}) \/ (?b. s = {x | x <= b}) \/ (?b. s = {x | x < b}) \/ (?a b. s = {x | a < x /\ x < b}) \/ (?a b. s = {x | a < x /\ x <= b}) \/ (?a b. s = {x | a <= x /\ x < b}) \/ (?a b. s = {x | a <= x /\ x <= b})
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. (!x. P x) <=> (!x. P (drop x))
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x s. x IN IMAGE lift s <=> drop x IN s
% Assm: !x. x IN (:real)
% Assm: !s. is_interval s <=> s = {} \/ s = (:real^1) \/ (?a. s = {x | a < drop x}) \/ (?a. s = {x | a <= drop x}) \/ (?b. s = {x | drop x <= b}) \/ (?b. s = {x | drop x < b}) \/ (?a b. s = {x | a < drop x /\ drop x < b}) \/ (?a b. s = {x | a < drop x /\ drop x <= b}) \/ (?a b. s = {x | a <= drop x /\ drop x < b}) \/ (?a b. s = {x | a <= drop x /\ drop x <= b})
% Assm: !s. is_realinterval s <=> is_interval (IMAGE lift s)
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !s. is_realinterval s <=> s = {} \/ s = (:real) \/ (?a. s = {x | a < x}) \/ (?a. s = {x | a <= x}) \/ (?b. s = {x | x <= b}) \/ (?b. s = {x | x < b}) \/ (?a b. s = {x | a < x /\ x < b}) \/ (?a b. s = {x | a < x /\ x <= b}) \/ (?a b. s = {x | a <= x /\ x < b}) \/ (?a b. s = {x | a <= x /\ x <= b})
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn1 > $o) > cartrealn1 > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(csetspec0, type, setspec0 : (cartrealn1 > $o > cartrealn1 > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cuniv0, type, univ0 : (cartrealn1 > $o)).
thf(cempty0, type, empty0 : (cartrealn1 > $o)).
thf(cisuu_interval, type, isu_interval : ((cartrealn1 > $o) > $o)).
thf(cisuu_realinterval, type, isu_realinterval : ((real > $o) > $o)).
thf(cuniv, type, univ : (real > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(real > $o),G:(real > $o)]:(![X:real]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(real > $o),T:(real > $o)]:((S = T) <=> ![X:real]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_DROP, axiom, ![P:(real > $o)]:(![X:real]:(P @ X) <=> ![X:cartrealn1]:(P @ (drop @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(real > $o),X:real]:((in @ X @ (gspec @ ^[V:real]:?[Y:real]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGEu_LIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1,S:(real > $o)]:((in0 @ X @ (image @ lift @ S)) <=> (in @ (drop @ X) @ S))).
thf(aINu_UNIV, axiom, ![X:real]:(in @ X @ univ)).
thf(aISu_INTERVALu_1u_CASES, axiom, ![S:(cartrealn1 > $o)]:((isu_interval @ S) <=> ((S = empty0) | (S = univ0) | ?[A:real]:(S = (gspec0 @ ^[GENR_PVARR_651:cartrealn1]:?[X:cartrealn1]:(setspec0 @ GENR_PVARR_651 @ (realu_lt @ A @ (drop @ X)) @ X))) | ?[A:real]:(S = (gspec0 @ ^[GENR_PVARR_652:cartrealn1]:?[X:cartrealn1]:(setspec0 @ GENR_PVARR_652 @ (realu_le @ A @ (drop @ X)) @ X))) | ?[B:real]:(S = (gspec0 @ ^[GENR_PVARR_653:cartrealn1]:?[X:cartrealn1]:(setspec0 @ GENR_PVARR_653 @ (realu_le @ (drop @ X) @ B) @ X))) | ?[B:real]:(S = (gspec0 @ ^[GENR_PVARR_654:cartrealn1]:?[X:cartrealn1]:(setspec0 @ GENR_PVARR_654 @ (realu_lt @ (drop @ X) @ B) @ X))) | ?[A:real,B:real]:(S = (gspec0 @ ^[GENR_PVARR_655:cartrealn1]:?[X:cartrealn1]:(setspec0 @ GENR_PVARR_655 @ ((realu_lt @ A @ (drop @ X)) & (realu_lt @ (drop @ X) @ B)) @ X))) | ?[A:real,B:real]:(S = (gspec0 @ ^[GENR_PVARR_656:cartrealn1]:?[X:cartrealn1]:(setspec0 @ GENR_PVARR_656 @ ((realu_lt @ A @ (drop @ X)) & (realu_le @ (drop @ X) @ B)) @ X))) | ?[A:real,B:real]:(S = (gspec0 @ ^[GENR_PVARR_657:cartrealn1]:?[X:cartrealn1]:(setspec0 @ GENR_PVARR_657 @ ((realu_le @ A @ (drop @ X)) & (realu_lt @ (drop @ X) @ B)) @ X))) | ?[A:real,B:real]:(S = (gspec0 @ ^[GENR_PVARR_658:cartrealn1]:?[X:cartrealn1]:(setspec0 @ GENR_PVARR_658 @ ((realu_le @ A @ (drop @ X)) & (realu_le @ (drop @ X) @ B)) @ X)))))).
thf(aISu_REALINTERVALu_ISu_INTERVAL, axiom, ![S:(real > $o)]:((isu_realinterval @ S) <=> (isu_interval @ (image @ lift @ S)))).
thf(aNOTu_INu_EMPTY, axiom, ![X:real]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o)]:((isu_realinterval @ S) <=> ((S = empty) | (S = univ) | ?[A:real]:(S = (gspec @ ^[GENR_PVARR_2363:real]:?[X:real]:(setspec @ GENR_PVARR_2363 @ (realu_lt @ A @ X) @ X))) | ?[A:real]:(S = (gspec @ ^[GENR_PVARR_2364:real]:?[X:real]:(setspec @ GENR_PVARR_2364 @ (realu_le @ A @ X) @ X))) | ?[B:real]:(S = (gspec @ ^[GENR_PVARR_2365:real]:?[X:real]:(setspec @ GENR_PVARR_2365 @ (realu_le @ X @ B) @ X))) | ?[B:real]:(S = (gspec @ ^[GENR_PVARR_2366:real]:?[X:real]:(setspec @ GENR_PVARR_2366 @ (realu_lt @ X @ B) @ X))) | ?[A:real,B:real]:(S = (gspec @ ^[GENR_PVARR_2367:real]:?[X:real]:(setspec @ GENR_PVARR_2367 @ ((realu_lt @ A @ X) & (realu_lt @ X @ B)) @ X))) | ?[A:real,B:real]:(S = (gspec @ ^[GENR_PVARR_2368:real]:?[X:real]:(setspec @ GENR_PVARR_2368 @ ((realu_lt @ A @ X) & (realu_le @ X @ B)) @ X))) | ?[A:real,B:real]:(S = (gspec @ ^[GENR_PVARR_2369:real]:?[X:real]:(setspec @ GENR_PVARR_2369 @ ((realu_le @ A @ X) & (realu_lt @ X @ B)) @ X))) | ?[A:real,B:real]:(S = (gspec @ ^[GENR_PVARR_2370:real]:?[X:real]:(setspec @ GENR_PVARR_2370 @ ((realu_le @ A @ X) & (realu_le @ X @ B)) @ X)))))).
