%   ORIGINAL: IS_REALINTERVAL_CONVEX_COMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_CMUL: !c x. c % x = Cx c * x
% Assm: CONVEX_LINEAR_IMAGE: !f s. convex s /\ linear f ==> convex (IMAGE f s)
% Assm: CX_ADD: !x y. Cx (x + y) = Cx x + Cx y
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: DROP_ADD: !x y. drop (x + y) = drop x + drop y
% Assm: DROP_CMUL: !x c. drop (c % x) = c * drop x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_CX: !s. IMAGE Cx s = {z | real z /\ Re z IN s}
% Assm: IMAGE_LIFT_DROP_conjunct1: !s. IMAGE (drop o lift) s = s
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IS_REALINTERVAL_CONVEX: !s. is_realinterval s <=> convex (IMAGE lift s)
% Assm: LIFT_ADD: !x y. lift (x + y) = lift x + lift y
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RE_ADD: !x y. Re (x + y) = Re x + Re y
% Assm: RE_CMUL: !a z. Re (a % z) = a * Re z
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !s. is_realinterval s <=> convex {z | real z /\ Re z IN s}
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !c x. c % x = Cx c * x
% Assm: !f s. convex s /\ linear f ==> convex (IMAGE f s)
% Assm: !x y. Cx (x + y) = Cx x + Cx y
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !x y. drop (x + y) = drop x + drop y
% Assm: !x c. drop (c % x) = c * drop x
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. IMAGE Cx s = {z | real z /\ Re z IN s}
% Assm: !s. IMAGE (drop o lift) s = s
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s. is_realinterval s <=> convex (IMAGE lift s)
% Assm: !x y. lift (x + y) = lift x + lift y
% Assm: !x c. lift (c * x) = c % lift x
% Assm: ~F <=> T
% Assm: !x y. Re (x + y) = Re x + Re y
% Assm: !a z. Re (a % z) = a * Re z
% Assm: !x. Re (Cx x) = x
% Assm: T
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f g h. f o g o h = (f o g) o h
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f g x. (f o g) x <=> f (g x)
% Goal: !s. is_realinterval s <=> convex {z | real z /\ Re z IN s}
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq47323, type, q47323 : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(td, type, d : $tType).
thf(tq47314, type, q47314 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq47319, type, q47319 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(co5, type, o5 : ((b > $o) > (a > b) > a > $o)).
thf(co4, type, o4 : ((c > d) > (b > c) > b > d)).
thf(co3, type, o3 : ((b > d) > (a > b) > a > d)).
thf(co2, type, o2 : ((b > c) > (a > b) > a > c)).
thf(co1, type, o1 : ((c > d) > (a > c) > a > d)).
thf(cru_2, type, r_2 : (real > cartrealn > cartrealn)).
thf(cru_1, type, r_1 : (real > cartrealm > cartrealm)).
thf(cvectoruu_add2, type, vectoru_add2 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealm > cartrealm > cartrealm)).
thf(cimage5, type, image5 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cimage4, type, image4 : ((q47314 > q47323) > (q47314 > $o) > q47323 > $o)).
thf(cimage3, type, image3 : ((q47323 > q47319) > (q47323 > $o) > q47319 > $o)).
thf(co0, type, o0 : ((q47323 > q47319) > (q47314 > q47323) > q47314 > q47319)).
thf(cimage2, type, image2 : ((q47314 > q47319) > (q47314 > $o) > q47319 > $o)).
thf(co, type, o : ((cartrealn1 > real) > (real > cartrealn1) > real > real)).
thf(cimage1, type, image1 : ((real > real) > (real > $o) > real > $o)).
thf(cimage0, type, image0 : ((real > cartrealn2) > (real > $o) > cartrealn2 > $o)).
thf(cru_0, type, r_0 : (real > cartrealn1 > cartrealn1)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cimage, type, image : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cru_, type, r_ : (real > cartrealn2 > cartrealn2)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(clinear0, type, linear0 : ((cartrealm > cartrealn) > $o)).
thf(cconvex0, type, convex0 : ((cartrealn1 > $o) > $o)).
thf(clinear, type, linear : ((cartrealn2 > cartrealn2) > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cconvex, type, convex : ((cartrealn2 > $o) > $o)).
thf(cisuu_realinterval, type, isu_realinterval : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_CMUL, axiom, ![C:real,X:cartrealn2]:((r_ @ C @ X) = (complexu_mul @ (cx @ C) @ X))).
thf(aCONVEXu_LINEARu_IMAGE, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((convex @ S) & (linear @ F)) => (convex @ (image @ F @ S)))).
thf(aCXu_ADD, axiom, ![X:real,Y:real]:((cx @ (realu_add @ X @ Y)) = (vectoru_add @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aDROPu_ADD, axiom, ![X:cartrealn1,Y:cartrealn1]:((drop @ (vectoru_add0 @ X @ Y)) = (realu_add @ (drop @ X) @ (drop @ Y)))).
thf(aDROPu_CMUL, axiom, ![X:cartrealn1,C:real]:((drop @ (r_0 @ C @ X)) = (realu_mul @ C @ (drop @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(real > $o),T:(real > $o)]:((S = T) <=> ![X:real]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGEu_CX, axiom, ![S:(real > $o)]:((image0 @ cx @ S) = (gspec @ ^[GENR_PVARR_2231:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2231 @ ((real0 @ Z) & (in @ (re @ Z) @ S)) @ Z)))).
thf(aIMAGEu_LIFTu_DROPu_conjunct1, axiom, ![S:(real > $o)]:((image1 @ (o @ drop @ lift) @ S) = S)).
thf(aIMAGEu_o, axiom, ![F:(q47323 > q47319),G:(q47314 > q47323),S:(q47314 > $o)]:((image2 @ (o0 @ F @ G) @ S) = (image3 @ F @ (image4 @ G @ S)))).
thf(aIN, axiom, ![P:(real > $o),X:real]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:real,S:(real > $o),F:(real > real)]:((in @ Y @ (image1 @ F @ S)) <=> ?[X:real]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aISu_REALINTERVALu_CONVEX, axiom, ![S:(real > $o)]:((isu_realinterval @ S) <=> (convex0 @ (image5 @ lift @ S)))).
thf(aLIFTu_ADD, axiom, ![X:real,Y:real]:((lift @ (realu_add @ X @ Y)) = (vectoru_add0 @ (lift @ X) @ (lift @ Y)))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_0 @ C @ (lift @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREu_ADD, axiom, ![X:cartrealn2,Y:cartrealn2]:((re @ (vectoru_add @ X @ Y)) = (realu_add @ (re @ X) @ (re @ Y)))).
thf(aREu_CMUL, axiom, ![A:real,Z:cartrealn2]:((re @ (r_ @ A @ Z)) = (realu_mul @ A @ (re @ Z)))).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(alinear, axiom, ![F:(cartrealm > cartrealn)]:((linear0 @ F) <=> (![X:cartrealm,Y:cartrealm]:((F @ (vectoru_add1 @ X @ Y)) = (vectoru_add2 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealm]:((F @ (r_1 @ C @ X)) = (r_2 @ C @ (F @ X)))))).
thf(aou_ASSOC, axiom, ![F:(c > d),G:(b > c),H:(a > b)]:((o1 @ F @ (o2 @ G @ H)) = (o3 @ (o4 @ F @ G) @ H))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o2 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(aou_THM, axiom, ![F:(b > $o),G:(a > b),X:a]:((o5 @ F @ G @ X) <=> (F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(real > $o)]:((isu_realinterval @ S) <=> (convex @ (gspec @ ^[GENR_PVARR_2371:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2371 @ ((real0 @ Z) & (in @ (re @ Z) @ S)) @ Z))))).
