%   ORIGINAL: real_interval_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: closed_real_interval: real_interval [a,b] = {x | a <= x /\ x <= b}
% Assm: open_real_interval: !a b. real_interval (a,b) = {x | a < x /\ x < b}
% Goal: real_interval [a,b] = {x | a <= x /\ x <= b}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !a b. real_interval [a,b] = {x | a <= x /\ x <= b}
% Assm: !a b. real_interval (a,b) = {x | a < x /\ x < b}
% Goal: !b a. real_interval [a,b] = {x | a <= x /\ x <= b}
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aclosedu_realu_interval, axiom, ![A:real,B:real]:((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = (gspec @ ^[GENR_PVARR_2373:real]:?[X:real]:(setspec @ GENR_PVARR_2373 @ ((realu_le @ A @ X) & (realu_le @ X @ B)) @ X)))).
thf(aopenu_realu_interval, axiom, ![A:real,B:real]:((openu_realu_interval @ (c_ @ A @ B)) = (gspec @ ^[GENR_PVARR_2372:real]:?[X:real]:(setspec @ GENR_PVARR_2372 @ ((realu_lt @ A @ X) & (realu_lt @ X @ B)) @ X)))).
thf(conjecture, conjecture, ![B:real,A:real]:((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = (gspec @ ^[GENR_PVARR_2375:real]:?[X:real]:(setspec @ GENR_PVARR_2375 @ ((realu_le @ A @ X) & (realu_le @ X @ B)) @ X)))).
