%   ORIGINAL: IN_REAL_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Assm: real_interval_conjunct0: real_interval (a,b) = {x | a < x /\ x < b}
% Assm: real_interval_conjunct1: real_interval [a,b] = {x | a <= x /\ x <= b}
% Goal: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Assm: !a b. real_interval (a,b) = {x | a < x /\ x < b}
% Assm: !a b. real_interval [a,b] = {x | a <= x /\ x <= b}
% Goal: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(real > $o),X:real]:((in @ X @ (gspec @ ^[V:real]:?[Y:real]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(arealu_intervalu_conjunct0, axiom, ![A:real,B:real]:((openu_realu_interval @ (c_ @ A @ B)) = (gspec @ ^[GENR_PVARR_2374:real]:?[X:real]:(setspec @ GENR_PVARR_2374 @ ((realu_lt @ A @ X) & (realu_lt @ X @ B)) @ X)))).
thf(arealu_intervalu_conjunct1, axiom, ![A:real,B:real]:((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = (gspec @ ^[GENR_PVARR_2375:real]:?[X:real]:(setspec @ GENR_PVARR_2375 @ ((realu_le @ A @ X) & (realu_le @ X @ B)) @ X)))).
thf(conjecture, conjecture, ![A:real,B:real,X:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ((realu_le @ A @ X) & (realu_le @ X @ B))) & ((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) <=> ((realu_lt @ A @ X) & (realu_lt @ X @ B))))).
