%   ORIGINAL: REAL_INTERVAL_INTERVAL_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXISTS_LIFT: (?x. P x) <=> (?x. P (lift x))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTERVAL_1: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: IN_REAL_INTERVAL: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Goal: real_interval [a,b] = IMAGE drop (interval [lift a,lift b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (?x. P x) <=> (?x. P (lift x))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
% Assm: !x. drop (lift x) = x
% Assm: T
% Goal: !b a. real_interval [a,b] = IMAGE drop (interval [lift a,lift b])
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage, type, image : ((cartrealn1 > real) > (cartrealn1 > $o) > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXISTSu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(?[X:cartrealn1]:(P @ X) <=> ?[X:real]:(P @ (lift @ X)))).
thf(aEXTENSION, axiom, ![S:(real > $o),T:(real > $o)]:((S = T) <=> ![X:real]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_IMAGE, axiom, ![Y:real,S:(cartrealn1 > $o),F:(cartrealn1 > real)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn1]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_INTERVALu_1, axiom, ![A:cartrealn1,B:cartrealn1,X:cartrealn1]:(((in0 @ X @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) <=> ((realu_le @ (drop @ A) @ (drop @ X)) & (realu_le @ (drop @ X) @ (drop @ B)))) & ((in0 @ X @ (openu_interval @ (c_0 @ A @ B))) <=> ((realu_lt @ (drop @ A) @ (drop @ X)) & (realu_lt @ (drop @ X) @ (drop @ B)))))).
thf(aINu_REALu_INTERVAL, axiom, ![A:real,B:real,X:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ((realu_le @ A @ X) & (realu_le @ X @ B))) & ((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) <=> ((realu_lt @ A @ X) & (realu_lt @ X @ B))))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:real,A:real]:((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = (image @ drop @ (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0))))).
