%   ORIGINAL: REAL_CONTINUOUS_CONTINUOUS_ATREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_AT: !f x. f continuous at x <=> (f --> f x) (at x)
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: REALLIM_ATREAL_AT: (f ---> a) (atreal x) <=> (f o drop ---> a) (at (lift x))
% Assm: REAL_CONTINUOUS_ATREAL: !f x. f real_continuous atreal x <=> (f ---> f x) (atreal x)
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: f real_continuous atreal x <=> lift o f o drop continuous at (lift x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f x. f continuous at x <=> (f --> f x) (at x)
% Assm: !x. drop (lift x) = x
% Assm: !f a x. (f ---> a) (atreal x) <=> (f o drop ---> a) (at (lift x))
% Assm: !f x. f real_continuous atreal x <=> (f ---> f x) (atreal x)
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !x f. f real_continuous atreal x <=> lift o f o drop continuous at (lift x)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuous, type, continuous : ((cartrealn1 > cartrealn1) > netcartrealn1 > $o)).
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(cmu_mu_mu_gu_0, type, m_m_m_g_0 : ((cartrealn1 > real) > real > netcartrealn1 > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((real > real) > real > netreal > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealn1 > cartrealn1) > cartrealn1 > netcartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_AT, axiom, ![F:(cartrealn1 > cartrealn1),X:cartrealn1]:((continuous @ F @ (at @ X)) <=> (m_m_g_ @ F @ (F @ X) @ (at @ X)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aREALLIMu_ATREALu_AT, axiom, ![F:(real > real),A:real,X:real]:((m_m_m_g_ @ F @ A @ (atreal @ X)) <=> (m_m_m_g_0 @ (o0 @ F @ drop) @ A @ (at @ (lift @ X))))).
thf(aREALu_CONTINUOUSu_ATREAL, axiom, ![F:(real > real),X:real]:((realu_continuous @ F @ (atreal @ X)) <=> (m_m_m_g_ @ F @ (F @ X) @ (atreal @ X)))).
thf(aTENDSTOu_REAL, axiom, ![S:(cartrealn1 > real),L:real]:((m_m_m_g_0 @ S @ L) = (m_m_g_ @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_THMu_monomorphized1, axiom, ![F:(real > real),G:(cartrealn1 > real),X:cartrealn1]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(real > cartrealn1),G:(cartrealn1 > real),X:cartrealn1]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![X:real,F:(real > real)]:((realu_continuous @ F @ (atreal @ X)) <=> (continuous @ (o @ lift @ (o0 @ F @ drop)) @ (at @ (lift @ X))))).
