%   ORIGINAL: REAL_CONTINUOUS_AT_ARG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_AT_ARG: !z. ~(real z /\ &0 <= Re z) ==> Cx o Arg continuous at z
% Assm: REAL_CONTINUOUS_CONTINUOUS: f real_continuous net <=> Cx o f continuous net
% Assm: TRUTH: T
% Goal: !z. ~(real z /\ &0 <= Re z) ==> Arg real_continuous at z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. ~(real z /\ &0 <= Re z) ==> Cx o Arg continuous at z
% Assm: !f net. f real_continuous net <=> Cx o f continuous net
% Assm: T
% Goal: !z. ~(real z /\ &0 <= Re z) ==> Arg real_continuous at z
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(crealuu_continuous, type, realu_continuous : ((cartrealn2 > real) > netcartrealn2 > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(co, type, o : ((real > cartrealn2) > (cartrealn2 > real) > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ATu_ARG, axiom, ![Z:cartrealn2]:(~ (((real0 @ Z) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z)))) => (continuous @ (o @ cx @ arg) @ (at @ Z)))).
thf(aREALu_CONTINUOUSu_CONTINUOUS, axiom, ![F:(cartrealn2 > real),NET:netcartrealn2]:((realu_continuous @ F @ NET) <=> (continuous @ (o @ cx @ F) @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn2]:(~ (((real0 @ Z) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (re @ Z)))) => (realu_continuous @ arg @ (at @ Z)))).
