%   ORIGINAL: REAL_DIFFERENTIABLE_ON_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_DERIVATIVE_WITHIN_SUBSET: !f s t x. (f has_real_derivative f') (atreal x within s) /\ t SUBSET s ==> (f has_real_derivative f') (atreal x within t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: real_differentiable_on: !f s. f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x within s)))
% Goal: !f s t. f real_differentiable_on s /\ t SUBSET s ==> f real_differentiable_on t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f' f s t x. (f has_real_derivative f') (atreal x within s) /\ t SUBSET s ==> (f has_real_derivative f') (atreal x within t)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !f s. f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x within s)))
% Goal: !f s t. f real_differentiable_on s /\ t SUBSET s ==> f real_differentiable_on t
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (real > (real > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_differentiableuu_on, type, realu_differentiableu_on : ((real > real) > (real > $o) > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_DERIVATIVEu_WITHINu_SUBSET, axiom, ![FI_:real,F:(real > real),S:(real > $o),T:(real > $o),X:real]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (subset @ T @ S)) => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(real > $o),T:(real > $o)]:((subset @ S @ T) <=> ![X:real]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(arealu_differentiableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_differentiableu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o)]:(((realu_differentiableu_on @ F @ S) & (subset @ T @ S)) => (realu_differentiableu_on @ F @ T))).
