%   ORIGINAL: REAL_DIFFERENTIABLE_WITHIN_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_DERIVATIVE_WITHIN_SUBSET: !f s t x. (f has_real_derivative f') (atreal x within s) /\ t SUBSET s ==> (f has_real_derivative f') (atreal x within t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_differentiable: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Goal: !f s t. f real_differentiable atreal x within s /\ t SUBSET s ==> f real_differentiable atreal x within t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f' f s t x. (f has_real_derivative f') (atreal x within s) /\ t SUBSET s ==> (f has_real_derivative f') (atreal x within t)
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Goal: !x f s t. f real_differentiable atreal x within s /\ t SUBSET s ==> f real_differentiable atreal x within t
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_differentiable, type, realu_differentiable : ((real > real) > netreal > $o)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_DERIVATIVEu_WITHINu_SUBSET, axiom, ![FI_:real,F:(real > real),S:(real > $o),T:(real > $o),X:real]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (subset @ T @ S)) => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_differentiable, axiom, ![F:(real > real),NET:netreal]:((realu_differentiable @ F @ NET) <=> ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![X:real,F:(real > real),S:(real > $o),T:(real > $o)]:(((realu_differentiable @ F @ (within @ (atreal @ X) @ S)) & (subset @ T @ S)) => (realu_differentiable @ F @ (within @ (atreal @ X) @ T)))).
