%   ORIGINAL: REAL_DIFFERENTIABLE_ATREAL_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_DERIVATIVE_ATREAL_WITHIN: !f f' x s. (f has_real_derivative f') (atreal x) ==> (f has_real_derivative f') (atreal x within s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_differentiable: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Goal: !f s z. f real_differentiable atreal z ==> f real_differentiable atreal z within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f f' x s. (f has_real_derivative f') (atreal x) ==> (f has_real_derivative f') (atreal x within s)
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Goal: !f s z. f real_differentiable atreal z ==> f real_differentiable atreal z within s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_differentiable, type, realu_differentiable : ((real > real) > netreal > $o)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_DERIVATIVEu_ATREALu_WITHIN, axiom, ![F:(real > real),FI_:real,X:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_differentiable, axiom, ![F:(real > real),NET:netreal]:((realu_differentiable @ F @ NET) <=> ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),Z:real]:((realu_differentiable @ F @ (atreal @ Z)) => (realu_differentiable @ F @ (within @ (atreal @ Z) @ S)))).
