%   ORIGINAL: HAS_REAL_DERIVATIVE_TRANSFORM_ATREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_DERIVATIVE_TRANSFORM_WITHIN: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ abs (x' - x) < d ==> f x' = g x') /\ (f has_real_derivative f') (atreal x within s) ==> (g has_real_derivative f') (atreal x within s)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: WITHINREAL_UNIV: !x. atreal x within (:real) = atreal x
% Goal: !f f' g x d. &0 < d /\ (!x'. abs (x' - x) < d ==> f x' = g x') /\ (f has_real_derivative f') (atreal x) ==> (g has_real_derivative f') (atreal x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ abs (x' - x) < d ==> f x' = g x') /\ (f has_real_derivative f') (atreal x within s) ==> (g has_real_derivative f') (atreal x within s)
% Assm: !x. x IN (:A)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !x. atreal x within (:real) = atreal x
% Goal: !f f' g x d. &0 < d /\ (!x'. abs (x' - x) < d ==> f x' = g x') /\ (f has_real_derivative f') (atreal x) ==> (g has_real_derivative f') (atreal x)
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (real > $o)).
thf(cuniv, type, univ : (a > $o)).
thf(ci, type, i : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_DERIVATIVEu_TRANSFORMu_WITHIN, axiom, ![F:(real > real),FI_:real,G:(real > real),X:real,S:(real > $o),D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (in @ X @ S) & ![XI_:real]:(((in @ XI_ @ S) & (realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D)) => ((F @ XI_) = (G @ XI_))) & (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))) => (hasu_realu_derivative @ G @ FI_ @ (within @ (atreal @ X) @ S)))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ)).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWITHINREALu_UNIV, axiom, ![X:real]:((within @ (atreal @ X) @ univ0) = (atreal @ X))).
thf(conjecture, conjecture, ![F:(real > real),FI_:real,G:(real > real),X:real,D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:real]:((realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D) => ((F @ XI_) = (G @ XI_))) & (hasu_realu_derivative @ F @ FI_ @ (atreal @ X))) => (hasu_realu_derivative @ G @ FI_ @ (atreal @ X)))).
