%   ORIGINAL: HAS_REAL_DERIVATIVE_ZERO_CONSTANT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_REAL: (!z. real z ==> P z) <=> (!x. P (Cx x))
% Assm: HAS_COMPLEX_DERIVATIVE_ZERO_CONSTANT: !f s. convex s /\ (!x. x IN s ==> (f has_complex_derivative Cx (&0)) (at x within s)) ==> (?c. !x. x IN s ==> f x = c)
% Assm: HAS_REAL_COMPLEX_DERIVATIVE_WITHIN: (f has_real_derivative f') (atreal a within s) <=> (Cx o f o Re has_complex_derivative Cx f') (at (Cx a) within {z | real z /\ Re z IN s})
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IS_REALINTERVAL_CONVEX_COMPLEX: !s. is_realinterval s <=> convex {z | real z /\ Re z IN s}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f s. is_realinterval s /\ (!x. x IN s ==> (f has_real_derivative &0) (atreal x within s)) ==> (?c. !x. x IN s ==> f x = c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (!z. real z ==> P z) <=> (!x. P (Cx x))
% Assm: !f s. convex s /\ (!x. x IN s ==> (f has_complex_derivative Cx (&0)) (at x within s)) ==> (?c. !x. x IN s ==> f x = c)
% Assm: !f f' a s. (f has_real_derivative f') (atreal a within s) <=> (Cx o f o Re has_complex_derivative Cx f') (at (Cx a) within {z | real z /\ Re z IN s})
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s. is_realinterval s <=> convex {z | real z /\ Re z IN s}
% Assm: ~F <=> T
% Assm: !x. Re (Cx x) = x
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f s. is_realinterval s /\ (!x. x IN s ==> (f has_real_derivative &0) (atreal x within s)) ==> (?c. !x. x IN s ==> f x = c)
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cgspec0, type, gspec0 : ((real > $o) > real > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cin0, type, in0 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(co1, type, o1 : ((b > real) > (a > b) > a > real)).
thf(csetspec0, type, setspec0 : (real > $o > real > $o)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn2 > real) > cartrealn2 > real)).
thf(co, type, o : ((real > cartrealn2) > (cartrealn2 > real) > cartrealn2 > cartrealn2)).
thf(cwithin0, type, within0 : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cconvex, type, convex : ((cartrealn2 > $o) > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(cisuu_realinterval, type, isu_realinterval : ((real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_REAL, axiom, ![P:(cartrealn2 > $o)]:(![Z:cartrealn2]:((real0 @ Z) => (P @ Z)) <=> ![X:real]:(P @ (cx @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_ZEROu_CONSTANT, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((convex @ S) & ![X:cartrealn2]:((in0 @ X @ S) => (hasu_complexu_derivative @ F @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ (within0 @ (at @ X) @ S)))) => ?[C:cartrealn2]:![X:cartrealn2]:((in0 @ X @ S) => ((F @ X) = C)))).
thf(aHASu_REALu_COMPLEXu_DERIVATIVEu_WITHIN, axiom, ![F:(real > real),FI_:real,A:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ A) @ S)) <=> (hasu_complexu_derivative @ (o @ cx @ (o0 @ F @ re)) @ (cx @ FI_) @ (within0 @ (at @ (cx @ A)) @ (gspec @ ^[GENR_PVARR_2358:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2358 @ ((real0 @ Z) & (in @ (re @ Z) @ S)) @ Z)))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(real > $o),X:real]:((in @ X @ (gspec0 @ ^[V:real]:?[Y:real]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aISu_REALINTERVALu_CONVEXu_COMPLEX, axiom, ![S:(real > $o)]:((isu_realinterval @ S) <=> (convex @ (gspec @ ^[GENR_PVARR_2371:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2371 @ ((real0 @ Z) & (in @ (re @ Z) @ S)) @ Z))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:(((isu_realinterval @ S) & ![X:real]:((in @ X @ S) => (hasu_realu_derivative @ F @ (realu_ofu_num @ (numeral @ u_0)) @ (within @ (atreal @ X) @ S)))) => ?[C:real]:![X:real]:((in @ X @ S) => ((F @ X) = C)))).
