%   ORIGINAL: HAS_REAL_DERIVATIVE_ZERO_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_DERIVATIVE_ZERO_CONSTANT: !f s. is_realinterval s /\ (!x. x IN s ==> (f has_real_derivative &0) (atreal x within s)) ==> (?c. !x. x IN s ==> f x = c)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s c a. is_realinterval s /\ a IN s /\ f a = c /\ (!x. x IN s ==> (f has_real_derivative &0) (atreal x within s)) ==> (!x. x IN s ==> f x = c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. is_realinterval s /\ (!x. x IN s ==> (f has_real_derivative &0) (atreal x within s)) ==> (?c. !x. x IN s ==> f x = c)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f s c a. is_realinterval s /\ a IN s /\ f a = c /\ (!x. x IN s ==> (f has_real_derivative &0) (atreal x within s)) ==> (!x. x IN s ==> f x = c)
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cisuu_realinterval, type, isu_realinterval : ((real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_DERIVATIVEu_ZEROu_CONSTANT, axiom, ![F:(real > real),S:(real > $o)]:(((isu_realinterval @ S) & ![X:real]:((in @ X @ S) => (hasu_realu_derivative @ F @ (realu_ofu_num @ (numeral @ u_0)) @ (within @ (atreal @ X) @ S)))) => ?[C:real]:![X:real]:((in @ X @ S) => ((F @ X) = C)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),C:real,A:real]:(((isu_realinterval @ S) & (in @ A @ S) & ((F @ A) = C) & ![X:real]:((in @ X @ S) => (hasu_realu_derivative @ F @ (realu_ofu_num @ (numeral @ u_0)) @ (within @ (atreal @ X) @ S)))) => ![X:real]:((in @ X @ S) => ((F @ X) = C)))).
