%   ORIGINAL: REAL_DIFF_CHAIN_ATREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_DERIVATIVE_WITHIN_SUBSET: !f s t x. (f has_real_derivative f') (atreal x within s) /\ t SUBSET s ==> (f has_real_derivative f') (atreal x within t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIFF_CHAIN_WITHIN: !f g f' g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal (f x) within IMAGE f s) ==> (g o f has_real_derivative g' * f') (atreal x within s)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Assm: WITHINREAL_UNIV: !x. atreal x within (:real) = atreal x
% Goal: !f g f' g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal (f x)) ==> (g o f has_real_derivative g' * f') (atreal x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f' f s t x. (f has_real_derivative f') (atreal x within s) /\ t SUBSET s ==> (f has_real_derivative f') (atreal x within t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f g f' g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal (f x) within IMAGE f s) ==> (g o f has_real_derivative g' * f') (atreal x within s)
% Assm: !s. s SUBSET (:A)
% Assm: T
% Assm: !x. atreal x within (:real) = atreal x
% Goal: !f g f' g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal (f x)) ==> (g o f has_real_derivative g' * f') (atreal x)
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuniv0, type, univ0 : (real > $o)).
thf(cuniv, type, univ : (a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_DERIVATIVEu_WITHINu_SUBSET, axiom, ![FI_:real,F:(real > real),S:(real > $o),T:(real > $o),X:real]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (subset @ T @ S)) => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIFFu_CHAINu_WITHIN, axiom, ![F:(real > real),G:(real > real),FI_:real,GI_:real,X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (hasu_realu_derivative @ G @ GI_ @ (within @ (atreal @ (F @ X)) @ (image @ F @ S)))) => (hasu_realu_derivative @ (o @ G @ F) @ (realu_mul @ GI_ @ FI_) @ (within @ (atreal @ X) @ S)))).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset0 @ S @ univ)).
thf(aTRUTH, axiom, $true).
thf(aWITHINREALu_UNIV, axiom, ![X:real]:((within @ (atreal @ X) @ univ0) = (atreal @ X))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),FI_:real,GI_:real,X:real]:(((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) & (hasu_realu_derivative @ G @ GI_ @ (atreal @ (F @ X)))) => (hasu_realu_derivative @ (o @ G @ F) @ (realu_mul @ GI_ @ FI_) @ (atreal @ X)))).
