%   ORIGINAL: HAS_REAL_DERIVATIVE_CHAIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HAS_REAL_DERIVATIVE_ATREAL_WITHIN: !f f' x s. (f has_real_derivative f') (atreal x) ==> (f has_real_derivative f') (atreal x within s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIFF_CHAIN_ATREAL: !f g f' g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal (f x)) ==> (g o f has_real_derivative g' * f') (atreal x)
% Assm: REAL_DIFF_CHAIN_WITHIN: !f g f' g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal (f x) within IMAGE f s) ==> (g o f has_real_derivative g' * f') (atreal x within s)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !P f g. (!x. P x ==> (g has_real_derivative g' x) (atreal x)) ==> (!x s. (f has_real_derivative f') (atreal x within s) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x within s)) /\ (!x. (f has_real_derivative f') (atreal x) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f f' x s. (f has_real_derivative f') (atreal x) ==> (f has_real_derivative f') (atreal x within s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f g f' g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal (f x)) ==> (g o f has_real_derivative g' * f') (atreal x)
% Assm: !f g f' g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal (f x) within IMAGE f s) ==> (g o f has_real_derivative g' * f') (atreal x within s)
% Assm: !x y. x * y = y * x
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !g' f' P f g. (!x. P x ==> (g has_real_derivative g' x) (atreal x)) ==> (!x s. (f has_real_derivative f') (atreal x within s) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x within s)) /\ (!x. (f has_real_derivative f') (atreal x) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x))
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHASu_REALu_DERIVATIVEu_ATREALu_WITHIN, axiom, ![F:(real > real),FI_:real,X:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIFFu_CHAINu_ATREAL, axiom, ![F:(real > real),G:(real > real),FI_:real,GI_:real,X:real]:(((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) & (hasu_realu_derivative @ G @ GI_ @ (atreal @ (F @ X)))) => (hasu_realu_derivative @ (o @ G @ F) @ (realu_mul @ GI_ @ FI_) @ (atreal @ X)))).
thf(aREALu_DIFFu_CHAINu_WITHIN, axiom, ![F:(real > real),G:(real > real),FI_:real,GI_:real,X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (hasu_realu_derivative @ G @ GI_ @ (within @ (atreal @ (F @ X)) @ (image @ F @ S)))) => (hasu_realu_derivative @ (o @ G @ F) @ (realu_mul @ GI_ @ FI_) @ (within @ (atreal @ X) @ S)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![GI_:(real > real),FI_:real,P:(real > $o),F:(real > real),G:(real > real)]:(![X:real]:((P @ X) => (hasu_realu_derivative @ G @ (GI_ @ X) @ (atreal @ X))) => (![X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (P @ (F @ X))) => (hasu_realu_derivative @ ^[X:real]:(G @ (F @ X)) @ (realu_mul @ FI_ @ (GI_ @ (F @ X))) @ (within @ (atreal @ X) @ S))) & ![X:real]:(((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) & (P @ (F @ X))) => (hasu_realu_derivative @ ^[X:real]:(G @ (F @ X)) @ (realu_mul @ FI_ @ (GI_ @ (F @ X))) @ (atreal @ X)))))).
