%   ORIGINAL: REAL_DERIVATIVE_UNIQUE_ATREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: FRECHET_DERIVATIVE_UNIQUE_AT: !f f' f'' x. (f has_derivative f') (at x) /\ (f has_derivative f'') (at x) ==> f' = f''
% Assm: HAS_REAL_FRECHET_DERIVATIVE_AT: (f has_real_derivative f') (atreal x) <=> (lift o f o drop has_derivative (\x. f' % x)) (at (lift x))
% Assm: TRUTH: T
% Assm: VECTOR_MUL_RCANCEL: !a b x. a % x = b % x <=> a = b \/ x = vec 0
% Assm: VEC_EQ: !m n. vec m = vec n <=> m = n
% Goal: !f z f' f''. (f has_real_derivative f') (atreal z) /\ (f has_real_derivative f'') (atreal z) ==> f' = f''
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !f f' f'' x. (f has_derivative f') (at x) /\ (f has_derivative f'') (at x) ==> f' = f''
% Assm: !f f' x. (f has_real_derivative f') (atreal x) <=> (lift o f o drop has_derivative (\x. f' % x)) (at (lift x))
% Assm: T
% Assm: !a b x. a % x = b % x <=> a = b \/ x = vec 0
% Assm: !m n. vec m = vec n <=> m = n
% Goal: !f z f' f''. (f has_real_derivative f') (atreal z) /\ (f has_real_derivative f'') (atreal z) ==> f' = f''
%  TYPES
thf(tq100028, type, q100028 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(tcartrealq100028, type, cartrealq100028 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tq97754, type, q97754 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq97754, type, cartrealq97754 : $tType).
%  CONSTS
thf(cat0, type, at0 : (cartrealn1 > netcartrealn1)).
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cru_0, type, r_0 : (real > cartrealq100028 > cartrealq100028)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > cartrealn1) > netcartrealn1 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealm > cartrealn) > (cartrealm > cartrealn) > netcartrealm > $o)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(cvec0, type, vec0 : (num > cartrealq97754)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cvec, type, vec : (num > cartrealq100028)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aFRECHETu_DERIVATIVEu_UNIQUEu_AT, axiom, ![F:(cartrealm > cartrealn),FI_:(cartrealm > cartrealn),FI_I_:(cartrealm > cartrealn),X:cartrealm]:(((hasu_derivative @ F @ FI_ @ (at @ X)) & (hasu_derivative @ F @ FI_I_ @ (at @ X))) => (FI_ = FI_I_))).
thf(aHASu_REALu_FRECHETu_DERIVATIVEu_AT, axiom, ![F:(real > real),FI_:real,X:real]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) <=> (hasu_derivative0 @ (o @ lift @ (o0 @ F @ drop)) @ ^[X0:cartrealn1]:(r_ @ FI_ @ X0) @ (at0 @ (lift @ X))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_RCANCEL, axiom, ![A:real,B:real,X:cartrealq100028]:(((r_0 @ A @ X) = (r_0 @ B @ X)) <=> ((A = B) | (X = (vec @ (numeral @ u_0)))))).
thf(aVECu_EQ, axiom, ![M:num,N:num]:(((vec0 @ M) = (vec0 @ N)) <=> (M = N))).
thf(conjecture, conjecture, ![F:(real > real),Z:real,FI_:real,FI_I_:real]:(((hasu_realu_derivative @ F @ FI_ @ (atreal @ Z)) & (hasu_realu_derivative @ F @ FI_I_ @ (atreal @ Z))) => (FI_ = FI_I_))).
