%   ORIGINAL: HAS_REAL_DERIVATIVE_DIFFERENTIABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_derivative: !f x. real_derivative f x = (@f'. (f has_real_derivative f') (atreal x))
% Assm: real_differentiable: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Goal: !f x. (f has_real_derivative real_derivative f x) (atreal x) <=> f real_differentiable atreal x
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: ~F <=> T
% Assm: T
% Assm: !f x. real_derivative f x = (@f'. (f has_real_derivative f') (atreal x))
% Assm: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Goal: !f x. (f has_real_derivative real_derivative f x) (atreal x) <=> f real_differentiable atreal x
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chu_0, type, h_0 : ((real > $o) > real)).
thf(crealuu_differentiable, type, realu_differentiable : ((real > real) > netreal > $o)).
thf(crealuu_derivative, type, realu_derivative : ((real > real) > real > real)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_derivative, axiom, ![F:(real > real),X:real]:((realu_derivative @ F @ X) = (h_0 @ ^[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ (atreal @ X))))).
thf(arealu_differentiable, axiom, ![F:(real > real),NET:netreal]:((realu_differentiable @ F @ NET) <=> ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![F:(real > real),X:real]:((hasu_realu_derivative @ F @ (realu_derivative @ F @ X) @ (atreal @ X)) <=> (realu_differentiable @ F @ (atreal @ X)))).
