%   ORIGINAL: HAS_REAL_DERIVATIVE_CDIV_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_DERIVATIVE_RMUL_WITHIN: !f f' c x s. (f has_real_derivative f') (atreal x within s) ==> ((\x. f x * c) has_real_derivative f' * c) (atreal x within s)
% Assm: TRUTH: T
% Assm: real_div: !x y. x / y = x * inv y
% Goal: !f f' c x s. (f has_real_derivative f') (atreal x within s) ==> ((\x. f x / c) has_real_derivative f' / c) (atreal x within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' c x s. (f has_real_derivative f') (atreal x within s) ==> ((\x. f x * c) has_real_derivative f' * c) (atreal x within s)
% Assm: T
% Assm: !x y. x / y = x * inv y
% Goal: !f f' c x s. (f has_real_derivative f') (atreal x within s) ==> ((\x. f x / c) has_real_derivative f' / c) (atreal x within s)
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(crealuu_inv, type, realu_inv : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_DERIVATIVEu_RMULu_WITHIN, axiom, ![F:(real > real),FI_:real,C:real,X:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) => (hasu_realu_derivative @ ^[X:real]:(realu_mul @ (F @ X) @ C) @ (realu_mul @ FI_ @ C) @ (within @ (atreal @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(conjecture, conjecture, ![F:(real > real),FI_:real,C:real,X:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) => (hasu_realu_derivative @ ^[X:real]:(realu_div @ (F @ X) @ C) @ (realu_div @ FI_ @ C) @ (within @ (atreal @ X) @ S)))).
