%   ORIGINAL: HAS_REAL_DERIVATIVE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_DERIVATIVE_ADD: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x + g x) has_real_derivative f' + g') net
% Assm: HAS_REAL_DERIVATIVE_NEG: !f f' net. (f has_real_derivative f') net ==> ((\x. --f x) has_real_derivative --f') net
% Assm: TRUTH: T
% Assm: real_sub: !x y. x - y = x + --y
% Goal: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x - g x) has_real_derivative f' - g') net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x + g x) has_real_derivative f' + g') net
% Assm: !f f' net. (f has_real_derivative f') net ==> ((\x. --f x) has_real_derivative --f') net
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x - g x) has_real_derivative f' - g') net
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_DERIVATIVEu_ADD, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,NET:netreal]:(((hasu_realu_derivative @ F @ FI_ @ NET) & (hasu_realu_derivative @ G @ GI_ @ NET)) => (hasu_realu_derivative @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X)) @ (realu_add @ FI_ @ GI_) @ NET))).
thf(aHASu_REALu_DERIVATIVEu_NEG, axiom, ![F:(real > real),FI_:real,NET:netreal]:((hasu_realu_derivative @ F @ FI_ @ NET) => (hasu_realu_derivative @ ^[X:real]:(realu_neg @ (F @ X)) @ (realu_neg @ FI_) @ NET))).
thf(aTRUTH, axiom, $true).
thf(arealu_sub, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_neg @ Y)))).
thf(conjecture, conjecture, ![F:(real > real),FI_:real,G:(real > real),GI_:real,NET:netreal]:(((hasu_realu_derivative @ F @ FI_ @ NET) & (hasu_realu_derivative @ G @ GI_ @ NET)) => (hasu_realu_derivative @ ^[X:real]:(realu_sub @ (F @ X) @ (G @ X)) @ (realu_sub @ FI_ @ GI_) @ NET))).
