%   ORIGINAL: HAS_REAL_DERIVATIVE_MUL_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_ADD: !x y. Cx (x + y) = Cx x + Cx y
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: HAS_COMPLEX_DERIVATIVE_MUL_WITHIN: !f f' g g' x s. (f has_complex_derivative f') (at x within s) /\ (g has_complex_derivative g') (at x within s) ==> ((\x. f x * g x) has_complex_derivative f x * g' + f' * g x) (at x within s)
% Assm: HAS_REAL_COMPLEX_DERIVATIVE_WITHIN: (f has_real_derivative f') (atreal a within s) <=> (Cx o f o Re has_complex_derivative Cx f') (at (Cx a) within {z | real z /\ Re z IN s})
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) ==> ((\x. f x * g x) has_real_derivative f x * g' + f' * g x) (atreal x within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. Cx (x + y) = Cx x + Cx y
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !f f' g g' x s. (f has_complex_derivative f') (at x within s) /\ (g has_complex_derivative g') (at x within s) ==> ((\x. f x * g x) has_complex_derivative f x * g' + f' * g x) (at x within s)
% Assm: !f f' a s. (f has_real_derivative f') (atreal a within s) <=> (Cx o f o Re has_complex_derivative Cx f') (at (Cx a) within {z | real z /\ Re z IN s})
% Assm: !x. Re (Cx x) = x
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) ==> ((\x. f x * g x) has_real_derivative f x * g' + f' * g x) (atreal x within s)
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn2 > real) > cartrealn2 > real)).
thf(co, type, o : ((real > cartrealn2) > (cartrealn2 > real) > cartrealn2 > cartrealn2)).
thf(cwithin0, type, within0 : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_ADD, axiom, ![X:real,Y:real]:((cx @ (realu_add @ X @ Y)) = (vectoru_add @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_MULu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,G:(cartrealn2 > cartrealn2),GI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:(((hasu_complexu_derivative @ F @ FI_ @ (within0 @ (at @ X) @ S)) & (hasu_complexu_derivative @ G @ GI_ @ (within0 @ (at @ X) @ S))) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_mul @ (F @ X) @ (G @ X)) @ (vectoru_add @ (complexu_mul @ (F @ X) @ GI_) @ (complexu_mul @ FI_ @ (G @ X))) @ (within0 @ (at @ X) @ S)))).
thf(aHASu_REALu_COMPLEXu_DERIVATIVEu_WITHIN, axiom, ![F:(real > real),FI_:real,A:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ A) @ S)) <=> (hasu_complexu_derivative @ (o @ cx @ (o0 @ F @ re)) @ (cx @ FI_) @ (within0 @ (at @ (cx @ A)) @ (gspec @ ^[GENR_PVARR_2358:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2358 @ ((real0 @ Z) & (in @ (re @ Z) @ S)) @ Z)))))).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),FI_:real,G:(real > real),GI_:real,X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (hasu_realu_derivative @ G @ GI_ @ (within @ (atreal @ X) @ S))) => (hasu_realu_derivative @ ^[X:real]:(realu_mul @ (F @ X) @ (G @ X)) @ (realu_add @ (realu_mul @ (F @ X) @ GI_) @ (realu_mul @ FI_ @ (G @ X))) @ (within @ (atreal @ X) @ S)))).
