%   ORIGINAL: HAS_REAL_DERIVATIVE_MUL_ATREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_DERIVATIVE_MUL_WITHIN: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) ==> ((\x. f x * g x) has_real_derivative f x * g' + f' * g x) (atreal x within s)
% Assm: TRUTH: T
% Assm: WITHINREAL_UNIV: !x. atreal x within (:real) = atreal x
% Goal: !f f' g g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal x) ==> ((\x. f x * g x) has_real_derivative f x * g' + f' * g x) (atreal x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) ==> ((\x. f x * g x) has_real_derivative f x * g' + f' * g x) (atreal x within s)
% Assm: T
% Assm: !x. atreal x within (:real) = atreal x
% Goal: !f f' g g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal x) ==> ((\x. f x * g x) has_real_derivative f x * g' + f' * g x) (atreal x)
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_DERIVATIVEu_MULu_WITHIN, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (hasu_realu_derivative @ G @ GI_ @ (within @ (atreal @ X) @ S))) => (hasu_realu_derivative @ ^[X:real]:(realu_mul @ (F @ X) @ (G @ X)) @ (realu_add @ (realu_mul @ (F @ X) @ GI_) @ (realu_mul @ FI_ @ (G @ X))) @ (within @ (atreal @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(aWITHINREALu_UNIV, axiom, ![X:real]:((within @ (atreal @ X) @ univ) = (atreal @ X))).
thf(conjecture, conjecture, ![F:(real > real),FI_:real,G:(real > real),GI_:real,X:real]:(((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) & (hasu_realu_derivative @ G @ GI_ @ (atreal @ X))) => (hasu_realu_derivative @ ^[X:real]:(realu_mul @ (F @ X) @ (G @ X)) @ (realu_add @ (realu_mul @ (F @ X) @ GI_) @ (realu_mul @ FI_ @ (G @ X))) @ (atreal @ X)))).
