%   ORIGINAL: HAS_REAL_DERIVATIVE_POW_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: CX_POW: !x n. Cx (x pow n) = Cx x pow n
% Assm: HAS_COMPLEX_DERIVATIVE_POW_WITHIN: !f f' x s n. (f has_complex_derivative f') (at x within s) ==> ((\x. f x pow n) has_complex_derivative Cx (&n) * f x pow (n - 1) * f') (at x within s)
% Assm: HAS_REAL_COMPLEX_DERIVATIVE_WITHIN: (f has_real_derivative f') (atreal a within s) <=> (Cx o f o Re has_complex_derivative Cx f') (at (Cx a) within {z | real z /\ Re z IN s})
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f f' x s n. (f has_real_derivative f') (atreal x within s) ==> ((\x. f x pow n) has_real_derivative &n * f x pow (n - 1) * f') (atreal x within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !x n. Cx (x pow n) = Cx x pow n
% Assm: !f f' x s n. (f has_complex_derivative f') (at x within s) ==> ((\x. f x pow n) has_complex_derivative Cx (&n) * f x pow (n - 1) * f') (at x within s)
% Assm: !f f' a s. (f has_real_derivative f') (atreal a within s) <=> (Cx o f o Re has_complex_derivative Cx f') (at (Cx a) within {z | real z /\ Re z IN s})
% Assm: !x. Re (Cx x) = x
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f f' x s n. (f has_real_derivative f') (atreal x within s) ==> ((\x. f x pow n) has_real_derivative &n * f x pow (n - 1) * f') (atreal x within s)
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cmu_, type, m_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn2 > real) > cartrealn2 > real)).
thf(co, type, o : ((real > cartrealn2) > (cartrealn2 > real) > cartrealn2 > cartrealn2)).
thf(cwithin0, type, within0 : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_POW, axiom, ![X:real,N:num]:((cx @ (realu_pow @ X @ N)) = (complexu_pow @ (cx @ X) @ N))).
thf(aHASu_COMPLEXu_DERIVATIVEu_POWu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o),N:num]:((hasu_complexu_derivative @ F @ FI_ @ (within0 @ (at @ X) @ S)) => (hasu_complexu_derivative @ ^[X:cartrealn2]:(complexu_pow @ (F @ X) @ N) @ (complexu_mul @ (cx @ (realu_ofu_num @ N)) @ (complexu_mul @ (complexu_pow @ (F @ X) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ FI_)) @ (within0 @ (at @ X) @ S)))).
thf(aHASu_REALu_COMPLEXu_DERIVATIVEu_WITHIN, axiom, ![F:(real > real),FI_:real,A:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ A) @ S)) <=> (hasu_complexu_derivative @ (o @ cx @ (o0 @ F @ re)) @ (cx @ FI_) @ (within0 @ (at @ (cx @ A)) @ (gspec @ ^[GENR_PVARR_2358:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2358 @ ((real0 @ Z) & (in @ (re @ Z) @ S)) @ Z)))))).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),FI_:real,X:real,S:(real > $o),N:num]:((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) => (hasu_realu_derivative @ ^[X:real]:(realu_pow @ (F @ X) @ N) @ (realu_mul @ (realu_ofu_num @ N) @ (realu_mul @ (realu_pow @ (F @ X) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ FI_)) @ (within @ (atreal @ X) @ S)))).
