%   ORIGINAL: HAS_REAL_DERIVATIVE_INV_BASIC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: CX_INV: !x. Cx (inv x) = inv (Cx x)
% Assm: CX_NEG: !x. Cx (--x) = --Cx x
% Assm: CX_POW: !x n. Cx (x pow n) = Cx x pow n
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_REAL: (!z. real z ==> P z) <=> (!x. P (Cx x))
% Assm: HAS_COMPLEX_DERIVATIVE_AT_WITHIN: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: HAS_COMPLEX_DERIVATIVE_INV_BASIC: !x. ~(x = Cx (&0)) ==> (inv has_complex_derivative --inv (x pow 2)) (at x)
% Assm: HAS_COMPLEX_DERIVATIVE_TRANSFORM_WITHIN: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ dist (x',x) < d ==> f x' = g x') /\ (f has_complex_derivative f') (at x within s) ==> (g has_complex_derivative f') (at x within s)
% Assm: HAS_REAL_COMPLEX_DERIVATIVE_AT: (f has_real_derivative f') (atreal a) <=> (Cx o f o Re has_complex_derivative Cx f') (at (Cx a) within real)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CX: !x. real (Cx x)
% Assm: REAL_LT_01: &0 < &1
% Assm: RE_CX: !x. Re (Cx x) = x
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !x. ~(x = &0) ==> (inv has_real_derivative --inv (x pow 2)) (atreal x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: !x. Cx (inv x) = inv (Cx x)
% Assm: !x. Cx (--x) = --Cx x
% Assm: !x n. Cx (x pow n) = Cx x pow n
% Assm: !t. (\x. t x) = t
% Assm: !P. (!z. real z ==> P z) <=> (!x. P (Cx x))
% Assm: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: !x. ~(x = Cx (&0)) ==> (inv has_complex_derivative --inv (x pow 2)) (at x)
% Assm: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ dist (x',x) < d ==> f x' = g x') /\ (f has_complex_derivative f') (at x within s) ==> (g has_complex_derivative f') (at x within s)
% Assm: !f f' a. (f has_real_derivative f') (atreal a) <=> (Cx o f o Re has_complex_derivative Cx f') (at (Cx a) within real)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !x. real (Cx x)
% Assm: &0 < &1
% Assm: !x. Re (Cx x) = x
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !x. ~(x = &0) ==> (inv has_real_derivative --inv (x pow 2)) (atreal x)
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tprodcartrealn2cartrealn2, type, prodcartrealn2cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cdistance, type, distance : (prodcartrealn2cartrealn2 > real)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(co0, type, o0 : ((real > real) > (cartrealn2 > real) > cartrealn2 > real)).
thf(co, type, o : ((real > cartrealn2) > (cartrealn2 > real) > cartrealn2 > cartrealn2)).
thf(ccu_, type, c_ : (cartrealn2 > cartrealn2 > prodcartrealn2cartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aCXu_INV, axiom, ![X:real]:((cx @ (realu_inv @ X)) = (complexu_inv @ (cx @ X)))).
thf(aCXu_NEG, axiom, ![X:real]:((cx @ (realu_neg @ X)) = (vectoru_neg @ (cx @ X)))).
thf(aCXu_POW, axiom, ![X:real,N:num]:((cx @ (realu_pow @ X @ N)) = (complexu_pow @ (cx @ X) @ N))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_REAL, axiom, ![P:(cartrealn2 > $o)]:(![Z:cartrealn2]:((real0 @ Z) => (P @ Z)) <=> ![X:real]:(P @ (cx @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_ATu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_INVu_BASIC, axiom, ![X:cartrealn2]:(~ ((X = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => (hasu_complexu_derivative @ complexu_inv @ (vectoru_neg @ (complexu_inv @ (complexu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (at @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_TRANSFORMu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,G:(cartrealn2 > cartrealn2),X:cartrealn2,S:(cartrealn2 > $o),D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (in @ X @ S) & ![XI_:cartrealn2]:(((in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => ((F @ XI_) = (G @ XI_))) & (hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S))) => (hasu_complexu_derivative @ G @ FI_ @ (within @ (at @ X) @ S)))).
thf(aHASu_REALu_COMPLEXu_DERIVATIVEu_AT, axiom, ![F:(real > real),FI_:real,A:real]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ A)) <=> (hasu_complexu_derivative @ (o @ cx @ (o0 @ F @ re)) @ (cx @ FI_) @ (within @ (at @ (cx @ A)) @ real0)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CX, axiom, ![X:real]:(real0 @ (cx @ X))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREu_CX, axiom, ![X:real]:((re @ (cx @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => (hasu_realu_derivative @ realu_inv @ (realu_neg @ (realu_inv @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (atreal @ X)))).
