%   ORIGINAL: HAS_REAL_DERIVATIVE_DIV_ATREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_DERIVATIVE_DIV_WITHIN: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) /\ ~(g x = &0) ==> ((\x. f x / g x) has_real_derivative (f' * g x - f x * g') / g x pow 2) (atreal x within s)
% Assm: TRUTH: T
% Assm: WITHINREAL_UNIV: !x. atreal x within (:real) = atreal x
% Goal: !f f' g g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal x) /\ ~(g x = &0) ==> ((\x. f x / g x) has_real_derivative (f' * g x - f x * g') / g x pow 2) (atreal x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) /\ ~(g x = &0) ==> ((\x. f x / g x) has_real_derivative (f' * g x - f x * g') / g x pow 2) (atreal x within s)
% Assm: T
% Assm: !x. atreal x within (:real) = atreal x
% Goal: !f f' g g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal x) /\ ~(g x = &0) ==> ((\x. f x / g x) has_real_derivative (f' * g x - f x * g') / g x pow 2) (atreal x)
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_DERIVATIVEu_DIVu_WITHIN, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (hasu_realu_derivative @ G @ GI_ @ (within @ (atreal @ X) @ S)) & ~ (((G @ X) = (realu_ofu_num @ (numeral @ u_0))))) => (hasu_realu_derivative @ ^[X:real]:(realu_div @ (F @ X) @ (G @ X)) @ (realu_div @ (realu_sub @ (realu_mul @ FI_ @ (G @ X)) @ (realu_mul @ (F @ X) @ GI_)) @ (realu_pow @ (G @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (within @ (atreal @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(aWITHINREALu_UNIV, axiom, ![X:real]:((within @ (atreal @ X) @ univ) = (atreal @ X))).
thf(conjecture, conjecture, ![F:(real > real),FI_:real,G:(real > real),GI_:real,X:real]:(((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) & (hasu_realu_derivative @ G @ GI_ @ (atreal @ X)) & ~ (((G @ X) = (realu_ofu_num @ (numeral @ u_0))))) => (hasu_realu_derivative @ ^[X:real]:(realu_div @ (F @ X) @ (G @ X)) @ (realu_div @ (realu_sub @ (realu_mul @ FI_ @ (G @ X)) @ (realu_mul @ (F @ X) @ GI_)) @ (realu_pow @ (G @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (atreal @ X)))).
