%   ORIGINAL: HAS_REAL_DERIVATIVE_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FORALL_IN_INSERT: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: HAS_REAL_DERIVATIVE_ADD: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x + g x) has_real_derivative f' + g') net
% Assm: HAS_REAL_DERIVATIVE_CONST: !c net. ((\x. c) has_real_derivative &0) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Goal: !f net s. FINITE s /\ (!a. a IN s ==> (f a has_real_derivative f' a) net) ==> ((\x. sum s (\a. f a x)) has_real_derivative sum s f') net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x + g x) has_real_derivative f' + g') net
% Assm: !c net. ((\x. c) has_real_derivative &0) net
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Goal: !f' f net s. FINITE s /\ (!a. a IN s ==> (f a has_real_derivative f' a) net) ==> ((\x. sum s (\a. f a x)) has_real_derivative sum s f') net
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq636149, type, q636149 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q636149 > $o) > (q636149 > real) > real)).
thf(cin, type, in : (q636149 > (q636149 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (q636149 > (q636149 > $o) > q636149 > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cfinite, type, finite : ((q636149 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (q636149 > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q636149 > $o) > $o)]:(((P @ empty) & ![X:q636149,S:(q636149 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q636149 > $o)]:((finite @ S) => (P @ S)))).
thf(aFORALLu_INu_INSERT, axiom, ![P:(q636149 > $o),A:q636149,S:(q636149 > $o)]:(![X:q636149]:((in @ X @ (insert @ A @ S)) => (P @ X)) <=> ((P @ A) & ![X:q636149]:((in @ X @ S) => (P @ X))))).
thf(aHASu_REALu_DERIVATIVEu_ADD, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,NET:netreal]:(((hasu_realu_derivative @ F @ FI_ @ NET) & (hasu_realu_derivative @ G @ GI_ @ NET)) => (hasu_realu_derivative @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X)) @ (realu_add @ FI_ @ GI_) @ NET))).
thf(aHASu_REALu_DERIVATIVEu_CONST, axiom, ![C:real,NET:netreal]:(hasu_realu_derivative @ ^[X:real]:C @ (realu_ofu_num @ (numeral @ u_0)) @ NET)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q636149]:~ ((in @ X @ empty))).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(q636149 > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:q636149,F:(q636149 > real),S:(q636149 > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![FI_:(q636149 > real),F:(q636149 > real > real),NET:netreal,S:(q636149 > $o)]:(((finite @ S) & ![A:q636149]:((in @ A @ S) => (hasu_realu_derivative @ (F @ A) @ (FI_ @ A) @ NET))) => (hasu_realu_derivative @ ^[X:real]:(sum @ S @ ^[A:q636149]:(F @ A @ X)) @ (sum @ S @ FI_) @ NET))).
