%   ORIGINAL: REAL_DIFFERENTIABLE_TRANSFORM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIFFERENTIABLE_TRANSFORM_WITHIN: !f g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ abs (x' - x) < d ==> f x' = g x') /\ f real_differentiable atreal x within s ==> g real_differentiable atreal x within s
% Assm: REAL_LT_01: &0 < &1
% Assm: TRUTH: T
% Assm: real_differentiable: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Assm: real_differentiable_on: !f s. f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x within s)))
% Goal: !f g s. (!x. x IN s ==> f x = g x) /\ f real_differentiable_on s ==> g real_differentiable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ abs (x' - x) < d ==> f x' = g x') /\ f real_differentiable atreal x within s ==> g real_differentiable atreal x within s
% Assm: &0 < &1
% Assm: T
% Assm: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Assm: !f s. f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x within s)))
% Goal: !f g s. (!x. x IN s ==> f x = g x) /\ f real_differentiable_on s ==> g real_differentiable_on s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_differentiable, type, realu_differentiable : ((real > real) > netreal > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_differentiableuu_on, type, realu_differentiableu_on : ((real > real) > (real > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIFFERENTIABLEu_TRANSFORMu_WITHIN, axiom, ![F:(real > real),G:(real > real),X:real,S:(real > $o),D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (in @ X @ S) & ![XI_:real]:(((in @ XI_ @ S) & (realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D)) => ((F @ XI_) = (G @ XI_))) & (realu_differentiable @ F @ (within @ (atreal @ X) @ S))) => (realu_differentiable @ G @ (within @ (atreal @ X) @ S)))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(arealu_differentiable, axiom, ![F:(real > real),NET:netreal]:((realu_differentiable @ F @ NET) <=> ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ NET))).
thf(arealu_differentiableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_differentiableu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:((![X:real]:((in @ X @ S) => ((F @ X) = (G @ X))) & (realu_differentiableu_on @ F @ S)) => (realu_differentiableu_on @ G @ S))).
