%   ORIGINAL: REAL_DIFFERENTIABLE_POW_ATREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_REAL_DERIVATIVE_POW_ATREAL: !f f' x n. (f has_real_derivative f') (atreal x) ==> ((\x. f x pow n) has_real_derivative &n * f x pow (n - 1) * f') (atreal x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_differentiable: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Goal: !f n z. f real_differentiable atreal z ==> (\z. f z pow n) real_differentiable atreal z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f f' x n. (f has_real_derivative f') (atreal x) ==> ((\x. f x pow n) has_real_derivative &n * f x pow (n - 1) * f') (atreal x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Goal: !f n z. f real_differentiable atreal z ==> (\z. f z pow n) real_differentiable atreal z
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_differentiable, type, realu_differentiable : ((real > real) > netreal > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_REALu_DERIVATIVEu_POWu_ATREAL, axiom, ![F:(real > real),FI_:real,X:real,N:num]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) => (hasu_realu_derivative @ ^[X:real]:(realu_pow @ (F @ X) @ N) @ (realu_mul @ (realu_ofu_num @ N) @ (realu_mul @ (realu_pow @ (F @ X) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ FI_)) @ (atreal @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_differentiable, axiom, ![F:(real > real),NET:netreal]:((realu_differentiable @ F @ NET) <=> ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![F:(real > real),N:num,Z:real]:((realu_differentiable @ F @ (atreal @ Z)) => (realu_differentiable @ ^[Z:real]:(realu_pow @ (F @ Z) @ N) @ (atreal @ Z)))).
