%   ORIGINAL: REAL_DIFFERENTIABLE_COMPOSE_ATREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIFF_CHAIN_ATREAL: !f g f' g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal (f x)) ==> (g o f has_real_derivative g' * f') (atreal x)
% Assm: TRUTH: T
% Assm: real_differentiable: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Goal: !f g x. f real_differentiable atreal x /\ g real_differentiable atreal (f x) ==> g o f real_differentiable atreal x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f g f' g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal (f x)) ==> (g o f has_real_derivative g' * f') (atreal x)
% Assm: T
% Assm: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Goal: !f g x. f real_differentiable atreal x /\ g real_differentiable atreal (f x) ==> g o f real_differentiable atreal x
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_differentiable, type, realu_differentiable : ((real > real) > netreal > $o)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIFFu_CHAINu_ATREAL, axiom, ![F:(real > real),G:(real > real),FI_:real,GI_:real,X:real]:(((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) & (hasu_realu_derivative @ G @ GI_ @ (atreal @ (F @ X)))) => (hasu_realu_derivative @ (o @ G @ F) @ (realu_mul @ GI_ @ FI_) @ (atreal @ X)))).
thf(aTRUTH, axiom, $true).
thf(arealu_differentiable, axiom, ![F:(real > real),NET:netreal]:((realu_differentiable @ F @ NET) <=> ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),X:real]:(((realu_differentiable @ F @ (atreal @ X)) & (realu_differentiable @ G @ (atreal @ (F @ X)))) => (realu_differentiable @ (o @ G @ F) @ (atreal @ X)))).
