%   ORIGINAL: REAL_DIFFERENTIABLE_ON_COMPOSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIFFERENTIABLE_COMPOSE_WITHIN: !f g x s. f real_differentiable atreal x within s /\ g real_differentiable atreal (f x) within IMAGE f s ==> g o f real_differentiable atreal x within s
% Assm: TRUTH: T
% Assm: real_differentiable: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Assm: real_differentiable_on: !f s. f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x within s)))
% Goal: !f g s. f real_differentiable_on s /\ g real_differentiable_on IMAGE f s ==> g o f real_differentiable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f g x s. f real_differentiable atreal x within s /\ g real_differentiable atreal (f x) within IMAGE f s ==> g o f real_differentiable atreal x within s
% Assm: T
% Assm: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Assm: !f s. f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x within s)))
% Goal: !f g s. f real_differentiable_on s /\ g real_differentiable_on IMAGE f s ==> g o f real_differentiable_on s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_differentiable, type, realu_differentiable : ((real > real) > netreal > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_differentiableuu_on, type, realu_differentiableu_on : ((real > real) > (real > $o) > $o)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIFFERENTIABLEu_COMPOSEu_WITHIN, axiom, ![F:(real > real),G:(real > real),X:real,S:(real > $o)]:(((realu_differentiable @ F @ (within @ (atreal @ X) @ S)) & (realu_differentiable @ G @ (within @ (atreal @ (F @ X)) @ (image @ F @ S)))) => (realu_differentiable @ (o @ G @ F) @ (within @ (atreal @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(arealu_differentiable, axiom, ![F:(real > real),NET:netreal]:((realu_differentiable @ F @ NET) <=> ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ NET))).
thf(arealu_differentiableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_differentiableu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_differentiableu_on @ F @ S) & (realu_differentiableu_on @ G @ (image @ F @ S))) => (realu_differentiableu_on @ (o @ G @ F) @ S))).
