%   ORIGINAL: REAL_DIFFERENTIABLE_ON_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIFFERENTIABLE_MUL_WITHIN: !f g z s. f real_differentiable atreal z within s /\ g real_differentiable atreal z within s ==> (\z. f z * g z) real_differentiable atreal z within s
% Assm: REAL_DIFFERENTIABLE_ON_DIFFERENTIABLE: !f s. f real_differentiable_on s <=> (!x. x IN s ==> f real_differentiable atreal x within s)
% Assm: TRUTH: T
% Goal: !f g s. f real_differentiable_on s /\ g real_differentiable_on s ==> (\z. f z * g z) real_differentiable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g z s. f real_differentiable atreal z within s /\ g real_differentiable atreal z within s ==> (\z. f z * g z) real_differentiable atreal z within s
% Assm: !f s. f real_differentiable_on s <=> (!x. x IN s ==> f real_differentiable atreal x within s)
% Assm: T
% Goal: !f g s. f real_differentiable_on s /\ g real_differentiable_on s ==> (\z. f z * g z) real_differentiable_on s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_differentiable, type, realu_differentiable : ((real > real) > netreal > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_differentiableuu_on, type, realu_differentiableu_on : ((real > real) > (real > $o) > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIFFERENTIABLEu_MULu_WITHIN, axiom, ![F:(real > real),G:(real > real),Z:real,S:(real > $o)]:(((realu_differentiable @ F @ (within @ (atreal @ Z) @ S)) & (realu_differentiable @ G @ (within @ (atreal @ Z) @ S))) => (realu_differentiable @ ^[Z:real]:(realu_mul @ (F @ Z) @ (G @ Z)) @ (within @ (atreal @ Z) @ S)))).
thf(aREALu_DIFFERENTIABLEu_ONu_DIFFERENTIABLE, axiom, ![F:(real > real),S:(real > $o)]:((realu_differentiableu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => (realu_differentiable @ F @ (within @ (atreal @ X) @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_differentiableu_on @ F @ S) & (realu_differentiableu_on @ G @ S)) => (realu_differentiableu_on @ ^[Z:real]:(realu_mul @ (F @ Z) @ (G @ Z)) @ S))).
