%   ORIGINAL: REAL_DIFFERENTIABLE_ON_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIFFERENTIABLE_INV_WITHIN: !f z s. f real_differentiable atreal z within s /\ ~(f z = &0) ==> (\z. inv (f z)) real_differentiable atreal z within s
% Assm: REAL_DIFFERENTIABLE_ON_DIFFERENTIABLE: !f s. f real_differentiable_on s <=> (!x. x IN s ==> f real_differentiable atreal x within s)
% Assm: TRUTH: T
% Goal: !f s. f real_differentiable_on s /\ (!z. z IN s ==> ~(f z = &0)) ==> (\z. inv (f z)) real_differentiable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f z s. f real_differentiable atreal z within s /\ ~(f z = &0) ==> (\z. inv (f z)) real_differentiable atreal z within s
% Assm: !f s. f real_differentiable_on s <=> (!x. x IN s ==> f real_differentiable atreal x within s)
% Assm: T
% Goal: !f s. f real_differentiable_on s /\ (!z. z IN s ==> ~(f z = &0)) ==> (\z. inv (f z)) real_differentiable_on s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_differentiable, type, realu_differentiable : ((real > real) > netreal > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_differentiableuu_on, type, realu_differentiableu_on : ((real > real) > (real > $o) > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIFFERENTIABLEu_INVu_WITHIN, axiom, ![F:(real > real),Z:real,S:(real > $o)]:(((realu_differentiable @ F @ (within @ (atreal @ Z) @ S)) & ~ (((F @ Z) = (realu_ofu_num @ (numeral @ u_0))))) => (realu_differentiable @ ^[Z:real]:(realu_inv @ (F @ Z)) @ (within @ (atreal @ Z) @ S)))).
thf(aREALu_DIFFERENTIABLEu_ONu_DIFFERENTIABLE, axiom, ![F:(real > real),S:(real > $o)]:((realu_differentiableu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => (realu_differentiable @ F @ (within @ (atreal @ X) @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:(((realu_differentiableu_on @ F @ S) & ![Z:real]:((in @ Z @ S) => ~ (((F @ Z) = (realu_ofu_num @ (numeral @ u_0)))))) => (realu_differentiableu_on @ ^[Z:real]:(realu_inv @ (F @ Z)) @ S))).
