%   ORIGINAL: REAL_DIFFERENTIABLE_ON_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_DIFFERENTIABLE_ON_ADD: !f g s. f real_differentiable_on s /\ g real_differentiable_on s ==> (\z. f z + g z) real_differentiable_on s
% Assm: REAL_DIFFERENTIABLE_ON_CONST: !c s. (\z. c) real_differentiable_on s
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Goal: !f s k. FINITE k /\ (!a. a IN k ==> f a real_differentiable_on s) ==> (\x. sum k (\a. f a x)) real_differentiable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !f g s. f real_differentiable_on s /\ g real_differentiable_on s ==> (\z. f z + g z) real_differentiable_on s
% Assm: !c s. (\z. c) real_differentiable_on s
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Goal: !f s k. FINITE k /\ (!a. a IN k ==> f a real_differentiable_on s) ==> (\x. sum k (\a. f a x)) real_differentiable_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(tq637164, type, q637164 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q637164 > $o) > (q637164 > real) > real)).
thf(crealuu_differentiableuu_on, type, realu_differentiableu_on : ((real > real) > (real > $o) > $o)).
thf(cin, type, in : (q637164 > (q637164 > $o) > $o)).
thf(cempty, type, empty : (q637164 > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (q637164 > (q637164 > $o) > q637164 > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cfinite, type, finite : ((q637164 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q637164 > $o) > $o)]:(((P @ empty) & ![X:q637164,S:(q637164 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q637164 > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:q637164,Y:q637164,S:(q637164 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q637164]:~ ((in @ X @ empty))).
thf(aREALu_DIFFERENTIABLEu_ONu_ADD, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_differentiableu_on @ F @ S) & (realu_differentiableu_on @ G @ S)) => (realu_differentiableu_on @ ^[Z:real]:(realu_add @ (F @ Z) @ (G @ Z)) @ S))).
thf(aREALu_DIFFERENTIABLEu_ONu_CONST, axiom, ![C:real,S:(real > $o)]:(realu_differentiableu_on @ ^[Z:real]:C @ S)).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(q637164 > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:q637164,F:(q637164 > real),S:(q637164 > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q637164 > real > real),S:(real > $o),K:(q637164 > $o)]:(((finite @ K) & ![A:q637164]:((in @ A @ K) => (realu_differentiableu_on @ (F @ A) @ S))) => (realu_differentiableu_on @ ^[X:real]:(sum @ K @ ^[A:q637164]:(F @ A @ X)) @ S))).
