%   ORIGINAL: HAS_REAL_DERIVATIVE_EXP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_EXP: !x. Cx (exp x) = cexp (Cx x)
% Assm: HAS_COMPLEX_DERIVATIVE_AT_WITHIN: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: HAS_COMPLEX_DERIVATIVE_CEXP: !z. (cexp has_complex_derivative cexp z) (at z)
% Assm: HAS_COMPLEX_REAL_DERIVATIVE_AT: !f g h. (h has_complex_derivative Cx g) (at (Cx x) within real) /\ (!y. h (Cx y) = Cx (f y)) ==> (f has_real_derivative g) (atreal x)
% Assm: TRUTH: T
% Goal: !x. (exp has_real_derivative exp x) (atreal x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Cx (exp x) = cexp (Cx x)
% Assm: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: !z. (cexp has_complex_derivative cexp z) (at z)
% Assm: !x f g h. (h has_complex_derivative Cx g) (at (Cx x) within real) /\ (!y. h (Cx y) = Cx (f y)) ==> (f has_real_derivative g) (atreal x)
% Assm: T
% Goal: !x. (exp has_real_derivative exp x) (atreal x)
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cexp, type, exp : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_EXP, axiom, ![X:real]:((cx @ (exp @ X)) = (cexp @ (cx @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_ATu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_CEXP, axiom, ![Z:cartrealn2]:(hasu_complexu_derivative @ cexp @ (cexp @ Z) @ (at @ Z))).
thf(aHASu_COMPLEXu_REALu_DERIVATIVEu_AT, axiom, ![X:real,F:(real > real),G:real,H:(cartrealn2 > cartrealn2)]:(((hasu_complexu_derivative @ H @ (cx @ G) @ (within @ (at @ (cx @ X)) @ real0)) & ![Y:real]:((H @ (cx @ Y)) = (cx @ (F @ Y)))) => (hasu_realu_derivative @ F @ G @ (atreal @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(hasu_realu_derivative @ exp @ (exp @ X) @ (atreal @ X))).
