%   ORIGINAL: HAS_REAL_DERIVATIVE_TAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CX_COS: !x. Cx (cos x) = ccos (Cx x)
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: CX_INV: !x. Cx (inv x) = inv (Cx x)
% Assm: CX_POW: !x n. Cx (x pow n) = Cx x pow n
% Assm: CX_TAN: !x. Cx (tan x) = ctan (Cx x)
% Assm: HAS_COMPLEX_DERIVATIVE_AT_WITHIN: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: HAS_COMPLEX_DERIVATIVE_CTAN: !z. ~(ccos z = Cx (&0)) ==> (ctan has_complex_derivative inv (ccos z pow 2)) (at z)
% Assm: HAS_COMPLEX_REAL_DERIVATIVE_AT: !f g h. (h has_complex_derivative Cx g) (at (Cx x) within real) /\ (!y. h (Cx y) = Cx (f y)) ==> (f has_real_derivative g) (atreal x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x. ~(cos x = &0) ==> (tan has_real_derivative inv (cos x pow 2)) (atreal x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. Cx (cos x) = ccos (Cx x)
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: !x. Cx (inv x) = inv (Cx x)
% Assm: !x n. Cx (x pow n) = Cx x pow n
% Assm: !x. Cx (tan x) = ctan (Cx x)
% Assm: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: !z. ~(ccos z = Cx (&0)) ==> (ctan has_complex_derivative inv (ccos z pow 2)) (at z)
% Assm: !x f g h. (h has_complex_derivative Cx g) (at (Cx x) within real) /\ (!y. h (Cx y) = Cx (f y)) ==> (f has_real_derivative g) (atreal x)
% Assm: ~F <=> T
% Assm: T
% Goal: !x. ~(cos x = &0) ==> (tan has_real_derivative inv (cos x pow 2)) (atreal x)
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cctan, type, ctan : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cccos, type, ccos : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(ctan, type, tan : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCXu_COS, axiom, ![X:real]:((cx @ (cos @ X)) = (ccos @ (cx @ X)))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aCXu_INV, axiom, ![X:real]:((cx @ (realu_inv @ X)) = (complexu_inv @ (cx @ X)))).
thf(aCXu_POW, axiom, ![X:real,N:num]:((cx @ (realu_pow @ X @ N)) = (complexu_pow @ (cx @ X) @ N))).
thf(aCXu_TAN, axiom, ![X:real]:((cx @ (tan @ X)) = (ctan @ (cx @ X)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_ATu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_CTAN, axiom, ![Z:cartrealn2]:(~ (((ccos @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => (hasu_complexu_derivative @ ctan @ (complexu_inv @ (complexu_pow @ (ccos @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (at @ Z)))).
thf(aHASu_COMPLEXu_REALu_DERIVATIVEu_AT, axiom, ![X:real,F:(real > real),G:real,H:(cartrealn2 > cartrealn2)]:(((hasu_complexu_derivative @ H @ (cx @ G) @ (within @ (at @ (cx @ X)) @ real0)) & ![Y:real]:((H @ (cx @ Y)) = (cx @ (F @ Y)))) => (hasu_realu_derivative @ F @ G @ (atreal @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(~ (((cos @ X) = (realu_ofu_num @ (numeral @ u_0)))) => (hasu_realu_derivative @ tan @ (realu_inv @ (realu_pow @ (cos @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (atreal @ X)))).
