%   ORIGINAL: REAL_CONTINUOUS_AT_TAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_DERIVATIVE_IMP_CONTINUOUS_ATREAL: !f f' x. (f has_real_derivative f') (atreal x) ==> f real_continuous atreal x
% Assm: HAS_REAL_DERIVATIVE_TAN: !x. ~(cos x = &0) ==> (tan has_real_derivative inv (cos x pow 2)) (atreal x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x. ~(cos x = &0) ==> tan real_continuous atreal x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f f' x. (f has_real_derivative f') (atreal x) ==> f real_continuous atreal x
% Assm: !x. ~(cos x = &0) ==> (tan has_real_derivative inv (cos x pow 2)) (atreal x)
% Assm: ~F <=> T
% Assm: T
% Goal: !x. ~(cos x = &0) ==> tan real_continuous atreal x
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(ctan, type, tan : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_DERIVATIVEu_IMPu_CONTINUOUSu_ATREAL, axiom, ![F:(real > real),FI_:real,X:real]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) => (realu_continuous @ F @ (atreal @ X)))).
thf(aHASu_REALu_DERIVATIVEu_TAN, axiom, ![X:real]:(~ (((cos @ X) = (realu_ofu_num @ (numeral @ u_0)))) => (hasu_realu_derivative @ tan @ (realu_inv @ (realu_pow @ (cos @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (atreal @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(~ (((cos @ X) = (realu_ofu_num @ (numeral @ u_0)))) => (realu_continuous @ tan @ (atreal @ X)))).
