%   ORIGINAL: REAL_DIFFERENTIABLE_WITHIN_LOG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIFFERENTIABLE_ATREAL_WITHIN: !f s z. f real_differentiable atreal z ==> f real_differentiable atreal z within s
% Assm: REAL_DIFFERENTIABLE_AT_LOG: !x. &0 < x ==> log real_differentiable atreal x
% Assm: TRUTH: T
% Goal: !s x. &0 < x ==> log real_differentiable atreal x within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !f s z. f real_differentiable atreal z ==> f real_differentiable atreal z within s
% Assm: !x. &0 < x ==> log real_differentiable atreal x
% Assm: T
% Goal: !s x. &0 < x ==> log real_differentiable atreal x within s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_differentiable, type, realu_differentiable : ((real > real) > netreal > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(clog, type, log : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIFFERENTIABLEu_ATREALu_WITHIN, axiom, ![F:(real > real),S:(real > $o),Z:real]:((realu_differentiable @ F @ (atreal @ Z)) => (realu_differentiable @ F @ (within @ (atreal @ Z) @ S)))).
thf(aREALu_DIFFERENTIABLEu_ATu_LOG, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_differentiable @ log @ (atreal @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_differentiable @ log @ (within @ (atreal @ X) @ S)))).
