%   ORIGINAL: Trigonometry.OKENMAM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_ADD: !x y. Cx (x + y) = Cx x + Cx y
% Assm: CX_ATN: !x. Cx (atn x) = catn (Cx x)
% Assm: CX_INV: !x. Cx (inv x) = inv (Cx x)
% Assm: CX_POW: !x n. Cx (x pow n) = Cx x pow n
% Assm: HAS_COMPLEX_DERIVATIVE_AT_WITHIN: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: HAS_COMPLEX_DERIVATIVE_CATN: !z. (Re z = &0 ==> abs (Im z) < &1) ==> (catn has_complex_derivative inv (Cx (&1) + z pow 2)) (at z)
% Assm: HAS_COMPLEX_REAL_DERIVATIVE_AT: !f g h. (h has_complex_derivative Cx g) (at (Cx x) within real) /\ (!y. h (Cx y) = Cx (f y)) ==> (f has_real_derivative g) (atreal x)
% Assm: IM_CX: !x. Im (Cx x) = &0
% Assm: REAL_LT_01: &0 < &1
% Assm: Real_ext.REAL_SV_ABS_0: abs (&0) = &0
% Assm: TRUTH: T
% Goal: !x. (atn has_real_derivative inv (&1 + x pow 2)) (atreal x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. Cx (x + y) = Cx x + Cx y
% Assm: !x. Cx (atn x) = catn (Cx x)
% Assm: !x. Cx (inv x) = inv (Cx x)
% Assm: !x n. Cx (x pow n) = Cx x pow n
% Assm: !f f' x s. (f has_complex_derivative f') (at x) ==> (f has_complex_derivative f') (at x within s)
% Assm: !z. (Re z = &0 ==> abs (Im z) < &1) ==> (catn has_complex_derivative inv (Cx (&1) + z pow 2)) (at z)
% Assm: !x f g h. (h has_complex_derivative Cx g) (at (Cx x) within real) /\ (!y. h (Cx y) = Cx (f y)) ==> (f has_real_derivative g) (atreal x)
% Assm: !x. Im (Cx x) = &0
% Assm: &0 < &1
% Assm: abs (&0) = &0
% Assm: T
% Goal: !x. (atn has_real_derivative inv (&1 + x pow 2)) (atreal x)
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccatn, type, catn : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(catn, type, atn : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_ADD, axiom, ![X:real,Y:real]:((cx @ (realu_add @ X @ Y)) = (vectoru_add @ (cx @ X) @ (cx @ Y)))).
thf(aCXu_ATN, axiom, ![X:real]:((cx @ (atn @ X)) = (catn @ (cx @ X)))).
thf(aCXu_INV, axiom, ![X:real]:((cx @ (realu_inv @ X)) = (complexu_inv @ (cx @ X)))).
thf(aCXu_POW, axiom, ![X:real,N:num]:((cx @ (realu_pow @ X @ N)) = (complexu_pow @ (cx @ X) @ N))).
thf(aHASu_COMPLEXu_DERIVATIVEu_ATu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (at @ X)) => (hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)))).
thf(aHASu_COMPLEXu_DERIVATIVEu_CATN, axiom, ![Z:cartrealn2]:((((re @ Z) = (realu_ofu_num @ (numeral @ u_0))) => (realu_lt @ (realu_abs @ (im @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (hasu_complexu_derivative @ catn @ (complexu_inv @ (vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (at @ Z)))).
thf(aHASu_COMPLEXu_REALu_DERIVATIVEu_AT, axiom, ![X:real,F:(real > real),G:real,H:(cartrealn2 > cartrealn2)]:(((hasu_complexu_derivative @ H @ (cx @ G) @ (within @ (at @ (cx @ X)) @ real0)) & ![Y:real]:((H @ (cx @ Y)) = (cx @ (F @ Y)))) => (hasu_realu_derivative @ F @ G @ (atreal @ X)))).
thf(aIMu_CX, axiom, ![X:real]:((im @ (cx @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aRealu_exto_REALu_SVu_ABSu_0, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(hasu_realu_derivative @ atn @ (realu_inv @ (realu_add @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (atreal @ X))).
