%   ORIGINAL: REAL_CONTINUOUS_ON_ASN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: REAL_CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f real_continuous_on s <=> (!x. x IN s ==> f real_continuous atreal x within s)
% Assm: REAL_CONTINUOUS_WITHINREAL_SUBSET: !f s t. f real_continuous atreal x within s /\ t SUBSET s ==> f real_continuous atreal x within t
% Assm: REAL_CONTINUOUS_WITHIN_ASN_STRONG: !x. asn real_continuous atreal x within {t | abs t <= &1}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. (!x. x IN s ==> abs x <= &1) ==> asn real_continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !f s. f real_continuous_on s <=> (!x. x IN s ==> f real_continuous atreal x within s)
% Assm: !x f s t. f real_continuous atreal x within s /\ t SUBSET s ==> f real_continuous atreal x within t
% Assm: !x. asn real_continuous atreal x within {t | abs t <= &1}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. (!x. x IN s ==> abs x <= &1) ==> asn real_continuous_on s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(casn, type, asn : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(real > $o),X:real]:((in @ X @ (gspec @ ^[V:real]:?[Y:real]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aREALu_CONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(real > real),S:(real > $o)]:((realu_continuousu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => (realu_continuous @ F @ (within @ (atreal @ X) @ S))))).
thf(aREALu_CONTINUOUSu_WITHINREALu_SUBSET, axiom, ![X:real,F:(real > real),S:(real > $o),T:(real > $o)]:(((realu_continuous @ F @ (within @ (atreal @ X) @ S)) & (subset @ T @ S)) => (realu_continuous @ F @ (within @ (atreal @ X) @ T)))).
thf(aREALu_CONTINUOUSu_WITHINu_ASNu_STRONG, axiom, ![X:real]:(realu_continuous @ asn @ (within @ (atreal @ X) @ (gspec @ ^[GENR_PVARR_2388:real]:?[T:real]:(setspec @ GENR_PVARR_2388 @ (realu_le @ (realu_abs @ T) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ T))))).
thf(aSUBSET, axiom, ![S:(real > $o),T:(real > $o)]:((subset @ S @ T) <=> ![X:real]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o)]:(![X:real]:((in @ X @ S) => (realu_le @ (realu_abs @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_continuousu_on @ asn @ S))).
