%   ORIGINAL: REAL_CONTINUOUS_WITHIN_RPOW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CONTINUOUS_ATREAL_WITHINREAL: !f s x. f real_continuous atreal x ==> f real_continuous atreal x within s
% Assm: REAL_CONTINUOUS_AT_RPOW: !x y. (x = &0 ==> &0 <= y) ==> (\x. rpow x y) real_continuous atreal x
% Assm: TRUTH: T
% Goal: !s x y. (x = &0 ==> &0 <= y) ==> (\x. rpow x y) real_continuous atreal x within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: !f s x. f real_continuous atreal x ==> f real_continuous atreal x within s
% Assm: !x y. (x = &0 ==> &0 <= y) ==> (\x. rpow x y) real_continuous atreal x
% Assm: T
% Goal: !s x y. (x = &0 ==> &0 <= y) ==> (\x. rpow x y) real_continuous atreal x within s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crpow, type, rpow : (real > real > real)).
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CONTINUOUSu_ATREALu_WITHINREAL, axiom, ![F:(real > real),S:(real > $o),X:real]:((realu_continuous @ F @ (atreal @ X)) => (realu_continuous @ F @ (within @ (atreal @ X) @ S)))).
thf(aREALu_CONTINUOUSu_ATu_RPOW, axiom, ![X:real,Y:real]:(((X = (realu_ofu_num @ (numeral @ u_0))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_continuous @ ^[X:real]:(rpow @ X @ Y) @ (atreal @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),X:real,Y:real]:(((X = (realu_ofu_num @ (numeral @ u_0))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_continuous @ ^[X:real]:(rpow @ X @ Y) @ (within @ (atreal @ X) @ S)))).
