%   ORIGINAL: REAL_CONTINUOUS_ON_RPOW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f real_continuous_on s <=> (!x. x IN s ==> f real_continuous atreal x within s)
% Assm: REAL_CONTINUOUS_WITHIN_RPOW: !s x y. (x = &0 ==> &0 <= y) ==> (\x. rpow x y) real_continuous atreal x within s
% Assm: TRUTH: T
% Goal: !s y. (&0 IN s ==> &0 <= y) ==> (\x. rpow x y) real_continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f real_continuous_on s <=> (!x. x IN s ==> f real_continuous atreal x within s)
% Assm: !s x y. (x = &0 ==> &0 <= y) ==> (\x. rpow x y) real_continuous atreal x within s
% Assm: T
% Goal: !s y. (&0 IN s ==> &0 <= y) ==> (\x. rpow x y) real_continuous_on s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(crpow, type, rpow : (real > real > real)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(real > real),S:(real > $o)]:((realu_continuousu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => (realu_continuous @ F @ (within @ (atreal @ X) @ S))))).
thf(aREALu_CONTINUOUSu_WITHINu_RPOW, axiom, ![S:(real > $o),X:real,Y:real]:(((X = (realu_ofu_num @ (numeral @ u_0))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_continuous @ ^[X:real]:(rpow @ X @ Y) @ (within @ (atreal @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),Y:real]:(((in @ (realu_ofu_num @ (numeral @ u_0)) @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_continuousu_on @ ^[X:real]:(rpow @ X @ Y) @ S))).
