%   ORIGINAL: REALLIM_RPOW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_REAL_CONTINUOUS_FUNCTION: !f net g l. f real_continuous atreal l /\ (g ---> l) net ==> ((\x. f (g x)) ---> f l) net
% Assm: REAL_CONTINUOUS_AT_RPOW: !x y. (x = &0 ==> &0 <= y) ==> (\x. rpow x y) real_continuous atreal x
% Assm: TRUTH: T
% Goal: !net f l n. (f ---> l) net /\ (l = &0 ==> &0 <= n) ==> ((\x. rpow (f x) n) ---> rpow l n) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f net g l. f real_continuous atreal l /\ (g ---> l) net ==> ((\x. f (g x)) ---> f l) net
% Assm: !x y. (x = &0 ==> &0 <= y) ==> (\x. rpow x y) real_continuous atreal x
% Assm: T
% Goal: !net f l n. (f ---> l) net /\ (l = &0 ==> &0 <= n) ==> ((\x. rpow (f x) n) ---> rpow l n) net
%  TYPES
thf(tnetq639203, type, netq639203 : $tType).
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq639203, type, q639203 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(crpow, type, rpow : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q639203 > real) > real > netq639203 > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_REALu_CONTINUOUSu_FUNCTION, axiom, ![F:(real > real),NET:netq639203,G:(q639203 > real),L:real]:(((realu_continuous @ F @ (atreal @ L)) & (m_m_m_g_ @ G @ L @ NET)) => (m_m_m_g_ @ ^[X:q639203]:(F @ (G @ X)) @ (F @ L) @ NET))).
thf(aREALu_CONTINUOUSu_ATu_RPOW, axiom, ![X:real,Y:real]:(((X = (realu_ofu_num @ (numeral @ u_0))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_continuous @ ^[X:real]:(rpow @ X @ Y) @ (atreal @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:netq639203,F:(q639203 > real),L:real,N:real]:(((m_m_m_g_ @ F @ L @ NET) & ((L = (realu_ofu_num @ (numeral @ u_0))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ N))) => (m_m_m_g_ @ ^[X:q639203]:(rpow @ (F @ X) @ N) @ (rpow @ L @ N) @ NET))).
