%   ORIGINAL: LIM_NULL_COMPLEX_POW_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_NORM_POW: !z n. norm (z pow n) = norm z pow n
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: DROP_VEC: !n. drop (vec n) = &n
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIM_NULL_NORM: !net f. (f --> vec 0) net <=> ((\x. lift (norm (f x))) --> vec 0) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_NULL_POW_EQ: !net f n. ~(n = 0) ==> (((\x. f x pow n) ---> &0) net <=> (f ---> &0) net)
% Assm: REAL_TENDSTO: (s --> l) = (drop o s ---> drop l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !net f n. ~(n = 0) ==> (((\x. f x pow n) --> Cx (&0)) net <=> (f --> Cx (&0)) net)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !z n. norm (z pow n) = norm z pow n
% Assm: vec 0 = Cx (&0)
% Assm: !n. drop (vec n) = &n
% Assm: !x. drop (lift x) = x
% Assm: !net f. (f --> vec 0) net <=> ((\x. lift (norm (f x))) --> vec 0) net
% Assm: ~F <=> T
% Assm: !net f n. ~(n = 0) ==> (((\x. f x pow n) ---> &0) net <=> (f ---> &0) net)
% Assm: !s l. (s --> l) = (drop o s ---> drop l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !net f n. ~(n = 0) ==> (((\x. f x pow n) --> Cx (&0)) net <=> (f --> Cx (&0)) net)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq639251, type, q639251 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetq618602, type, netq618602 : $tType).
thf(tc, type, c : $tType).
thf(tnetq639251, type, netq639251 : $tType).
thf(treal, type, real : $tType).
thf(tq618602, type, q618602 : $tType).
thf(tn1, type, n1 : $tType).
thf(tn2, type, n2 : $tType).
thf(tnetq639291, type, netq639291 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq639291, type, q639291 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cvec0, type, vec0 : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((cartrealn1 > real) > (q618602 > cartrealn1) > q618602 > real)).
thf(cmu_mu_mu_gu_0, type, m_m_m_g_0 : ((q618602 > real) > real > netq618602 > $o)).
thf(cmu_mu_gu_1, type, m_m_g_1 : ((q618602 > cartrealn1) > cartrealn1 > netq618602 > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q639251 > real) > real > netq639251 > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((q639291 > cartrealn1) > cartrealn1 > netq639291 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q639291 > cartrealn2) > cartrealn2 > netq639291 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_NORMu_POW, axiom, ![Z:cartrealn2,N:num]:((vectoru_norm @ (complexu_pow @ Z @ N)) = (realu_pow @ (vectoru_norm @ Z) @ N))).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aDROPu_VEC, axiom, ![N:num]:((drop @ (vec0 @ N)) = (realu_ofu_num @ N))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIMu_NULLu_NORM, axiom, ![NET:netq639291,F:(q639291 > cartrealn2)]:((m_m_g_ @ F @ (vec @ (numeral @ u_0)) @ NET) <=> (m_m_g_0 @ ^[X:q639291]:(lift @ (vectoru_norm @ (F @ X))) @ (vec0 @ (numeral @ u_0)) @ NET))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_NULLu_POWu_EQ, axiom, ![NET:netq639251,F:(q639251 > real),N:num]:(~ ((N = (numeral @ u_0))) => ((m_m_m_g_ @ ^[X:q639251]:(realu_pow @ (F @ X) @ N) @ (realu_ofu_num @ (numeral @ u_0)) @ NET) <=> (m_m_m_g_ @ F @ (realu_ofu_num @ (numeral @ u_0)) @ NET)))).
thf(aREALu_TENDSTO, axiom, ![S:(q618602 > cartrealn1),L:cartrealn1]:((m_m_g_1 @ S @ L) = (m_m_m_g_0 @ (o @ drop @ S) @ (drop @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![NET:netq639291,F:(q639291 > cartrealn2),N:num]:(~ ((N = (numeral @ u_0))) => ((m_m_g_ @ ^[X:q639291]:(complexu_pow @ (F @ X) @ N) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET) <=> (m_m_g_ @ F @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET)))).
