%   ORIGINAL: REAL_MVT_SIMPLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_DERIVATIVE_WITHIN_REAL_OPEN: !f f' a s. a IN s /\ real_open s ==> ((f has_real_derivative f') (atreal a within s) <=> (f has_real_derivative f') (atreal a))
% Assm: HAS_REAL_DERIVATIVE_WITHIN_SUBSET: !f s t x. (f has_real_derivative f') (atreal x within s) /\ t SUBSET s ==> (f has_real_derivative f') (atreal x within t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIFFERENTIABLE_ON_IMP_REAL_CONTINUOUS_ON: !f s. f real_differentiable_on s ==> f real_continuous_on s
% Assm: REAL_INTERVAL_OPEN_SUBSET_CLOSED: !a b. real_interval (a,b) SUBSET real_interval [a,b]
% Assm: REAL_MVT: !f f' a b. a < b /\ f real_continuous_on real_interval [a,b] /\ (!x. x IN real_interval (a,b) ==> (f has_real_derivative f' x) (atreal x)) ==> (?x. x IN real_interval (a,b) /\ f b - f a = f' x * (b - a))
% Assm: REAL_OPEN_REAL_INTERVAL: !a b. real_open (real_interval (a,b))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: real_differentiable: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Assm: real_differentiable_on: !f s. f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x within s)))
% Goal: !f f' a b. a < b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (?x. x IN real_interval (a,b) /\ f b - f a = f' x * (b - a))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f f' a s. a IN s /\ real_open s ==> ((f has_real_derivative f') (atreal a within s) <=> (f has_real_derivative f') (atreal a))
% Assm: !f' f s t x. (f has_real_derivative f') (atreal x within s) /\ t SUBSET s ==> (f has_real_derivative f') (atreal x within t)
% Assm: ~F <=> T
% Assm: !f s. f real_differentiable_on s ==> f real_continuous_on s
% Assm: !a b. real_interval (a,b) SUBSET real_interval [a,b]
% Assm: !f f' a b. a < b /\ f real_continuous_on real_interval [a,b] /\ (!x. x IN real_interval (a,b) ==> (f has_real_derivative f' x) (atreal x)) ==> (?x. x IN real_interval (a,b) /\ f b - f a = f' x * (b - a))
% Assm: !a b. real_open (real_interval (a,b))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !f net. f real_differentiable net <=> (?f'. (f has_real_derivative f') net)
% Assm: !f s. f real_differentiable_on s <=> (!x. x IN s ==> (?f'. (f has_real_derivative f') (atreal x within s)))
% Goal: !f f' a b. a < b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (?x. x IN real_interval (a,b) /\ f b - f a = f' x * (b - a))
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_differentiable, type, realu_differentiable : ((real > real) > netreal > $o)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_differentiableuu_on, type, realu_differentiableu_on : ((real > real) > (real > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_DERIVATIVEu_WITHINu_REALu_OPEN, axiom, ![F:(real > real),FI_:real,A:real,S:(real > $o)]:(((in @ A @ S) & (realu_open @ S)) => ((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ A) @ S)) <=> (hasu_realu_derivative @ F @ FI_ @ (atreal @ A))))).
thf(aHASu_REALu_DERIVATIVEu_WITHINu_SUBSET, axiom, ![FI_:real,F:(real > real),S:(real > $o),T:(real > $o),X:real]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (subset @ T @ S)) => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIFFERENTIABLEu_ONu_IMPu_REALu_CONTINUOUSu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_differentiableu_on @ F @ S) => (realu_continuousu_on @ F @ S))).
thf(aREALu_INTERVALu_OPENu_SUBSETu_CLOSED, axiom, ![A:real,B:real]:(subset @ (openu_realu_interval @ (c_ @ A @ B)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aREALu_MVT, axiom, ![F:(real > real),FI_:(real > real),A:real,B:real]:(((realu_lt @ A @ B) & (realu_continuousu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:real]:((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) => (hasu_realu_derivative @ F @ (FI_ @ X) @ (atreal @ X)))) => ?[X:real]:((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) & ((realu_sub @ (F @ B) @ (F @ A)) = (realu_mul @ (FI_ @ X) @ (realu_sub @ B @ A)))))).
thf(aREALu_OPENu_REALu_INTERVAL, axiom, ![A:real,B:real]:(realu_open @ (openu_realu_interval @ (c_ @ A @ B)))).
thf(aSUBSET, axiom, ![S:(real > $o),T:(real > $o)]:((subset @ S @ T) <=> ![X:real]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(arealu_differentiable, axiom, ![F:(real > real),NET:netreal]:((realu_differentiable @ F @ NET) <=> ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ NET))).
thf(arealu_differentiableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_differentiableu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => ?[FI_:real]:(hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(conjecture, conjecture, ![F:(real > real),FI_:(real > real),A:real,B:real]:(((realu_lt @ A @ B) & ![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (hasu_realu_derivative @ F @ (FI_ @ X) @ (within @ (atreal @ X) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))) => ?[X:real]:((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) & ((realu_sub @ (F @ B) @ (F @ A)) = (realu_mul @ (FI_ @ X) @ (realu_sub @ B @ A)))))).
