%   ORIGINAL: REAL_MVT_VERY_SIMPLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: REAL_INTERVAL_OPEN_SUBSET_CLOSED: !a b. real_interval (a,b) SUBSET real_interval [a,b]
% Assm: REAL_INTERVAL_SING: !a. real_interval [a,a] = {a} /\ real_interval (a,a) = {}
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_MVT_SIMPLE: !f f' a b. a < b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (?x. x IN real_interval (a,b) /\ f b - f a = f' x * (b - a))
% Assm: REAL_SUB_REFL: !x. x - x = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f f' a b. a <= b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (?x. x IN real_interval [a,b] /\ f b - f a = f' x * (b - a))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x IN {y} <=> x = y
% Assm: !a b. real_interval (a,b) SUBSET real_interval [a,b]
% Assm: !a. real_interval [a,a] = {a} /\ real_interval (a,a) = {}
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !f f' a b. a < b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (?x. x IN real_interval (a,b) /\ f b - f a = f' x * (b - a))
% Assm: !x. x - x = &0
% Assm: !x. x * &0 = &0
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f f' a b. a <= b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (?x. x IN real_interval [a,b] /\ f b - f a = f' x * (b - a))
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(catreal, type, atreal : (real > netreal)).
thf(cnil, type, nil : listprodrealreal).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_SING, axiom, ![X:real,Y:real]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aREALu_INTERVALu_OPENu_SUBSETu_CLOSED, axiom, ![A:real,B:real]:(subset @ (openu_realu_interval @ (c_ @ A @ B)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aREALu_INTERVALu_SING, axiom, ![A:real]:(((closedu_realu_interval @ (cons @ (c_ @ A @ A) @ nil)) = (insert @ A @ empty)) & ((openu_realu_interval @ (c_ @ A @ A)) = empty))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_MVTu_SIMPLE, axiom, ![F:(real > real),FI_:(real > real),A:real,B:real]:(((realu_lt @ A @ B) & ![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (hasu_realu_derivative @ F @ (FI_ @ X) @ (within @ (atreal @ X) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))) => ?[X:real]:((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) & ((realu_sub @ (F @ B) @ (F @ A)) = (realu_mul @ (FI_ @ X) @ (realu_sub @ B @ A)))))).
thf(aREALu_SUBu_REFL, axiom, ![X:real]:((realu_sub @ X @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUBSET, axiom, ![S:(real > $o),T:(real > $o)]:((subset @ S @ T) <=> ![X:real]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),FI_:(real > real),A:real,B:real]:(((realu_le @ A @ B) & ![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (hasu_realu_derivative @ F @ (FI_ @ X) @ (within @ (atreal @ X) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))) => ?[X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ((realu_sub @ (F @ B) @ (F @ A)) = (realu_mul @ (FI_ @ X) @ (realu_sub @ B @ A)))))).
