%   ORIGINAL: REAL_DERIVATIVE_IVT_DECREASING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_DERIVATIVE_NEG: !f f' net. (f has_real_derivative f') net ==> ((\x. --f x) has_real_derivative --f') net
% Assm: REAL_DERIVATIVE_IVT_INCREASING: !f f' a b. a <= b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (!t. f' a <= t /\ t <= f' b ==> (?x. x IN real_interval [a,b] /\ f' x = t))
% Assm: REAL_EQ_NEG2: !x y. --x = --y <=> x = y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: TRUTH: T
% Goal: !f f' a b t. a <= b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (!t. f' b <= t /\ t <= f' a ==> (?x. x IN real_interval [a,b] /\ f' x = t))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' net. (f has_real_derivative f') net ==> ((\x. --f x) has_real_derivative --f') net
% Assm: !f f' a b. a <= b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (!t. f' a <= t /\ t <= f' b ==> (?x. x IN real_interval [a,b] /\ f' x = t))
% Assm: !x y. --x = --y <=> x = y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: T
% Goal: !f f' a b t. a <= b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (!t. f' b <= t /\ t <= f' a ==> (?x. x IN real_interval [a,b] /\ f' x = t))
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tq641835, type, q641835 : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(catreal, type, atreal : (real > netreal)).
thf(cnil, type, nil : listprodrealreal).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_DERIVATIVEu_NEG, axiom, ![F:(real > real),FI_:real,NET:netreal]:((hasu_realu_derivative @ F @ FI_ @ NET) => (hasu_realu_derivative @ ^[X:real]:(realu_neg @ (F @ X)) @ (realu_neg @ FI_) @ NET))).
thf(aREALu_DERIVATIVEu_IVTu_INCREASING, axiom, ![F:(real > real),FI_:(real > real),A:real,B:real]:(((realu_le @ A @ B) & ![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (hasu_realu_derivative @ F @ (FI_ @ X) @ (within @ (atreal @ X) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))) => ![T:real]:(((realu_le @ (FI_ @ A) @ T) & (realu_le @ T @ (FI_ @ B))) => ?[X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ((FI_ @ X) = T))))).
thf(aREALu_EQu_NEG2, axiom, ![X:real,Y:real]:(((realu_neg @ X) = (realu_neg @ Y)) <=> (X = Y))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),FI_:(real > real),A:real,B:real,T:q641835]:(((realu_le @ A @ B) & ![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (hasu_realu_derivative @ F @ (FI_ @ X) @ (within @ (atreal @ X) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))) => ![T0:real]:(((realu_le @ (FI_ @ B) @ T0) & (realu_le @ T0 @ (FI_ @ A))) => ?[X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ((FI_ @ X) = T0))))).
