%   ORIGINAL: REAL_CONTINUOUS_ON_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_INVERSE: !f g s. f continuous_on s /\ compact s /\ (!x. x IN s ==> g (f x) = x) ==> g continuous_on IMAGE f s
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IMAGE_LIFT_DROP_conjunct0: !s. IMAGE (lift o drop) s = s
% Assm: IMAGE_LIFT_DROP_conjunct1: !s. IMAGE (drop o lift) s = s
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: REAL_CONTINUOUS_ON: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: real_compact: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !f g s. f real_continuous_on s /\ real_compact s /\ (!x. x IN s ==> g (f x) = x) ==> g real_continuous_on IMAGE f s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. f continuous_on s /\ compact s /\ (!x. x IN s ==> g (f x) = x) ==> g continuous_on IMAGE f s
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !s. IMAGE (lift o drop) s = s
% Assm: !s. IMAGE (drop o lift) s = s
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !x. drop (lift x) = x
% Assm: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !f g s. f real_continuous_on s /\ real_compact s /\ (!x. x IN s ==> g (f x) = x) ==> g real_continuous_on IMAGE f s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn > cartrealm) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(co3, type, o3 : ((b > real) > (a > b) > a > real)).
thf(cimage2, type, image2 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co2, type, o2 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co1, type, o1 : ((real > real) > (real > real) > real > real)).
thf(co0, type, o0 : ((cartrealn1 > real) > (real > cartrealn1) > real > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cimage1, type, image1 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(cimage0, type, image0 : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(ccompact0, type, compact0 : ((cartrealn1 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealm > $o) > $o)).
thf(crealuu_compact, type, realu_compact : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_INVERSE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealm),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (compact @ S) & ![X:cartrealm]:((in0 @ X @ S) => ((G @ (F @ X)) = X))) => (continuousu_on0 @ G @ (image0 @ F @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aIMAGEu_LIFTu_DROPu_conjunct0, axiom, ![S:(cartrealn1 > $o)]:((image1 @ (o @ lift @ drop) @ S) = S)).
thf(aIMAGEu_LIFTu_DROPu_conjunct1, axiom, ![S:(real > $o)]:((image @ (o0 @ drop @ lift) @ S) = S)).
thf(aIMAGEu_o, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:((image @ (o1 @ F @ G) @ S) = (image @ F @ (image @ G @ S)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aREALu_CONTINUOUSu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_continuousu_on @ F @ S) <=> (continuousu_on1 @ (o @ lift @ (o2 @ F @ drop)) @ (image2 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o3 @ F @ G @ X) = (F @ (G @ X)))).
thf(arealu_compact, axiom, ![S:(real > $o)]:((realu_compact @ S) <=> (compact0 @ (image2 @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_continuousu_on @ F @ S) & (realu_compact @ S) & ![X:real]:((in @ X @ S) => ((G @ (F @ X)) = X))) => (realu_continuousu_on @ G @ (image @ F @ S)))).
