%   ORIGINAL: REALLIM_ZERO_POSINFINITY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_ZERO_POSINFINITY: !f l. ((\x. f (&1 / x)) --> l) (atreal (&0)) ==> (f --> l) at_posinfinity
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f l. ((\x. f (&1 / x)) ---> l) (atreal (&0)) ==> (f ---> l) at_posinfinity
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f l. ((\x. f (&1 / x)) --> l) (atreal (&0)) ==> (f --> l) at_posinfinity
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f l. ((\x. f (&1 / x)) ---> l) (atreal (&0)) ==> (f ---> l) at_posinfinity
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq645365, type, q645365 : $tType).
thf(tcartrealq645365, type, cartrealq645365 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > cartrealn1) > (real > real) > real > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((real > cartrealn1) > cartrealn1 > netreal > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((real > cartrealq645365) > cartrealq645365 > netreal > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((real > real) > real > netreal > $o)).
thf(catuu_posinfinity, type, atu_posinfinity : netreal).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_ZEROu_POSINFINITY, axiom, ![F:(real > cartrealq645365),L:cartrealq645365]:((m_m_g_ @ ^[X:real]:(F @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X)) @ L @ (atreal @ (realu_ofu_num @ (numeral @ u_0)))) => (m_m_g_ @ F @ L @ atu_posinfinity))).
thf(aTENDSTOu_REAL, axiom, ![S:(real > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),L:real]:((m_m_m_g_ @ ^[X:real]:(F @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X)) @ L @ (atreal @ (realu_ofu_num @ (numeral @ u_0)))) => (m_m_m_g_ @ F @ L @ atu_posinfinity))).
