%   ORIGINAL: real_segment_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: closed_real_segment: closed_real_segment [a,b] = {(&1 - u) * a + u * b | &0 <= u /\ u <= &1}
% Assm: real_segment_conjunct1: open_real_segment (a,b) = closed_real_segment [a,b] DIFF {a, b}
% Goal: closed_real_segment [a,b] = {(&1 - u) * a + u * b | &0 <= u /\ u <= &1}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !a b. closed_real_segment [a,b] = {(&1 - u) * a + u * b | &0 <= u /\ u <= &1}
% Assm: !a b. open_real_segment (a,b) = closed_real_segment [a,b] DIFF {a, b}
% Goal: !b a. closed_real_segment [a,b] = {(&1 - u) * a + u * b | &0 <= u /\ u <= &1}
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(copenuu_realuu_segment, type, openu_realu_segment : (prodrealreal > real > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(ccloseduu_realuu_segment, type, closedu_realu_segment : (listprodrealreal > real > $o)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aclosedu_realu_segment, axiom, ![A:real,B:real]:((closedu_realu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (gspec @ ^[GENR_PVARR_2396:real]:?[U:real]:(setspec @ GENR_PVARR_2396 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ (realu_add @ (realu_mul @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ A) @ (realu_mul @ U @ B)))))).
thf(arealu_segmentu_conjunct1, axiom, ![A:real,B:real]:((openu_realu_segment @ (c_ @ A @ B)) = (diff @ (closedu_realu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (insert @ A @ (insert @ B @ empty))))).
thf(conjecture, conjecture, ![B:real,A:real]:((closedu_realu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (gspec @ ^[GENR_PVARR_2397:real]:?[U:real]:(setspec @ GENR_PVARR_2397 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ (realu_add @ (realu_mul @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ A) @ (realu_mul @ U @ B)))))).
