%   ORIGINAL: REAL_CONVEX_ON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DROP_ADD: !x y. drop (x + y) = drop x + drop y
% Assm: DROP_CMUL: !x c. drop (c % x) = c * drop x
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Assm: convex_on: !s f. f convex_on s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u % x + v % y) <= u * f x + v * f y)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: real_convex_on: !s f. f real_convex_on s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u * x + v * y) <= u * f x + v * f y)
% Goal: !f s. f real_convex_on s <=> f o drop convex_on IMAGE lift s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. drop (x + y) = drop x + drop y
% Assm: !x c. drop (c % x) = c * drop x
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. drop (lift x) = x
% Assm: T
% Assm: !s f. f convex_on s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u % x + v % y) <= u * f x + v * f y)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !s f. f real_convex_on s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u * x + v * y) <= u * f x + v * f y)
% Goal: !f s. f real_convex_on s <=> f o drop convex_on IMAGE lift s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cconvexuu_on, type, convexu_on : ((cartrealn1 > real) > (cartrealn1 > $o) > $o)).
thf(crealuu_convexuu_on, type, realu_convexu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co, type, o : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDROPu_ADD, axiom, ![X:cartrealn1,Y:cartrealn1]:((drop @ (vectoru_add @ X @ Y)) = (realu_add @ (drop @ X) @ (drop @ Y)))).
thf(aDROPu_CMUL, axiom, ![X:cartrealn1,C:real]:((drop @ (r_ @ C @ X)) = (realu_mul @ C @ (drop @ X)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn1 > $o),F:(real > cartrealn1),S:(real > $o)]:(![Y:cartrealn1]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aconvexu_on, axiom, ![S:(cartrealn1 > $o),F:(cartrealn1 > real)]:((convexu_on @ F @ S) <=> ![X:cartrealn1,Y:cartrealn1,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_le @ (F @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y))) @ (realu_add @ (realu_mul @ U @ (F @ X)) @ (realu_mul @ V @ (F @ Y))))))).
thf(aou_THM, axiom, ![F:(real > real),G:(cartrealn1 > real),X:cartrealn1]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(arealu_convexu_on, axiom, ![S:(real > $o),F:(real > real)]:((realu_convexu_on @ F @ S) <=> ![X:real,Y:real,U:real,V:real]:(((in0 @ X @ S) & (in0 @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_le @ (F @ (realu_add @ (realu_mul @ U @ X) @ (realu_mul @ V @ Y))) @ (realu_add @ (realu_mul @ U @ (F @ X)) @ (realu_mul @ V @ (F @ Y))))))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((realu_convexu_on @ F @ S) <=> (convexu_on @ (o @ F @ drop) @ (image @ lift @ S)))).
