%   ORIGINAL: REAL_CONVEX_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CONVEX_LMUL: !s c f. &0 <= c /\ f real_convex_on s ==> (\x. c * f x) real_convex_on s
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Goal: !s c f. &0 <= c /\ f real_convex_on s ==> (\x. f x * c) real_convex_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s c f. &0 <= c /\ f real_convex_on s ==> (\x. c * f x) real_convex_on s
% Assm: !x y. x * y = y * x
% Assm: T
% Goal: !s c f. &0 <= c /\ f real_convex_on s ==> (\x. f x * c) real_convex_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_convexuu_on, type, realu_convexu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CONVEXu_LMUL, axiom, ![S:(real > $o),C:real,F:(real > real)]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & (realu_convexu_on @ F @ S)) => (realu_convexu_on @ ^[X:real]:(realu_mul @ C @ (F @ X)) @ S))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),C:real,F:(real > real)]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & (realu_convexu_on @ F @ S)) => (realu_convexu_on @ ^[X:real]:(realu_mul @ (F @ X) @ C) @ S))).
