%   ORIGINAL: REAL_CONVEX_LOCAL_GLOBAL_MINIMUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_LOCAL_GLOBAL_MINIMUM: !f s t x. f convex_on s /\ x IN t /\ open t /\ t SUBSET s /\ (!y. y IN t ==> f x <= f y) ==> (!y. y IN s ==> f x <= f y)
% Assm: FORALL_DROP: (!x. P x) <=> (!x. P (drop x))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IMAGE_SUBSET: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: IN_IMAGE_LIFT_DROP_conjunct0: !x s. x IN IMAGE lift s <=> drop x IN s
% Assm: IN_IMAGE_LIFT_DROP_conjunct1: !x s. x IN IMAGE drop s <=> lift x IN s
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: REAL_CONVEX_ON: !f s. f real_convex_on s <=> f o drop convex_on IMAGE lift s
% Assm: REAL_OPEN: !s. real_open s <=> open (IMAGE lift s)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f s t x. f real_convex_on s /\ x IN t /\ real_open t /\ t SUBSET s /\ (!y. y IN t ==> f x <= f y) ==> (!y. y IN s ==> f x <= f y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t x. f convex_on s /\ x IN t /\ open t /\ t SUBSET s /\ (!y. y IN t ==> f x <= f y) ==> (!y. y IN s ==> f x <= f y)
% Assm: !P. (!x. P x) <=> (!x. P (drop x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: !x s. x IN IMAGE lift s <=> drop x IN s
% Assm: !x s. x IN IMAGE drop s <=> lift x IN s
% Assm: !x. drop (lift x) = x
% Assm: !f s. f real_convex_on s <=> f o drop convex_on IMAGE lift s
% Assm: !s. real_open s <=> open (IMAGE lift s)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f s t x. f real_convex_on s /\ x IN t /\ real_open t /\ t SUBSET s /\ (!y. y IN t ==> f x <= f y) ==> (!y. y IN s ==> f x <= f y)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cconvexuu_on0, type, convexu_on0 : ((cartrealn1 > real) > (cartrealn1 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin1, type, in1 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cconvexuu_on, type, convexu_on : ((cartrealn > real) > (cartrealn > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_convexuu_on, type, realu_convexu_on : ((real > real) > (real > $o) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(cimage1, type, image1 : ((cartrealn1 > real) > (cartrealn1 > $o) > real > $o)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(copen0, type, open0 : ((cartrealn1 > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_LOCALu_GLOBALu_MINIMUM, axiom, ![F:(cartrealn > real),S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:(((convexu_on @ F @ S) & (in0 @ X @ T) & (open @ T) & (subset0 @ T @ S) & ![Y:cartrealn]:((in0 @ Y @ T) => (realu_le @ (F @ X) @ (F @ Y)))) => ![Y:cartrealn]:((in0 @ Y @ S) => (realu_le @ (F @ X) @ (F @ Y))))).
thf(aFORALLu_DROP, axiom, ![P:(real > $o)]:(![X:real]:(P @ X) <=> ![X:cartrealn1]:(P @ (drop @ X)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aIMAGEu_SUBSET, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:((subset @ S @ T) => (subset @ (image @ F @ S) @ (image @ F @ T)))).
thf(aINu_IMAGEu_LIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1,S:(real > $o)]:((in1 @ X @ (image0 @ lift @ S)) <=> (in @ (drop @ X) @ S))).
thf(aINu_IMAGEu_LIFTu_DROPu_conjunct1, axiom, ![X:real,S:(cartrealn1 > $o)]:((in @ X @ (image1 @ drop @ S)) <=> (in1 @ (lift @ X) @ S))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aREALu_CONVEXu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_convexu_on @ F @ S) <=> (convexu_on0 @ (o @ F @ drop) @ (image0 @ lift @ S)))).
thf(aREALu_OPEN, axiom, ![S:(real > $o)]:((realu_open @ S) <=> (open0 @ (image0 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o),X:real]:(((realu_convexu_on @ F @ S) & (in @ X @ T) & (realu_open @ T) & (subset @ T @ S) & ![Y:real]:((in @ Y @ T) => (realu_le @ (F @ X) @ (F @ Y)))) => ![Y:real]:((in @ Y @ S) => (realu_le @ (F @ X) @ (F @ Y))))).
