%   ORIGINAL: REAL_CONVEX_ON_DERIVATIVE_INCREASING_IMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CONVEX_ON_DERIVATIVES_IMP: !f f'x f'y s x y. f real_convex_on s /\ closed_real_segment [x,y] SUBSET s /\ (f has_real_derivative f'x) (atreal x within s) /\ (f has_real_derivative f'y) (atreal y within s) ==> f'x * (y - x) <= f'y * (y - x)
% Assm: REAL_LE_RMUL_EQ: !x y z. &0 < z ==> (x * z <= y * z <=> x <= y)
% Assm: REAL_SEGMENT_INTERVAL_conjunct0: !a b. closed_real_segment [a,b] = (if a <= b then real_interval [a,b] else real_interval [b,a])
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: TRUTH: T
% Goal: !f f'x f'y s x y. f real_convex_on s /\ real_interval [x,y] SUBSET s /\ (f has_real_derivative f'x) (atreal x within s) /\ (f has_real_derivative f'y) (atreal y within s) /\ x < y ==> f'x <= f'y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !f f'x f'y s x y. f real_convex_on s /\ closed_real_segment [x,y] SUBSET s /\ (f has_real_derivative f'x) (atreal x within s) /\ (f has_real_derivative f'y) (atreal y within s) ==> f'x * (y - x) <= f'y * (y - x)
% Assm: !x y z. &0 < z ==> (x * z <= y * z <=> x <= y)
% Assm: !a b. closed_real_segment [a,b] = (if a <= b then real_interval [a,b] else real_interval [b,a])
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. x < y ==> x <= y
% Assm: T
% Goal: !f f'x f'y s x y. f real_convex_on s /\ real_interval [x,y] SUBSET s /\ (f has_real_derivative f'x) (atreal x within s) /\ (f has_real_derivative f'y) (atreal y within s) /\ x < y ==> f'x <= f'y
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccloseduu_realuu_segment, type, closedu_realu_segment : (listprodrealreal > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_convexuu_on, type, realu_convexu_on : ((real > real) > (real > $o) > $o)).
thf(ccond0, type, cond0 : ($o > (real > $o) > (real > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(catreal, type, atreal : (real > netreal)).
thf(cnil, type, nil : listprodrealreal).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CONVEXu_ONu_DERIVATIVESu_IMP, axiom, ![F:(real > real),FI_X:real,FI_Y:real,S:(real > $o),X:real,Y:real]:(((realu_convexu_on @ F @ S) & (subset @ (closedu_realu_segment @ (cons @ (c_ @ X @ Y) @ nil)) @ S) & (hasu_realu_derivative @ F @ FI_X @ (within @ (atreal @ X) @ S)) & (hasu_realu_derivative @ F @ FI_Y @ (within @ (atreal @ Y) @ S))) => (realu_le @ (realu_mul @ FI_X @ (realu_sub @ Y @ X)) @ (realu_mul @ FI_Y @ (realu_sub @ Y @ X))))).
thf(aREALu_LEu_RMULu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)) <=> (realu_le @ X @ Y)))).
thf(aREALu_SEGMENTu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((closedu_realu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (cond0 @ (realu_le @ A @ B) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (closedu_realu_interval @ (cons @ (c_ @ B @ A) @ nil))))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),FI_X:real,FI_Y:real,S:(real > $o),X:real,Y:real]:(((realu_convexu_on @ F @ S) & (subset @ (closedu_realu_interval @ (cons @ (c_ @ X @ Y) @ nil)) @ S) & (hasu_realu_derivative @ F @ FI_X @ (within @ (atreal @ X) @ S)) & (hasu_realu_derivative @ F @ FI_Y @ (within @ (atreal @ Y) @ S)) & (realu_lt @ X @ Y)) => (realu_le @ FI_X @ FI_Y))).
