%   ORIGINAL: REAL_CONVEX_ON_ASYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_WLOG_LT: (!x. P x x) /\ (!x y. P x y <=> P y x) /\ (!x y. x < y ==> P x y) ==> (!x y. P x y)
% Assm: TRUTH: T
% Assm: Tactics_jordan.REAL_RDISTRIB: !x y z. (x + y) * z = x * z + y * z
% Assm: real_convex_on: !s f. f real_convex_on s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u * x + v * y) <= u * f x + v * f y)
% Goal: !s f. f real_convex_on s <=> (!x y u v. x IN s /\ y IN s /\ x < y /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u * x + v * y) <= u * f x + v * f y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !x. &1 * x = x
% Assm: !x y. x + y = y + x
% Assm: !P. (!x. P x x) /\ (!x y. P x y <=> P y x) /\ (!x y. x < y ==> P x y) ==> (!x y. P x y)
% Assm: T
% Assm: !x y z. (x + y) * z = x * z + y * z
% Assm: !s f. f real_convex_on s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u * x + v * y) <= u * f x + v * f y)
% Goal: !s f. f real_convex_on s <=> (!x y u v. x IN s /\ y IN s /\ x < y /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> f (u * x + v * y) <= u * f x + v * f y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_convexuu_on, type, realu_convexu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_WLOGu_LT, axiom, ![P:(real > real > $o)]:((![X:real]:(P @ X @ X) & ![X:real,Y:real]:((P @ X @ Y) <=> (P @ Y @ X)) & ![X:real,Y:real]:((realu_lt @ X @ Y) => (P @ X @ Y))) => ![X:real,Y:real]:(P @ X @ Y))).
thf(aTRUTH, axiom, $true).
thf(aTacticsu_jordano_REALu_RDISTRIB, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ (realu_add @ X @ Y) @ Z) = (realu_add @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(arealu_convexu_on, axiom, ![S:(real > $o),F:(real > real)]:((realu_convexu_on @ F @ S) <=> ![X:real,Y:real,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_le @ (F @ (realu_add @ (realu_mul @ U @ X) @ (realu_mul @ V @ Y))) @ (realu_add @ (realu_mul @ U @ (F @ X)) @ (realu_mul @ V @ (F @ Y))))))).
thf(conjecture, conjecture, ![S:(real > $o),F:(real > real)]:((realu_convexu_on @ F @ S) <=> ![X:real,Y:real,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_lt @ X @ Y) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_le @ (F @ (realu_add @ (realu_mul @ U @ X) @ (realu_mul @ V @ Y))) @ (realu_add @ (realu_mul @ U @ (F @ X)) @ (realu_mul @ V @ (F @ Y))))))).
