%   ORIGINAL: HAS_REAL_INTEGRAL_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_UNIQUE: !f i k1 k2. (f has_integral k1) i /\ (f has_integral k2) i ==> k1 = k2
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: TRUTH: T
% Assm: has_real_integral: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Goal: !f i k1 k2. (f has_real_integral k1) i /\ (f has_real_integral k2) i ==> k1 = k2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f i k1 k2. (f has_integral k1) i /\ (f has_integral k2) i ==> k1 = k2
% Assm: !x y. lift x = lift y <=> x = y
% Assm: T
% Assm: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Goal: !f i k1 k2. (f has_real_integral k1) i /\ (f has_real_integral k2) i ==> k1 = k2
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_UNIQUE, axiom, ![F:(cartrealm > cartrealn),I:(cartrealm > $o),K1:cartrealn,K2:cartrealn]:(((hasu_integral @ F @ K1 @ I) & (hasu_integral @ F @ K2 @ I)) => (K1 = K2))).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aTRUTH, axiom, $true).
thf(ahasu_realu_integral, axiom, ![F:(real > real),Y:real,S:(real > $o)]:((hasu_realu_integral @ F @ Y @ S) <=> (hasu_integral0 @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ Y) @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),I:(real > $o),K1:real,K2:real]:(((hasu_realu_integral @ F @ K1 @ I) & (hasu_realu_integral @ F @ K2 @ I)) => (K1 = K2))).
