%   ORIGINAL: REAL_INTEGRAL_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_INTEGRAL_UNIQUE: !f i k1 k2. (f has_real_integral k1) i /\ (f has_real_integral k2) i ==> k1 = k2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_UNIQUE: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: TRUTH: T
% Assm: real_integral: !f i. real_integral i f = (@y. (f has_real_integral y) i)
% Goal: !f y k. (f has_real_integral y) k ==> real_integral k f = y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f i k1 k2. (f has_real_integral k1) i /\ (f has_real_integral k2) i ==> k1 = k2
% Assm: ~F <=> T
% Assm: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: T
% Assm: !f i. real_integral i f = (@y. (f has_real_integral y) i)
% Goal: !f y k. (f has_real_integral y) k ==> real_integral k f = y
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),I:(real > $o),K1:real,K2:real]:(((hasu_realu_integral @ F @ K1 @ I) & (hasu_realu_integral @ F @ K2 @ I)) => (K1 = K2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_UNIQUE, axiom, ![P:(real > $o),X:real]:(![Y:real]:((P @ Y) <=> (Y = X)) => ((h_ @ P) = X))).
thf(aTRUTH, axiom, $true).
thf(arealu_integral, axiom, ![F:(real > real),I:(real > $o)]:((realu_integral @ I @ F) = (h_ @ ^[Y:real]:(hasu_realu_integral @ F @ Y @ I)))).
thf(conjecture, conjecture, ![F:(real > real),Y:real,K:(real > $o)]:((hasu_realu_integral @ F @ Y @ K) => ((realu_integral @ K @ F) = Y))).
