%   ORIGINAL: HAS_REAL_INTEGRAL_INTEGRABLE_INTEGRAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INTEGRABLE_INTEGRAL: !f i. f real_integrable_on i ==> (f has_real_integral real_integral i f) i
% Assm: REAL_INTEGRAL_UNIQUE: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: TRUTH: T
% Assm: real_integrable_on: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f i s. (f has_real_integral i) s <=> f real_integrable_on s /\ real_integral s f = i
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !f i. f real_integrable_on i ==> (f has_real_integral real_integral i f) i
% Assm: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: T
% Assm: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f i s. (f has_real_integral i) s <=> f real_integrable_on s /\ real_integral s f = i
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INTEGRABLEu_INTEGRAL, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) => (hasu_realu_integral @ F @ (realu_integral @ I @ F) @ I))).
thf(aREALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),Y:real,K:(real > $o)]:((hasu_realu_integral @ F @ Y @ K) => ((realu_integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(arealu_integrableu_on, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) <=> ?[Y:real]:(hasu_realu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(real > real),I:real,S:(real > $o)]:((hasu_realu_integral @ F @ I @ S) <=> ((realu_integrableu_on @ F @ S) & ((realu_integral @ S @ F) = I)))).
