%   ORIGINAL: ABSOLUTELY_REAL_INTEGRABLE_ON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: REAL_INTEGRABLE_ON: f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: TRUTH: T
% Assm: absolutely_integrable_on: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Assm: absolutely_real_integrable_on: !f s. f absolutely_real_integrable_on s <=> f real_integrable_on s /\ (\x. abs (f x)) real_integrable_on s
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: f absolutely_real_integrable_on s <=> lift o f o drop absolutely_integrable_on IMAGE lift s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm (lift x) = abs x
% Assm: !f s. f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: T
% Assm: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Assm: !f s. f absolutely_real_integrable_on s <=> f real_integrable_on s /\ (\x. abs (f x)) real_integrable_on s
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !s f. f absolutely_real_integrable_on s <=> lift o f o drop absolutely_integrable_on IMAGE lift s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cabsolutelyuu_realuu_integrableuu_on, type, absolutelyu_realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm @ (lift @ X)) = (realu_abs @ X))).
thf(aREALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (integrableu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aabsolutelyu_integrableu_on, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((absolutelyu_integrableu_on @ F @ S) <=> ((integrableu_on @ F @ S) & (integrableu_on @ ^[X:cartrealn1]:(lift @ (vectoru_norm @ (F @ X))) @ S)))).
thf(aabsolutelyu_realu_integrableu_on, axiom, ![F:(real > real),S:(real > $o)]:((absolutelyu_realu_integrableu_on @ F @ S) <=> ((realu_integrableu_on @ F @ S) & (realu_integrableu_on @ ^[X:real]:(realu_abs @ (F @ X)) @ S)))).
thf(aou_DEFu_monomorphized1, axiom, ![F:(real > real),G:(cartrealn1 > real)]:((o0 @ F @ G) = ^[X:cartrealn1]:(F @ (G @ X)))).
thf(aou_DEFu_monomorphized0, axiom, ![F:(real > cartrealn1),G:(cartrealn1 > real)]:((o @ F @ G) = ^[X:cartrealn1]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(real > $o),F:(real > real)]:((absolutelyu_realu_integrableu_on @ F @ S) <=> (absolutelyu_integrableu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
