%   ORIGINAL: HAS_REAL_INTEGRAL_0_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_REAL_INTEGRAL_0: !s. ((\x. &0) has_real_integral &0) s
% Assm: HAS_REAL_INTEGRAL_UNIQUE: !f i k1 k2. (f has_real_integral k1) i /\ (f has_real_integral k2) i ==> k1 = k2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !i s. ((\x. &0) has_real_integral i) s <=> i = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !s. ((\x. &0) has_real_integral &0) s
% Assm: !f i k1 k2. (f has_real_integral k1) i /\ (f has_real_integral k2) i ==> k1 = k2
% Assm: ~F <=> T
% Assm: T
% Goal: !i s. ((\x. &0) has_real_integral i) s <=> i = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aHASu_REALu_INTEGRALu_0, axiom, ![S:(real > $o)]:(hasu_realu_integral @ ^[X:real]:(realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ u_0)) @ S)).
thf(aHASu_REALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),I:(real > $o),K1:real,K2:real]:(((hasu_realu_integral @ F @ K1 @ I) & (hasu_realu_integral @ F @ K2 @ I)) => (K1 = K2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![I:real,S:(real > $o)]:((hasu_realu_integral @ ^[X:real]:(realu_ofu_num @ (numeral @ u_0)) @ I @ S) <=> (I = (realu_ofu_num @ (numeral @ u_0))))).
