%   ORIGINAL: HAS_REAL_INTEGRAL_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_LINEAR: !f y s h. (f has_integral y) s /\ linear h ==> (h o f has_integral h y) s
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Assm: has_real_integral: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f y s h. (f has_real_integral y) s /\ linear (lift o h o drop) ==> (h o f has_real_integral h y) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f y s h. (f has_integral y) s /\ linear h ==> (h o f has_integral h y) s
% Assm: !x. drop (lift x) = x
% Assm: T
% Assm: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f y s h. (f has_real_integral y) s /\ linear (lift o h o drop) ==> (h o f has_real_integral h y) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(co2, type, o2 : ((cartrealn1 > cartrealn1) > (cartrealm > cartrealn1) > cartrealm > cartrealn1)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn1) > cartrealn1 > (cartrealm > $o) > $o)).
thf(co1, type, o1 : ((real > real) > (real > real) > real > real)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(clinear, type, linear : ((cartrealn1 > cartrealn1) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_LINEAR, axiom, ![F:(cartrealm > cartrealn1),Y:cartrealn1,S:(cartrealm > $o),H:(cartrealn1 > cartrealn1)]:(((hasu_integral @ F @ Y @ S) & (linear @ H)) => (hasu_integral @ (o2 @ H @ F) @ (H @ Y) @ S))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(ahasu_realu_integral, axiom, ![F:(real > real),Y:real,S:(real > $o)]:((hasu_realu_integral @ F @ Y @ S) <=> (hasu_integral0 @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ Y) @ (image @ lift @ S)))).
thf(aou_DEFu_monomorphized2, axiom, ![F:(real > real),G:(real > real)]:((o1 @ F @ G) = ^[X:real]:(F @ (G @ X)))).
thf(aou_DEFu_monomorphized1, axiom, ![F:(real > real),G:(cartrealn1 > real)]:((o0 @ F @ G) = ^[X:cartrealn1]:(F @ (G @ X)))).
thf(aou_DEFu_monomorphized0, axiom, ![F:(real > cartrealn1),G:(cartrealn1 > real)]:((o @ F @ G) = ^[X:cartrealn1]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),Y:real,S:(real > $o),H:(real > real)]:(((hasu_realu_integral @ F @ Y @ S) & (linear @ (o @ lift @ (o0 @ H @ drop)))) => (hasu_realu_integral @ (o1 @ H @ F) @ (H @ Y) @ S))).
