%   ORIGINAL: HAS_REAL_INTEGRAL_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_LMUL: !f k s c. (f has_real_integral k) s ==> ((\x. c * f x) has_real_integral c * k) s
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Goal: !f k s c. (f has_real_integral k) s ==> ((\x. f x * c) has_real_integral k * c) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f k s c. (f has_real_integral k) s ==> ((\x. c * f x) has_real_integral c * k) s
% Assm: !x y. x * y = y * x
% Assm: T
% Goal: !f k s c. (f has_real_integral k) s ==> ((\x. f x * c) has_real_integral k * c) s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_LMUL, axiom, ![F:(real > real),K:real,S:(real > $o),C:real]:((hasu_realu_integral @ F @ K @ S) => (hasu_realu_integral @ ^[X:real]:(realu_mul @ C @ (F @ X)) @ (realu_mul @ C @ K) @ S))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),K:real,S:(real > $o),C:real]:((hasu_realu_integral @ F @ K @ S) => (hasu_realu_integral @ ^[X:real]:(realu_mul @ (F @ X) @ C) @ (realu_mul @ K @ C) @ S))).
