%   ORIGINAL: HAS_REAL_INTEGRAL_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_ADD: !f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x + g x) has_integral k + l) s
% Assm: LIFT_ADD: !x y. lift (x + y) = lift x + lift y
% Assm: TRUTH: T
% Assm: has_real_integral: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g k l s. (f has_real_integral k) s /\ (g has_real_integral l) s ==> ((\x. f x + g x) has_real_integral k + l) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !k l f g s. (f has_integral k) s /\ (g has_integral l) s ==> ((\x. f x + g x) has_integral k + l) s
% Assm: !x y. lift (x + y) = lift x + lift y
% Assm: T
% Assm: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g k l s. (f has_real_integral k) s /\ (g has_real_integral l) s ==> ((\x. f x + g x) has_real_integral k + l) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_ADD, axiom, ![K:cartrealn,L:cartrealn,F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((hasu_integral @ F @ K @ S) & (hasu_integral @ G @ L @ S)) => (hasu_integral @ ^[X:cartrealm]:(vectoru_add @ (F @ X) @ (G @ X)) @ (vectoru_add @ K @ L) @ S))).
thf(aLIFTu_ADD, axiom, ![X:real,Y:real]:((lift @ (realu_add @ X @ Y)) = (vectoru_add0 @ (lift @ X) @ (lift @ Y)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_realu_integral, axiom, ![F:(real > real),Y:real,S:(real > $o)]:((hasu_realu_integral @ F @ Y @ S) <=> (hasu_integral0 @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ Y) @ (image @ lift @ S)))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),K:real,L:real,S:(real > $o)]:(((hasu_realu_integral @ F @ K @ S) & (hasu_realu_integral @ G @ L @ S)) => (hasu_realu_integral @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X)) @ (realu_add @ K @ L) @ S))).
