%   ORIGINAL: REAL_INTEGRAL_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_RMUL: !f k s c. (f has_real_integral k) s ==> ((\x. f x * c) has_real_integral k * c) s
% Assm: REAL_INTEGRABLE_INTEGRAL: !f i. f real_integrable_on i ==> (f has_real_integral real_integral i f) i
% Assm: REAL_INTEGRAL_UNIQUE: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: TRUTH: T
% Goal: !f c s. f real_integrable_on s ==> real_integral s (\x. f x * c) = real_integral s f * c
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f k s c. (f has_real_integral k) s ==> ((\x. f x * c) has_real_integral k * c) s
% Assm: !f i. f real_integrable_on i ==> (f has_real_integral real_integral i f) i
% Assm: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: T
% Goal: !f c s. f real_integrable_on s ==> real_integral s (\x. f x * c) = real_integral s f * c
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_RMUL, axiom, ![F:(real > real),K:real,S:(real > $o),C:real]:((hasu_realu_integral @ F @ K @ S) => (hasu_realu_integral @ ^[X:real]:(realu_mul @ (F @ X) @ C) @ (realu_mul @ K @ C) @ S))).
thf(aREALu_INTEGRABLEu_INTEGRAL, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) => (hasu_realu_integral @ F @ (realu_integral @ I @ F) @ I))).
thf(aREALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),Y:real,K:(real > $o)]:((hasu_realu_integral @ F @ Y @ K) => ((realu_integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),C:real,S:(real > $o)]:((realu_integrableu_on @ F @ S) => ((realu_integral @ S @ ^[X:real]:(realu_mul @ (F @ X) @ C)) = (realu_mul @ (realu_integral @ S @ F) @ C)))).
