%   ORIGINAL: REAL_INTEGRABLE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_REAL_INTEGRAL_SUB: !f g k l s. (f has_real_integral k) s /\ (g has_real_integral l) s ==> ((\x. f x - g x) has_real_integral k - l) s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_integrable_on: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f g s. f real_integrable_on s /\ g real_integrable_on s ==> (\x. f x - g x) real_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g k l s. (f has_real_integral k) s /\ (g has_real_integral l) s ==> ((\x. f x - g x) has_real_integral k - l) s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f g s. f real_integrable_on s /\ g real_integrable_on s ==> (\x. f x - g x) real_integrable_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_REALu_INTEGRALu_SUB, axiom, ![F:(real > real),G:(real > real),K:real,L:real,S:(real > $o)]:(((hasu_realu_integral @ F @ K @ S) & (hasu_realu_integral @ G @ L @ S)) => (hasu_realu_integral @ ^[X:real]:(realu_sub @ (F @ X) @ (G @ X)) @ (realu_sub @ K @ L) @ S))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_integrableu_on, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) <=> ?[Y:real]:(hasu_realu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_integrableu_on @ F @ S) & (realu_integrableu_on @ G @ S)) => (realu_integrableu_on @ ^[X:real]:(realu_sub @ (F @ X) @ (G @ X)) @ S))).
