%   ORIGINAL: REAL_INTEGRAL_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_INTEGRAL: !f s. f real_integrable_on s <=> (f has_real_integral real_integral s f) s
% Assm: HAS_REAL_INTEGRAL_LINEAR: !f y s h. (f has_real_integral y) s /\ linear (lift o h o drop) ==> (h o f has_real_integral h y) s
% Assm: HAS_REAL_INTEGRAL_UNIQUE: !f i k1 k2. (f has_real_integral k1) i /\ (f has_real_integral k2) i ==> k1 = k2
% Assm: REAL_INTEGRABLE_LINEAR: !f h s. f real_integrable_on s /\ linear (lift o h o drop) ==> h o f real_integrable_on s
% Assm: TRUTH: T
% Goal: !f s h. f real_integrable_on s /\ linear (lift o h o drop) ==> real_integral s (h o f) = h (real_integral s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f real_integrable_on s <=> (f has_real_integral real_integral s f) s
% Assm: !f y s h. (f has_real_integral y) s /\ linear (lift o h o drop) ==> (h o f has_real_integral h y) s
% Assm: !f i k1 k2. (f has_real_integral k1) i /\ (f has_real_integral k2) i ==> k1 = k2
% Assm: !f h s. f real_integrable_on s /\ linear (lift o h o drop) ==> h o f real_integrable_on s
% Assm: T
% Goal: !f s h. f real_integrable_on s /\ linear (lift o h o drop) ==> real_integral s (h o f) = h (real_integral s f)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(co1, type, o1 : ((real > real) > (real > real) > real > real)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(clinear, type, linear : ((cartrealn1 > cartrealn1) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_INTEGRAL, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (hasu_realu_integral @ F @ (realu_integral @ S @ F) @ S))).
thf(aHASu_REALu_INTEGRALu_LINEAR, axiom, ![F:(real > real),Y:real,S:(real > $o),H:(real > real)]:(((hasu_realu_integral @ F @ Y @ S) & (linear @ (o @ lift @ (o0 @ H @ drop)))) => (hasu_realu_integral @ (o1 @ H @ F) @ (H @ Y) @ S))).
thf(aHASu_REALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),I:(real > $o),K1:real,K2:real]:(((hasu_realu_integral @ F @ K1 @ I) & (hasu_realu_integral @ F @ K2 @ I)) => (K1 = K2))).
thf(aREALu_INTEGRABLEu_LINEAR, axiom, ![F:(real > real),H:(real > real),S:(real > $o)]:(((realu_integrableu_on @ F @ S) & (linear @ (o @ lift @ (o0 @ H @ drop)))) => (realu_integrableu_on @ (o1 @ H @ F) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),H:(real > real)]:(((realu_integrableu_on @ F @ S) & (linear @ (o @ lift @ (o0 @ H @ drop)))) => ((realu_integral @ S @ (o1 @ H @ F)) = (H @ (realu_integral @ S @ F))))).
