%   ORIGINAL: HAS_REAL_INTEGRAL_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: HAS_REAL_INTEGRAL_0: !s. ((\x. &0) has_real_integral &0) s
% Assm: HAS_REAL_INTEGRAL_ADD: !f g k l s. (f has_real_integral k) s /\ (g has_real_integral l) s ==> ((\x. f x + g x) has_real_integral k + l) s
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Goal: !f s t. FINITE t /\ (!a. a IN t ==> (f a has_real_integral i a) s) ==> ((\x. sum t (\a. f a x)) has_real_integral sum t i) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !s. ((\x. &0) has_real_integral &0) s
% Assm: !f g k l s. (f has_real_integral k) s /\ (g has_real_integral l) s ==> ((\x. f x + g x) has_real_integral k + l) s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Goal: !i f s t. FINITE t /\ (!a. a IN t ==> (f a has_real_integral i a) s) ==> ((\x. sum t (\a. f a x)) has_real_integral sum t i) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite @ S) => (P @ S)))).
thf(aHASu_REALu_INTEGRALu_0, axiom, ![S:(real > $o)]:(hasu_realu_integral @ ^[X:real]:(realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ u_0)) @ S)).
thf(aHASu_REALu_INTEGRALu_ADD, axiom, ![F:(real > real),G:(real > real),K:real,L:real,S:(real > $o)]:(((hasu_realu_integral @ F @ K @ S) & (hasu_realu_integral @ G @ L @ S)) => (hasu_realu_integral @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X)) @ (realu_add @ K @ L) @ S))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(a > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:a,F:(a > real),S:(a > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![I:(a > real),F:(a > real > real),S:(real > $o),T:(a > $o)]:(((finite @ T) & ![A:a]:((in @ A @ T) => (hasu_realu_integral @ (F @ A) @ (I @ A) @ S))) => (hasu_realu_integral @ ^[X:real]:(sum @ T @ ^[A:a]:(F @ A @ X)) @ (sum @ T @ I) @ S))).
