%   ORIGINAL: HAS_REAL_INTEGRAL_NULL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_INTEGRAL_NULL: !f a b. b <= a ==> (f has_real_integral &0) (real_interval [a,b])
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INTEGRAL_UNIQUE: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: TRUTH: T
% Goal: !f a b i. b <= a ==> ((f has_real_integral i) (real_interval [a,b]) <=> i = &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f a b. b <= a ==> (f has_real_integral &0) (real_interval [a,b])
% Assm: ~F <=> T
% Assm: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: T
% Goal: !f a b i. b <= a ==> ((f has_real_integral i) (real_interval [a,b]) <=> i = &0)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cnil, type, nil : listprodrealreal).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_INTEGRALu_NULL, axiom, ![F:(real > real),A:real,B:real]:((realu_le @ B @ A) => (hasu_realu_integral @ F @ (realu_ofu_num @ (numeral @ u_0)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),Y:real,K:(real > $o)]:((hasu_realu_integral @ F @ Y @ K) => ((realu_integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real,I:real]:((realu_le @ B @ A) => ((hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> (I = (realu_ofu_num @ (numeral @ u_0)))))).
