%   ORIGINAL: HAS_REAL_INTEGRAL_REFL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_NULL: !f a b. b <= a ==> (f has_real_integral &0) (real_interval [a,b])
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: TRUTH: T
% Goal: !f a. (f has_real_integral &0) (real_interval [a,a])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f a b. b <= a ==> (f has_real_integral &0) (real_interval [a,b])
% Assm: !x. x <= x
% Assm: T
% Goal: !f a. (f has_real_integral &0) (real_interval [a,a])
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cnil, type, nil : listprodrealreal).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_NULL, axiom, ![F:(real > real),A:real,B:real]:((realu_le @ B @ A) => (hasu_realu_integral @ F @ (realu_ofu_num @ (numeral @ u_0)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),A:real]:(hasu_realu_integral @ F @ (realu_ofu_num @ (numeral @ u_0)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ A) @ nil)))).
