%   ORIGINAL: REAL_INTEGRABLE_CONST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct0: IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: INTEGRABLE_CONST: !a b c. (\x. c) integrable_on interval [a,b]
% Assm: REAL_INTEGRABLE_ON: f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !a b c. (\x. c) real_integrable_on real_interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: !a b c. (\x. c) integrable_on interval [a,b]
% Assm: !f s. f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !a b c. (\x. c) real_integrable_on real_interval [a,b]
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil1, type, nil1 : listprodcartrealmcartrealm).
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(ccu_1, type, c_1 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons1, type, cons1 : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((image @ lift @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0)))).
thf(aINTEGRABLEu_CONST, axiom, ![A:cartrealm,B:cartrealm,C:cartrealn]:(integrableu_on @ ^[X:cartrealm]:C @ (closedu_interval0 @ (cons1 @ (c_1 @ A @ B) @ nil1)))).
thf(aREALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (integrableu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![A:real,B:real,C:real]:(realu_integrableu_on @ ^[X:real]:C @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
