%   ORIGINAL: REAL_INTEGRAL_CONST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_CONST: !a b c. a <= b ==> ((\x. c) has_real_integral c * (b - a)) (real_interval [a,b])
% Assm: REAL_INTEGRAL_UNIQUE: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: TRUTH: T
% Goal: !a b c. a <= b ==> real_integral (real_interval [a,b]) (\x. c) = c * (b - a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b c. a <= b ==> ((\x. c) has_real_integral c * (b - a)) (real_interval [a,b])
% Assm: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: T
% Goal: !a b c. a <= b ==> real_integral (real_interval [a,b]) (\x. c) = c * (b - a)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_CONST, axiom, ![A:real,B:real,C:real]:((realu_le @ A @ B) => (hasu_realu_integral @ ^[X:real]:C @ (realu_mul @ C @ (realu_sub @ B @ A)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aREALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),Y:real,K:(real > $o)]:((hasu_realu_integral @ F @ Y @ K) => ((realu_integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,B:real,C:real]:((realu_le @ A @ B) => ((realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ ^[X:real]:C) = (realu_mul @ C @ (realu_sub @ B @ A))))).
