%   ORIGINAL: REAL_INTEGRAL_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_INTEGRAL_LE: !f g s i j. (f has_real_integral i) s /\ (g has_real_integral j) s /\ (!x. x IN s ==> f x <= g x) ==> i <= j
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INTEGRABLE_INTEGRAL: !f i. f real_integrable_on i ==> (f has_real_integral real_integral i f) i
% Assm: TRUTH: T
% Goal: !f g s. f real_integrable_on s /\ g real_integrable_on s /\ (!x. x IN s ==> f x <= g x) ==> real_integral s f <= real_integral s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g s i j. (f has_real_integral i) s /\ (g has_real_integral j) s /\ (!x. x IN s ==> f x <= g x) ==> i <= j
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f i. f real_integrable_on i ==> (f has_real_integral real_integral i f) i
% Assm: T
% Goal: !f g s. f real_integrable_on s /\ g real_integrable_on s /\ (!x. x IN s ==> f x <= g x) ==> real_integral s f <= real_integral s g
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_INTEGRALu_LE, axiom, ![F:(real > real),G:(real > real),S:(real > $o),I:real,J:real]:(((hasu_realu_integral @ F @ I @ S) & (hasu_realu_integral @ G @ J @ S) & ![X:real]:((in @ X @ S) => (realu_le @ (F @ X) @ (G @ X)))) => (realu_le @ I @ J))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INTEGRABLEu_INTEGRAL, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) => (hasu_realu_integral @ F @ (realu_integral @ I @ F) @ I))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_integrableu_on @ F @ S) & (realu_integrableu_on @ G @ S) & ![X:real]:((in @ X @ S) => (realu_le @ (F @ X) @ (G @ X)))) => (realu_le @ (realu_integral @ S @ F) @ (realu_integral @ S @ G)))).
