%   ORIGINAL: HAS_REAL_INTEGRAL_UBOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_CONST: !a b c. a <= b ==> ((\x. c) has_real_integral c * (b - a)) (real_interval [a,b])
% Assm: HAS_REAL_INTEGRAL_LE: !f g s i j. (f has_real_integral i) s /\ (g has_real_integral j) s /\ (!x. x IN s ==> f x <= g x) ==> i <= j
% Assm: TRUTH: T
% Goal: !f a b i. a <= b /\ (f has_real_integral i) (real_interval [a,b]) /\ (!x. x IN real_interval [a,b] ==> f x <= B) ==> i <= B * (b - a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b c. a <= b ==> ((\x. c) has_real_integral c * (b - a)) (real_interval [a,b])
% Assm: !f g s i j. (f has_real_integral i) s /\ (g has_real_integral j) s /\ (!x. x IN s ==> f x <= g x) ==> i <= j
% Assm: T
% Goal: !B f a b i. a <= b /\ (f has_real_integral i) (real_interval [a,b]) /\ (!x. x IN real_interval [a,b] ==> f x <= B) ==> i <= B * (b - a)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_CONST, axiom, ![A:real,B:real,C:real]:((realu_le @ A @ B) => (hasu_realu_integral @ ^[X:real]:C @ (realu_mul @ C @ (realu_sub @ B @ A)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aHASu_REALu_INTEGRALu_LE, axiom, ![F:(real > real),G:(real > real),S:(real > $o),I:real,J:real]:(((hasu_realu_integral @ F @ I @ S) & (hasu_realu_integral @ G @ J @ S) & ![X:real]:((in @ X @ S) => (realu_le @ (F @ X) @ (G @ X)))) => (realu_le @ I @ J))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:real,F:(real > real),A:real,B0:real,I:real]:(((realu_le @ A @ B0) & (hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ B0) @ nil))) & ![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B0) @ nil))) => (realu_le @ (F @ X) @ B))) => (realu_le @ I @ (realu_mul @ B @ (realu_sub @ B0 @ A))))).
