%   ORIGINAL: REAL_INTEGRAL_LBOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_INTEGRAL: !f s. f real_integrable_on s <=> (f has_real_integral real_integral s f) s
% Assm: HAS_REAL_INTEGRAL_LBOUND: !f a b i. a <= b /\ (f has_real_integral i) (real_interval [a,b]) /\ (!x. x IN real_interval [a,b] ==> B <= f x) ==> B * (b - a) <= i
% Assm: TRUTH: T
% Goal: !f a b. a <= b /\ f real_integrable_on real_interval [a,b] /\ (!x. x IN real_interval [a,b] ==> B <= f x) ==> B * (b - a) <= real_integral (real_interval [a,b]) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f real_integrable_on s <=> (f has_real_integral real_integral s f) s
% Assm: !B f a b i. a <= b /\ (f has_real_integral i) (real_interval [a,b]) /\ (!x. x IN real_interval [a,b] ==> B <= f x) ==> B * (b - a) <= i
% Assm: T
% Goal: !B f a b. a <= b /\ f real_integrable_on real_interval [a,b] /\ (!x. x IN real_interval [a,b] ==> B <= f x) ==> B * (b - a) <= real_integral (real_interval [a,b]) f
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_INTEGRAL, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (hasu_realu_integral @ F @ (realu_integral @ S @ F) @ S))).
thf(aHASu_REALu_INTEGRALu_LBOUND, axiom, ![B:real,F:(real > real),A:real,B0:real,I:real]:(((realu_le @ A @ B0) & (hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ B0) @ nil))) & ![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B0) @ nil))) => (realu_le @ B @ (F @ X)))) => (realu_le @ (realu_mul @ B @ (realu_sub @ B0 @ A)) @ I))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:real,F:(real > real),A:real,B0:real]:(((realu_le @ A @ B0) & (realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B0) @ nil))) & ![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B0) @ nil))) => (realu_le @ B @ (F @ X)))) => (realu_le @ (realu_mul @ B @ (realu_sub @ B0 @ A)) @ (realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ A @ B0) @ nil)) @ F)))).
