%   ORIGINAL: HAS_REAL_INTEGRAL_NEGLIGIBLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: HAS_INTEGRAL_NEGLIGIBLE: !f s t. negligible s /\ (!x. x IN t DIFF s ==> f x = vec 0) ==> (f has_integral vec 0) t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: I_THM: !x. I x = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIFT_IN_IMAGE_LIFT: !x s. lift x IN IMAGE lift s <=> x IN s
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: has_real_integral: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: real_negligible: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !f s t. real_negligible s /\ (!x. x IN t DIFF s ==> f x = &0) ==> (f has_real_integral &0) t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f s t. negligible s /\ (!x. x IN t DIFF s ==> f x = vec 0) ==> (f has_integral vec 0) t
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x. I x = x
% Assm: !x. drop (lift x) = x
% Assm: !x s. lift x IN IMAGE lift s <=> x IN s
% Assm: !n. lift (&n) = vec n
% Assm: ~F <=> T
% Assm: T
% Assm: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !f s t. real_negligible s /\ (!x. x IN t DIFF s ==> f x = &0) ==> (f has_real_integral &0) t
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvec0, type, vec0 : (num > cartrealn1)).
thf(cin1, type, in1 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(co1, type, o1 : ((b > real) > (a > b) > a > real)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cdiff0, type, diff0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(cnegligible0, type, negligible0 : ((cartrealn1 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aHASu_INTEGRALu_NEGLIGIBLE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((negligible @ S) & ![X:cartrealm]:((in0 @ X @ (diff0 @ T @ S)) => ((F @ X) = (vec @ (numeral @ u_0))))) => (hasu_integral @ F @ (vec @ (numeral @ u_0)) @ T))).
thf(aIN, axiom, ![P:(real > $o),X:real]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIFTu_INu_IMAGEu_LIFT, axiom, ![X:real,S:(real > $o)]:((in1 @ (lift @ X) @ (image0 @ lift @ S)) <=> (in @ X @ S))).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec0 @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ahasu_realu_integral, axiom, ![F:(real > real),Y:real,S:(real > $o)]:((hasu_realu_integral @ F @ Y @ S) <=> (hasu_integral0 @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ Y) @ (image0 @ lift @ S)))).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(arealu_negligible, axiom, ![S:(real > $o)]:((realu_negligible @ S) <=> (negligible0 @ (image0 @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o)]:(((realu_negligible @ S) & ![X:real]:((in @ X @ (diff @ T @ S)) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) => (hasu_realu_integral @ F @ (realu_ofu_num @ (numeral @ u_0)) @ T))).
