%   ORIGINAL: HAS_REAL_INTEGRAL_SPIKE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_INTEGRAL_SPIKE: !f g s t y. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_real_integral y) t ==> (g has_real_integral y) t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_SUB: !x y. abs (x - y) = abs (y - x)
% Assm: TRUTH: T
% Goal: !f g s t y. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> ((f has_real_integral y) t <=> (g has_real_integral y) t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g s t y. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_real_integral y) t ==> (g has_real_integral y) t
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x y. abs (x - y) = abs (y - x)
% Assm: T
% Goal: !f g s t y. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> ((f has_real_integral y) t <=> (g has_real_integral y) t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_INTEGRALu_SPIKE, axiom, ![F:(real > real),G:(real > real),S:(real > $o),T:(real > $o),Y:real]:(((realu_negligible @ S) & ![X:real]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X))) & (hasu_realu_integral @ F @ Y @ T)) => (hasu_realu_integral @ G @ Y @ T))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_SUB, axiom, ![X:real,Y:real]:((realu_abs @ (realu_sub @ X @ Y)) = (realu_abs @ (realu_sub @ Y @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o),T:(real > $o),Y:real]:(((realu_negligible @ S) & ![X:real]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X)))) => ((hasu_realu_integral @ F @ Y @ T) <=> (hasu_realu_integral @ G @ Y @ T)))).
