%   ORIGINAL: REAL_INTEGRAL_SPIKE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_INTEGRAL_SPIKE_EQ: !f g s t y. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> ((f has_real_integral y) t <=> (g has_real_integral y) t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_integral: !f i. real_integral i f = (@y. (f has_real_integral y) i)
% Goal: !f g s t. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> real_integral t f = real_integral t g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g s t y. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> ((f has_real_integral y) t <=> (g has_real_integral y) t)
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. real_integral i f = (@y. (f has_real_integral y) i)
% Goal: !f g s t. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> real_integral t f = real_integral t g
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_INTEGRALu_SPIKEu_EQ, axiom, ![F:(real > real),G:(real > real),S:(real > $o),T:(real > $o),Y:real]:(((realu_negligible @ S) & ![X:real]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X)))) => ((hasu_realu_integral @ F @ Y @ T) <=> (hasu_realu_integral @ G @ Y @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_integral, axiom, ![F:(real > real),I:(real > $o)]:((realu_integral @ I @ F) = (h_ @ ^[Y:real]:(hasu_realu_integral @ F @ Y @ I)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o),T:(real > $o)]:(((realu_negligible @ S) & ![X:real]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X)))) => ((realu_integral @ T @ F) = (realu_integral @ T @ G)))).
