%   ORIGINAL: REAL_NEGLIGIBLE_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_UNION: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: NEGLIGIBLE_UNION: !s t. negligible s /\ negligible t ==> negligible (s UNION t)
% Assm: TRUTH: T
% Assm: real_negligible: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !s t. real_negligible s /\ real_negligible t ==> real_negligible (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: !s t. negligible s /\ negligible t ==> negligible (s UNION t)
% Assm: T
% Assm: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !s t. real_negligible s /\ real_negligible t ==> real_negligible (s UNION t)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cunion0, type, union0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(cnegligible0, type, negligible0 : ((cartrealn1 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_UNION, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:((image @ F @ (union @ S @ T)) = (union @ (image @ F @ S) @ (image @ F @ T)))).
thf(aNEGLIGIBLEu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((negligible @ S) & (negligible @ T)) => (negligible @ (union0 @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(arealu_negligible, axiom, ![S:(real > $o)]:((realu_negligible @ S) <=> (negligible0 @ (image0 @ lift @ S)))).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:(((realu_negligible @ S) & (realu_negligible @ T)) => (realu_negligible @ (union @ S @ T)))).
