%   ORIGINAL: REAL_NEGLIGIBLE_UNION_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NEGLIGIBLE_SUBSET: !s t. real_negligible s /\ t SUBSET s ==> real_negligible t
% Assm: REAL_NEGLIGIBLE_UNION: !s t. real_negligible s /\ real_negligible t ==> real_negligible (s UNION t)
% Assm: SUBSET_UNION_conjunct0: !s t. s SUBSET s UNION t
% Assm: SUBSET_UNION_conjunct1: !s t. s SUBSET t UNION s
% Assm: TRUTH: T
% Goal: !s t. real_negligible (s UNION t) <=> real_negligible s /\ real_negligible t
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s t. real_negligible s /\ t SUBSET s ==> real_negligible t
% Assm: !s t. real_negligible s /\ real_negligible t ==> real_negligible (s UNION t)
% Assm: !s t. s SUBSET s UNION t
% Assm: !s t. s SUBSET t UNION s
% Assm: T
% Goal: !s t. real_negligible (s UNION t) <=> real_negligible s /\ real_negligible t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NEGLIGIBLEu_SUBSET, axiom, ![S:(real > $o),T:(real > $o)]:(((realu_negligible @ S) & (subset @ T @ S)) => (realu_negligible @ T))).
thf(aREALu_NEGLIGIBLEu_UNION, axiom, ![S:(real > $o),T:(real > $o)]:(((realu_negligible @ S) & (realu_negligible @ T)) => (realu_negligible @ (union @ S @ T)))).
thf(aSUBSETu_UNIONu_conjunct0, axiom, ![S:(real > $o),T:(real > $o)]:(subset @ S @ (union @ S @ T))).
thf(aSUBSETu_UNIONu_conjunct1, axiom, ![S:(real > $o),T:(real > $o)]:(subset @ S @ (union @ T @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:((realu_negligible @ (union @ S @ T)) <=> ((realu_negligible @ S) & (realu_negligible @ T)))).
