%   ORIGINAL: REAL_NEGLIGIBLE_INSERT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_CLAUSES_conjunct1: IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: NEGLIGIBLE_INSERT: !a s. negligible (a INSERT s) <=> negligible s
% Assm: TRUTH: T
% Assm: real_negligible: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !a s. real_negligible (a INSERT s) <=> real_negligible s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x f s. IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: !a s. negligible (a INSERT s) <=> negligible s
% Assm: T
% Assm: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !a s. real_negligible (a INSERT s) <=> real_negligible s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cinsert0, type, insert0 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(cnegligible0, type, negligible0 : ((cartrealn1 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_CLAUSESu_conjunct1, axiom, ![X:real,F:(real > real),S:(real > $o)]:((image @ F @ (insert @ X @ S)) = (insert @ (F @ X) @ (image @ F @ S)))).
thf(aNEGLIGIBLEu_INSERT, axiom, ![A:cartrealn,S:(cartrealn > $o)]:((negligible @ (insert0 @ A @ S)) <=> (negligible @ S))).
thf(aTRUTH, axiom, $true).
thf(arealu_negligible, axiom, ![S:(real > $o)]:((realu_negligible @ S) <=> (negligible0 @ (image0 @ lift @ S)))).
thf(conjecture, conjecture, ![A:real,S:(real > $o)]:((realu_negligible @ (insert @ A @ S)) <=> (realu_negligible @ S))).
