%   ORIGINAL: REAL_INTEGRABLE_SPIKE_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_SPIKE_FINITE: !f g s t y. FINITE s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_real_integral y) t ==> (g has_real_integral y) t
% Assm: TRUTH: T
% Assm: real_integrable_on: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f g s. FINITE s /\ (!x. x IN t DIFF s ==> g x = f x) ==> f real_integrable_on t ==> g real_integrable_on t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s t y. FINITE s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_real_integral y) t ==> (g has_real_integral y) t
% Assm: T
% Assm: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !t f g s. FINITE s /\ (!x. x IN t DIFF s ==> g x = f x) ==> f real_integrable_on t ==> g real_integrable_on t
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(cfinite, type, finite : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_SPIKEu_FINITE, axiom, ![F:(real > real),G:(real > real),S:(real > $o),T:(real > $o),Y:real]:(((finite @ S) & ![X:real]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X))) & (hasu_realu_integral @ F @ Y @ T)) => (hasu_realu_integral @ G @ Y @ T))).
thf(aTRUTH, axiom, $true).
thf(arealu_integrableu_on, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) <=> ?[Y:real]:(hasu_realu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![T:(real > $o),F:(real > real),G:(real > real),S:(real > $o)]:(((finite @ S) & ![X:real]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X)))) => ((realu_integrableu_on @ F @ T) => (realu_integrableu_on @ G @ T)))).
