%   ORIGINAL: HAS_REAL_INTEGRAL_SPIKE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HAS_REAL_INTEGRAL_SPIKE: !f g s t y. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_real_integral y) t ==> (g has_real_integral y) t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NEGLIGIBLE_FRONTIER_INTERVAL: !a b. real_negligible (real_interval [a,b] DIFF real_interval (a,b))
% Assm: TRUTH: T
% Goal: !f g a b y. (!x. x IN real_interval (a,b) ==> g x = f x) /\ (f has_real_integral y) (real_interval [a,b]) ==> (g has_real_integral y) (real_interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g s t y. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) /\ (f has_real_integral y) t ==> (g has_real_integral y) t
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: ~F <=> T
% Assm: !a b. real_negligible (real_interval [a,b] DIFF real_interval (a,b))
% Assm: T
% Goal: !f g a b y. (!x. x IN real_interval (a,b) ==> g x = f x) /\ (f has_real_integral y) (real_interval [a,b]) ==> (g has_real_integral y) (real_interval [a,b])
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHASu_REALu_INTEGRALu_SPIKE, axiom, ![F:(real > real),G:(real > real),S:(real > $o),T:(real > $o),Y:real]:(((realu_negligible @ S) & ![X:real]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X))) & (hasu_realu_integral @ F @ Y @ T)) => (hasu_realu_integral @ G @ Y @ T))).
thf(aIN, axiom, ![P:(real > $o),X:real]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NEGLIGIBLEu_FRONTIERu_INTERVAL, axiom, ![A:real,B:real]:(realu_negligible @ (diff @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (openu_realu_interval @ (c_ @ A @ B))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),A:real,B:real,Y:real]:((![X:real]:((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) => ((G @ X) = (F @ X))) & (hasu_realu_integral @ F @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (hasu_realu_integral @ G @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
