%   ORIGINAL: HAS_REAL_INTEGRAL_SPIKE_INTERIOR_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_INTEGRAL_SPIKE_INTERIOR: !f g a b y. (!x. x IN real_interval (a,b) ==> g x = f x) /\ (f has_real_integral y) (real_interval [a,b]) ==> (g has_real_integral y) (real_interval [a,b])
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g a b y. (!x. x IN real_interval (a,b) ==> g x = f x) ==> ((f has_real_integral y) (real_interval [a,b]) <=> (g has_real_integral y) (real_interval [a,b]))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g a b y. (!x. x IN real_interval (a,b) ==> g x = f x) /\ (f has_real_integral y) (real_interval [a,b]) ==> (g has_real_integral y) (real_interval [a,b])
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: T
% Goal: !f g a b y. (!x. x IN real_interval (a,b) ==> g x = f x) ==> ((f has_real_integral y) (real_interval [a,b]) <=> (g has_real_integral y) (real_interval [a,b]))
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ci0, type, i0 : ($o > $o)).
thf(cnil, type, nil : listprodrealreal).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_INTEGRALu_SPIKEu_INTERIOR, axiom, ![F:(real > real),G:(real > real),A:real,B:real,Y:real]:((![X:real]:((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) => ((G @ X) = (F @ X))) & (hasu_realu_integral @ F @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (hasu_realu_integral @ G @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),A:real,B:real,Y:real]:(![X:real]:((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) => ((G @ X) = (F @ X))) => ((hasu_realu_integral @ F @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> (hasu_realu_integral @ G @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
