%   ORIGINAL: REAL_INTEGRAL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: REAL_INTEGRAL_SPIKE: !f g s t. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> real_integral t f = real_integral t g
% Assm: REAL_NEGLIGIBLE_EMPTY: real_negligible {}
% Assm: TRUTH: T
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> real_integral s f = real_integral s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !f g s t. real_negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> real_integral t f = real_integral t g
% Assm: real_negligible {}
% Assm: T
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> real_integral s f = real_integral s g
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_DIFF, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aREALu_INTEGRALu_SPIKE, axiom, ![F:(real > real),G:(real > real),S:(real > $o),T:(real > $o)]:(((realu_negligible @ S) & ![X:real]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X)))) => ((realu_integral @ T @ F) = (realu_integral @ T @ G)))).
thf(aREALu_NEGLIGIBLEu_EMPTY, axiom, (realu_negligible @ empty)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:(![X:real]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((realu_integral @ S @ F) = (realu_integral @ S @ G)))).
