%   ORIGINAL: REAL_FUNDAMENTAL_THEOREM_OF_CALCULUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUNDAMENTAL_THEOREM_OF_CALCULUS: !f f' a b. drop a <= drop b /\ (!x. x IN interval [a,b] ==> (f has_vector_derivative f' x) (at x within interval [a,b])) ==> (f' has_integral f b - f a) (interval [a,b])
% Assm: HAS_REAL_VECTOR_DERIVATIVE_WITHIN: (f has_real_derivative f') (atreal x within s) <=> (lift o f o drop has_vector_derivative lift f') (at (lift x) within IMAGE lift s)
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct0: IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIFT_SUB: !x y. lift (x - y) = lift x - lift y
% Assm: REAL_INTERVAL_INTERVAL_conjunct0: real_interval [a,b] = IMAGE drop (interval [lift a,lift b])
% Assm: TRUTH: T
% Assm: has_real_integral: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f f' a b. a <= b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (f' has_real_integral f b - f a) (real_interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f f' a b. drop a <= drop b /\ (!x. x IN interval [a,b] ==> (f has_vector_derivative f' x) (at x within interval [a,b])) ==> (f' has_integral f b - f a) (interval [a,b])
% Assm: !f f' x s. (f has_real_derivative f') (atreal x within s) <=> (lift o f o drop has_vector_derivative lift f') (at (lift x) within IMAGE lift s)
% Assm: !a b. IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !x y. lift (x - y) = lift x - lift y
% Assm: !a b. real_interval [a,b] = IMAGE drop (interval [lift a,lift b])
% Assm: T
% Assm: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f f' a b. a <= b /\ (!x. x IN real_interval [a,b] ==> (f has_real_derivative f' x) (atreal x within real_interval [a,b])) ==> (f' has_real_integral f b - f a) (real_interval [a,b])
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cimage1, type, image1 : ((cartrealn1 > real) > (cartrealn1 > $o) > real > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_vectoruu_derivative0, type, hasu_vectoru_derivative0 : ((cartrealn1 > cartrealn1) > cartrealn1 > netcartrealn1 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn1 > cartrealn) > cartrealn > (cartrealn1 > $o) > $o)).
thf(cwithin0, type, within0 : (netcartrealn1 > (cartrealn1 > $o) > netcartrealn1)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealn) > cartrealn > netcartrealn1 > $o)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(catreal, type, atreal : (real > netreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFUNDAMENTALu_THEOREMu_OFu_CALCULUS, axiom, ![F:(cartrealn1 > cartrealn),FI_:(cartrealn1 > cartrealn),A:cartrealn1,B:cartrealn1]:(((realu_le @ (drop @ A) @ (drop @ B)) & ![X:cartrealn1]:((in0 @ X @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) => (hasu_vectoru_derivative @ F @ (FI_ @ X) @ (within0 @ (at @ X) @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0)))))) => (hasu_integral @ FI_ @ (vectoru_sub @ (F @ B) @ (F @ A)) @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))))).
thf(aHASu_REALu_VECTORu_DERIVATIVEu_WITHIN, axiom, ![F:(real > real),FI_:real,X:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) <=> (hasu_vectoru_derivative0 @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ FI_) @ (within0 @ (at @ (lift @ X)) @ (image0 @ lift @ S))))).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((image0 @ lift @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0)))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIFTu_SUB, axiom, ![X:real,Y:real]:((lift @ (realu_sub @ X @ Y)) = (vectoru_sub0 @ (lift @ X) @ (lift @ Y)))).
thf(aREALu_INTERVALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = (image1 @ drop @ (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0))))).
thf(aTRUTH, axiom, $true).
thf(ahasu_realu_integral, axiom, ![F:(real > real),Y:real,S:(real > $o)]:((hasu_realu_integral @ F @ Y @ S) <=> (hasu_integral0 @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ Y) @ (image0 @ lift @ S)))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),FI_:(real > real),A:real,B:real]:(((realu_le @ A @ B) & ![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (hasu_realu_derivative @ F @ (FI_ @ X) @ (within @ (atreal @ X) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))) => (hasu_realu_integral @ FI_ @ (realu_sub @ (F @ B) @ (F @ A)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
