%   ORIGINAL: HAS_REAL_INTEGRAL_COMBINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_INTEGRAL_COMBINE: !f i j a b c. drop a <= drop c /\ drop c <= drop b /\ (f has_integral i) (interval [a,c]) /\ (f has_integral j) (interval [c,b]) ==> (f has_integral i + j) (interval [a,b])
% Assm: HAS_REAL_INTEGRAL: (f has_real_integral y) (real_interval [a,b]) <=> (lift o f o drop has_integral lift y) (interval [lift a,lift b])
% Assm: LIFT_ADD: !x y. lift (x + y) = lift x + lift y
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Goal: !f i j a b c. a <= c /\ c <= b /\ (f has_real_integral i) (real_interval [a,c]) /\ (f has_real_integral j) (real_interval [c,b]) ==> (f has_real_integral i + j) (real_interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f i j a b c. drop a <= drop c /\ drop c <= drop b /\ (f has_integral i) (interval [a,c]) /\ (f has_integral j) (interval [c,b]) ==> (f has_integral i + j) (interval [a,b])
% Assm: !f y a b. (f has_real_integral y) (real_interval [a,b]) <=> (lift o f o drop has_integral lift y) (interval [lift a,lift b])
% Assm: !x y. lift (x + y) = lift x + lift y
% Assm: !x. drop (lift x) = x
% Assm: T
% Goal: !f i j a b c. a <= c /\ c <= b /\ (f has_real_integral i) (real_interval [a,c]) /\ (f has_real_integral j) (real_interval [c,b]) ==> (f has_real_integral i + j) (real_interval [a,b])
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn1 > cartrealn) > cartrealn > (cartrealn1 > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_INTEGRALu_COMBINE, axiom, ![F:(cartrealn1 > cartrealn),I:cartrealn,J:cartrealn,A:cartrealn1,B:cartrealn1,C:cartrealn1]:(((realu_le @ (drop @ A) @ (drop @ C)) & (realu_le @ (drop @ C) @ (drop @ B)) & (hasu_integral @ F @ I @ (closedu_interval @ (cons0 @ (c_0 @ A @ C) @ nil0))) & (hasu_integral @ F @ J @ (closedu_interval @ (cons0 @ (c_0 @ C @ B) @ nil0)))) => (hasu_integral @ F @ (vectoru_add @ I @ J) @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))))).
thf(aHASu_REALu_INTEGRAL, axiom, ![F:(real > real),Y:real,A:real,B:real]:((hasu_realu_integral @ F @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> (hasu_integral0 @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ Y) @ (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0))))).
thf(aLIFTu_ADD, axiom, ![X:real,Y:real]:((lift @ (realu_add @ X @ Y)) = (vectoru_add0 @ (lift @ X) @ (lift @ Y)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),I:real,J:real,A:real,B:real,C:real]:(((realu_le @ A @ C) & (realu_le @ C @ B) & (hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ C) @ nil))) & (hasu_realu_integral @ F @ J @ (closedu_realu_interval @ (cons @ (c_ @ C @ B) @ nil)))) => (hasu_realu_integral @ F @ (realu_add @ I @ J) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
