%   ORIGINAL: REAL_INTEGRAL_COMBINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_COMBINE: !f i j a b c. a <= c /\ c <= b /\ (f has_real_integral i) (real_interval [a,c]) /\ (f has_real_integral j) (real_interval [c,b]) ==> (f has_real_integral i + j) (real_interval [a,b])
% Assm: REAL_INTEGRABLE_INTEGRAL: !f i. f real_integrable_on i ==> (f has_real_integral real_integral i f) i
% Assm: REAL_INTEGRABLE_SUBINTERVAL: !f a b c d. f real_integrable_on real_interval [a,b] /\ real_interval [c,d] SUBSET real_interval [a,b] ==> f real_integrable_on real_interval [c,d]
% Assm: REAL_INTEGRAL_UNIQUE: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: SUBSET_REAL_INTERVAL: !a b c d. (real_interval [a,b] SUBSET real_interval [c,d] <=> b < a \/ c <= a /\ a <= b /\ b <= d) /\ (real_interval [a,b] SUBSET real_interval (c,d) <=> b < a \/ c < a /\ a <= b /\ b < d) /\ (real_interval (a,b) SUBSET real_interval [c,d] <=> b <= a \/ c <= a /\ a < b /\ b <= d) /\ (real_interval (a,b) SUBSET real_interval (c,d) <=> b <= a \/ c <= a /\ a < b /\ b <= d)
% Assm: TRUTH: T
% Goal: !f a b c. a <= c /\ c <= b /\ f real_integrable_on real_interval [a,b] ==> real_integral (real_interval [a,c]) f + real_integral (real_interval [c,b]) f = real_integral (real_interval [a,b]) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f i j a b c. a <= c /\ c <= b /\ (f has_real_integral i) (real_interval [a,c]) /\ (f has_real_integral j) (real_interval [c,b]) ==> (f has_real_integral i + j) (real_interval [a,b])
% Assm: !f i. f real_integrable_on i ==> (f has_real_integral real_integral i f) i
% Assm: !f a b c d. f real_integrable_on real_interval [a,b] /\ real_interval [c,d] SUBSET real_interval [a,b] ==> f real_integrable_on real_interval [c,d]
% Assm: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: !x. x <= x
% Assm: !a b c d. (real_interval [a,b] SUBSET real_interval [c,d] <=> b < a \/ c <= a /\ a <= b /\ b <= d) /\ (real_interval [a,b] SUBSET real_interval (c,d) <=> b < a \/ c < a /\ a <= b /\ b < d) /\ (real_interval (a,b) SUBSET real_interval [c,d] <=> b <= a \/ c <= a /\ a < b /\ b <= d) /\ (real_interval (a,b) SUBSET real_interval (c,d) <=> b <= a \/ c <= a /\ a < b /\ b <= d)
% Assm: T
% Goal: !f a b c. a <= c /\ c <= b /\ f real_integrable_on real_interval [a,b] ==> real_integral (real_interval [a,c]) f + real_integral (real_interval [c,b]) f = real_integral (real_interval [a,b]) f
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_COMBINE, axiom, ![F:(real > real),I:real,J:real,A:real,B:real,C:real]:(((realu_le @ A @ C) & (realu_le @ C @ B) & (hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ C) @ nil))) & (hasu_realu_integral @ F @ J @ (closedu_realu_interval @ (cons @ (c_ @ C @ B) @ nil)))) => (hasu_realu_integral @ F @ (realu_add @ I @ J) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aREALu_INTEGRABLEu_INTEGRAL, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) => (hasu_realu_integral @ F @ (realu_integral @ I @ F) @ I))).
thf(aREALu_INTEGRABLEu_SUBINTERVAL, axiom, ![F:(real > real),A:real,B:real,C:real,D:real]:(((realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (subset @ (closedu_realu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ C @ D) @ nil))))).
thf(aREALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),Y:real,K:(real > $o)]:((hasu_realu_integral @ F @ Y @ K) => ((realu_integral @ K @ F) = Y))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSUBSETu_REALu_INTERVAL, axiom, ![A:real,B:real,C:real,D:real]:(((subset @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (closedu_realu_interval @ (cons @ (c_ @ C @ D) @ nil))) <=> ((realu_lt @ B @ A) | ((realu_le @ C @ A) & (realu_le @ A @ B) & (realu_le @ B @ D)))) & ((subset @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (openu_realu_interval @ (c_ @ C @ D))) <=> ((realu_lt @ B @ A) | ((realu_lt @ C @ A) & (realu_le @ A @ B) & (realu_lt @ B @ D)))) & ((subset @ (openu_realu_interval @ (c_ @ A @ B)) @ (closedu_realu_interval @ (cons @ (c_ @ C @ D) @ nil))) <=> ((realu_le @ B @ A) | ((realu_le @ C @ A) & (realu_lt @ A @ B) & (realu_le @ B @ D)))) & ((subset @ (openu_realu_interval @ (c_ @ A @ B)) @ (openu_realu_interval @ (c_ @ C @ D))) <=> ((realu_le @ B @ A) | ((realu_le @ C @ A) & (realu_lt @ A @ B) & (realu_le @ B @ D)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real,C:real]:(((realu_le @ A @ C) & (realu_le @ C @ B) & (realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ((realu_add @ (realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ A @ C) @ nil)) @ F) @ (realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ C @ B) @ nil)) @ F)) = (realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F)))).
