%   ORIGINAL: REAL_INTEGRABLE_COMBINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_INTEGRAL_COMBINE: !f i j a b c. a <= c /\ c <= b /\ (f has_real_integral i) (real_interval [a,c]) /\ (f has_real_integral j) (real_interval [c,b]) ==> (f has_real_integral i + j) (real_interval [a,b])
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_integrable_on: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f a b c. a <= c /\ c <= b /\ f real_integrable_on real_interval [a,c] /\ f real_integrable_on real_interval [c,b] ==> f real_integrable_on real_interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f i j a b c. a <= c /\ c <= b /\ (f has_real_integral i) (real_interval [a,c]) /\ (f has_real_integral j) (real_interval [c,b]) ==> (f has_real_integral i + j) (real_interval [a,b])
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f a b c. a <= c /\ c <= b /\ f real_integrable_on real_interval [a,c] /\ f real_integrable_on real_interval [c,b] ==> f real_integrable_on real_interval [a,b]
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_INTEGRALu_COMBINE, axiom, ![F:(real > real),I:real,J:real,A:real,B:real,C:real]:(((realu_le @ A @ C) & (realu_le @ C @ B) & (hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ C) @ nil))) & (hasu_realu_integral @ F @ J @ (closedu_realu_interval @ (cons @ (c_ @ C @ B) @ nil)))) => (hasu_realu_integral @ F @ (realu_add @ I @ J) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_integrableu_on, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) <=> ?[Y:real]:(hasu_realu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real,C:real]:(((realu_le @ A @ C) & (realu_le @ C @ B) & (realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ C) @ nil))) & (realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ C @ B) @ nil)))) => (realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
