%   ORIGINAL: REAL_ANTIDERIVATIVE_CONTINUOUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INTEGRAL_HAS_REAL_DERIVATIVE: !f a b. f real_continuous_on real_interval [a,b] ==> (!x. x IN real_interval [a,b] ==> ((\u. real_integral (real_interval [a,u]) f) has_real_derivative f x) (atreal x within real_interval [a,b]))
% Assm: TRUTH: T
% Goal: !f a b. f real_continuous_on real_interval [a,b] ==> (?g. !x. x IN real_interval [a,b] ==> (g has_real_derivative f x) (atreal x within real_interval [a,b]))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f a b. f real_continuous_on real_interval [a,b] ==> (!x. x IN real_interval [a,b] ==> ((\u. real_integral (real_interval [a,u]) f) has_real_derivative f x) (atreal x within real_interval [a,b]))
% Assm: T
% Goal: !f a b. f real_continuous_on real_interval [a,b] ==> (?g. !x. x IN real_interval [a,b] ==> (g has_real_derivative f x) (atreal x within real_interval [a,b]))
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(catreal, type, atreal : (real > netreal)).
thf(cnil, type, nil : listprodrealreal).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INTEGRALu_HASu_REALu_DERIVATIVE, axiom, ![F:(real > real),A:real,B:real]:((realu_continuousu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => ![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (hasu_realu_derivative @ ^[U:real]:(realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ A @ U) @ nil)) @ F) @ (F @ X) @ (within @ (atreal @ X) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real]:((realu_continuousu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => ?[G:(real > real)]:![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (hasu_realu_derivative @ G @ (F @ X) @ (within @ (atreal @ X) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))))).
