%   ORIGINAL: REAL_INTEGRABLE_AFFINITY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_REAL_INTEGRAL_AFFINITY: !f i a b m c. (f has_real_integral i) (real_interval [a,b]) /\ ~(m = &0) ==> ((\x. f (m * x + c)) has_real_integral inv (abs m) * i) (IMAGE (\x. inv m * (x - c)) (real_interval [a,b]))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_integrable_on: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f a b m c. f real_integrable_on real_interval [a,b] /\ ~(m = &0) ==> (\x. f (m * x + c)) real_integrable_on IMAGE (\x. inv m * (x - c)) (real_interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f i a b m c. (f has_real_integral i) (real_interval [a,b]) /\ ~(m = &0) ==> ((\x. f (m * x + c)) has_real_integral inv (abs m) * i) (IMAGE (\x. inv m * (x - c)) (real_interval [a,b]))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f a b m c. f real_integrable_on real_interval [a,b] /\ ~(m = &0) ==> (\x. f (m * x + c)) real_integrable_on IMAGE (\x. inv m * (x - c)) (real_interval [a,b])
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_REALu_INTEGRALu_AFFINITY, axiom, ![F:(real > real),I:real,A:real,B:real,M:real,C:real]:(((hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ~ ((M = (realu_ofu_num @ (numeral @ u_0))))) => (hasu_realu_integral @ ^[X:real]:(F @ (realu_add @ (realu_mul @ M @ X) @ C)) @ (realu_mul @ (realu_inv @ (realu_abs @ M)) @ I) @ (image @ ^[X:real]:(realu_mul @ (realu_inv @ M) @ (realu_sub @ X @ C)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_integrableu_on, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) <=> ?[Y:real]:(hasu_realu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real,M:real,C:real]:(((realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ~ ((M = (realu_ofu_num @ (numeral @ u_0))))) => (realu_integrableu_on @ ^[X:real]:(F @ (realu_add @ (realu_mul @ M @ X) @ C)) @ (image @ ^[X:real]:(realu_mul @ (realu_inv @ M) @ (realu_sub @ X @ C)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
