%   ORIGINAL: HAS_REAL_INTEGRAL_STRETCH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_AFFINITY: !f i a b m c. (f has_real_integral i) (real_interval [a,b]) /\ ~(m = &0) ==> ((\x. f (m * x + c)) has_real_integral inv (abs m) * i) (IMAGE (\x. inv m * (x - c)) (real_interval [a,b]))
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_SUB_RZERO: !x. x - &0 = x
% Assm: TRUTH: T
% Goal: !f i a b m. (f has_real_integral i) (real_interval [a,b]) /\ ~(m = &0) ==> ((\x. f (m * x)) has_real_integral inv (abs m) * i) (IMAGE (\x. inv m * x) (real_interval [a,b]))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f i a b m c. (f has_real_integral i) (real_interval [a,b]) /\ ~(m = &0) ==> ((\x. f (m * x + c)) has_real_integral inv (abs m) * i) (IMAGE (\x. inv m * (x - c)) (real_interval [a,b]))
% Assm: !x. x + &0 = x
% Assm: !x. x - &0 = x
% Assm: T
% Goal: !f i a b m. (f has_real_integral i) (real_interval [a,b]) /\ ~(m = &0) ==> ((\x. f (m * x)) has_real_integral inv (abs m) * i) (IMAGE (\x. inv m * x) (real_interval [a,b]))
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cnil, type, nil : listprodrealreal).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_AFFINITY, axiom, ![F:(real > real),I:real,A:real,B:real,M:real,C:real]:(((hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ~ ((M = (realu_ofu_num @ (numeral @ u_0))))) => (hasu_realu_integral @ ^[X:real]:(F @ (realu_add @ (realu_mul @ M @ X) @ C)) @ (realu_mul @ (realu_inv @ (realu_abs @ M)) @ I) @ (image @ ^[X:real]:(realu_mul @ (realu_inv @ M) @ (realu_sub @ X @ C)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_SUBu_RZERO, axiom, ![X:real]:((realu_sub @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),I:real,A:real,B:real,M:real]:(((hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ~ ((M = (realu_ofu_num @ (numeral @ u_0))))) => (hasu_realu_integral @ ^[X:real]:(F @ (realu_mul @ M @ X)) @ (realu_mul @ (realu_inv @ (realu_abs @ M)) @ I) @ (image @ ^[X:real]:(realu_mul @ (realu_inv @ M) @ X) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
