%   ORIGINAL: HAS_REAL_INTEGRAL_REFLECT_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DROP_NEG: !x. drop (--x) = --drop x
% Assm: HAS_INTEGRAL_REFLECT_LEMMA: !f i a b. (f has_integral i) (interval [a,b]) ==> ((\x. f (--x)) has_integral i) (interval [--b,--a])
% Assm: HAS_REAL_INTEGRAL: (f has_real_integral y) (real_interval [a,b]) <=> (lift o f o drop has_integral lift y) (interval [lift a,lift b])
% Assm: LIFT_NEG: !x. lift (--x) = --lift x
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f i a b. (f has_real_integral i) (real_interval [a,b]) ==> ((\x. f (--x)) has_real_integral i) (real_interval [--b,--a])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. drop (--x) = --drop x
% Assm: !f i a b. (f has_integral i) (interval [a,b]) ==> ((\x. f (--x)) has_integral i) (interval [--b,--a])
% Assm: !f y a b. (f has_real_integral y) (real_interval [a,b]) <=> (lift o f o drop has_integral lift y) (interval [lift a,lift b])
% Assm: !x. lift (--x) = --lift x
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f i a b. (f has_real_integral i) (real_interval [a,b]) ==> ((\x. f (--x)) has_real_integral i) (real_interval [--b,--a])
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil1, type, nil1 : listprodcartrealn1cartrealn1).
thf(cnil0, type, nil0 : listprodcartrealmcartrealm).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn1 > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(ccu_1, type, c_1 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons1, type, cons1 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons0, type, cons0 : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealm > cartrealm)).
thf(cnil, type, nil : listprodrealreal).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDROPu_NEG, axiom, ![X:cartrealn1]:((drop @ (vectoru_neg @ X)) = (realu_neg @ (drop @ X)))).
thf(aHASu_INTEGRALu_REFLECTu_LEMMA, axiom, ![F:(cartrealm > cartrealn),I:cartrealn,A:cartrealm,B:cartrealm]:((hasu_integral @ F @ I @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) => (hasu_integral @ ^[X:cartrealm]:(F @ (vectoru_neg0 @ X)) @ I @ (closedu_interval @ (cons0 @ (c_0 @ (vectoru_neg0 @ B) @ (vectoru_neg0 @ A)) @ nil0))))).
thf(aHASu_REALu_INTEGRAL, axiom, ![F:(real > real),Y:real,A:real,B:real]:((hasu_realu_integral @ F @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> (hasu_integral0 @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ Y) @ (closedu_interval0 @ (cons1 @ (c_1 @ (lift @ A) @ (lift @ B)) @ nil1))))).
thf(aLIFTu_NEG, axiom, ![X:real]:((lift @ (realu_neg @ X)) = (vectoru_neg @ (lift @ X)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),I:real,A:real,B:real]:((hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (hasu_realu_integral @ ^[X:real]:(F @ (realu_neg @ X)) @ I @ (closedu_realu_interval @ (cons @ (c_ @ (realu_neg @ B) @ (realu_neg @ A)) @ nil))))).
