%   ORIGINAL: HAS_REAL_INTEGRAL_REFLECT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_INTEGRAL_REFLECT_LEMMA: !f i a b. (f has_real_integral i) (real_interval [a,b]) ==> ((\x. f (--x)) has_real_integral i) (real_interval [--b,--a])
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: TRUTH: T
% Goal: !f i a b. ((\x. f (--x)) has_real_integral i) (real_interval [--b,--a]) <=> (f has_real_integral i) (real_interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !f i a b. (f has_real_integral i) (real_interval [a,b]) ==> ((\x. f (--x)) has_real_integral i) (real_interval [--b,--a])
% Assm: !x. -- --x = x
% Assm: T
% Goal: !f i a b. ((\x. f (--x)) has_real_integral i) (real_interval [--b,--a]) <=> (f has_real_integral i) (real_interval [a,b])
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cnil, type, nil : listprodrealreal).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_INTEGRALu_REFLECTu_LEMMA, axiom, ![F:(real > real),I:real,A:real,B:real]:((hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (hasu_realu_integral @ ^[X:real]:(F @ (realu_neg @ X)) @ I @ (closedu_realu_interval @ (cons @ (c_ @ (realu_neg @ B) @ (realu_neg @ A)) @ nil))))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),I:real,A:real,B:real]:((hasu_realu_integral @ ^[X:real]:(F @ (realu_neg @ X)) @ I @ (closedu_realu_interval @ (cons @ (c_ @ (realu_neg @ B) @ (realu_neg @ A)) @ nil))) <=> (hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
