%   ORIGINAL: REAL_INTEGRAL_REFLECT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_REFLECT: !f i a b. ((\x. f (--x)) has_real_integral i) (real_interval [--b,--a]) <=> (f has_real_integral i) (real_interval [a,b])
% Assm: TRUTH: T
% Assm: real_integral: !f i. real_integral i f = (@y. (f has_real_integral y) i)
% Goal: !f a b. real_integral (real_interval [--b,--a]) (\x. f (--x)) = real_integral (real_interval [a,b]) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f i a b. ((\x. f (--x)) has_real_integral i) (real_interval [--b,--a]) <=> (f has_real_integral i) (real_interval [a,b])
% Assm: T
% Assm: !f i. real_integral i f = (@y. (f has_real_integral y) i)
% Goal: !f a b. real_integral (real_interval [--b,--a]) (\x. f (--x)) = real_integral (real_interval [a,b]) f
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_REFLECT, axiom, ![F:(real > real),I:real,A:real,B:real]:((hasu_realu_integral @ ^[X:real]:(F @ (realu_neg @ X)) @ I @ (closedu_realu_interval @ (cons @ (c_ @ (realu_neg @ B) @ (realu_neg @ A)) @ nil))) <=> (hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aTRUTH, axiom, $true).
thf(arealu_integral, axiom, ![F:(real > real),I:(real > $o)]:((realu_integral @ I @ F) = (h_ @ ^[Y:real]:(hasu_realu_integral @ F @ Y @ I)))).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real]:((realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ (realu_neg @ B) @ (realu_neg @ A)) @ nil)) @ ^[X:real]:(F @ (realu_neg @ X))) = (realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F))).
