%   ORIGINAL: REAL_INTEGRABLE_SPIKE_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_INTEGRAL_SPIKE_SET_EQ: !f s t y. real_negligible (s DIFF t UNION t DIFF s) ==> ((f has_real_integral y) s <=> (f has_real_integral y) t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_integrable_on: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f s t. real_negligible (s DIFF t UNION t DIFF s) ==> f real_integrable_on s ==> f real_integrable_on t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s t y. real_negligible (s DIFF t UNION t DIFF s) ==> ((f has_real_integral y) s <=> (f has_real_integral y) t)
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f s t. real_negligible (s DIFF t UNION t DIFF s) ==> f real_integrable_on s ==> f real_integrable_on t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_INTEGRALu_SPIKEu_SETu_EQ, axiom, ![F:(real > real),S:(real > $o),T:(real > $o),Y:real]:((realu_negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((hasu_realu_integral @ F @ Y @ S) <=> (hasu_realu_integral @ F @ Y @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_integrableu_on, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) <=> ?[Y:real]:(hasu_realu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o)]:((realu_negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((realu_integrableu_on @ F @ S) => (realu_integrableu_on @ F @ T)))).
