%   ORIGINAL: REAL_INTEGRABLE_SPIKE_SET_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INTEGRABLE_SPIKE_SET: !f s t. real_negligible (s DIFF t UNION t DIFF s) ==> f real_integrable_on s ==> f real_integrable_on t
% Assm: TRUTH: T
% Assm: UNION_COMM: !s t. s UNION t = t UNION s
% Goal: !f s t. real_negligible (s DIFF t UNION t DIFF s) ==> (f real_integrable_on s <=> f real_integrable_on t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !f s t. real_negligible (s DIFF t UNION t DIFF s) ==> f real_integrable_on s ==> f real_integrable_on t
% Assm: T
% Assm: !s t. s UNION t = t UNION s
% Goal: !f s t. real_negligible (s DIFF t UNION t DIFF s) ==> (f real_integrable_on s <=> f real_integrable_on t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INTEGRABLEu_SPIKEu_SET, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:((realu_negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((realu_integrableu_on @ F @ S) => (realu_integrableu_on @ F @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_COMM, axiom, ![S:(real > $o),T:(real > $o)]:((union @ S @ T) = (union @ T @ S))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o)]:((realu_negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((realu_integrableu_on @ F @ S) <=> (realu_integrableu_on @ F @ T)))).
