%   ORIGINAL: REAL_INTEGRAL_SPIKE_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_SPIKE_SET_EQ: !f s t y. real_negligible (s DIFF t UNION t DIFF s) ==> ((f has_real_integral y) s <=> (f has_real_integral y) t)
% Assm: TRUTH: T
% Assm: real_integral: !f i. real_integral i f = (@y. (f has_real_integral y) i)
% Goal: !f s t. real_negligible (s DIFF t UNION t DIFF s) ==> real_integral s f = real_integral t f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t y. real_negligible (s DIFF t UNION t DIFF s) ==> ((f has_real_integral y) s <=> (f has_real_integral y) t)
% Assm: T
% Assm: !f i. real_integral i f = (@y. (f has_real_integral y) i)
% Goal: !f s t. real_negligible (s DIFF t UNION t DIFF s) ==> real_integral s f = real_integral t f
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_SPIKEu_SETu_EQ, axiom, ![F:(real > real),S:(real > $o),T:(real > $o),Y:real]:((realu_negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((hasu_realu_integral @ F @ Y @ S) <=> (hasu_realu_integral @ F @ Y @ T)))).
thf(aTRUTH, axiom, $true).
thf(arealu_integral, axiom, ![F:(real > real),I:(real > $o)]:((realu_integral @ I @ F) = (h_ @ ^[Y:real]:(hasu_realu_integral @ F @ Y @ I)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o)]:((realu_negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((realu_integral @ S @ F) = (realu_integral @ T @ F)))).
