%   ORIGINAL: REAL_INTEGRABLE_ON_OPEN_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_OPEN_INTERVAL: !f a b y. (f has_real_integral y) (real_interval (a,b)) <=> (f has_real_integral y) (real_interval [a,b])
% Assm: TRUTH: T
% Assm: real_integrable_on: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f a b. f real_integrable_on real_interval (a,b) <=> f real_integrable_on real_interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f a b y. (f has_real_integral y) (real_interval (a,b)) <=> (f has_real_integral y) (real_interval [a,b])
% Assm: T
% Assm: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f a b. f real_integrable_on real_interval (a,b) <=> f real_integrable_on real_interval [a,b]
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_OPENu_INTERVAL, axiom, ![F:(real > real),A:real,B:real,Y:real]:((hasu_realu_integral @ F @ Y @ (openu_realu_interval @ (c_ @ A @ B))) <=> (hasu_realu_integral @ F @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aTRUTH, axiom, $true).
thf(arealu_integrableu_on, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) <=> ?[Y:real]:(hasu_realu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real]:((realu_integrableu_on @ F @ (openu_realu_interval @ (c_ @ A @ B))) <=> (realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
