%   ORIGINAL: HAS_REAL_INTEGRAL_ON_SUPERSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_INTEGRAL_RESTRICT_UNIV: !f s i. ((\x. if x IN s then f x else &0) has_real_integral i) (:real) <=> (f has_real_integral i) s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f s t. (!x. ~(x IN s) ==> f x = &0) /\ s SUBSET t /\ (f has_real_integral i) s ==> (f has_real_integral i) t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f s i. ((\x. if x IN s then f x else &0) has_real_integral i) (:real) <=> (f has_real_integral i) s
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !i f s t. (!x. ~(x IN s) ==> f x = &0) /\ s SUBSET t /\ (f has_real_integral i) s ==> (f has_real_integral i) t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_INTEGRALu_RESTRICTu_UNIV, axiom, ![F:(real > real),S:(real > $o),I:real]:((hasu_realu_integral @ ^[X:real]:(cond @ (in @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ I @ univ) <=> (hasu_realu_integral @ F @ I @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(real > $o),T:(real > $o)]:((subset @ S @ T) <=> ![X:real]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![I:real,F:(real > real),S:(real > $o),T:(real > $o)]:((![X:real]:(~ ((in @ X @ S)) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0)))) & (subset @ S @ T) & (hasu_realu_integral @ F @ I @ S)) => (hasu_realu_integral @ F @ I @ T))).
