%   ORIGINAL: REAL_INTEGRAL_RESTRICT_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_RESTRICT_UNIV: !f s i. ((\x. if x IN s then f x else &0) has_real_integral i) (:real) <=> (f has_real_integral i) s
% Assm: TRUTH: T
% Assm: real_integral: !f i. real_integral i f = (@y. (f has_real_integral y) i)
% Goal: !f s. real_integral (:real) (\x. if x IN s then f x else &0) = real_integral s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s i. ((\x. if x IN s then f x else &0) has_real_integral i) (:real) <=> (f has_real_integral i) s
% Assm: T
% Assm: !f i. real_integral i f = (@y. (f has_real_integral y) i)
% Goal: !f s. real_integral (:real) (\x. if x IN s then f x else &0) = real_integral s f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_RESTRICTu_UNIV, axiom, ![F:(real > real),S:(real > $o),I:real]:((hasu_realu_integral @ ^[X:real]:(cond @ (in @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ I @ univ) <=> (hasu_realu_integral @ F @ I @ S))).
thf(aTRUTH, axiom, $true).
thf(arealu_integral, axiom, ![F:(real > real),I:(real > $o)]:((realu_integral @ I @ F) = (h_ @ ^[Y:real]:(hasu_realu_integral @ F @ Y @ I)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((realu_integral @ univ @ ^[X:real]:(cond @ (in @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0)))) = (realu_integral @ S @ F))).
