%   ORIGINAL: REAL_INTEGRABLE_RESTRICT_INTER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_INTEGRAL_RESTRICT_INTER: !f s t. ((\x. if x IN s then f x else &0) has_real_integral i) t <=> (f has_real_integral i) (s INTER t)
% Assm: TRUTH: T
% Assm: real_integrable_on: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f s t. (\x. if x IN s then f x else &0) real_integrable_on t <=> f real_integrable_on s INTER t
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !i f s t. ((\x. if x IN s then f x else &0) has_real_integral i) t <=> (f has_real_integral i) (s INTER t)
% Assm: T
% Assm: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f s t. (\x. if x IN s then f x else &0) real_integrable_on t <=> f real_integrable_on s INTER t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_INTEGRALu_RESTRICTu_INTER, axiom, ![I:real,F:(real > real),S:(real > $o),T:(real > $o)]:((hasu_realu_integral @ ^[X:real]:(cond @ (in @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ I @ T) <=> (hasu_realu_integral @ F @ I @ (inter @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(arealu_integrableu_on, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) <=> ?[Y:real]:(hasu_realu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o)]:((realu_integrableu_on @ ^[X:real]:(cond @ (in @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ T) <=> (realu_integrableu_on @ F @ (inter @ S @ T)))).
