%   ORIGINAL: REAL_INTEGRABLE_STRADDLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ABS_DROP: !x. norm x = abs (drop x)
% Assm: DROP_SUB: !x y. drop (x - y) = drop x - drop y
% Assm: EXISTS_DROP: (?x. P x) <=> (?x. P (drop x))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: INTEGRABLE_STRADDLE: !f s. (!e. &0 < e ==> (?g h i j. (g has_integral i) s /\ (h has_integral j) s /\ norm (i - j) < e /\ (!x. x IN s ==> drop (g x) <= drop (f x) /\ drop (f x) <= drop (h x)))) ==> f integrable_on s
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: REAL_INTEGRABLE_ON: f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: TRUTH: T
% Assm: has_real_integral: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f s. (!e. &0 < e ==> (?g h i j. (g has_real_integral i) s /\ (h has_real_integral j) s /\ abs (i - j) < e /\ (!x. x IN s ==> g x <= f x /\ f x <= h x))) ==> f real_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm x = abs (drop x)
% Assm: !x y. drop (x - y) = drop x - drop y
% Assm: !P. (?x. P x) <=> (?x. P (drop x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f s. (!e. &0 < e ==> (?g h i j. (g has_integral i) s /\ (h has_integral j) s /\ norm (i - j) < e /\ (!x. x IN s ==> drop (g x) <= drop (f x) /\ drop (f x) <= drop (h x)))) ==> f integrable_on s
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !f s. f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: T
% Assm: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f s. (!e. &0 < e ==> (?g h i j. (g has_real_integral i) s /\ (h has_real_integral j) s /\ abs (i - j) < e /\ (!x. x IN s ==> g x <= f x /\ f x <= h x))) ==> f real_integrable_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn > cartrealn1) > cartrealn1 > (cartrealn > $o) > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aABSu_DROP, axiom, ![X:cartrealn1]:((vectoru_norm @ X) = (realu_abs @ (drop @ X)))).
thf(aDROPu_SUB, axiom, ![X:cartrealn1,Y:cartrealn1]:((drop @ (vectoru_sub @ X @ Y)) = (realu_sub @ (drop @ X) @ (drop @ Y)))).
thf(aEXISTSu_DROP, axiom, ![P:(real > $o)]:(?[X:real]:(P @ X) <=> ?[X:cartrealn1]:(P @ (drop @ X)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aINTEGRABLEu_STRADDLE, axiom, ![F:(cartrealn > cartrealn1),S:(cartrealn > $o)]:(![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[G:(cartrealn > cartrealn1),H:(cartrealn > cartrealn1),I:cartrealn1,J:cartrealn1]:((hasu_integral @ G @ I @ S) & (hasu_integral @ H @ J @ S) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ I @ J)) @ E) & ![X:cartrealn]:((in0 @ X @ S) => ((realu_le @ (drop @ (G @ X)) @ (drop @ (F @ X))) & (realu_le @ (drop @ (F @ X)) @ (drop @ (H @ X))))))) => (integrableu_on @ F @ S))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aREALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (integrableu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image0 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_realu_integral, axiom, ![F:(real > real),Y:real,S:(real > $o)]:((hasu_realu_integral @ F @ Y @ S) <=> (hasu_integral0 @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ Y) @ (image0 @ lift @ S)))).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:(![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[G:(real > real),H:(real > real),I:real,J:real]:((hasu_realu_integral @ G @ I @ S) & (hasu_realu_integral @ H @ J @ S) & (realu_lt @ (realu_abs @ (realu_sub @ I @ J)) @ E) & ![X:real]:((in @ X @ S) => ((realu_le @ (G @ X) @ (F @ X)) & (realu_le @ (F @ X) @ (H @ X)))))) => (realu_integrableu_on @ F @ S))).
