%   ORIGINAL: HAS_REAL_INTEGRAL_STRADDLE_NULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HAS_REAL_INTEGRAL_0: !s. ((\x. &0) has_real_integral &0) s
% Assm: HAS_REAL_INTEGRAL_INTEGRABLE_INTEGRAL: !f i s. (f has_real_integral i) s <=> f real_integrable_on s /\ real_integral s f = i
% Assm: HAS_REAL_INTEGRAL_INTEGRAL: !f s. f real_integrable_on s <=> (f has_real_integral real_integral s f) s
% Assm: HAS_REAL_INTEGRAL_LE: !f g s i j. (f has_real_integral i) s /\ (g has_real_integral j) s /\ (!x. x IN s ==> f x <= g x) ==> i <= j
% Assm: REAL_INTEGRABLE_STRADDLE: !f s. (!e. &0 < e ==> (?g h i j. (g has_real_integral i) s /\ (h has_real_integral j) s /\ abs (i - j) < e /\ (!x. x IN s ==> g x <= f x /\ f x <= h x))) ==> f real_integrable_on s
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_SUB_REFL: !x. x - x = &0
% Assm: Real_ext.REAL_SV_ABS_0: abs (&0) = &0
% Assm: TRUTH: T
% Goal: !f g s. (!x. x IN s ==> &0 <= f x /\ f x <= g x) /\ (g has_real_integral &0) s ==> (f has_real_integral &0) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. ((\x. &0) has_real_integral &0) s
% Assm: !f i s. (f has_real_integral i) s <=> f real_integrable_on s /\ real_integral s f = i
% Assm: !f s. f real_integrable_on s <=> (f has_real_integral real_integral s f) s
% Assm: !f g s i j. (f has_real_integral i) s /\ (g has_real_integral j) s /\ (!x. x IN s ==> f x <= g x) ==> i <= j
% Assm: !f s. (!e. &0 < e ==> (?g h i j. (g has_real_integral i) s /\ (h has_real_integral j) s /\ abs (i - j) < e /\ (!x. x IN s ==> g x <= f x /\ f x <= h x))) ==> f real_integrable_on s
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x. x - x = &0
% Assm: abs (&0) = &0
% Assm: T
% Goal: !f g s. (!x. x IN s ==> &0 <= f x /\ f x <= g x) /\ (g has_real_integral &0) s ==> (f has_real_integral &0) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHASu_REALu_INTEGRALu_0, axiom, ![S:(real > $o)]:(hasu_realu_integral @ ^[X:real]:(realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ u_0)) @ S)).
thf(aHASu_REALu_INTEGRALu_INTEGRABLEu_INTEGRAL, axiom, ![F:(real > real),I:real,S:(real > $o)]:((hasu_realu_integral @ F @ I @ S) <=> ((realu_integrableu_on @ F @ S) & ((realu_integral @ S @ F) = I)))).
thf(aHASu_REALu_INTEGRALu_INTEGRAL, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (hasu_realu_integral @ F @ (realu_integral @ S @ F) @ S))).
thf(aHASu_REALu_INTEGRALu_LE, axiom, ![F:(real > real),G:(real > real),S:(real > $o),I:real,J:real]:(((hasu_realu_integral @ F @ I @ S) & (hasu_realu_integral @ G @ J @ S) & ![X:real]:((in @ X @ S) => (realu_le @ (F @ X) @ (G @ X)))) => (realu_le @ I @ J))).
thf(aREALu_INTEGRABLEu_STRADDLE, axiom, ![F:(real > real),S:(real > $o)]:(![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[G:(real > real),H:(real > real),I:real,J:real]:((hasu_realu_integral @ G @ I @ S) & (hasu_realu_integral @ H @ J @ S) & (realu_lt @ (realu_abs @ (realu_sub @ I @ J)) @ E) & ![X:real]:((in @ X @ S) => ((realu_le @ (G @ X) @ (F @ X)) & (realu_le @ (F @ X) @ (H @ X)))))) => (realu_integrableu_on @ F @ S))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_SUBu_REFL, axiom, ![X:real]:((realu_sub @ X @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_ABSu_0, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:((![X:real]:((in @ X @ S) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)) & (realu_le @ (F @ X) @ (G @ X)))) & (hasu_realu_integral @ G @ (realu_ofu_num @ (numeral @ u_0)) @ S)) => (hasu_realu_integral @ F @ (realu_ofu_num @ (numeral @ u_0)) @ S))).
