%   ORIGINAL: HAS_REAL_INTEGRAL_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HAS_INTEGRAL_UNION: !f i j s t. (f has_integral i) s /\ (f has_integral j) t /\ negligible (s INTER t) ==> (f has_integral i + j) (s UNION t)
% Assm: IMAGE_UNION: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: LIFT_ADD: !x y. lift (x + y) = lift x + lift y
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: has_real_integral: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: real_negligible: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !f i j s t. (f has_real_integral i) s /\ (f has_real_integral j) t /\ real_negligible (s INTER t) ==> (f has_real_integral i + j) (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f i j s t. (f has_integral i) s /\ (f has_integral j) t /\ negligible (s INTER t) ==> (f has_integral i + j) (s UNION t)
% Assm: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x y. lift (x + y) = lift x + lift y
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !f i j s t. (f has_real_integral i) s /\ (f has_real_integral j) t /\ real_negligible (s INTER t) ==> (f has_real_integral i + j) (s UNION t)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cimage1, type, image1 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cunion0, type, union0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cinter0, type, inter0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cnegligible0, type, negligible0 : ((cartrealn1 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHASu_INTEGRALu_UNION, axiom, ![F:(cartrealm > cartrealn),I:cartrealn,J:cartrealn,S:(cartrealm > $o),T:(cartrealm > $o)]:(((hasu_integral @ F @ I @ S) & (hasu_integral @ F @ J @ T) & (negligible @ (inter0 @ S @ T))) => (hasu_integral @ F @ (vectoru_add @ I @ J) @ (union0 @ S @ T)))).
thf(aIMAGEu_UNION, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:((image @ F @ (union @ S @ T)) = (union @ (image @ F @ S) @ (image @ F @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in0 @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in1 @ X @ (inter @ S @ T)) <=> ((in1 @ X @ S) & (in1 @ X @ T)))).
thf(aLIFTu_ADD, axiom, ![X:real,Y:real]:((lift @ (realu_add @ X @ Y)) = (vectoru_add0 @ (lift @ X) @ (lift @ Y)))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ahasu_realu_integral, axiom, ![F:(real > real),Y:real,S:(real > $o)]:((hasu_realu_integral @ F @ Y @ S) <=> (hasu_integral0 @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ Y) @ (image1 @ lift @ S)))).
thf(arealu_negligible, axiom, ![S:(real > $o)]:((realu_negligible @ S) <=> (negligible0 @ (image1 @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),I:real,J:real,S:(real > $o),T:(real > $o)]:(((hasu_realu_integral @ F @ I @ S) & (hasu_realu_integral @ F @ J @ T) & (realu_negligible @ (inter @ S @ T))) => (hasu_realu_integral @ F @ (realu_add @ I @ J) @ (union @ S @ T)))).
