%   ORIGINAL: REAL_INTEGRAL_ABS_BOUND_INTEGRAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ABS_DROP: !x. norm x = abs (drop x)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: INTEGRAL_NORM_BOUND_INTEGRAL: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> norm (integral s f) <= drop (integral s g)
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: REAL_INTEGRABLE_ON: f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: REAL_INTEGRAL: f real_integrable_on s ==> real_integral s f = drop (integral (IMAGE lift s) (lift o f o drop))
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g s. f real_integrable_on s /\ g real_integrable_on s /\ (!x. x IN s ==> abs (f x) <= g x) ==> abs (real_integral s f) <= real_integral s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm x = abs (drop x)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> norm (integral s f) <= drop (integral s g)
% Assm: !x. drop (lift x) = x
% Assm: !x. norm (lift x) = abs x
% Assm: !f s. f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: !s f. f real_integrable_on s ==> real_integral s f = drop (integral (IMAGE lift s) (lift o f o drop))
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g s. f real_integrable_on s /\ g real_integrable_on s /\ (!x. x IN s ==> abs (f x) <= g x) ==> abs (real_integral s f) <= real_integral s g
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on1, type, integrableu_on1 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn > real)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cintegral1, type, integral1 : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > cartrealn1)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cintegral0, type, integral0 : ((cartrealm > $o) > (cartrealm > cartrealn1) > cartrealn1)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aABSu_DROP, axiom, ![X:cartrealn1]:((vectoru_norm @ X) = (realu_abs @ (drop @ X)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aINTEGRALu_NORMu_BOUNDu_INTEGRAL, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn1),S:(cartrealm > $o)]:(((integrableu_on @ F @ S) & (integrableu_on0 @ G @ S) & ![X:cartrealm]:((in0 @ X @ S) => (realu_le @ (vectoru_norm0 @ (F @ X)) @ (drop @ (G @ X))))) => (realu_le @ (vectoru_norm0 @ (integral @ S @ F)) @ (drop @ (integral0 @ S @ G))))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm @ (lift @ X)) = (realu_abs @ X))).
thf(aREALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (integrableu_on1 @ (o @ lift @ (o0 @ F @ drop)) @ (image0 @ lift @ S)))).
thf(aREALu_INTEGRAL, axiom, ![S:(real > $o),F:(real > real)]:((realu_integrableu_on @ F @ S) => ((realu_integral @ S @ F) = (drop @ (integral1 @ (image0 @ lift @ S) @ (o @ lift @ (o0 @ F @ drop))))))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_integrableu_on @ F @ S) & (realu_integrableu_on @ G @ S) & ![X:real]:((in @ X @ S) => (realu_le @ (realu_abs @ (F @ X)) @ (G @ X)))) => (realu_le @ (realu_abs @ (realu_integral @ S @ F)) @ (realu_integral @ S @ G)))).
