%   ORIGINAL: ABSOLUTELY_REAL_INTEGRABLE_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: REAL_INTEGRABLE_LMUL: !f c s. f real_integrable_on s ==> (\x. c * f x) real_integrable_on s
% Assm: TRUTH: T
% Assm: absolutely_real_integrable_on: !f s. f absolutely_real_integrable_on s <=> f real_integrable_on s /\ (\x. abs (f x)) real_integrable_on s
% Goal: !f s c. f absolutely_real_integrable_on s ==> (\x. c * f x) absolutely_real_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: !f c s. f real_integrable_on s ==> (\x. c * f x) real_integrable_on s
% Assm: T
% Assm: !f s. f absolutely_real_integrable_on s <=> f real_integrable_on s /\ (\x. abs (f x)) real_integrable_on s
% Goal: !f s c. f absolutely_real_integrable_on s ==> (\x. c * f x) absolutely_real_integrable_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cabsolutelyuu_realuu_integrableuu_on, type, absolutelyu_realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_ABSu_MUL, axiom, ![X:real,Y:real]:((realu_abs @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aREALu_INTEGRABLEu_LMUL, axiom, ![F:(real > real),C:real,S:(real > $o)]:((realu_integrableu_on @ F @ S) => (realu_integrableu_on @ ^[X:real]:(realu_mul @ C @ (F @ X)) @ S))).
thf(aTRUTH, axiom, $true).
thf(aabsolutelyu_realu_integrableu_on, axiom, ![F:(real > real),S:(real > $o)]:((absolutelyu_realu_integrableu_on @ F @ S) <=> ((realu_integrableu_on @ F @ S) & (realu_integrableu_on @ ^[X:real]:(realu_abs @ (F @ X)) @ S)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),C:real]:((absolutelyu_realu_integrableu_on @ F @ S) => (absolutelyu_realu_integrableu_on @ ^[X:real]:(realu_mul @ C @ (F @ X)) @ S))).
