%   ORIGINAL: NONNEGATIVE_ABSOLUTELY_REAL_INTEGRABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INTEGRABLE_EQ: !f g s. (!x. x IN s ==> f x = g x) /\ f real_integrable_on s ==> g real_integrable_on s
% Assm: TRUTH: T
% Assm: absolutely_real_integrable_on: !f s. f absolutely_real_integrable_on s <=> f real_integrable_on s /\ (\x. abs (f x)) real_integrable_on s
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Goal: !f s. (!x. x IN s ==> &0 <= f x) /\ f real_integrable_on s ==> f absolutely_real_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !f g s. (!x. x IN s ==> f x = g x) /\ f real_integrable_on s ==> g real_integrable_on s
% Assm: T
% Assm: !f s. f absolutely_real_integrable_on s <=> f real_integrable_on s /\ (\x. abs (f x)) real_integrable_on s
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Goal: !f s. (!x. x IN s ==> &0 <= f x) /\ f real_integrable_on s ==> f absolutely_real_integrable_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cabsolutelyuu_realuu_integrableuu_on, type, absolutelyu_realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INTEGRABLEu_EQ, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:((![X:real]:((in @ X @ S) => ((F @ X) = (G @ X))) & (realu_integrableu_on @ F @ S)) => (realu_integrableu_on @ G @ S))).
thf(aTRUTH, axiom, $true).
thf(aabsolutelyu_realu_integrableu_on, axiom, ![F:(real > real),S:(real > $o)]:((absolutelyu_realu_integrableu_on @ F @ S) <=> ((realu_integrableu_on @ F @ S) & (realu_integrableu_on @ ^[X:real]:(realu_abs @ (F @ X)) @ S)))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond0 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((![X:real]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X))) & (realu_integrableu_on @ F @ S)) => (absolutelyu_realu_integrableu_on @ F @ S))).
