%   ORIGINAL: REAL_DOMINATED_CONVERGENCE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOMINATED_CONVERGENCE: !f g h s. (!k. f k integrable_on s) /\ h integrable_on s /\ (!k x. x IN s ==> norm (f k x) <= drop (h x)) /\ (!x. x IN s ==> ((\k. f k x) --> g x) sequentially) ==> g integrable_on s /\ ((\k. integral s (f k)) --> integral s g) sequentially
% Assm: DROP_EQ: !x y. drop x = drop y <=> x = y
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: REAL_INTEGRABLE_ON: f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: REAL_INTEGRAL: f real_integrable_on s ==> real_integral s f = drop (integral (IMAGE lift s) (lift o f o drop))
% Assm: TENDSTO_REAL: (s ---> l) = (lift o s --> lift l)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g h s. (!k. f k real_integrable_on s) /\ h real_integrable_on s /\ (!k x. x IN s ==> abs (f k x) <= h x) /\ (!x. x IN s ==> ((\k. f k x) ---> g x) sequentially) ==> g real_integrable_on s /\ ((\k. real_integral s (f k)) ---> real_integral s g) sequentially
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g h s. (!k. f k integrable_on s) /\ h integrable_on s /\ (!k x. x IN s ==> norm (f k x) <= drop (h x)) /\ (!x. x IN s ==> ((\k. f k x) --> g x) sequentially) ==> g integrable_on s /\ ((\k. integral s (f k)) --> integral s g) sequentially
% Assm: !x y. drop x = drop y <=> x = y
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !x. norm (lift x) = abs x
% Assm: !f s. f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: !s f. f real_integrable_on s ==> real_integral s f = drop (integral (IMAGE lift s) (lift o f o drop))
% Assm: !s l. (s ---> l) = (lift o s --> lift l)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g h s. (!k. f k real_integrable_on s) /\ h real_integrable_on s /\ (!k x. x IN s ==> abs (f k x) <= h x) /\ (!x. x IN s ==> ((\k. f k x) ---> g x) sequentially) ==> g real_integrable_on s /\ ((\k. real_integral s (f k)) ---> real_integral s g) sequentially
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on1, type, integrableu_on1 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(co2, type, o2 : ((b > c) > (a > b) > a > c)).
thf(co1, type, o1 : ((real > cartrealn1) > (num > real) > num > cartrealn1)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealn1) > cartrealn1 > netnum > $o)).
thf(cintegral0, type, integral0 : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > cartrealn1)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(csequentially, type, sequentially : netnum).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOMINATEDu_CONVERGENCE, axiom, ![F:(num > cartrealm > cartrealn),G:(cartrealm > cartrealn),H:(cartrealm > cartrealn1),S:(cartrealm > $o)]:((![K:num]:(integrableu_on @ (F @ K) @ S) & (integrableu_on0 @ H @ S) & ![K:num,X:cartrealm]:((in0 @ X @ S) => (realu_le @ (vectoru_norm @ (F @ K @ X)) @ (drop @ (H @ X)))) & ![X:cartrealm]:((in0 @ X @ S) => (m_m_g_ @ ^[K:num]:(F @ K @ X) @ (G @ X) @ sequentially))) => ((integrableu_on @ G @ S) & (m_m_g_ @ ^[K:num]:(integral @ S @ (F @ K)) @ (integral @ S @ G) @ sequentially)))).
thf(aDROPu_EQ, axiom, ![X:cartrealn1,Y:cartrealn1]:(((drop @ X) = (drop @ Y)) <=> (X = Y))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm0 @ (lift @ X)) = (realu_abs @ X))).
thf(aREALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (integrableu_on1 @ (o @ lift @ (o0 @ F @ drop)) @ (image0 @ lift @ S)))).
thf(aREALu_INTEGRAL, axiom, ![S:(real > $o),F:(real > real)]:((realu_integrableu_on @ F @ S) => ((realu_integral @ S @ F) = (drop @ (integral0 @ (image0 @ lift @ S) @ (o @ lift @ (o0 @ F @ drop))))))).
thf(aTENDSTOu_REAL, axiom, ![S:(num > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_0 @ (o1 @ lift @ S) @ (lift @ L)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o2 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(num > real > real),G:(real > real),H:(real > real),S:(real > $o)]:((![K:num]:(realu_integrableu_on @ (F @ K) @ S) & (realu_integrableu_on @ H @ S) & ![K:num,X:real]:((in @ X @ S) => (realu_le @ (realu_abs @ (F @ K @ X)) @ (H @ X))) & ![X:real]:((in @ X @ S) => (m_m_m_g_ @ ^[K:num]:(F @ K @ X) @ (G @ X) @ sequentially))) => ((realu_integrableu_on @ G @ S) & (m_m_m_g_ @ ^[K:num]:(realu_integral @ S @ (F @ K)) @ (realu_integral @ S @ G) @ sequentially)))).
