%   ORIGINAL: HAS_REAL_MEASURE_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_REAL_INTEGRAL_UNIQUE: !f i k1 k2. (f has_real_integral k1) i /\ (f has_real_integral k2) i ==> k1 = k2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: has_real_measure: !m s. s has_real_measure m <=> ((\x. &1) has_real_integral m) s
% Goal: !s m1 m2. s has_real_measure m1 /\ s has_real_measure m2 ==> m1 = m2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f i k1 k2. (f has_real_integral k1) i /\ (f has_real_integral k2) i ==> k1 = k2
% Assm: ~F <=> T
% Assm: T
% Assm: !m s. s has_real_measure m <=> ((\x. &1) has_real_integral m) s
% Goal: !s m1 m2. s has_real_measure m1 /\ s has_real_measure m2 ==> m1 = m2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_REALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),I:(real > $o),K1:real,K2:real]:(((hasu_realu_integral @ F @ K1 @ I) & (hasu_realu_integral @ F @ K2 @ I)) => (K1 = K2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ahasu_realu_measure, axiom, ![M:real,S:(real > $o)]:((hasu_realu_measure @ S @ M) <=> (hasu_realu_integral @ ^[X:real]:(realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ M @ S))).
thf(conjecture, conjecture, ![S:(real > $o),M1:real,M2:real]:(((hasu_realu_measure @ S @ M1) & (hasu_realu_measure @ S @ M2)) => (M1 = M2))).
