%   ORIGINAL: REAL_MEASURE_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_MEASURE_MEASURE: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: HAS_REAL_MEASURE_UNIQUE: !s m1 m2. s has_real_measure m1 /\ s has_real_measure m2 ==> m1 = m2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_measurable: !s. real_measurable s <=> (?m. s has_real_measure m)
% Goal: !s m. s has_real_measure m ==> real_measure s = m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: !s m1 m2. s has_real_measure m1 /\ s has_real_measure m2 ==> m1 = m2
% Assm: ~F <=> T
% Assm: T
% Assm: !s. real_measurable s <=> (?m. s has_real_measure m)
% Goal: !s m. s has_real_measure m ==> real_measure s = m
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_measure, type, realu_measure : ((real > $o) > real)).
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_MEASUREu_MEASURE, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> (hasu_realu_measure @ S @ (realu_measure @ S)))).
thf(aHASu_REALu_MEASUREu_UNIQUE, axiom, ![S:(real > $o),M1:real,M2:real]:(((hasu_realu_measure @ S @ M1) & (hasu_realu_measure @ S @ M2)) => (M1 = M2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_measurable, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> ?[M:real]:(hasu_realu_measure @ S @ M))).
thf(conjecture, conjecture, ![S:(real > $o),M:real]:((hasu_realu_measure @ S @ M) => ((realu_measure @ S) = M))).
