%   ORIGINAL: REAL_MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXISTS_DROP: (?x. P x) <=> (?x. P (drop x))
% Assm: TRUTH: T
% Assm: has_real_measure: !m s. s has_real_measure m <=> ((\x. &1) has_real_integral m) s
% Assm: real_integrable_on: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Assm: real_measurable: !s. real_measurable s <=> (?m. s has_real_measure m)
% Goal: !s. real_measurable s <=> (\x. &1) real_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (?x. P x) <=> (?x. P (drop x))
% Assm: T
% Assm: !m s. s has_real_measure m <=> ((\x. &1) has_real_integral m) s
% Assm: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Assm: !s. real_measurable s <=> (?m. s has_real_measure m)
% Goal: !s. real_measurable s <=> (\x. &1) real_integrable_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXISTSu_DROP, axiom, ![P:(real > $o)]:(?[X:real]:(P @ X) <=> ?[X:cartrealn1]:(P @ (drop @ X)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_realu_measure, axiom, ![M:real,S:(real > $o)]:((hasu_realu_measure @ S @ M) <=> (hasu_realu_integral @ ^[X:real]:(realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ M @ S))).
thf(arealu_integrableu_on, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) <=> ?[Y:real]:(hasu_realu_integral @ F @ Y @ I))).
thf(arealu_measurable, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> ?[M:real]:(hasu_realu_measure @ S @ M))).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_measurable @ S) <=> (realu_integrableu_on @ ^[X:real]:(realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ S))).
