%   ORIGINAL: REAL_MEASURE_REAL_INTEGRAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_MEASURE_MEASURE: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: REAL_INTEGRAL_UNIQUE: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: TRUTH: T
% Assm: has_real_measure: !m s. s has_real_measure m <=> ((\x. &1) has_real_integral m) s
% Goal: !s. real_measurable s ==> real_measure s = real_integral s (\x. &1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: T
% Assm: !m s. s has_real_measure m <=> ((\x. &1) has_real_integral m) s
% Goal: !s. real_measurable s ==> real_measure s = real_integral s (\x. &1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_measure, type, realu_measure : ((real > $o) > real)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_MEASUREu_MEASURE, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> (hasu_realu_measure @ S @ (realu_measure @ S)))).
thf(aREALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),Y:real,K:(real > $o)]:((hasu_realu_integral @ F @ Y @ K) => ((realu_integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(ahasu_realu_measure, axiom, ![M:real,S:(real > $o)]:((hasu_realu_measure @ S @ M) <=> (hasu_realu_integral @ ^[X:real]:(realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ M @ S))).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_measurable @ S) => ((realu_measure @ S) = (realu_integral @ S @ ^[X:real]:(realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
