%   ORIGINAL: HAS_REAL_MEASURE_HAS_MEASURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: TRUTH: T
% Assm: has_measure: !m s. s has_measure m <=> ((\x. vec 1) has_integral lift m) s
% Assm: has_real_integral: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: has_real_measure: !m s. s has_real_measure m <=> ((\x. &1) has_real_integral m) s
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !s m. s has_real_measure m <=> IMAGE lift s has_measure m
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. lift (&n) = vec n
% Assm: T
% Assm: !m s. s has_measure m <=> ((\x. vec 1) has_integral lift m) s
% Assm: !f y s. (f has_real_integral y) s <=> (lift o f o drop has_integral lift y) (IMAGE lift s)
% Assm: !m s. s has_real_measure m <=> ((\x. &1) has_real_integral m) s
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !s m. s has_real_measure m <=> IMAGE lift s has_measure m
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn1 > $o) > real > $o)).
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aTRUTH, axiom, $true).
thf(ahasu_measure, axiom, ![M:real,S:(cartrealn1 > $o)]:((hasu_measure @ S @ M) <=> (hasu_integral @ ^[X:cartrealn1]:(vec @ (numeral @ (bit1 @ u_0))) @ (lift @ M) @ S))).
thf(ahasu_realu_integral, axiom, ![F:(real > real),Y:real,S:(real > $o)]:((hasu_realu_integral @ F @ Y @ S) <=> (hasu_integral @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ Y) @ (image @ lift @ S)))).
thf(ahasu_realu_measure, axiom, ![M:real,S:(real > $o)]:((hasu_realu_measure @ S @ M) <=> (hasu_realu_integral @ ^[X:real]:(realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ M @ S))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(real > $o),M:real]:((hasu_realu_measure @ S @ M) <=> (hasu_measure @ (image @ lift @ S) @ M))).
