%   ORIGINAL: REAL_MEASURABLE_MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_MEASURE_HAS_MEASURE: !s m. s has_real_measure m <=> IMAGE lift s has_measure m
% Assm: TRUTH: T
% Assm: measurable: !s. measurable s <=> (?m. s has_measure m)
% Assm: real_measurable: !s. real_measurable s <=> (?m. s has_real_measure m)
% Goal: !s. real_measurable s <=> measurable (IMAGE lift s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s m. s has_real_measure m <=> IMAGE lift s has_measure m
% Assm: T
% Assm: !s. measurable s <=> (?m. s has_measure m)
% Assm: !s. real_measurable s <=> (?m. s has_real_measure m)
% Goal: !s. real_measurable s <=> measurable (IMAGE lift s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealn1 > $o) > real > $o)).
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cmeasurable, type, measurable : ((cartrealn1 > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_MEASUREu_HASu_MEASURE, axiom, ![S:(real > $o),M:real]:((hasu_realu_measure @ S @ M) <=> (hasu_measure @ (image @ lift @ S) @ M))).
thf(aTRUTH, axiom, $true).
thf(ameasurable, axiom, ![S:(cartrealn1 > $o)]:((measurable @ S) <=> ?[M:real]:(hasu_measure @ S @ M))).
thf(arealu_measurable, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> ?[M:real]:(hasu_realu_measure @ S @ M))).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_measurable @ S) <=> (measurable @ (image @ lift @ S)))).
