%   ORIGINAL: REAL_MEASURABLE_INTER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: MEASURABLE_INTER: !s t. measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MEASURABLE_MEASURABLE: !s. real_measurable s <=> measurable (IMAGE lift s)
% Assm: TRUTH: T
% Goal: !s t. real_measurable s /\ real_measurable t ==> real_measurable (s INTER t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !s t. measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: ~F <=> T
% Assm: !s. real_measurable s <=> measurable (IMAGE lift s)
% Assm: T
% Goal: !s t. real_measurable s /\ real_measurable t ==> real_measurable (s INTER t)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cinter0, type, inter0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(cmeasurable0, type, measurable0 : ((cartrealn1 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in1 @ X @ (inter @ S @ T)) <=> ((in1 @ X @ S) & (in1 @ X @ T)))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aMEASURABLEu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (inter0 @ S @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MEASURABLEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> (measurable0 @ (image0 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:(((realu_measurable @ S) & (realu_measurable @ T)) => (realu_measurable @ (inter @ S @ T)))).
