%   ORIGINAL: HAS_REAL_MEASURE_DISJOINT_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HAS_MEASURE_DISJOINT_UNION: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ DISJOINT s1 s2 ==> s1 UNION s2 has_measure m1 + m2
% Assm: HAS_REAL_MEASURE_HAS_MEASURE: !s m. s has_real_measure m <=> IMAGE lift s has_measure m
% Assm: IMAGE_UNION: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !s1 s2 m1 m2. s1 has_real_measure m1 /\ s2 has_real_measure m2 /\ DISJOINT s1 s2 ==> s1 UNION s2 has_real_measure m1 + m2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ DISJOINT s1 s2 ==> s1 UNION s2 has_measure m1 + m2
% Assm: !s m. s has_real_measure m <=> IMAGE lift s has_measure m
% Assm: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !s1 s2 m1 m2. s1 has_real_measure m1 /\ s2 has_real_measure m2 /\ DISJOINT s1 s2 ==> s1 UNION s2 has_real_measure m1 + m2
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq519820, type, q519820 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq519820, type, cartrealq519820 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(chasuu_measure0, type, hasu_measure0 : ((cartrealn1 > $o) > real > $o)).
thf(cdisjoint0, type, disjoint0 : ((cartrealq519820 > $o) > (cartrealq519820 > $o) > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealq519820 > $o) > real > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdisjoint, type, disjoint : ((real > $o) > (real > $o) > $o)).
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cimage1, type, image1 : ((a > b) > (a > $o) > b > $o)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cunion0, type, union0 : ((cartrealq519820 > $o) > (cartrealq519820 > $o) > cartrealq519820 > $o)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(cempty, type, empty : (real > $o)).
thf(cempty0, type, empty0 : (a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(real > $o),T:(real > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHASu_MEASUREu_DISJOINTu_UNION, axiom, ![S1:(cartrealq519820 > $o),S2:(cartrealq519820 > $o),M1:real,M2:real]:(((hasu_measure @ S1 @ M1) & (hasu_measure @ S2 @ M2) & (disjoint0 @ S1 @ S2)) => (hasu_measure @ (union0 @ S1 @ S2) @ (realu_add @ M1 @ M2)))).
thf(aHASu_REALu_MEASUREu_HASu_MEASURE, axiom, ![S:(real > $o),M:real]:((hasu_realu_measure @ S @ M) <=> (hasu_measure0 @ (image @ lift @ S) @ M))).
thf(aIMAGEu_UNION, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:((image0 @ F @ (union @ S @ T)) = (union @ (image0 @ F @ S) @ (image0 @ F @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in0 @ Y @ (image1 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S1:(real > $o),S2:(real > $o),M1:real,M2:real]:(((hasu_realu_measure @ S1 @ M1) & (hasu_realu_measure @ S2 @ M2) & (disjoint @ S1 @ S2)) => (hasu_realu_measure @ (union @ S1 @ S2) @ (realu_add @ M1 @ M2)))).
