%   ORIGINAL: REAL_MEASURE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_MEASURE_MEASURE: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: HAS_REAL_MEASURE_SUBSET: !s1 s2 m1 m2. s1 has_real_measure m1 /\ s2 has_real_measure m2 /\ s1 SUBSET s2 ==> m1 <= m2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. real_measurable s /\ real_measurable t /\ s SUBSET t ==> real_measure s <= real_measure t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: !s1 s2 m1 m2. s1 has_real_measure m1 /\ s2 has_real_measure m2 /\ s1 SUBSET s2 ==> m1 <= m2
% Assm: ~F <=> T
% Assm: T
% Goal: !s t. real_measurable s /\ real_measurable t /\ s SUBSET t ==> real_measure s <= real_measure t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(crealuu_measure, type, realu_measure : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_MEASUREu_MEASURE, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> (hasu_realu_measure @ S @ (realu_measure @ S)))).
thf(aHASu_REALu_MEASUREu_SUBSET, axiom, ![S1:(real > $o),S2:(real > $o),M1:real,M2:real]:(((hasu_realu_measure @ S1 @ M1) & (hasu_realu_measure @ S2 @ M2) & (subset @ S1 @ S2)) => (realu_le @ M1 @ M2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:(((realu_measurable @ S) & (realu_measurable @ T) & (subset @ S @ T)) => (realu_le @ (realu_measure @ S) @ (realu_measure @ T)))).
