%   ORIGINAL: REAL_MEASURABLE_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IMAGE_UNIONS: !f s. IMAGE f (UNIONS s) = UNIONS (IMAGE (IMAGE f) s)
% Assm: MEASURABLE_UNIONS: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measurable (UNIONS f)
% Assm: REAL_MEASURABLE_MEASURABLE: !s. real_measurable s <=> measurable (IMAGE lift s)
% Assm: TRUTH: T
% Goal: !f. FINITE f /\ (!s. s IN f ==> real_measurable s) ==> real_measurable (UNIONS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f s. IMAGE f (UNIONS s) = UNIONS (IMAGE (IMAGE f) s)
% Assm: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measurable (UNIONS f)
% Assm: !s. real_measurable s <=> measurable (IMAGE lift s)
% Assm: T
% Goal: !f. FINITE f /\ (!s. s IN f ==> real_measurable s) ==> real_measurable (UNIONS f)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cunions0, type, unions0 : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin0, type, in0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cunions, type, unions : (((real > $o) > $o) > real > $o)).
thf(cin, type, in : ((real > $o) > ((real > $o) > $o) > $o)).
thf(cimage1, type, image1 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(cimage, type, image : (((real > $o) > real > $o) > ((real > $o) > $o) > (real > $o) > $o)).
thf(cmeasurable0, type, measurable0 : ((cartrealn1 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cfinite0, type, finite0 : (((cartrealn > $o) > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(cfinite, type, finite : (((real > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_IMAGE, axiom, ![F:((real > $o) > real > $o),S:((real > $o) > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:((real > $o) > $o),F:((real > $o) > real > $o),S:((real > $o) > $o)]:(![Y:(real > $o)]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:(real > $o)]:((in @ X @ S) => (P @ (F @ X))))).
thf(aIMAGEu_UNIONS, axiom, ![F:(real > real),S:((real > $o) > $o)]:((image0 @ F @ (unions @ S)) = (unions @ (image @ (image0 @ F) @ S)))).
thf(aMEASURABLEu_UNIONS, axiom, ![F:((cartrealn > $o) > $o)]:(((finite0 @ F) & ![S:(cartrealn > $o)]:((in0 @ S @ F) => (measurable @ S))) => (measurable @ (unions0 @ F)))).
thf(aREALu_MEASURABLEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> (measurable0 @ (image1 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((real > $o) > $o)]:(((finite @ F) & ![S:(real > $o)]:((in @ S @ F) => (realu_measurable @ S))) => (realu_measurable @ (unions @ F)))).
