%   ORIGINAL: REAL_MEASURABLE_DIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_DIFF_INJ: !f s t. (!x y. f x = f y ==> x = y) ==> IMAGE f (s DIFF t) = IMAGE f s DIFF IMAGE f t
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: MEASURABLE_DIFF: !s t. measurable s /\ measurable t ==> measurable (s DIFF t)
% Assm: REAL_MEASURABLE_MEASURABLE: !s. real_measurable s <=> measurable (IMAGE lift s)
% Assm: TRUTH: T
% Goal: !s t. real_measurable s /\ real_measurable t ==> real_measurable (s DIFF t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t. (!x y. f x = f y ==> x = y) ==> IMAGE f (s DIFF t) = IMAGE f s DIFF IMAGE f t
% Assm: !x y. lift x = lift y <=> x = y
% Assm: !s t. measurable s /\ measurable t ==> measurable (s DIFF t)
% Assm: !s. real_measurable s <=> measurable (IMAGE lift s)
% Assm: T
% Goal: !s t. real_measurable s /\ real_measurable t ==> real_measurable (s DIFF t)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(cmeasurable0, type, measurable0 : ((cartrealn1 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_DIFFu_INJ, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:(![X:real,Y:real]:(((F @ X) = (F @ Y)) => (X = Y)) => ((image @ F @ (diff @ S @ T)) = (diff @ (image @ F @ S) @ (image @ F @ T))))).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aMEASURABLEu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (diff0 @ S @ T)))).
thf(aREALu_MEASURABLEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> (measurable0 @ (image0 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:(((realu_measurable @ S) & (realu_measurable @ T)) => (realu_measurable @ (diff @ S @ T)))).
