%   ORIGINAL: REAL_MEASURE_DIFF_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_MEASURE_DIFF_SUBSET: !s1 s2 m1 m2. s1 has_real_measure m1 /\ s2 has_real_measure m2 /\ s2 SUBSET s1 ==> s1 DIFF s2 has_real_measure m1 - m2
% Assm: HAS_REAL_MEASURE_MEASURE: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: REAL_MEASURE_UNIQUE: !s m. s has_real_measure m ==> real_measure s = m
% Assm: TRUTH: T
% Goal: !s t. real_measurable s /\ real_measurable t /\ t SUBSET s ==> real_measure (s DIFF t) = real_measure s - real_measure t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s1 s2 m1 m2. s1 has_real_measure m1 /\ s2 has_real_measure m2 /\ s2 SUBSET s1 ==> s1 DIFF s2 has_real_measure m1 - m2
% Assm: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: !s m. s has_real_measure m ==> real_measure s = m
% Assm: T
% Goal: !s t. real_measurable s /\ real_measurable t /\ t SUBSET s ==> real_measure (s DIFF t) = real_measure s - real_measure t
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_measure, type, realu_measure : ((real > $o) > real)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_MEASUREu_DIFFu_SUBSET, axiom, ![S1:(real > $o),S2:(real > $o),M1:real,M2:real]:(((hasu_realu_measure @ S1 @ M1) & (hasu_realu_measure @ S2 @ M2) & (subset @ S2 @ S1)) => (hasu_realu_measure @ (diff @ S1 @ S2) @ (realu_sub @ M1 @ M2)))).
thf(aHASu_REALu_MEASUREu_MEASURE, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> (hasu_realu_measure @ S @ (realu_measure @ S)))).
thf(aREALu_MEASUREu_UNIQUE, axiom, ![S:(real > $o),M:real]:((hasu_realu_measure @ S @ M) => ((realu_measure @ S) = M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:(((realu_measurable @ S) & (realu_measurable @ T) & (subset @ T @ S)) => ((realu_measure @ (diff @ S @ T)) = (realu_sub @ (realu_measure @ S) @ (realu_measure @ T))))).
