%   ORIGINAL: HAS_REAL_MEASURE_REAL_NEGLIGIBLE_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_NEGLIGIBLE_UNION: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ negligible (s1 INTER s2) ==> s1 UNION s2 has_measure m1 + m2
% Assm: HAS_REAL_MEASURE_HAS_MEASURE: !s m. s has_real_measure m <=> IMAGE lift s has_measure m
% Assm: IMAGE_INTER_INJ: !f s t. (!x y. f x = f y ==> x = y) ==> IMAGE f (s INTER t) = IMAGE f s INTER IMAGE f t
% Assm: IMAGE_UNION: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: TRUTH: T
% Assm: real_negligible: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !s1 s2 m1 m2. s1 has_real_measure m1 /\ s2 has_real_measure m2 /\ real_negligible (s1 INTER s2) ==> s1 UNION s2 has_real_measure m1 + m2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s1 s2 m1 m2. s1 has_measure m1 /\ s2 has_measure m2 /\ negligible (s1 INTER s2) ==> s1 UNION s2 has_measure m1 + m2
% Assm: !s m. s has_real_measure m <=> IMAGE lift s has_measure m
% Assm: !f s t. (!x y. f x = f y ==> x = y) ==> IMAGE f (s INTER t) = IMAGE f s INTER IMAGE f t
% Assm: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: !x y. lift x = lift y <=> x = y
% Assm: T
% Assm: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !s1 s2 m1 m2. s1 has_real_measure m1 /\ s2 has_real_measure m2 /\ real_negligible (s1 INTER s2) ==> s1 UNION s2 has_real_measure m1 + m2
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(chasuu_measure0, type, hasu_measure0 : ((cartrealn1 > $o) > real > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cunion0, type, union0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter0, type, inter0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(cnegligible0, type, negligible0 : ((cartrealn1 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_NEGLIGIBLEu_UNION, axiom, ![S1:(cartrealn > $o),S2:(cartrealn > $o),M1:real,M2:real]:(((hasu_measure @ S1 @ M1) & (hasu_measure @ S2 @ M2) & (negligible @ (inter0 @ S1 @ S2))) => (hasu_measure @ (union0 @ S1 @ S2) @ (realu_add @ M1 @ M2)))).
thf(aHASu_REALu_MEASUREu_HASu_MEASURE, axiom, ![S:(real > $o),M:real]:((hasu_realu_measure @ S @ M) <=> (hasu_measure0 @ (image @ lift @ S) @ M))).
thf(aIMAGEu_INTERu_INJ, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:(![X:real,Y:real]:(((F @ X) = (F @ Y)) => (X = Y)) => ((image0 @ F @ (inter @ S @ T)) = (inter @ (image0 @ F @ S) @ (image0 @ F @ T))))).
thf(aIMAGEu_UNION, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:((image0 @ F @ (union @ S @ T)) = (union @ (image0 @ F @ S) @ (image0 @ F @ T)))).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aTRUTH, axiom, $true).
thf(arealu_negligible, axiom, ![S:(real > $o)]:((realu_negligible @ S) <=> (negligible0 @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![S1:(real > $o),S2:(real > $o),M1:real,M2:real]:(((hasu_realu_measure @ S1 @ M1) & (hasu_realu_measure @ S2 @ M2) & (realu_negligible @ (inter @ S1 @ S2))) => (hasu_realu_measure @ (union @ S1 @ S2) @ (realu_add @ M1 @ M2)))).
