%   ORIGINAL: HAS_REAL_MEASURE_REAL_NEGLIGIBLE_SYMDIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HAS_REAL_MEASURE_ALMOST: !s s' t m. s has_real_measure m /\ real_negligible t /\ s UNION t = s' UNION t ==> s' has_real_measure m
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t m. s has_real_measure m /\ real_negligible (s DIFF t UNION t DIFF s) ==> t has_real_measure m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s s' t m. s has_real_measure m /\ real_negligible t /\ s UNION t = s' UNION t ==> s' has_real_measure m
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: T
% Goal: !s t m. s has_real_measure m /\ real_negligible (s DIFF t UNION t DIFF s) ==> t has_real_measure m
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHASu_REALu_MEASUREu_ALMOST, axiom, ![S:(real > $o),SI_:(real > $o),T:(real > $o),M:real]:(((hasu_realu_measure @ S @ M) & (realu_negligible @ T) & ((union @ S @ T) = (union @ SI_ @ T))) => (hasu_realu_measure @ SI_ @ M))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o),M:real]:(((hasu_realu_measure @ S @ M) & (realu_negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S)))) => (hasu_realu_measure @ T @ M))).
