%   ORIGINAL: REAL_MEASURE_REAL_NEGLIGIBLE_SYMDIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_MEASURE_MEASURE: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: HAS_REAL_MEASURE_REAL_NEGLIGIBLE_SYMDIFF: !s t m. s has_real_measure m /\ real_negligible (s DIFF t UNION t DIFF s) ==> t has_real_measure m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MEASURE_UNIQUE: !s m. s has_real_measure m ==> real_measure s = m
% Assm: TRUTH: T
% Assm: UNION_COMM: !s t. s UNION t = t UNION s
% Goal: !s t. (real_measurable s \/ real_measurable t) /\ real_negligible (s DIFF t UNION t DIFF s) ==> real_measure s = real_measure t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: !s t m. s has_real_measure m /\ real_negligible (s DIFF t UNION t DIFF s) ==> t has_real_measure m
% Assm: ~F <=> T
% Assm: !s m. s has_real_measure m ==> real_measure s = m
% Assm: T
% Assm: !s t. s UNION t = t UNION s
% Goal: !s t. (real_measurable s \/ real_measurable t) /\ real_negligible (s DIFF t UNION t DIFF s) ==> real_measure s = real_measure t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(crealuu_measure, type, realu_measure : ((real > $o) > real)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_MEASUREu_MEASURE, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> (hasu_realu_measure @ S @ (realu_measure @ S)))).
thf(aHASu_REALu_MEASUREu_REALu_NEGLIGIBLEu_SYMDIFF, axiom, ![S:(real > $o),T:(real > $o),M:real]:(((hasu_realu_measure @ S @ M) & (realu_negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S)))) => (hasu_realu_measure @ T @ M))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MEASUREu_UNIQUE, axiom, ![S:(real > $o),M:real]:((hasu_realu_measure @ S @ M) => ((realu_measure @ S) = M))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_COMM, axiom, ![S:(real > $o),T:(real > $o)]:((union @ S @ T) = (union @ T @ S))).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:((((realu_measurable @ S) | (realu_measurable @ T)) & (realu_negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S)))) => ((realu_measure @ S) = (realu_measure @ T)))).
