%   ORIGINAL: HAS_REAL_MEASURE_DISJOINT_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: HAS_REAL_MEASURE_REAL_NEGLIGIBLE_UNIONS: !m f. FINITE f /\ (!s. s IN f ==> s has_real_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> real_negligible (s INTER t)) ==> UNIONS f has_real_measure sum f m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NEGLIGIBLE_EMPTY: real_negligible {}
% Assm: TRUTH: T
% Goal: !m f. FINITE f /\ (!s. s IN f ==> s has_real_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> DISJOINT s t) ==> UNIONS f has_real_measure sum f m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !m f. FINITE f /\ (!s. s IN f ==> s has_real_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> real_negligible (s INTER t)) ==> UNIONS f has_real_measure sum f m
% Assm: ~F <=> T
% Assm: real_negligible {}
% Assm: T
% Goal: !m f. FINITE f /\ (!s. s IN f ==> s has_real_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> DISJOINT s t) ==> UNIONS f has_real_measure sum f m
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : (((real > $o) > $o) > ((real > $o) > real) > real)).
thf(cunions, type, unions : (((real > $o) > $o) > real > $o)).
thf(cdisjoint, type, disjoint : ((real > $o) > (real > $o) > $o)).
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(cin, type, in : ((real > $o) > ((real > $o) > $o) > $o)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
thf(cfinite, type, finite : (((real > $o) > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(real > $o),T:(real > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aHASu_REALu_MEASUREu_REALu_NEGLIGIBLEu_UNIONS, axiom, ![M:((real > $o) > real),F:((real > $o) > $o)]:(((finite @ F) & ![S:(real > $o)]:((in @ S @ F) => (hasu_realu_measure @ S @ (M @ S))) & ![S:(real > $o),T:(real > $o)]:(((in @ S @ F) & (in @ T @ F) & ~ ((S = T))) => (realu_negligible @ (inter @ S @ T)))) => (hasu_realu_measure @ (unions @ F) @ (sum @ F @ M)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NEGLIGIBLEu_EMPTY, axiom, (realu_negligible @ empty)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:((real > $o) > real),F:((real > $o) > $o)]:(((finite @ F) & ![S:(real > $o)]:((in @ S @ F) => (hasu_realu_measure @ S @ (M @ S))) & ![S:(real > $o),T:(real > $o)]:(((in @ S @ F) & (in @ T @ F) & ~ ((S = T))) => (disjoint @ S @ T))) => (hasu_realu_measure @ (unions @ F) @ (sum @ F @ M)))).
