%   ORIGINAL: REAL_MEASURE_DISJOINT_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HAS_REAL_MEASURE_DISJOINT_UNIONS: !m f. FINITE f /\ (!s. s IN f ==> s has_real_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> DISJOINT s t) ==> UNIONS f has_real_measure sum f m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MEASURE_UNIQUE: !s m. s has_real_measure m ==> real_measure s = m
% Assm: TRUTH: T
% Goal: !m f. FINITE f /\ (!s. s IN f ==> s has_real_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> DISJOINT s t) ==> real_measure (UNIONS f) = sum f m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m f. FINITE f /\ (!s. s IN f ==> s has_real_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> DISJOINT s t) ==> UNIONS f has_real_measure sum f m
% Assm: ~F <=> T
% Assm: !s m. s has_real_measure m ==> real_measure s = m
% Assm: T
% Goal: !m f. FINITE f /\ (!s. s IN f ==> s has_real_measure m s) /\ (!s t. s IN f /\ t IN f /\ ~(s = t) ==> DISJOINT s t) ==> real_measure (UNIONS f) = sum f m
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : (((real > $o) > $o) > ((real > $o) > real) > real)).
thf(cunions, type, unions : (((real > $o) > $o) > real > $o)).
thf(crealuu_measure, type, realu_measure : ((real > $o) > real)).
thf(cdisjoint, type, disjoint : ((real > $o) > (real > $o) > $o)).
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(cin, type, in : ((real > $o) > ((real > $o) > $o) > $o)).
thf(cfinite, type, finite : (((real > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHASu_REALu_MEASUREu_DISJOINTu_UNIONS, axiom, ![M:((real > $o) > real),F:((real > $o) > $o)]:(((finite @ F) & ![S:(real > $o)]:((in @ S @ F) => (hasu_realu_measure @ S @ (M @ S))) & ![S:(real > $o),T:(real > $o)]:(((in @ S @ F) & (in @ T @ F) & ~ ((S = T))) => (disjoint @ S @ T))) => (hasu_realu_measure @ (unions @ F) @ (sum @ F @ M)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MEASUREu_UNIQUE, axiom, ![S:(real > $o),M:real]:((hasu_realu_measure @ S @ M) => ((realu_measure @ S) = M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:((real > $o) > real),F:((real > $o) > $o)]:(((finite @ F) & ![S:(real > $o)]:((in @ S @ F) => (hasu_realu_measure @ S @ (M @ S))) & ![S:(real > $o),T:(real > $o)]:(((in @ S @ F) & (in @ T @ F) & ~ ((S = T))) => (disjoint @ S @ T))) => ((realu_measure @ (unions @ F)) = (sum @ F @ M)))).
