%   ORIGINAL: REAL_MEASURE_UNIONS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LADD: !x y z. x + y <= x + z <=> y <= z
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_MEASURABLE_UNIONS: !f. FINITE f /\ (!s. s IN f ==> real_measurable s) ==> real_measurable (UNIONS f)
% Assm: REAL_MEASURE_EMPTY: real_measure {} = &0
% Assm: REAL_MEASURE_UNION_LE: !s t. real_measurable s /\ real_measurable t ==> real_measure (s UNION t) <= real_measure s + real_measure t
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f /\ (!s. s IN f ==> real_measurable s) ==> real_measure (UNIONS f) <= sum f (\s. real_measure s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x y z. x + y <= x + z <=> y <= z
% Assm: !x. x <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !f. FINITE f /\ (!s. s IN f ==> real_measurable s) ==> real_measurable (UNIONS f)
% Assm: real_measure {} = &0
% Assm: !s t. real_measurable s /\ real_measurable t ==> real_measure (s UNION t) <= real_measure s + real_measure t
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f /\ (!s. s IN f ==> real_measurable s) ==> real_measure (UNIONS f) <= sum f (\s. real_measure s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : (((real > $o) > $o) > ((real > $o) > real) > real)).
thf(cunions, type, unions : (((real > $o) > $o) > real > $o)).
thf(crealuu_measure, type, realu_measure : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : ((real > $o) > ((real > $o) > $o) > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : ((real > $o) > ((real > $o) > $o) > (real > $o) > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cempty, type, empty : ((real > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(cfinite, type, finite : (((real > $o) > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((real > $o) > $o) > $o)]:(((P @ empty) & ![X:(real > $o),S:((real > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((real > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:(real > $o),Y:(real > $o),S:((real > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LADD, axiom, ![X:real,Y:real,Z:real]:((realu_le @ (realu_add @ X @ Y) @ (realu_add @ X @ Z)) <=> (realu_le @ Y @ Z))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_MEASURABLEu_UNIONS, axiom, ![F:((real > $o) > $o)]:(((finite @ F) & ![S:(real > $o)]:((in @ S @ F) => (realu_measurable @ S))) => (realu_measurable @ (unions @ F)))).
thf(aREALu_MEASUREu_EMPTY, axiom, ((realu_measure @ empty0) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_MEASUREu_UNIONu_LE, axiom, ![S:(real > $o),T:(real > $o)]:(((realu_measurable @ S) & (realu_measurable @ T)) => (realu_le @ (realu_measure @ (union @ S @ T)) @ (realu_add @ (realu_measure @ S) @ (realu_measure @ T))))).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:((real > $o) > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:(real > $o),F:((real > $o) > real),S:((real > $o) > $o)]:((finite @ S) => ((sum @ (insert @ X @ S) @ F) = (cond0 @ (in @ X @ S) @ (sum @ S @ F) @ (realu_add @ (F @ X) @ (sum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty) = empty0)).
thf(aUNIONSu_INSERT, axiom, ![S:(real > $o),U:((real > $o) > $o)]:((unions @ (insert @ S @ U)) = (union @ S @ (unions @ U)))).
thf(conjecture, conjecture, ![F:((real > $o) > $o)]:(((finite @ F) & ![S:(real > $o)]:((in @ S @ F) => (realu_measurable @ S))) => (realu_le @ (realu_measure @ (unions @ F)) @ (sum @ F @ ^[S:(real > $o)]:(realu_measure @ S))))).
