%   ORIGINAL: REAL_MEASURABLE_SCALING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_REAL_MEASURE_SCALING: !s m y. s has_real_measure y ==> IMAGE (\x. m * x) s has_real_measure abs m * y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_measurable: !s. real_measurable s <=> (?m. s has_real_measure m)
% Goal: !s c. real_measurable s ==> real_measurable (IMAGE (\x. c * x) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !s m y. s has_real_measure y ==> IMAGE (\x. m * x) s has_real_measure abs m * y
% Assm: ~F <=> T
% Assm: T
% Assm: !s. real_measurable s <=> (?m. s has_real_measure m)
% Goal: !s c. real_measurable s ==> real_measurable (IMAGE (\x. c * x) s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_REALu_MEASUREu_SCALING, axiom, ![S:(real > $o),M:real,Y:real]:((hasu_realu_measure @ S @ Y) => (hasu_realu_measure @ (image @ ^[X:real]:(realu_mul @ M @ X) @ S) @ (realu_mul @ (realu_abs @ M) @ Y)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_measurable, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> ?[M:real]:(hasu_realu_measure @ S @ M))).
thf(conjecture, conjecture, ![S:(real > $o),C:real]:((realu_measurable @ S) => (realu_measurable @ (image @ ^[X:real]:(realu_mul @ C @ X) @ S)))).
