%   ORIGINAL: REAL_MEASURABLE_SCALING_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MEASURABLE_SCALING: !s c. real_measurable s ==> real_measurable (IMAGE (\x. c * x) s)
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !s c. ~(c = &0) ==> (real_measurable (IMAGE (\x. c * x) s) <=> real_measurable s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: !s c. real_measurable s ==> real_measurable (IMAGE (\x. c * x) s)
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !s c. ~(c = &0) ==> (real_measurable (IMAGE (\x. c * x) s) <=> real_measurable s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGEu_o, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image @ G @ S)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:real,S:(real > $o),F:(real > real)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:real]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MEASURABLEu_SCALING, axiom, ![S:(real > $o),C:real]:((realu_measurable @ S) => (realu_measurable @ (image @ ^[X:real]:(realu_mul @ C @ X) @ S)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(real > $o),C:real]:(~ ((C = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_measurable @ (image @ ^[X:real]:(realu_mul @ C @ X) @ S)) <=> (realu_measurable @ S)))).
