%   ORIGINAL: REAL_MEASURE_SCALING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_REAL_MEASURE_MEASURE: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: HAS_REAL_MEASURE_SCALING: !s m y. s has_real_measure y ==> IMAGE (\x. m * x) s has_real_measure abs m * y
% Assm: REAL_MEASURE_UNIQUE: !s m. s has_real_measure m ==> real_measure s = m
% Assm: TRUTH: T
% Goal: !s. real_measurable s ==> real_measure (IMAGE (\x. c * x) s) = abs c * real_measure s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. real_measurable s <=> s has_real_measure real_measure s
% Assm: !s m y. s has_real_measure y ==> IMAGE (\x. m * x) s has_real_measure abs m * y
% Assm: !s m. s has_real_measure m ==> real_measure s = m
% Assm: T
% Goal: !c s. real_measurable s ==> real_measure (IMAGE (\x. c * x) s) = abs c * real_measure s
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_measure, type, realu_measure : ((real > $o) > real)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_REALu_MEASUREu_MEASURE, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> (hasu_realu_measure @ S @ (realu_measure @ S)))).
thf(aHASu_REALu_MEASUREu_SCALING, axiom, ![S:(real > $o),M:real,Y:real]:((hasu_realu_measure @ S @ Y) => (hasu_realu_measure @ (image @ ^[X:real]:(realu_mul @ M @ X) @ S) @ (realu_mul @ (realu_abs @ M) @ Y)))).
thf(aREALu_MEASUREu_UNIQUE, axiom, ![S:(real > $o),M:real]:((hasu_realu_measure @ S @ M) => ((realu_measure @ S) = M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:real,S:(real > $o)]:((realu_measurable @ S) => ((realu_measure @ (image @ ^[X:real]:(realu_mul @ C @ X) @ S)) = (realu_mul @ (realu_abs @ C) @ (realu_measure @ S))))).
