%   ORIGINAL: REAL_MEASURABLE_COUNTABLE_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LE_0: !n. 0 <= n
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_MEASURABLE_COUNTABLE_UNIONS_STRONG: !s B. (!n. real_measurable (s n)) /\ (!n. real_measure (UNIONS {s k | k <= n}) <= B) ==> real_measurable (UNIONS {s n | n IN (:num)})
% Assm: REAL_MEASURE_UNIONS_LE_IMAGE: !f s. FINITE f /\ (!a. a IN f ==> real_measurable (s a)) ==> real_measure (UNIONS (IMAGE s f)) <= sum f (\a. real_measure (s a))
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Goal: !s B. (!n. real_measurable (s n)) /\ (!n. sum (0..n) (\k. real_measure (s k)) <= B) ==> real_measurable (UNIONS {s n | n IN (:num)})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. FINITE (m..n)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !n. 0 <= n
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !s B. (!n. real_measurable (s n)) /\ (!n. real_measure (UNIONS {s k | k <= n}) <= B) ==> real_measurable (UNIONS {s n | n IN (:num)})
% Assm: !f s. FINITE f /\ (!a. a IN f ==> real_measurable (s a)) ==> real_measure (UNIONS (IMAGE s f)) <= sum f (\a. real_measure (s a))
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Goal: !s B. (!n. real_measurable (s n)) /\ (!n. sum (0..n) (\k. real_measure (s k)) <= B) ==> real_measurable (UNIONS {s n | n IN (:num)})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((real > $o) > $o) > (real > $o) > $o)).
thf(cunions, type, unions : (((real > $o) > $o) > real > $o)).
thf(crealuu_measure, type, realu_measure : ((real > $o) > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cimage, type, image : ((num > real > $o) > (num > $o) > (real > $o) > $o)).
thf(csetspec, type, setspec : ((real > $o) > $o > (real > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_MEASURABLEu_COUNTABLEu_UNIONSu_STRONG, axiom, ![S:(num > real > $o),B:real]:((![N:num]:(realu_measurable @ (S @ N)) & ![N:num]:(realu_le @ (realu_measure @ (unions @ (gspec @ ^[GENR_PVARR_2423:(real > $o)]:?[K:num]:(setspec @ GENR_PVARR_2423 @ (l_a_ @ K @ N) @ (S @ K))))) @ B)) => (realu_measurable @ (unions @ (gspec @ ^[GENR_PVARR_2424:(real > $o)]:?[N:num]:(setspec @ GENR_PVARR_2424 @ (in @ N @ univ) @ (S @ N))))))).
thf(aREALu_MEASUREu_UNIONSu_LEu_IMAGE, axiom, ![F:(num > $o),S:(num > real > $o)]:(((finite @ F) & ![A:num]:((in @ A @ F) => (realu_measurable @ (S @ A)))) => (realu_le @ (realu_measure @ (unions @ (image @ S @ F))) @ (sum @ F @ ^[A:num]:(realu_measure @ (S @ A)))))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(num > real > $o),S:(num > $o)]:((gspec @ ^[GENR_PVARR_11:(real > $o)]:?[X:num]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > real > $o),B:real]:((![N:num]:(realu_measurable @ (S @ N)) & ![N:num]:(realu_le @ (sum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[K:num]:(realu_measure @ (S @ K))) @ B)) => (realu_measurable @ (unions @ (gspec @ ^[GENR_PVARR_2430:(real > $o)]:?[N:num]:(setspec @ GENR_PVARR_2430 @ (in @ N @ univ) @ (S @ N))))))).
