%   ORIGINAL: REAL_MEASURABLE_COUNTABLE_UNIONS_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_UNIONS: !f s. IMAGE f (UNIONS s) = UNIONS (IMAGE (IMAGE f) s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: MEASURABLE_COUNTABLE_UNIONS_BOUNDED: !s. (!n. measurable (s n)) /\ bounded (UNIONS {s n | n IN (:num)}) ==> measurable (UNIONS {s n | n IN (:num)})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_BOUNDED: real_bounded s <=> bounded (IMAGE lift s)
% Assm: REAL_MEASURABLE_MEASURABLE: !s. real_measurable s <=> measurable (IMAGE lift s)
% Assm: TRUTH: T
% Goal: !s. (!n. real_measurable (s n)) /\ real_bounded (UNIONS {s n | n IN (:num)}) ==> real_measurable (UNIONS {s n | n IN (:num)})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. IMAGE f (UNIONS s) = UNIONS (IMAGE (IMAGE f) s)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s. (!n. measurable (s n)) /\ bounded (UNIONS {s n | n IN (:num)}) ==> measurable (UNIONS {s n | n IN (:num)})
% Assm: ~F <=> T
% Assm: !s. real_bounded s <=> bounded (IMAGE lift s)
% Assm: !s. real_measurable s <=> measurable (IMAGE lift s)
% Assm: T
% Goal: !s. (!n. real_measurable (s n)) /\ real_bounded (UNIONS {s n | n IN (:num)}) ==> real_measurable (UNIONS {s n | n IN (:num)})
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cgspec1, type, gspec1 : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions0, type, unions0 : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((real > $o) > $o) > (real > $o) > $o)).
thf(cunions, type, unions : (((real > $o) > $o) > real > $o)).
thf(cimage2, type, image2 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(csetspec1, type, setspec1 : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cimage1, type, image1 : ((num > num) > (num > $o) > num > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(cimage0, type, image0 : (((real > $o) > real > $o) > ((real > $o) > $o) > (real > $o) > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(csetspec, type, setspec : ((real > $o) > $o > (real > $o) > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cmeasurable0, type, measurable0 : ((cartrealn1 > $o) > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn1 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(crealuu_bounded, type, realu_bounded : ((real > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(num > $o),T:(num > $o)]:((S = T) <=> ![X:num]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGEu_UNIONS, axiom, ![F:(real > real),S:((real > $o) > $o)]:((image @ F @ (unions @ S)) = (unions @ (image0 @ (image @ F) @ S)))).
thf(aIN, axiom, ![P:(num > $o),X:num]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > num > $o) > $o),X:num]:((in @ X @ (gspec0 @ ^[V:num]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:num]:(P0 & (X = T))))).
thf(aINu_IMAGE, axiom, ![Y:num,S:(num > $o),F:(num > num)]:((in @ Y @ (image1 @ F @ S)) <=> ?[X:num]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aMEASURABLEu_COUNTABLEu_UNIONSu_BOUNDED, axiom, ![S:(num > cartrealn > $o)]:((![N:num]:(measurable @ (S @ N)) & (bounded @ (unions0 @ (gspec1 @ ^[GENR_PVARR_2071:(cartrealn > $o)]:?[N:num]:(setspec1 @ GENR_PVARR_2071 @ (in @ N @ univ) @ (S @ N)))))) => (measurable @ (unions0 @ (gspec1 @ ^[GENR_PVARR_2072:(cartrealn > $o)]:?[N:num]:(setspec1 @ GENR_PVARR_2072 @ (in @ N @ univ) @ (S @ N))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_BOUNDED, axiom, ![S:(real > $o)]:((realu_bounded @ S) <=> (bounded0 @ (image2 @ lift @ S)))).
thf(aREALu_MEASURABLEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> (measurable0 @ (image2 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > real > $o)]:((![N:num]:(realu_measurable @ (S @ N)) & (realu_bounded @ (unions @ (gspec @ ^[GENR_PVARR_2433:(real > $o)]:?[N:num]:(setspec @ GENR_PVARR_2433 @ (in @ N @ univ) @ (S @ N)))))) => (realu_measurable @ (unions @ (gspec @ ^[GENR_PVARR_2434:(real > $o)]:?[N:num]:(setspec @ GENR_PVARR_2434 @ (in @ N @ univ) @ (S @ N))))))).
