%   ORIGINAL: REAL_MEASURABLE_COUNTABLE_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FORALL_IN_UNIONS: !P s. (!x. x IN UNIONS s ==> P x) <=> (!t x. t IN s /\ x IN t ==> P x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: IN_NUMSEG_0: !m n. m IN 0..n <=> m <= n
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MEASURABLE_COUNTABLE_UNIONS_STRONG: !s B. (!n. real_measurable (s n)) /\ (!n. real_measure (UNIONS {s k | k <= n}) <= B) ==> real_measurable (UNIONS {s n | n IN (:num)})
% Assm: REAL_MEASURABLE_DIFF: !s t. real_measurable s /\ real_measurable t ==> real_measurable (s DIFF t)
% Assm: REAL_MEASURABLE_UNIONS: !f. FINITE f /\ (!s. s IN f ==> real_measurable s) ==> real_measurable (UNIONS f)
% Assm: REAL_MEASURE_SUBSET: !s t. real_measurable s /\ real_measurable t /\ s SUBSET t ==> real_measure s <= real_measure t
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. (!n. real_measurable (s n)) ==> real_measurable (INTERS {s n | n IN (:num)})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !m n. FINITE (m..n)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P s. (!x. x IN UNIONS s ==> P x) <=> (!t x. t IN s /\ x IN t ==> P x)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !m n. m IN 0..n <=> m <= n
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. x IN (:num)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s B. (!n. real_measurable (s n)) /\ (!n. real_measure (UNIONS {s k | k <= n}) <= B) ==> real_measurable (UNIONS {s n | n IN (:num)})
% Assm: !s t. real_measurable s /\ real_measurable t ==> real_measurable (s DIFF t)
% Assm: !f. FINITE f /\ (!s. s IN f ==> real_measurable s) ==> real_measurable (UNIONS f)
% Assm: !s t. real_measurable s /\ real_measurable t /\ s SUBSET t ==> real_measure s <= real_measure t
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. (!n. real_measurable (s n)) ==> real_measurable (INTERS {s n | n IN (:num)})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((num > $o) > (num > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(cin1, type, in1 : ((real > $o) > ((real > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((real > $o) > $o) > real > $o)).
thf(crealuu_measure, type, realu_measure : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cinters0, type, inters0 : (((num > $o) > $o) > num > $o)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(cin0, type, in0 : ((num > $o) > ((num > $o) > $o) > $o)).
thf(cunions, type, unions : (((num > $o) > $o) > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((real > $o) > $o) > (real > $o) > $o)).
thf(cinters, type, inters : (((real > $o) > $o) > real > $o)).
thf(cimage1, type, image1 : ((num > real > $o) > (num > $o) > (real > $o) > $o)).
thf(cdiff0, type, diff0 : ((real > $o) > (real > $o) > real > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(cdiff, type, diff : ((num > $o) > (num > $o) > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(cimage, type, image : ((num > num) > (num > $o) > num > $o)).
thf(csetspec, type, setspec : ((real > $o) > $o > (real > $o) > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cfinite2, type, finite2 : (((real > $o) > $o) > $o)).
thf(cfinite1, type, finite1 : ((num > $o) > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(num > $o),F:(num > num),S:(num > $o)]:(?[Y:num]:((in @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:num]:((in @ X @ S) & (P @ (F @ X))))).
thf(aEXTENSION, axiom, ![S:(num > $o),T:(num > $o)]:((S = T) <=> ![X:num]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(a > b),S:(a > $o)]:((finite @ S) => (finite0 @ (image0 @ F @ S)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite1 @ (o_o_ @ M @ N))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(num > $o),F:(num > num),S:(num > $o)]:(![Y:num]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:num]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_INu_UNIONS, axiom, ![P:(num > $o),S:((num > $o) > $o)]:(![X:num]:((in @ X @ (unions @ S)) => (P @ X)) <=> ![T:(num > $o),X:num]:(((in0 @ T @ S) & (in @ X @ T)) => (P @ X)))).
thf(aIN, axiom, ![P:(num > $o),X:num]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(num > $o),T:(num > $o),X:num]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > num > $o) > $o),X:num]:((in @ X @ (gspec0 @ ^[V:num]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:num]:(P0 & (X = T))))).
thf(aINu_INTERS, axiom, ![S:((num > $o) > $o),X:num]:((in @ X @ (inters0 @ S)) <=> ![T:(num > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aINu_NUMSEGu_0, axiom, ![M:num,N:num]:((in @ M @ (o_o_ @ (numeral @ u_0) @ N)) <=> (l_a_ @ M @ N))).
thf(aINu_UNIONS, axiom, ![S:((num > $o) > $o),X:num]:((in @ X @ (unions @ S)) <=> ?[T:(num > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:num]:(in @ X @ univ)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MEASURABLEu_COUNTABLEu_UNIONSu_STRONG, axiom, ![S:(num > real > $o),B:real]:((![N:num]:(realu_measurable @ (S @ N)) & ![N:num]:(realu_le @ (realu_measure @ (unions0 @ (gspec @ ^[GENR_PVARR_2423:(real > $o)]:?[K:num]:(setspec @ GENR_PVARR_2423 @ (l_a_ @ K @ N) @ (S @ K))))) @ B)) => (realu_measurable @ (unions0 @ (gspec @ ^[GENR_PVARR_2424:(real > $o)]:?[N:num]:(setspec @ GENR_PVARR_2424 @ (in @ N @ univ) @ (S @ N))))))).
thf(aREALu_MEASURABLEu_DIFF, axiom, ![S:(real > $o),T:(real > $o)]:(((realu_measurable @ S) & (realu_measurable @ T)) => (realu_measurable @ (diff0 @ S @ T)))).
thf(aREALu_MEASURABLEu_UNIONS, axiom, ![F:((real > $o) > $o)]:(((finite2 @ F) & ![S:(real > $o)]:((in1 @ S @ F) => (realu_measurable @ S))) => (realu_measurable @ (unions0 @ F)))).
thf(aREALu_MEASUREu_SUBSET, axiom, ![S:(real > $o),T:(real > $o)]:(((realu_measurable @ S) & (realu_measurable @ T) & (subset @ S @ T)) => (realu_le @ (realu_measure @ S) @ (realu_measure @ T)))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(num > real > $o),S:(num > $o)]:((gspec @ ^[GENR_PVARR_11:(real > $o)]:?[X:num]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image1 @ F @ S))).
thf(aSUBSET, axiom, ![S:(num > $o),T:(num > $o)]:((subset0 @ S @ T) <=> ![X:num]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > real > $o)]:(![N:num]:(realu_measurable @ (S @ N)) => (realu_measurable @ (inters @ (gspec @ ^[GENR_PVARR_2437:(real > $o)]:?[N:num]:(setspec @ GENR_PVARR_2437 @ (in @ N @ univ) @ (S @ N))))))).
