%   ORIGINAL: REAL_MEASURABLE_COMPACT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEASURABLE_COMPACT: !s. compact s ==> measurable s
% Assm: REAL_MEASURABLE_MEASURABLE: !s. real_measurable s <=> measurable (IMAGE lift s)
% Assm: TRUTH: T
% Assm: real_compact: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !s. real_compact s ==> real_measurable s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. compact s ==> measurable s
% Assm: !s. real_measurable s <=> measurable (IMAGE lift s)
% Assm: T
% Assm: !s. real_compact s <=> compact (IMAGE lift s)
% Goal: !s. real_compact s ==> real_measurable s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(ccompact0, type, compact0 : ((cartrealn1 > $o) > $o)).
thf(cmeasurable0, type, measurable0 : ((cartrealn1 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(crealuu_compact, type, realu_compact : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEASURABLEu_COMPACT, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (measurable @ S))).
thf(aREALu_MEASURABLEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> (measurable0 @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(arealu_compact, axiom, ![S:(real > $o)]:((realu_compact @ S) <=> (compact0 @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_compact @ S) => (realu_measurable @ S))).
