%   ORIGINAL: DROPOUT_GALOIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DROPOUT_PUSHIN: !k t x. dimindex (:M) + 1 = dimindex (:N) ==> dropout k (pushin k t x) = x
% Assm: PUSHIN_DROPOUT: !k x. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> pushin k (x$k) (dropout k x) = x
% Assm: TRUTH: T
% Goal: !k x y. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> (y = dropout k x <=> (?t. x = pushin k t y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !k t x. dimindex (:M) + 1 = dimindex (:N) ==> dropout k (pushin k t x) = x
% Assm: !k x. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> pushin k (x$k) (dropout k x) = x
% Assm: T
% Goal: !k x y. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> (y = dropout k x <=> (?t. x = pushin k t y))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cpushin, type, pushin : (num > real > cartrealm > cartrealn)).
thf(cdropout, type, dropout : (num > cartrealn > cartrealm)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized3, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDROPOUTu_PUSHIN, axiom, ![K:num,T:real,X:cartrealm]:(((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) => ((dropout @ K @ (pushin @ K @ T @ X)) = X))).
thf(aPUSHINu_DROPOUT, axiom, ![K:num,X:cartrealn]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0))) => ((pushin @ K @ (d_ @ X @ K) @ (dropout @ K @ X)) = X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![K:num,X:cartrealn,Y:cartrealm]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0))) => ((Y = (dropout @ K @ X)) <=> ?[T:real]:(X = (pushin @ K @ T @ Y))))).
