%   ORIGINAL: IMAGE_DROPOUT_CLOSED_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_INTERVAL_DROPOUT: !k a b. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ a$k <= b$k ==> interval [dropout k a,dropout k b] = IMAGE (dropout k) (interval [a,b])
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: INTERVAL_EQ_EMPTY_conjunct0: interval [a,b] = {} <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i < a$i)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: TRUTH: T
% Goal: !k a b. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> IMAGE (dropout k) (interval [a,b]) = (if a$k <= b$k then interval [dropout k a,dropout k b] else {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !k a b. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ a$k <= b$k ==> interval [dropout k a,dropout k b] = IMAGE (dropout k) (interval [a,b])
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: !b a. interval [a,b] = {} <=> (?i. 1 <= i /\ i <= dimindex (:M) /\ b$i < a$i)
% Assm: ~F <=> T
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: T
% Goal: !k a b. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> IMAGE (dropout k) (interval [a,b]) = (if a$k <= b$k then interval [dropout k a,dropout k b] else {})
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealmcartrealm).
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_0, type, d_0 : (cartrealm > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ccu_0, type, c_0 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons0, type, cons0 : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(ccond, type, cond : ($o > (cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cdropout, type, dropout : (num > cartrealn > cartrealm)).
thf(cimage, type, image : ((cartrealn > cartrealm) > (cartrealn > $o) > cartrealm > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm > $o),G:(a > cartrealm > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_INTERVALu_DROPOUT, axiom, ![K:num,A:cartrealn,B:cartrealn]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & (realu_le @ (d_ @ A @ K) @ (d_ @ B @ K))) => ((closedu_interval0 @ (cons0 @ (c_0 @ (dropout @ K @ A) @ (dropout @ K @ B)) @ nil0)) = (image @ (dropout @ K) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aCONDu_ELIMu_THM, axiom, ![X:(cartrealm > $o),C:$o,P:((cartrealm > $o) > $o),Y:(cartrealm > $o)]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(cartrealm > $o)]:(^[X:cartrealm]:(T @ X) = T)).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(cartrealn > cartrealm),S:(cartrealn > $o)]:(((image @ F @ S) = empty) <=> (S = empty0))).
thf(aINTERVALu_EQu_EMPTYu_conjunct0, axiom, ![B:cartrealm,A:cartrealm]:(((closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0)) = empty) <=> ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (realu_lt @ (d_0 @ B @ I) @ (d_0 @ A @ I))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![K:num,A:cartrealn,B:cartrealn]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0))) => ((image @ (dropout @ K) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (cond @ (realu_le @ (d_ @ A @ K) @ (d_ @ B @ K)) @ (closedu_interval0 @ (cons0 @ (c_0 @ (dropout @ K @ A) @ (dropout @ K @ B)) @ nil0)) @ empty)))).
