%   ORIGINAL: DROPOUT_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: dropout: !k x. dropout k x = (lambda i. if i < k then x$i else x$(i + 1))
% Goal: !k x y. dropout k (x + y) = dropout k x + dropout k y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:2) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !k x. dropout k x = (lambda i. if i < k then x$i else x$(i + 1))
% Goal: !k x y. dropout k (x + y) = dropout k x + dropout k y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tcartcartrealn2b, type, cartcartrealn2b : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn2)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealn2) > cartcartrealn2b)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cdu_0, type, d_0 : (cartcartrealn2b > num > cartrealn2)).
thf(ccond, type, cond : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cdropout, type, dropout : (num > cartrealn > cartrealn2)).
thf(cuniv, type, univ : (n2 > $o)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn2,Y:cartrealn2]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn2,T2:cartrealn2]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn2),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENTu_monomorphized1, axiom, ![X:cartrealn2,Y:cartrealn2,I:num]:((d_ @ (vectoru_add0 @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aVECTORu_ADDu_COMPONENTu_monomorphized0, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_1 @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_1 @ X @ I) @ (d_1 @ Y @ I)))).
thf(adropout, axiom, ![K:num,X:cartrealn]:((dropout @ K @ X) = (lambda1 @ ^[I:num]:(cond0 @ (l_ @ I @ K) @ (d_1 @ X @ I) @ (d_1 @ X @ (p_ @ I @ (numeral @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![K:num,X:cartrealn,Y:cartrealn]:((dropout @ K @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (dropout @ K @ X) @ (dropout @ K @ Y)))).
