%   ORIGINAL: DROPOUT_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: dropout: !k x. dropout k x = (lambda i. if i < k then x$i else x$(i + 1))
% Goal: !k c x. dropout k (c % x) = c % dropout k x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?663146) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: T
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !k x. dropout k x = (lambda i. if i < k then x$i else x$(i + 1))
% Goal: !k c x. dropout k (c % x) = c % dropout k x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq663146, type, cartrealq663146 : $tType).
thf(tq663146, type, q663146 : $tType).
thf(tcartcartrealq663146b, type, cartcartrealq663146b : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(cdu_, type, d_ : (cartrealq663146 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealq663146) > cartcartrealq663146b)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cdu_0, type, d_0 : (cartcartrealq663146b > num > cartrealq663146)).
thf(ccond, type, cond : ($o > cartrealq663146 > cartrealq663146 > cartrealq663146)).
thf(cru_0, type, r_0 : (real > cartrealq663146 > cartrealq663146)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cdropout, type, dropout : (num > cartrealn > cartrealq663146)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q663146 > $o) > num)).
thf(cuniv, type, univ : (q663146 > $o)).
thf(cuu_0, type, u_0 : num).
thf(clambda1, type, lambda1 : ((num > real) > cartrealq663146)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq663146),G:(a > cartrealq663146)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealq663146,Y:cartrealq663146]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealq663146,T2:cartrealq663146]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealq663146),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_COMPONENTu_monomorphized1, axiom, ![C:real,X:cartrealn,I:num]:((d_1 @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_1 @ X @ I)))).
thf(aVECTORu_MULu_COMPONENTu_monomorphized0, axiom, ![C:real,X:cartrealq663146,I:num]:((d_ @ (r_0 @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(adropout, axiom, ![K:num,X:cartrealn]:((dropout @ K @ X) = (lambda1 @ ^[I:num]:(cond0 @ (l_ @ I @ K) @ (d_1 @ X @ I) @ (d_1 @ X @ (p_ @ I @ (numeral @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![K:num,C:real,X:cartrealn]:((dropout @ K @ (r_ @ C @ X)) = (r_0 @ C @ (dropout @ K @ X)))).
