%   ORIGINAL: SLICE_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_UNION: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: slice: !s k t. slice k t s = IMAGE (dropout k) (s INTER {x | x$k = t})
% Goal: !k a s t. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> slice k a (s UNION t) = slice k a s UNION slice k a t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: !f s t. IMAGE f (s UNION t) = IMAGE f s UNION IMAGE f t
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: T
% Assm: !s k t. slice k t s = IMAGE (dropout k) (s INTER {x | x$k = t})
% Goal: !k a s t. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> slice k a (s UNION t) = slice k a s UNION slice k a t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinter0, type, inter0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdropout, type, dropout : (num > cartrealn > cartrealm)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cimage0, type, image0 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cimage, type, image : ((cartrealn > cartrealm) > (cartrealn > $o) > cartrealm > $o)).
thf(cunion0, type, union0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cslice, type, slice : (num > real > (cartrealn > $o) > cartrealm > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm > $o),G:(a > cartrealm > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGEu_UNIONu_monomorphized1, axiom, ![F:(cartrealn > cartrealm),S:(cartrealn > $o),T:(cartrealn > $o)]:((image @ F @ (union @ S @ T)) = (union0 @ (image @ F @ S) @ (image @ F @ T)))).
thf(aIMAGEu_UNIONu_monomorphized0, axiom, ![F:(cartrealm > cartrealm),S:(cartrealm > $o),T:(cartrealm > $o)]:((image0 @ F @ (union0 @ S @ T)) = (union0 @ (image0 @ F @ S) @ (image0 @ F @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNIONu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in1 @ X @ (union @ S @ T)) <=> ((in1 @ X @ S) | (in1 @ X @ T)))).
thf(aINu_UNIONu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aslice, axiom, ![S:(cartrealn > $o),K:num,T:real]:((slice @ K @ T @ S) = (image @ (dropout @ K) @ (inter0 @ S @ (gspec @ ^[GENR_PVARR_2443:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_2443 @ ((d_ @ X @ K) = T) @ X)))))).
thf(conjecture, conjecture, ![K:num,A:real,S:(cartrealn > $o),T:(cartrealn > $o)]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0))) => ((slice @ K @ A @ (union @ S @ T)) = (union0 @ (slice @ K @ A @ S) @ (slice @ K @ A @ T))))).
