%   ORIGINAL: CONVEX_SLICE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_INTER: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: CONVEX_LINEAR_IMAGE: !f s. convex s /\ linear f ==> convex (IMAGE f s)
% Assm: CONVEX_STANDARD_HYPERPLANE: !k a. convex {x | x$k = a}
% Assm: LINEAR_DROPOUT: !k. dimindex (:M) < dimindex (:N) ==> linear (dropout k)
% Assm: TRUTH: T
% Assm: slice: !s k t. slice k t s = IMAGE (dropout k) (s INTER {x | x$k = t})
% Goal: !k t s. dimindex (:M) < dimindex (:N) /\ convex s ==> convex (slice k t s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: !f s. convex s /\ linear f ==> convex (IMAGE f s)
% Assm: !f s. convex s /\ linear f ==> convex (IMAGE f s)
% Assm: !f s. convex s /\ linear f ==> convex (IMAGE f s)
% Assm: !f s. convex s /\ linear f ==> convex (IMAGE f s)
% Assm: !k a. convex {x | x$k = a}
% Assm: !k a. convex {x | x$k = a}
% Assm: !k. dimindex (:N) < dimindex (:N) ==> linear (dropout k)
% Assm: !k. dimindex (:N) < dimindex (:M) ==> linear (dropout k)
% Assm: !k. dimindex (:M) < dimindex (:N) ==> linear (dropout k)
% Assm: !k. dimindex (:M) < dimindex (:M) ==> linear (dropout k)
% Assm: T
% Assm: !s k t. slice k t s = IMAGE (dropout k) (s INTER {x | x$k = t})
% Goal: !k t s. dimindex (:M) < dimindex (:N) /\ convex s ==> convex (slice k t s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_0, type, d_0 : (cartrealm > num > real)).
thf(cgspec0, type, gspec0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cdropout2, type, dropout2 : (num > cartrealm > cartrealm)).
thf(cdropout1, type, dropout1 : (num > cartrealn > cartrealm)).
thf(cdropout0, type, dropout0 : (num > cartrealm > cartrealn)).
thf(cdropout, type, dropout : (num > cartrealn > cartrealn)).
thf(csetspec0, type, setspec0 : (cartrealm > $o > cartrealm > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cimage2, type, image2 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cimage1, type, image1 : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealm) > (cartrealn > $o) > cartrealm > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter0, type, inter0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cslice, type, slice : (num > real > (cartrealn > $o) > cartrealm > $o)).
thf(clinear2, type, linear2 : ((cartrealm > cartrealm) > $o)).
thf(clinear1, type, linear1 : ((cartrealm > cartrealn) > $o)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealn) > $o)).
thf(cconvex0, type, convex0 : ((cartrealm > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_INTERu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (convex @ T)) => (convex @ (inter @ S @ T)))).
thf(aCONVEXu_INTERu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((convex0 @ S) & (convex0 @ T)) => (convex0 @ (inter0 @ S @ T)))).
thf(aCONVEXu_LINEARu_IMAGEu_monomorphized3, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((convex @ S) & (linear @ F)) => (convex @ (image @ F @ S)))).
thf(aCONVEXu_LINEARu_IMAGEu_monomorphized2, axiom, ![F:(cartrealn > cartrealm),S:(cartrealn > $o)]:(((convex @ S) & (linear0 @ F)) => (convex0 @ (image0 @ F @ S)))).
thf(aCONVEXu_LINEARu_IMAGEu_monomorphized1, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((convex0 @ S) & (linear1 @ F)) => (convex @ (image1 @ F @ S)))).
thf(aCONVEXu_LINEARu_IMAGEu_monomorphized0, axiom, ![F:(cartrealm > cartrealm),S:(cartrealm > $o)]:(((convex0 @ S) & (linear2 @ F)) => (convex0 @ (image2 @ F @ S)))).
thf(aCONVEXu_STANDARDu_HYPERPLANEu_monomorphized1, axiom, ![K:num,A:real]:(convex @ (gspec @ ^[GENR_PVARR_826:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_826 @ ((d_ @ X @ K) = A) @ X)))).
thf(aCONVEXu_STANDARDu_HYPERPLANEu_monomorphized0, axiom, ![K:num,A:real]:(convex0 @ (gspec0 @ ^[GENR_PVARR_826:cartrealm]:?[X:cartrealm]:(setspec0 @ GENR_PVARR_826 @ ((d_0 @ X @ K) = A) @ X)))).
thf(aLINEARu_DROPOUTu_monomorphized3, axiom, ![K:num]:((l_ @ (dimindex0 @ univ0) @ (dimindex0 @ univ0)) => (linear @ (dropout @ K)))).
thf(aLINEARu_DROPOUTu_monomorphized2, axiom, ![K:num]:((l_ @ (dimindex0 @ univ0) @ (dimindex @ univ)) => (linear1 @ (dropout0 @ K)))).
thf(aLINEARu_DROPOUTu_monomorphized1, axiom, ![K:num]:((l_ @ (dimindex @ univ) @ (dimindex0 @ univ0)) => (linear0 @ (dropout1 @ K)))).
thf(aLINEARu_DROPOUTu_monomorphized0, axiom, ![K:num]:((l_ @ (dimindex @ univ) @ (dimindex @ univ)) => (linear2 @ (dropout2 @ K)))).
thf(aTRUTH, axiom, $true).
thf(aslice, axiom, ![S:(cartrealn > $o),K:num,T:real]:((slice @ K @ T @ S) = (image0 @ (dropout1 @ K) @ (inter @ S @ (gspec @ ^[GENR_PVARR_2443:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_2443 @ ((d_ @ X @ K) = T) @ X)))))).
thf(conjecture, conjecture, ![K:num,T:real,S:(cartrealn > $o)]:(((l_ @ (dimindex @ univ) @ (dimindex0 @ univ0)) & (convex @ S)) => (convex0 @ (slice @ K @ T @ S)))).
