%   ORIGINAL: OPEN_SLICE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_SLICE: !k t s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ closed s ==> closed (slice k t s)
% Assm: OPEN_CLOSED: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: SLICE_DIFF: !k a s t. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> slice k a (s DIFF t) = slice k a s DIFF slice k a t
% Assm: SLICE_UNIV: !k a. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> slice k a (:real^N) = (:real^M)
% Assm: TRUTH: T
% Goal: !k t s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ open s ==> open (slice k t s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !k t s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ closed s ==> closed (slice k t s)
% Assm: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: !s. open s <=> closed ((:real^M) DIFF s)
% Assm: !k a s t. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> slice k a (s DIFF t) = slice k a s DIFF slice k a t
% Assm: !k a. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> slice k a (:real^N) = (:real^M)
% Assm: T
% Goal: !k t s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ open s ==> open (slice k t s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdiff0, type, diff0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cslice, type, slice : (num > real > (cartrealn > $o) > cartrealm > $o)).
thf(cuniv2, type, univ2 : (cartrealm > $o)).
thf(cuniv1, type, univ1 : (cartrealn > $o)).
thf(cclosed0, type, closed0 : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(copen0, type, open0 : ((cartrealm > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_SLICE, axiom, ![K:num,T:real,S:(cartrealn > $o)]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & (closed @ S)) => (closed0 @ (slice @ K @ T @ S)))).
thf(aOPENu_CLOSEDu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (closed @ (diff @ univ1 @ S)))).
thf(aOPENu_CLOSEDu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((open0 @ S) <=> (closed0 @ (diff0 @ univ2 @ S)))).
thf(aSLICEu_DIFF, axiom, ![K:num,A:real,S:(cartrealn > $o),T:(cartrealn > $o)]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0))) => ((slice @ K @ A @ (diff @ S @ T)) = (diff0 @ (slice @ K @ A @ S) @ (slice @ K @ A @ T))))).
thf(aSLICEu_UNIV, axiom, ![K:num,A:real]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0))) => ((slice @ K @ A @ univ1) = univ2))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![K:num,T:real,S:(cartrealn > $o)]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & (open @ S)) => (open0 @ (slice @ K @ T @ S)))).
