%   ORIGINAL: BOUNDED_SLICE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_EMPTY: bounded {}
% Assm: BOUNDED_INTERVAL_conjunct0: !a b. bounded (interval [a,b])
% Assm: BOUNDED_INTERVAL_conjunct1: !a b. bounded (interval (a,b))
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: BOUNDED_SUBSET_CLOSED_INTERVAL: !s. bounded s ==> (?a b. s SUBSET interval [a,b])
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SLICE_INTERVAL: !k a b t. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> slice k t (interval [a,b]) = (if a$k <= t /\ t <= b$k then interval [dropout k a,dropout k b] else {})
% Assm: SLICE_SUBSET: !s t k a. s SUBSET t ==> slice k a s SUBSET slice k a t
% Assm: TRUTH: T
% Goal: !k t s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s ==> bounded (slice k t s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: bounded {}
% Assm: bounded {}
% Assm: !a b. bounded (interval [a,b])
% Assm: !a b. bounded (interval [a,b])
% Assm: !a b. bounded (interval (a,b))
% Assm: !a b. bounded (interval (a,b))
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !s. bounded s ==> (?a b. s SUBSET interval [a,b])
% Assm: !s. bounded s ==> (?a b. s SUBSET interval [a,b])
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !k a b t. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> slice k t (interval [a,b]) = (if a$k <= t /\ t <= b$k then interval [dropout k a,dropout k b] else {})
% Assm: !s t k a. s SUBSET t ==> slice k a s SUBSET slice k a t
% Assm: T
% Goal: !k t s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s ==> bounded (slice k t s)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealmcartrealm).
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(copenuu_interval0, type, openu_interval0 : (prodcartrealmcartrealm > cartrealm > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdropout, type, dropout : (num > cartrealn > cartrealm)).
thf(ccond0, type, cond0 : ($o > (cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(ccu_0, type, c_0 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons0, type, cons0 : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cslice, type, slice : (num > real > (cartrealn > $o) > cartrealm > $o)).
thf(cempty0, type, empty0 : (cartrealm > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cbounded0, type, bounded0 : ((cartrealm > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_EMPTYu_monomorphized1, axiom, (bounded @ empty)).
thf(aBOUNDEDu_EMPTYu_monomorphized0, axiom, (bounded0 @ empty0)).
thf(aBOUNDEDu_INTERVALu_conjunct0u_monomorphized1, axiom, ![A:cartrealn,B:cartrealn]:(bounded @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aBOUNDEDu_INTERVALu_conjunct0u_monomorphized0, axiom, ![A:cartrealm,B:cartrealm]:(bounded0 @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0)))).
thf(aBOUNDEDu_INTERVALu_conjunct1u_monomorphized1, axiom, ![A:cartrealn,B:cartrealn]:(bounded @ (openu_interval @ (c_ @ A @ B)))).
thf(aBOUNDEDu_INTERVALu_conjunct1u_monomorphized0, axiom, ![A:cartrealm,B:cartrealm]:(bounded0 @ (openu_interval0 @ (c_0 @ A @ B)))).
thf(aBOUNDEDu_SUBSETu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aBOUNDEDu_SUBSETu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((bounded0 @ T) & (subset0 @ S @ T)) => (bounded0 @ S))).
thf(aBOUNDEDu_SUBSETu_CLOSEDu_INTERVALu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => ?[A:cartrealn,B:cartrealn]:(subset @ S @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aBOUNDEDu_SUBSETu_CLOSEDu_INTERVALu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((bounded0 @ S) => ?[A:cartrealm,B:cartrealm]:(subset0 @ S @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0))))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSLICEu_INTERVAL, axiom, ![K:num,A:cartrealn,B:cartrealn,T:real]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0))) => ((slice @ K @ T @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (cond0 @ ((realu_le @ (d_ @ A @ K) @ T) & (realu_le @ T @ (d_ @ B @ K))) @ (closedu_interval0 @ (cons0 @ (c_0 @ (dropout @ K @ A) @ (dropout @ K @ B)) @ nil0)) @ empty0)))).
thf(aSLICEu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),K:num,A:real]:((subset @ S @ T) => (subset0 @ (slice @ K @ A @ S) @ (slice @ K @ A @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![K:num,T:real,S:(cartrealn > $o)]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & (bounded @ S)) => (bounded0 @ (slice @ K @ T @ S)))).
