%   ORIGINAL: FUBINI_SIMPLE_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUBINI_SIMPLE: !k s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s /\ measurable s /\ (!t. measurable (slice k t s)) /\ (\t. measure (slice k t s)) real_integrable_on (:real) ==> measure s = real_integral (:real) (\t. measure (slice k t s))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INTEGRAL_UNIQUE: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: TRUTH: T
% Assm: real_integrable_on: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !k s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s /\ measurable s /\ (!t. measurable (slice k t s)) /\ ((\t. measure (slice k t s)) has_real_integral B) (:real) ==> measure s = B
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !k s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s /\ measurable s /\ (!t. measurable (slice k t s)) /\ (\t. measure (slice k t s)) real_integrable_on (:real) ==> measure s = real_integral (:real) (\t. measure (slice k t s))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: T
% Assm: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !B k s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s /\ measurable s /\ (!t. measurable (slice k t s)) /\ ((\t. measure (slice k t s)) has_real_integral B) (:real) ==> measure s = B
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(cmeasure0, type, measure0 : ((cartrealn > $o) > real)).
thf(cmeasure, type, measure : ((cartrealm > $o) > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cslice, type, slice : (num > real > (cartrealn > $o) > cartrealm > $o)).
thf(cmeasurable0, type, measurable0 : ((cartrealm > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cuniv1, type, univ1 : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUBINIu_SIMPLE, axiom, ![K:num,S:(cartrealn > $o)]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & (bounded @ S) & (measurable @ S) & ![T:real]:(measurable0 @ (slice @ K @ T @ S)) & (realu_integrableu_on @ ^[T:real]:(measure @ (slice @ K @ T @ S)) @ univ1)) => ((measure0 @ S) = (realu_integral @ univ1 @ ^[T:real]:(measure @ (slice @ K @ T @ S)))))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),Y:real,K:(real > $o)]:((hasu_realu_integral @ F @ Y @ K) => ((realu_integral @ K @ F) = Y))).
thf(aTRUTH, axiom, $true).
thf(arealu_integrableu_on, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) <=> ?[Y:real]:(hasu_realu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![B:real,K:num,S:(cartrealn > $o)]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & (bounded @ S) & (measurable @ S) & ![T:real]:(measurable0 @ (slice @ K @ T @ S)) & (hasu_realu_integral @ ^[T:real]:(measure @ (slice @ K @ T @ S)) @ B @ univ1)) => ((measure0 @ S) = B))).
