%   ORIGINAL: FUBINI_SIMPLE_OPEN_STRONG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_SLICE: !k t s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s ==> bounded (slice k t s)
% Assm: FUBINI_SIMPLE_ALT: !k s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s /\ measurable s /\ (!t. measurable (slice k t s)) /\ ((\t. measure (slice k t s)) has_real_integral B) (:real) ==> measure s = B
% Assm: MEASURABLE_OPEN: !s. bounded s /\ open s ==> measurable s
% Assm: OPEN_SLICE: !k t s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ open s ==> open (slice k t s)
% Assm: TRUTH: T
% Goal: !k s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s /\ open s /\ ((\t. measure (slice k t s)) has_real_integral B) (:real) ==> measurable s /\ measure s = B
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !k t s. dimindex (:N) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s ==> bounded (slice k t s)
% Assm: !B k s. dimindex (:N) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s /\ measurable s /\ (!t. measurable (slice k t s)) /\ ((\t. measure (slice k t s)) has_real_integral B) (:real) ==> measure s = B
% Assm: !s. bounded s /\ open s ==> measurable s
% Assm: !k t s. dimindex (:N) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ open s ==> open (slice k t s)
% Assm: T
% Goal: !B k s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ bounded s /\ open s /\ ((\t. measure (slice k t s)) has_real_integral B) (:real) ==> measurable s /\ measure s = B
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cmeasure0, type, measure0 : ((cartrealn > $o) > real)).
thf(cmeasure, type, measure : ((cartrealm > $o) > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cslice0, type, slice0 : (num > real > (cartrealn > $o) > cartrealn > $o)).
thf(cslice, type, slice : (num > real > (cartrealn > $o) > cartrealm > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cuniv1, type, univ1 : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_SLICE, axiom, ![K:num,T:real,S:(cartrealn > $o)]:((((p_ @ (dimindex0 @ univ0) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & (bounded @ S)) => (bounded @ (slice0 @ K @ T @ S)))).
thf(aFUBINIu_SIMPLEu_ALT, axiom, ![B:real,K:num,S:(cartrealn > $o)]:((((p_ @ (dimindex0 @ univ0) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & (bounded @ S) & (measurable @ S) & ![T:real]:(measurable @ (slice0 @ K @ T @ S)) & (hasu_realu_integral @ ^[T:real]:(measure0 @ (slice0 @ K @ T @ S)) @ B @ univ1)) => ((measure0 @ S) = B))).
thf(aMEASURABLEu_OPEN, axiom, ![S:(cartrealn > $o)]:(((bounded @ S) & (open @ S)) => (measurable @ S))).
thf(aOPENu_SLICE, axiom, ![K:num,T:real,S:(cartrealn > $o)]:((((p_ @ (dimindex0 @ univ0) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & (open @ S)) => (open @ (slice0 @ K @ T @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:real,K:num,S:(cartrealn > $o)]:((((p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & (bounded @ S) & (open @ S) & (hasu_realu_integral @ ^[T:real]:(measure @ (slice @ K @ T @ S)) @ B @ univ1)) => ((measurable @ S) & ((measure0 @ S) = B)))).
