%   ORIGINAL: REAL_OPEN_SET_RATIONAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: FORALL_1: (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: IMAGE_EQ_EMPTY: !f s. IMAGE f s = {} <=> s = {}
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_SET_RATIONAL_COORDINATES: !s. open s /\ ~(s = {}) ==> (?x. x IN s /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> rational (x$i)))
% Assm: REAL_OPEN: !s. real_open s <=> open (IMAGE lift s)
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Goal: !s. real_open s /\ ~(s = {}) ==> (?x. rational x /\ x IN s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: dimindex (:1) = 1
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !P. (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: !f s. IMAGE f s = {} <=> s = {}
% Assm: !x. drop (lift x) = x
% Assm: ~F <=> T
% Assm: !s. open s /\ ~(s = {}) ==> (?x. x IN s /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> rational (x$i)))
% Assm: !s. real_open s <=> open (IMAGE lift s)
% Assm: T
% Assm: !x. drop x = x$1
% Goal: !s. real_open s /\ ~(s = {}) ==> (?x. rational x /\ x IN s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_0, type, d_0 : (cartrealn1 > num > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(cuniv, type, univ : (n1 > $o)).
thf(copen0, type, open0 : ((cartrealn1 > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crational, type, rational : (real > $o)).
thf(cempty, type, empty : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(?[Y:real]:((in @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:real]:((in @ X @ S) & (P @ (F @ X))))).
thf(aFORALLu_1, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ u_0)))) => (P @ I)) <=> (P @ (numeral @ (bit1 @ u_0))))).
thf(aIMAGEu_EQu_EMPTY, axiom, ![F:(real > real),S:(real > $o)]:(((image @ F @ S) = empty) <=> (S = empty))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_SETu_RATIONALu_COORDINATES, axiom, ![S:(cartrealn > $o)]:(((open @ S) & ~ ((S = empty0))) => ?[X:cartrealn]:((in0 @ X @ S) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => (rational @ (d_ @ X @ I)))))).
thf(aREALu_OPEN, axiom, ![S:(real > $o)]:((realu_open @ S) <=> (open0 @ (image0 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_0 @ X @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![S:(real > $o)]:(((realu_open @ S) & ~ ((S = empty))) => ?[X:real]:((rational @ X) & (in @ X @ S)))).
