%   ORIGINAL: REAL_OPEN_RATIONAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OPEN_SET_RATIONAL: !s. real_open s /\ ~(s = {}) ==> (?x. rational x /\ x IN s)
% Assm: TRUTH: T
% Goal: !P. real_open {x | P x} /\ (?x. P x) ==> (?x. rational x /\ P x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !s. real_open s /\ ~(s = {}) ==> (?x. rational x /\ x IN s)
% Assm: T
% Goal: !P. real_open {x | P x} /\ (?x. P x) ==> (?x. rational x /\ P x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(cempty0, type, empty0 : (real > $o)).
thf(crational, type, rational : (real > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(real > $o),X:real]:((in @ X @ (gspec @ ^[V:real]:?[Y:real]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(a > $o)]:(?[X:a]:(in0 @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OPENu_SETu_RATIONAL, axiom, ![S:(real > $o)]:(((realu_open @ S) & ~ ((S = empty0))) => ?[X:real]:((rational @ X) & (in @ X @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(real > $o)]:(((realu_open @ (gspec @ ^[GENR_PVARR_2456:real]:?[X:real]:(setspec @ GENR_PVARR_2456 @ (P @ X) @ X))) & ?[X:real]:(P @ X)) => ?[X:real]:((rational @ X) & (P @ X)))).
