%   ORIGINAL: REAL_OPEN_SET_EXISTS_RATIONAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OPEN_SET_RATIONAL: !s. real_open s /\ ~(s = {}) ==> (?x. rational x /\ x IN s)
% Assm: TRUTH: T
% Goal: !s. real_open s ==> ((?x. rational x /\ x IN s) <=> (?x. x IN s))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !s. real_open s /\ ~(s = {}) ==> (?x. rational x /\ x IN s)
% Assm: T
% Goal: !s. real_open s ==> ((?x. rational x /\ x IN s) <=> (?x. x IN s))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(cempty, type, empty : (real > $o)).
thf(crational, type, rational : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(real > $o)]:(?[X:real]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OPENu_SETu_RATIONAL, axiom, ![S:(real > $o)]:(((realu_open @ S) & ~ ((S = empty))) => ?[X:real]:((rational @ X) & (in @ X @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_open @ S) => (?[X:real]:((rational @ X) & (in @ X @ S)) <=> ?[X:real]:(in @ X @ S)))).
