%   ORIGINAL: REAL_CONTINUOUS_ADDITIVE_IMP_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ADDITIVE_IMP_LINEAR: !f. f continuous_on (:real^M) /\ (!x y. f (x + y) = f x + f y) ==> linear f
% Assm: DROP_ADD: !x y. drop (x + y) = drop x + drop y
% Assm: DROP_CMUL: !x c. drop (c % x) = c * drop x
% Assm: FORALL_DROP: (!x. P x) <=> (!x. P (drop x))
% Assm: IMAGE_LIFT_UNIV: IMAGE lift (:real) = (:real^1)
% Assm: LIFT_ADD: !x y. lift (x + y) = lift x + lift y
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: REAL_CONTINUOUS_ON: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: TRUTH: T
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f. f real_continuous_on (:real) /\ (!x y. f (x + y) = f x + f y) ==> (!a x. f (a * x) = a * f x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f continuous_on (:real^M) /\ (!x y. f (x + y) = f x + f y) ==> linear f
% Assm: !x y. drop (x + y) = drop x + drop y
% Assm: !x c. drop (c % x) = c * drop x
% Assm: !P. (!x. P x) <=> (!x. P (drop x))
% Assm: IMAGE lift (:real) = (:real^1)
% Assm: !x y. lift (x + y) = lift x + lift y
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !x y. lift x = lift y <=> x = y
% Assm: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: T
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f. f real_continuous_on (:real) /\ (!x y. f (x + y) = f x + f y) ==> (!a x. f (a * x) = a * f x)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((b > real) > (a > b) > a > real)).
thf(cru_1, type, r_1 : (real > cartrealn > cartrealn)).
thf(cru_0, type, r_0 : (real > cartrealm > cartrealm)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealm > cartrealm > cartrealm)).
thf(cuniv1, type, univ1 : (cartrealn1 > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cuniv0, type, univ0 : (cartrealm > $o)).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ADDITIVEu_IMPu_LINEAR, axiom, ![F:(cartrealm > cartrealn)]:(((continuousu_on @ F @ univ0) & ![X:cartrealm,Y:cartrealm]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y)))) => (linear @ F))).
thf(aDROPu_ADD, axiom, ![X:cartrealn1,Y:cartrealn1]:((drop @ (vectoru_add1 @ X @ Y)) = (realu_add @ (drop @ X) @ (drop @ Y)))).
thf(aDROPu_CMUL, axiom, ![X:cartrealn1,C:real]:((drop @ (r_ @ C @ X)) = (realu_mul @ C @ (drop @ X)))).
thf(aFORALLu_DROP, axiom, ![P:(real > $o)]:(![X:real]:(P @ X) <=> ![X:cartrealn1]:(P @ (drop @ X)))).
thf(aIMAGEu_LIFTu_UNIV, axiom, ((image @ lift @ univ) = univ1)).
thf(aLIFTu_ADD, axiom, ![X:real,Y:real]:((lift @ (realu_add @ X @ Y)) = (vectoru_add1 @ (lift @ X) @ (lift @ Y)))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_ @ C @ (lift @ X)))).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aREALu_CONTINUOUSu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_continuousu_on @ F @ S) <=> (continuousu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(alinear, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) <=> (![X:cartrealm,Y:cartrealm]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealm]:((F @ (r_0 @ C @ X)) = (r_1 @ C @ (F @ X)))))).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real)]:(((realu_continuousu_on @ F @ univ) & ![X:real,Y:real]:((F @ (realu_add @ X @ Y)) = (realu_add @ (F @ X) @ (F @ Y)))) => ![A:real,X:real]:((F @ (realu_mul @ A @ X)) = (realu_mul @ A @ (F @ X))))).
