%   ORIGINAL: STEINHAUS_TRIVIAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISCRETE_IMP_COUNTABLE: !s. (!x. x IN s ==> (?e. &0 < e /\ (!y. y IN s /\ ~(y = x) ==> e <= norm (y - x)))) ==> COUNTABLE s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NEGLIGIBLE_COUNTABLE: !s. COUNTABLE s ==> negligible s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: TRUTH: T
% Goal: !s e. ~negligible s /\ &0 < e ==> (?x y. x IN s /\ y IN s /\ ~(x = y) /\ norm (x - y) < e)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. (!x. x IN s ==> (?e. &0 < e /\ (!y. y IN s /\ ~(y = x) ==> e <= norm (y - x)))) ==> COUNTABLE s
% Assm: !t. (\x. t x) = t
% Assm: !s. COUNTABLE s ==> negligible s
% Assm: ~F <=> T
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: T
% Goal: !s e. ~negligible s /\ &0 < e ==> (?x y. x IN s /\ y IN s /\ ~(x = y) /\ norm (x - y) < e)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccountable, type, countable : ((cartrealn > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISCRETEu_IMPu_COUNTABLE, axiom, ![S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![Y:cartrealn]:(((in @ Y @ S) & ~ ((Y = X))) => (realu_le @ E @ (vectoru_norm @ (vectoru_sub @ Y @ X)))))) => (countable @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNEGLIGIBLEu_COUNTABLE, axiom, ![S:(cartrealn > $o)]:((countable @ S) => (negligible @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),E:real]:((~ ((negligible @ S)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[X:cartrealn,Y:cartrealn]:((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y)) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ X @ Y)) @ E)))).
