%   ORIGINAL: SUM_BERNSTEIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_BINOMIAL_THEOREM: !n x y. (x + y) pow n = sum (0..n) (\k. &(binom (n,k)) * x pow k * y pow (n - k))
% Assm: REAL_POW_ONE: !n. &1 pow n = &1
% Assm: REAL_SUB_ADD2: !x y. y + x - y = x
% Assm: TRUTH: T
% Assm: bernstein: !x n k. bernstein n k x = &(binom (n,k)) * x pow k * (&1 - x) pow (n - k)
% Goal: !n. sum (0..n) (\k. bernstein n k x) = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n x y. (x + y) pow n = sum (0..n) (\k. &(binom (n,k)) * x pow k * y pow (n - k))
% Assm: !n. &1 pow n = &1
% Assm: !x y. y + x - y = x
% Assm: T
% Assm: !x n k. bernstein n k x = &(binom (n,k)) * x pow k * (&1 - x) pow (n - k)
% Goal: !x n. sum (0..n) (\k. bernstein n k x) = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cmu_, type, m_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cbernstein, type, bernstein : (num > num > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cbinom, type, binom : (prodnumnum > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_BINOMIALu_THEOREM, axiom, ![N:num,X:real,Y:real]:((realu_pow @ (realu_add @ X @ Y) @ N) = (sum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[K:num]:(realu_mul @ (realu_ofu_num @ (binom @ (c_ @ N @ K))) @ (realu_mul @ (realu_pow @ X @ K) @ (realu_pow @ Y @ (m_ @ N @ K))))))).
thf(aREALu_POWu_ONE, axiom, ![N:num]:((realu_pow @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ N) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_SUBu_ADD2, axiom, ![X:real,Y:real]:((realu_add @ Y @ (realu_sub @ X @ Y)) = X)).
thf(aTRUTH, axiom, $true).
thf(abernstein, axiom, ![X:real,N:num,K:num]:((bernstein @ N @ K @ X) = (realu_mul @ (realu_ofu_num @ (binom @ (c_ @ N @ K))) @ (realu_mul @ (realu_pow @ X @ K) @ (realu_pow @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) @ (m_ @ N @ K)))))).
thf(conjecture, conjecture, ![X:real,N:num]:((sum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[K:num]:(bernstein @ N @ K @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
