%   ORIGINAL: STONE_WEIERSTRASS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: STONE_WEIERSTRASS_ALT: !P s. compact s /\ (!c. P (\x. c)) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. (!x. x IN s ==> f real_continuous at x within s) /\ P f /\ ~(f x = f y))) ==> (!f e. (!x. x IN s ==> f real_continuous at x within s) /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> abs (f x - g x) < e)))
% Assm: TRUTH: T
% Goal: !P s. compact s /\ (!f. P f ==> (!x. x IN s ==> f real_continuous at x within s)) /\ (!c. P (\x. c)) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. P f /\ ~(f x = f y))) ==> (!f e. (!x. x IN s ==> f real_continuous at x within s) /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> abs (f x - g x) < e)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !P s. compact s /\ (!c. P (\x. c)) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. (!x. x IN s ==> f real_continuous at x within s) /\ P f /\ ~(f x = f y))) ==> (!f e. (!x. x IN s ==> f real_continuous at x within s) /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> abs (f x - g x) < e)))
% Assm: T
% Goal: !P s. compact s /\ (!f. P f ==> (!x. x IN s ==> f real_continuous at x within s)) /\ (!c. P (\x. c)) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. P f /\ ~(f x = f y))) ==> (!f e. (!x. x IN s ==> f real_continuous at x within s) /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> abs (f x - g x) < e)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_continuous, type, realu_continuous : ((cartrealn > real) > netcartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netcartrealn > (cartrealn > $o) > netcartrealn)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSTONEu_WEIERSTRASSu_ALT, axiom, ![P:((cartrealn > real) > $o),S:(cartrealn > $o)]:(((compact @ S) & ![C:real]:(P @ ^[X:cartrealn]:C) & ![F:(cartrealn > real),G:(cartrealn > real)]:(((P @ F) & (P @ G)) => (P @ ^[X:cartrealn]:(realu_add @ (F @ X) @ (G @ X)))) & ![F:(cartrealn > real),G:(cartrealn > real)]:(((P @ F) & (P @ G)) => (P @ ^[X:cartrealn]:(realu_mul @ (F @ X) @ (G @ X)))) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => ?[F:(cartrealn > real)]:(![X:cartrealn]:((in @ X @ S) => (realu_continuous @ F @ (within @ (at @ X) @ S))) & (P @ F) & ~ (((F @ X) = (F @ Y)))))) => ![F:(cartrealn > real),E:real]:((![X:cartrealn]:((in @ X @ S) => (realu_continuous @ F @ (within @ (at @ X) @ S))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[G:(cartrealn > real)]:((P @ G) & ![X:cartrealn]:((in @ X @ S) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ (G @ X))) @ E)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((cartrealn > real) > $o),S:(cartrealn > $o)]:(((compact @ S) & ![F:(cartrealn > real)]:((P @ F) => ![X:cartrealn]:((in @ X @ S) => (realu_continuous @ F @ (within @ (at @ X) @ S)))) & ![C:real]:(P @ ^[X:cartrealn]:C) & ![F:(cartrealn > real),G:(cartrealn > real)]:(((P @ F) & (P @ G)) => (P @ ^[X:cartrealn]:(realu_add @ (F @ X) @ (G @ X)))) & ![F:(cartrealn > real),G:(cartrealn > real)]:(((P @ F) & (P @ G)) => (P @ ^[X:cartrealn]:(realu_mul @ (F @ X) @ (G @ X)))) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => ?[F:(cartrealn > real)]:((P @ F) & ~ (((F @ X) = (F @ Y)))))) => ![F:(cartrealn > real),E:real]:((![X:cartrealn]:((in @ X @ S) => (realu_continuous @ F @ (within @ (at @ X) @ S))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[G:(cartrealn > real)]:((P @ G) & ![X:cartrealn]:((in @ X @ S) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ (G @ X))) @ E)))))).
