%   ORIGINAL: REAL_STONE_WEIERSTRASS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_STONE_WEIERSTRASS_ALT: !P s. real_compact s /\ (!c. P (\x. c)) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. f real_continuous_on s /\ P f /\ ~(f x = f y))) ==> (!f e. f real_continuous_on s /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> abs (f x - g x) < e)))
% Assm: TRUTH: T
% Goal: !P s. real_compact s /\ (!f. P f ==> f real_continuous_on s) /\ (!c. P (\x. c)) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. P f /\ ~(f x = f y))) ==> (!f e. f real_continuous_on s /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> abs (f x - g x) < e)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !P s. real_compact s /\ (!c. P (\x. c)) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. f real_continuous_on s /\ P f /\ ~(f x = f y))) ==> (!f e. f real_continuous_on s /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> abs (f x - g x) < e)))
% Assm: T
% Goal: !P s. real_compact s /\ (!f. P f ==> f real_continuous_on s) /\ (!c. P (\x. c)) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. P f /\ ~(f x = f y))) ==> (!f e. f real_continuous_on s /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> abs (f x - g x) < e)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crealuu_compact, type, realu_compact : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_STONEu_WEIERSTRASSu_ALT, axiom, ![P:((real > real) > $o),S:(real > $o)]:(((realu_compact @ S) & ![C:real]:(P @ ^[X:real]:C) & ![F:(real > real),G:(real > real)]:(((P @ F) & (P @ G)) => (P @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X)))) & ![F:(real > real),G:(real > real)]:(((P @ F) & (P @ G)) => (P @ ^[X:real]:(realu_mul @ (F @ X) @ (G @ X)))) & ![X:real,Y:real]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => ?[F:(real > real)]:((realu_continuousu_on @ F @ S) & (P @ F) & ~ (((F @ X) = (F @ Y)))))) => ![F:(real > real),E:real]:(((realu_continuousu_on @ F @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[G:(real > real)]:((P @ G) & ![X:real]:((in @ X @ S) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ (G @ X))) @ E)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((real > real) > $o),S:(real > $o)]:(((realu_compact @ S) & ![F:(real > real)]:((P @ F) => (realu_continuousu_on @ F @ S)) & ![C:real]:(P @ ^[X:real]:C) & ![F:(real > real),G:(real > real)]:(((P @ F) & (P @ G)) => (P @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X)))) & ![F:(real > real),G:(real > real)]:(((P @ F) & (P @ G)) => (P @ ^[X:real]:(realu_mul @ (F @ X) @ (G @ X)))) & ![X:real,Y:real]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => ?[F:(real > real)]:((P @ F) & ~ (((F @ X) = (F @ Y)))))) => ![F:(real > real),E:real]:(((realu_continuousu_on @ F @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[G:(real > real)]:((P @ G) & ![X:real]:((in @ X @ S) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ (G @ X))) @ E)))))).
