%   ORIGINAL: COMPLEX_STONE_WEIERSTRASS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_STONE_WEIERSTRASS_ALT: !P s. compact s /\ (!c. P (\x. c)) /\ (!f. P f ==> P (\x. cnj (f x))) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. P f /\ f continuous_on s /\ ~(f x = f y))) ==> (!f e. f continuous_on s /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> norm (f x - g x) < e)))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !P s. compact s /\ (!f. P f ==> f continuous_on s) /\ (!c. P (\x. c)) /\ (!f. P f ==> P (\x. cnj (f x))) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. P f /\ ~(f x = f y))) ==> (!f e. f continuous_on s /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> norm (f x - g x) < e)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P s. compact s /\ (!c. P (\x. c)) /\ (!f. P f ==> P (\x. cnj (f x))) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. P f /\ f continuous_on s /\ ~(f x = f y))) ==> (!f e. f continuous_on s /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> norm (f x - g x) < e)))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !P s. compact s /\ (!f. P f ==> f continuous_on s) /\ (!c. P (\x. c)) /\ (!f. P f ==> P (\x. cnj (f x))) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. P f /\ ~(f x = f y))) ==> (!f e. f continuous_on s /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> norm (f x - g x) < e)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn2) > (cartrealn > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_STONEu_WEIERSTRASSu_ALT, axiom, ![P:((cartrealn > cartrealn2) > $o),S:(cartrealn > $o)]:(((compact @ S) & ![C:cartrealn2]:(P @ ^[X:cartrealn]:C) & ![F:(cartrealn > cartrealn2)]:((P @ F) => (P @ ^[X:cartrealn]:(cnj @ (F @ X)))) & ![F:(cartrealn > cartrealn2),G:(cartrealn > cartrealn2)]:(((P @ F) & (P @ G)) => (P @ ^[X:cartrealn]:(vectoru_add @ (F @ X) @ (G @ X)))) & ![F:(cartrealn > cartrealn2),G:(cartrealn > cartrealn2)]:(((P @ F) & (P @ G)) => (P @ ^[X:cartrealn]:(complexu_mul @ (F @ X) @ (G @ X)))) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => ?[F:(cartrealn > cartrealn2)]:((P @ F) & (continuousu_on @ F @ S) & ~ (((F @ X) = (F @ Y)))))) => ![F:(cartrealn > cartrealn2),E:real]:(((continuousu_on @ F @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[G:(cartrealn > cartrealn2)]:((P @ G) & ![X:cartrealn]:((in @ X @ S) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (F @ X) @ (G @ X))) @ E)))))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((cartrealn > cartrealn2) > $o),S:(cartrealn > $o)]:(((compact @ S) & ![F:(cartrealn > cartrealn2)]:((P @ F) => (continuousu_on @ F @ S)) & ![C:cartrealn2]:(P @ ^[X:cartrealn]:C) & ![F:(cartrealn > cartrealn2)]:((P @ F) => (P @ ^[X:cartrealn]:(cnj @ (F @ X)))) & ![F:(cartrealn > cartrealn2),G:(cartrealn > cartrealn2)]:(((P @ F) & (P @ G)) => (P @ ^[X:cartrealn]:(vectoru_add @ (F @ X) @ (G @ X)))) & ![F:(cartrealn > cartrealn2),G:(cartrealn > cartrealn2)]:(((P @ F) & (P @ G)) => (P @ ^[X:cartrealn]:(complexu_mul @ (F @ X) @ (G @ X)))) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => ?[F:(cartrealn > cartrealn2)]:((P @ F) & ~ (((F @ X) = (F @ Y)))))) => ![F:(cartrealn > cartrealn2),E:real]:(((continuousu_on @ F @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[G:(cartrealn > cartrealn2)]:((P @ G) & ![X:cartrealn]:((in @ X @ S) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (F @ X) @ (G @ X))) @ E)))))).
