%   ORIGINAL: REAL_CONTINUOUS_REAL_POLYMONIAL_FUNCTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CONTINUOUS_ADD: !f g net. f real_continuous net /\ g real_continuous net ==> (\x. f x + g x) real_continuous net
% Assm: REAL_CONTINUOUS_AT_COMPONENT: !i a. 1 <= i /\ i <= dimindex (:N) ==> (\x. x$i) real_continuous at a
% Assm: REAL_CONTINUOUS_CONST: !net c. (\x. c) real_continuous net
% Assm: REAL_CONTINUOUS_MUL: !net f g. f real_continuous net /\ g real_continuous net ==> (\x. f x * g x) real_continuous net
% Assm: TRUTH: T
% Assm: real_polynomial_function_INDUCT: !real_polynomial_function'. (!i. 1 <= i /\ i <= dimindex (:N) ==> real_polynomial_function' (\x. x$i)) /\ (!c. real_polynomial_function' (\x. c)) /\ (!f g. real_polynomial_function' f /\ real_polynomial_function' g ==> real_polynomial_function' (\x. f x + g x)) /\ (!f g. real_polynomial_function' f /\ real_polynomial_function' g ==> real_polynomial_function' (\x. f x * g x)) ==> (!a. real_polynomial_function a ==> real_polynomial_function' a)
% Goal: !f x. real_polynomial_function f ==> f real_continuous at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g net. f real_continuous net /\ g real_continuous net ==> (\x. f x + g x) real_continuous net
% Assm: !i a. 1 <= i /\ i <= dimindex (:N) ==> (\x. x$i) real_continuous at a
% Assm: !net c. (\x. c) real_continuous net
% Assm: !net f g. f real_continuous net /\ g real_continuous net ==> (\x. f x * g x) real_continuous net
% Assm: T
% Assm: !real_polynomial_function'. (!i. 1 <= i /\ i <= dimindex (:N) ==> real_polynomial_function' (\x. x$i)) /\ (!c. real_polynomial_function' (\x. c)) /\ (!f g. real_polynomial_function' f /\ real_polynomial_function' g ==> real_polynomial_function' (\x. f x + g x)) /\ (!f g. real_polynomial_function' f /\ real_polynomial_function' g ==> real_polynomial_function' (\x. f x * g x)) ==> (!a. real_polynomial_function a ==> real_polynomial_function' a)
% Goal: !f x. real_polynomial_function f ==> f real_continuous at x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_continuous, type, realu_continuous : ((cartrealn > real) > netcartrealn > $o)).
thf(crealuu_polynomialuu_function, type, realu_polynomialu_function : ((cartrealn > real) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CONTINUOUSu_ADD, axiom, ![F:(cartrealn > real),G:(cartrealn > real),NET:netcartrealn]:(((realu_continuous @ F @ NET) & (realu_continuous @ G @ NET)) => (realu_continuous @ ^[X:cartrealn]:(realu_add @ (F @ X) @ (G @ X)) @ NET))).
thf(aREALu_CONTINUOUSu_ATu_COMPONENT, axiom, ![I:num,A:cartrealn]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_continuous @ ^[X:cartrealn]:(d_ @ X @ I) @ (at @ A)))).
thf(aREALu_CONTINUOUSu_CONST, axiom, ![NET:netcartrealn,C:real]:(realu_continuous @ ^[X:cartrealn]:C @ NET)).
thf(aREALu_CONTINUOUSu_MUL, axiom, ![NET:netcartrealn,F:(cartrealn > real),G:(cartrealn > real)]:(((realu_continuous @ F @ NET) & (realu_continuous @ G @ NET)) => (realu_continuous @ ^[X:cartrealn]:(realu_mul @ (F @ X) @ (G @ X)) @ NET))).
thf(aTRUTH, axiom, $true).
thf(arealu_polynomialu_functionu_INDUCT, axiom, ![REALU_POLYNOMIALU_FUNCTIONI_:((cartrealn > real) > $o)]:((![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (REALU_POLYNOMIALU_FUNCTIONI_ @ ^[X:cartrealn]:(d_ @ X @ I))) & ![C:real]:(REALU_POLYNOMIALU_FUNCTIONI_ @ ^[X:cartrealn]:C) & ![F:(cartrealn > real),G:(cartrealn > real)]:(((REALU_POLYNOMIALU_FUNCTIONI_ @ F) & (REALU_POLYNOMIALU_FUNCTIONI_ @ G)) => (REALU_POLYNOMIALU_FUNCTIONI_ @ ^[X:cartrealn]:(realu_add @ (F @ X) @ (G @ X)))) & ![F:(cartrealn > real),G:(cartrealn > real)]:(((REALU_POLYNOMIALU_FUNCTIONI_ @ F) & (REALU_POLYNOMIALU_FUNCTIONI_ @ G)) => (REALU_POLYNOMIALU_FUNCTIONI_ @ ^[X:cartrealn]:(realu_mul @ (F @ X) @ (G @ X))))) => ![A:(cartrealn > real)]:((realu_polynomialu_function @ A) => (REALU_POLYNOMIALU_FUNCTIONI_ @ A)))).
thf(conjecture, conjecture, ![F:(cartrealn > real),X:cartrealn]:((realu_polynomialu_function @ F) => (realu_continuous @ F @ (at @ X)))).
