%   ORIGINAL: STONE_WEIERSTRASS_REAL_POLYNOMIAL_FUNCTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CONTINUOUS_AT_WITHIN: !f s x. f real_continuous at x ==> f real_continuous at x within s
% Assm: REAL_CONTINUOUS_REAL_POLYMONIAL_FUNCTION: !f x. real_polynomial_function f ==> f real_continuous at x
% Assm: STONE_WEIERSTRASS: !P s. compact s /\ (!f. P f ==> (!x. x IN s ==> f real_continuous at x within s)) /\ (!c. P (\x. c)) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. P f /\ ~(f x = f y))) ==> (!f e. (!x. x IN s ==> f real_continuous at x within s) /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> abs (f x - g x) < e)))
% Assm: TRUTH: T
% Assm: real_polynomial_function_RULES_conjunct0: !i. 1 <= i /\ i <= dimindex (:N) ==> real_polynomial_function (\x. x$i)
% Assm: real_polynomial_function_RULES_conjunct1: !c. real_polynomial_function (\x. c)
% Assm: real_polynomial_function_RULES_conjunct2: !f g. real_polynomial_function f /\ real_polynomial_function g ==> real_polynomial_function (\x. f x + g x)
% Assm: real_polynomial_function_RULES_conjunct3: !f g. real_polynomial_function f /\ real_polynomial_function g ==> real_polynomial_function (\x. f x * g x)
% Goal: !f s e. compact s /\ (!x. x IN s ==> f real_continuous at x within s) /\ &0 < e ==> (?g. real_polynomial_function g /\ (!x. x IN s ==> abs (f x - g x) < e))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: ~F <=> T
% Assm: !f s x. f real_continuous at x ==> f real_continuous at x within s
% Assm: !f x. real_polynomial_function f ==> f real_continuous at x
% Assm: !P s. compact s /\ (!f. P f ==> (!x. x IN s ==> f real_continuous at x within s)) /\ (!c. P (\x. c)) /\ (!f g. P f /\ P g ==> P (\x. f x + g x)) /\ (!f g. P f /\ P g ==> P (\x. f x * g x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> (?f. P f /\ ~(f x = f y))) ==> (!f e. (!x. x IN s ==> f real_continuous at x within s) /\ &0 < e ==> (?g. P g /\ (!x. x IN s ==> abs (f x - g x) < e)))
% Assm: T
% Assm: !i. 1 <= i /\ i <= dimindex (:N) ==> real_polynomial_function (\x. x$i)
% Assm: !c. real_polynomial_function (\x. c)
% Assm: !f g. real_polynomial_function f /\ real_polynomial_function g ==> real_polynomial_function (\x. f x + g x)
% Assm: !f g. real_polynomial_function f /\ real_polynomial_function g ==> real_polynomial_function (\x. f x * g x)
% Goal: !f s e. compact s /\ (!x. x IN s ==> f real_continuous at x within s) /\ &0 < e ==> (?g. real_polynomial_function g /\ (!x. x IN s ==> abs (f x - g x) < e))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartab, type, cartab : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_continuous, type, realu_continuous : ((cartrealn > real) > netcartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netcartrealn > (cartrealn > $o) > netcartrealn)).
thf(crealuu_polynomialuu_function, type, realu_polynomialu_function : ((cartrealn > real) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CONTINUOUSu_ATu_WITHIN, axiom, ![F:(cartrealn > real),S:(cartrealn > $o),X:cartrealn]:((realu_continuous @ F @ (at @ X)) => (realu_continuous @ F @ (within @ (at @ X) @ S)))).
thf(aREALu_CONTINUOUSu_REALu_POLYMONIALu_FUNCTION, axiom, ![F:(cartrealn > real),X:cartrealn]:((realu_polynomialu_function @ F) => (realu_continuous @ F @ (at @ X)))).
thf(aSTONEu_WEIERSTRASS, axiom, ![P:((cartrealn > real) > $o),S:(cartrealn > $o)]:(((compact @ S) & ![F:(cartrealn > real)]:((P @ F) => ![X:cartrealn]:((in @ X @ S) => (realu_continuous @ F @ (within @ (at @ X) @ S)))) & ![C:real]:(P @ ^[X:cartrealn]:C) & ![F:(cartrealn > real),G:(cartrealn > real)]:(((P @ F) & (P @ G)) => (P @ ^[X:cartrealn]:(realu_add @ (F @ X) @ (G @ X)))) & ![F:(cartrealn > real),G:(cartrealn > real)]:(((P @ F) & (P @ G)) => (P @ ^[X:cartrealn]:(realu_mul @ (F @ X) @ (G @ X)))) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => ?[F:(cartrealn > real)]:((P @ F) & ~ (((F @ X) = (F @ Y)))))) => ![F:(cartrealn > real),E:real]:((![X:cartrealn]:((in @ X @ S) => (realu_continuous @ F @ (within @ (at @ X) @ S))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[G:(cartrealn > real)]:((P @ G) & ![X:cartrealn]:((in @ X @ S) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ (G @ X))) @ E)))))).
thf(aTRUTH, axiom, $true).
thf(arealu_polynomialu_functionu_RULESu_conjunct0, axiom, ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => (realu_polynomialu_function @ ^[X:cartrealn]:(d_0 @ X @ I)))).
thf(arealu_polynomialu_functionu_RULESu_conjunct1, axiom, ![C:real]:(realu_polynomialu_function @ ^[X:cartrealn]:C)).
thf(arealu_polynomialu_functionu_RULESu_conjunct2, axiom, ![F:(cartrealn > real),G:(cartrealn > real)]:(((realu_polynomialu_function @ F) & (realu_polynomialu_function @ G)) => (realu_polynomialu_function @ ^[X:cartrealn]:(realu_add @ (F @ X) @ (G @ X))))).
thf(arealu_polynomialu_functionu_RULESu_conjunct3, axiom, ![F:(cartrealn > real),G:(cartrealn > real)]:(((realu_polynomialu_function @ F) & (realu_polynomialu_function @ G)) => (realu_polynomialu_function @ ^[X:cartrealn]:(realu_mul @ (F @ X) @ (G @ X))))).
thf(conjecture, conjecture, ![F:(cartrealn > real),S:(cartrealn > $o),E:real]:(((compact @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_continuous @ F @ (within @ (at @ X) @ S))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[G:(cartrealn > real)]:((realu_polynomialu_function @ G) & ![X:cartrealn]:((in @ X @ S) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ (G @ X))) @ E))))).
