%   ORIGINAL: CONTINUOUS_VECTOR_POLYNOMIAL_FUNCTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_COMPONENTWISE: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. f x$i) real_continuous net)
% Assm: REAL_CONTINUOUS_REAL_POLYMONIAL_FUNCTION: !f x. real_polynomial_function f ==> f real_continuous at x
% Assm: TRUTH: T
% Assm: vector_polynomial_function: !f. vector_polynomial_function f <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> real_polynomial_function (\x. f x$i))
% Goal: !f x. vector_polynomial_function f ==> f continuous at x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. f x$i) real_continuous net)
% Assm: !f x. real_polynomial_function f ==> f real_continuous at x
% Assm: T
% Assm: !f. vector_polynomial_function f <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> real_polynomial_function (\x. f x$i))
% Goal: !f x. vector_polynomial_function f ==> f continuous at x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_continuous, type, realu_continuous : ((cartrealm > real) > netcartrealm > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(crealuu_polynomialuu_function, type, realu_polynomialu_function : ((cartrealm > real) > $o)).
thf(cvectoruu_polynomialuu_function, type, vectoru_polynomialu_function : ((cartrealm > cartrealn) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_COMPONENTWISE, axiom, ![NET:netcartrealm,F:(cartrealm > cartrealn)]:((continuous @ F @ NET) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_continuous @ ^[X:cartrealm]:(d_ @ (F @ X) @ I) @ NET)))).
thf(aREALu_CONTINUOUSu_REALu_POLYMONIALu_FUNCTION, axiom, ![F:(cartrealm > real),X:cartrealm]:((realu_polynomialu_function @ F) => (realu_continuous @ F @ (at @ X)))).
thf(aTRUTH, axiom, $true).
thf(avectoru_polynomialu_function, axiom, ![F:(cartrealm > cartrealn)]:((vectoru_polynomialu_function @ F) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_polynomialu_function @ ^[X:cartrealm]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),X:cartrealm]:((vectoru_polynomialu_function @ F) => (continuous @ F @ (at @ X)))).
