%   ORIGINAL: STONE_WEIERSTRASS_VECTOR_POLYNOMIAL_FUNCTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_NUMSEG_1: !n. CARD (1..n) = n
% Assm: CONTINUOUS_COMPONENTWISE: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. f x$i) real_continuous net)
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: DIMINDEX_GE_1: !s. 1 <= dimindex s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_1_conjunct4: !n. 1 <= n ==> 0 < n
% Assm: NORM_LE_L1: !x. norm x <= sum (1..dimindex (:N)) (\i. abs (x$i))
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: NUMSEG_EMPTY: !m n. m..n = {} <=> n < m
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LT_DIV: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: STONE_WEIERSTRASS_REAL_POLYNOMIAL_FUNCTION: !f s e. compact s /\ (!x. x IN s ==> f real_continuous at x within s) /\ &0 < e ==> (?g. real_polynomial_function g /\ (!x. x IN s ==> abs (f x - g x) < e))
% Assm: SUM_BOUND_LT_GEN: !s f b. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x < b / &(CARD s)) ==> sum s f < b
% Assm: TRUTH: T
% Assm: VECTOR_SUB_COMPONENT: !x y i. (x - y)$i = x$i - y$i
% Assm: vector_polynomial_function: !f. vector_polynomial_function f <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> real_polynomial_function (\x. f x$i))
% Goal: !f s e. compact s /\ f continuous_on s /\ &0 < e ==> (?g. vector_polynomial_function g /\ (!x. x IN s ==> norm (f x - g x) < e))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. CARD (1..n) = n
% Assm: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. f x$i) real_continuous net)
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: !s. 1 <= dimindex s
% Assm: !t. (\x. t x) = t
% Assm: !m n. FINITE (m..n)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !n. 1 <= n ==> 0 < n
% Assm: !x. norm x <= sum (1..dimindex (:N)) (\i. abs (x$i))
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: !m n. m..n = {} <=> n < m
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: !m n. &m < &n <=> m < n
% Assm: !f s e. compact s /\ (!x. x IN s ==> f real_continuous at x within s) /\ &0 < e ==> (?g. real_polynomial_function g /\ (!x. x IN s ==> abs (f x - g x) < e))
% Assm: !s f b. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x < b / &(CARD s)) ==> sum s f < b
% Assm: T
% Assm: !x y i. (x - y)$i = x$i - y$i
% Assm: !f. vector_polynomial_function f <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> real_polynomial_function (\x. f x$i))
% Goal: !f s e. compact s /\ f continuous_on s /\ &0 < e ==> (?g. vector_polynomial_function g /\ (!x. x IN s ==> norm (f x - g x) < e))
%  TYPES
thf(tneta, type, neta : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartab, type, cartab : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cuniv, type, univ : (n > $o)).
thf(csum0, type, sum0 : ((cartrealm > $o) > (cartrealm > real) > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_continuous0, type, realu_continuous0 : ((cartrealm > real) > netcartrealm > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(ccontinuous0, type, continuous0 : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_continuous, type, realu_continuous : ((a > real) > neta > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccontinuous, type, continuous : ((a > cartrealn) > neta > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cdu_0, type, d_0 : (cartab > num > a)).
thf(clambda0, type, lambda0 : ((num > a) > cartab)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (num > $o)).
thf(cempty0, type, empty0 : (cartrealm > $o)).
thf(cfinite0, type, finite0 : ((cartrealm > $o) > $o)).
thf(crealuu_polynomialuu_function, type, realu_polynomialu_function : ((cartrealm > real) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cvectoruu_polynomialuu_function, type, vectoru_polynomialu_function : ((cartrealm > cartrealn) > $o)).
thf(ccompact, type, compact : ((cartrealm > $o) > $o)).
thf(ccard0, type, card0 : ((cartrealm > $o) > num)).
thf(cdimindex1, type, dimindex1 : ((b > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((a > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(ccard, type, card : ((num > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_NUMSEGu_1, axiom, ![N:num]:((card @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) = N)).
thf(aCONTINUOUSu_COMPONENTWISE, axiom, ![NET:neta,F:(a > cartrealn)]:((continuous @ F @ NET) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_continuous @ ^[X:a]:(d_ @ (F @ X) @ I) @ NET)))).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (continuous0 @ F @ (within @ (at @ X) @ S))))).
thf(aDIMINDEXu_GEu_1, axiom, ![S:(a > $o)]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex1 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_1u_conjunct4, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => (l_ @ (numeral @ u_0) @ N))).
thf(aNORMu_LEu_L1, axiom, ![X:cartrealn]:(realu_le @ (vectoru_norm @ X) @ (sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_abs @ (d_ @ X @ I))))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aNUMSEGu_EMPTY, axiom, ![M:num,N:num]:(((o_o_ @ M @ N) = empty) <=> (l_ @ N @ M))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LTu_DIV, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aSTONEu_WEIERSTRASSu_REALu_POLYNOMIALu_FUNCTION, axiom, ![F:(cartrealm > real),S:(cartrealm > $o),E:real]:(((compact @ S) & ![X:cartrealm]:((in @ X @ S) => (realu_continuous0 @ F @ (within @ (at @ X) @ S))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[G:(cartrealm > real)]:((realu_polynomialu_function @ G) & ![X:cartrealm]:((in @ X @ S) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ (G @ X))) @ E))))).
thf(aSUMu_BOUNDu_LTu_GEN, axiom, ![S:(cartrealm > $o),F:(cartrealm > real),B:real]:(((finite0 @ S) & ~ ((S = empty0)) & ![X:cartrealm]:((in @ X @ S) => (realu_lt @ (F @ X) @ (realu_div @ B @ (realu_ofu_num @ (card0 @ S)))))) => (realu_lt @ (sum0 @ S @ F) @ B))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_ @ (vectoru_sub @ X @ Y) @ I) = (realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(avectoru_polynomialu_function, axiom, ![F:(cartrealm > cartrealn)]:((vectoru_polynomialu_function @ F) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_polynomialu_function @ ^[X:cartrealm]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),E:real]:(((compact @ S) & (continuousu_on @ F @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[G:(cartrealm > cartrealn)]:((vectoru_polynomialu_function @ G) & ![X:cartrealm]:((in @ X @ S) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (F @ X) @ (G @ X))) @ E))))).
