%   ORIGINAL: MEASURABLE_ON_COMPLEX_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_LZERO: !x. Cx (&0) * x = Cx (&0)
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: MEASURABLE_ON_COMPLEX_INV: !f. measurable_on f (:real^N) /\ negligible {x | f x = Cx (&0)} ==> measurable_on (\x. inv (f x)) (:real^N)
% Assm: MEASURABLE_ON_COMPLEX_MUL: !f g s. measurable_on f s /\ measurable_on g s ==> measurable_on (\x. f x * g x) s
% Assm: MEASURABLE_ON_UNIV: measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !f g s. measurable_on f s /\ measurable_on g (:real^N) /\ negligible {x | g x = Cx (&0)} ==> measurable_on (\x. f x / g x) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Cx (&0) * x = Cx (&0)
% Assm: vec 0 = Cx (&0)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. x IN (:real^N)
% Assm: !f. measurable_on f (:real^N) /\ negligible {x | f x = Cx (&0)} ==> measurable_on (\x. inv (f x)) (:real^N)
% Assm: !f g s. measurable_on f s /\ measurable_on g s ==> measurable_on (\x. f x * g x) s
% Assm: !f s. measurable_on (\x. if x IN s then f x else vec 0) (:real^N) <=> measurable_on f s
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !f g s. measurable_on f s /\ measurable_on g (:real^N) /\ negligible {x | g x = Cx (&0)} ==> measurable_on (\x. f x / g x) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealn > cartrealn2) > (cartrealn > $o) > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_LZERO, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn2,T2:cartrealn2]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aMEASURABLEu_ONu_COMPLEXu_INV, axiom, ![F:(cartrealn > cartrealn2)]:(((measurableu_on @ F @ univ) & (negligible @ (gspec @ ^[GENR_PVARR_2485:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_2485 @ ((F @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) @ X)))) => (measurableu_on @ ^[X:cartrealn]:(complexu_inv @ (F @ X)) @ univ))).
thf(aMEASURABLEu_ONu_COMPLEXu_MUL, axiom, ![F:(cartrealn > cartrealn2),G:(cartrealn > cartrealn2),S:(cartrealn > $o)]:(((measurableu_on @ F @ S) & (measurableu_on @ G @ S)) => (measurableu_on @ ^[X:cartrealn]:(complexu_mul @ (F @ X) @ (G @ X)) @ S))).
thf(aMEASURABLEu_ONu_UNIV, axiom, ![F:(cartrealn > cartrealn2),S:(cartrealn > $o)]:((measurableu_on @ ^[X:cartrealn]:(cond @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ) <=> (measurableu_on @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealn2),G:(cartrealn > cartrealn2),S:(cartrealn > $o)]:(((measurableu_on @ F @ S) & (measurableu_on @ G @ univ) & (negligible @ (gspec @ ^[GENR_PVARR_2487:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_2487 @ ((G @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) @ X)))) => (measurableu_on @ ^[X:cartrealn]:(complexu_div @ (F @ X) @ (G @ X)) @ S))).
