%   ORIGINAL: REAL_MEASURABLE_ON_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: IMAGE_LIFT_UNIV: IMAGE lift (:real) = (:real^1)
% Assm: IN_IMAGE_LIFT_DROP_conjunct0: !x s. x IN IMAGE lift s <=> drop x IN s
% Assm: IN_IMAGE_LIFT_DROP_conjunct1: !x s. x IN IMAGE drop s <=> lift x IN s
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: MEASURABLE_ON_UNIV: measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_measurable_on: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: real_measurable_on (\x. if x IN s then f x else &0) (:real) <=> real_measurable_on f s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: IMAGE lift (:real) = (:real^1)
% Assm: !x s. x IN IMAGE lift s <=> drop x IN s
% Assm: !x s. x IN IMAGE drop s <=> lift x IN s
% Assm: !n. lift (&n) = vec n
% Assm: !f s. measurable_on (\x. if x IN s then f x else vec 0) (:real^M) <=> measurable_on f s
% Assm: ~F <=> T
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !s f. real_measurable_on (\x. if x IN s then f x else &0) (:real) <=> real_measurable_on f s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq549899, type, cartrealq549899 : $tType).
thf(tq549899, type, q549899 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cin1, type, in1 : (cartrealm > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealq549899) > (cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co0, type, o0 : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(ccond0, type, cond0 : ($o > cartrealq549899 > cartrealq549899 > cartrealq549899)).
thf(cimage0, type, image0 : ((cartrealn1 > real) > (cartrealn1 > $o) > real > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cuniv1, type, univ1 : (cartrealm > $o)).
thf(cuniv0, type, univ0 : (cartrealn1 > $o)).
thf(cvec0, type, vec0 : (num > cartrealq549899)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_RAND, axiom, ![B:$o,F:(real > real),X:real,Y:real]:((F @ (cond @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aIMAGEu_LIFTu_UNIV, axiom, ((image @ lift @ univ) = univ0)).
thf(aINu_IMAGEu_LIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1,S:(real > $o)]:((in0 @ X @ (image @ lift @ S)) <=> (in @ (drop @ X) @ S))).
thf(aINu_IMAGEu_LIFTu_DROPu_conjunct1, axiom, ![X:real,S:(cartrealn1 > $o)]:((in @ X @ (image0 @ drop @ S)) <=> (in0 @ (lift @ X) @ S))).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aMEASURABLEu_ONu_UNIV, axiom, ![F:(cartrealm > cartrealq549899),S:(cartrealm > $o)]:((measurableu_on @ ^[X:cartrealm]:(cond0 @ (in1 @ X @ S) @ (F @ X) @ (vec0 @ (numeral @ u_0))) @ univ1) <=> (measurableu_on @ F @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(arealu_measurableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) <=> (measurableu_on0 @ (o0 @ lift @ (o1 @ F @ drop)) @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![S:(real > $o),F:(real > real)]:((realu_measurableu_on @ ^[X:real]:(cond @ (in @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ univ) <=> (realu_measurableu_on @ F @ S))).
