%   ORIGINAL: REAL_LEBESGUE_MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: IMAGE_LIFT_UNIV: IMAGE lift (:real) = (:real^1)
% Assm: IN_IMAGE_LIFT_DROP_conjunct0: !x s. x IN IMAGE lift s <=> drop x IN s
% Assm: LIFT_NUM: !n. lift (&n) = vec n
% Assm: TRUTH: T
% Assm: indicator: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: lebesgue_measurable: !s. lebesgue_measurable s <=> measurable_on (indicator s) (:real^N)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_lebesgue_measurable: !s. real_lebesgue_measurable s <=> real_measurable_on (\x. if x IN s then &1 else &0) (:real)
% Assm: real_measurable_on: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !b f x y. f (if b then x else y) <=> (if b then f x else f y)
% Assm: IMAGE lift (:real) = (:real^1)
% Assm: !x s. x IN IMAGE lift s <=> drop x IN s
% Assm: !n. lift (&n) = vec n
% Assm: T
% Assm: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: !s. lebesgue_measurable s <=> measurable_on (indicator s) (:real^1)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !s. real_lebesgue_measurable s <=> real_measurable_on (\x. if x IN s then &1 else &0) (:real)
% Assm: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cin1, type, in1 : (cartrealm > (cartrealm > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(co1, type, o1 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co0, type, o0 : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(ccond2, type, cond2 : ($o > real > real > real)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(cindicator0, type, indicator0 : ((cartrealn1 > $o) > cartrealn1 > cartrealn1)).
thf(ccond1, type, cond1 : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cindicator, type, indicator : ((cartrealm > $o) > cartrealm > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond0, type, cond0 : ($o > $o > $o > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cuniv0, type, univ0 : (cartrealn1 > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn1 > $o) > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_RAND, axiom, ![B:$o,F:(a > $o),X:a,Y:a]:((F @ (cond @ B @ X @ Y)) <=> (cond0 @ B @ (F @ X) @ (F @ Y)))).
thf(aIMAGEu_LIFTu_UNIV, axiom, ((image @ lift @ univ) = univ0)).
thf(aINu_IMAGEu_LIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1,S:(real > $o)]:((in @ X @ (image @ lift @ S)) <=> (in0 @ (drop @ X) @ S))).
thf(aLIFTu_NUM, axiom, ![N:num]:((lift @ (realu_ofu_num @ N)) = (vec @ N))).
thf(aTRUTH, axiom, $true).
thf(aindicator, axiom, ![S:(cartrealm > $o)]:((indicator @ S) = ^[X:cartrealm]:(cond1 @ (in1 @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))))).
thf(alebesgueu_measurable, axiom, ![S:(cartrealn1 > $o)]:((lebesgueu_measurable @ S) <=> (measurableu_on @ (indicator0 @ S) @ univ0))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(arealu_lebesgueu_measurable, axiom, ![S:(real > $o)]:((realu_lebesgueu_measurable @ S) <=> (realu_measurableu_on @ ^[X:real]:(cond2 @ (in0 @ X @ S) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))) @ univ))).
thf(arealu_measurableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) <=> (measurableu_on @ (o0 @ lift @ (o1 @ F @ drop)) @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_lebesgueu_measurable @ S) <=> (lebesgueu_measurable @ (image @ lift @ S)))).
