%   ORIGINAL: REAL_MEASURABLE_BOUNDED_BY_INTEGRABLE_IMP_ABSOLUTELY_INTEGRABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ABSOLUTELY_REAL_INTEGRABLE_ON: f absolutely_real_integrable_on s <=> lift o f o drop absolutely_integrable_on IMAGE lift s
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: MEASURABLE_BOUNDED_BY_INTEGRABLE_IMP_ABSOLUTELY_INTEGRABLE: !f g s. measurable_on f s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> f absolutely_integrable_on s
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: REAL_INTEGRABLE_ON: f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: real_measurable_on: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !f g s. real_measurable_on f s /\ g real_integrable_on s /\ (!x. x IN s ==> abs (f x) <= g x) ==> f absolutely_real_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f absolutely_real_integrable_on s <=> lift o f o drop absolutely_integrable_on IMAGE lift s
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. drop (lift x) = x
% Assm: !f g s. measurable_on f s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> f absolutely_integrable_on s
% Assm: !x. norm (lift x) = abs x
% Assm: !f s. f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !f g s. real_measurable_on f s /\ g real_integrable_on s /\ (!x. x IN s ==> abs (f x) <= g x) ==> f absolutely_real_integrable_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(cabsolutelyuu_integrableuu_on0, type, absolutelyu_integrableu_on0 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cabsolutelyuu_realuu_integrableuu_on, type, absolutelyu_realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aABSOLUTELYu_REALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((absolutelyu_realu_integrableu_on @ F @ S) <=> (absolutelyu_integrableu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aMEASURABLEu_BOUNDEDu_BYu_INTEGRABLEu_IMPu_ABSOLUTELYu_INTEGRABLE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn1),S:(cartrealm > $o)]:(((measurableu_on @ F @ S) & (integrableu_on @ G @ S) & ![X:cartrealm]:((in0 @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (drop @ (G @ X))))) => (absolutelyu_integrableu_on0 @ F @ S))).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm0 @ (lift @ X)) = (realu_abs @ X))).
thf(aREALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (integrableu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(arealu_measurableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) <=> (measurableu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_measurableu_on @ F @ S) & (realu_integrableu_on @ G @ S) & ![X:real]:((in @ X @ S) => (realu_le @ (realu_abs @ (F @ X)) @ (G @ X)))) => (absolutelyu_realu_integrableu_on @ F @ S))).
