%   ORIGINAL: INTEGRABLE_IMP_REAL_MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGRABLE_IMP_MEASURABLE: !f s. f integrable_on s ==> measurable_on f s
% Assm: REAL_INTEGRABLE_ON: f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: TRUTH: T
% Assm: real_measurable_on: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !f s. f real_integrable_on s ==> real_measurable_on f s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f integrable_on s ==> measurable_on f s
% Assm: !f s. f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: T
% Assm: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !f s. f real_integrable_on s ==> real_measurable_on f s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGRABLEu_IMPu_MEASURABLE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ F @ S) => (measurableu_on @ F @ S))).
thf(aREALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (integrableu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(arealu_measurableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) <=> (measurableu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) => (realu_measurableu_on @ F @ S))).
