%   ORIGINAL: ABSOLUTELY_REAL_INTEGRABLE_REAL_MEASURABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INTEGRABLE_IMP_REAL_MEASURABLE: !f s. f real_integrable_on s ==> real_measurable_on f s
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_MEASURABLE_BOUNDED_BY_INTEGRABLE_IMP_INTEGRABLE: !f g s. real_measurable_on f s /\ g real_integrable_on s /\ (!x. x IN s ==> abs (f x) <= g x) ==> f real_integrable_on s
% Assm: TRUTH: T
% Assm: absolutely_real_integrable_on: !f s. f absolutely_real_integrable_on s <=> f real_integrable_on s /\ (\x. abs (f x)) real_integrable_on s
% Goal: !f s. f absolutely_real_integrable_on s <=> real_measurable_on f s /\ (\x. abs (f x)) real_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. f real_integrable_on s ==> real_measurable_on f s
% Assm: !x. x <= x
% Assm: !f g s. real_measurable_on f s /\ g real_integrable_on s /\ (!x. x IN s ==> abs (f x) <= g x) ==> f real_integrable_on s
% Assm: T
% Assm: !f s. f absolutely_real_integrable_on s <=> f real_integrable_on s /\ (\x. abs (f x)) real_integrable_on s
% Goal: !f s. f absolutely_real_integrable_on s <=> real_measurable_on f s /\ (\x. abs (f x)) real_integrable_on s
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(cabsolutelyuu_realuu_integrableuu_on, type, absolutelyu_realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINTEGRABLEu_IMPu_REALu_MEASURABLE, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) => (realu_measurableu_on @ F @ S))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_MEASURABLEu_BOUNDEDu_BYu_INTEGRABLEu_IMPu_INTEGRABLE, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_measurableu_on @ F @ S) & (realu_integrableu_on @ G @ S) & ![X:real]:((in @ X @ S) => (realu_le @ (realu_abs @ (F @ X)) @ (G @ X)))) => (realu_integrableu_on @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(aabsolutelyu_realu_integrableu_on, axiom, ![F:(real > real),S:(real > $o)]:((absolutelyu_realu_integrableu_on @ F @ S) <=> ((realu_integrableu_on @ F @ S) & (realu_integrableu_on @ ^[X:real]:(realu_abs @ (F @ X)) @ S)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((absolutelyu_realu_integrableu_on @ F @ S) <=> ((realu_measurableu_on @ F @ S) & (realu_integrableu_on @ ^[X:real]:(realu_abs @ (F @ X)) @ S)))).
