%   ORIGINAL: REAL_MEASURABLE_ON_COMPOSE_CONTINUOUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_LIFT_UNIV: IMAGE lift (:real) = (:real^1)
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: MEASURABLE_ON_COMPOSE_CONTINUOUS: !f g. measurable_on f (:real^M) /\ g continuous_on (:real^N) ==> measurable_on (g o f) (:real^M)
% Assm: REAL_CONTINUOUS_ON: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_measurable_on: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !f g. real_measurable_on f (:real) /\ g real_continuous_on (:real) ==> real_measurable_on (g o f) (:real)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: IMAGE lift (:real) = (:real^1)
% Assm: !x. drop (lift x) = x
% Assm: !f g. measurable_on f (:real^M) /\ g continuous_on (:real^N) ==> measurable_on (g o f) (:real^M)
% Assm: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !f g. real_measurable_on f (:real) /\ g real_continuous_on (:real) ==> real_measurable_on (g o f) (:real)
%  TYPES
thf(tp, type, p : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasurableuu_on1, type, measurableu_on1 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealm > cartrealp) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealp) > (cartrealn > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(co2, type, o2 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co1, type, o1 : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(co0, type, o0 : ((cartrealn > cartrealp) > (cartrealm > cartrealn) > cartrealm > cartrealp)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(cuniv2, type, univ2 : (cartrealn > $o)).
thf(cuniv1, type, univ1 : (cartrealm > $o)).
thf(cuniv0, type, univ0 : (cartrealn1 > $o)).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_LIFTu_UNIV, axiom, ((image @ lift @ univ) = univ0)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aMEASURABLEu_ONu_COMPOSEu_CONTINUOUS, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealp)]:(((measurableu_on @ F @ univ1) & (continuousu_on @ G @ univ2)) => (measurableu_on0 @ (o0 @ G @ F) @ univ1))).
thf(aREALu_CONTINUOUSu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_continuousu_on @ F @ S) <=> (continuousu_on0 @ (o1 @ lift @ (o2 @ F @ drop)) @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(real > real),G:(real > real)]:((o @ F @ G) = ^[X:real]:(F @ (G @ X)))).
thf(arealu_measurableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) <=> (measurableu_on1 @ (o1 @ lift @ (o2 @ F @ drop)) @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real)]:(((realu_measurableu_on @ F @ univ) & (realu_continuousu_on @ G @ univ)) => (realu_measurableu_on @ (o @ G @ F) @ univ))).
