%   ORIGINAL: REAL_MEASURABLE_ON_COMPOSE_CONTINUOUS_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MEASURABLE_ON_COMPOSE_CONTINUOUS: !f g. real_measurable_on f (:real) /\ g real_continuous_on (:real) ==> real_measurable_on (g o f) (:real)
% Assm: REAL_MEASURABLE_ON_UNIV: real_measurable_on (\x. if x IN s then f x else &0) (:real) <=> real_measurable_on f s
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g s. real_measurable_on f s /\ g real_continuous_on (:real) /\ g (&0) = &0 ==> real_measurable_on (g o f) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: !f g. real_measurable_on f (:real) /\ g real_continuous_on (:real) ==> real_measurable_on (g o f) (:real)
% Assm: !f s. real_measurable_on (\x. if x IN s then f x else &0) (:real) <=> real_measurable_on f s
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g s. real_measurable_on f s /\ g real_continuous_on (:real) /\ g (&0) = &0 ==> real_measurable_on (g o f) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MEASURABLEu_ONu_COMPOSEu_CONTINUOUS, axiom, ![F:(real > real),G:(real > real)]:(((realu_measurableu_on @ F @ univ) & (realu_continuousu_on @ G @ univ)) => (realu_measurableu_on @ (o @ G @ F) @ univ))).
thf(aREALu_MEASURABLEu_ONu_UNIV, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ ^[X:real]:(cond @ (in @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ univ) <=> (realu_measurableu_on @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(real > real),G:(real > real)]:((o @ F @ G) = ^[X:real]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_measurableu_on @ F @ S) & (realu_continuousu_on @ G @ univ) & ((G @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))) => (realu_measurableu_on @ (o @ G @ F) @ S))).
