%   ORIGINAL: REAL_MEASURABLE_ON_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: MEASURABLE_ON_CMUL: !c f s. measurable_on f s ==> measurable_on (\x. c % f x) s
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_measurable_on: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !c f s. real_measurable_on f s ==> real_measurable_on (\x. c * f x) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !c f s. measurable_on f s ==> measurable_on (\x. c % f x) s
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !c f s. real_measurable_on f s ==> real_measurable_on (\x. c * f x) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co1, type, o1 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co0, type, o0 : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(cru_0, type, r_0 : (real > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_ @ C @ (lift @ X)))).
thf(aMEASURABLEu_ONu_CMUL, axiom, ![C:real,F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((measurableu_on @ F @ S) => (measurableu_on @ ^[X:cartrealm]:(r_0 @ C @ (F @ X)) @ S))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(arealu_measurableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) <=> (measurableu_on0 @ (o0 @ lift @ (o1 @ F @ drop)) @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![C:real,F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) => (realu_measurableu_on @ ^[X:real]:(realu_mul @ C @ (F @ X)) @ S))).
