%   ORIGINAL: REAL_MEASURABLE_ON_MAX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: FORALL_1: (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: MEASURABLE_ON_MAX: !f g s. measurable_on f s /\ measurable_on g s ==> measurable_on (\x. lambda i. max (f x$i) (g x$i)) s
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: real_measurable_on: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !f g s. real_measurable_on f s /\ real_measurable_on g s ==> real_measurable_on (\x. max (f x) (g x)) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: dimindex (:1) = 1
% Assm: !P. (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !x. drop (lift x) = x
% Assm: !f g s. measurable_on f s /\ measurable_on g s ==> measurable_on (\x. lambda i. max (f x$i) (g x$i)) s
% Assm: T
% Assm: !x. drop x = x$1
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !f g s. real_measurable_on f s /\ real_measurable_on g s ==> real_measurable_on (\x. max (f x) (g x)) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartab, type, cartab : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdu_1, type, d_1 : (cartrealn1 > num > real)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(clambda0, type, lambda0 : ((num > a) > cartab)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co1, type, o1 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co0, type, o0 : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(cuniv0, type, univ0 : (n1 > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((n1 > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDIMINDEXu_1, axiom, ((dimindex0 @ univ0) = (numeral @ (bit1 @ u_0)))).
thf(aFORALLu_1, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ u_0)))) => (P @ I)) <=> (P @ (numeral @ (bit1 @ u_0))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aMEASURABLEu_ONu_MAX, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((measurableu_on @ F @ S) & (measurableu_on @ G @ S)) => (measurableu_on @ ^[X:cartrealm]:(lambda1 @ ^[I:num]:(realu_max @ (d_0 @ (F @ X) @ I) @ (d_0 @ (G @ X) @ I))) @ S))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_1 @ X @ (numeral @ (bit1 @ u_0))))).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(arealu_measurableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) <=> (measurableu_on0 @ (o0 @ lift @ (o1 @ F @ drop)) @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_measurableu_on @ F @ S) & (realu_measurableu_on @ G @ S)) => (realu_measurableu_on @ ^[X:real]:(realu_max @ (F @ X) @ (G @ X)) @ S))).
