%   ORIGINAL: REAL_MEASURABLE_ON_SPIKE_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: MEASURABLE_ON_SPIKE_SET: !f s t. negligible (s DIFF t UNION t DIFF s) ==> measurable_on f s ==> measurable_on f t
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: real_measurable_on: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Assm: real_negligible: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !f s t. real_negligible (s DIFF t UNION t DIFF s) ==> real_measurable_on f s ==> real_measurable_on f t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !f s t. negligible (s DIFF t UNION t DIFF s) ==> measurable_on f s ==> measurable_on f t
% Assm: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Assm: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !f s t. real_negligible (s DIFF t UNION t DIFF s) ==> real_measurable_on f s ==> real_measurable_on f t
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin1, type, in1 : (b > (b > $o) > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cdiff0, type, diff0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cunion0, type, union0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(cnegligible1, type, negligible1 : ((cartrealn1 > $o) > $o)).
thf(cnegligible0, type, negligible0 : ((cartrealn > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in1 @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_UNION, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aMEASURABLEu_ONu_SPIKEu_SET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:((negligible @ (union0 @ (diff0 @ S @ T) @ (diff0 @ T @ S))) => ((measurableu_on @ F @ S) => (measurableu_on @ F @ T)))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((negligible0 @ S) & (subset @ T @ S)) => (negligible0 @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(arealu_measurableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) <=> (measurableu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image0 @ lift @ S)))).
thf(arealu_negligible, axiom, ![S:(real > $o)]:((realu_negligible @ S) <=> (negligible1 @ (image0 @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o)]:((realu_negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((realu_measurableu_on @ F @ S) => (realu_measurableu_on @ F @ T)))).
