%   ORIGINAL: REAL_MEASURABLE_ON_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CX_MUL: !x y. Cx (x * y) = Cx x * Cx y
% Assm: MEASURABLE_ON_COMPLEX_MUL: !f g s. measurable_on f s /\ measurable_on g s ==> measurable_on (\x. f x * g x) s
% Assm: REAL_COMPLEX_MEASURABLE_ON: !f s. real_measurable_on f s <=> measurable_on (Cx o f o drop) (IMAGE lift s)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g. real_measurable_on f s /\ real_measurable_on g s ==> real_measurable_on (\x. f x * g x) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. Cx (x * y) = Cx x * Cx y
% Assm: !f g s. measurable_on f s /\ measurable_on g s ==> measurable_on (\x. f x * g x) s
% Assm: !f s. real_measurable_on f s <=> measurable_on (Cx o f o drop) (IMAGE lift s)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !s f g. real_measurable_on f s /\ real_measurable_on g s ==> real_measurable_on (\x. f x * g x) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn1 > cartrealn2) > (cartrealn1 > $o) > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealn > cartrealn2) > (cartrealn > $o) > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn2) > (cartrealn1 > real) > cartrealn1 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCXu_MUL, axiom, ![X:real,Y:real]:((cx @ (realu_mul @ X @ Y)) = (complexu_mul @ (cx @ X) @ (cx @ Y)))).
thf(aMEASURABLEu_ONu_COMPLEXu_MUL, axiom, ![F:(cartrealn > cartrealn2),G:(cartrealn > cartrealn2),S:(cartrealn > $o)]:(((measurableu_on @ F @ S) & (measurableu_on @ G @ S)) => (measurableu_on @ ^[X:cartrealn]:(complexu_mul @ (F @ X) @ (G @ X)) @ S))).
thf(aREALu_COMPLEXu_MEASURABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) <=> (measurableu_on0 @ (o @ cx @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(real > $o),F:(real > real),G:(real > real)]:(((realu_measurableu_on @ F @ S) & (realu_measurableu_on @ G @ S)) => (realu_measurableu_on @ ^[X:real]:(realu_mul @ (F @ X) @ (G @ X)) @ S))).
