%   ORIGINAL: REAL_LEBESGUE_MEASURABLE_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_LIFT_UNIV: IMAGE lift (:real) = (:real^1)
% Assm: LEBESGUE_MEASURABLE_UNIV: lebesgue_measurable (:real^N)
% Assm: REAL_LEBESGUE_MEASURABLE: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
% Assm: TRUTH: T
% Goal: real_lebesgue_measurable (:real)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: IMAGE lift (:real) = (:real^1)
% Assm: lebesgue_measurable (:real^N)
% Assm: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
% Assm: T
% Goal: real_lebesgue_measurable (:real)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(clebesgueuu_measurable0, type, lebesgueu_measurable0 : ((cartrealn1 > $o) > $o)).
thf(cuniv1, type, univ1 : (cartrealn > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn1 > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_LIFTu_UNIV, axiom, ((image @ lift @ univ) = univ0)).
thf(aLEBESGUEu_MEASURABLEu_UNIV, axiom, (lebesgueu_measurable @ univ1)).
thf(aREALu_LEBESGUEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_lebesgueu_measurable @ S) <=> (lebesgueu_measurable0 @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (realu_lebesgueu_measurable @ univ)).
