%   ORIGINAL: REAL_LEBESGUE_MEASURABLE_COMPACT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MEASURABLE_COMPACT: !s. real_compact s ==> real_measurable s
% Assm: REAL_MEASURABLE_IMP_REAL_LEBESGUE_MEASURABLE: !s. real_measurable s ==> real_lebesgue_measurable s
% Assm: TRUTH: T
% Goal: !s. real_compact s ==> real_lebesgue_measurable s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. real_compact s ==> real_measurable s
% Assm: !s. real_measurable s ==> real_lebesgue_measurable s
% Assm: T
% Goal: !s. real_compact s ==> real_lebesgue_measurable s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(crealuu_compact, type, realu_compact : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MEASURABLEu_COMPACT, axiom, ![S:(real > $o)]:((realu_compact @ S) => (realu_measurable @ S))).
thf(aREALu_MEASURABLEu_IMPu_REALu_LEBESGUEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_measurable @ S) => (realu_lebesgueu_measurable @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_compact @ S) => (realu_lebesgueu_measurable @ S))).
