%   ORIGINAL: REAL_LEBESGUE_MEASURABLE_COMPL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: LEBESGUE_MEASURABLE_COMPL: !s. lebesgue_measurable ((:real^N) DIFF s) <=> lebesgue_measurable s
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LEBESGUE_MEASURABLE: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
% Assm: TRUTH: T
% Goal: !s. real_lebesgue_measurable ((:real) DIFF s) <=> real_lebesgue_measurable s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. (y <=> f x) /\ x IN s)
% Assm: !x. x IN (:real)
% Assm: !s. lebesgue_measurable ((:real^N) DIFF s) <=> lebesgue_measurable s
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: ~F <=> T
% Assm: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
% Assm: T
% Goal: !s. real_lebesgue_measurable ((:real) DIFF s) <=> real_lebesgue_measurable s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin1, type, in1 : ($o > ($o > $o) > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((a > $o) > (a > $o) > $o > $o)).
thf(cdiff, type, diff : ((real > $o) > (real > $o) > real > $o)).
thf(clebesgueuu_measurable0, type, lebesgueu_measurable0 : ((cartrealn1 > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_IMAGE, axiom, ![Y:$o,S:(a > $o),F:(a > $o)]:((in1 @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y <=> (F @ X)) & (in @ X @ S)))).
thf(aINu_UNIV, axiom, ![X:real]:(in0 @ X @ univ)).
thf(aLEBESGUEu_MEASURABLEu_COMPL, axiom, ![S:(cartrealn > $o)]:((lebesgueu_measurable @ (diff0 @ univ0 @ S)) <=> (lebesgueu_measurable @ S))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEBESGUEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_lebesgueu_measurable @ S) <=> (lebesgueu_measurable0 @ (image0 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_lebesgueu_measurable @ (diff @ univ @ S)) <=> (realu_lebesgueu_measurable @ S))).
