%   ORIGINAL: REAL_LEBESGUE_MEASURABLE_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LEBESGUE_MEASURABLE_CLOSED: !s. closed s ==> lebesgue_measurable s
% Assm: REAL_CLOSED: !s. real_closed s <=> closed (IMAGE lift s)
% Assm: REAL_LEBESGUE_MEASURABLE: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
% Assm: TRUTH: T
% Goal: !s. real_closed s ==> real_lebesgue_measurable s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. closed s ==> lebesgue_measurable s
% Assm: !s. real_closed s <=> closed (IMAGE lift s)
% Assm: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
% Assm: T
% Goal: !s. real_closed s ==> real_lebesgue_measurable s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(clebesgueuu_measurable0, type, lebesgueu_measurable0 : ((cartrealn1 > $o) > $o)).
thf(cclosed0, type, closed0 : ((cartrealn1 > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(crealuu_closed, type, realu_closed : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLEBESGUEu_MEASURABLEu_CLOSED, axiom, ![S:(cartrealn > $o)]:((closed @ S) => (lebesgueu_measurable @ S))).
thf(aREALu_CLOSED, axiom, ![S:(real > $o)]:((realu_closed @ S) <=> (closed0 @ (image @ lift @ S)))).
thf(aREALu_LEBESGUEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_lebesgueu_measurable @ S) <=> (lebesgueu_measurable0 @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_closed @ S) => (realu_lebesgueu_measurable @ S))).
