%   ORIGINAL: REAL_LEBESGUE_MEASURABLE_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: REAL_LEBESGUE_MEASURABLE_EMPTY: real_lebesgue_measurable {}
% Assm: REAL_LEBESGUE_MEASURABLE_UNION: !s t. real_lebesgue_measurable s /\ real_lebesgue_measurable t ==> real_lebesgue_measurable (s UNION t)
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f /\ (!s. s IN f ==> real_lebesgue_measurable s) ==> real_lebesgue_measurable (UNIONS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: real_lebesgue_measurable {}
% Assm: !s t. real_lebesgue_measurable s /\ real_lebesgue_measurable t ==> real_lebesgue_measurable (s UNION t)
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !f. FINITE f /\ (!s. s IN f ==> real_lebesgue_measurable s) ==> real_lebesgue_measurable (UNIONS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cunions, type, unions : (((real > $o) > $o) > real > $o)).
thf(cin, type, in : ((real > $o) > ((real > $o) > $o) > $o)).
thf(cunion, type, union : ((real > $o) > (real > $o) > real > $o)).
thf(cinsert, type, insert : ((real > $o) > ((real > $o) > $o) > (real > $o) > $o)).
thf(cempty, type, empty : ((real > $o) > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(cfinite, type, finite : (((real > $o) > $o) > $o)).
thf(cempty0, type, empty0 : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((real > $o) > $o) > $o)]:(((P @ empty) & ![X:(real > $o),S:((real > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((real > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINu_INSERT, axiom, ![X:(real > $o),Y:(real > $o),S:((real > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aREALu_LEBESGUEu_MEASURABLEu_EMPTY, axiom, (realu_lebesgueu_measurable @ empty0)).
thf(aREALu_LEBESGUEu_MEASURABLEu_UNION, axiom, ![S:(real > $o),T:(real > $o)]:(((realu_lebesgueu_measurable @ S) & (realu_lebesgueu_measurable @ T)) => (realu_lebesgueu_measurable @ (union @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty) = empty0)).
thf(aUNIONSu_INSERT, axiom, ![S:(real > $o),U:((real > $o) > $o)]:((unions @ (insert @ S @ U)) = (union @ S @ (unions @ U)))).
thf(conjecture, conjecture, ![F:((real > $o) > $o)]:(((finite @ F) & ![S:(real > $o)]:((in @ S @ F) => (realu_lebesgueu_measurable @ S))) => (realu_lebesgueu_measurable @ (unions @ F)))).
