%   ORIGINAL: REAL_LEBESGUE_MEASURABLE_COUNTABLE_UNIONS_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE_UNIONS: !f s. IMAGE f (UNIONS s) = UNIONS (IMAGE (IMAGE f) s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LEBESGUE_MEASURABLE_COUNTABLE_UNIONS_EXPLICIT: !s. (!n. lebesgue_measurable (s n)) ==> lebesgue_measurable (UNIONS {s n | n IN (:num)})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LEBESGUE_MEASURABLE: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Goal: !s. (!n. real_lebesgue_measurable (s n)) ==> real_lebesgue_measurable (UNIONS {s n | n IN (:num)})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. IMAGE f (UNIONS s) = UNIONS (IMAGE (IMAGE f) s)
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. x IN (:num)
% Assm: !x. I x = x
% Assm: !s. (!n. lebesgue_measurable (s n)) ==> lebesgue_measurable (UNIONS {s n | n IN (:num)})
% Assm: ~F <=> T
% Assm: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Goal: !s. (!n. real_lebesgue_measurable (s n)) ==> real_lebesgue_measurable (UNIONS {s n | n IN (:num)})
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cgspec0, type, gspec0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions1, type, unions1 : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin0, type, in0 : ((num > $o) > ((num > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((num > $o) > $o) > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((real > $o) > $o) > (real > $o) > $o)).
thf(cunions, type, unions : (((real > $o) > $o) > real > $o)).
thf(cimage3, type, image3 : ((num > real > $o) > (num > $o) > (real > $o) > $o)).
thf(cimage2, type, image2 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cimage1, type, image1 : ((num > num) > (num > $o) > num > $o)).
thf(cimage0, type, image0 : (((real > $o) > real > $o) > ((real > $o) > $o) > (real > $o) > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(csetspec, type, setspec : ((real > $o) > $o > (real > $o) > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(clebesgueuu_measurable0, type, lebesgueu_measurable0 : ((cartrealn1 > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(num > $o),T:(num > $o)]:((S = T) <=> ![X:num]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGEu_UNIONS, axiom, ![F:(real > real),S:((real > $o) > $o)]:((image @ F @ (unions @ S)) = (unions @ (image0 @ (image @ F) @ S)))).
thf(aIN, axiom, ![P:(num > $o),X:num]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:num,S:(num > $o),F:(num > num)]:((in @ Y @ (image1 @ F @ S)) <=> ?[X:num]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_UNIONS, axiom, ![S:((num > $o) > $o),X:num]:((in @ X @ (unions0 @ S)) <=> ?[T:(num > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:num]:(in @ X @ univ)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEBESGUEu_MEASURABLEu_COUNTABLEu_UNIONSu_EXPLICIT, axiom, ![S:(num > cartrealn > $o)]:(![N:num]:(lebesgueu_measurable @ (S @ N)) => (lebesgueu_measurable @ (unions1 @ (gspec0 @ ^[GENR_PVARR_2175:(cartrealn > $o)]:?[N:num]:(setspec0 @ GENR_PVARR_2175 @ (in @ N @ univ) @ (S @ N))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEBESGUEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_lebesgueu_measurable @ S) <=> (lebesgueu_measurable0 @ (image2 @ lift @ S)))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(num > real > $o),S:(num > $o)]:((gspec @ ^[GENR_PVARR_11:(real > $o)]:?[X:num]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image3 @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > real > $o)]:(![N:num]:(realu_lebesgueu_measurable @ (S @ N)) => (realu_lebesgueu_measurable @ (unions @ (gspec @ ^[GENR_PVARR_2490:(real > $o)]:?[N:num]:(setspec @ GENR_PVARR_2490 @ (in @ N @ univ) @ (S @ N))))))).
