%   ORIGINAL: REAL_LEBESGUE_MEASURABLE_COUNTABLE_INTERS_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COUNTABLE_IMAGE: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: Misc_defs_and_lemmas.NUM_COUNTABLE: COUNTABLE (:num)
% Assm: REAL_LEBESGUE_MEASURABLE_COUNTABLE_INTERS: !f. COUNTABLE f /\ (!s. s IN f ==> real_lebesgue_measurable s) ==> real_lebesgue_measurable (INTERS f)
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Goal: !s. (!n. real_lebesgue_measurable (s n)) ==> real_lebesgue_measurable (INTERS {s n | n IN (:num)})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. COUNTABLE s ==> COUNTABLE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: COUNTABLE (:num)
% Assm: !f. COUNTABLE f /\ (!s. s IN f ==> real_lebesgue_measurable s) ==> real_lebesgue_measurable (INTERS f)
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Goal: !s. (!n. real_lebesgue_measurable (s n)) ==> real_lebesgue_measurable (INTERS {s n | n IN (:num)})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : ((real > $o) > ((real > $o) > $o) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((real > $o) > $o) > (real > $o) > $o)).
thf(cinters, type, inters : (((real > $o) > $o) > real > $o)).
thf(cimage1, type, image1 : ((num > real > $o) > (num > $o) > (real > $o) > $o)).
thf(cimage0, type, image0 : ((num > num) > (num > $o) > num > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(csetspec, type, setspec : ((real > $o) > $o > (real > $o) > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(ccountable2, type, countable2 : (((real > $o) > $o) > $o)).
thf(ccountable1, type, countable1 : ((num > $o) > $o)).
thf(ccountable0, type, countable0 : ((b > $o) > $o)).
thf(ccountable, type, countable : ((a > $o) > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOUNTABLEu_IMAGE, axiom, ![F:(a > b),S:(a > $o)]:((countable @ S) => (countable0 @ (image @ F @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(num > $o),F:(num > num),S:(num > $o)]:(![Y:num]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:num]:((in @ X @ S) => (P @ (F @ X))))).
thf(aMiscu_defsu_andu_lemmaso_NUMu_COUNTABLE, axiom, (countable1 @ univ)).
thf(aREALu_LEBESGUEu_MEASURABLEu_COUNTABLEu_INTERS, axiom, ![F:((real > $o) > $o)]:(((countable2 @ F) & ![S:(real > $o)]:((in0 @ S @ F) => (realu_lebesgueu_measurable @ S))) => (realu_lebesgueu_measurable @ (inters @ F)))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(num > real > $o),S:(num > $o)]:((gspec @ ^[GENR_PVARR_11:(real > $o)]:?[X:num]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image1 @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > real > $o)]:(![N:num]:(realu_lebesgueu_measurable @ (S @ N)) => (realu_lebesgueu_measurable @ (inters @ (gspec @ ^[GENR_PVARR_2491:(real > $o)]:?[N:num]:(setspec @ GENR_PVARR_2491 @ (in @ N @ univ) @ (S @ N))))))).
