%   ORIGINAL: REAL_LEBESGUE_MEASURABLE_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_IMP_COUNTABLE: !s. FINITE s ==> COUNTABLE s
% Assm: REAL_LEBESGUE_MEASURABLE_COUNTABLE_INTERS: !f. COUNTABLE f /\ (!s. s IN f ==> real_lebesgue_measurable s) ==> real_lebesgue_measurable (INTERS f)
% Assm: TRUTH: T
% Goal: !f. FINITE f /\ (!s. s IN f ==> real_lebesgue_measurable s) ==> real_lebesgue_measurable (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. FINITE s ==> COUNTABLE s
% Assm: !f. COUNTABLE f /\ (!s. s IN f ==> real_lebesgue_measurable s) ==> real_lebesgue_measurable (INTERS f)
% Assm: T
% Goal: !f. FINITE f /\ (!s. s IN f ==> real_lebesgue_measurable s) ==> real_lebesgue_measurable (INTERS f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cinters, type, inters : (((real > $o) > $o) > real > $o)).
thf(cin, type, in : ((real > $o) > ((real > $o) > $o) > $o)).
thf(ccountable, type, countable : (((real > $o) > $o) > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(cfinite, type, finite : (((real > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_IMPu_COUNTABLE, axiom, ![S:((real > $o) > $o)]:((finite @ S) => (countable @ S))).
thf(aREALu_LEBESGUEu_MEASURABLEu_COUNTABLEu_INTERS, axiom, ![F:((real > $o) > $o)]:(((countable @ F) & ![S:(real > $o)]:((in @ S @ F) => (realu_lebesgueu_measurable @ S))) => (realu_lebesgueu_measurable @ (inters @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((real > $o) > $o)]:(((finite @ F) & ![S:(real > $o)]:((in @ S @ F) => (realu_lebesgueu_measurable @ S))) => (realu_lebesgueu_measurable @ (inters @ F)))).
