%   ORIGINAL: REAL_MEASURABLE_ON_LEBESGUE_MEASURABLE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MEASURABLE_ON_RESTRICT: !f s. real_measurable_on f (:real) /\ real_lebesgue_measurable s ==> real_measurable_on (\x. if x IN s then f x else &0) (:real)
% Assm: REAL_MEASURABLE_ON_UNIV: real_measurable_on (\x. if x IN s then f x else &0) (:real) <=> real_measurable_on f s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f s t. s SUBSET t /\ real_measurable_on f t /\ real_lebesgue_measurable s ==> real_measurable_on f s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !f s. real_measurable_on f (:real) /\ real_lebesgue_measurable s ==> real_measurable_on (\x. if x IN s then f x else &0) (:real)
% Assm: !f s. real_measurable_on (\x. if x IN s then f x else &0) (:real) <=> real_measurable_on f s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f s t. s SUBSET t /\ real_measurable_on f t /\ real_lebesgue_measurable s ==> real_measurable_on f s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MEASURABLEu_ONu_RESTRICT, axiom, ![F:(real > real),S:(real > $o)]:(((realu_measurableu_on @ F @ univ) & (realu_lebesgueu_measurable @ S)) => (realu_measurableu_on @ ^[X:real]:(cond0 @ (in0 @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ univ))).
thf(aREALu_MEASURABLEu_ONu_UNIV, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ ^[X:real]:(cond0 @ (in0 @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ univ) <=> (realu_measurableu_on @ F @ S))).
thf(aSUBSET, axiom, ![S:(real > $o),T:(real > $o)]:((subset @ S @ T) <=> ![X:real]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o)]:(((subset @ S @ T) & (realu_measurableu_on @ F @ T) & (realu_lebesgueu_measurable @ S)) => (realu_measurableu_on @ F @ S))).
