%   ORIGINAL: REAL_MEASURABLE_ON_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_LEBESGUE_MEASURABLE_COMPL: !s. real_lebesgue_measurable ((:real) DIFF s) <=> real_lebesgue_measurable s
% Assm: REAL_MEASURABLE_ON_ADD: !f g s. real_measurable_on f s /\ real_measurable_on g s ==> real_measurable_on (\x. f x + g x) s
% Assm: REAL_MEASURABLE_ON_RESTRICT: !f s. real_measurable_on f (:real) /\ real_lebesgue_measurable s ==> real_measurable_on (\x. if x IN s then f x else &0) (:real)
% Assm: REAL_MEASURABLE_ON_UNIV: real_measurable_on (\x. if x IN s then f x else &0) (:real) <=> real_measurable_on f s
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: TRUTH: T
% Goal: !P f g s. real_lebesgue_measurable {x | P x} /\ real_measurable_on f s /\ real_measurable_on g s ==> real_measurable_on (\x. if P x then f x else g x) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: !x. x + &0 = x
% Assm: !s. real_lebesgue_measurable ((:real) DIFF s) <=> real_lebesgue_measurable s
% Assm: !f g s. real_measurable_on f s /\ real_measurable_on g s ==> real_measurable_on (\x. f x + g x) s
% Assm: !f s. real_measurable_on f (:real) /\ real_lebesgue_measurable s ==> real_measurable_on (\x. if x IN s then f x else &0) (:real)
% Assm: !f s. real_measurable_on (\x. if x IN s then f x else &0) (:real) <=> real_measurable_on f s
% Assm: !x. &0 + x = x
% Assm: T
% Goal: !P f g s. real_lebesgue_measurable {x | P x} /\ real_measurable_on f s /\ real_measurable_on g s ==> real_measurable_on (\x. if P x then f x else g x) s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(cdiff0, type, diff0 : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (real > $o)).
thf(cuniv, type, univ : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(real > $o),X:real]:((in0 @ X @ (gspec @ ^[V:real]:?[Y:real]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_LEBESGUEu_MEASURABLEu_COMPL, axiom, ![S:(real > $o)]:((realu_lebesgueu_measurable @ (diff0 @ univ0 @ S)) <=> (realu_lebesgueu_measurable @ S))).
thf(aREALu_MEASURABLEu_ONu_ADD, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_measurableu_on @ F @ S) & (realu_measurableu_on @ G @ S)) => (realu_measurableu_on @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X)) @ S))).
thf(aREALu_MEASURABLEu_ONu_RESTRICT, axiom, ![F:(real > real),S:(real > $o)]:(((realu_measurableu_on @ F @ univ0) & (realu_lebesgueu_measurable @ S)) => (realu_measurableu_on @ ^[X:real]:(cond @ (in0 @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ univ0))).
thf(aREALu_MEASURABLEu_ONu_UNIV, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ ^[X:real]:(cond @ (in0 @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ univ0) <=> (realu_measurableu_on @ F @ S))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(real > $o),F:(real > real),G:(real > real),S:(real > $o)]:(((realu_lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2494:real]:?[X:real]:(setspec @ GENR_PVARR_2494 @ (P @ X) @ X))) & (realu_measurableu_on @ F @ S) & (realu_measurableu_on @ G @ S)) => (realu_measurableu_on @ ^[X:real]:(cond @ (P @ X) @ (F @ X) @ (G @ X)) @ S))).
