%   ORIGINAL: REAL_LEBESGUE_MEASURABLE_PREIMAGE_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MEASURABLE_ON_PREIMAGE_CLOSED: !f. real_measurable_on f (:real) <=> (!t. real_closed t ==> real_lebesgue_measurable {x | f x IN t})
% Assm: TRUTH: T
% Goal: !f t. real_measurable_on f (:real) /\ real_closed t ==> real_lebesgue_measurable {x | f x IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. real_measurable_on f (:real) <=> (!t. real_closed t ==> real_lebesgue_measurable {x | f x IN t})
% Assm: T
% Goal: !f t. real_measurable_on f (:real) /\ real_closed t ==> real_lebesgue_measurable {x | f x IN t}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(crealuu_closed, type, realu_closed : ((real > $o) > $o)).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MEASURABLEu_ONu_PREIMAGEu_CLOSED, axiom, ![F:(real > real)]:((realu_measurableu_on @ F @ univ) <=> ![T:(real > $o)]:((realu_closed @ T) => (realu_lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2502:real]:?[X:real]:(setspec @ GENR_PVARR_2502 @ (in @ (F @ X) @ T) @ X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),T:(real > $o)]:(((realu_measurableu_on @ F @ univ) & (realu_closed @ T)) => (realu_lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2504:real]:?[X:real]:(setspec @ GENR_PVARR_2504 @ (in @ (F @ X) @ T) @ X))))).
