%   ORIGINAL: REAL_SECOND_MEAN_VALUE_THEOREM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INTEGRAL_UNIQUE: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: REAL_SECOND_MEAN_VALUE_THEOREM_FULL: !f g a b. ~(real_interval [a,b] = {}) /\ f real_integrable_on real_interval [a,b] /\ (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> g x <= g y) ==> (?c. c IN real_interval [a,b] /\ ((\x. g x * f x) has_real_integral g a * real_integral (real_interval [a,c]) f + g b * real_integral (real_interval [c,b]) f) (real_interval [a,b]))
% Assm: TRUTH: T
% Goal: !f g a b. ~(real_interval [a,b] = {}) /\ f real_integrable_on real_interval [a,b] /\ (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> g x <= g y) ==> (?c. c IN real_interval [a,b] /\ real_integral (real_interval [a,b]) (\x. g x * f x) = g a * real_integral (real_interval [a,c]) f + g b * real_integral (real_interval [c,b]) f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f y k. (f has_real_integral y) k ==> real_integral k f = y
% Assm: !f g a b. ~(real_interval [a,b] = {}) /\ f real_integrable_on real_interval [a,b] /\ (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> g x <= g y) ==> (?c. c IN real_interval [a,b] /\ ((\x. g x * f x) has_real_integral g a * real_integral (real_interval [a,c]) f + g b * real_integral (real_interval [c,b]) f) (real_interval [a,b]))
% Assm: T
% Goal: !f g a b. ~(real_interval [a,b] = {}) /\ f real_integrable_on real_interval [a,b] /\ (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> g x <= g y) ==> (?c. c IN real_interval [a,b] /\ real_integral (real_interval [a,b]) (\x. g x * f x) = g a * real_integral (real_interval [a,c]) f + g b * real_integral (real_interval [c,b]) f)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_integral, type, realu_integral : ((real > $o) > (real > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > real > $o),G:(a > real > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INTEGRALu_UNIQUE, axiom, ![F:(real > real),Y:real,K:(real > $o)]:((hasu_realu_integral @ F @ Y @ K) => ((realu_integral @ K @ F) = Y))).
thf(aREALu_SECONDu_MEANu_VALUEu_THEOREMu_FULL, axiom, ![F:(real > real),G:(real > real),A:real,B:real]:((~ (((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)) & (realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:real,Y:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ X @ Y)) => (realu_le @ (G @ X) @ (G @ Y)))) => ?[C:real]:((in @ C @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (hasu_realu_integral @ ^[X:real]:(realu_mul @ (G @ X) @ (F @ X)) @ (realu_add @ (realu_mul @ (G @ A) @ (realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ A @ C) @ nil)) @ F)) @ (realu_mul @ (G @ B) @ (realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ C @ B) @ nil)) @ F))) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),A:real,B:real]:((~ (((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)) & (realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:real,Y:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ X @ Y)) => (realu_le @ (G @ X) @ (G @ Y)))) => ?[C:real]:((in @ C @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ((realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ ^[X:real]:(realu_mul @ (G @ X) @ (F @ X))) = (realu_add @ (realu_mul @ (G @ A) @ (realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ A @ C) @ nil)) @ F)) @ (realu_mul @ (G @ B) @ (realu_integral @ (closedu_realu_interval @ (cons @ (c_ @ C @ B) @ nil)) @ F))))))).
