%   ORIGINAL: REAL_INTEGRABLE_DECREASING_PRODUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct0: IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct1: IMAGE lift (real_interval (a,b)) = interval (lift a,lift b)
% Assm: INTEGRABLE_DECREASING_PRODUCT: !f g a b. f integrable_on interval [a,b] /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g y <= g x) ==> (\x. g x % f x) integrable_on interval [a,b]
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: REAL_INTEGRABLE_ON: f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g a b. f real_integrable_on real_interval [a,b] /\ (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> g y <= g x) ==> (\x. g x * f x) real_integrable_on real_interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !a b. IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: !a b. IMAGE lift (real_interval (a,b)) = interval (lift a,lift b)
% Assm: !f g a b. f integrable_on interval [a,b] /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> g y <= g x) ==> (\x. g x % f x) integrable_on interval [a,b]
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !x. drop (lift x) = x
% Assm: !f s. f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g a b. f real_integrable_on real_interval [a,b] /\ (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> g y <= g x) ==> (\x. g x * f x) real_integrable_on real_interval [a,b]
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cru_0, type, r_0 : (real > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((image0 @ lift @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0)))).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct1, axiom, ![A:real,B:real]:((image0 @ lift @ (openu_realu_interval @ (c_ @ A @ B))) = (openu_interval @ (c_0 @ (lift @ A) @ (lift @ B))))).
thf(aINTEGRABLEu_DECREASINGu_PRODUCT, axiom, ![F:(cartrealn1 > cartrealn),G:(cartrealn1 > real),A:cartrealn1,B:cartrealn1]:(((integrableu_on @ F @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) & ![X:cartrealn1,Y:cartrealn1]:(((in0 @ X @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) & (in0 @ Y @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (G @ Y) @ (G @ X)))) => (integrableu_on @ ^[X:cartrealn1]:(r_ @ (G @ X) @ (F @ X)) @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_0 @ C @ (lift @ X)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aREALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (integrableu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image0 @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),A:real,B:real]:(((realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:real,Y:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ X @ Y)) => (realu_le @ (G @ Y) @ (G @ X)))) => (realu_integrableu_on @ ^[X:real]:(realu_mul @ (G @ X) @ (F @ X)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
