%   ORIGINAL: REAL_INTEGRABLE_DECREASING_PRODUCT_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_LIFT_UNIV: IMAGE lift (:real) = (:real^1)
% Assm: INTEGRABLE_DECREASING_PRODUCT_UNIV: !f g B. f integrable_on (:real^1) /\ (!x y. drop x <= drop y ==> g y <= g x) /\ (!x. abs (g x) <= B) ==> (\x. g x % f x) integrable_on (:real^1)
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: REAL_INTEGRABLE_ON: f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g B. f real_integrable_on (:real) /\ (!x y. x <= y ==> g y <= g x) /\ (!x. abs (g x) <= B) ==> (\x. g x * f x) real_integrable_on (:real)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: IMAGE lift (:real) = (:real^1)
% Assm: !f g B. f integrable_on (:real^1) /\ (!x y. drop x <= drop y ==> g y <= g x) /\ (!x. abs (g x) <= B) ==> (\x. g x % f x) integrable_on (:real^1)
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !f s. f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g B. f real_integrable_on (:real) /\ (!x y. x <= y ==> g y <= g x) /\ (!x. abs (g x) <= B) ==> (\x. g x * f x) real_integrable_on (:real)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cru_0, type, r_0 : (real > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cuniv0, type, univ0 : (cartrealn1 > $o)).
thf(cuniv, type, univ : (real > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_LIFTu_UNIV, axiom, ((image @ lift @ univ) = univ0)).
thf(aINTEGRABLEu_DECREASINGu_PRODUCTu_UNIV, axiom, ![F:(cartrealn1 > cartrealn),G:(cartrealn1 > real),B:real]:(((integrableu_on @ F @ univ0) & ![X:cartrealn1,Y:cartrealn1]:((realu_le @ (drop @ X) @ (drop @ Y)) => (realu_le @ (G @ Y) @ (G @ X))) & ![X:cartrealn1]:(realu_le @ (realu_abs @ (G @ X)) @ B)) => (integrableu_on @ ^[X:cartrealn1]:(r_ @ (G @ X) @ (F @ X)) @ univ0))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_0 @ C @ (lift @ X)))).
thf(aREALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (integrableu_on0 @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),B:real]:(((realu_integrableu_on @ F @ univ) & ![X:real,Y:real]:((realu_le @ X @ Y) => (realu_le @ (G @ Y) @ (G @ X))) & ![X:real]:(realu_le @ (realu_abs @ (G @ X)) @ B)) => (realu_integrableu_on @ ^[X:real]:(realu_mul @ (G @ X) @ (F @ X)) @ univ))).
