%   ORIGINAL: REAL_MEASURABLE_ON_INCREASING_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_CLOSED_HALFSPACE_LE: !a. real_closed {x | x <= a}
% Assm: REAL_LEBESGUE_MEASURABLE_CLOSED: !s. real_closed s ==> real_lebesgue_measurable s
% Assm: REAL_LEBESGUE_MEASURABLE_EMPTY: real_lebesgue_measurable {}
% Assm: REAL_LEBESGUE_MEASURABLE_OPEN: !s. real_open s ==> real_lebesgue_measurable s
% Assm: REAL_LEBESGUE_MEASURABLE_UNIV: real_lebesgue_measurable (:real)
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_MEASURABLE_ON_PREIMAGE_OPEN_HALFSPACE_LE: !f. real_measurable_on f (:real) <=> (!a. real_lebesgue_measurable {x | f x <= a})
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OPEN_HALFSPACE_LT: !a. real_open {x | x < a}
% Assm: SUP: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: TRUTH: T
% Goal: !f. (!x y. x <= y ==> f x <= f y) ==> real_measurable_on f (:real)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:real)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !a. real_closed {x | x <= a}
% Assm: !s. real_closed s ==> real_lebesgue_measurable s
% Assm: real_lebesgue_measurable {}
% Assm: !s. real_open s ==> real_lebesgue_measurable s
% Assm: real_lebesgue_measurable (:real)
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !f. real_measurable_on f (:real) <=> (!a. real_lebesgue_measurable {x | f x <= a})
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !a. real_open {x | x < a}
% Assm: !s. ~(s = {}) /\ (?b. !x. x IN s ==> x <= b) ==> (!x. x IN s ==> x <= sup s) /\ (!b. (!x. x IN s ==> x <= b) ==> sup s <= b)
% Assm: T
% Goal: !f. (!x y. x <= y ==> f x <= f y) ==> real_measurable_on f (:real)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(csup, type, sup : ((real > $o) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((real > $o) > real > $o)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csetspec0, type, setspec0 : (real > $o > real > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(crealuu_closed, type, realu_closed : ((real > $o) > $o)).
thf(cempty0, type, empty0 : (real > $o)).
thf(cuniv, type, univ : (real > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:real]:(in1 @ X @ univ)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aREALu_CLOSEDu_HALFSPACEu_LE, axiom, ![A:real]:(realu_closed @ (gspec0 @ ^[GENR_PVARR_2340:real]:?[X:real]:(setspec0 @ GENR_PVARR_2340 @ (realu_le @ X @ A) @ X)))).
thf(aREALu_LEBESGUEu_MEASURABLEu_CLOSED, axiom, ![S:(real > $o)]:((realu_closed @ S) => (realu_lebesgueu_measurable @ S))).
thf(aREALu_LEBESGUEu_MEASURABLEu_EMPTY, axiom, (realu_lebesgueu_measurable @ empty0)).
thf(aREALu_LEBESGUEu_MEASURABLEu_OPEN, axiom, ![S:(real > $o)]:((realu_open @ S) => (realu_lebesgueu_measurable @ S))).
thf(aREALu_LEBESGUEu_MEASURABLEu_UNIV, axiom, (realu_lebesgueu_measurable @ univ)).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_MEASURABLEu_ONu_PREIMAGEu_OPENu_HALFSPACEu_LE, axiom, ![F:(real > real)]:((realu_measurableu_on @ F @ univ) <=> ![A:real]:(realu_lebesgueu_measurable @ (gspec0 @ ^[GENR_PVARR_2496:real]:?[X:real]:(setspec0 @ GENR_PVARR_2496 @ (realu_le @ (F @ X) @ A) @ X))))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OPENu_HALFSPACEu_LT, axiom, ![A:real]:(realu_open @ (gspec0 @ ^[GENR_PVARR_2344:real]:?[X:real]:(setspec0 @ GENR_PVARR_2344 @ (realu_lt @ X @ A) @ X)))).
thf(aSUP, axiom, ![S:(real > $o)]:((~ ((S = empty0)) & ?[B:real]:![X:real]:((in1 @ X @ S) => (realu_le @ X @ B))) => (![X:real]:((in1 @ X @ S) => (realu_le @ X @ (sup @ S))) & ![B:real]:(![X:real]:((in1 @ X @ S) => (realu_le @ X @ B)) => (realu_le @ (sup @ S) @ B))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real)]:(![X:real,Y:real]:((realu_le @ X @ Y) => (realu_le @ (F @ X) @ (F @ Y))) => (realu_measurableu_on @ F @ univ))).
