%   ORIGINAL: REAL_LEBESGUE_MEASURABLE_INTERVAL_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MEASURABLE_IMP_REAL_LEBESGUE_MEASURABLE: !s. real_measurable s ==> real_lebesgue_measurable s
% Assm: REAL_MEASURABLE_REAL_INTERVAL_conjunct0: !a b. real_measurable (real_interval [a,b])
% Assm: REAL_MEASURABLE_REAL_INTERVAL_conjunct1: !a b. real_measurable (real_interval (a,b))
% Assm: TRUTH: T
% Goal: !a b. real_lebesgue_measurable (real_interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. real_measurable s ==> real_lebesgue_measurable s
% Assm: !a b. real_measurable (real_interval [a,b])
% Assm: !a b. real_measurable (real_interval (a,b))
% Assm: T
% Goal: !a b. real_lebesgue_measurable (real_interval [a,b])
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MEASURABLEu_IMPu_REALu_LEBESGUEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_measurable @ S) => (realu_lebesgueu_measurable @ S))).
thf(aREALu_MEASURABLEu_REALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:(realu_measurable @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aREALu_MEASURABLEu_REALu_INTERVALu_conjunct1, axiom, ![A:real,B:real]:(realu_measurable @ (openu_realu_interval @ (c_ @ A @ B)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,B:real]:(realu_lebesgueu_measurable @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
