%   ORIGINAL: REAL_MEASURABLE_ON_INCREASING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_REAL_INTERVAL: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_INTERVAL_EQ_EMPTY_conjunct0: !a b. real_interval [a,b] = {} <=> b < a
% Assm: REAL_LEBESGUE_MEASURABLE_INTERVAL_conjunct0: !a b. real_lebesgue_measurable (real_interval [a,b])
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TOTAL: !x y. x <= y \/ y <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MEASURABLE_ON_0: !s. real_measurable_on (\x. &0) s
% Assm: REAL_MEASURABLE_ON_INCREASING_UNIV: !f. (!x y. x <= y ==> f x <= f y) ==> real_measurable_on f (:real)
% Assm: REAL_MEASURABLE_ON_LEBESGUE_MEASURABLE_SUBSET: !f s t. s SUBSET t /\ real_measurable_on f t /\ real_lebesgue_measurable s ==> real_measurable_on f s
% Assm: REAL_MEASURABLE_ON_UNIV: real_measurable_on (\x. if x IN s then f x else &0) (:real) <=> real_measurable_on f s
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Goal: !f a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f x <= f y) ==> real_measurable_on f (real_interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !a b. real_interval [a,b] = {} <=> b < a
% Assm: !a b. real_lebesgue_measurable (real_interval [a,b])
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x. x <= x
% Assm: !x y. x <= y \/ y <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !s. real_measurable_on (\x. &0) s
% Assm: !f. (!x y. x <= y ==> f x <= f y) ==> real_measurable_on f (:real)
% Assm: !f s t. s SUBSET t /\ real_measurable_on f t /\ real_lebesgue_measurable s ==> real_measurable_on f s
% Assm: !f s. real_measurable_on (\x. if x IN s then f x else &0) (:real) <=> real_measurable_on f s
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !x y. x < y ==> x <= y
% Assm: !s. s SUBSET (:A)
% Assm: T
% Goal: !f a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f x <= f y) ==> real_measurable_on f (real_interval [a,b])
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(cnil, type, nil : listprodrealreal).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cempty, type, empty : (real > $o)).
thf(cuniv0, type, univ0 : (a > $o)).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_REALu_INTERVAL, axiom, ![A:real,B:real,X:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ((realu_le @ A @ X) & (realu_le @ X @ B))) & ((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) <=> ((realu_lt @ A @ X) & (realu_lt @ X @ B))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:real]:~ ((in @ X @ empty))).
thf(aREALu_INTERVALu_EQu_EMPTYu_conjunct0, axiom, ![A:real,B:real]:(((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty) <=> (realu_lt @ B @ A))).
thf(aREALu_LEBESGUEu_MEASURABLEu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:(realu_lebesgueu_measurable @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TOTAL, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) | (realu_le @ Y @ X))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MEASURABLEu_ONu_0, axiom, ![S:(real > $o)]:(realu_measurableu_on @ ^[X:real]:(realu_ofu_num @ (numeral @ u_0)) @ S)).
thf(aREALu_MEASURABLEu_ONu_INCREASINGu_UNIV, axiom, ![F:(real > real)]:(![X:real,Y:real]:((realu_le @ X @ Y) => (realu_le @ (F @ X) @ (F @ Y))) => (realu_measurableu_on @ F @ univ))).
thf(aREALu_MEASURABLEu_ONu_LEBESGUEu_MEASURABLEu_SUBSET, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:(((subset @ S @ T) & (realu_measurableu_on @ F @ T) & (realu_lebesgueu_measurable @ S)) => (realu_measurableu_on @ F @ S))).
thf(aREALu_MEASURABLEu_ONu_UNIV, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ ^[X:real]:(cond0 @ (in @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ univ) <=> (realu_measurableu_on @ F @ S))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset0 @ S @ univ0)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real]:(![X:real,Y:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ X @ Y)) => (realu_le @ (F @ X) @ (F @ Y))) => (realu_measurableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
