%   ORIGINAL: REAL_MEASURABLE_ON_DECREASING_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_MEASURABLE_ON_INCREASING_UNIV: !f. (!x y. x <= y ==> f x <= f y) ==> real_measurable_on f (:real)
% Assm: REAL_MEASURABLE_ON_NEG_EQ: !f s. real_measurable_on (\x. --f x) s <=> real_measurable_on f s
% Assm: TRUTH: T
% Goal: !f. (!x y. x <= y ==> f y <= f x) ==> real_measurable_on f (:real)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !f. (!x y. x <= y ==> f x <= f y) ==> real_measurable_on f (:real)
% Assm: !f s. real_measurable_on (\x. --f x) s <=> real_measurable_on f s
% Assm: T
% Goal: !f. (!x y. x <= y ==> f y <= f x) ==> real_measurable_on f (:real)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cuniv, type, univ : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_MEASURABLEu_ONu_INCREASINGu_UNIV, axiom, ![F:(real > real)]:(![X:real,Y:real]:((realu_le @ X @ Y) => (realu_le @ (F @ X) @ (F @ Y))) => (realu_measurableu_on @ F @ univ))).
thf(aREALu_MEASURABLEu_ONu_NEGu_EQ, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ ^[X:real]:(realu_neg @ (F @ X)) @ S) <=> (realu_measurableu_on @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real)]:(![X:real,Y:real]:((realu_le @ X @ Y) => (realu_le @ (F @ Y) @ (F @ X))) => (realu_measurableu_on @ F @ univ))).
