%   ORIGINAL: REAL_MEASURABLE_ON_DECREASING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_MEASURABLE_ON_INCREASING: !f a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f x <= f y) ==> real_measurable_on f (real_interval [a,b])
% Assm: REAL_MEASURABLE_ON_NEG_EQ: !f s. real_measurable_on (\x. --f x) s <=> real_measurable_on f s
% Assm: TRUTH: T
% Goal: !f a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f y <= f x) ==> real_measurable_on f (real_interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !f a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f x <= f y) ==> real_measurable_on f (real_interval [a,b])
% Assm: !f s. real_measurable_on (\x. --f x) s <=> real_measurable_on f s
% Assm: T
% Goal: !f a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f y <= f x) ==> real_measurable_on f (real_interval [a,b])
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_MEASURABLEu_ONu_INCREASING, axiom, ![F:(real > real),A:real,B:real]:(![X:real,Y:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ X @ Y)) => (realu_le @ (F @ X) @ (F @ Y))) => (realu_measurableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aREALu_MEASURABLEu_ONu_NEGu_EQ, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ ^[X:real]:(realu_neg @ (F @ X)) @ S) <=> (realu_measurableu_on @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real]:(![X:real,Y:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ X @ Y)) => (realu_le @ (F @ Y) @ (F @ X))) => (realu_measurableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
