%   ORIGINAL: ABSOLUTELY_REAL_INTEGRABLE_INCREASING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ABSOLUTELY_REAL_INTEGRABLE_CONST: !a b c. (\x. c) absolutely_real_integrable_on real_interval [a,b]
% Assm: ABSOLUTELY_REAL_INTEGRABLE_INCREASING_PRODUCT: !f g a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f x <= f y) /\ g absolutely_real_integrable_on real_interval [a,b] ==> (\x. f x * g x) absolutely_real_integrable_on real_interval [a,b]
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: TRUTH: T
% Goal: !f a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f x <= f y) ==> f absolutely_real_integrable_on real_interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b c. (\x. c) absolutely_real_integrable_on real_interval [a,b]
% Assm: !f g a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f x <= f y) /\ g absolutely_real_integrable_on real_interval [a,b] ==> (\x. f x * g x) absolutely_real_integrable_on real_interval [a,b]
% Assm: !t. (\x. t x) = t
% Assm: !x. x * &1 = x
% Assm: T
% Goal: !f a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f x <= f y) ==> f absolutely_real_integrable_on real_interval [a,b]
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cabsolutelyuu_realuu_integrableuu_on, type, absolutelyu_realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aABSOLUTELYu_REALu_INTEGRABLEu_CONST, axiom, ![A:real,B:real,C:real]:(absolutelyu_realu_integrableu_on @ ^[X:real]:C @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aABSOLUTELYu_REALu_INTEGRABLEu_INCREASINGu_PRODUCT, axiom, ![F:(real > real),G:(real > real),A:real,B:real]:((![X:real,Y:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ X @ Y)) => (realu_le @ (F @ X) @ (F @ Y))) & (absolutelyu_realu_integrableu_on @ G @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (absolutelyu_realu_integrableu_on @ ^[X:real]:(realu_mul @ (F @ X) @ (G @ X)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real]:(![X:real,Y:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ X @ Y)) => (realu_le @ (F @ X) @ (F @ Y))) => (absolutelyu_realu_integrableu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
