%   ORIGINAL: HAS_BOUNDED_REAL_VARIATION_ON_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_BOUNDED_VARIATION_ON_CMUL: !f c s. has_bounded_variation_on f s ==> has_bounded_variation_on (\x. c % f x) s
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: TRUTH: T
% Assm: has_bounded_real_variation_on: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f c s. has_bounded_real_variation_on f s ==> has_bounded_real_variation_on (\x. c * f x) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f c s. has_bounded_variation_on f s ==> has_bounded_variation_on (\x. c % f x) s
% Assm: !x c. lift (c * x) = c % lift x
% Assm: T
% Assm: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f c s. has_bounded_real_variation_on f s ==> has_bounded_real_variation_on (\x. c * f x) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(chasuu_boundeduu_realuu_variationuu_on, type, hasu_boundedu_realu_variationu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_BOUNDEDu_VARIATIONu_ONu_CMUL, axiom, ![F:(cartrealn1 > cartrealn1),C:real,S:(cartrealn1 > $o)]:((hasu_boundedu_variationu_on @ F @ S) => (hasu_boundedu_variationu_on @ ^[X:cartrealn1]:(r_ @ C @ (F @ X)) @ S))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_ @ C @ (lift @ X)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_realu_variationu_on, axiom, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) <=> (hasu_boundedu_variationu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),C:real,S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) => (hasu_boundedu_realu_variationu_on @ ^[X:real]:(realu_mul @ C @ (F @ X)) @ S))).
