%   ORIGINAL: REAL_VARIATION_POS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_VARIATION_POS_LE: !f s. has_bounded_variation_on f s ==> &0 <= vector_variation s f
% Assm: has_bounded_real_variation_on: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: real_variation: !s f. real_variation s f = vector_variation (IMAGE lift s) (lift o f o drop)
% Goal: !f s. has_bounded_real_variation_on f s ==> &0 <= real_variation s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !f s. has_bounded_variation_on f s ==> &0 <= vector_variation s f
% Assm: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: !s f. real_variation s f = vector_variation (IMAGE lift s) (lift o f o drop)
% Goal: !f s. has_bounded_real_variation_on f s ==> &0 <= real_variation s f
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cvectoruu_variation, type, vectoru_variation : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > real)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(crealuu_variation, type, realu_variation : ((real > $o) > (real > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(chasuu_boundeduu_realuu_variationuu_on, type, hasu_boundedu_realu_variationu_on : ((real > real) > (real > $o) > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_VARIATIONu_POSu_LE, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((hasu_boundedu_variationu_on @ F @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_variation @ S @ F)))).
thf(ahasu_boundedu_realu_variationu_on, axiom, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) <=> (hasu_boundedu_variationu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(arealu_variation, axiom, ![S:(real > $o),F:(real > real)]:((realu_variation @ S @ F) = (vectoru_variation @ (image @ lift @ S) @ (o @ lift @ (o0 @ F @ drop))))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_variation @ S @ F)))).
