%   ORIGINAL: REAL_VARIATION_MONOTONE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_SUBSET: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: TRUTH: T
% Assm: VECTOR_VARIATION_MONOTONE: !f s t. has_bounded_variation_on f s /\ t SUBSET s ==> vector_variation t f <= vector_variation s f
% Assm: has_bounded_real_variation_on: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: real_variation: !s f. real_variation s f = vector_variation (IMAGE lift s) (lift o f o drop)
% Goal: !f s t. has_bounded_real_variation_on f s /\ t SUBSET s ==> real_variation t f <= real_variation s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: T
% Assm: !f s t. has_bounded_variation_on f s /\ t SUBSET s ==> vector_variation t f <= vector_variation s f
% Assm: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: !s f. real_variation s f = vector_variation (IMAGE lift s) (lift o f o drop)
% Goal: !f s t. has_bounded_real_variation_on f s /\ t SUBSET s ==> real_variation t f <= real_variation s f
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cvectoruu_variation, type, vectoru_variation : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > real)).
thf(csubset0, type, subset0 : ((cartrealn1 > $o) > (cartrealn1 > $o) > $o)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(crealuu_variation, type, realu_variation : ((real > $o) > (real > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(chasuu_boundeduu_realuu_variationuu_on, type, hasu_boundedu_realu_variationu_on : ((real > real) > (real > $o) > $o)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_SUBSET, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:((subset @ S @ T) => (subset @ (image @ F @ S) @ (image @ F @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_VARIATIONu_MONOTONE, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o),T:(cartrealn1 > $o)]:(((hasu_boundedu_variationu_on @ F @ S) & (subset0 @ T @ S)) => (realu_le @ (vectoru_variation @ T @ F) @ (vectoru_variation @ S @ F)))).
thf(ahasu_boundedu_realu_variationu_on, axiom, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) <=> (hasu_boundedu_variationu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image0 @ lift @ S)))).
thf(arealu_variation, axiom, ![S:(real > $o),F:(real > real)]:((realu_variation @ S @ F) = (vectoru_variation @ (image0 @ lift @ S) @ (o @ lift @ (o0 @ F @ drop))))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o)]:(((hasu_boundedu_realu_variationu_on @ F @ S) & (subset @ T @ S)) => (realu_le @ (realu_variation @ T @ F) @ (realu_variation @ S @ F)))).
