%   ORIGINAL: REAL_VARIATION_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_NEG: !x. lift (--x) = --lift x
% Assm: TRUTH: T
% Assm: VECTOR_VARIATION_NEG: !f s. vector_variation s (\x. --f x) = vector_variation s f
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_variation: !s f. real_variation s f = vector_variation (IMAGE lift s) (lift o f o drop)
% Goal: !f s. real_variation s (\x. --f x) = real_variation s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. lift (--x) = --lift x
% Assm: T
% Assm: !f s. vector_variation s (\x. --f x) = vector_variation s f
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !s f. real_variation s f = vector_variation (IMAGE lift s) (lift o f o drop)
% Goal: !f s. real_variation s (\x. --f x) = real_variation s f
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvectoruu_variation, type, vectoru_variation : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > real)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn1 > cartrealn1)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_variation, type, realu_variation : ((real > $o) > (real > real) > real)).
thf(co1, type, o1 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co0, type, o0 : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_NEG, axiom, ![X:real]:((lift @ (realu_neg @ X)) = (vectoru_neg @ (lift @ X)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_VARIATIONu_NEG, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((vectoru_variation @ S @ ^[X:cartrealn1]:(vectoru_neg @ (F @ X))) = (vectoru_variation @ S @ F))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(arealu_variation, axiom, ![S:(real > $o),F:(real > real)]:((realu_variation @ S @ F) = (vectoru_variation @ (image @ lift @ S) @ (o0 @ lift @ (o1 @ F @ drop))))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((realu_variation @ S @ ^[X:real]:(realu_neg @ (F @ X))) = (realu_variation @ S @ F))).
