%   ORIGINAL: REAL_VARIATION_TRIANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIFT_ADD: !x y. lift (x + y) = lift x + lift y
% Assm: TRUTH: T
% Assm: VECTOR_VARIATION_TRIANGLE: !f g s. has_bounded_variation_on f s /\ has_bounded_variation_on g s ==> vector_variation s (\x. f x + g x) <= vector_variation s f + vector_variation s g
% Assm: has_bounded_real_variation_on: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_variation: !s f. real_variation s f = vector_variation (IMAGE lift s) (lift o f o drop)
% Goal: !f g s. has_bounded_real_variation_on f s /\ has_bounded_real_variation_on g s ==> real_variation s (\x. f x + g x) <= real_variation s f + real_variation s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. lift (x + y) = lift x + lift y
% Assm: T
% Assm: !f g s. has_bounded_variation_on f s /\ has_bounded_variation_on g s ==> vector_variation s (\x. f x + g x) <= vector_variation s f + vector_variation s g
% Assm: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !s f. real_variation s f = vector_variation (IMAGE lift s) (lift o f o drop)
% Goal: !f g s. has_bounded_real_variation_on f s /\ has_bounded_real_variation_on g s ==> real_variation s (\x. f x + g x) <= real_variation s f + real_variation s g
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvectoruu_variation, type, vectoru_variation : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > real)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_variation, type, realu_variation : ((real > $o) > (real > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(chasuu_boundeduu_realuu_variationuu_on, type, hasu_boundedu_realu_variationu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIFTu_ADD, axiom, ![X:real,Y:real]:((lift @ (realu_add @ X @ Y)) = (vectoru_add @ (lift @ X) @ (lift @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_VARIATIONu_TRIANGLE, axiom, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:(((hasu_boundedu_variationu_on @ F @ S) & (hasu_boundedu_variationu_on @ G @ S)) => (realu_le @ (vectoru_variation @ S @ ^[X:cartrealn1]:(vectoru_add @ (F @ X) @ (G @ X))) @ (realu_add @ (vectoru_variation @ S @ F) @ (vectoru_variation @ S @ G))))).
thf(ahasu_boundedu_realu_variationu_on, axiom, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) <=> (hasu_boundedu_variationu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(arealu_variation, axiom, ![S:(real > $o),F:(real > real)]:((realu_variation @ S @ F) = (vectoru_variation @ (image @ lift @ S) @ (o @ lift @ (o0 @ F @ drop))))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:(((hasu_boundedu_realu_variationu_on @ F @ S) & (hasu_boundedu_realu_variationu_on @ G @ S)) => (realu_le @ (realu_variation @ S @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X))) @ (realu_add @ (realu_variation @ S @ F) @ (realu_variation @ S @ G))))).
