%   ORIGINAL: HAS_BOUNDED_REAL_VARIATION_ON_COMBINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_BOUNDED_VARIATION_ON_COMBINE: !f a b c. drop a <= drop c /\ drop c <= drop b ==> (has_bounded_variation_on f (interval [a,b]) <=> has_bounded_variation_on f (interval [a,c]) /\ has_bounded_variation_on f (interval [c,b]))
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct0: IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Assm: has_bounded_real_variation_on: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Goal: !f a b c. a <= c /\ c <= b ==> (has_bounded_real_variation_on f (real_interval [a,b]) <=> has_bounded_real_variation_on f (real_interval [a,c]) /\ has_bounded_real_variation_on f (real_interval [c,b]))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f a b c. drop a <= drop c /\ drop c <= drop b ==> (has_bounded_variation_on f (interval [a,b]) <=> has_bounded_variation_on f (interval [a,c]) /\ has_bounded_variation_on f (interval [c,b]))
% Assm: !a b. IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: !x. drop (lift x) = x
% Assm: T
% Assm: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Goal: !f a b c. a <= c /\ c <= b ==> (has_bounded_real_variation_on f (real_interval [a,b]) <=> has_bounded_real_variation_on f (real_interval [a,c]) /\ has_bounded_real_variation_on f (real_interval [c,b]))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(chasuu_boundeduu_realuu_variationuu_on, type, hasu_boundedu_realu_variationu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_BOUNDEDu_VARIATIONu_ONu_COMBINE, axiom, ![F:(cartrealn1 > cartrealn1),A:cartrealn1,B:cartrealn1,C:cartrealn1]:(((realu_le @ (drop @ A) @ (drop @ C)) & (realu_le @ (drop @ C) @ (drop @ B))) => ((hasu_boundedu_variationu_on @ F @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) <=> ((hasu_boundedu_variationu_on @ F @ (closedu_interval @ (cons0 @ (c_0 @ A @ C) @ nil0))) & (hasu_boundedu_variationu_on @ F @ (closedu_interval @ (cons0 @ (c_0 @ C @ B) @ nil0))))))).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((image @ lift @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_realu_variationu_on, axiom, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) <=> (hasu_boundedu_variationu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real,C:real]:(((realu_le @ A @ C) & (realu_le @ C @ B)) => ((hasu_boundedu_realu_variationu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ((hasu_boundedu_realu_variationu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ C) @ nil))) & (hasu_boundedu_realu_variationu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ C @ B) @ nil))))))).
