%   ORIGINAL: REAL_VARIATION_COMBINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct0: IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Assm: VECTOR_VARIATION_COMBINE: !f a b c. drop a <= drop c /\ drop c <= drop b /\ has_bounded_variation_on f (interval [a,b]) ==> vector_variation (interval [a,c]) f + vector_variation (interval [c,b]) f = vector_variation (interval [a,b]) f
% Assm: has_bounded_real_variation_on: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: real_variation: !s f. real_variation s f = vector_variation (IMAGE lift s) (lift o f o drop)
% Goal: !f a b c. a <= c /\ c <= b /\ has_bounded_real_variation_on f (real_interval [a,b]) ==> real_variation (real_interval [a,c]) f + real_variation (real_interval [c,b]) f = real_variation (real_interval [a,b]) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: !x. drop (lift x) = x
% Assm: T
% Assm: !f a b c. drop a <= drop c /\ drop c <= drop b /\ has_bounded_variation_on f (interval [a,b]) ==> vector_variation (interval [a,c]) f + vector_variation (interval [c,b]) f = vector_variation (interval [a,b]) f
% Assm: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: !s f. real_variation s f = vector_variation (IMAGE lift s) (lift o f o drop)
% Goal: !f a b c. a <= c /\ c <= b /\ has_bounded_real_variation_on f (real_interval [a,b]) ==> real_variation (real_interval [a,c]) f + real_variation (real_interval [c,b]) f = real_variation (real_interval [a,b]) f
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(cvectoruu_variation, type, vectoru_variation : ((cartrealn1 > $o) > (cartrealn1 > cartrealn1) > real)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_variation, type, realu_variation : ((real > $o) > (real > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(chasuu_boundeduu_realuu_variationuu_on, type, hasu_boundedu_realu_variationu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((image @ lift @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_VARIATIONu_COMBINE, axiom, ![F:(cartrealn1 > cartrealn1),A:cartrealn1,B:cartrealn1,C:cartrealn1]:(((realu_le @ (drop @ A) @ (drop @ C)) & (realu_le @ (drop @ C) @ (drop @ B)) & (hasu_boundedu_variationu_on @ F @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0)))) => ((realu_add @ (vectoru_variation @ (closedu_interval @ (cons0 @ (c_0 @ A @ C) @ nil0)) @ F) @ (vectoru_variation @ (closedu_interval @ (cons0 @ (c_0 @ C @ B) @ nil0)) @ F)) = (vectoru_variation @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0)) @ F)))).
thf(ahasu_boundedu_realu_variationu_on, axiom, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) <=> (hasu_boundedu_variationu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(arealu_variation, axiom, ![S:(real > $o),F:(real > real)]:((realu_variation @ S @ F) = (vectoru_variation @ (image @ lift @ S) @ (o @ lift @ (o0 @ F @ drop))))).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real,C:real]:(((realu_le @ A @ C) & (realu_le @ C @ B) & (hasu_boundedu_realu_variationu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ((realu_add @ (realu_variation @ (closedu_realu_interval @ (cons @ (c_ @ A @ C) @ nil)) @ F) @ (realu_variation @ (closedu_realu_interval @ (cons @ (c_ @ C @ B) @ nil)) @ F)) = (realu_variation @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F)))).
