%   ORIGINAL: INCREASING_BOUNDED_REAL_VARIATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FORALL_DROP: (!x. P x) <=> (!x. P (drop x))
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct0: IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: INCREASING_BOUNDED_VARIATION: !f a b. (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (f x) <= drop (f y)) ==> has_bounded_variation_on f (interval [a,b])
% Assm: IN_INTERVAL_1: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: IN_REAL_INTERVAL: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Assm: has_bounded_real_variation_on: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f x <= f y) ==> has_bounded_real_variation_on f (real_interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (!x. P x) <=> (!x. P (drop x))
% Assm: !a b. IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: !f a b. (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (f x) <= drop (f y)) ==> has_bounded_variation_on f (interval [a,b])
% Assm: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
% Assm: !x. drop (lift x) = x
% Assm: T
% Assm: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f a b. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> f x <= f y) ==> has_bounded_real_variation_on f (real_interval [a,b])
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(chasuu_boundeduu_realuu_variationuu_on, type, hasu_boundedu_realu_variationu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFORALLu_DROP, axiom, ![P:(real > $o)]:(![X:real]:(P @ X) <=> ![X:cartrealn1]:(P @ (drop @ X)))).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((image @ lift @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0)))).
thf(aINCREASINGu_BOUNDEDu_VARIATION, axiom, ![F:(cartrealn1 > cartrealn1),A:cartrealn1,B:cartrealn1]:(![X:cartrealn1,Y:cartrealn1]:(((in0 @ X @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) & (in0 @ Y @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (drop @ (F @ X)) @ (drop @ (F @ Y)))) => (hasu_boundedu_variationu_on @ F @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))))).
thf(aINu_INTERVALu_1, axiom, ![A:cartrealn1,B:cartrealn1,X:cartrealn1]:(((in0 @ X @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) <=> ((realu_le @ (drop @ A) @ (drop @ X)) & (realu_le @ (drop @ X) @ (drop @ B)))) & ((in0 @ X @ (openu_interval @ (c_0 @ A @ B))) <=> ((realu_lt @ (drop @ A) @ (drop @ X)) & (realu_lt @ (drop @ X) @ (drop @ B)))))).
thf(aINu_REALu_INTERVAL, axiom, ![A:real,B:real,X:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ((realu_le @ A @ X) & (realu_le @ X @ B))) & ((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) <=> ((realu_lt @ A @ X) & (realu_lt @ X @ B))))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_realu_variationu_on, axiom, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) <=> (hasu_boundedu_variationu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real]:(![X:real,Y:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ X @ Y)) => (realu_le @ (F @ X) @ (F @ Y))) => (hasu_boundedu_realu_variationu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
