%   ORIGINAL: HAS_BOUNDED_REAL_VARIATION_TRANSLATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DROP_ADD: !x y. drop (x + y) = drop x + drop y
% Assm: HAS_BOUNDED_VARIATION_TRANSLATION: !f s a. has_bounded_variation_on f s ==> has_bounded_variation_on (\x. f (a + x)) (IMAGE (\x. --a + x) s)
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: LIFT_ADD: !x y. lift (x + y) = lift x + lift y
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIFT_NEG: !x. lift (--x) = --lift x
% Assm: TRUTH: T
% Assm: has_bounded_real_variation_on: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f s a. has_bounded_real_variation_on f s ==> has_bounded_real_variation_on (\x. f (a + x)) (IMAGE (\x. --a + x) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. drop (x + y) = drop x + drop y
% Assm: !f s a. has_bounded_variation_on f s ==> has_bounded_variation_on (\x. f (a + x)) (IMAGE (\x. --a + x) s)
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !x y. lift (x + y) = lift x + lift y
% Assm: !x. drop (lift x) = x
% Assm: !x. lift (--x) = --lift x
% Assm: T
% Assm: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f s a. has_bounded_real_variation_on f s ==> has_bounded_real_variation_on (\x. f (a + x)) (IMAGE (\x. --a + x) s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn1 > cartrealn1)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(chasuu_boundeduu_realuu_variationuu_on, type, hasu_boundedu_realu_variationu_on : ((real > real) > (real > $o) > $o)).
thf(co2, type, o2 : ((b > c) > (a > b) > a > c)).
thf(cimage1, type, image1 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co1, type, o1 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co0, type, o0 : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(cimage0, type, image0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDROPu_ADD, axiom, ![X:cartrealn1,Y:cartrealn1]:((drop @ (vectoru_add @ X @ Y)) = (realu_add @ (drop @ X) @ (drop @ Y)))).
thf(aHASu_BOUNDEDu_VARIATIONu_TRANSLATION, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o),A:cartrealn1]:((hasu_boundedu_variationu_on @ F @ S) => (hasu_boundedu_variationu_on @ ^[X:cartrealn1]:(F @ (vectoru_add @ A @ X)) @ (image0 @ ^[X:cartrealn1]:(vectoru_add @ (vectoru_neg @ A) @ X) @ S)))).
thf(aIMAGEu_o, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:((image @ (o @ F @ G) @ S) = (image @ F @ (image @ G @ S)))).
thf(aLIFTu_ADD, axiom, ![X:real,Y:real]:((lift @ (realu_add @ X @ Y)) = (vectoru_add @ (lift @ X) @ (lift @ Y)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIFTu_NEG, axiom, ![X:real]:((lift @ (realu_neg @ X)) = (vectoru_neg @ (lift @ X)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_realu_variationu_on, axiom, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) <=> (hasu_boundedu_variationu_on @ (o0 @ lift @ (o1 @ F @ drop)) @ (image1 @ lift @ S)))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o2 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),A:real]:((hasu_boundedu_realu_variationu_on @ F @ S) => (hasu_boundedu_realu_variationu_on @ ^[X:real]:(F @ (realu_add @ A @ X)) @ (image @ ^[X:real]:(realu_add @ (realu_neg @ A) @ X) @ S)))).
