%   ORIGINAL: VECTOR_ANGLE_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PRESERVES_NORM_PRESERVES_DOT: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> f x dot f y = x dot y
% Assm: TRUTH: T
% Assm: vector_angle: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> vector_angle (f x) (f y) = vector_angle x y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: ~F <=> T
% Assm: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> f x dot f y = x dot y
% Assm: T
% Assm: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Assm: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> vector_angle (f x) (f y) = vector_angle x y
%  TYPES
thf(tq688837, type, q688837 : $tType).
thf(tq688838, type, q688838 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq688837, type, cartrealq688837 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq688838, type, cartrealq688838 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdot0, type, dot0 : (cartrealq688837 > cartrealq688837 > real)).
thf(cdot, type, dot : (cartrealq688838 > cartrealq688838 > real)).
thf(cvectoruu_angle0, type, vectoru_angle0 : (cartrealq688837 > cartrealq688837 > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq688838 > cartrealq688838 > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq688837 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq688838 > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(clinear, type, linear : ((cartrealq688837 > cartrealq688838) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvec0, type, vec0 : (num > cartrealq688837)).
thf(cvec, type, vec : (num > cartrealq688838)).
thf(cacs, type, acs : (real > real)).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNORMu_EQu_0u_monomorphized1, axiom, ![X:cartrealq688838]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNORMu_EQu_0u_monomorphized0, axiom, ![X:cartrealq688837]:(((vectoru_norm0 @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec0 @ (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPRESERVESu_NORMu_PRESERVESu_DOT, axiom, ![F:(cartrealq688837 > cartrealq688838),X:cartrealq688837,Y:cartrealq688837]:(((linear @ F) & ![X:cartrealq688837]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((dot @ (F @ X) @ (F @ Y)) = (dot0 @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(avectoru_angleu_monomorphized1, axiom, ![X:cartrealq688838,Y:cartrealq688838]:((vectoru_angle @ X @ Y) = (cond @ ((X = (vec @ (numeral @ u_0))) | (Y = (vec @ (numeral @ u_0)))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (acs @ (realu_div @ (dot @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y))))))).
thf(avectoru_angleu_monomorphized0, axiom, ![X:cartrealq688837,Y:cartrealq688837]:((vectoru_angle0 @ X @ Y) = (cond @ ((X = (vec0 @ (numeral @ u_0))) | (Y = (vec0 @ (numeral @ u_0)))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (acs @ (realu_div @ (dot0 @ X @ Y) @ (realu_mul @ (vectoru_norm0 @ X) @ (vectoru_norm0 @ Y))))))).
thf(conjecture, conjecture, ![F:(cartrealq688837 > cartrealq688838),X:cartrealq688837,Y:cartrealq688837]:(((linear @ F) & ![X:cartrealq688837]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((vectoru_angle @ (F @ X) @ (F @ Y)) = (vectoru_angle0 @ X @ Y)))).
