%   ORIGINAL: VECTOR_ANGLE_REFL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ACS_1: acs (&1) = &0
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NORM_POW_2: !x. norm x pow 2 = x dot x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_DIV_REFL: !x. ~(x = &0) ==> x / x = &1
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: TRUTH: T
% Assm: vector_angle: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !x. vector_angle x x = (if x = vec 0 then pi / &2 else &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: acs (&1) = &0
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x. x pow 2 = x * x
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !x. norm x pow 2 = x dot x
% Assm: ~F <=> T
% Assm: !x. ~(x = &0) ==> x / x = &1
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: T
% Assm: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !x. vector_angle x x = (if x = vec 0 then pi / &2 else &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq99882, type, q99882 : $tType).
thf(tcartrealq99882, type, cartrealq99882 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq688885, type, cartrealq688885 : $tType).
thf(tq688885, type, q688885 : $tType).
%  CONSTS
thf(cdot0, type, dot0 : (cartrealq688885 > cartrealq688885 > real)).
thf(cdot, type, dot : (cartrealq99882 > cartrealq99882 > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq99882 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq688885 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq688885 > cartrealq688885 > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cvec, type, vec : (num > cartrealq688885)).
thf(cuu_0, type, u_0 : num).
thf(cacs, type, acs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq688885),G:(a > cartrealq688885)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aACSu_1, axiom, ((acs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aNORMu_EQu_0, axiom, ![X:cartrealq688885]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNORMu_POWu_2, axiom, ![X:cartrealq99882]:((realu_pow @ (vectoru_norm0 @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (dot @ X @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_DIVu_REFL, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_div @ X @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(avectoru_angle, axiom, ![X:cartrealq688885,Y:cartrealq688885]:((vectoru_angle @ X @ Y) = (cond @ ((X = (vec @ (numeral @ u_0))) | (Y = (vec @ (numeral @ u_0)))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (acs @ (realu_div @ (dot0 @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y))))))).
thf(conjecture, conjecture, ![X:cartrealq688885]:((vectoru_angle @ X @ X) = (cond @ (X = (vec @ (numeral @ u_0))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_ofu_num @ (numeral @ u_0))))).
