%   ORIGINAL: VECTOR_ANGLE_SYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Assm: vector_angle: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !x y. vector_angle x y = vector_angle y x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x dot y = y dot x
% Assm: !x y. x * y = y * x
% Assm: T
% Assm: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !x y. vector_angle x y = vector_angle y x
%  TYPES
thf(tcartrealq97800, type, cartrealq97800 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq688907, type, q688907 : $tType).
thf(treal, type, real : $tType).
thf(tq97800, type, q97800 : $tType).
thf(tcartrealq688907, type, cartrealq688907 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq688907 > real)).
thf(cdot0, type, dot0 : (cartrealq688907 > cartrealq688907 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq97800 > cartrealq97800 > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq688907 > cartrealq688907 > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq688907)).
thf(cacs, type, acs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_SYM, axiom, ![X:cartrealq97800,Y:cartrealq97800]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(avectoru_angle, axiom, ![X:cartrealq688907,Y:cartrealq688907]:((vectoru_angle @ X @ Y) = (cond @ ((X = (vec @ (numeral @ u_0))) | (Y = (vec @ (numeral @ u_0)))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (acs @ (realu_div @ (dot0 @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y))))))).
thf(conjecture, conjecture, ![X:cartrealq688907,Y:cartrealq688907]:((vectoru_angle @ X @ Y) = (vectoru_angle @ Y @ X))).
