%   ORIGINAL: VECTOR_ANGLE_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ANGLE_LMUL: !a x y. vector_angle (a % x) y = (if a = &0 then pi / &2 else if &0 <= a then vector_angle x y else pi - vector_angle x y)
% Assm: VECTOR_ANGLE_SYM: !x y. vector_angle x y = vector_angle y x
% Goal: !a x y. vector_angle x (a % y) = (if a = &0 then pi / &2 else if &0 <= a then vector_angle x y else pi - vector_angle x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !a x y. vector_angle (a % x) y = (if a = &0 then pi / &2 else if &0 <= a then vector_angle x y else pi - vector_angle x y)
% Assm: !x y. vector_angle x y = vector_angle y x
% Goal: !a x y. vector_angle x (a % y) = (if a = &0 then pi / &2 else if &0 <= a then vector_angle x y else pi - vector_angle x y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealn > cartrealn > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ANGLEu_LMUL, axiom, ![A:real,X:cartrealn,Y:cartrealn]:((vectoru_angle @ (r_ @ A @ X) @ Y) = (cond @ (A = (realu_ofu_num @ (numeral @ u_0))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) @ (vectoru_angle @ X @ Y) @ (realu_sub @ pi @ (vectoru_angle @ X @ Y)))))).
thf(aVECTORu_ANGLEu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_angle @ X @ Y) = (vectoru_angle @ Y @ X))).
thf(conjecture, conjecture, ![A:real,X:cartrealn,Y:cartrealn]:((vectoru_angle @ X @ (r_ @ A @ Y)) = (cond @ (A = (realu_ofu_num @ (numeral @ u_0))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) @ (vectoru_angle @ X @ Y) @ (realu_sub @ pi @ (vectoru_angle @ X @ Y)))))).
