%   ORIGINAL: VECTOR_ANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COS_ACS: !y. -- &1 <= y /\ y <= &1 ==> cos (acs y) = y
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NORM_CAUCHY_SCHWARZ_DIV: !x y. abs ((x dot y) / (norm x * norm y)) <= &1
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_BOUNDS_LE: !x k. --k <= x /\ x <= k <=> abs x <= k
% Assm: REAL_EQ_LDIV_EQ: !x y z. &0 < z ==> (x / z = y <=> x = y * z)
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: TRUTH: T
% Assm: vector_angle: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !x y. x dot y = norm x * norm y * cos (vector_angle x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !y. -- &1 <= y /\ y <= &1 ==> cos (acs y) = y
% Assm: !x. vec 0 dot x = &0
% Assm: !x. x dot vec 0 = &0
% Assm: norm (vec 0) = &0
% Assm: !x y. abs ((x dot y) / (norm x * norm y)) <= &1
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~F <=> T
% Assm: !x k. --k <= x /\ x <= k <=> abs x <= k
% Assm: !x y z. &0 < z ==> (x / z = y <=> x = y * z)
% Assm: !n m. m * n = n * m
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &0 * x = &0
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. x * &0 = &0
% Assm: T
% Assm: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !x y. x dot y = norm x * norm y * cos (vector_angle x y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealn > cartrealn > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cacs, type, acs : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCOSu_ACS, axiom, ![Y:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y) & (realu_le @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((cos @ (acs @ Y)) = Y))).
thf(aDOTu_LZERO, axiom, ![X:cartrealn]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDOTu_RZERO, axiom, ![X:cartrealn]:((dot @ X @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_CAUCHYu_SCHWARZu_DIV, axiom, ![X:cartrealn,Y:cartrealn]:(realu_le @ (realu_abs @ (realu_div @ (dot @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealn]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X)) <=> ~ ((X = (vec @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_BOUNDSu_LE, axiom, ![X:real,K:real]:(((realu_le @ (realu_neg @ K) @ X) & (realu_le @ X @ K)) <=> (realu_le @ (realu_abs @ X) @ K))).
thf(aREALu_EQu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => (((realu_div @ X @ Z) = Y) <=> (X = (realu_mul @ Y @ Z))))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(avectoru_angle, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_angle @ X @ Y) = (cond @ ((X = (vec @ (numeral @ u_0))) | (Y = (vec @ (numeral @ u_0)))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (acs @ (realu_div @ (dot @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y))))))).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (realu_mul @ (vectoru_norm @ X) @ (realu_mul @ (vectoru_norm @ Y) @ (cos @ (vectoru_angle @ X @ Y)))))).
