%   ORIGINAL: VECTOR_ANGLE_EQ_0_DIST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_TRIANGLE_EQ: !x y. norm (x + y) = norm x + norm y <=> norm x % y = norm y % x
% Assm: TRUTH: T
% Assm: VECTOR_ANGLE_EQ_0: !x y. vector_angle x y = &0 <=> ~(x = vec 0) /\ ~(y = vec 0) /\ norm x % y = norm y % x
% Goal: !x y. vector_angle x y = &0 <=> ~(x = vec 0) /\ ~(y = vec 0) /\ norm (x + y) = norm x + norm y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. norm (x + y) = norm x + norm y <=> norm x % y = norm y % x
% Assm: T
% Assm: !x y. vector_angle x y = &0 <=> ~(x = vec 0) /\ ~(y = vec 0) /\ norm x % y = norm y % x
% Goal: !x y. vector_angle x y = &0 <=> ~(x = vec 0) /\ ~(y = vec 0) /\ norm (x + y) = norm x + norm y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealn > cartrealn > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_TRIANGLEu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:(((vectoru_norm @ (vectoru_add @ X @ Y)) = (realu_add @ (vectoru_norm @ X) @ (vectoru_norm @ Y))) <=> ((r_ @ (vectoru_norm @ X) @ Y) = (r_ @ (vectoru_norm @ Y) @ X)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ANGLEu_EQu_0, axiom, ![X:cartrealn,Y:cartrealn]:(((vectoru_angle @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0)))) & ((r_ @ (vectoru_norm @ X) @ Y) = (r_ @ (vectoru_norm @ Y) @ X))))).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn]:(((vectoru_angle @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0)))) & ((vectoru_norm @ (vectoru_add @ X @ Y)) = (realu_add @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))))).
