%   ORIGINAL: CONTINUOUS_WITHIN_CX_VECTOR_ANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_AT_CX_VECTOR_ANGLE: !c x. ~(x = vec 0) ==> Cx o vector_angle c continuous at x
% Assm: CONTINUOUS_AT_WITHIN: !f x s. f continuous at x ==> f continuous at x within s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !c x s. ~(x = vec 0) ==> Cx o vector_angle c continuous at x within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !c x. ~(x = vec 0) ==> Cx o vector_angle c continuous at x
% Assm: !f x s. f continuous at x ==> f continuous at x within s
% Assm: ~F <=> T
% Assm: T
% Goal: !c x s. ~(x = vec 0) ==> Cx o vector_angle c continuous at x within s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealn > cartrealn > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealn2) > netcartrealn > $o)).
thf(cwithin, type, within : (netcartrealn > (cartrealn > $o) > netcartrealn)).
thf(co, type, o : ((real > cartrealn2) > (cartrealn > real) > cartrealn > cartrealn2)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ATu_CXu_VECTORu_ANGLE, axiom, ![C:cartrealn,X:cartrealn]:(~ ((X = (vec @ (numeral @ u_0)))) => (continuous @ (o @ cx @ (vectoru_angle @ C)) @ (at @ X)))).
thf(aCONTINUOUSu_ATu_WITHIN, axiom, ![F:(cartrealn > cartrealn2),X:cartrealn,S:(cartrealn > $o)]:((continuous @ F @ (at @ X)) => (continuous @ F @ (within @ (at @ X) @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:cartrealn,X:cartrealn,S:(cartrealn > $o)]:(~ ((X = (vec @ (numeral @ u_0)))) => (continuous @ (o @ cx @ (vectoru_angle @ C)) @ (within @ (at @ X) @ S)))).
