%   ORIGINAL: REAL_CONTINUOUS_WITHIN_VECTOR_ANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_WITHIN_CX_VECTOR_ANGLE: !c x s. ~(x = vec 0) ==> Cx o vector_angle c continuous at x within s
% Assm: REAL_CONTINUOUS_CONTINUOUS: f real_continuous net <=> Cx o f continuous net
% Assm: TRUTH: T
% Goal: !c s x. ~(x = vec 0) ==> vector_angle c real_continuous at x within s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c x s. ~(x = vec 0) ==> Cx o vector_angle c continuous at x within s
% Assm: !f net. f real_continuous net <=> Cx o f continuous net
% Assm: T
% Goal: !c s x. ~(x = vec 0) ==> vector_angle c real_continuous at x within s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealn2) > netcartrealn > $o)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealn > cartrealn > real)).
thf(crealuu_continuous, type, realu_continuous : ((cartrealn > real) > netcartrealn > $o)).
thf(co, type, o : ((real > cartrealn2) > (cartrealn > real) > cartrealn > cartrealn2)).
thf(cwithin, type, within : (netcartrealn > (cartrealn > $o) > netcartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_WITHINu_CXu_VECTORu_ANGLE, axiom, ![C:cartrealn,X:cartrealn,S:(cartrealn > $o)]:(~ ((X = (vec @ (numeral @ u_0)))) => (continuous @ (o @ cx @ (vectoru_angle @ C)) @ (within @ (at @ X) @ S)))).
thf(aREALu_CONTINUOUSu_CONTINUOUS, axiom, ![F:(cartrealn > real),NET:netcartrealn]:((realu_continuous @ F @ NET) <=> (continuous @ (o @ cx @ F) @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:cartrealn,S:(cartrealn > $o),X:cartrealn]:(~ ((X = (vec @ (numeral @ u_0)))) => (realu_continuous @ (vectoru_angle @ C) @ (within @ (at @ X) @ S)))).
