%   ORIGINAL: COS_VECTOR_ANGLE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ACS_COS: !x. &0 <= x /\ x <= pi ==> acs (cos x) = x
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ANGLE_RANGE: !x y. &0 <= vector_angle x y /\ vector_angle x y <= pi
% Goal: !u v x y. cos (vector_angle u v) = cos (vector_angle x y) <=> vector_angle u v = vector_angle x y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !x. &0 <= x /\ x <= pi ==> acs (cos x) = x
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. &0 <= vector_angle x y /\ vector_angle x y <= pi
% Assm: !x y. &0 <= vector_angle x y /\ vector_angle x y <= pi
% Goal: !u v x y. cos (vector_angle u v) = cos (vector_angle x y) <=> vector_angle u v = vector_angle x y
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq690188, type, cartrealq690188 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq690184, type, cartrealq690184 : $tType).
thf(tq690184, type, q690184 : $tType).
thf(tq690188, type, q690188 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_angle0, type, vectoru_angle0 : (cartrealq690188 > cartrealq690188 > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq690184 > cartrealq690184 > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cacs, type, acs : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aACSu_COS, axiom, ![X:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ pi)) => ((acs @ (cos @ X)) = X))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ANGLEu_RANGEu_monomorphized1, axiom, ![X:cartrealq690188,Y:cartrealq690188]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_angle0 @ X @ Y)) & (realu_le @ (vectoru_angle0 @ X @ Y) @ pi))).
thf(aVECTORu_ANGLEu_RANGEu_monomorphized0, axiom, ![X:cartrealq690184,Y:cartrealq690184]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_angle @ X @ Y)) & (realu_le @ (vectoru_angle @ X @ Y) @ pi))).
thf(conjecture, conjecture, ![U:cartrealq690184,V:cartrealq690184,X:cartrealq690188,Y:cartrealq690188]:(((cos @ (vectoru_angle @ U @ V)) = (cos @ (vectoru_angle0 @ X @ Y))) <=> ((vectoru_angle @ U @ V) = (vectoru_angle0 @ X @ Y)))).
