%   ORIGINAL: COLLINEAR_SIN_VECTOR_ANGLE_IMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_SIN_VECTOR_ANGLE: !x y. ~(x = vec 0) /\ ~(y = vec 0) ==> (collinear {vec 0, x, y} <=> sin (vector_angle x y) = &0)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SIN_VECTOR_ANGLE_EQ_0: !x y. sin (vector_angle x y) = &0 <=> vector_angle x y = &0 \/ vector_angle x y = pi
% Assm: TRUTH: T
% Assm: VECTOR_ANGLE_EQ_0_DIST: !x y. vector_angle x y = &0 <=> ~(x = vec 0) /\ ~(y = vec 0) /\ norm (x + y) = norm x + norm y
% Assm: VECTOR_ANGLE_EQ_PI_DIST: !x y. vector_angle x y = pi <=> ~(x = vec 0) /\ ~(y = vec 0) /\ norm (x - y) = norm x + norm y
% Goal: !x y. sin (vector_angle x y) = &0 ==> ~(x = vec 0) /\ ~(y = vec 0) /\ collinear {vec 0, x, y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. ~(x = vec 0) /\ ~(y = vec 0) ==> (collinear {vec 0, x, y} <=> sin (vector_angle x y) = &0)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. sin (vector_angle x y) = &0 <=> vector_angle x y = &0 \/ vector_angle x y = pi
% Assm: T
% Assm: !x y. vector_angle x y = &0 <=> ~(x = vec 0) /\ ~(y = vec 0) /\ norm (x + y) = norm x + norm y
% Assm: !x y. vector_angle x y = pi <=> ~(x = vec 0) /\ ~(y = vec 0) /\ norm (x - y) = norm x + norm y
% Goal: !x y. sin (vector_angle x y) = &0 ==> ~(x = vec 0) /\ ~(y = vec 0) /\ collinear {vec 0, x, y}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq690340, type, cartrealq690340 : $tType).
thf(tq690340, type, q690340 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq690340 > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq690340 > cartrealq690340 > real)).
thf(cpi, type, pi : real).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq690340 > cartrealq690340 > cartrealq690340)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq690340 > cartrealq690340 > cartrealq690340)).
thf(cinsert, type, insert : (cartrealq690340 > (cartrealq690340 > $o) > cartrealq690340 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealq690340 > $o)).
thf(ccollinear, type, collinear : ((cartrealq690340 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq690340)).
thf(csin, type, sin : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq690340),G:(a > cartrealq690340)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_SINu_VECTORu_ANGLE, axiom, ![X:cartrealq690340,Y:cartrealq690340]:((~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0))))) => ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty)))) <=> ((sin @ (vectoru_angle @ X @ Y)) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSINu_VECTORu_ANGLEu_EQu_0, axiom, ![X:cartrealq690340,Y:cartrealq690340]:(((sin @ (vectoru_angle @ X @ Y)) = (realu_ofu_num @ (numeral @ u_0))) <=> (((vectoru_angle @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) | ((vectoru_angle @ X @ Y) = pi)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ANGLEu_EQu_0u_DIST, axiom, ![X:cartrealq690340,Y:cartrealq690340]:(((vectoru_angle @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0)))) & ((vectoru_norm @ (vectoru_add @ X @ Y)) = (realu_add @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))))).
thf(aVECTORu_ANGLEu_EQu_PIu_DIST, axiom, ![X:cartrealq690340,Y:cartrealq690340]:(((vectoru_angle @ X @ Y) = pi) <=> (~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0)))) & ((vectoru_norm @ (vectoru_sub @ X @ Y)) = (realu_add @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))))).
thf(conjecture, conjecture, ![X:cartrealq690340,Y:cartrealq690340]:(((sin @ (vectoru_angle @ X @ Y)) = (realu_ofu_num @ (numeral @ u_0))) => (~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0)))) & (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty))))))).
