%   ORIGINAL: VECTOR_ANGLE_EQ_0_RIGHT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: TRUTH: T
% Assm: VECTOR_ANGLE_EQ_0: !x y. vector_angle x y = &0 <=> ~(x = vec 0) /\ ~(y = vec 0) /\ norm x % y = norm y % x
% Assm: VECTOR_ANGLE_LMUL: !a x y. vector_angle (a % x) y = (if a = &0 then pi / &2 else if &0 <= a then vector_angle x y else pi - vector_angle x y)
% Goal: !x y z. vector_angle x y = &0 ==> vector_angle x z = vector_angle y z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !x. &0 <= norm x
% Assm: T
% Assm: !x y. vector_angle x y = &0 <=> ~(x = vec 0) /\ ~(y = vec 0) /\ norm x % y = norm y % x
% Assm: !a x y. vector_angle (a % x) y = (if a = &0 then pi / &2 else if &0 <= a then vector_angle x y else pi - vector_angle x y)
% Goal: !x y z. vector_angle x y = &0 ==> vector_angle x z = vector_angle y z
%  TYPES
thf(tcartrealq99845, type, cartrealq99845 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq99722, type, q99722 : $tType).
thf(tq99845, type, q99845 : $tType).
thf(tcartrealq99722, type, cartrealq99722 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq99845)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealn > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq99722 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq99845 > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealn > cartrealn > real)).
thf(cpi, type, pi : real).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNORMu_EQu_0, axiom, ![X:cartrealq99845]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealq99722]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm0 @ X))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ANGLEu_EQu_0, axiom, ![X:cartrealn,Y:cartrealn]:(((vectoru_angle @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (~ ((X = (vec0 @ (numeral @ u_0)))) & ~ ((Y = (vec0 @ (numeral @ u_0)))) & ((r_ @ (vectoru_norm1 @ X) @ Y) = (r_ @ (vectoru_norm1 @ Y) @ X))))).
thf(aVECTORu_ANGLEu_LMUL, axiom, ![A:real,X:cartrealn,Y:cartrealn]:((vectoru_angle @ (r_ @ A @ X) @ Y) = (cond @ (A = (realu_ofu_num @ (numeral @ u_0))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) @ (vectoru_angle @ X @ Y) @ (realu_sub @ pi @ (vectoru_angle @ X @ Y)))))).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:(((vectoru_angle @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) => ((vectoru_angle @ X @ Z) = (vectoru_angle @ Y @ Z)))).
