%   ORIGINAL: ANGLE_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LINEAR_SUB: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: TRUTH: T
% Assm: VECTOR_ANGLE_LINEAR_IMAGE_EQ: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> vector_angle (f x) (f y) = vector_angle x y
% Assm: angle: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !f a b c. linear f /\ (!x. norm (f x) = norm x) ==> angle (f a,f b,f c) = angle (a,b,c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: T
% Assm: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> vector_angle (f x) (f y) = vector_angle x y
% Assm: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Assm: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !f a b c. linear f /\ (!x. norm (f x) = norm x) ==> angle (f a,f b,f c) = angle (a,b,c)
%  TYPES
thf(tq691036, type, q691036 : $tType).
thf(tq691037, type, q691037 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq691037, type, cartrealq691037 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq691037cartrealq691037, type, prodcartrealq691037cartrealq691037 : $tType).
thf(tprodcartrealq691036cartrealq691036, type, prodcartrealq691036cartrealq691036 : $tType).
thf(tcartrealq691036, type, cartrealq691036 : $tType).
thf(tprodcartrealq691036prodcartrealq691036cartrealq691036, type, prodcartrealq691036prodcartrealq691036cartrealq691036 : $tType).
thf(tprodcartrealq691037prodcartrealq691037cartrealq691037, type, prodcartrealq691037prodcartrealq691037cartrealq691037 : $tType).
%  CONSTS
thf(cvectoruu_angle0, type, vectoru_angle0 : (cartrealq691036 > cartrealq691036 > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq691037 > cartrealq691037 > real)).
thf(cangle0, type, angle0 : (prodcartrealq691036prodcartrealq691036cartrealq691036 > real)).
thf(cangle, type, angle : (prodcartrealq691037prodcartrealq691037cartrealq691037 > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq691036 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq691037 > real)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq691037 > cartrealq691037 > cartrealq691037)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq691036 > cartrealq691036 > cartrealq691036)).
thf(ccu_2, type, c_2 : (cartrealq691036 > cartrealq691036 > prodcartrealq691036cartrealq691036)).
thf(ccu_1, type, c_1 : (cartrealq691036 > prodcartrealq691036cartrealq691036 > prodcartrealq691036prodcartrealq691036cartrealq691036)).
thf(ccu_0, type, c_0 : (cartrealq691037 > cartrealq691037 > prodcartrealq691037cartrealq691037)).
thf(ccu_, type, c_ : (cartrealq691037 > prodcartrealq691037cartrealq691037 > prodcartrealq691037prodcartrealq691037cartrealq691037)).
thf(clinear, type, linear : ((cartrealq691036 > cartrealq691037) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLINEARu_SUB, axiom, ![F:(cartrealq691036 > cartrealq691037),X:cartrealq691036,Y:cartrealq691036]:((linear @ F) => ((F @ (vectoru_sub @ X @ Y)) = (vectoru_sub0 @ (F @ X) @ (F @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ANGLEu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealq691036 > cartrealq691037),X:cartrealq691036,Y:cartrealq691036]:(((linear @ F) & ![X:cartrealq691036]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((vectoru_angle @ (F @ X) @ (F @ Y)) = (vectoru_angle0 @ X @ Y)))).
thf(aangleu_monomorphized1, axiom, ![A:cartrealq691037,C:cartrealq691037,B:cartrealq691037]:((angle @ (c_ @ A @ (c_0 @ B @ C))) = (vectoru_angle @ (vectoru_sub0 @ A @ B) @ (vectoru_sub0 @ C @ B)))).
thf(aangleu_monomorphized0, axiom, ![A:cartrealq691036,C:cartrealq691036,B:cartrealq691036]:((angle0 @ (c_1 @ A @ (c_2 @ B @ C))) = (vectoru_angle0 @ (vectoru_sub @ A @ B) @ (vectoru_sub @ C @ B)))).
thf(conjecture, conjecture, ![F:(cartrealq691036 > cartrealq691037),A:cartrealq691036,B:cartrealq691036,C:cartrealq691036]:(((linear @ F) & ![X:cartrealq691036]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((angle @ (c_ @ (F @ A) @ (c_0 @ (F @ B) @ (F @ C)))) = (angle0 @ (c_1 @ A @ (c_2 @ B @ C)))))).
