%   ORIGINAL: ANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ANGLE: !x y. x dot y = norm x * norm y * cos (vector_angle x y)
% Assm: angle: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !A B C. (A - C) dot (B - C) = dist (A,C) * dist (B,C) * cos (angle (A,C,B))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. x dot y = norm x * norm y * cos (vector_angle x y)
% Assm: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !A B C. (A - C) dot (B - C) = dist (A,C) * dist (B,C) * cos (angle (A,C,B))
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq691310cartrealq691310, type, prodcartrealq691310cartrealq691310 : $tType).
thf(tprodcartrealq691310prodcartrealq691310cartrealq691310, type, prodcartrealq691310prodcartrealq691310cartrealq691310 : $tType).
thf(tcartrealq691310, type, cartrealq691310 : $tType).
thf(tq691310, type, q691310 : $tType).
%  CONSTS
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq691310 > cartrealq691310 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq691310 > real)).
thf(cangle, type, angle : (prodcartrealq691310prodcartrealq691310cartrealq691310 > real)).
thf(cdistance, type, distance : (prodcartrealq691310cartrealq691310 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq691310 > cartrealq691310 > real)).
thf(ccu_0, type, c_0 : (cartrealq691310 > prodcartrealq691310cartrealq691310 > prodcartrealq691310prodcartrealq691310cartrealq691310)).
thf(ccu_, type, c_ : (cartrealq691310 > cartrealq691310 > prodcartrealq691310cartrealq691310)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq691310 > cartrealq691310 > cartrealq691310)).
thf(ccos, type, cos : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ANGLE, axiom, ![X:cartrealq691310,Y:cartrealq691310]:((dot @ X @ Y) = (realu_mul @ (vectoru_norm @ X) @ (realu_mul @ (vectoru_norm @ Y) @ (cos @ (vectoru_angle @ X @ Y)))))).
thf(aangle, axiom, ![A:cartrealq691310,C:cartrealq691310,B:cartrealq691310]:((angle @ (c_0 @ A @ (c_ @ B @ C))) = (vectoru_angle @ (vectoru_sub @ A @ B) @ (vectoru_sub @ C @ B)))).
thf(adist, axiom, ![X:cartrealq691310,Y:cartrealq691310]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(conjecture, conjecture, ![A:cartrealq691310,B:cartrealq691310,C:cartrealq691310]:((dot @ (vectoru_sub @ A @ C) @ (vectoru_sub @ B @ C)) = (realu_mul @ (distance @ (c_ @ A @ C)) @ (realu_mul @ (distance @ (c_ @ B @ C)) @ (cos @ (angle @ (c_0 @ A @ (c_ @ C @ B)))))))).
