%   ORIGINAL: ANGLE_REFL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: TRUTH: T
% Assm: VECTOR_SUB_REFL: !x. x - x = vec 0
% Assm: angle: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Assm: vector_angle: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !A B. angle (A,A,B) = pi / &2 /\ angle (B,A,A) = pi / &2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: T
% Assm: !x. x - x = vec 0
% Assm: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Assm: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !A B. angle (A,A,B) = pi / &2 /\ angle (B,A,A) = pi / &2
%  TYPES
thf(tcartrealq688795, type, cartrealq688795 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq691332, type, cartrealq691332 : $tType).
thf(tcartrealq97186, type, cartrealq97186 : $tType).
thf(ta, type, a : $tType).
thf(tq97186, type, q97186 : $tType).
thf(treal, type, real : $tType).
thf(tq688795, type, q688795 : $tType).
thf(tprodcartrealq691332cartrealq691332, type, prodcartrealq691332cartrealq691332 : $tType).
thf(tprodcartrealq691332prodcartrealq691332cartrealq691332, type, prodcartrealq691332prodcartrealq691332cartrealq691332 : $tType).
thf(tq691332, type, q691332 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq688795 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq688795 > cartrealq688795 > real)).
thf(cvectoruu_angle0, type, vectoru_angle0 : (cartrealq688795 > cartrealq688795 > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq691332 > cartrealq691332 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cangle, type, angle : (prodcartrealq691332prodcartrealq691332cartrealq691332 > real)).
thf(cpi, type, pi : real).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq691332 > cartrealq691332 > cartrealq691332)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq97186 > cartrealq97186 > cartrealq97186)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_0, type, c_0 : (cartrealq691332 > cartrealq691332 > prodcartrealq691332cartrealq691332)).
thf(ccu_, type, c_ : (cartrealq691332 > prodcartrealq691332cartrealq691332 > prodcartrealq691332prodcartrealq691332cartrealq691332)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq97186)).
thf(cvec0, type, vec0 : (num > cartrealq688795)).
thf(cacs, type, acs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_REFL, axiom, ![X:cartrealq97186]:((vectoru_sub @ X @ X) = (vec @ (numeral @ u_0)))).
thf(aangle, axiom, ![A:cartrealq691332,C:cartrealq691332,B:cartrealq691332]:((angle @ (c_ @ A @ (c_0 @ B @ C))) = (vectoru_angle @ (vectoru_sub0 @ A @ B) @ (vectoru_sub0 @ C @ B)))).
thf(avectoru_angle, axiom, ![X:cartrealq688795,Y:cartrealq688795]:((vectoru_angle0 @ X @ Y) = (cond @ ((X = (vec0 @ (numeral @ u_0))) | (Y = (vec0 @ (numeral @ u_0)))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (acs @ (realu_div @ (dot @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y))))))).
thf(conjecture, conjecture, ![A:cartrealq691332,B:cartrealq691332]:(((angle @ (c_ @ A @ (c_0 @ A @ B))) = (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & ((angle @ (c_ @ B @ (c_0 @ A @ A))) = (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
