%   ORIGINAL: ANGLE_SYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: angle: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Assm: vector_angle: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !A B C. angle (A,B,C) = angle (C,B,A)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x dot y = y dot x
% Assm: !x y. x * y = y * x
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Assm: !x y. vector_angle x y = (if x = vec 0 \/ y = vec 0 then pi / &2 else acs ((x dot y) / (norm x * norm y)))
% Goal: !A B C. angle (A,B,C) = angle (C,B,A)
%  TYPES
thf(tcartrealq688795, type, cartrealq688795 : $tType).
thf(tcartrealq97800, type, cartrealq97800 : $tType).
thf(tq691411, type, q691411 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq97300, type, q97300 : $tType).
thf(tprodcartrealq691411cartrealq691411, type, prodcartrealq691411cartrealq691411 : $tType).
thf(tq688795, type, q688795 : $tType).
thf(tcartrealq691411, type, cartrealq691411 : $tType).
thf(tq97800, type, q97800 : $tType).
thf(tcartrealq97300, type, cartrealq97300 : $tType).
thf(tprodcartrealq691411prodcartrealq691411cartrealq691411, type, prodcartrealq691411prodcartrealq691411cartrealq691411 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq97300)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq688795 > real)).
thf(cdot0, type, dot0 : (cartrealq688795 > cartrealq688795 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cvectoruu_angle0, type, vectoru_angle0 : (cartrealq688795 > cartrealq688795 > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq691411 > cartrealq691411 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq97800 > cartrealq97800 > real)).
thf(cangle, type, angle : (prodcartrealq691411prodcartrealq691411cartrealq691411 > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq691411 > cartrealq691411 > cartrealq691411)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq97300 > cartrealq97300 > cartrealq97300)).
thf(ccu_0, type, c_0 : (cartrealq691411 > cartrealq691411 > prodcartrealq691411cartrealq691411)).
thf(ccu_, type, c_ : (cartrealq691411 > prodcartrealq691411cartrealq691411 > prodcartrealq691411prodcartrealq691411cartrealq691411)).
thf(cuu_0, type, u_0 : num).
thf(cvec0, type, vec0 : (num > cartrealq688795)).
thf(cacs, type, acs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_SYM, axiom, ![X:cartrealq97800,Y:cartrealq97800]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealq97300,Y:cartrealq97300]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(aangle, axiom, ![A:cartrealq691411,C:cartrealq691411,B:cartrealq691411]:((angle @ (c_ @ A @ (c_0 @ B @ C))) = (vectoru_angle @ (vectoru_sub0 @ A @ B) @ (vectoru_sub0 @ C @ B)))).
thf(avectoru_angle, axiom, ![X:cartrealq688795,Y:cartrealq688795]:((vectoru_angle0 @ X @ Y) = (cond @ ((X = (vec0 @ (numeral @ u_0))) | (Y = (vec0 @ (numeral @ u_0)))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (acs @ (realu_div @ (dot0 @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y))))))).
thf(conjecture, conjecture, ![A:cartrealq691411,B:cartrealq691411,C:cartrealq691411]:((angle @ (c_ @ A @ (c_0 @ B @ C))) = (angle @ (c_ @ C @ (c_0 @ B @ A))))).
