%   ORIGINAL: COLLINEAR_ANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_3: !x y z. collinear {x, y, z} <=> collinear {vec 0, x - y, z - y}
% Assm: COLLINEAR_VECTOR_ANGLE: !x y. ~(x = vec 0) /\ ~(y = vec 0) ==> (collinear {vec 0, x, y} <=> vector_angle x y = &0 \/ vector_angle x y = pi)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: angle: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !A B C. ~(A = B) /\ ~(B = C) ==> (collinear {A, B, C} <=> angle (A,B,C) = &0 \/ angle (A,B,C) = pi)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y z. collinear {x, y, z} <=> collinear {vec 0, x - y, z - y}
% Assm: !x y. ~(x = vec 0) /\ ~(y = vec 0) ==> (collinear {vec 0, x, y} <=> vector_angle x y = &0 \/ vector_angle x y = pi)
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !A B C. ~(A = B) /\ ~(B = C) ==> (collinear {A, B, C} <=> angle (A,B,C) = &0 \/ angle (A,B,C) = pi)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq691893, type, cartrealq691893 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq691893cartrealq691893, type, prodcartrealq691893cartrealq691893 : $tType).
thf(tprodcartrealq691893prodcartrealq691893cartrealq691893, type, prodcartrealq691893prodcartrealq691893cartrealq691893 : $tType).
thf(tq691893, type, q691893 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq691893)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq691893 > cartrealq691893 > real)).
thf(cangle, type, angle : (prodcartrealq691893prodcartrealq691893cartrealq691893 > real)).
thf(cpi, type, pi : real).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq691893 > cartrealq691893 > cartrealq691893)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_0, type, c_0 : (cartrealq691893 > cartrealq691893 > prodcartrealq691893cartrealq691893)).
thf(ccu_, type, c_ : (cartrealq691893 > prodcartrealq691893cartrealq691893 > prodcartrealq691893prodcartrealq691893cartrealq691893)).
thf(cinsert, type, insert : (cartrealq691893 > (cartrealq691893 > $o) > cartrealq691893 > $o)).
thf(cempty, type, empty : (cartrealq691893 > $o)).
thf(ccollinear, type, collinear : ((cartrealq691893 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq691893),G:(a > cartrealq691893)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_3, axiom, ![X:cartrealq691893,Y:cartrealq691893,Z:cartrealq691893]:((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ X @ Y) @ (insert @ (vectoru_sub @ Z @ Y) @ empty)))))).
thf(aCOLLINEARu_VECTORu_ANGLE, axiom, ![X:cartrealq691893,Y:cartrealq691893]:((~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0))))) => ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty)))) <=> (((vectoru_angle @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) | ((vectoru_angle @ X @ Y) = pi))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealq691893,Y:cartrealq691893]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(aangle, axiom, ![A:cartrealq691893,C:cartrealq691893,B:cartrealq691893]:((angle @ (c_ @ A @ (c_0 @ B @ C))) = (vectoru_angle @ (vectoru_sub @ A @ B) @ (vectoru_sub @ C @ B)))).
thf(conjecture, conjecture, ![A:cartrealq691893,B:cartrealq691893,C:cartrealq691893]:((~ ((A = B)) & ~ ((B = C))) => ((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) <=> (((angle @ (c_ @ A @ (c_0 @ B @ C))) = (realu_ofu_num @ (numeral @ u_0))) | ((angle @ (c_ @ A @ (c_0 @ B @ C))) = pi))))).
