%   ORIGINAL: COLLINEAR_SIN_ANGLE_IMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_3: !x y z. collinear {x, y, z} <=> collinear {vec 0, x - y, z - y}
% Assm: COLLINEAR_SIN_VECTOR_ANGLE_IMP: !x y. sin (vector_angle x y) = &0 ==> ~(x = vec 0) /\ ~(y = vec 0) /\ collinear {vec 0, x, y}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: angle: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !A B C. sin (angle (A,B,C)) = &0 ==> ~(A = B) /\ ~(B = C) /\ collinear {A, B, C}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y z. collinear {x, y, z} <=> collinear {vec 0, x - y, z - y}
% Assm: !x y. sin (vector_angle x y) = &0 ==> ~(x = vec 0) /\ ~(y = vec 0) /\ collinear {vec 0, x, y}
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !A B C. sin (angle (A,B,C)) = &0 ==> ~(A = B) /\ ~(B = C) /\ collinear {A, B, C}
%  TYPES
thf(tcartrealq692009, type, cartrealq692009 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq692009, type, q692009 : $tType).
thf(tprodcartrealq692009cartrealq692009, type, prodcartrealq692009cartrealq692009 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq692009prodcartrealq692009cartrealq692009, type, prodcartrealq692009prodcartrealq692009cartrealq692009 : $tType).
%  CONSTS
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq692009 > cartrealq692009 > real)).
thf(cangle, type, angle : (prodcartrealq692009prodcartrealq692009cartrealq692009 > real)).
thf(cvec, type, vec : (num > cartrealq692009)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq692009 > cartrealq692009 > cartrealq692009)).
thf(cinsert, type, insert : (cartrealq692009 > (cartrealq692009 > $o) > cartrealq692009 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_0, type, c_0 : (cartrealq692009 > cartrealq692009 > prodcartrealq692009cartrealq692009)).
thf(ccu_, type, c_ : (cartrealq692009 > prodcartrealq692009cartrealq692009 > prodcartrealq692009prodcartrealq692009cartrealq692009)).
thf(cempty, type, empty : (cartrealq692009 > $o)).
thf(ccollinear, type, collinear : ((cartrealq692009 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq692009),G:(a > cartrealq692009)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_3, axiom, ![X:cartrealq692009,Y:cartrealq692009,Z:cartrealq692009]:((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ X @ Y) @ (insert @ (vectoru_sub @ Z @ Y) @ empty)))))).
thf(aCOLLINEARu_SINu_VECTORu_ANGLEu_IMP, axiom, ![X:cartrealq692009,Y:cartrealq692009]:(((sin @ (vectoru_angle @ X @ Y)) = (realu_ofu_num @ (numeral @ u_0))) => (~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0)))) & (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealq692009,Y:cartrealq692009]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(aangle, axiom, ![A:cartrealq692009,C:cartrealq692009,B:cartrealq692009]:((angle @ (c_ @ A @ (c_0 @ B @ C))) = (vectoru_angle @ (vectoru_sub @ A @ B) @ (vectoru_sub @ C @ B)))).
thf(conjecture, conjecture, ![A:cartrealq692009,B:cartrealq692009,C:cartrealq692009]:(((sin @ (angle @ (c_ @ A @ (c_0 @ B @ C)))) = (realu_ofu_num @ (numeral @ u_0))) => (~ ((A = B)) & ~ ((B = C)) & (collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty))))))).
