%   ORIGINAL: COS_ANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COS_VECTOR_ANGLE: !x y. cos (vector_angle x y) = (if x = vec 0 \/ y = vec 0 then &0 else (x dot y) / (norm x * norm y))
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: angle: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !a b c. cos (angle (a,b,c)) = (if a = b \/ c = b then &0 else ((a - b) dot (c - b)) / (norm (a - b) * norm (c - b)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. cos (vector_angle x y) = (if x = vec 0 \/ y = vec 0 then &0 else (x dot y) / (norm x * norm y))
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !a b c. cos (angle (a,b,c)) = (if a = b \/ c = b then &0 else ((a - b) dot (c - b)) / (norm (a - b) * norm (c - b)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq692333cartrealq692333, type, prodcartrealq692333cartrealq692333 : $tType).
thf(tcartrealq692333, type, cartrealq692333 : $tType).
thf(tprodcartrealq692333prodcartrealq692333cartrealq692333, type, prodcartrealq692333prodcartrealq692333cartrealq692333 : $tType).
thf(tq692333, type, q692333 : $tType).
%  CONSTS
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq692333 > cartrealq692333 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq692333 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq692333 > cartrealq692333 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cangle, type, angle : (prodcartrealq692333prodcartrealq692333cartrealq692333 > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq692333 > cartrealq692333 > cartrealq692333)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(ccu_0, type, c_0 : (cartrealq692333 > cartrealq692333 > prodcartrealq692333cartrealq692333)).
thf(ccu_, type, c_ : (cartrealq692333 > prodcartrealq692333cartrealq692333 > prodcartrealq692333prodcartrealq692333cartrealq692333)).
thf(cuu_0, type, u_0 : num).
thf(ccos, type, cos : (real > real)).
thf(cvec, type, vec : (num > cartrealq692333)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq692333),G:(a > cartrealq692333)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOSu_VECTORu_ANGLE, axiom, ![X:cartrealq692333,Y:cartrealq692333]:((cos @ (vectoru_angle @ X @ Y)) = (cond @ ((X = (vec @ (numeral @ u_0))) | (Y = (vec @ (numeral @ u_0)))) @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ (dot @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealq692333,Y:cartrealq692333]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(aangle, axiom, ![A:cartrealq692333,C:cartrealq692333,B:cartrealq692333]:((angle @ (c_ @ A @ (c_0 @ B @ C))) = (vectoru_angle @ (vectoru_sub @ A @ B) @ (vectoru_sub @ C @ B)))).
thf(conjecture, conjecture, ![A:cartrealq692333,B:cartrealq692333,C:cartrealq692333]:((cos @ (angle @ (c_ @ A @ (c_0 @ B @ C)))) = (cond @ ((A = B) | (C = B)) @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ (dot @ (vectoru_sub @ A @ B) @ (vectoru_sub @ C @ B)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ A @ B)) @ (vectoru_norm @ (vectoru_sub @ C @ B))))))).
