%   ORIGINAL: SIN_ANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SIN_VECTOR_ANGLE: !x y. sin (vector_angle x y) = (if x = vec 0 \/ y = vec 0 then &1 else sqrt (&1 - ((x dot y) / (norm x * norm y)) pow 2))
% Assm: TRUTH: T
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: angle: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !a b c. sin (angle (a,b,c)) = (if a = b \/ c = b then &1 else sqrt (&1 - (((a - b) dot (c - b)) / (norm (a - b) * norm (c - b))) pow 2))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. sin (vector_angle x y) = (if x = vec 0 \/ y = vec 0 then &1 else sqrt (&1 - ((x dot y) / (norm x * norm y)) pow 2))
% Assm: T
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !a b c. sin (angle (a,b,c)) = (if a = b \/ c = b then &1 else sqrt (&1 - (((a - b) dot (c - b)) / (norm (a - b) * norm (c - b))) pow 2))
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq692421, type, cartrealq692421 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq692421cartrealq692421, type, prodcartrealq692421cartrealq692421 : $tType).
thf(tprodcartrealq692421prodcartrealq692421cartrealq692421, type, prodcartrealq692421prodcartrealq692421cartrealq692421 : $tType).
thf(tq692421, type, q692421 : $tType).
%  CONSTS
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq692421 > cartrealq692421 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq692421 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq692421 > cartrealq692421 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cangle, type, angle : (prodcartrealq692421prodcartrealq692421cartrealq692421 > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq692421 > cartrealq692421 > cartrealq692421)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(ccu_0, type, c_0 : (cartrealq692421 > cartrealq692421 > prodcartrealq692421cartrealq692421)).
thf(ccu_, type, c_ : (cartrealq692421 > prodcartrealq692421cartrealq692421 > prodcartrealq692421prodcartrealq692421cartrealq692421)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq692421)).
thf(csqrt, type, sqrt : (real > real)).
thf(csin, type, sin : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq692421),G:(a > cartrealq692421)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSINu_VECTORu_ANGLE, axiom, ![X:cartrealq692421,Y:cartrealq692421]:((sin @ (vectoru_angle @ X @ Y)) = (cond @ ((X = (vec @ (numeral @ u_0))) | (Y = (vec @ (numeral @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (realu_div @ (dot @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y))) @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealq692421,Y:cartrealq692421]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(aangle, axiom, ![A:cartrealq692421,C:cartrealq692421,B:cartrealq692421]:((angle @ (c_ @ A @ (c_0 @ B @ C))) = (vectoru_angle @ (vectoru_sub @ A @ B) @ (vectoru_sub @ C @ B)))).
thf(conjecture, conjecture, ![A:cartrealq692421,B:cartrealq692421,C:cartrealq692421]:((sin @ (angle @ (c_ @ A @ (c_0 @ B @ C)))) = (cond @ ((A = B) | (C = B)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (realu_div @ (dot @ (vectoru_sub @ A @ B) @ (vectoru_sub @ C @ B)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ A @ B)) @ (vectoru_norm @ (vectoru_sub @ C @ B)))) @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
