%   ORIGINAL: CONGRUENT_TRIANGLES_SAS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_EQ: !w x y z. dist (w,x) = dist (y,z) <=> dist (w,x) pow 2 = dist (y,z) pow 2
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry.HQTBPCM1: !A B C. dist (B,C) pow 2 = (dist (A,B) pow 2 + dist (A,C) pow 2) - &2 * dist (A,B) * dist (A,C) * cos (angle (B,A,C))
% Goal: !A B C A' B' C'. dist (A,B) = dist (A',B') /\ angle (A,B,C) = angle (A',B',C') /\ dist (B,C) = dist (B',C') ==> dist (A,C) = dist (A',C')
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !w x y z. dist (w,x) = dist (y,z) <=> dist (w,x) pow 2 = dist (y,z) pow 2
% Assm: !w x y z. dist (w,x) = dist (y,z) <=> dist (w,x) pow 2 = dist (y,z) pow 2
% Assm: !w x y z. dist (w,x) = dist (y,z) <=> dist (w,x) pow 2 = dist (y,z) pow 2
% Assm: !w x y z. dist (w,x) = dist (y,z) <=> dist (w,x) pow 2 = dist (y,z) pow 2
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: ~F <=> T
% Assm: T
% Assm: !A B C. dist (B,C) pow 2 = (dist (A,B) pow 2 + dist (A,C) pow 2) - &2 * dist (A,B) * dist (A,C) * cos (angle (B,A,C))
% Assm: !A B C. dist (B,C) pow 2 = (dist (A,B) pow 2 + dist (A,C) pow 2) - &2 * dist (A,B) * dist (A,C) * cos (angle (B,A,C))
% Goal: !A B C A' B' C'. dist (A,B) = dist (A',B') /\ angle (A,B,C) = angle (A',B',C') /\ dist (B,C) = dist (B',C') ==> dist (A,C) = dist (A',C')
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealnprodcartrealncartrealn, type, prodcartrealnprodcartrealncartrealn : $tType).
thf(tprodcartrealmprodcartrealmcartrealm, type, prodcartrealmprodcartrealmcartrealm : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cangle0, type, angle0 : (prodcartrealnprodcartrealncartrealn > real)).
thf(cangle, type, angle : (prodcartrealmprodcartrealmcartrealm > real)).
thf(cdistance0, type, distance0 : (prodcartrealncartrealn > real)).
thf(cdistance, type, distance : (prodcartrealmcartrealm > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_2, type, c_2 : (cartrealn > prodcartrealncartrealn > prodcartrealnprodcartrealncartrealn)).
thf(ccu_1, type, c_1 : (cartrealm > prodcartrealmcartrealm > prodcartrealmprodcartrealmcartrealm)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(cuu_0, type, u_0 : num).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_EQu_monomorphized3, axiom, ![W:cartrealn,X:cartrealn,Y:cartrealn,Z:cartrealn]:(((distance0 @ (c_0 @ W @ X)) = (distance0 @ (c_0 @ Y @ Z))) <=> ((realu_pow @ (distance0 @ (c_0 @ W @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ (distance0 @ (c_0 @ Y @ Z)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aDISTu_EQu_monomorphized2, axiom, ![W:cartrealn,X:cartrealn,Y:cartrealm,Z:cartrealm]:(((distance0 @ (c_0 @ W @ X)) = (distance @ (c_ @ Y @ Z))) <=> ((realu_pow @ (distance0 @ (c_0 @ W @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ (distance @ (c_ @ Y @ Z)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aDISTu_EQu_monomorphized1, axiom, ![W:cartrealm,X:cartrealm,Y:cartrealn,Z:cartrealn]:(((distance @ (c_ @ W @ X)) = (distance0 @ (c_0 @ Y @ Z))) <=> ((realu_pow @ (distance @ (c_ @ W @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ (distance0 @ (c_0 @ Y @ Z)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aDISTu_EQu_monomorphized0, axiom, ![W:cartrealm,X:cartrealm,Y:cartrealm,Z:cartrealm]:(((distance @ (c_ @ W @ X)) = (distance @ (c_ @ Y @ Z))) <=> ((realu_pow @ (distance @ (c_ @ W @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ (distance @ (c_ @ Y @ Z)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aDISTu_SYMu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:((distance0 @ (c_0 @ X @ Y)) = (distance0 @ (c_0 @ Y @ X)))).
thf(aDISTu_SYMu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_HQTBPCM1u_monomorphized1, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn]:((realu_pow @ (distance0 @ (c_0 @ B @ C)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_sub @ (realu_add @ (realu_pow @ (distance0 @ (c_0 @ A @ B)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance0 @ (c_0 @ A @ C)) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ (distance0 @ (c_0 @ A @ B)) @ (realu_mul @ (distance0 @ (c_0 @ A @ C)) @ (cos @ (angle0 @ (c_2 @ B @ (c_0 @ A @ C)))))))))).
thf(aTrigonometryo_HQTBPCM1u_monomorphized0, axiom, ![A:cartrealm,B:cartrealm,C:cartrealm]:((realu_pow @ (distance @ (c_ @ B @ C)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_sub @ (realu_add @ (realu_pow @ (distance @ (c_ @ A @ B)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ A @ C)) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ (distance @ (c_ @ A @ B)) @ (realu_mul @ (distance @ (c_ @ A @ C)) @ (cos @ (angle @ (c_1 @ B @ (c_ @ A @ C)))))))))).
thf(conjecture, conjecture, ![A:cartrealm,B:cartrealm,C:cartrealm,AI_:cartrealn,BI_:cartrealn,CI_:cartrealn]:((((distance @ (c_ @ A @ B)) = (distance0 @ (c_0 @ AI_ @ BI_))) & ((angle @ (c_1 @ A @ (c_ @ B @ C))) = (angle0 @ (c_2 @ AI_ @ (c_0 @ BI_ @ CI_)))) & ((distance @ (c_ @ B @ C)) = (distance0 @ (c_0 @ BI_ @ CI_)))) => ((distance @ (c_ @ A @ C)) = (distance0 @ (c_0 @ AI_ @ CI_))))).
