%   ORIGINAL: BETWEEN_ANGLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ANGLE_BETWEEN: !a b x. angle (a,x,b) = pi <=> ~(x = a) /\ ~(x = b) /\ between x (a,b)
% Assm: BETWEEN_REFL: !a b. between a (a,b) /\ between b (a,b) /\ between a (a,a)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b x. between x (a,b) <=> x = a \/ x = b \/ angle (a,x,b) = pi
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !a b x. angle (a,x,b) = pi <=> ~(x = a) /\ ~(x = b) /\ between x (a,b)
% Assm: !a b. between a (a,b) /\ between b (a,b) /\ between a (a,a)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Goal: !a b x. between x (a,b) <=> x = a \/ x = b \/ angle (a,x,b) = pi
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq695452, type, cartrealq695452 : $tType).
thf(treal, type, real : $tType).
thf(tq695452, type, q695452 : $tType).
thf(tprodcartrealq695452cartrealq695452, type, prodcartrealq695452cartrealq695452 : $tType).
thf(tprodcartrealq695452prodcartrealq695452cartrealq695452, type, prodcartrealq695452prodcartrealq695452cartrealq695452 : $tType).
%  CONSTS
thf(cangle, type, angle : (prodcartrealq695452prodcartrealq695452cartrealq695452 > real)).
thf(cbetween, type, between : (cartrealq695452 > prodcartrealq695452cartrealq695452 > $o)).
thf(cpi, type, pi : real).
thf(ccu_0, type, c_0 : (cartrealq695452 > prodcartrealq695452cartrealq695452 > prodcartrealq695452prodcartrealq695452cartrealq695452)).
thf(ccu_, type, c_ : (cartrealq695452 > cartrealq695452 > prodcartrealq695452cartrealq695452)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq695452),G:(a > cartrealq695452)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aANGLEu_BETWEEN, axiom, ![A:cartrealq695452,B:cartrealq695452,X:cartrealq695452]:(((angle @ (c_0 @ A @ (c_ @ X @ B))) = pi) <=> (~ ((X = A)) & ~ ((X = B)) & (between @ X @ (c_ @ A @ B))))).
thf(aBETWEENu_REFL, axiom, ![A:cartrealq695452,B:cartrealq695452]:((between @ A @ (c_ @ A @ B)) & (between @ B @ (c_ @ A @ B)) & (between @ A @ (c_ @ A @ A)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealq695452,B:cartrealq695452,X:cartrealq695452]:((between @ X @ (c_ @ A @ B)) <=> ((X = A) | (X = B) | ((angle @ (c_0 @ A @ (c_ @ X @ B))) = pi)))).
