%   ORIGINAL: NORM_AND_CROSS_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CROSS_LZERO: !x. vec 0 cross x = vec 0
% Assm: CROSS_RZERO: !x. x cross vec 0 = vec 0
% Assm: DOT_CROSS: !w x y z. (w cross x) dot (y cross z) = (w dot y) * (x dot z) - (w dot z) * (x dot y)
% Assm: DOT_EQ_0: !x. x dot x = &0 <=> x = vec 0
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_SUB_RZERO: !x. x - &0 = x
% Assm: TRUTH: T
% Goal: !x y. x dot y = &0 /\ x cross y = vec 0 <=> x = vec 0 \/ y = vec 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. vec 0 cross x = vec 0
% Assm: !x. x cross vec 0 = vec 0
% Assm: !w x y z. (w cross x) dot (y cross z) = (w dot y) * (x dot z) - (w dot z) * (x dot y)
% Assm: !x. x dot x = &0 <=> x = vec 0
% Assm: !x. vec 0 dot x = &0
% Assm: !x. x dot vec 0 = &0
% Assm: ~F <=> T
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x. &0 * x = &0
% Assm: !x. x - &0 = x
% Assm: T
% Goal: !x y. x dot y = &0 /\ x cross y = vec 0 <=> x = vec 0 \/ y = vec 0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCROSSu_LZERO, axiom, ![X:cartrealn3]:((cross @ (vec @ (numeral @ u_0)) @ X) = (vec @ (numeral @ u_0)))).
thf(aCROSSu_RZERO, axiom, ![X:cartrealn3]:((cross @ X @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aDOTu_CROSS, axiom, ![W:cartrealn3,X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((dot @ (cross @ W @ X) @ (cross @ Y @ Z)) = (realu_sub @ (realu_mul @ (dot @ W @ Y) @ (dot @ X @ Z)) @ (realu_mul @ (dot @ W @ Z) @ (dot @ X @ Y))))).
thf(aDOTu_EQu_0, axiom, ![X:cartrealn3]:(((dot @ X @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aDOTu_LZERO, axiom, ![X:cartrealn3]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDOTu_RZERO, axiom, ![X:cartrealn3]:((dot @ X @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_SUBu_RZERO, axiom, ![X:real]:((realu_sub @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,Y:cartrealn3]:((((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) & ((cross @ X @ Y) = (vec @ (numeral @ u_0)))) <=> ((X = (vec @ (numeral @ u_0))) | (Y = (vec @ (numeral @ u_0)))))).
