%   ORIGINAL: CROSS_ROTATION_MATRIX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CROSS_ORTHOGONAL_MATRIX: !A x y. orthogonal_matrix A ==> (A ** x) cross (A ** y) = det A % (A ** (x cross y))
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: rotation_matrix: !Q. rotation_matrix Q <=> orthogonal_matrix Q /\ det Q = &1
% Goal: !A x y. rotation_matrix A ==> (A ** x) cross (A ** y) = A ** (x cross y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A x y. orthogonal_matrix A ==> (A ** x) cross (A ** y) = det A % (A ** (x cross y))
% Assm: T
% Assm: !x. &1 % x = x
% Assm: !Q. rotation_matrix Q <=> orthogonal_matrix Q /\ det Q = &1
% Goal: !A x y. rotation_matrix A ==> (A ** x) cross (A ** y) = A ** (x cross y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartcartrealn3n3, type, cartcartrealn3n3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cdet, type, det : (cartcartrealn3n3 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealn3n3 > cartrealn3 > cartrealn3)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealn3n3 > $o)).
thf(crotationuu_matrix, type, rotationu_matrix : (cartcartrealn3n3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCROSSu_ORTHOGONALu_MATRIX, axiom, ![A:cartcartrealn3n3,X:cartrealn3,Y:cartrealn3]:((orthogonalu_matrix @ A) => ((cross @ (matrixu_vectoru_mul @ A @ X) @ (matrixu_vectoru_mul @ A @ Y)) = (r_ @ (det @ A) @ (matrixu_vectoru_mul @ A @ (cross @ X @ Y)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealn3]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(arotationu_matrix, axiom, ![Q:cartcartrealn3n3]:((rotationu_matrix @ Q) <=> ((orthogonalu_matrix @ Q) & ((det @ Q) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(conjecture, conjecture, ![A:cartcartrealn3n3,X:cartrealn3,Y:cartrealn3]:((rotationu_matrix @ A) => ((cross @ (matrixu_vectoru_mul @ A @ X) @ (matrixu_vectoru_mul @ A @ Y)) = (matrixu_vectoru_mul @ A @ (cross @ X @ Y))))).
