%   ORIGINAL: CROSS_ORTHOGONAL_TRANSFORMATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CROSS_ORTHOGONAL_MATRIX: !A x y. orthogonal_matrix A ==> (A ** x) cross (A ** y) = det A % (A ** (x cross y))
% Assm: MATRIX_WORKS: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHOGONAL_TRANSFORMATION_LINEAR: !f. orthogonal_transformation f ==> linear f
% Assm: ORTHOGONAL_TRANSFORMATION_MATRIX: !f. orthogonal_transformation f <=> linear f /\ orthogonal_matrix (matrix f)
% Assm: TRUTH: T
% Goal: !f x y. orthogonal_transformation f ==> f x cross f y = det (matrix f) % f (x cross y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !A x y. orthogonal_matrix A ==> (A ** x) cross (A ** y) = det A % (A ** (x cross y))
% Assm: !f. linear f ==> (!x. matrix f ** x = f x)
% Assm: ~F <=> T
% Assm: !f. orthogonal_transformation f ==> linear f
% Assm: !f. orthogonal_transformation f <=> linear f /\ orthogonal_matrix (matrix f)
% Assm: T
% Goal: !f x y. orthogonal_transformation f ==> f x cross f y = det (matrix f) % f (x cross y)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartcartrealn3n3, type, cartcartrealn3n3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cmatrix, type, matrix : ((cartrealn3 > cartrealn3) > cartcartrealn3n3)).
thf(cdet, type, det : (cartcartrealn3n3 > real)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealn3n3 > cartrealn3 > cartrealn3)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(clinear, type, linear : ((cartrealn3 > cartrealn3) > $o)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealn3n3 > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn3 > cartrealn3) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCROSSu_ORTHOGONALu_MATRIX, axiom, ![A:cartcartrealn3n3,X:cartrealn3,Y:cartrealn3]:((orthogonalu_matrix @ A) => ((cross @ (matrixu_vectoru_mul @ A @ X) @ (matrixu_vectoru_mul @ A @ Y)) = (r_ @ (det @ A) @ (matrixu_vectoru_mul @ A @ (cross @ X @ Y)))))).
thf(aMATRIXu_WORKS, axiom, ![F:(cartrealn3 > cartrealn3)]:((linear @ F) => ![X:cartrealn3]:((matrixu_vectoru_mul @ (matrix @ F) @ X) = (F @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHOGONALu_TRANSFORMATIONu_LINEAR, axiom, ![F:(cartrealn3 > cartrealn3)]:((orthogonalu_transformation @ F) => (linear @ F))).
thf(aORTHOGONALu_TRANSFORMATIONu_MATRIX, axiom, ![F:(cartrealn3 > cartrealn3)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & (orthogonalu_matrix @ (matrix @ F))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn3 > cartrealn3),X:cartrealn3,Y:cartrealn3]:((orthogonalu_transformation @ F) => ((cross @ (F @ X) @ (F @ Y)) = (r_ @ (det @ (matrix @ F)) @ (F @ (cross @ X @ Y)))))).
