%   ORIGINAL: CROSS_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CROSS_ORTHOGONAL_TRANSFORMATION: !f x y. orthogonal_transformation f ==> f x cross f y = det (matrix f) % f (x cross y)
% Assm: ORTHOGONAL_TRANSFORMATION: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Goal: !f x y. linear f /\ (!x. norm (f x) = norm x) /\ det (matrix f) = &1 ==> f x cross f y = f (x cross y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f x y. orthogonal_transformation f ==> f x cross f y = det (matrix f) % f (x cross y)
% Assm: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: T
% Assm: !x. &1 % x = x
% Goal: !f x y. linear f /\ (!x. norm (f x) = norm x) /\ det (matrix f) = &1 ==> f x cross f y = f (x cross y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartcartrealn3n3, type, cartcartrealn3n3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cmatrix, type, matrix : ((cartrealn3 > cartrealn3) > cartcartrealn3n3)).
thf(cdet, type, det : (cartcartrealn3n3 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn3 > cartrealn3) > $o)).
thf(clinear, type, linear : ((cartrealn3 > cartrealn3) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCROSSu_ORTHOGONALu_TRANSFORMATION, axiom, ![F:(cartrealn3 > cartrealn3),X:cartrealn3,Y:cartrealn3]:((orthogonalu_transformation @ F) => ((cross @ (F @ X) @ (F @ Y)) = (r_ @ (det @ (matrix @ F)) @ (F @ (cross @ X @ Y)))))).
thf(aORTHOGONALu_TRANSFORMATION, axiom, ![F:(cartrealn3 > cartrealn3)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealn3]:((vectoru_norm @ (F @ V)) = (vectoru_norm @ V))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealn3]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(conjecture, conjecture, ![F:(cartrealn3 > cartrealn3),X:cartrealn3,Y:cartrealn3]:(((linear @ F) & ![X:cartrealn3]:((vectoru_norm @ (F @ X)) = (vectoru_norm @ X)) & ((det @ (matrix @ F)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((cross @ (F @ X) @ (F @ Y)) = (F @ (cross @ X @ Y))))).
