%   ORIGINAL: CROSS_LINEAR_IMAGE_WEAK
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct7: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: CROSS_LINEAR_IMAGE: !f x y. linear f /\ (!x. norm (f x) = norm x) /\ det (matrix f) = &1 ==> f x cross f y = f (x cross y)
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: TRUTH: T
% Goal: !f x y. linear f /\ (!x. norm (f x) = norm x) /\ (2 <= dimindex (:3) ==> det (matrix f) = &1) ==> f x cross f y = f (x cross y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: !f x y. linear f /\ (!x. norm (f x) = norm x) /\ det (matrix f) = &1 ==> f x cross f y = f (x cross y)
% Assm: dimindex (:3) = 3
% Assm: T
% Goal: !f x y. linear f /\ (!x. norm (f x) = norm x) /\ (2 <= dimindex (:3) ==> det (matrix f) = &1) ==> f x cross f y = f (x cross y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartcartrealn3n3, type, cartcartrealn3n3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cmatrix, type, matrix : ((cartrealn3 > cartrealn3) > cartcartrealn3n3)).
thf(cdet, type, det : (cartcartrealn3n3 > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (n3 > $o)).
thf(clinear, type, linear : ((cartrealn3 > cartrealn3) > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct7, axiom, ![M:num,N:num]:((l_a_ @ (bit0 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aCROSSu_LINEARu_IMAGE, axiom, ![F:(cartrealn3 > cartrealn3),X:cartrealn3,Y:cartrealn3]:(((linear @ F) & ![X:cartrealn3]:((vectoru_norm @ (F @ X)) = (vectoru_norm @ X)) & ((det @ (matrix @ F)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((cross @ (F @ X) @ (F @ Y)) = (F @ (cross @ X @ Y))))).
thf(aDIMINDEXu_3, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn3 > cartrealn3),X:cartrealn3,Y:cartrealn3]:(((linear @ F) & ![X:cartrealn3]:((vectoru_norm @ (F @ X)) = (vectoru_norm @ X)) & ((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) => ((det @ (matrix @ F)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) => ((cross @ (F @ X) @ (F @ Y)) = (F @ (cross @ X @ Y))))).
