%   ORIGINAL: COPLANAR_INSERT_0_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_EQ_SPAN: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_NEG_EQ: !x s. --x IN span s <=> x IN span s
% Assm: TRUTH: T
% Assm: Trigonometry2.coplanar: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: coplanar (vec 0 INSERT --x INSERT s) <=> coplanar (vec 0 INSERT x INSERT s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: ~F <=> T
% Assm: !x s. --x IN span s <=> x IN span s
% Assm: T
% Assm: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !s x. coplanar (vec 0 INSERT --x INSERT s) <=> coplanar (vec 0 INSERT x INSERT s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq697471, type, q697471 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq697471, type, cartrealq697471 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealq697471 > $o) > (cartrealq697471 > $o) > $o)).
thf(cspan, type, span : ((cartrealq697471 > $o) > cartrealq697471 > $o)).
thf(cin, type, in : (cartrealq697471 > (cartrealq697471 > $o) > $o)).
thf(chull, type, hull : (((cartrealq697471 > $o) > $o) > (cartrealq697471 > $o) > cartrealq697471 > $o)).
thf(cinsert, type, insert : (cartrealq697471 > (cartrealq697471 > $o) > cartrealq697471 > $o)).
thf(cempty, type, empty : (cartrealq697471 > $o)).
thf(caffine, type, affine : ((cartrealq697471 > $o) > $o)).
thf(ccoplanar, type, coplanar : ((cartrealq697471 > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq697471 > cartrealq697471)).
thf(cvec, type, vec : (num > cartrealq697471)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_EQu_SPAN, axiom, ![S:(cartrealq697471 > $o)]:((in @ (vec @ (numeral @ u_0)) @ (hull @ affine @ S)) => ((hull @ affine @ S) = (span @ S)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealq697471,S:(cartrealq697471 > $o),T:(cartrealq697471 > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_NEGu_EQ, axiom, ![X:cartrealq697471,S:(cartrealq697471 > $o)]:((in @ (vectoru_neg @ X) @ (span @ S)) <=> (in @ X @ (span @ S)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_coplanar, axiom, ![S:(cartrealq697471 > $o)]:((coplanar @ S) <=> ?[U:cartrealq697471,V:cartrealq697471,W:cartrealq697471]:(subset @ S @ (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty))))))).
thf(conjecture, conjecture, ![S:(cartrealq697471 > $o),X:cartrealq697471]:((coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_neg @ X) @ S))) <=> (coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ S))))).
