%   ORIGINAL: COPLANAR_IMP_NEGLIGIBLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NEGLIGIBLE_AFFINE_HULL_3: !a b c. NULLSET (affine hull {a, b, c})
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.coplanar: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !s. coplanar s ==> NULLSET s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !a b c. NULLSET (affine hull {a, b, c})
% Assm: !s t. NULLSET s /\ t SUBSET s ==> NULLSET t
% Assm: ~F <=> T
% Assm: T
% Assm: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !s. coplanar s ==> NULLSET s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn3 > $o) > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNEGLIGIBLEu_AFFINEu_HULLu_3, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3]:(negligible @ (hull @ affine @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((negligible @ S) & (subset @ T @ S)) => (negligible @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_coplanar, axiom, ![S:(cartrealn3 > $o)]:((coplanar @ S) <=> ?[U:cartrealn3,V:cartrealn3,W:cartrealn3]:(subset @ S @ (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty))))))).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o)]:((coplanar @ S) => (negligible @ S))).
