%   ORIGINAL: NOT_COPLANAR_NOT_COLLINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_AFFINE_HULL: !s. collinear s <=> (?u v. s SUBSET affine hull {u, v})
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Trigonometry2.coplanar: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !v1 v2 v3 w. ~coplanar {v1, v2, v3, w} ==> ~collinear {v1, v2, v3}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. collinear s <=> (?u v. s SUBSET affine hull {u, v})
% Assm: !s. {} SUBSET s
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !P x. x IN P <=> P x
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !v1 v2 v3 w. ~coplanar {v1, v2, v3, w} ==> ~collinear {v1, v2, v3}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq95026, type, q95026 : $tType).
thf(tn, type, n : $tType).
thf(tq94614, type, q94614 : $tType).
%  CONSTS
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((q94614 > $o) > (q94614 > $o) > $o)).
thf(cin, type, in : (q95026 > (q95026 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chull1, type, hull1 : (((q94614 > $o) > $o) > (q94614 > $o) > q94614 > $o)).
thf(chull0, type, hull0 : (((q95026 > $o) > $o) > (q95026 > $o) > q95026 > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:((collinear @ S) <=> ?[U:cartrealn,V:cartrealn]:(subset @ S @ (hull @ affine @ (insert @ U @ (insert @ V @ empty)))))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aHULLu_INC, axiom, ![P:((q95026 > $o) > $o),S:(q95026 > $o),X:q95026]:((in @ X @ S) => (in @ X @ (hull0 @ P @ S)))).
thf(aHULLu_MONO, axiom, ![P:((q94614 > $o) > $o),S:(q94614 > $o),T:(q94614 > $o)]:((subset0 @ S @ T) => (subset0 @ (hull1 @ P @ S) @ (hull1 @ P @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in1 @ X @ T) & (subset @ S @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in1 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in1 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in1 @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset1 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_coplanar, axiom, ![S:(cartrealn > $o)]:((coplanar @ S) <=> ?[U:cartrealn,V:cartrealn,W:cartrealn]:(subset @ S @ (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty))))))).
thf(conjecture, conjecture, ![V1:cartrealn,V2:cartrealn,V3:cartrealn,W:cartrealn]:(~ ((coplanar @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ W @ empty)))))) => ~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))))).
