%   ORIGINAL: SUBSET_AFFINE_HULL_SPECIAL_SCALE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_EQ_SPAN: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_MUL_EQ: !x c s. ~(c = &0) ==> (c % x IN span s <=> x IN span s)
% Assm: TRUTH: T
% Goal: !a x s t. ~(a = &0) ==> (vec 0 INSERT (a % x) INSERT s SUBSET affine hull t <=> vec 0 INSERT x INSERT s SUBSET affine hull t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: ~F <=> T
% Assm: !x c s. ~(c = &0) ==> (c % x IN span s <=> x IN span s)
% Assm: T
% Goal: !a x s t. ~(a = &0) ==> (vec 0 INSERT (a % x) INSERT s SUBSET affine hull t <=> vec 0 INSERT x INSERT s SUBSET affine hull t)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq697756, type, cartrealq697756 : $tType).
thf(treal, type, real : $tType).
thf(tq697756, type, q697756 : $tType).
%  CONSTS
thf(cspan, type, span : ((cartrealq697756 > $o) > cartrealq697756 > $o)).
thf(cin, type, in : (cartrealq697756 > (cartrealq697756 > $o) > $o)).
thf(csubset, type, subset : ((cartrealq697756 > $o) > (cartrealq697756 > $o) > $o)).
thf(chull, type, hull : (((cartrealq697756 > $o) > $o) > (cartrealq697756 > $o) > cartrealq697756 > $o)).
thf(cru_, type, r_ : (real > cartrealq697756 > cartrealq697756)).
thf(cinsert, type, insert : (cartrealq697756 > (cartrealq697756 > $o) > cartrealq697756 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(caffine, type, affine : ((cartrealq697756 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealq697756)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_EQu_SPAN, axiom, ![S:(cartrealq697756 > $o)]:((in @ (vec @ (numeral @ u_0)) @ (hull @ affine @ S)) => ((hull @ affine @ S) = (span @ S)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealq697756,S:(cartrealq697756 > $o),T:(cartrealq697756 > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_MULu_EQ, axiom, ![X:cartrealq697756,C:real,S:(cartrealq697756 > $o)]:(~ ((C = (realu_ofu_num @ (numeral @ u_0)))) => ((in @ (r_ @ C @ X) @ (span @ S)) <=> (in @ X @ (span @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,X:cartrealq697756,S:(cartrealq697756 > $o),T:(cartrealq697756 > $o)]:(~ ((A = (realu_ofu_num @ (numeral @ u_0)))) => ((subset @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (r_ @ A @ X) @ S)) @ (hull @ affine @ T)) <=> (subset @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ S)) @ (hull @ affine @ T))))).
