%   ORIGINAL: COPLANAR_SCALE_ALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COPLANAR_SPECIAL_SCALE: !a x y z. ~(a = &0) ==> (coplanar {vec 0, a % x, y, z} <=> coplanar {vec 0, x, y, z})
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !a b c x y z. ~(a = &0) /\ ~(b = &0) /\ ~(c = &0) ==> (coplanar {vec 0, a % x, b % y, c % z} <=> coplanar {vec 0, x, y, z})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a x y z. ~(a = &0) ==> (coplanar {vec 0, a % x, y, z} <=> coplanar {vec 0, x, y, z})
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !a b c x y z. ~(a = &0) /\ ~(b = &0) /\ ~(c = &0) ==> (coplanar {vec 0, a % x, b % y, c % z} <=> coplanar {vec 0, x, y, z})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq698103, type, cartrealq698103 : $tType).
thf(treal, type, real : $tType).
thf(tq698103, type, q698103 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq698103 > (cartrealq698103 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq698103 > cartrealq698103)).
thf(cinsert, type, insert : (cartrealq698103 > (cartrealq698103 > $o) > cartrealq698103 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec, type, vec : (num > cartrealq698103)).
thf(cempty, type, empty : (cartrealq698103 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealq698103 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOPLANARu_SPECIALu_SCALE, axiom, ![A:real,X:cartrealq698103,Y:cartrealq698103,Z:cartrealq698103]:(~ ((A = (realu_ofu_num @ (numeral @ u_0)))) => ((coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (r_ @ A @ X) @ (insert @ Y @ (insert @ Z @ empty))))) <=> (coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealq698103,Y:cartrealq698103,S:(cartrealq698103 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq698103]:~ ((in0 @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,B:real,C:real,X:cartrealq698103,Y:cartrealq698103,Z:cartrealq698103]:((~ ((A = (realu_ofu_num @ (numeral @ u_0)))) & ~ ((B = (realu_ofu_num @ (numeral @ u_0)))) & ~ ((C = (realu_ofu_num @ (numeral @ u_0))))) => ((coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (r_ @ A @ X) @ (insert @ (r_ @ B @ Y) @ (insert @ (r_ @ C @ Z) @ empty))))) <=> (coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))))))).
