%   ORIGINAL: Counting_spheres.pad2d3d_dot_v
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LINEAR_PAD2D3D: linear pad2d3d
% Assm: NORM_PAD2D3D: !x. norm (pad2d3d x) = norm x
% Assm: PRESERVES_NORM_PRESERVES_DOT: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> f x dot f y = x dot y
% Assm: TRUTH: T
% Goal: !x y. pad2d3d x dot pad2d3d y = x dot y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: linear pad2d3d
% Assm: !x. norm (pad2d3d x) = norm x
% Assm: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> f x dot f y = x dot y
% Assm: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> f x dot f y = x dot y
% Assm: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> f x dot f y = x dot y
% Assm: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> f x dot f y = x dot y
% Assm: T
% Goal: !x y. pad2d3d x dot pad2d3d y = x dot y
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn2 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(cdot0, type, dot0 : (cartrealn2 > cartrealn2 > real)).
thf(cpad2d3d, type, pad2d3d : (cartrealn2 > cartrealn3)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(clinear2, type, linear2 : ((cartrealn2 > cartrealn2) > $o)).
thf(clinear1, type, linear1 : ((cartrealn3 > cartrealn2) > $o)).
thf(clinear0, type, linear0 : ((cartrealn3 > cartrealn3) > $o)).
thf(clinear, type, linear : ((cartrealn2 > cartrealn3) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLINEARu_PAD2D3D, axiom, (linear @ pad2d3d)).
thf(aNORMu_PAD2D3D, axiom, ![X:cartrealn2]:((vectoru_norm @ (pad2d3d @ X)) = (vectoru_norm0 @ X))).
thf(aPRESERVESu_NORMu_PRESERVESu_DOTu_monomorphized3, axiom, ![F:(cartrealn3 > cartrealn3),X:cartrealn3,Y:cartrealn3]:(((linear0 @ F) & ![X:cartrealn3]:((vectoru_norm @ (F @ X)) = (vectoru_norm @ X))) => ((dot @ (F @ X) @ (F @ Y)) = (dot @ X @ Y)))).
thf(aPRESERVESu_NORMu_PRESERVESu_DOTu_monomorphized2, axiom, ![F:(cartrealn3 > cartrealn2),X:cartrealn3,Y:cartrealn3]:(((linear1 @ F) & ![X:cartrealn3]:((vectoru_norm0 @ (F @ X)) = (vectoru_norm @ X))) => ((dot0 @ (F @ X) @ (F @ Y)) = (dot @ X @ Y)))).
thf(aPRESERVESu_NORMu_PRESERVESu_DOTu_monomorphized1, axiom, ![F:(cartrealn2 > cartrealn3),X:cartrealn2,Y:cartrealn2]:(((linear @ F) & ![X:cartrealn2]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((dot @ (F @ X) @ (F @ Y)) = (dot0 @ X @ Y)))).
thf(aPRESERVESu_NORMu_PRESERVESu_DOTu_monomorphized0, axiom, ![F:(cartrealn2 > cartrealn2),X:cartrealn2,Y:cartrealn2]:(((linear2 @ F) & ![X:cartrealn2]:((vectoru_norm0 @ (F @ X)) = (vectoru_norm0 @ X))) => ((dot0 @ (F @ X) @ (F @ Y)) = (dot0 @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn2,Y:cartrealn2]:((dot @ (pad2d3d @ X) @ (pad2d3d @ Y)) = (dot0 @ X @ Y))).
