%   ORIGINAL: PLANE_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_LINEAR_IMAGE: !f s. linear f ==> affine hull IMAGE f s = IMAGE f (affine hull s)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (collinear (IMAGE f s) <=> collinear s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Trigonometry.JLWZFBH1: !x. plane x <=> (?u v w. ~collinear {u, v, w} /\ x = affine hull {u, v, w})
% Goal: !f p. linear f /\ (!x y. f x = f y ==> x = y) ==> (plane (IMAGE f p) <=> plane p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f s. linear f ==> affine hull IMAGE f s = IMAGE f (affine hull s)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (collinear (IMAGE f s) <=> collinear s)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P s. s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y s. x IN y INSERT s <=> (x <=> y) \/ x IN s
% Assm: !x. x IN (:A)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x. plane x <=> (?u v w. ~collinear {u, v, w} /\ x = affine hull {u, v, w})
% Assm: !x. plane x <=> (?u v w. ~collinear {u, v, w} /\ x = affine hull {u, v, w})
% Goal: !f p. linear f /\ (!x y. f x = f y ==> x = y) ==> (plane (IMAGE f p) <=> plane p)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq94587, type, q94587 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin2, type, in2 : ($o > ($o > $o) > $o)).
thf(csubset, type, subset : ((q94587 > $o) > (q94587 > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert1, type, insert1 : ($o > ($o > $o) > $o > $o)).
thf(cinsert0, type, insert0 : (cartrealm > (cartrealm > $o) > cartrealm > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull1, type, hull1 : (((q94587 > $o) > $o) > (q94587 > $o) > q94587 > $o)).
thf(chull0, type, hull0 : (((cartrealm > $o) > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ci1, type, i1 : ($o > $o)).
thf(cempty1, type, empty1 : (cartrealm > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(ccollinear0, type, collinear0 : ((cartrealm > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(caffine0, type, affine0 : ((cartrealm > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cplane0, type, plane0 : ((cartrealm > $o) > $o)).
thf(cplane, type, plane : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cempty, type, empty : (a > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((hull @ affine @ (image @ F @ S)) = (image @ F @ (hull0 @ affine0 @ S))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((collinear @ (image @ F @ S)) <=> (collinear0 @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(?[Y:cartrealn]:((in @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:cartrealm]:((in0 @ X @ S) & (P @ (F @ X))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in1 @ X @ S) <=> (in1 @ X @ T)))).
thf(aHULLu_SUBSET, axiom, ![P:((q94587 > $o) > $o),S:(q94587 > $o)]:(subset @ S @ (hull1 @ P @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in1 @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_INSERTu_monomorphized2, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INSERTu_monomorphized1, axiom, ![X:cartrealm,Y:cartrealm,S:(cartrealm > $o)]:((in0 @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aINu_INSERTu_monomorphized0, axiom, ![X:$o,Y:$o,S:($o > $o)]:((in2 @ X @ (insert1 @ Y @ S)) <=> ((X <=> Y) | (in2 @ X @ S)))).
thf(aINu_UNIV, axiom, ![X:a]:(in1 @ X @ univ)).
thf(aIu_THMu_monomorphized2, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in1 @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_JLWZFBH1u_monomorphized1, axiom, ![X:(cartrealn > $o)]:((plane @ X) <=> ?[U:cartrealn,V:cartrealn,W:cartrealn]:(~ ((collinear @ (insert @ U @ (insert @ V @ (insert @ W @ empty0))))) & (X = (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty0)))))))).
thf(aTrigonometryo_JLWZFBH1u_monomorphized0, axiom, ![X:(cartrealm > $o)]:((plane0 @ X) <=> ?[U:cartrealm,V:cartrealm,W:cartrealm]:(~ ((collinear0 @ (insert0 @ U @ (insert0 @ V @ (insert0 @ W @ empty1))))) & (X = (hull0 @ affine0 @ (insert0 @ U @ (insert0 @ V @ (insert0 @ W @ empty1)))))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),P:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((plane @ (image @ F @ P)) <=> (plane0 @ P)))).
