%   ORIGINAL: AFFSIGN_SUBSET_AFFINE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_FINITE: !s. affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: AFFSIGN: affsign sgn s t = {y | ?f. y = vsum (s UNION t) (\v. f v % v) /\ (!w. w IN t ==> sgn (f w)) /\ sum (s UNION t) f = &1}
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !sgn s t. affsign sgn s t SUBSET affine hull (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: !sgn s t. affsign sgn s t = {y | ?f. y = vsum (s UNION t) (\v. f v % v) /\ (!w. w IN t ==> sgn (f w)) /\ sum (s UNION t) f = &1}
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !sgn s t. affsign sgn s t SUBSET affine hull (s UNION t)
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq703648, type, cartrealq703648 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq703648, type, q703648 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealq703648 > (cartrealq703648 > $o) > $o)).
thf(csum, type, sum : ((cartrealq703648 > $o) > (cartrealq703648 > real) > real)).
thf(cgspec, type, gspec : ((cartrealq703648 > $o) > cartrealq703648 > $o)).
thf(csubset, type, subset : ((cartrealq703648 > $o) > (cartrealq703648 > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(cru_, type, r_ : (real > cartrealq703648 > cartrealq703648)).
thf(cvsum, type, vsum : ((cartrealq703648 > $o) > (cartrealq703648 > cartrealq703648) > cartrealq703648)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealq703648 > $o > cartrealq703648 > $o)).
thf(cunion, type, union : ((cartrealq703648 > $o) > (cartrealq703648 > $o) > cartrealq703648 > $o)).
thf(chull, type, hull : (((cartrealq703648 > $o) > $o) > (cartrealq703648 > $o) > cartrealq703648 > $o)).
thf(caffsign, type, affsign : ((real > $o) > (cartrealq703648 > $o) > (cartrealq703648 > $o) > cartrealq703648 > $o)).
thf(caffine, type, affine : ((cartrealq703648 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_FINITE, axiom, ![S:(cartrealq703648 > $o)]:((hull @ affine @ S) = (gspec @ ^[GENR_PVARR_800:cartrealq703648]:?[Y:cartrealq703648]:(setspec @ GENR_PVARR_800 @ ?[U:(cartrealq703648 > real)]:(((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[V:cartrealq703648]:(r_ @ (U @ V) @ V)) = Y)) @ Y)))).
thf(aAFFSIGN, axiom, ![SGN:(real > $o),S:(cartrealq703648 > $o),T:(cartrealq703648 > $o)]:((affsign @ SGN @ S @ T) = (gspec @ ^[GENR_PVARR_2540:cartrealq703648]:?[Y:cartrealq703648]:(setspec @ GENR_PVARR_2540 @ ?[F:(cartrealq703648 > real)]:((Y = (vsum @ (union @ S @ T) @ ^[V:cartrealq703648]:(r_ @ (F @ V) @ V))) & ![W:cartrealq703648]:((in @ W @ T) => (SGN @ (F @ W))) & ((sum @ (union @ S @ T) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Y)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq703648 > $o),T:(cartrealq703648 > $o)]:((subset @ S @ T) <=> ![X:cartrealq703648]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![SGN:(real > $o),S:(cartrealq703648 > $o),T:(cartrealq703648 > $o)]:(subset @ (affsign @ SGN @ S @ T) @ (hull @ affine @ (union @ S @ T)))).
