%   ORIGINAL: AFF_LT_SUBSET_AFFINE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFSIGN_SUBSET_AFFINE_HULL: !sgn s t. affsign sgn s t SUBSET affine hull (s UNION t)
% Assm: TRUTH: T
% Assm: aff_lt_def: aff_lt = affsign sgn_lt
% Goal: !s t. aff_lt s t SUBSET affine hull (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !sgn s t. affsign sgn s t SUBSET affine hull (s UNION t)
% Assm: T
% Assm: aff_lt = affsign sgn_lt
% Goal: !s t. aff_lt s t SUBSET affine hull (s UNION t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq703736, type, cartrealq703736 : $tType).
thf(tq703736, type, q703736 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealq703736 > $o) > (cartrealq703736 > $o) > $o)).
thf(caffsign, type, affsign : ((real > $o) > (cartrealq703736 > $o) > (cartrealq703736 > $o) > cartrealq703736 > $o)).
thf(cunion, type, union : ((cartrealq703736 > $o) > (cartrealq703736 > $o) > cartrealq703736 > $o)).
thf(chull, type, hull : (((cartrealq703736 > $o) > $o) > (cartrealq703736 > $o) > cartrealq703736 > $o)).
thf(caffuu_lt, type, affu_lt : ((cartrealq703736 > $o) > (cartrealq703736 > $o) > cartrealq703736 > $o)).
thf(caffine, type, affine : ((cartrealq703736 > $o) > $o)).
thf(csgnuu_lt, type, sgnu_lt : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFSIGNu_SUBSETu_AFFINEu_HULL, axiom, ![SGN:(real > $o),S:(cartrealq703736 > $o),T:(cartrealq703736 > $o)]:(subset @ (affsign @ SGN @ S @ T) @ (hull @ affine @ (union @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aaffu_ltu_def, axiom, (affu_lt = (affsign @ sgnu_lt))).
thf(conjecture, conjecture, ![S:(cartrealq703736 > $o),T:(cartrealq703736 > $o)]:(subset @ (affu_lt @ S @ T) @ (hull @ affine @ (union @ S @ T)))).
