%   ORIGINAL: AFFSIGN_EQ_AFFINE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_FINITE: !s. affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: AFFSIGN: affsign sgn s t = {y | ?f. y = vsum (s UNION t) (\v. f v % v) /\ (!w. w IN t ==> sgn (f w)) /\ sum (s UNION t) f = &1}
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: UNION_EMPTY_conjunct1: !s. s UNION {} = s
% Goal: !sgn s t. affsign sgn s {} = affine hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: !sgn s t. affsign sgn s t = {y | ?f. y = vsum (s UNION t) (\v. f v % v) /\ (!w. w IN t ==> sgn (f w)) /\ sum (s UNION t) f = &1}
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. s UNION {} = s
% Goal: !sgn s t. affsign sgn s {} = affine hull s
%  TYPES
thf(tcartrealq703764, type, cartrealq703764 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq703752, type, q703752 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq703764, type, q703764 : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealq703764 > $o) > cartrealq703764 > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (cartrealq703764 > (cartrealq703764 > $o) > $o)).
thf(csum, type, sum : ((cartrealq703764 > $o) > (cartrealq703764 > real) > real)).
thf(cgspec, type, gspec : ((cartrealq703764 > $o) > cartrealq703764 > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(cunion, type, union : ((cartrealq703764 > $o) > (cartrealq703764 > $o) > cartrealq703764 > $o)).
thf(cru_, type, r_ : (real > cartrealq703764 > cartrealq703764)).
thf(cvsum, type, vsum : ((cartrealq703764 > $o) > (cartrealq703764 > cartrealq703764) > cartrealq703764)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealq703764 > $o > cartrealq703764 > $o)).
thf(chull, type, hull : (((cartrealq703764 > $o) > $o) > (cartrealq703764 > $o) > cartrealq703764 > $o)).
thf(caffsign, type, affsign : ((real > $o) > (cartrealq703764 > $o) > (cartrealq703764 > $o) > cartrealq703764 > $o)).
thf(caffine, type, affine : ((cartrealq703764 > $o) > $o)).
thf(cempty, type, empty : (cartrealq703764 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq703764 > $o),G:(a > cartrealq703764 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_FINITE, axiom, ![S:(cartrealq703764 > $o)]:((hull @ affine @ S) = (gspec @ ^[GENR_PVARR_800:cartrealq703764]:?[Y:cartrealq703764]:(setspec @ GENR_PVARR_800 @ ?[U:(cartrealq703764 > real)]:(((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[V:cartrealq703764]:(r_ @ (U @ V) @ V)) = Y)) @ Y)))).
thf(aAFFSIGN, axiom, ![SGN:(real > $o),S:(cartrealq703764 > $o),T:(cartrealq703764 > $o)]:((affsign @ SGN @ S @ T) = (gspec @ ^[GENR_PVARR_2540:cartrealq703764]:?[Y:cartrealq703764]:(setspec @ GENR_PVARR_2540 @ ?[F:(cartrealq703764 > real)]:((Y = (vsum @ (union @ S @ T) @ ^[V:cartrealq703764]:(r_ @ (F @ V) @ V))) & ![W:cartrealq703764]:((in @ W @ T) => (SGN @ (F @ W))) & ((sum @ (union @ S @ T) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Y)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq703764 > $o)]:(^[X:cartrealq703764]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq703764 > $o),T:(cartrealq703764 > $o)]:((S = T) <=> ![X:cartrealq703764]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealq703764 > $o),G:(cartrealq703764 > $o)]:((F = G) <=> ![X:cartrealq703764]:((F @ X) <=> (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:(cartrealq703764 > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq703764]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_EMPTYu_conjunct1, axiom, ![S:(cartrealq703764 > $o)]:((union @ S @ empty) = S)).
thf(conjecture, conjecture, ![SGN:(real > $o),S:(cartrealq703764 > $o),T:q703752]:((affsign @ SGN @ S @ empty) = (hull @ affine @ S))).
