%   ORIGINAL: AFFINE_HULL_SUBSET_AFFSIGN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFSIGN_EQ_AFFINE_HULL: !sgn s t. affsign sgn s {} = affine hull s
% Assm: AFFSIGN_MONO_RIGHT: !sgn s t t'. sgn (&0) /\ t SUBSET t' /\ DISJOINT s t' ==> affsign sgn s t SUBSET affsign sgn s t'
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !sgn s t. sgn (&0) /\ DISJOINT s t ==> affine hull s SUBSET affsign sgn s t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !sgn s t. affsign sgn s {} = affine hull s
% Assm: !sgn s t t'. sgn (&0) /\ t SUBSET t' /\ DISJOINT s t' ==> affsign sgn s t SUBSET affsign sgn s t'
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET s
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !sgn s t. sgn (&0) /\ DISJOINT s t ==> affine hull s SUBSET affsign sgn s t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq703752, type, q703752 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffsign, type, affsign : ((real > $o) > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFSIGNu_EQu_AFFINEu_HULL, axiom, ![SGN:(real > $o),S:(cartrealn > $o),T:q703752]:((affsign @ SGN @ S @ empty) = (hull @ affine @ S))).
thf(aAFFSIGNu_MONOu_RIGHT, axiom, ![SGN:(real > $o),S:(cartrealn > $o),T:(cartrealn > $o),TI_:(cartrealn > $o)]:(((SGN @ (realu_ofu_num @ (numeral @ u_0))) & (subset @ T @ TI_) & (disjoint @ S @ TI_)) => (subset @ (affsign @ SGN @ S @ T) @ (affsign @ SGN @ S @ TI_)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_REFL, axiom, ![S:(cartrealn > $o)]:(subset @ S @ S)).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![SGN:(real > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(((SGN @ (realu_ofu_num @ (numeral @ u_0))) & (disjoint @ S @ T)) => (subset @ (hull @ affine @ S) @ (affsign @ SGN @ S @ T)))).
