%   ORIGINAL: AFFINE_HULL_SUBSET_AFF_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_HULL_SUBSET_AFFSIGN: !sgn s t. sgn (&0) /\ DISJOINT s t ==> affine hull s SUBSET affsign sgn s t
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: Sphere.sgn_ge: sgn_ge = (\t. &0 <= t)
% Assm: TRUTH: T
% Assm: aff_ge_def: aff_ge = affsign sgn_ge
% Goal: !s t. DISJOINT s t ==> affine hull s SUBSET aff_ge s t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !sgn s t. sgn (&0) /\ DISJOINT s t ==> affine hull s SUBSET affsign sgn s t
% Assm: !x. x <= x
% Assm: sgn_ge = (\t. &0 <= t)
% Assm: T
% Assm: aff_ge = affsign sgn_ge
% Goal: !s t. DISJOINT s t ==> affine hull s SUBSET aff_ge s t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq704324, type, q704324 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq704324, type, cartrealq704324 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset, type, subset : ((cartrealq704324 > $o) > (cartrealq704324 > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealq704324 > $o) > (cartrealq704324 > $o) > $o)).
thf(caffsign, type, affsign : ((real > $o) > (cartrealq704324 > $o) > (cartrealq704324 > $o) > cartrealq704324 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(caffuu_ge, type, affu_ge : ((cartrealq704324 > $o) > (cartrealq704324 > $o) > cartrealq704324 > $o)).
thf(chull, type, hull : (((cartrealq704324 > $o) > $o) > (cartrealq704324 > $o) > cartrealq704324 > $o)).
thf(caffine, type, affine : ((cartrealq704324 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csgnuu_ge, type, sgnu_ge : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_HULLu_SUBSETu_AFFSIGN, axiom, ![SGN:(real > $o),S:(cartrealq704324 > $o),T:(cartrealq704324 > $o)]:(((SGN @ (realu_ofu_num @ (numeral @ u_0))) & (disjoint @ S @ T)) => (subset @ (hull @ affine @ S) @ (affsign @ SGN @ S @ T)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSphereo_sgnu_ge, axiom, (sgnu_ge = ^[T:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T))).
thf(aTRUTH, axiom, $true).
thf(aaffu_geu_def, axiom, (affu_ge = (affsign @ sgnu_ge))).
thf(conjecture, conjecture, ![S:(cartrealq704324 > $o),T:(cartrealq704324 > $o)]:((disjoint @ S @ T) => (subset @ (hull @ affine @ S) @ (affu_ge @ S @ T)))).
