%   ORIGINAL: AFF_GE_0_AFFINE_CONVEX_CONE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFF_GE_0_AFFINE_MULTIPLE_CONVEX: !s t. FINITE s /\ FINITE t /\ vec 0 IN s DIFF t /\ ~(t = {}) ==> aff_ge s t = {x + c % y | x IN affine hull (s DIFF t) /\ y IN convex hull t /\ &0 <= c}
% Assm: AFF_GE_EQ_AFFINE_HULL: !s t. aff_ge s {} = affine hull s
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONE_HULL_CONVEX_HULL_NONEMPTY: !s. ~(s = {}) ==> convex_cone hull s = {c % x | &0 <= c /\ x IN convex hull s}
% Assm: CONVEX_CONE_HULL_EMPTY: convex_cone hull {} = {vec 0}
% Assm: DIFF_EMPTY: !s. s DIFF {} = s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ADD_RID: !x. x + vec 0 = x
% Goal: !s t. FINITE s /\ FINITE t /\ vec 0 IN s DIFF t ==> aff_ge s t = {x + y | x IN affine hull (s DIFF t) /\ y IN convex_cone hull t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s t. FINITE s /\ FINITE t /\ vec 0 IN s DIFF t /\ ~(t = {}) ==> aff_ge s t = {x + c % y | x IN affine hull (s DIFF t) /\ y IN convex hull t /\ &0 <= c}
% Assm: !s t. aff_ge s {} = affine hull s
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. ~(s = {}) ==> convex_cone hull s = {c % x | &0 <= c /\ x IN convex hull s}
% Assm: convex_cone hull {} = {vec 0}
% Assm: !s. s DIFF {} = s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: T
% Assm: !x. x + vec 0 = x
% Goal: !s t. FINITE s /\ FINITE t /\ vec 0 IN s DIFF t ==> aff_ge s t = {x + y | x IN affine hull (s DIFF t) /\ y IN convex_cone hull t}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq703773, type, q703773 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFu_GEu_0u_AFFINEu_MULTIPLEu_CONVEX, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((finite @ S) & (finite @ T) & (in @ (vec @ (numeral @ u_0)) @ (diff @ S @ T)) & ~ ((T = empty))) => ((affu_ge @ S @ T) = (gspec @ ^[GENR_PVARR_2558:cartrealn]:?[X:cartrealn,C:real,Y:cartrealn]:(setspec @ GENR_PVARR_2558 @ ((in @ X @ (hull @ affine @ (diff @ S @ T))) & (in @ Y @ (hull @ convex @ T)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C)) @ (vectoru_add @ X @ (r_ @ C @ Y))))))).
thf(aAFFu_GEu_EQu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o),T:q703773]:((affu_ge @ S @ empty) = (hull @ affine @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONEu_HULLu_CONVEXu_HULLu_NONEMPTY, axiom, ![S:(cartrealn > $o)]:(~ ((S = empty)) => ((hull @ convexu_cone @ S) = (gspec @ ^[GENR_PVARR_1020:cartrealn]:?[C:real,X:cartrealn]:(setspec @ GENR_PVARR_1020 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & (in @ X @ (hull @ convex @ S))) @ (r_ @ C @ X)))))).
thf(aCONVEXu_CONEu_HULLu_EMPTY, axiom, ((hull @ convexu_cone @ empty) = (insert @ (vec @ (numeral @ u_0)) @ empty))).
thf(aDIFFu_EMPTY, axiom, ![S:(cartrealn > $o)]:((diff @ S @ empty) = S)).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_SING, axiom, ![X:cartrealn,Y:cartrealn]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_RID, axiom, ![X:cartrealn]:((vectoru_add @ X @ (vec @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((finite @ S) & (finite @ T) & (in @ (vec @ (numeral @ u_0)) @ (diff @ S @ T))) => ((affu_ge @ S @ T) = (gspec @ ^[GENR_PVARR_2562:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_2562 @ ((in @ X @ (hull @ affine @ (diff @ S @ T))) & (in @ Y @ (hull @ convexu_cone @ T))) @ (vectoru_add @ X @ Y)))))).
