%   ORIGINAL: AFF_GE_0_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_SING: !a. affine hull {a} = {a}
% Assm: AFF_GE_0_AFFINE_MULTIPLE_CONVEX: !s t. FINITE s /\ FINITE t /\ vec 0 IN s DIFF t /\ ~(t = {}) ==> aff_ge s t = {x + c % y | x IN affine hull (s DIFF t) /\ y IN convex hull t /\ &0 <= c}
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_EMPTY: FINITE {}
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: VECTOR_ADD_LID: !x. vec 0 + x = x
% Goal: !s. FINITE s /\ ~(s = {}) /\ ~(vec 0 IN s) ==> aff_ge {vec 0} s = {t % y | &0 <= t /\ y IN convex hull s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !a. affine hull {a} = {a}
% Assm: !s t. FINITE s /\ FINITE t /\ vec 0 IN s DIFF t /\ ~(t = {}) ==> aff_ge s t = {x + c % y | x IN affine hull (s DIFF t) /\ y IN convex hull t /\ &0 <= c}
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE {}
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !x. vec 0 + x = x
% Goal: !s. FINITE s /\ ~(s = {}) /\ ~(vec 0 IN s) ==> aff_ge {vec 0} s = {t % y | &0 <= t /\ y IN convex hull s}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_SING, axiom, ![A:cartrealn]:((hull @ affine @ (insert @ A @ empty)) = (insert @ A @ empty))).
thf(aAFFu_GEu_0u_AFFINEu_MULTIPLEu_CONVEX, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((finite @ S) & (finite @ T) & (in @ (vec @ (numeral @ u_0)) @ (diff @ S @ T)) & ~ ((T = empty))) => ((affu_ge @ S @ T) = (gspec @ ^[GENR_PVARR_2558:cartrealn]:?[X:cartrealn,C:real,Y:cartrealn]:(setspec @ GENR_PVARR_2558 @ ((in @ X @ (hull @ affine @ (diff @ S @ T))) & (in @ Y @ (hull @ convex @ T)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C)) @ (vectoru_add @ X @ (r_ @ C @ Y))))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_EMPTY, axiom, (finite @ empty)).
thf(aFINITEu_INSERT, axiom, ![S:(cartrealn > $o),X:cartrealn]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:cartrealn,Y:cartrealn]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_LID, axiom, ![X:cartrealn]:((vectoru_add @ (vec @ (numeral @ u_0)) @ X) = X)).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((finite @ S) & ~ ((S = empty)) & ~ ((in @ (vec @ (numeral @ u_0)) @ S))) => ((affu_ge @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ S) = (gspec @ ^[GENR_PVARR_2564:cartrealn]:?[T:real,Y:cartrealn]:(setspec @ GENR_PVARR_2564 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (in @ Y @ (hull @ convex @ S))) @ (r_ @ T @ Y)))))).
