%   ORIGINAL: AFF_GE_0_CONVEX_HULL_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_HULL_SING: !a. affine hull {a} = {a}
% Assm: AFF_GE_0_CONVEX_HULL: !s. FINITE s /\ ~(s = {}) /\ ~(vec 0 IN s) ==> aff_ge {vec 0} s = {t % y | &0 <= t /\ y IN convex hull s}
% Assm: AFF_GE_EQ_AFFINE_HULL: !s t. aff_ge s {} = affine hull s
% Assm: CONVEX_HULL_EMPTY: convex hull {} = {}
% Assm: CONVEX_HULL_EQ_EMPTY: !s. convex hull s = {} <=> s = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_LT_REFL: !x. ~(x < x)
% Assm: REAL_POS: !n. &0 <= &n
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Goal: !s. FINITE s /\ ~(vec 0 IN s) ==> aff_ge {vec 0} s = vec 0 INSERT {t % y | &0 < t /\ y IN convex hull s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a. affine hull {a} = {a}
% Assm: !s. FINITE s /\ ~(s = {}) /\ ~(vec 0 IN s) ==> aff_ge {vec 0} s = {t % y | &0 <= t /\ y IN convex hull s}
% Assm: !s t. aff_ge s {} = affine hull s
% Assm: convex hull {} = {}
% Assm: !s. convex hull s = {} <=> s = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !x. ~(x < x)
% Assm: !n. &0 <= &n
% Assm: T
% Assm: !x. &0 % x = vec 0
% Goal: !s. FINITE s /\ ~(vec 0 IN s) ==> aff_ge {vec 0} s = vec 0 INSERT {t % y | &0 < t /\ y IN convex hull s}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq703773, type, q703773 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_HULLu_SING, axiom, ![A:cartrealn]:((hull @ affine @ (insert @ A @ empty)) = (insert @ A @ empty))).
thf(aAFFu_GEu_0u_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(((finite @ S) & ~ ((S = empty)) & ~ ((in @ (vec @ (numeral @ u_0)) @ S))) => ((affu_ge @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ S) = (gspec @ ^[GENR_PVARR_2564:cartrealn]:?[T:real,Y:cartrealn]:(setspec @ GENR_PVARR_2564 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (in @ Y @ (hull @ convex @ S))) @ (r_ @ T @ Y)))))).
thf(aAFFu_GEu_EQu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o),T:q703773]:((affu_ge @ S @ empty) = (hull @ affine @ S))).
thf(aCONVEXu_HULLu_EMPTY, axiom, ((hull @ convex @ empty) = empty)).
thf(aCONVEXu_HULLu_EQu_EMPTY, axiom, ![S:(cartrealn > $o)]:(((hull @ convex @ S) = empty) <=> (S = empty))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_LTu_REFL, axiom, ![X:real]:~ ((realu_lt @ X @ X))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec @ (numeral @ u_0)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((finite @ S) & ~ ((in @ (vec @ (numeral @ u_0)) @ S))) => ((affu_ge @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ S) = (insert @ (vec @ (numeral @ u_0)) @ (gspec @ ^[GENR_PVARR_2565:cartrealn]:?[T:real,Y:cartrealn]:(setspec @ GENR_PVARR_2565 @ ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (in @ Y @ (hull @ convex @ S))) @ (r_ @ T @ Y))))))).
