%   ORIGINAL: AFF_GE_0_CONVEX_CONE_NEGATIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_EQ_SPAN: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: AFF_GE_0_AFFINE_CONVEX_CONE: !s t. FINITE s /\ FINITE t /\ vec 0 IN s DIFF t ==> aff_ge s t = {x + y | x IN affine hull (s DIFF t) /\ y IN convex_cone hull t}
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONE_HULL_UNION: !s t. convex_cone hull (s UNION t) = {x + y | x IN convex_cone hull s /\ y IN convex_cone hull t}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_CONVEX_CONE_ALLSIGNS: !s. span s = convex_cone hull (s UNION IMAGE (--) s)
% Assm: TRUTH: T
% Goal: !s t. FINITE s /\ FINITE t /\ vec 0 IN s DIFF t ==> aff_ge s t = convex_cone hull (s UNION t UNION IMAGE (--) (s DIFF t))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. vec 0 IN affine hull s ==> affine hull s = span s
% Assm: !s t. FINITE s /\ FINITE t /\ vec 0 IN s DIFF t ==> aff_ge s t = {x + y | x IN affine hull (s DIFF t) /\ y IN convex_cone hull t}
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. convex_cone hull (s UNION t) = {x + y | x IN convex_cone hull s /\ y IN convex_cone hull t}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !s. span s = convex_cone hull (s UNION IMAGE (--) s)
% Assm: T
% Goal: !s t. FINITE s /\ FINITE t /\ vec 0 IN s DIFF t ==> aff_ge s t = convex_cone hull (s UNION t UNION IMAGE (--) (s DIFF t))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_EQu_SPAN, axiom, ![S:(cartrealn > $o)]:((in @ (vec @ (numeral @ u_0)) @ (hull @ affine @ S)) => ((hull @ affine @ S) = (span @ S)))).
thf(aAFFu_GEu_0u_AFFINEu_CONVEXu_CONE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((finite @ S) & (finite @ T) & (in @ (vec @ (numeral @ u_0)) @ (diff @ S @ T))) => ((affu_ge @ S @ T) = (gspec @ ^[GENR_PVARR_2562:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_2562 @ ((in @ X @ (hull @ affine @ (diff @ S @ T))) & (in @ Y @ (hull @ convexu_cone @ T))) @ (vectoru_add @ X @ Y)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONEu_HULLu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((hull @ convexu_cone @ (union @ S @ T)) = (gspec @ ^[GENR_PVARR_1019:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_1019 @ ((in @ X @ (hull @ convexu_cone @ S)) & (in @ Y @ (hull @ convexu_cone @ T))) @ (vectoru_add @ X @ Y))))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHULLu_INC, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_CONVEXu_CONEu_ALLSIGNS, axiom, ![S:(cartrealn > $o)]:((span @ S) = (hull @ convexu_cone @ (union @ S @ (image @ vectoru_neg @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((finite @ S) & (finite @ T) & (in @ (vec @ (numeral @ u_0)) @ (diff @ S @ T))) => ((affu_ge @ S @ T) = (hull @ convexu_cone @ (union @ S @ (union @ T @ (image @ vectoru_neg @ (diff @ S @ T)))))))).
