%   ORIGINAL: HALFLINE_SUBSET_AFFINE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFF_GE_SUBSET_AFFINE_HULL: !s t. aff_ge s t SUBSET affine hull (s UNION t)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x y. aff_ge {x} {y} SUBSET affine hull {x, y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. aff_ge s t SUBSET affine hull (s UNION t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !x y. aff_ge {x} {y} SUBSET affine hull {x, y}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq706523, type, q706523 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq706523, type, cartrealq706523 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq706523 > (cartrealq706523 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealq706523 > $o) > (cartrealq706523 > $o) > $o)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((cartrealq706523 > $o) > (cartrealq706523 > $o) > cartrealq706523 > $o)).
thf(chull, type, hull : (((cartrealq706523 > $o) > $o) > (cartrealq706523 > $o) > cartrealq706523 > $o)).
thf(cinsert, type, insert : (cartrealq706523 > (cartrealq706523 > $o) > cartrealq706523 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealq706523 > $o) > (cartrealq706523 > $o) > cartrealq706523 > $o)).
thf(caffine, type, affine : ((cartrealq706523 > $o) > $o)).
thf(cempty, type, empty : (cartrealq706523 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFu_GEu_SUBSETu_AFFINEu_HULL, axiom, ![S:(cartrealq706523 > $o),T:(cartrealq706523 > $o)]:(subset @ (affu_ge @ S @ T) @ (hull @ affine @ (union @ S @ T)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealq706523,Y:cartrealq706523,S:(cartrealq706523 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq706523]:~ ((in0 @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq706523,Y:cartrealq706523]:(subset @ (affu_ge @ (insert @ X @ empty) @ (insert @ Y @ empty)) @ (hull @ affine @ (insert @ X @ (insert @ Y @ empty))))).
