%   ORIGINAL: CONVEX_HULL_CONV0_DECOMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFF_GE_AFF_GT_DECOMP: !s. FINITE s /\ FINITE t /\ DISJOINT s t ==> aff_ge s t = aff_gt s t UNION UNIONS {aff_ge s (t DELETE a) | a | a IN t}
% Assm: CONV0_AFF_GT: !s. conv0 s = aff_gt {} s
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_EMPTY: FINITE {}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: Trigonometry.GDCZMLO: !s. convex hull s = aff_ge {} s
% Goal: !s. FINITE s ==> convex hull s = conv0 s UNION UNIONS {convex hull (s DELETE a) | a | a IN s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t s. FINITE s /\ FINITE t /\ DISJOINT s t ==> aff_ge s t = aff_gt s t UNION UNIONS {aff_ge s (t DELETE a) | a | a IN t}
% Assm: !s. conv0 s = aff_gt {} s
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE {}
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. convex hull s = aff_ge {} s
% Goal: !s. FINITE s ==> convex hull s = conv0 s UNION UNIONS {convex hull (s DELETE a) | a | a IN s}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cconv0, type, conv0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFu_GEu_AFFu_GTu_DECOMP, axiom, ![T:(cartrealn > $o),S:(cartrealn > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((affu_ge @ S @ T) = (union @ (affu_gt @ S @ T) @ (unions @ (gspec @ ^[GENR_PVARR_2556:(cartrealn > $o)]:?[A:cartrealn]:(setspec @ GENR_PVARR_2556 @ (in @ A @ T) @ (affu_ge @ S @ (delete @ T @ A))))))))).
thf(aCONV0u_AFFu_GT, axiom, ![S:(cartrealn > $o)]:((conv0 @ S) = (affu_gt @ empty @ S))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_EMPTY, axiom, (finite @ empty)).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_GDCZMLO, axiom, ![S:(cartrealn > $o)]:((hull @ convex @ S) = (affu_ge @ empty @ S))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((finite @ S) => ((hull @ convex @ S) = (union @ (conv0 @ S) @ (unions @ (gspec @ ^[GENR_PVARR_2568:(cartrealn > $o)]:?[A:cartrealn]:(setspec @ GENR_PVARR_2568 @ (in @ A @ S) @ (hull @ convex @ (delete @ S @ A))))))))).
