%   ORIGINAL: BOUNDED_CONV0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CONVEX_HULL: !s. bounded s ==> bounded (convex hull s)
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: CONV0_SUBSET_CONVEX_HULL: !s. conv0 s SUBSET convex hull s
% Assm: TRUTH: T
% Goal: !s. bounded s ==> bounded (conv0 s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s ==> bounded (convex hull s)
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !s. conv0 s SUBSET convex hull s
% Assm: T
% Goal: !s. bounded s ==> bounded (conv0 s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cconv0, type, conv0 : ((cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => (bounded @ (hull @ convex @ S)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aCONV0u_SUBSETu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(subset @ (conv0 @ S) @ (hull @ convex @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((bounded @ S) => (bounded @ (conv0 @ S)))).
