%   ORIGINAL: MEASURABLE_CONV0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CONV0: !s. bounded s ==> bounded (conv0 s)
% Assm: CONVEX_CONV0: !s. convex (conv0 s)
% Assm: MEASURABLE_CONVEX: !s. convex s /\ bounded s ==> measurable s
% Assm: TRUTH: T
% Goal: !s. bounded s ==> measurable (conv0 s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. bounded s ==> bounded (conv0 s)
% Assm: !s. convex (conv0 s)
% Assm: !s. convex s /\ bounded s ==> measurable s
% Assm: T
% Goal: !s. bounded s ==> measurable (conv0 s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq707062, type, cartrealq707062 : $tType).
thf(tq707062, type, q707062 : $tType).
%  CONSTS
thf(cconv0, type, conv0 : ((cartrealq707062 > $o) > cartrealq707062 > $o)).
thf(cconvex, type, convex : ((cartrealq707062 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealq707062 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq707062 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CONV0, axiom, ![S:(cartrealq707062 > $o)]:((bounded @ S) => (bounded @ (conv0 @ S)))).
thf(aCONVEXu_CONV0, axiom, ![S:(cartrealq707062 > $o)]:(convex @ (conv0 @ S))).
thf(aMEASURABLEu_CONVEX, axiom, ![S:(cartrealq707062 > $o)]:(((convex @ S) & (bounded @ S)) => (measurable @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq707062 > $o)]:((bounded @ S) => (measurable @ (conv0 @ S)))).
