%   ORIGINAL: MEASURE_CONV0_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONV0_SUBSET_CONVEX_HULL: !s. conv0 s SUBSET convex hull s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: MEASURE_NEGLIGIBLE_SYMDIFF: !s t. negligible (s DIFF t UNION t DIFF s) ==> measure s = measure t
% Assm: NEGLIGIBLE_CONVEX_HULL_DIFF_CONV0: !s. FINITE s /\ CARD s <= dimindex (:N) + 1 ==> negligible (convex hull s DIFF conv0 s)
% Assm: NEGLIGIBLE_EMPTY: negligible {}
% Assm: NEGLIGIBLE_UNION: !s t. negligible s /\ negligible t ==> negligible (s UNION t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s. FINITE s /\ CARD s <= dimindex (:N) + 1 ==> measure (conv0 s) = measure (convex hull s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. conv0 s SUBSET convex hull s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t. negligible (s DIFF t UNION t DIFF s) ==> measure s = measure t
% Assm: !s. FINITE s /\ CARD s <= dimindex (:N) + 1 ==> negligible (convex hull s DIFF conv0 s)
% Assm: negligible {}
% Assm: !s t. negligible s /\ negligible t ==> negligible (s UNION t)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s. FINITE s /\ CARD s <= dimindex (:N) + 1 ==> measure (conv0 s) = measure (convex hull s)
%  TYPES
thf(tcartrealq453251, type, cartrealq453251 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq453251, type, q453251 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cconv0, type, conv0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealq453251 > $o)).
thf(cnegligible0, type, negligible0 : ((cartrealq453251 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONV0u_SUBSETu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(subset @ (conv0 @ S) @ (hull @ convex @ S))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aMEASUREu_NEGLIGIBLEu_SYMDIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((negligible @ (union @ (diff0 @ S @ T) @ (diff0 @ T @ S))) => ((measure @ S) = (measure @ T)))).
thf(aNEGLIGIBLEu_CONVEXu_HULLu_DIFFu_CONV0, axiom, ![S:(cartrealn > $o)]:(((finite @ S) & (l_a_ @ (card @ S) @ (p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))))) => (negligible @ (diff0 @ (hull @ convex @ S) @ (conv0 @ S))))).
thf(aNEGLIGIBLEu_EMPTY, axiom, (negligible0 @ empty)).
thf(aNEGLIGIBLEu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((negligible @ S) & (negligible @ T)) => (negligible @ (union @ S @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((finite @ S) & (l_a_ @ (card @ S) @ (p_ @ (dimindex @ univ) @ (numeral @ (bit1 @ u_0))))) => ((measure @ (conv0 @ S)) = (measure @ (hull @ convex @ S))))).
