%   ORIGINAL: ORTHONORMAL_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct7: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: CROSS_ORTHOGONAL_TRANSFORMATION: !f x y. orthogonal_transformation f ==> f x cross f y = det (matrix f) % f (x cross y)
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: ORTHOGONAL_TRANSFORMATION: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: orthogonal_transformation: !f. orthogonal_transformation f <=> linear f /\ (!v w. f v dot f w = v dot w)
% Assm: orthonormal: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: !f. linear f /\ (!x. norm (f x) = norm x) /\ (2 <= dimindex (:3) ==> det (matrix f) = &1) ==> (!e1 e2 e3. orthonormal (f e1) (f e2) (f e3) <=> orthonormal e1 e2 e3)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: !f x y. orthogonal_transformation f ==> f x cross f y = det (matrix f) % f (x cross y)
% Assm: dimindex (:3) = 3
% Assm: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: T
% Assm: !x. &1 % x = x
% Assm: !f. orthogonal_transformation f <=> linear f /\ (!v w. f v dot f w = v dot w)
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: !f. linear f /\ (!x. norm (f x) = norm x) /\ (2 <= dimindex (:3) ==> det (matrix f) = &1) ==> (!e1 e2 e3. orthonormal (f e1) (f e2) (f e3) <=> orthonormal e1 e2 e3)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq97340, type, q97340 : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartcartrealn3n3, type, cartcartrealn3n3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartrealq97340, type, cartrealq97340 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cmatrix, type, matrix : ((cartrealn3 > cartrealn3) > cartcartrealn3n3)).
thf(cdet, type, det : (cartcartrealn3n3 > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(cru_0, type, r_0 : (real > cartrealq97340 > cartrealq97340)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (n3 > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn3 > cartrealn3) > $o)).
thf(clinear, type, linear : ((cartrealn3 > cartrealn3) > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct7, axiom, ![M:num,N:num]:((l_a_ @ (bit0 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aCROSSu_ORTHOGONALu_TRANSFORMATION, axiom, ![F:(cartrealn3 > cartrealn3),X:cartrealn3,Y:cartrealn3]:((orthogonalu_transformation @ F) => ((cross @ (F @ X) @ (F @ Y)) = (r_ @ (det @ (matrix @ F)) @ (F @ (cross @ X @ Y)))))).
thf(aDIMINDEXu_3, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aORTHOGONALu_TRANSFORMATION, axiom, ![F:(cartrealn3 > cartrealn3)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealn3]:((vectoru_norm @ (F @ V)) = (vectoru_norm @ V))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq97340]:((r_0 @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aorthogonalu_transformation, axiom, ![F:(cartrealn3 > cartrealn3)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealn3,W:cartrealn3]:((dot @ (F @ V) @ (F @ W)) = (dot @ V @ W))))).
thf(aorthonormal, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) <=> (((dot @ E1 @ E1) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E2 @ E2) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E3 @ E3) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E1 @ E2) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E1 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E2 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (cross @ E1 @ E2) @ E3))))).
thf(conjecture, conjecture, ![F:(cartrealn3 > cartrealn3)]:(((linear @ F) & ![X:cartrealn3]:((vectoru_norm @ (F @ X)) = (vectoru_norm @ X)) & ((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) => ((det @ (matrix @ F)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) => ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ (F @ E1) @ (F @ E2) @ (F @ E3)) <=> (orthonormal @ E1 @ E2 @ E3)))).
