%   ORIGINAL: ORTHONORMAL_PERMUTE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: TRUTH: T
% Assm: Trigonometry.BKMUSOX2: !x y z. (x cross y) dot z = (y cross z) dot x
% Assm: orthonormal: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: !e1 e2 e3. orthonormal e1 e2 e3 ==> orthonormal e2 e3 e1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x dot y = y dot x
% Assm: T
% Assm: !x y z. (x cross y) dot z = (y cross z) dot x
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: !e1 e2 e3. orthonormal e1 e2 e3 ==> orthonormal e2 e3 e1
%  TYPES
thf(tcartrealq97800, type, cartrealq97800 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tq97800, type, q97800 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdot0, type, dot0 : (cartrealn3 > cartrealn3 > real)).
thf(cdot, type, dot : (cartrealq97800 > cartrealq97800 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_SYM, axiom, ![X:cartrealq97800,Y:cartrealq97800]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_BKMUSOX2, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((dot0 @ (cross @ X @ Y) @ Z) = (dot0 @ (cross @ Y @ Z) @ X))).
thf(aorthonormal, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) <=> (((dot0 @ E1 @ E1) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot0 @ E2 @ E2) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot0 @ E3 @ E3) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot0 @ E1 @ E2) = (realu_ofu_num @ (numeral @ u_0))) & ((dot0 @ E1 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & ((dot0 @ E2 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot0 @ (cross @ E1 @ E2) @ E3))))).
thf(conjecture, conjecture, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => (orthonormal @ E2 @ E3 @ E1))).
