%   ORIGINAL: Trigonometry2.ORTHONORMAL_IMP_INDEPENDENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: PAIRWISE_ORTHOGONAL_INDEPENDENT: !s. pairwise orthogonal s /\ ~(vec 0 IN s) ==> independent s
% Assm: TRUTH: T
% Assm: Trigonometry2.ORTHONORMAL_IMP_NONZERO: !e1 e2 e3. orthonormal e1 e2 e3 ==> ~(e1 = vec 0) /\ ~(e2 = vec 0) /\ ~(e3 = vec 0)
% Assm: orthogonal: !x y. orthogonal x y <=> x dot y = &0
% Assm: orthonormal: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Assm: pairwise: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !e1 e2 e3. orthonormal e1 e2 e3 ==> independent {e1, e2, e3}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x dot y = y dot x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. pairwise orthogonal s /\ ~(vec 0 IN s) ==> independent s
% Assm: T
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 ==> ~(e1 = vec 0) /\ ~(e2 = vec 0) /\ ~(e3 = vec 0)
% Assm: !x y. orthogonal x y <=> x dot y = &0
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Assm: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Goal: !e1 e2 e3. orthonormal e1 e2 e3 ==> independent {e1, e2, e3}
%  TYPES
thf(tq108193, type, q108193 : $tType).
thf(tcartrealq97800, type, cartrealq97800 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq56744, type, q56744 : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartrealq108193, type, cartrealq108193 : $tType).
thf(tq97800, type, q97800 : $tType).
%  CONSTS
thf(cin0, type, in0 : (q56744 > (q56744 > $o) > $o)).
thf(cpairwise0, type, pairwise0 : ((q56744 > q56744 > $o) > (q56744 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdot1, type, dot1 : (cartrealn3 > cartrealn3 > real)).
thf(cdot0, type, dot0 : (cartrealq108193 > cartrealq108193 > real)).
thf(corthogonal0, type, orthogonal0 : (cartrealq108193 > cartrealq108193 > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(corthogonal, type, orthogonal : (cartrealn3 > cartrealn3 > $o)).
thf(cpairwise, type, pairwise : ((cartrealn3 > cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cdot, type, dot : (cartrealq97800 > cartrealq97800 > real)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cindependent, type, independent : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_SYM, axiom, ![X:cartrealq97800,Y:cartrealq97800]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aPAIRWISEu_ORTHOGONALu_INDEPENDENT, axiom, ![S:(cartrealn3 > $o)]:(((pairwise @ orthogonal @ S) & ~ ((in @ (vec @ (numeral @ u_0)) @ S))) => (independent @ S))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ORTHONORMALu_IMPu_NONZERO, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => (~ ((E1 = (vec @ (numeral @ u_0)))) & ~ ((E2 = (vec @ (numeral @ u_0)))) & ~ ((E3 = (vec @ (numeral @ u_0))))))).
thf(aorthogonal, axiom, ![X:cartrealq108193,Y:cartrealq108193]:((orthogonal0 @ X @ Y) <=> ((dot0 @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aorthonormal, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) <=> (((dot1 @ E1 @ E1) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot1 @ E2 @ E2) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot1 @ E3 @ E3) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot1 @ E1 @ E2) = (realu_ofu_num @ (numeral @ u_0))) & ((dot1 @ E1 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & ((dot1 @ E2 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot1 @ (cross @ E1 @ E2) @ E3))))).
thf(apairwise, axiom, ![S:(q56744 > $o),R:(q56744 > q56744 > $o)]:((pairwise0 @ R @ S) <=> ![X:q56744,Y:q56744]:(((in0 @ X @ S) & (in0 @ Y @ S) & ~ ((X = Y))) => (R @ X @ Y)))).
thf(conjecture, conjecture, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => (independent @ (insert @ E1 @ (insert @ E2 @ (insert @ E3 @ empty)))))).
