%   ORIGINAL: ORTHONORMAL_IMP_INDEPENDENT_EXPLICIT_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: INDEPENDENT_3: !a b c x y z. independent {a, b, c} /\ ~(a = b) /\ ~(a = c) /\ ~(b = c) ==> (x % a + y % b + z % c = vec 0 <=> x = &0 /\ y = &0 /\ z = &0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.ORTHONORMAL_IMP_DISTINCT: !e1 e2 e3. orthonormal e1 e2 e3 ==> ~(e1 = e2) /\ ~(e1 = e3) /\ ~(e2 = e3)
% Assm: Trigonometry2.ORTHONORMAL_IMP_INDEPENDENT: !e1 e2 e3. orthonormal e1 e2 e3 ==> independent {e1, e2, e3}
% Goal: !e1 e2 e3 t1 t2 t3. orthonormal e1 e2 e3 ==> (t1 % e1 + t2 % e2 + t3 % e3 = vec 0 <=> t1 = &0 /\ t2 = &0 /\ t3 = &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b c x y z. independent {a, b, c} /\ ~(a = b) /\ ~(a = c) /\ ~(b = c) ==> (x % a + y % b + z % c = vec 0 <=> x = &0 /\ y = &0 /\ z = &0)
% Assm: ~F <=> T
% Assm: T
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 ==> ~(e1 = e2) /\ ~(e1 = e3) /\ ~(e2 = e3)
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 ==> independent {e1, e2, e3}
% Goal: !e1 e2 e3 t1 t2 t3. orthonormal e1 e2 e3 ==> (t1 % e1 + t2 % e2 + t3 % e3 = vec 0 <=> t1 = &0 /\ t2 = &0 /\ t3 = &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cindependent, type, independent : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINDEPENDENTu_3, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,X:real,Y:real,Z:real]:(((independent @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) & ~ ((A = B)) & ~ ((A = C)) & ~ ((B = C))) => (((vectoru_add @ (r_ @ X @ A) @ (vectoru_add @ (r_ @ Y @ B) @ (r_ @ Z @ C))) = (vec @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) & (Y = (realu_ofu_num @ (numeral @ u_0))) & (Z = (realu_ofu_num @ (numeral @ u_0))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ORTHONORMALu_IMPu_DISTINCT, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => (~ ((E1 = E2)) & ~ ((E1 = E3)) & ~ ((E2 = E3))))).
thf(aTrigonometry2o_ORTHONORMALu_IMPu_INDEPENDENT, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => (independent @ (insert @ E1 @ (insert @ E2 @ (insert @ E3 @ empty)))))).
thf(conjecture, conjecture, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3,T1:real,T2:real,T3:real]:((orthonormal @ E1 @ E2 @ E3) => (((vectoru_add @ (r_ @ T1 @ E1) @ (vectoru_add @ (r_ @ T2 @ E2) @ (r_ @ T3 @ E3))) = (vec @ (numeral @ u_0))) <=> ((T1 = (realu_ofu_num @ (numeral @ u_0))) & (T2 = (realu_ofu_num @ (numeral @ u_0))) & (T3 = (realu_ofu_num @ (numeral @ u_0))))))).
