%   ORIGINAL: azim_spec
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AZIM_EXISTS: !v w w1 w2. ?theta. &0 <= theta /\ theta < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + theta)) % e1 + (r2 * sin (psi + theta)) % e2 + h2 % (w - v) /\ (~collinear {v, w, w1} ==> &0 < r1) /\ (~collinear {v, w, w2} ==> &0 < r2)))
% Assm: TRUTH: T
% Goal: ?theta. !v w w1 w2. &0 <= theta v w w1 w2 /\ theta v w w1 w2 < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + theta v w w1 w2)) % e1 + (r2 * sin (psi + theta v w w1 w2)) % e2 + h2 % (w - v) /\ (~collinear {v, w, w1} ==> &0 < r1) /\ (~collinear {v, w, w2} ==> &0 < r2)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !v w w1 w2. ?theta. &0 <= theta /\ theta < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + theta)) % e1 + (r2 * sin (psi + theta)) % e2 + h2 % (w - v) /\ (~collinear {v, w, w1} ==> &0 < r1) /\ (~collinear {v, w, w2} ==> &0 < r2)))
% Assm: T
% Goal: ?theta. !v w w1 w2. &0 <= theta v w w1 w2 /\ theta v w w1 w2 < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + theta v w w1 w2)) % e1 + (r2 * sin (psi + theta v w w1 w2)) % e2 + h2 % (w - v) /\ (~collinear {v, w, w1} ==> &0 < r1) /\ (~collinear {v, w, w2} ==> &0 < r2)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAZIMu_EXISTS, axiom, ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:?[THETA:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ THETA) & (realu_lt @ THETA @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ?[H1:real,H2:real]:![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:(((orthonormal @ E1 @ E2 @ E3) & ((r_ @ (distance @ (c_ @ W @ V)) @ E3) = (vectoru_sub @ W @ V)) & ~ ((W = V))) => ?[PSI:real,R1:real,R2:real]:(((vectoru_sub @ W1 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R1 @ (cos @ PSI)) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R1 @ (sin @ PSI)) @ E2) @ (r_ @ H1 @ (vectoru_sub @ W @ V))))) & ((vectoru_sub @ W2 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R2 @ (cos @ (realu_add @ PSI @ THETA))) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R2 @ (sin @ (realu_add @ PSI @ THETA))) @ E2) @ (r_ @ H2 @ (vectoru_sub @ W @ V))))) & (~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ W1 @ empty))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R1)) & (~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ W2 @ empty))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R2)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ?[THETA:(cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)]:![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (THETA @ V @ W @ W1 @ W2)) & (realu_lt @ (THETA @ V @ W @ W1 @ W2) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ?[H1:real,H2:real]:![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:(((orthonormal @ E1 @ E2 @ E3) & ((r_ @ (distance @ (c_ @ W @ V)) @ E3) = (vectoru_sub @ W @ V)) & ~ ((W = V))) => ?[PSI:real,R1:real,R2:real]:(((vectoru_sub @ W1 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R1 @ (cos @ PSI)) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R1 @ (sin @ PSI)) @ E2) @ (r_ @ H1 @ (vectoru_sub @ W @ V))))) & ((vectoru_sub @ W2 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R2 @ (cos @ (realu_add @ PSI @ (THETA @ V @ W @ W1 @ W2)))) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R2 @ (sin @ (realu_add @ PSI @ (THETA @ V @ W @ W1 @ W2)))) @ E2) @ (r_ @ H2 @ (vectoru_sub @ W @ V))))) & (~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ W1 @ empty))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R1)) & (~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ W2 @ empty))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R2)))))).
