%   ORIGINAL: AZIM_EQ_0_GE_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AZIM_EQ_0_GE: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = &0 <=> w IN aff_ge {v0, v1} {x})
% Assm: AZIM_EQ_0_SYM: !z w w1 w2. ~collinear {z, w, w1} /\ ~collinear {z, w, w2} ==> (azim z w w1 w2 = &0 <=> azim z w w2 w1 = &0)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = &0 <=> x IN aff_ge {v0, v1} {w})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = &0 <=> w IN aff_ge {v0, v1} {x})
% Assm: !z w w1 w2. ~collinear {z, w, w1} /\ ~collinear {z, w, w2} ==> (azim z w w1 w2 = &0 <=> azim z w w2 w1 = &0)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = &0 <=> x IN aff_ge {v0, v1} {w})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAZIMu_EQu_0u_GE, axiom, ![V0:cartrealn3,V1:cartrealn3,W:cartrealn3,X:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ X @ empty)))))) => (((azim @ V0 @ V1 @ W @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (in @ W @ (affu_ge @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ X @ empty)))))).
thf(aAZIMu_EQu_0u_SYM, axiom, ![Z:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((~ ((collinear @ (insert @ Z @ (insert @ W @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ Z @ (insert @ W @ (insert @ W2 @ empty)))))) => (((azim @ Z @ W @ W1 @ W2) = (realu_ofu_num @ (numeral @ u_0))) <=> ((azim @ Z @ W @ W2 @ W1) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,W:cartrealn3,X:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ X @ empty)))))) => (((azim @ V0 @ V1 @ W @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (in @ X @ (affu_ge @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ W @ empty)))))).
