%   ORIGINAL: AZIM_EQ_PI_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AZIM_EQ_PI: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = pi <=> w IN aff_lt {v0, v1} {x})
% Assm: AZIM_EQ_PI_SYM: !z w w1 w2. ~collinear {z, w, w1} /\ ~collinear {z, w, w2} ==> (azim z w w1 w2 = pi <=> azim z w w2 w1 = pi)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = pi <=> x IN aff_lt {v0, v1} {w})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = pi <=> w IN aff_lt {v0, v1} {x})
% Assm: !z w w1 w2. ~collinear {z, w, w1} /\ ~collinear {z, w, w2} ==> (azim z w w1 w2 = pi <=> azim z w w2 w1 = pi)
% Assm: ~F <=> T
% Assm: T
% Goal: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = pi <=> x IN aff_lt {v0, v1} {w})
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cpi, type, pi : real).
thf(caffuu_lt, type, affu_lt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAZIMu_EQu_PI, axiom, ![V0:cartrealn3,V1:cartrealn3,W:cartrealn3,X:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ X @ empty)))))) => (((azim @ V0 @ V1 @ W @ X) = pi) <=> (in @ W @ (affu_lt @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ X @ empty)))))).
thf(aAZIMu_EQu_PIu_SYM, axiom, ![Z:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((~ ((collinear @ (insert @ Z @ (insert @ W @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ Z @ (insert @ W @ (insert @ W2 @ empty)))))) => (((azim @ Z @ W @ W1 @ W2) = pi) <=> ((azim @ Z @ W @ W2 @ W1) = pi)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,W:cartrealn3,X:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ X @ empty)))))) => (((azim @ V0 @ V1 @ W @ X) = pi) <=> (in @ X @ (affu_lt @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ W @ empty)))))).
