%   ORIGINAL: DIHV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARCV_ANGLE: !u v w. arcV u v w = angle (v,u,w)
% Assm: TRUTH: T
% Assm: dihV: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Goal: dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in angle (vap,vec 0,vbp))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !u v w. arcV u v w = angle (v,u,w)
% Assm: T
% Assm: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Goal: !w0 w2 w3 w1. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in angle (vap,vec 0,vbp))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealnprodcartrealncartrealn, type, prodcartrealnprodcartrealncartrealn : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cangle, type, angle : (prodcartrealnprodcartrealncartrealn > real)).
thf(clet, type, let : ((cartrealn > real) > cartrealn > real)).
thf(carcv, type, arcv : (cartrealn > cartrealn > cartrealn > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealn > prodcartrealncartrealn > prodcartrealnprodcartrealncartrealn)).
thf(cdihv, type, dihv : (cartrealn > cartrealn > cartrealn > cartrealn > real)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cletuu_end, type, letu_end : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARCVu_ANGLE, axiom, ![U:cartrealn,V:cartrealn,W:cartrealn]:((arcv @ U @ V @ W) = (angle @ (c_ @ V @ (c_0 @ U @ W))))).
thf(aTRUTH, axiom, $true).
thf(adihV, axiom, ![W1:cartrealn,W3:cartrealn,W2:cartrealn,W0:cartrealn]:((dihv @ W0 @ W1 @ W2 @ W3) = (let @ ^[VA:cartrealn]:(letu_end @ (let @ ^[VB:cartrealn]:(letu_end @ (let @ ^[VC:cartrealn]:(letu_end @ (let @ ^[VAP:cartrealn]:(letu_end @ (let @ ^[VBP:cartrealn]:(letu_end @ (arcv @ (vec @ (numeral @ u_0)) @ VAP @ VBP)) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VB) @ (r_ @ (dot @ VB @ VC) @ VC)))) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VA) @ (r_ @ (dot @ VA @ VC) @ VC)))) @ (vectoru_sub @ W1 @ W0))) @ (vectoru_sub @ W3 @ W0))) @ (vectoru_sub @ W2 @ W0)))).
thf(conjecture, conjecture, ![W0:cartrealn,W2:cartrealn,W3:cartrealn,W1:cartrealn]:((dihv @ W0 @ W1 @ W2 @ W3) = (let @ ^[VA:cartrealn]:(letu_end @ (let @ ^[VB:cartrealn]:(letu_end @ (let @ ^[VC:cartrealn]:(letu_end @ (let @ ^[VAP:cartrealn]:(letu_end @ (let @ ^[VBP:cartrealn]:(letu_end @ (angle @ (c_ @ VAP @ (c_0 @ (vec @ (numeral @ u_0)) @ VBP)))) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VB) @ (r_ @ (dot @ VB @ VC) @ VC)))) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VA) @ (r_ @ (dot @ VA @ VC) @ VC)))) @ (vectoru_sub @ W1 @ W0))) @ (vectoru_sub @ W3 @ W0))) @ (vectoru_sub @ W2 @ W0)))).
