%   ORIGINAL: DIHV_RANGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ANGLE_RANGE: !A B C. &0 <= angle (A,B,C) /\ angle (A,B,C) <= pi
% Assm: DIHV: dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in angle (vap,vec 0,vbp))
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: TRUTH: T
% Goal: !w0 w1 w2 w3. &0 <= dihV w0 w1 w2 w3 /\ dihV w0 w1 w2 w3 <= pi
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A B C. &0 <= angle (A,B,C) /\ angle (A,B,C) <= pi
% Assm: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in angle (vap,vec 0,vbp))
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: T
% Goal: !w0 w1 w2 w3. &0 <= dihV w0 w1 w2 w3 /\ dihV w0 w1 w2 w3 <= pi
%  TYPES
thf(tnum, type, num : $tType).
thf(tprodcartrealq713474cartrealq713474, type, prodcartrealq713474cartrealq713474 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq713474, type, q713474 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq691451cartrealq691451, type, prodcartrealq691451cartrealq691451 : $tType).
thf(tcartrealq713474, type, cartrealq713474 : $tType).
thf(tcartrealq691451, type, cartrealq691451 : $tType).
thf(tq691451, type, q691451 : $tType).
thf(tprodcartrealq713474prodcartrealq713474cartrealq713474, type, prodcartrealq713474prodcartrealq713474cartrealq713474 : $tType).
thf(tprodcartrealq691451prodcartrealq691451cartrealq691451, type, prodcartrealq691451prodcartrealq691451cartrealq691451 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealq713474 > cartrealq713474 > real)).
thf(cangle0, type, angle0 : (prodcartrealq713474prodcartrealq713474cartrealq713474 > real)).
thf(clet, type, let : ((cartrealq713474 > real) > cartrealq713474 > real)).
thf(cangle, type, angle : (prodcartrealq691451prodcartrealq691451cartrealq691451 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clet0, type, let0 : ((a > b) > a > b)).
thf(cpi, type, pi : real).
thf(cru_, type, r_ : (real > cartrealq713474 > cartrealq713474)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq713474 > cartrealq713474 > cartrealq713474)).
thf(ccu_2, type, c_2 : (cartrealq713474 > cartrealq713474 > prodcartrealq713474cartrealq713474)).
thf(ccu_1, type, c_1 : (cartrealq713474 > prodcartrealq713474cartrealq713474 > prodcartrealq713474prodcartrealq713474cartrealq713474)).
thf(ccu_0, type, c_0 : (cartrealq691451 > cartrealq691451 > prodcartrealq691451cartrealq691451)).
thf(ccu_, type, c_ : (cartrealq691451 > prodcartrealq691451cartrealq691451 > prodcartrealq691451prodcartrealq691451cartrealq691451)).
thf(cdihv, type, dihv : (cartrealq713474 > cartrealq713474 > cartrealq713474 > cartrealq713474 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec, type, vec : (num > cartrealq713474)).
thf(cuu_0, type, u_0 : num).
thf(cletuu_end0, type, letu_end0 : (a > a)).
thf(cletuu_end, type, letu_end : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aANGLEu_RANGE, axiom, ![A:cartrealq691451,B:cartrealq691451,C:cartrealq691451]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (angle @ (c_ @ A @ (c_0 @ B @ C)))) & (realu_le @ (angle @ (c_ @ A @ (c_0 @ B @ C))) @ pi))).
thf(aDIHV, axiom, ![W1:cartrealq713474,W3:cartrealq713474,W2:cartrealq713474,W0:cartrealq713474]:((dihv @ W0 @ W1 @ W2 @ W3) = (let @ ^[VA:cartrealq713474]:(letu_end @ (let @ ^[VB:cartrealq713474]:(letu_end @ (let @ ^[VC:cartrealq713474]:(letu_end @ (let @ ^[VAP:cartrealq713474]:(letu_end @ (let @ ^[VBP:cartrealq713474]:(letu_end @ (angle0 @ (c_1 @ VAP @ (c_2 @ (vec @ (numeral @ u_0)) @ VBP)))) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VB) @ (r_ @ (dot @ VB @ VC) @ VC)))) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VA) @ (r_ @ (dot @ VA @ VC) @ VC)))) @ (vectoru_sub @ W1 @ W0))) @ (vectoru_sub @ W3 @ W0))) @ (vectoru_sub @ W2 @ W0)))).
thf(aLETu_DEF, axiom, ![F:(a > b),X:a]:((let0 @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:a]:((letu_end0 @ T) = T)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W0:cartrealq713474,W1:cartrealq713474,W2:cartrealq713474,W3:cartrealq713474]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (dihv @ W0 @ W1 @ W2 @ W3)) & (realu_le @ (dihv @ W0 @ W1 @ W2 @ W3) @ pi))).
