%   ORIGINAL: AZIM_DIVH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AZIM_DIHV_COMPL: !v w v1 v2. ~collinear {v, w, v1} /\ ~collinear {v, w, v2} /\ pi <= azim v w v1 v2 ==> azim v w v1 v2 = &2 * pi - dihV v w v1 v2
% Assm: AZIM_DIHV_SAME: !v w v1 v2. ~collinear {v, w, v1} /\ ~collinear {v, w, v2} /\ azim v w v1 v2 < pi ==> azim v w v1 v2 = dihV v w v1 v2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: TRUTH: T
% Goal: !v w v1 v2. ~collinear {v, w, v1} /\ ~collinear {v, w, v2} ==> azim v w v1 v2 = (if azim v w v1 v2 < pi then dihV v w v1 v2 else &2 * pi - dihV v w v1 v2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v w v1 v2. ~collinear {v, w, v1} /\ ~collinear {v, w, v2} /\ pi <= azim v w v1 v2 ==> azim v w v1 v2 = &2 * pi - dihV v w v1 v2
% Assm: !v w v1 v2. ~collinear {v, w, v1} /\ ~collinear {v, w, v2} /\ azim v w v1 v2 < pi ==> azim v w v1 v2 = dihV v w v1 v2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ~F <=> T
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: T
% Goal: !v w v1 v2. ~collinear {v, w, v1} /\ ~collinear {v, w, v2} ==> azim v w v1 v2 = (if azim v w v1 v2 < pi then dihV v w v1 v2 else &2 * pi - dihV v w v1 v2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdihv, type, dihv : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAZIMu_DIHVu_COMPL, axiom, ![V:cartrealn3,W:cartrealn3,V1:cartrealn3,V2:cartrealn3]:((~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ V1 @ empty))))) & ~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ V2 @ empty))))) & (realu_le @ pi @ (azim @ V @ W @ V1 @ V2))) => ((azim @ V @ W @ V1 @ V2) = (realu_sub @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi) @ (dihv @ V @ W @ V1 @ V2))))).
thf(aAZIMu_DIHVu_SAME, axiom, ![V:cartrealn3,W:cartrealn3,V1:cartrealn3,V2:cartrealn3]:((~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ V1 @ empty))))) & ~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ V2 @ empty))))) & (realu_lt @ (azim @ V @ W @ V1 @ V2) @ pi)) => ((azim @ V @ W @ V1 @ V2) = (dihv @ V @ W @ V1 @ V2)))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,W:cartrealn3,V1:cartrealn3,V2:cartrealn3]:((~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ V1 @ empty))))) & ~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ V2 @ empty)))))) => ((azim @ V @ W @ V1 @ V2) = (cond @ (realu_lt @ (azim @ V @ W @ V1 @ V2) @ pi) @ (dihv @ V @ W @ V1 @ V2) @ (realu_sub @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi) @ (dihv @ V @ W @ V1 @ V2)))))).
