%   ORIGINAL: DIHV_EQ_0_PI_EQ_COPLANAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AZIM_DIHV_EQ_0: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> (azim v0 v1 w1 w2 = &0 <=> dihV v0 v1 w1 w2 = &0)
% Assm: AZIM_DIHV_EQ_PI: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> (azim v0 v1 w1 w2 = pi <=> dihV v0 v1 w1 w2 = pi)
% Assm: AZIM_EQ_0_PI_EQ_COPLANAR: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> (azim v0 v1 w1 w2 = &0 \/ azim v0 v1 w1 w2 = pi <=> coplanar {v0, v1, w1, w2})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> (dihV v0 v1 w1 w2 = &0 \/ dihV v0 v1 w1 w2 = pi <=> coplanar {v0, v1, w1, w2})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> (azim v0 v1 w1 w2 = &0 <=> dihV v0 v1 w1 w2 = &0)
% Assm: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> (azim v0 v1 w1 w2 = pi <=> dihV v0 v1 w1 w2 = pi)
% Assm: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> (azim v0 v1 w1 w2 = &0 \/ azim v0 v1 w1 w2 = pi <=> coplanar {v0, v1, w1, w2})
% Assm: ~F <=> T
% Assm: T
% Goal: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> (dihV v0 v1 w1 w2 = &0 \/ dihV v0 v1 w1 w2 = pi <=> coplanar {v0, v1, w1, w2})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cpi, type, pi : real).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdihv, type, dihv : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAZIMu_DIHVu_EQu_0, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W2 @ empty)))))) => (((azim @ V0 @ V1 @ W1 @ W2) = (realu_ofu_num @ (numeral @ u_0))) <=> ((dihv @ V0 @ V1 @ W1 @ W2) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aAZIMu_DIHVu_EQu_PI, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W2 @ empty)))))) => (((azim @ V0 @ V1 @ W1 @ W2) = pi) <=> ((dihv @ V0 @ V1 @ W1 @ W2) = pi)))).
thf(aAZIMu_EQu_0u_PIu_EQu_COPLANAR, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W2 @ empty)))))) => ((((azim @ V0 @ V1 @ W1 @ W2) = (realu_ofu_num @ (numeral @ u_0))) | ((azim @ V0 @ V1 @ W1 @ W2) = pi)) <=> (coplanar @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ (insert @ W2 @ empty)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W2 @ empty)))))) => ((((dihv @ V0 @ V1 @ W1 @ W2) = (realu_ofu_num @ (numeral @ u_0))) | ((dihv @ V0 @ V1 @ W1 @ W2) = pi)) <=> (coplanar @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ (insert @ W2 @ empty)))))))).
