%   ORIGINAL: DIHV_SYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ANGLE_SYM: !A B C. angle (A,B,C) = angle (C,B,A)
% Assm: DIHV: dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in angle (vap,vec 0,vbp))
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: TRUTH: T
% Goal: !v0 v1 v2 v3. dihV v0 v1 v3 v2 = dihV v0 v1 v2 v3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A B C. angle (A,B,C) = angle (C,B,A)
% Assm: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in angle (vap,vec 0,vbp))
% Assm: !x y. x dot y = y dot x
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: T
% Goal: !v0 v1 v2 v3. dihV v0 v1 v3 v2 = dihV v0 v1 v2 v3
%  TYPES
thf(tcartrealq97800, type, cartrealq97800 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq691411, type, q691411 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq691411cartrealq691411, type, prodcartrealq691411cartrealq691411 : $tType).
thf(tcartrealq691411, type, cartrealq691411 : $tType).
thf(tq97800, type, q97800 : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealnprodcartrealncartrealn, type, prodcartrealnprodcartrealncartrealn : $tType).
thf(tprodcartrealq691411prodcartrealq691411cartrealq691411, type, prodcartrealq691411prodcartrealq691411cartrealq691411 : $tType).
%  CONSTS
thf(clet0, type, let0 : ((a > real) > a > real)).
thf(cdot0, type, dot0 : (cartrealq97800 > cartrealq97800 > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cangle0, type, angle0 : (prodcartrealnprodcartrealncartrealn > real)).
thf(clet, type, let : ((cartrealn > real) > cartrealn > real)).
thf(cangle, type, angle : (prodcartrealq691411prodcartrealq691411cartrealq691411 > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_2, type, c_2 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_1, type, c_1 : (cartrealn > prodcartrealncartrealn > prodcartrealnprodcartrealncartrealn)).
thf(ccu_0, type, c_0 : (cartrealq691411 > cartrealq691411 > prodcartrealq691411cartrealq691411)).
thf(ccu_, type, c_ : (cartrealq691411 > prodcartrealq691411cartrealq691411 > prodcartrealq691411prodcartrealq691411cartrealq691411)).
thf(cdihv, type, dihv : (cartrealn > cartrealn > cartrealn > cartrealn > real)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cletuu_end, type, letu_end : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aANGLEu_SYM, axiom, ![A:cartrealq691411,B:cartrealq691411,C:cartrealq691411]:((angle @ (c_ @ A @ (c_0 @ B @ C))) = (angle @ (c_ @ C @ (c_0 @ B @ A))))).
thf(aDIHV, axiom, ![W1:cartrealn,W3:cartrealn,W2:cartrealn,W0:cartrealn]:((dihv @ W0 @ W1 @ W2 @ W3) = (let @ ^[VA:cartrealn]:(letu_end @ (let @ ^[VB:cartrealn]:(letu_end @ (let @ ^[VC:cartrealn]:(letu_end @ (let @ ^[VAP:cartrealn]:(letu_end @ (let @ ^[VBP:cartrealn]:(letu_end @ (angle0 @ (c_1 @ VAP @ (c_2 @ (vec @ (numeral @ u_0)) @ VBP)))) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VB) @ (r_ @ (dot @ VB @ VC) @ VC)))) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VA) @ (r_ @ (dot @ VA @ VC) @ VC)))) @ (vectoru_sub @ W1 @ W0))) @ (vectoru_sub @ W3 @ W0))) @ (vectoru_sub @ W2 @ W0)))).
thf(aDOTu_SYM, axiom, ![X:cartrealq97800,Y:cartrealq97800]:((dot0 @ X @ Y) = (dot0 @ Y @ X))).
thf(aLETu_DEF, axiom, ![F:(a > real),X:a]:((let0 @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:real]:((letu_end @ T) = T)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V0:cartrealn,V1:cartrealn,V2:cartrealn,V3:cartrealn]:((dihv @ V0 @ V1 @ V3 @ V2) = (dihv @ V0 @ V1 @ V2 @ V3))).
