%   ORIGINAL: WEDGE_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_3_AFFINE_HULL: !a b c. ~(a = b) ==> (collinear {a, b, c} <=> c IN affine hull {a, b})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: wedge: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !v0 v1 w1 w2. ~(v0 = v1) ==> wedge v0 v1 w1 w2 = {y | ~(y IN affine hull {v0, v1}) /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b c. ~(a = b) ==> (collinear {a, b, c} <=> c IN affine hull {a, b})
% Assm: ~F <=> T
% Assm: T
% Assm: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !v0 v1 w1 w2. ~(v0 = v1) ==> wedge v0 v1 w1 w2 = {y | ~(y IN affine hull {v0, v1}) /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cwedge, type, wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_3u_AFFINEu_HULL, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3]:(~ ((A = B)) => ((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) <=> (in @ C @ (hull @ affine @ (insert @ A @ (insert @ B @ empty))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(awedge, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((wedge @ V0 @ V1 @ W1 @ W2) = (gspec @ ^[GENR_PVARR_2569:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_2569 @ (~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ Y @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ Y)) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ Y) @ (azim @ V0 @ V1 @ W1 @ W2))) @ Y)))).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:(~ ((V0 = V1)) => ((wedge @ V0 @ V1 @ W1 @ W2) = (gspec @ ^[GENR_PVARR_2570:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_2570 @ (~ ((in @ Y @ (hull @ affine @ (insert @ V0 @ (insert @ V1 @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ Y)) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ Y) @ (azim @ V0 @ V1 @ W1 @ W2))) @ Y))))).
