%   ORIGINAL: WEDGE_SPECIAL_SCALE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AZIM_SPECIAL_SCALE: !a v w1 w2. &0 < a ==> azim (vec 0) (a % v) w1 w2 = azim (vec 0) v w1 w2
% Assm: COLLINEAR_SPECIAL_SCALE: !a x y. ~(a = &0) ==> (collinear {vec 0, a % x, y} <=> collinear {vec 0, x, y})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POS_NZ: !x. &0 < x ==> ~(x = &0)
% Assm: TRUTH: T
% Assm: wedge: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !a v w1 w2. &0 < a /\ ~collinear {vec 0, a % v, w1} /\ ~collinear {vec 0, a % v, w2} ==> wedge (vec 0) (a % v) w1 w2 = wedge (vec 0) v w1 w2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a v w1 w2. &0 < a ==> azim (vec 0) (a % v) w1 w2 = azim (vec 0) v w1 w2
% Assm: !a x y. ~(a = &0) ==> (collinear {vec 0, a % x, y} <=> collinear {vec 0, x, y})
% Assm: ~F <=> T
% Assm: !x. &0 < x ==> ~(x = &0)
% Assm: T
% Assm: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !a v w1 w2. &0 < a /\ ~collinear {vec 0, a % v, w1} /\ ~collinear {vec 0, a % v, w2} ==> wedge (vec 0) (a % v) w1 w2 = wedge (vec 0) v w1 w2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cwedge, type, wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAZIMu_SPECIALu_SCALE, axiom, ![A:real,V:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) => ((azim @ (vec @ (numeral @ u_0)) @ (r_ @ A @ V) @ W1 @ W2) = (azim @ (vec @ (numeral @ u_0)) @ V @ W1 @ W2)))).
thf(aCOLLINEARu_SPECIALu_SCALE, axiom, ![A:real,X:cartrealn3,Y:cartrealn3]:(~ ((A = (realu_ofu_num @ (numeral @ u_0)))) => ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (r_ @ A @ X) @ (insert @ Y @ empty)))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POSu_NZ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ~ ((X = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(awedge, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((wedge @ V0 @ V1 @ W1 @ W2) = (gspec @ ^[GENR_PVARR_2569:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_2569 @ (~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ Y @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ Y)) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ Y) @ (azim @ V0 @ V1 @ W1 @ W2))) @ Y)))).
thf(conjecture, conjecture, ![A:real,V:cartrealn3,W1:cartrealn3,W2:cartrealn3]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (r_ @ A @ V) @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (r_ @ A @ V) @ (insert @ W2 @ empty)))))) => ((wedge @ (vec @ (numeral @ u_0)) @ (r_ @ A @ V) @ W1 @ W2) = (wedge @ (vec @ (numeral @ u_0)) @ V @ W1 @ W2)))).
