%   ORIGINAL: WEDGE_DEGENERATE_conjunct2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AZIM_DEGENERATE_conjunct0: !v w w1 w2. v = w ==> azim v w w1 w2 = &0
% Assm: AZIM_DEGENERATE_conjunct1: !v w w1 w2. collinear {v, w, w1} ==> azim v w w1 w2 = &0
% Assm: AZIM_DEGENERATE_conjunct2: !v w w1 w2. collinear {v, w, w2} ==> azim v w w1 w2 = &0
% Assm: EMPTY_GSPEC: {x | F} = {}
% Assm: REAL_LT_ANTISYM: !x y. ~(x < y /\ y < x)
% Assm: REAL_LT_REFL: !x. ~(x < x)
% Assm: TRUTH: T
% Assm: wedge: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !z w w1 w2. collinear {z, w, w2} ==> wedge z w w1 w2 = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !v w w1 w2. v = w ==> azim v w w1 w2 = &0
% Assm: !v w w1 w2. collinear {v, w, w1} ==> azim v w w1 w2 = &0
% Assm: !v w w1 w2. collinear {v, w, w2} ==> azim v w w1 w2 = &0
% Assm: {x | F} = {}
% Assm: !x y. ~(x < y /\ y < x)
% Assm: !x. ~(x < x)
% Assm: T
% Assm: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !z w w1 w2. collinear {z, w, w2} ==> wedge z w w1 w2 = {}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cwedge, type, wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAZIMu_DEGENERATEu_conjunct0, axiom, ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((V = W) => ((azim @ V @ W @ W1 @ W2) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aAZIMu_DEGENERATEu_conjunct1, axiom, ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((collinear @ (insert @ V @ (insert @ W @ (insert @ W1 @ empty)))) => ((azim @ V @ W @ W1 @ W2) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aAZIMu_DEGENERATEu_conjunct2, axiom, ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((collinear @ (insert @ V @ (insert @ W @ (insert @ W2 @ empty)))) => ((azim @ V @ W @ W1 @ W2) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aEMPTYu_GSPEC, axiom, ((gspec @ ^[GENR_PVARR_14:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_14 @ $false @ X)) = empty)).
thf(aREALu_LTu_ANTISYM, axiom, ![X:real,Y:real]:~ (((realu_lt @ X @ Y) & (realu_lt @ Y @ X)))).
thf(aREALu_LTu_REFL, axiom, ![X:real]:~ ((realu_lt @ X @ X))).
thf(aTRUTH, axiom, $true).
thf(awedge, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((wedge @ V0 @ V1 @ W1 @ W2) = (gspec @ ^[GENR_PVARR_2569:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_2569 @ (~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ Y @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ Y)) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ Y) @ (azim @ V0 @ V1 @ W1 @ W2))) @ Y)))).
thf(conjecture, conjecture, ![Z:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((collinear @ (insert @ Z @ (insert @ W @ (insert @ W2 @ empty)))) => ((wedge @ Z @ W @ W1 @ W2) = empty))).
