%   ORIGINAL: VOLUME_BALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CBALL: !x e. bounded (cball (x,e))
% Assm: CONVEX_CBALL: !x e. convex (cball (x,e))
% Assm: INTERIOR_CBALL: !x e. interior (cball (x,e)) = ball (x,e)
% Assm: MEASURE_INTERIOR: !s. bounded s /\ negligible (frontier s) ==> measure (interior s) = measure s
% Assm: NEGLIGIBLE_CONVEX_FRONTIER: !s. convex s ==> negligible (frontier s)
% Assm: TRUTH: T
% Assm: VOLUME_CBALL: !z r. &0 <= r ==> vol (cball (z,r)) = &4 / &3 * pi * r pow 3
% Goal: !z r. &0 <= r ==> vol (ball (z,r)) = &4 / &3 * pi * r pow 3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. bounded (cball (x,e))
% Assm: !x e. convex (cball (x,e))
% Assm: !x e. interior (cball (x,e)) = ball (x,e)
% Assm: !s. bounded s /\ NULLSET (frontier s) ==> vol (interior s) = vol s
% Assm: !s. convex s ==> negligible (frontier s)
% Assm: T
% Assm: !z r. &0 <= r ==> vol (cball (z,r)) = &4 / &3 * pi * r pow 3
% Goal: !z r. &0 <= r ==> vol (ball (z,r)) = &4 / &3 * pi * r pow 3
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cfrontier0, type, frontier0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cfrontier, type, frontier : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinterior, type, interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccball, type, cball : (prodcartrealn3real > cartrealn3 > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnegligible0, type, negligible0 : ((cartrealn > $o) > $o)).
thf(cconvex0, type, convex0 : ((cartrealn > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn3 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CBALL, axiom, ![X:cartrealn3,E:real]:(bounded @ (cball @ (c_ @ X @ E)))).
thf(aCONVEXu_CBALL, axiom, ![X:cartrealn3,E:real]:(convex @ (cball @ (c_ @ X @ E)))).
thf(aINTERIORu_CBALL, axiom, ![X:cartrealn3,E:real]:((interior @ (cball @ (c_ @ X @ E))) = (ball @ (c_ @ X @ E)))).
thf(aMEASUREu_INTERIOR, axiom, ![S:(cartrealn3 > $o)]:(((bounded @ S) & (negligible @ (frontier @ S))) => ((measure @ (interior @ S)) = (measure @ S)))).
thf(aNEGLIGIBLEu_CONVEXu_FRONTIER, axiom, ![S:(cartrealn > $o)]:((convex0 @ S) => (negligible0 @ (frontier0 @ S)))).
thf(aTRUTH, axiom, $true).
thf(aVOLUMEu_CBALL, axiom, ![Z:cartrealn3,R:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) => ((measure @ (cball @ (c_ @ Z @ R))) = (realu_mul @ (realu_div @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ pi @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0))))))))).
thf(conjecture, conjecture, ![Z:cartrealn3,R:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) => ((measure @ (ball @ (c_ @ Z @ R))) = (realu_mul @ (realu_div @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ pi @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0))))))))).
