%   ORIGINAL: MEASURE_SCALE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_3: !P. (!i. 1 <= i /\ i <= 3 ==> P i) <=> P 1 /\ P 2 /\ P 3
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_MEASURE_MEASURE: !s. measurable s <=> s has_measure measure s
% Assm: HAS_MEASURE_STRETCH: !s m y. s has_measure y ==> IMAGE (\x. lambda k. m k * x$k) s has_measure abs (product (1..dimindex (:N)) m) * y
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MEASURE_UNIQUE: !s m. s has_measure m ==> measure s = m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PRODUCT_3: !t. product (1..3) t = t 1 * t 2 * t 3
% Assm: Sphere.scale: !t u. scale t u = vector [t$1 * u$1; t$2 * u$2; t$3 * u$3]
% Assm: TRUTH: T
% Assm: VECTOR_3_conjunct0: vector [x; y; z]$1 = x
% Assm: VECTOR_3_conjunct1: vector [x; y; z]$2 = y
% Assm: VECTOR_3_conjunct2: vector [x; y; z]$3 = z
% Assm: measurable: !s. measurable s <=> (?m. s has_measure m)
% Goal: !s. measurable s ==> measurable (IMAGE (scale t) s) /\ vol (IMAGE (scale t) s) = abs (t$1 * t$2 * t$3) * vol s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:3) ==> x$i = y$i)
% Assm: dimindex (:3) = 3
% Assm: !t. (\x. t x) = t
% Assm: !P. (!i. 1 <= i /\ i <= 3 ==> P i) <=> P 1 /\ P 2 /\ P 3
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !s. measurable s <=> s has_measure vol s
% Assm: !s m y. s has_measure y ==> IMAGE (\x. lambda k. m k * x$k) s has_measure abs (product (1..dimindex (:3)) m) * y
% Assm: !g i. 1 <= i /\ i <= dimindex (:3) ==> (lambda) g$i = g i
% Assm: !s m. s has_measure m ==> vol s = m
% Assm: ~F <=> T
% Assm: !t. product (1..3) t = t 1 * t 2 * t 3
% Assm: !t u. scale t u = vector [t$1 * u$1; t$2 * u$2; t$3 * u$3]
% Assm: T
% Assm: !y z x. vector [x; y; z]$1 = x
% Assm: !x z y. vector [x; y; z]$2 = y
% Assm: !x y z. vector [x; y; z]$3 = z
% Assm: !s. measurable s <=> (?m. s has_measure m)
% Goal: !t s. measurable s ==> measurable (IMAGE (scale t) s) /\ vol (IMAGE (scale t) s) = abs (t$1 * t$2 * t$3) * vol s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tlistreal, type, listreal : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvector, type, vector : (listreal > cartrealn3)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn3)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn3 > $o) > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(ccons, type, cons : (real > listreal > listreal)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cscale, type, scale : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cuniv, type, univ : (n3 > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cnil, type, nil : listreal).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn3,Y:cartrealn3]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDIMINDEXu_3, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_3, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ (bit1 @ u_0))))) => (P @ I)) <=> ((P @ (numeral @ (bit1 @ u_0))) & (P @ (numeral @ (bit0 @ (bit1 @ u_0)))) & (P @ (numeral @ (bit1 @ (bit1 @ u_0))))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_MEASUREu_MEASURE, axiom, ![S:(cartrealn3 > $o)]:((measurable @ S) <=> (hasu_measure @ S @ (measure @ S)))).
thf(aHASu_MEASUREu_STRETCH, axiom, ![S:(cartrealn3 > $o),M:(num > real),Y:real]:((hasu_measure @ S @ Y) => (hasu_measure @ (image @ ^[X:cartrealn3]:(lambda0 @ ^[K:num]:(realu_mul @ (M @ K) @ (d_ @ X @ K))) @ S) @ (realu_mul @ (realu_abs @ (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ M)) @ Y)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aMEASUREu_UNIQUE, axiom, ![S:(cartrealn3 > $o),M:real]:((hasu_measure @ S @ M) => ((measure @ S) = M))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPRODUCTu_3, axiom, ![T:(num > real)]:((product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ T) = (realu_mul @ (T @ (numeral @ (bit1 @ u_0))) @ (realu_mul @ (T @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (T @ (numeral @ (bit1 @ (bit1 @ u_0)))))))).
thf(aSphereo_scale, axiom, ![T:cartrealn3,U:cartrealn3]:((scale @ T @ U) = (vector @ (cons @ (realu_mul @ (d_ @ T @ (numeral @ (bit1 @ u_0))) @ (d_ @ U @ (numeral @ (bit1 @ u_0)))) @ (cons @ (realu_mul @ (d_ @ T @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ U @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (cons @ (realu_mul @ (d_ @ T @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ U @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ nil)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_3u_conjunct0, axiom, ![Y:real,Z:real,X:real]:((d_ @ (vector @ (cons @ X @ (cons @ Y @ (cons @ Z @ nil)))) @ (numeral @ (bit1 @ u_0))) = X)).
thf(aVECTORu_3u_conjunct1, axiom, ![X:real,Z:real,Y:real]:((d_ @ (vector @ (cons @ X @ (cons @ Y @ (cons @ Z @ nil)))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = Y)).
thf(aVECTORu_3u_conjunct2, axiom, ![X:real,Y:real,Z:real]:((d_ @ (vector @ (cons @ X @ (cons @ Y @ (cons @ Z @ nil)))) @ (numeral @ (bit1 @ (bit1 @ u_0)))) = Z)).
thf(ameasurable, axiom, ![S:(cartrealn3 > $o)]:((measurable @ S) <=> ?[M:real]:(hasu_measure @ S @ M))).
thf(conjecture, conjecture, ![T:cartrealn3,S:(cartrealn3 > $o)]:((measurable @ S) => ((measurable @ (image @ (scale @ T) @ S)) & ((measure @ (image @ (scale @ T) @ S)) = (realu_mul @ (realu_abs @ (realu_mul @ (d_ @ T @ (numeral @ (bit1 @ u_0))) @ (realu_mul @ (d_ @ T @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ T @ (numeral @ (bit1 @ (bit1 @ u_0))))))) @ (measure @ S)))))).
