%   ORIGINAL: BOUNDED_CONIC_CAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_BALL: !x e. bounded (ball (x,e))
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NORMBALL_BALL: !z r. normball z r = ball (z,r)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: conic_cap: !r v0 v1 a. conic_cap v0 v1 r a = normball v0 r INTER rcone_gt v0 v1 a
% Goal: !v0 v1 r a. bounded (conic_cap v0 v1 r a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. bounded (ball (x,e))
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !z r. normball z r = ball (z,r)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !r v0 v1 a. conic_cap v0 v1 r a = normball v0 r INTER rcone_gt v0 v1 a
% Goal: !v0 v1 r a. bounded (conic_cap v0 v1 r a)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq721339, type, cartrealq721339 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealq721339real, type, prodcartrealq721339real : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tq721339, type, q721339 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cball0, type, ball0 : (prodcartrealq721339real > cartrealq721339 > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(crconeuu_gt, type, rconeu_gt : (cartrealn3 > cartrealn3 > real > cartrealn3 > $o)).
thf(cnormball0, type, normball0 : (cartrealn3 > real > cartrealn3 > $o)).
thf(cinter0, type, inter0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : (cartrealq721339 > real > prodcartrealq721339real)).
thf(cnormball, type, normball : (cartrealq721339 > real > cartrealq721339 > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(cconicuu_cap, type, conicu_cap : (cartrealn3 > cartrealn3 > real > real > cartrealn3 > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_BALL, axiom, ![X:cartrealn3,E:real]:(bounded @ (ball @ (c_ @ X @ E)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNORMBALLu_BALL, axiom, ![Z:cartrealq721339,R:real]:((normball @ Z @ R) = (ball0 @ (c_0 @ Z @ R)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aconicu_cap, axiom, ![R:real,V0:cartrealn3,V1:cartrealn3,A:real]:((conicu_cap @ V0 @ V1 @ R @ A) = (inter0 @ (normball0 @ V0 @ R) @ (rconeu_gt @ V0 @ V1 @ A)))).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,R:real,A:real]:(bounded @ (conicu_cap @ V0 @ V1 @ R @ A))).
