%   ORIGINAL: VOLUME_CONIC_CAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VOLUME_CONIC_CAP_STRONG: !v0 v1 r a. &0 < a ==> bounded (conic_cap v0 v1 r a) /\ convex (conic_cap v0 v1 r a) /\ measurable (conic_cap v0 v1 r a) /\ vol (conic_cap v0 v1 r a) = (if v1 = v0 \/ &1 <= a \/ r < &0 then &0 else &2 / &3 * pi * (&1 - a) * r pow 3)
% Goal: !v0 v1 r a. &0 < a ==> measurable (conic_cap v0 v1 r a) /\ vol (conic_cap v0 v1 r a) = (if v1 = v0 \/ &1 <= a \/ r < &0 then &0 else &2 / &3 * pi * (&1 - a) * r pow 3)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !v0 v1 r a. &0 < a ==> bounded (conic_cap v0 v1 r a) /\ convex (conic_cap v0 v1 r a) /\ measurable (conic_cap v0 v1 r a) /\ vol (conic_cap v0 v1 r a) = (if v1 = v0 \/ &1 <= a \/ r < &0 then &0 else &2 / &3 * pi * (&1 - a) * r pow 3)
% Goal: !v0 v1 r a. &0 < a ==> measurable (conic_cap v0 v1 r a) /\ vol (conic_cap v0 v1 r a) = (if v1 = v0 \/ &1 <= a \/ r < &0 then &0 else &2 / &3 * pi * (&1 - a) * r pow 3)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cconicuu_cap, type, conicu_cap : (cartrealn3 > cartrealn3 > real > real > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVOLUMEu_CONICu_CAPu_STRONG, axiom, ![V0:cartrealn3,V1:cartrealn3,R:real,A:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) => ((bounded @ (conicu_cap @ V0 @ V1 @ R @ A)) & (convex @ (conicu_cap @ V0 @ V1 @ R @ A)) & (measurable @ (conicu_cap @ V0 @ V1 @ R @ A)) & ((measure @ (conicu_cap @ V0 @ V1 @ R @ A)) = (cond @ ((V1 = V0) | (realu_le @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ A) | (realu_lt @ R @ (realu_ofu_num @ (numeral @ u_0)))) @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ (realu_div @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ pi @ (realu_mul @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ A) @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0)))))))))))).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,R:real,A:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) => ((measurable @ (conicu_cap @ V0 @ V1 @ R @ A)) & ((measure @ (conicu_cap @ V0 @ V1 @ R @ A)) = (cond @ ((V1 = V0) | (realu_le @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ A) | (realu_lt @ R @ (realu_ofu_num @ (numeral @ u_0)))) @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ (realu_div @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ pi @ (realu_mul @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ A) @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0)))))))))))).
