%   ORIGINAL: MEASURABLE_CLOSED_SECTOR_LTE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: MEASURABLE_CLOSED_SECTOR_LE: !r t. measurable {z | norm z <= r /\ Arg z <= t}
% Assm: MEASURABLE_DIFF: !s t. measurable s /\ measurable t ==> measurable (s DIFF t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: TRUTH: T
% Goal: !r s t. measurable {z | norm z <= r /\ s < Arg z /\ Arg z <= t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !r t. measurable {z | norm z <= r /\ Arg z <= t}
% Assm: !s t. measurable s /\ measurable t ==> measurable (s DIFF t)
% Assm: ~F <=> T
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: T
% Goal: !r s t. measurable {z | norm z <= r /\ s < Arg z /\ Arg z <= t}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cdiff0, type, diff0 : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cmeasurable, type, measurable : ((cartrealn2 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn2 > $o),X:cartrealn2]:((in0 @ X @ (gspec @ ^[V:cartrealn2]:?[Y:cartrealn2]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aMEASURABLEu_CLOSEDu_SECTORu_LE, axiom, ![R:real,T:real]:(measurable @ (gspec @ ^[GENR_PVARR_2617:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2617 @ ((realu_le @ (vectoru_norm @ Z) @ R) & (realu_le @ (arg @ Z) @ T)) @ Z)))).
thf(aMEASURABLEu_DIFF, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (diff0 @ S @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:real,S:real,T:real]:(measurable @ (gspec @ ^[GENR_PVARR_2624:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2624 @ ((realu_le @ (vectoru_norm @ Z) @ R) & (realu_lt @ S @ (arg @ Z)) & (realu_le @ (arg @ Z) @ T)) @ Z)))).
