%   ORIGINAL: MEASURE_OPEN_SECTOR_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_MEASURE_MEASURABLE_MEASURE: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: HAS_MEASURE_OPEN_SECTOR_LT: !t r. &0 <= t /\ t <= &2 * pi ==> {x | norm x < r /\ &0 < Arg x /\ Arg x < t} has_measure (if &0 <= r then t * r pow 2 / &2 else &0)
% Assm: TRUTH: T
% Goal: !t r. &0 <= t /\ t <= &2 * pi ==> measure {x | norm x < r /\ &0 < Arg x /\ Arg x < t} = (if &0 <= r then t * r pow 2 / &2 else &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: !t r. &0 <= t /\ t <= &2 * pi ==> {x | norm x < r /\ &0 < Arg x /\ Arg x < t} has_measure (if &0 <= r then t * r pow 2 / &2 else &0)
% Assm: T
% Goal: !t r. &0 <= t /\ t <= &2 * pi ==> measure {x | norm x < r /\ &0 < Arg x /\ Arg x < t} = (if &0 <= r then t * r pow 2 / &2 else &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealn2 > $o) > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cmeasure, type, measure : ((cartrealn2 > $o) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(ccond, type, cond : ($o > real > real > real)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmeasurable, type, measurable : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_MEASUREu_MEASURABLEu_MEASURE, axiom, ![S:(cartrealn2 > $o),M:real]:((hasu_measure @ S @ M) <=> ((measurable @ S) & ((measure @ S) = M)))).
thf(aHASu_MEASUREu_OPENu_SECTORu_LT, axiom, ![T:real,R:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_le @ T @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi))) => (hasu_measure @ (gspec @ ^[GENR_PVARR_2642:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_2642 @ ((realu_lt @ (vectoru_norm @ X) @ R) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (arg @ X)) & (realu_lt @ (arg @ X) @ T)) @ X)) @ (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) @ (realu_mul @ T @ (realu_div @ (realu_pow @ R @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![T:real,R:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_le @ T @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi))) => ((measure @ (gspec @ ^[GENR_PVARR_2643:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_2643 @ ((realu_lt @ (vectoru_norm @ X) @ R) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (arg @ X)) & (realu_lt @ (arg @ X) @ T)) @ X))) = (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) @ (realu_mul @ T @ (realu_div @ (realu_pow @ R @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_ofu_num @ (numeral @ u_0)))))).
