%   ORIGINAL: MEASURABLE_BALL_WEDGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_BALL: !x e. bounded (ball (x,e))
% Assm: BOUNDED_INTER: !s t. bounded s \/ bounded t ==> bounded (s INTER t)
% Assm: MEASURABLE_OPEN: !s. bounded s /\ open s ==> measurable s
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: OPEN_INTER: !s t. open s /\ open t ==> open (s INTER t)
% Assm: OPEN_WEDGE: !z w w1 w2. open (wedge z w w1 w2)
% Assm: TRUTH: T
% Goal: !z w w1 w2. measurable (ball (z,r) INTER wedge z w w1 w2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. bounded (ball (x,e))
% Assm: !s t. bounded s \/ bounded t ==> bounded (s INTER t)
% Assm: !s. bounded s /\ open s ==> measurable s
% Assm: !x e. open (ball (x,e))
% Assm: !s t. open s /\ open t ==> open (s INTER t)
% Assm: !z w w1 w2. open (wedge z w w1 w2)
% Assm: T
% Goal: !r z w w1 w2. measurable (ball (z,r) INTER wedge z w w1 w2)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(cwedge, type, wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(copen, type, open : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_BALL, axiom, ![X:cartrealn3,E:real]:(bounded @ (ball @ (c_ @ X @ E)))).
thf(aBOUNDEDu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((bounded @ S) | (bounded @ T)) => (bounded @ (inter @ S @ T)))).
thf(aMEASURABLEu_OPEN, axiom, ![S:(cartrealn3 > $o)]:(((bounded @ S) & (open @ S)) => (measurable @ S))).
thf(aOPENu_BALL, axiom, ![X:cartrealn3,E:real]:(open @ (ball @ (c_ @ X @ E)))).
thf(aOPENu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((open @ S) & (open @ T)) => (open @ (inter @ S @ T)))).
thf(aOPENu_WEDGE, axiom, ![Z:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:(open @ (wedge @ Z @ W @ W1 @ W2))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:real,Z:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:(measurable @ (inter @ (ball @ (c_ @ Z @ R)) @ (wedge @ Z @ W @ W1 @ W2)))).
