%   ORIGINAL: MEASURE_LUNE_DECOMPOSITION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COPLANAR_3: !a b c. coplanar {a, b, c}
% Assm: HAS_MEASURE_LUNE_SIMPLE: !z w r w1 w2. &0 <= r /\ ~coplanar {z, w, w1, w2} ==> ball (z,r) INTER aff_gt {z, w} {w1, w2} has_measure dihV z w w1 w2 * &2 * r pow 3 / &3
% Assm: HAS_MEASURE_MEASURABLE_MEASURE: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: INSERT_AC_conjunct0: x INSERT y INSERT s = y INSERT x INSERT s
% Assm: INSERT_AC_conjunct1: x INSERT x INSERT s = x INSERT s
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: MEASURE_BALL_AFF_GT_SHUFFLE: !r s t v. &0 <= r /\ ~(v IN s UNION t) /\ independent (v INSERT (s UNION t)) ==> measure (ball (vec 0,r) INTER aff_gt (vec 0 INSERT v INSERT s) t) = measure (ball (vec 0,r) INTER aff_gt (vec 0 INSERT s) (v INSERT t)) + measure (ball (vec 0,r) INTER aff_gt (vec 0 INSERT s) (--v INSERT t))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: Trigonometry2.NOT_COPLANAR_0_4_IMP_INDEPENDENT: !v1 v2 v3. ~coplanar {vec 0, v1, v2, v3} ==> independent {v1, v2, v3}
% Assm: UNION_EMPTY_conjunct0: !s. {} UNION s = s
% Goal: !v1 v2 v3. &0 <= r /\ ~coplanar {vec 0, v1, v2, v3} ==> vol (ball (vec 0,r) INTER aff_gt {vec 0} {v1, v2, v3}) + vol (ball (vec 0,r) INTER aff_gt {vec 0} {--v1, v2, v3}) = dihV (vec 0) v1 v2 v3 * &2 * r pow 3 / &3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b c. coplanar {a, b, c}
% Assm: !z w r w1 w2. &0 <= r /\ ~coplanar {z, w, w1, w2} ==> ball (z,r) INTER aff_gt {z, w} {w1, w2} has_measure dihV z w w1 w2 * &2 * r pow 3 / &3
% Assm: !s m. s has_measure m <=> measurable s /\ vol s = m
% Assm: !y x s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !x s. x INSERT x INSERT s = x INSERT s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !r s t v. &0 <= r /\ ~(v IN s UNION t) /\ independent (v INSERT (s UNION t)) ==> vol (ball (vec 0,r) INTER aff_gt (vec 0 INSERT v INSERT s) t) = vol (ball (vec 0,r) INTER aff_gt (vec 0 INSERT s) (v INSERT t)) + vol (ball (vec 0,r) INTER aff_gt (vec 0 INSERT s) (--v INSERT t))
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !v1 v2 v3. ~coplanar {vec 0, v1, v2, v3} ==> independent {v1, v2, v3}
% Assm: !s. {} UNION s = s
% Goal: !r v1 v2 v3. &0 <= r /\ ~coplanar {vec 0, v1, v2, v3} ==> vol (ball (vec 0,r) INTER aff_gt {vec 0} {v1, v2, v3}) + vol (ball (vec 0,r) INTER aff_gt {vec 0} {--v1, v2, v3}) = dihV (vec 0) v1 v2 v3 * &2 * r pow 3 / &3
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn3 > $o) > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn3 > cartrealn3)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdihv, type, dihv : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cindependent, type, independent : ((cartrealn3 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOPLANARu_3, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3]:(coplanar @ (insert @ A @ (insert @ B @ (insert @ C @ empty))))).
thf(aHASu_MEASUREu_LUNEu_SIMPLE, axiom, ![Z:cartrealn3,W:cartrealn3,R:real,W1:cartrealn3,W2:cartrealn3]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ~ ((coplanar @ (insert @ Z @ (insert @ W @ (insert @ W1 @ (insert @ W2 @ empty))))))) => (hasu_measure @ (inter @ (ball @ (c_ @ Z @ R)) @ (affu_gt @ (insert @ Z @ (insert @ W @ empty)) @ (insert @ W1 @ (insert @ W2 @ empty)))) @ (realu_mul @ (dihv @ Z @ W @ W1 @ W2) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_div @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0)))))))))).
thf(aHASu_MEASUREu_MEASURABLEu_MEASURE, axiom, ![S:(cartrealn3 > $o),M:real]:((hasu_measure @ S @ M) <=> ((measurable @ S) & ((measure @ S) = M)))).
thf(aINSERTu_ACu_conjunct0, axiom, ![Y:cartrealn3,X:cartrealn3,S:(cartrealn3 > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINSERTu_ACu_conjunct1, axiom, ![X:cartrealn3,S:(cartrealn3 > $o)]:((insert @ X @ (insert @ X @ S)) = (insert @ X @ S))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aMEASUREu_BALLu_AFFu_GTu_SHUFFLE, axiom, ![R:real,S:(cartrealn3 > $o),T:(cartrealn3 > $o),V:cartrealn3]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ~ ((in @ V @ (union @ S @ T))) & (independent @ (insert @ V @ (union @ S @ T)))) => ((measure @ (inter @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ R)) @ (affu_gt @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V @ S)) @ T))) = (realu_add @ (measure @ (inter @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ R)) @ (affu_gt @ (insert @ (vec @ (numeral @ u_0)) @ S) @ (insert @ V @ T)))) @ (measure @ (inter @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ R)) @ (affu_gt @ (insert @ (vec @ (numeral @ u_0)) @ S) @ (insert @ (vectoru_neg @ V) @ T)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_NOTu_COPLANARu_0u_4u_IMPu_INDEPENDENT, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:(~ ((coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))))) => (independent @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))))).
thf(aUNIONu_EMPTYu_conjunct0, axiom, ![S:(cartrealn3 > $o)]:((union @ empty @ S) = S)).
thf(conjecture, conjecture, ![R:real,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ~ ((coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))))) => ((realu_add @ (measure @ (inter @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ R)) @ (affu_gt @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))))) @ (measure @ (inter @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ R)) @ (affu_gt @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ (insert @ (vectoru_neg @ V1) @ (insert @ V2 @ (insert @ V3 @ empty))))))) = (realu_mul @ (dihv @ (vec @ (numeral @ u_0)) @ V1 @ V2 @ V3) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_div @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0)))))))))).
