%   ORIGINAL: MEASURABLE_BOUNDED_INTER_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_INTER: !s t. bounded s \/ bounded t ==> bounded (s INTER t)
% Assm: BOUNDED_INTERVAL_conjunct1: !a b. bounded (interval (a,b))
% Assm: BOUNDED_SUBSET_OPEN_INTERVAL: !s. bounded s ==> (?a b. s SUBSET interval (a,b))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: MEASURABLE_INTER: !s t. measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: MEASURABLE_OPEN: !s. bounded s /\ open s ==> measurable s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_INTER: !s t. open s /\ open t ==> open (s INTER t)
% Assm: OPEN_INTERVAL: !a b. open (interval (a,b))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. measurable s /\ bounded s /\ open t ==> measurable (s INTER t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. bounded s \/ bounded t ==> bounded (s INTER t)
% Assm: !a b. bounded (interval (a,b))
% Assm: !s. bounded s ==> (?a b. s SUBSET interval (a,b))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t. measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: !s. bounded s /\ open s ==> measurable s
% Assm: ~F <=> T
% Assm: !s t. open s /\ open t ==> open (s INTER t)
% Assm: !a b. open (interval (a,b))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. measurable s /\ bounded s /\ open t ==> measurable (s INTER t)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((bounded @ S) | (bounded @ T)) => (bounded @ (inter @ S @ T)))).
thf(aBOUNDEDu_INTERVALu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:(bounded @ (openu_interval @ (c_ @ A @ B)))).
thf(aBOUNDEDu_SUBSETu_OPENu_INTERVAL, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => ?[A:cartrealn,B:cartrealn]:(subset @ S @ (openu_interval @ (c_ @ A @ B))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aMEASURABLEu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (inter @ S @ T)))).
thf(aMEASURABLEu_OPEN, axiom, ![S:(cartrealn > $o)]:(((bounded @ S) & (open @ S)) => (measurable @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((open @ S) & (open @ T)) => (open @ (inter @ S @ T)))).
thf(aOPENu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:(open @ (openu_interval @ (c_ @ A @ B)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable @ S) & (bounded @ S) & (open @ T)) => (measurable @ (inter @ S @ T)))).
