%   ORIGINAL: SLICE_SPECIAL_WEDGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARG_0: Arg (Cx (&0)) = &0
% Assm: AZIM_ARG: !x y. azim (vec 0) (basis 3) x y = Arg (dropout 3 y / dropout 3 x)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_BASIS_3: collinear {vec 0, basis 3, x} <=> dropout 3 x = vec 0
% Assm: COMPLEX_MUL_LZERO: !x. Cx (&0) * x = Cx (&0)
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_REFL: !x. ~(x < x)
% Assm: SLICE_DROPOUT_3: !P t. slice 3 t {x | P (dropout 3 x)} = {x | P x}
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Assm: wedge: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !w1 w2. ~collinear {vec 0, basis 3, w1} /\ ~collinear {vec 0, basis 3, w2} ==> slice 3 t (wedge (vec 0) (basis 3) w1 w2) = {z | &0 < Arg (z / dropout 3 w1) /\ Arg (z / dropout 3 w1) < Arg (dropout 3 w2 / dropout 3 w1)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: Arg (Cx (&0)) = &0
% Assm: !x y. azim (vec 0) (basis 3) x y = Arg (dropout 3 y / dropout 3 x)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. collinear {vec 0, basis 3, x} <=> dropout 3 x = vec 0
% Assm: !x. Cx (&0) * x = Cx (&0)
% Assm: vec 0 = Cx (&0)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !x. ~(x < x)
% Assm: !P t. slice 3 t {x | P (dropout 3 x)} = {x | P x}
% Assm: T
% Assm: !w z. w / z = w * inv z
% Assm: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !t w1 w2. ~collinear {vec 0, basis 3, w1} /\ ~collinear {vec 0, basis 3, w2} ==> slice 3 t (wedge (vec 0) (basis 3) w1 w2) = {z | &0 < Arg (z / dropout 3 w1) /\ Arg (z / dropout 3 w1) < Arg (dropout 3 w2 / dropout 3 w1)}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cvec0, type, vec0 : (num > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cbasis, type, basis : (num > cartrealn3)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cdropout, type, dropout : (num > cartrealn3 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cwedge, type, wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cslice, type, slice : (num > real > (cartrealn3 > $o) > cartrealn2 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2 > $o),G:(a > cartrealn2 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARGu_0, axiom, ((arg @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aAZIMu_ARG, axiom, ![X:cartrealn3,Y:cartrealn3]:((azim @ (vec @ (numeral @ u_0)) @ (basis @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ X @ Y) = (arg @ (complexu_div @ (dropout @ (numeral @ (bit1 @ (bit1 @ u_0))) @ Y) @ (dropout @ (numeral @ (bit1 @ (bit1 @ u_0))) @ X))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_BASISu_3, axiom, ![X:cartrealn3]:((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (basis @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (insert @ X @ empty)))) <=> ((dropout @ (numeral @ (bit1 @ (bit1 @ u_0))) @ X) = (vec0 @ (numeral @ u_0))))).
thf(aCOMPLEXu_MULu_LZERO, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPLEXu_VECu_0, axiom, ((vec0 @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aEXTENSION, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:((S = T) <=> ![X:cartrealn2]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn2 > $o),X:cartrealn2]:((in @ X @ (gspec @ ^[V:cartrealn2]:?[Y:cartrealn2]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_REFL, axiom, ![X:real]:~ ((realu_lt @ X @ X))).
thf(aSLICEu_DROPOUTu_3, axiom, ![P:(cartrealn2 > $o),T:real]:((slice @ (numeral @ (bit1 @ (bit1 @ u_0))) @ T @ (gspec0 @ ^[GENR_PVARR_2525:cartrealn3]:?[X:cartrealn3]:(setspec0 @ GENR_PVARR_2525 @ (P @ (dropout @ (numeral @ (bit1 @ (bit1 @ u_0))) @ X)) @ X))) = (gspec @ ^[GENR_PVARR_2526:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_2526 @ (P @ X) @ X)))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(awedge, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((wedge @ V0 @ V1 @ W1 @ W2) = (gspec0 @ ^[GENR_PVARR_2569:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ GENR_PVARR_2569 @ (~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ Y @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ Y)) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ Y) @ (azim @ V0 @ V1 @ W1 @ W2))) @ Y)))).
thf(conjecture, conjecture, ![T:real,W1:cartrealn3,W2:cartrealn3]:((~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (basis @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (basis @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (insert @ W2 @ empty)))))) => ((slice @ (numeral @ (bit1 @ (bit1 @ u_0))) @ T @ (wedge @ (vec @ (numeral @ u_0)) @ (basis @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ W1 @ W2)) = (gspec @ ^[GENR_PVARR_2645:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2645 @ ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (arg @ (complexu_div @ Z @ (dropout @ (numeral @ (bit1 @ (bit1 @ u_0))) @ W1)))) & (realu_lt @ (arg @ (complexu_div @ Z @ (dropout @ (numeral @ (bit1 @ (bit1 @ u_0))) @ W1))) @ (arg @ (complexu_div @ (dropout @ (numeral @ (bit1 @ (bit1 @ u_0))) @ W2) @ (dropout @ (numeral @ (bit1 @ (bit1 @ u_0))) @ W1))))) @ Z))))).
