%   ORIGINAL: MEASURABLE_CONIC_CAP_WEDGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CONIC_CAP: !v0 v1 r a. bounded (conic_cap v0 v1 r a)
% Assm: MEASURABLE_BOUNDED_INTER_OPEN: !s t. measurable s /\ bounded s /\ open t ==> measurable (s INTER t)
% Assm: MEASURABLE_CONIC_CAP: !v0 v1 r a. measurable (conic_cap v0 v1 r a)
% Assm: OPEN_WEDGE: !z w w1 w2. open (wedge z w w1 w2)
% Assm: TRUTH: T
% Goal: !v0 v1 w1 w2 r a. measurable (conic_cap v0 v1 r a INTER wedge v0 v1 w1 w2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !v0 v1 r a. bounded (conic_cap v0 v1 r a)
% Assm: !s t. measurable s /\ bounded s /\ open t ==> measurable (s INTER t)
% Assm: !v0 v1 r a. measurable (conic_cap v0 v1 r a)
% Assm: !z w w1 w2. open (wedge z w w1 w2)
% Assm: T
% Goal: !v0 v1 w1 w2 r a. measurable (conic_cap v0 v1 r a INTER wedge v0 v1 w1 w2)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cwedge, type, wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cconicuu_cap, type, conicu_cap : (cartrealn3 > cartrealn3 > real > real > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(copen, type, open : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CONICu_CAP, axiom, ![V0:cartrealn3,V1:cartrealn3,R:real,A:real]:(bounded @ (conicu_cap @ V0 @ V1 @ R @ A))).
thf(aMEASURABLEu_BOUNDEDu_INTERu_OPEN, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((measurable @ S) & (bounded @ S) & (open @ T)) => (measurable @ (inter @ S @ T)))).
thf(aMEASURABLEu_CONICu_CAP, axiom, ![V0:cartrealn3,V1:cartrealn3,R:real,A:real]:(measurable @ (conicu_cap @ V0 @ V1 @ R @ A))).
thf(aOPENu_WEDGE, axiom, ![Z:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:(open @ (wedge @ Z @ W @ W1 @ W2))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3,R:real,A:real]:(measurable @ (inter @ (conicu_cap @ V0 @ V1 @ R @ A) @ (wedge @ V0 @ V1 @ W1 @ W2)))).
