%   ORIGINAL: MEASURABLE_RULES_conjunct2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: FORALL_3: !P. (!i. 1 <= i /\ i <= 3 ==> P i) <=> P 1 /\ P 2 /\ P 3
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_MEASURE_MEASURABLE_MEASURE: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: HAS_MEASURE_MEASURE: !s. measurable s <=> s has_measure measure s
% Assm: HAS_MEASURE_STRETCH: !s m y. s has_measure y ==> IMAGE (\x. lambda k. m k * x$k) s has_measure abs (product (1..dimindex (:N)) m) * y
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: Sphere.scale: !t u. scale t u = vector [t$1 * u$1; t$2 * u$2; t$3 * u$3]
% Assm: TRUTH: T
% Assm: VECTOR_3_conjunct0: vector [x; y; z]$1 = x
% Assm: VECTOR_3_conjunct1: vector [x; y; z]$2 = y
% Assm: VECTOR_3_conjunct2: vector [x; y; z]$3 = z
% Goal: !X t. measurable X ==> measurable (IMAGE (scale t) X)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: dimindex (:3) = 3
% Assm: !P. (!i. 1 <= i /\ i <= 3 ==> P i) <=> P 1 /\ P 2 /\ P 3
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !s m. s has_measure m <=> measurable s /\ vol s = m
% Assm: !s. measurable s <=> s has_measure vol s
% Assm: !s m y. s has_measure y ==> IMAGE (\x. lambda k. m k * x$k) s has_measure abs (product (1..dimindex (:3)) m) * y
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !t u. scale t u = vector [t$1 * u$1; t$2 * u$2; t$3 * u$3]
% Assm: T
% Assm: !y z x. vector [x; y; z]$1 = x
% Assm: !x z y. vector [x; y; z]$2 = y
% Assm: !x y z. vector [x; y; z]$3 = z
% Goal: !X t. measurable X ==> measurable (IMAGE (scale t) X)
%  TYPES
thf(tnum, type, num : $tType).
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tcartan3, type, cartan3 : $tType).
thf(tlistreal, type, listreal : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartab, type, cartab : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cvector0, type, vector0 : (lista > cartan3)).
thf(cvector, type, vector : (listreal > cartrealn3)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cdu_0, type, d_0 : (cartrealn3 > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn3)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn3 > $o) > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_1, type, d_1 : (cartan3 > num > a)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(clambda1, type, lambda1 : ((num > a) > cartab)).
thf(ccons0, type, cons0 : (a > lista > lista)).
thf(ccons, type, cons : (real > listreal > listreal)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cscale, type, scale : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cuniv0, type, univ0 : (n3 > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((n3 > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cnil, type, nil : listreal).
thf(cuu_0, type, u_0 : num).
thf(cnil0, type, nil0 : lista).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDIMINDEXu_3, axiom, ((dimindex0 @ univ0) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aFORALLu_3, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ (bit1 @ u_0))))) => (P @ I)) <=> ((P @ (numeral @ (bit1 @ u_0))) & (P @ (numeral @ (bit0 @ (bit1 @ u_0)))) & (P @ (numeral @ (bit1 @ (bit1 @ u_0))))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_MEASUREu_MEASURABLEu_MEASURE, axiom, ![S:(cartrealn3 > $o),M:real]:((hasu_measure @ S @ M) <=> ((measurable @ S) & ((measure @ S) = M)))).
thf(aHASu_MEASUREu_MEASURE, axiom, ![S:(cartrealn3 > $o)]:((measurable @ S) <=> (hasu_measure @ S @ (measure @ S)))).
thf(aHASu_MEASUREu_STRETCH, axiom, ![S:(cartrealn3 > $o),M:(num > real),Y:real]:((hasu_measure @ S @ Y) => (hasu_measure @ (image @ ^[X:cartrealn3]:(lambda0 @ ^[K:num]:(realu_mul @ (M @ K) @ (d_0 @ X @ K))) @ S) @ (realu_mul @ (realu_abs @ (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ M)) @ Y)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aSphereo_scale, axiom, ![T:cartrealn3,U:cartrealn3]:((scale @ T @ U) = (vector @ (cons @ (realu_mul @ (d_0 @ T @ (numeral @ (bit1 @ u_0))) @ (d_0 @ U @ (numeral @ (bit1 @ u_0)))) @ (cons @ (realu_mul @ (d_0 @ T @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_0 @ U @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (cons @ (realu_mul @ (d_0 @ T @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_0 @ U @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ nil)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_3u_conjunct0, axiom, ![Y:a,Z:a,X:a]:((d_1 @ (vector0 @ (cons0 @ X @ (cons0 @ Y @ (cons0 @ Z @ nil0)))) @ (numeral @ (bit1 @ u_0))) = X)).
thf(aVECTORu_3u_conjunct1, axiom, ![X:a,Z:a,Y:a]:((d_1 @ (vector0 @ (cons0 @ X @ (cons0 @ Y @ (cons0 @ Z @ nil0)))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = Y)).
thf(aVECTORu_3u_conjunct2, axiom, ![X:a,Y:a,Z:a]:((d_1 @ (vector0 @ (cons0 @ X @ (cons0 @ Y @ (cons0 @ Z @ nil0)))) @ (numeral @ (bit1 @ (bit1 @ u_0)))) = Z)).
thf(conjecture, conjecture, ![X:(cartrealn3 > $o),T:cartrealn3]:((measurable @ X) => (measurable @ (image @ (scale @ T) @ X)))).
