%   ORIGINAL: MEASURABLE_RULES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_MEASURE_0: !s. s has_measure &0 <=> negligible s
% Assm: HAS_MEASURE_MEASURABLE_MEASURE: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: MEASURABLE_DIFF: !s t. measurable s /\ measurable t ==> measurable (s DIFF t)
% Assm: MEASURABLE_INTER: !s t. measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: MEASURABLE_RULES_conjunct0: !C. primitive C ==> measurable C
% Assm: MEASURABLE_RULES_conjunct2: !X t. measurable X ==> measurable (IMAGE (scale t) X)
% Assm: MEASURABLE_TRANSLATION: !s a. measurable s ==> measurable (IMAGE (\x. a + x) s)
% Assm: MEASURABLE_UNION: !s t. measurable s /\ measurable t ==> measurable (s UNION t)
% Assm: TRUTH: T
% Goal: (!C. primitive C ==> measurable C) /\ (!Z. NULLSET Z ==> measurable Z) /\ (!X t. measurable X ==> measurable (IMAGE (scale t) X)) /\ (!X v. measurable X ==> measurable (IMAGE ((+) v) X)) /\ (!s t. measurable s /\ measurable t ==> measurable (s UNION t)) /\ (!s t. measurable s /\ measurable t ==> measurable (s INTER t)) /\ (!s t. measurable s /\ measurable t ==> measurable (s DIFF t))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !s. s has_measure &0 <=> NULLSET s
% Assm: !s m. s has_measure m <=> measurable s /\ vol s = m
% Assm: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: !s t. measurable s /\ measurable t ==> measurable (s DIFF t)
% Assm: !s t. measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: !C. primitive C ==> measurable C
% Assm: !X t. measurable X ==> measurable (IMAGE (scale t) X)
% Assm: !s a. measurable s ==> measurable (IMAGE (\x. a + x) s)
% Assm: !s t. measurable s /\ measurable t ==> measurable (s UNION t)
% Assm: T
% Goal: (!C. primitive C ==> measurable C) /\ (!Z. NULLSET Z ==> measurable Z) /\ (!X t. measurable X ==> measurable (IMAGE (scale t) X)) /\ (!X v. measurable X ==> measurable (IMAGE ((+) v) X)) /\ (!s t. measurable s /\ measurable t ==> measurable (s UNION t)) /\ (!s t. measurable s /\ measurable t ==> measurable (s INTER t)) /\ (!s t. measurable s /\ measurable t ==> measurable (s DIFF t))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq732253, type, cartrealq732253 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tq732253, type, q732253 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cmeasure0, type, measure0 : ((cartrealq732253 > $o) > real)).
thf(chasuu_measure0, type, hasu_measure0 : ((cartrealq732253 > $o) > real > $o)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn3 > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdiff, type, diff : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq732253 > cartrealq732253 > cartrealq732253)).
thf(cimage0, type, image0 : ((cartrealq732253 > cartrealq732253) > (cartrealq732253 > $o) > cartrealq732253 > $o)).
thf(cscale, type, scale : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cmeasurable0, type, measurable0 : ((cartrealq732253 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn3 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cprimitive, type, primitive : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_MEASUREu_0, axiom, ![S:(cartrealn3 > $o)]:((hasu_measure @ S @ (realu_ofu_num @ (numeral @ u_0))) <=> (negligible @ S))).
thf(aHASu_MEASUREu_MEASURABLEu_MEASUREu_monomorphized1, axiom, ![S:(cartrealn3 > $o),M:real]:((hasu_measure @ S @ M) <=> ((measurable @ S) & ((measure @ S) = M)))).
thf(aHASu_MEASUREu_MEASURABLEu_MEASUREu_monomorphized0, axiom, ![S:(cartrealq732253 > $o),M:real]:((hasu_measure0 @ S @ M) <=> ((measurable0 @ S) & ((measure0 @ S) = M)))).
thf(aMEASURABLEu_DIFF, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (diff @ S @ T)))).
thf(aMEASURABLEu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (inter @ S @ T)))).
thf(aMEASURABLEu_RULESu_conjunct0, axiom, ![C:(cartrealn3 > $o)]:((primitive @ C) => (measurable @ C))).
thf(aMEASURABLEu_RULESu_conjunct2, axiom, ![X:(cartrealn3 > $o),T:cartrealn3]:((measurable @ X) => (measurable @ (image @ (scale @ T) @ X)))).
thf(aMEASURABLEu_TRANSLATION, axiom, ![S:(cartrealq732253 > $o),A:cartrealq732253]:((measurable0 @ S) => (measurable0 @ (image0 @ ^[X:cartrealq732253]:(vectoru_add @ A @ X) @ S)))).
thf(aMEASURABLEu_UNION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (union @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (![C:(cartrealn3 > $o)]:((primitive @ C) => (measurable @ C)) & ![Z:(cartrealn3 > $o)]:((negligible @ Z) => (measurable @ Z)) & ![X:(cartrealn3 > $o),T:cartrealn3]:((measurable @ X) => (measurable @ (image @ (scale @ T) @ X))) & ![X:(cartrealq732253 > $o),V:cartrealq732253]:((measurable0 @ X) => (measurable0 @ (image0 @ (vectoru_add @ V) @ X))) & ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (union @ S @ T))) & ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (inter @ S @ T))) & ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (diff @ S @ T))))).
