%   ORIGINAL: volume_props_conjunct2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEASURE_NEGLIGIBLE_SYMDIFF: !s t. negligible (s DIFF t UNION t DIFF s) ==> measure s = measure t
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: SDIFF: !Y X. SDIFF X Y = X DIFF Y UNION Y DIFF X
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !X Y. measurable X /\ measurable Y /\ NULLSET (SDIFF X Y) ==> vol X = vol Y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. NULLSET (s DIFF t UNION t DIFF s) ==> vol s = vol t
% Assm: !s t. NULLSET s /\ t SUBSET s ==> NULLSET t
% Assm: !Y X. SDIFF X Y = X DIFF Y UNION Y DIFF X
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !X Y. measurable X /\ measurable Y /\ NULLSET (SDIFF X Y) ==> vol X = vol Y
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(cdiff, type, diff : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csdiff, type, sdiff : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cnegligible, type, negligible : ((cartrealn3 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEASUREu_NEGLIGIBLEu_SYMDIFF, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((negligible @ (union @ (diff @ S @ T) @ (diff @ T @ S))) => ((measure @ S) = (measure @ T)))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((negligible @ S) & (subset @ T @ S)) => (negligible @ T))).
thf(aSDIFF, axiom, ![Y:(cartrealn3 > $o),X:(cartrealn3 > $o)]:((sdiff @ X @ Y) = (union @ (diff @ X @ Y) @ (diff @ Y @ X)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:(cartrealn3 > $o),Y:(cartrealn3 > $o)]:(((measurable @ X) & (measurable @ Y) & (negligible @ (sdiff @ X @ Y))) => ((measure @ X) = (measure @ Y)))).
