%   ORIGINAL: volume_props_conjunct6
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VOLUME_OF_TETRAHEDRON: !v1 v2 v3 v4. vol (conv0 {v1, v2, v3, v4}) = (let x12 = dist (v1,v2) pow 2 in let x13 = dist (v1,v3) pow 2 in let x14 = dist (v1,v4) pow 2 in let x23 = dist (v2,v3) pow 2 in let x24 = dist (v2,v4) pow 2 in let x34 = dist (v3,v4) pow 2 in sqrt (delta_x x12 x13 x14 x34 x24 x23) / &12)
% Assm: vol_conv: !v4 v3 v1 v2. vol_conv v1 v2 v3 v4 = (let x12 = dist (v1,v2) pow 2 in let x13 = dist (v1,v3) pow 2 in let x14 = dist (v1,v4) pow 2 in let x23 = dist (v2,v3) pow 2 in let x24 = dist (v2,v4) pow 2 in let x34 = dist (v3,v4) pow 2 in sqrt (delta_x x12 x13 x14 x34 x24 x23) / &12)
% Goal: !v0 v1 v2 v3. vol (conv0 {v0, v1, v2, v3}) = vol_conv v0 v1 v2 v3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !v1 v2 v3 v4. vol (conv0 {v1, v2, v3, v4}) = (let x12 = dist (v1,v2) pow 2 in let x13 = dist (v1,v3) pow 2 in let x14 = dist (v1,v4) pow 2 in let x23 = dist (v2,v3) pow 2 in let x24 = dist (v2,v4) pow 2 in let x34 = dist (v3,v4) pow 2 in sqrt (delta_x x12 x13 x14 x34 x24 x23) / &12)
% Assm: !v4 v3 v1 v2. vol_conv v1 v2 v3 v4 = (let x12 = dist (v1,v2) pow 2 in let x13 = dist (v1,v3) pow 2 in let x14 = dist (v1,v4) pow 2 in let x23 = dist (v2,v3) pow 2 in let x24 = dist (v2,v4) pow 2 in let x34 = dist (v3,v4) pow 2 in sqrt (delta_x x12 x13 x14 x34 x24 x23) / &12)
% Goal: !v0 v1 v2 v3. vol (conv0 {v0, v1, v2, v3}) = vol_conv v0 v1 v2 v3
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(clet, type, let : ((real > real) > real > real)).
thf(cconv0, type, conv0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdeltauu_x, type, deltau_x : (real > real > real > real > real > real > real)).
thf(cvoluu_conv, type, volu_conv : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cletuu_end, type, letu_end : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVOLUMEu_OFu_TETRAHEDRON, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3]:((measure @ (conv0 @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))))) = (let @ ^[X12:real]:(letu_end @ (let @ ^[X13:real]:(letu_end @ (let @ ^[X14:real]:(letu_end @ (let @ ^[X23:real]:(letu_end @ (let @ ^[X24:real]:(letu_end @ (let @ ^[X34:real]:(letu_end @ (realu_div @ (sqrt @ (deltau_x @ X12 @ X13 @ X14 @ X34 @ X24 @ X23)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))) @ (realu_pow @ (distance @ (c_ @ V3 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V2 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V2 @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V2)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(avolu_conv, axiom, ![V4:cartrealn3,V3:cartrealn3,V1:cartrealn3,V2:cartrealn3]:((volu_conv @ V1 @ V2 @ V3 @ V4) = (let @ ^[X12:real]:(letu_end @ (let @ ^[X13:real]:(letu_end @ (let @ ^[X14:real]:(letu_end @ (let @ ^[X23:real]:(letu_end @ (let @ ^[X24:real]:(letu_end @ (let @ ^[X34:real]:(letu_end @ (realu_div @ (sqrt @ (deltau_x @ X12 @ X13 @ X14 @ X34 @ X24 @ X23)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))) @ (realu_pow @ (distance @ (c_ @ V3 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V2 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V2 @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V2)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:((measure @ (conv0 @ (insert @ V0 @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))))) = (volu_conv @ V0 @ V1 @ V2 @ V3))).
