%   ORIGINAL: POLYHEDRON_COLLINEAR_FACES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTERIOR_SUBSET_RELATIVE_INTERIOR: !s. interior s SUBSET relative_interior s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYHEDRON_COLLINEAR_FACES_STRONG: !P f f' p q s t. polyhedron P /\ vec 0 IN relative_interior P /\ f face_of P /\ ~(f = P) /\ f' face_of P /\ ~(f' = P) /\ p IN f /\ q IN f' /\ s > &0 /\ t > &0 /\ s % p = t % q ==> s = t
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !P f f' p q s t. polyhedron P /\ vec 0 IN interior P /\ f face_of P /\ ~(f = P) /\ f' face_of P /\ ~(f' = P) /\ p IN f /\ q IN f' /\ s > &0 /\ t > &0 /\ s % p = t % q ==> s = t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. interior s SUBSET relative_interior s
% Assm: ~F <=> T
% Assm: !P f f' p q s t. polyhedron P /\ vec 0 IN relative_interior P /\ f face_of P /\ ~(f = P) /\ f' face_of P /\ ~(f' = P) /\ p IN f /\ q IN f' /\ s > &0 /\ t > &0 /\ s % p = t % q ==> s = t
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !P f f' p q s t. polyhedron P /\ vec 0 IN interior P /\ f face_of P /\ ~(f = P) /\ f' face_of P /\ ~(f' = P) /\ p IN f /\ q IN f' /\ s > &0 /\ t > &0 /\ s % p = t % q ==> s = t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aINTERIORu_SUBSETu_RELATIVEu_INTERIOR, axiom, ![S:(cartrealn > $o)]:(subset @ (interior @ S) @ (relativeu_interior @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYHEDRONu_COLLINEARu_FACESu_STRONG, axiom, ![P:(cartrealn > $o),F:(cartrealn > $o),FI_:(cartrealn > $o),P0:cartrealn,Q:cartrealn,S:real,T:real]:(((polyhedron @ P) & (in @ (vec @ (numeral @ u_0)) @ (relativeu_interior @ P)) & (faceu_of @ F @ P) & ~ ((F = P)) & (faceu_of @ FI_ @ P) & ~ ((FI_ = P)) & (in @ P0 @ F) & (in @ Q @ FI_) & (realu_gt @ S @ (realu_ofu_num @ (numeral @ u_0))) & (realu_gt @ T @ (realu_ofu_num @ (numeral @ u_0))) & ((r_ @ S @ P0) = (r_ @ T @ Q))) => (S = T))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn > $o),F:(cartrealn > $o),FI_:(cartrealn > $o),P0:cartrealn,Q:cartrealn,S:real,T:real]:(((polyhedron @ P) & (in @ (vec @ (numeral @ u_0)) @ (interior @ P)) & (faceu_of @ F @ P) & ~ ((F = P)) & (faceu_of @ FI_ @ P) & ~ ((FI_ = P)) & (in @ P0 @ F) & (in @ Q @ FI_) & (realu_gt @ S @ (realu_ofu_num @ (numeral @ u_0))) & (realu_gt @ T @ (realu_ofu_num @ (numeral @ u_0))) & ((r_ @ S @ P0) = (r_ @ T @ Q))) => (S = T))).
