%   ORIGINAL: Sphere.rconesgn
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: rconesgn: !sgn w v h. rconesgn sgn v w h = {x | sgn ((x - v) dot (w - v)) (dist (x,v) * dist (w,v) * h)}
% Goal: !sgn w v h. rconesgn sgn v w h = {x | sgn ((x - v) dot (w - v)) (dist (x,v) * dist (w,v) * h)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !sgn w v h. rconesgn sgn v w h = {x | sgn ((x - v) dot (w - v)) (dist (x,v) * dist (w,v) * h)}
% Goal: !sgn w v h. rconesgn sgn v w h = {x | sgn ((x - v) dot (w - v)) (dist (x,v) * dist (w,v) * h)}
%  TYPES
thf(tcartreala, type, cartreala : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealacartreala, type, prodcartrealacartreala : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealacartreala > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartreala > cartreala > real)).
thf(cgspec, type, gspec : ((cartreala > $o) > cartreala > $o)).
thf(ccu_, type, c_ : (cartreala > cartreala > prodcartrealacartreala)).
thf(cvectoruu_sub, type, vectoru_sub : (cartreala > cartreala > cartreala)).
thf(csetspec, type, setspec : (cartreala > $o > cartreala > $o)).
thf(crconesgn, type, rconesgn : ((real > real > $o) > cartreala > cartreala > real > cartreala > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartreala > $o),G:(a > cartreala > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arconesgn, axiom, ![SGN:(real > real > $o),W:cartreala,V:cartreala,H:real]:((rconesgn @ SGN @ V @ W @ H) = (gspec @ ^[GENR_PVARR_2591:cartreala]:?[X:cartreala]:(setspec @ GENR_PVARR_2591 @ (SGN @ (dot @ (vectoru_sub @ X @ V) @ (vectoru_sub @ W @ V)) @ (realu_mul @ (distance @ (c_ @ X @ V)) @ (realu_mul @ (distance @ (c_ @ W @ V)) @ H))) @ X)))).
thf(conjecture, conjecture, ![SGN:(real > real > $o),W:cartreala,V:cartreala,H:real]:((rconesgn @ SGN @ V @ W @ H) = (gspec @ ^[GENR_PVARR_9:cartreala]:?[X:cartreala]:(setspec @ GENR_PVARR_9 @ (SGN @ (dot @ (vectoru_sub @ X @ V) @ (vectoru_sub @ W @ V)) @ (realu_mul @ (distance @ (c_ @ X @ V)) @ (realu_mul @ (distance @ (c_ @ W @ V)) @ H))) @ X)))).
