%   ORIGINAL: Sphere.vol_solid_triangle
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: vol_solid_triangle: !r v0 v1 v2 v3. vol_solid_triangle v0 v1 v2 v3 r = (let a123 = dihV v0 v1 v2 v3 in let a231 = dihV v0 v2 v3 v1 in let a312 = dihV v0 v3 v1 v2 in (a123 + a231 + a312 - pi) * r pow 3 / &3)
% Goal: !r v0 v1 v2 v3. vol_solid_triangle v0 v1 v2 v3 r = (let a123 = dihV v0 v1 v2 v3 in let a231 = dihV v0 v2 v3 v1 in let a312 = dihV v0 v3 v1 v2 in (a123 + a231 + a312 - pi) * r pow 3 / &3)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !r v0 v1 v2 v3. vol_solid_triangle v0 v1 v2 v3 r = (let a123 = dihV v0 v1 v2 v3 in let a231 = dihV v0 v2 v3 v1 in let a312 = dihV v0 v3 v1 v2 in (a123 + a231 + a312 - pi) * r pow 3 / &3)
% Goal: !r v0 v1 v2 v3. vol_solid_triangle v0 v1 v2 v3 r = (let a123 = dihV v0 v1 v2 v3 in let a231 = dihV v0 v2 v3 v1 in let a312 = dihV v0 v3 v1 v2 in (a123 + a231 + a312 - pi) * r pow 3 / &3)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq738257, type, cartrealq738257 : $tType).
thf(tq738257, type, q738257 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clet, type, let : ((real > real) > real > real)).
thf(cpi, type, pi : real).
thf(cdihv, type, dihv : (cartrealq738257 > cartrealq738257 > cartrealq738257 > cartrealq738257 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvoluu_soliduu_triangle, type, volu_solidu_triangle : (cartrealq738257 > cartrealq738257 > cartrealq738257 > cartrealq738257 > real > real)).
thf(cuu_0, type, u_0 : num).
thf(cletuu_end, type, letu_end : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(avolu_solidu_triangle, axiom, ![R:real,V0:cartrealq738257,V1:cartrealq738257,V2:cartrealq738257,V3:cartrealq738257]:((volu_solidu_triangle @ V0 @ V1 @ V2 @ V3 @ R) = (let @ ^[A123:real]:(letu_end @ (let @ ^[A231:real]:(letu_end @ (let @ ^[A312:real]:(letu_end @ (realu_mul @ (realu_add @ A123 @ (realu_add @ A231 @ (realu_sub @ A312 @ pi))) @ (realu_div @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))))) @ (dihv @ V0 @ V3 @ V1 @ V2))) @ (dihv @ V0 @ V2 @ V3 @ V1))) @ (dihv @ V0 @ V1 @ V2 @ V3)))).
thf(conjecture, conjecture, ![R:real,V0:cartrealq738257,V1:cartrealq738257,V2:cartrealq738257,V3:cartrealq738257]:((volu_solidu_triangle @ V0 @ V1 @ V2 @ V3 @ R) = (let @ ^[A123:real]:(letu_end @ (let @ ^[A231:real]:(letu_end @ (let @ ^[A312:real]:(letu_end @ (realu_mul @ (realu_add @ A123 @ (realu_add @ A231 @ (realu_sub @ A312 @ pi))) @ (realu_div @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))))) @ (dihv @ V0 @ V3 @ V1 @ V2))) @ (dihv @ V0 @ V2 @ V3 @ V1))) @ (dihv @ V0 @ V1 @ V2 @ V3)))).
