%   ORIGINAL: Sphere.vol_conv
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: vol_conv: !v4 v3 v1 v2. vol_conv v1 v2 v3 v4 = (let x12 = dist (v1,v2) pow 2 in let x13 = dist (v1,v3) pow 2 in let x14 = dist (v1,v4) pow 2 in let x23 = dist (v2,v3) pow 2 in let x24 = dist (v2,v4) pow 2 in let x34 = dist (v3,v4) pow 2 in sqrt (delta_x x12 x13 x14 x34 x24 x23) / &12)
% Goal: !v4 v3 v1 v2. vol_conv v1 v2 v3 v4 = (let x12 = dist (v1,v2) pow 2 in let x13 = dist (v1,v3) pow 2 in let x14 = dist (v1,v4) pow 2 in let x23 = dist (v2,v3) pow 2 in let x24 = dist (v2,v4) pow 2 in let x34 = dist (v3,v4) pow 2 in sqrt (delta_x x12 x13 x14 x34 x24 x23) / &12)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !v4 v3 v1 v2. vol_conv v1 v2 v3 v4 = (let x12 = dist (v1,v2) pow 2 in let x13 = dist (v1,v3) pow 2 in let x14 = dist (v1,v4) pow 2 in let x23 = dist (v2,v3) pow 2 in let x24 = dist (v2,v4) pow 2 in let x34 = dist (v3,v4) pow 2 in sqrt (delta_x x12 x13 x14 x34 x24 x23) / &12)
% Goal: !v4 v3 v1 v2. vol_conv v1 v2 v3 v4 = (let x12 = dist (v1,v2) pow 2 in let x13 = dist (v1,v3) pow 2 in let x14 = dist (v1,v4) pow 2 in let x23 = dist (v2,v3) pow 2 in let x24 = dist (v2,v4) pow 2 in let x34 = dist (v3,v4) pow 2 in sqrt (delta_x x12 x13 x14 x34 x24 x23) / &12)
%  TYPES
thf(tcartrealq738399, type, cartrealq738399 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodcartrealq738399cartrealq738399, type, prodcartrealq738399cartrealq738399 : $tType).
thf(tq738399, type, q738399 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealq738399cartrealq738399 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(clet, type, let : ((real > real) > real > real)).
thf(ccu_, type, c_ : (cartrealq738399 > cartrealq738399 > prodcartrealq738399cartrealq738399)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdeltauu_x, type, deltau_x : (real > real > real > real > real > real > real)).
thf(cvoluu_conv, type, volu_conv : (cartrealq738399 > cartrealq738399 > cartrealq738399 > cartrealq738399 > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cletuu_end, type, letu_end : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(avolu_conv, axiom, ![V4:cartrealq738399,V3:cartrealq738399,V1:cartrealq738399,V2:cartrealq738399]:((volu_conv @ V1 @ V2 @ V3 @ V4) = (let @ ^[X12:real]:(letu_end @ (let @ ^[X13:real]:(letu_end @ (let @ ^[X14:real]:(letu_end @ (let @ ^[X23:real]:(letu_end @ (let @ ^[X24:real]:(letu_end @ (let @ ^[X34:real]:(letu_end @ (realu_div @ (sqrt @ (deltau_x @ X12 @ X13 @ X14 @ X34 @ X24 @ X23)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))) @ (realu_pow @ (distance @ (c_ @ V3 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V2 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V2 @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V2)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(conjecture, conjecture, ![V4:cartrealq738399,V3:cartrealq738399,V1:cartrealq738399,V2:cartrealq738399]:((volu_conv @ V1 @ V2 @ V3 @ V4) = (let @ ^[X12:real]:(letu_end @ (let @ ^[X13:real]:(letu_end @ (let @ ^[X14:real]:(letu_end @ (let @ ^[X23:real]:(letu_end @ (let @ ^[X24:real]:(letu_end @ (let @ ^[X34:real]:(letu_end @ (realu_div @ (sqrt @ (deltau_x @ X12 @ X13 @ X14 @ X34 @ X24 @ X23)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))) @ (realu_pow @ (distance @ (c_ @ V3 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V2 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V2 @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ V1 @ V2)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
