%   ORIGINAL: Geomdetail.SET3_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !a b c. {a, b, c} SUBSET s <=> a IN s /\ b IN s /\ c IN s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s a b c. {a, b, c} SUBSET s <=> a IN s /\ b IN s /\ c IN s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq751037, type, q751037 : $tType).
%  CONSTS
thf(cempty, type, empty : (q751037 > $o)).
thf(cin, type, in : (q751037 > (q751037 > $o) > $o)).
thf(csubset, type, subset : ((q751037 > $o) > (q751037 > $o) > $o)).
thf(cinsert, type, insert : (q751037 > (q751037 > $o) > q751037 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(q751037 > $o),X:q751037]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:q751037,Y:q751037,S:(q751037 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q751037]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(q751037 > $o),T:(q751037 > $o)]:((subset @ S @ T) <=> ![X:q751037]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q751037 > $o),A:q751037,B:q751037,C:q751037]:((subset @ (insert @ A @ (insert @ B @ (insert @ C @ empty))) @ S) <=> ((in @ A @ S) & (in @ B @ S) & (in @ C @ S)))).
