%   ORIGINAL: Geomdetail.SUM_DIS3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Geomdetail.FINITE6: !a b c d e f. FINITE {} /\ FINITE {a} /\ FINITE {a, b} /\ FINITE {a, b, c} /\ FINITE {a, b, c, d} /\ FINITE {a, b, c, d, e} /\ FINITE {a, b, c, d, e, f}
% Assm: Geomdetail.SUM_DIS2: !x y f. ~(x = y) ==> sum {x, y} f = f x + f y
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUM_SING: !f x. sum {x} f = f x
% Assm: SUM_UNION: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: TRUTH: T
% Goal: !x y z f. ~(x = y \/ y = z \/ z = x) ==> sum {x, y, z} f = f x + f y + f z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !a b c d e f. FINITE {} /\ FINITE {a} /\ FINITE {a, b} /\ FINITE {a, b, c} /\ FINITE {a, b, c, d} /\ FINITE {a, b, c, d, e} /\ FINITE {a, b, c, d, e, f}
% Assm: !x y f. ~(x = y) ==> sum {x, y} f = f x + f y
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !f x. sum {x} f = f x
% Assm: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: T
% Goal: !x y z f. ~(x = y \/ y = z \/ z = x) ==> sum {x, y, z} f = f x + f y + f z
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq754147, type, q754147 : $tType).
%  CONSTS
thf(ci0, type, i0 : (q754147 > q754147)).
thf(cin0, type, in0 : (q754147 > (q754147 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdisjoint, type, disjoint : ((q754147 > $o) > (q754147 > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((q754147 > $o) > (q754147 > real) > real)).
thf(cempty, type, empty : (q754147 > $o)).
thf(cunion0, type, union0 : ((q754147 > $o) > (q754147 > $o) > q754147 > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((q754147 > $o) > (q754147 > $o) > q754147 > $o)).
thf(cinsert, type, insert : (q754147 > (q754147 > $o) > q754147 > $o)).
thf(cfinite, type, finite : ((q754147 > $o) > $o)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q754147),G:(a > q754147)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(q754147 > $o),T:(q754147 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aGeomdetailo_FINITE6, axiom, ![A:q754147,B:q754147,C:q754147,D:q754147,E:q754147,F:q754147]:((finite @ empty) & (finite @ (insert @ A @ empty)) & (finite @ (insert @ A @ (insert @ B @ empty))) & (finite @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) & (finite @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))) & (finite @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ (insert @ E @ empty)))))) & (finite @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ (insert @ E @ (insert @ F @ empty))))))))).
thf(aGeomdetailo_SUMu_DIS2, axiom, ![X:q754147,Y:q754147,F:(q754147 > real)]:(~ ((X = Y)) => ((sum @ (insert @ X @ (insert @ Y @ empty)) @ F) = (realu_add @ (F @ X) @ (F @ Y))))).
thf(aINu_INSERT, axiom, ![X:q754147,Y:q754147,S:(q754147 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:q754147]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q754147]:~ ((in0 @ X @ empty))).
thf(aSUMu_SING, axiom, ![F:(q754147 > real),X:q754147]:((sum @ (insert @ X @ empty) @ F) = (F @ X))).
thf(aSUMu_UNION, axiom, ![F:(q754147 > real),S:(q754147 > $o),T:(q754147 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((sum @ (union0 @ S @ T) @ F) = (realu_add @ (sum @ S @ F) @ (sum @ T @ F))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:q754147,Y:q754147,Z:q754147,F:(q754147 > real)]:(~ (((X = Y) | (Y = Z) | (Z = X))) => ((sum @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty))) @ F) = (realu_add @ (F @ X) @ (realu_add @ (F @ Y) @ (F @ Z)))))).
