%   ORIGINAL: Geomdetail.CONV3_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Geomdetail.CONV_SET3: !x y z. conv {x, y, z} = {w | ?a b c. &0 <= a /\ &0 <= b /\ &0 <= c /\ a + b + c = &1 /\ w = a % x + b % y + c % z}
% Assm: Geomdetail.simpl_conv3: !v1 v2 v3. conv_trg {v1, v2, v3} = {t | ?a b c. &0 <= a /\ &0 <= b /\ &0 <= c /\ a + b + c = &1 /\ t = a % v1 + b % v2 + c % v3}
% Assm: TRUTH: T
% Goal: !x y z. conv_trg {x, y, z} = conv {x, y, z}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. conv {x, y, z} = {w | ?a b c. &0 <= a /\ &0 <= b /\ &0 <= c /\ a + b + c = &1 /\ w = a % x + b % y + c % z}
% Assm: !v1 v2 v3. conv_trg {v1, v2, v3} = {t | ?a b c. &0 <= a /\ &0 <= b /\ &0 <= c /\ a + b + c = &1 /\ t = a % v1 + b % v2 + c % v3}
% Assm: T
% Goal: !x y z. conv_trg {x, y, z} = conv {x, y, z}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq754781, type, q754781 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq754781, type, cartrealq754781 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealq754781 > $o) > cartrealq754781 > $o)).
thf(cconv, type, conv : ((cartrealq754781 > $o) > cartrealq754781 > $o)).
thf(cconvuu_trg, type, convu_trg : ((cartrealq754781 > $o) > cartrealq754781 > $o)).
thf(cru_, type, r_ : (real > cartrealq754781 > cartrealq754781)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq754781 > cartrealq754781 > cartrealq754781)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealq754781 > $o > cartrealq754781 > $o)).
thf(cinsert, type, insert : (cartrealq754781 > (cartrealq754781 > $o) > cartrealq754781 > $o)).
thf(cempty, type, empty : (cartrealq754781 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq754781 > $o),G:(a > cartrealq754781 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aGeomdetailo_CONVu_SET3, axiom, ![X:cartrealq754781,Y:cartrealq754781,Z:cartrealq754781]:((conv @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) = (gspec @ ^[GENR_PVARR_43:cartrealq754781]:?[W:cartrealq754781]:(setspec @ GENR_PVARR_43 @ ?[A:real,B:real,C:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & ((realu_add @ A @ (realu_add @ B @ C)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (W = (vectoru_add @ (r_ @ A @ X) @ (vectoru_add @ (r_ @ B @ Y) @ (r_ @ C @ Z))))) @ W)))).
thf(aGeomdetailo_simplu_conv3, axiom, ![V1:cartrealq754781,V2:cartrealq754781,V3:cartrealq754781]:((convu_trg @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))) = (gspec @ ^[GENR_PVARR_36:cartrealq754781]:?[T:cartrealq754781]:(setspec @ GENR_PVARR_36 @ ?[A:real,B:real,C:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & ((realu_add @ A @ (realu_add @ B @ C)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (T = (vectoru_add @ (r_ @ A @ V1) @ (vectoru_add @ (r_ @ B @ V2) @ (r_ @ C @ V3))))) @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq754781,Y:cartrealq754781,Z:cartrealq754781]:((convu_trg @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) = (conv @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))))).
