%   ORIGINAL: Geomdetail.CONV_BAR_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Geomdetail.CONV_SET3: !x y z. conv {x, y, z} = {w | ?a b c. &0 <= a /\ &0 <= b /\ &0 <= c /\ a + b + c = &1 /\ w = a % x + b % y + c % z}
% Assm: Geomdetail.barrier: !s. barrier s = {{v1, v2, v3} | quasi_tri {v1, v2, v3} s \/ (?v4. {v1, v2, v3} UNION {v4} IN Q_SYS s)}
% Assm: Geomdetail.simpl_conv3: !v1 v2 v3. conv_trg {v1, v2, v3} = {t | ?a b c. &0 <= a /\ &0 <= b /\ &0 <= c /\ a + b + c = &1 /\ t = a % v1 + b % v2 + c % v3}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !bar s. bar IN barrier s ==> conv bar = conv_trg bar
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !x y z. conv {x, y, z} = {w | ?a b c. &0 <= a /\ &0 <= b /\ &0 <= c /\ a + b + c = &1 /\ w = a % x + b % y + c % z}
% Assm: !s. barrier s = {{v1, v2, v3} | quasi_tri {v1, v2, v3} s \/ (?v4. {v1, v2, v3} UNION {v4} IN Q_SYS s)}
% Assm: !v1 v2 v3. conv_trg {v1, v2, v3} = {t | ?a b c. &0 <= a /\ &0 <= b /\ &0 <= c /\ a + b + c = &1 /\ t = a % v1 + b % v2 + c % v3}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: T
% Goal: !bar s. bar IN barrier s ==> conv bar = conv_trg bar
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cquu_sys, type, qu_sys : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cquasiuu_tri, type, quasiu_tri : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cconvuu_trg, type, convu_trg : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cconv, type, conv : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cbarrier, type, barrier : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn3 > $o),G:(cartrealn3 > $o)]:((F = G) <=> ![X:cartrealn3]:((F @ X) <=> (G @ X)))).
thf(aGeomdetailo_CONVu_SET3, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((conv @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) = (gspec @ ^[GENR_PVARR_43:cartrealn3]:?[W:cartrealn3]:(setspec @ GENR_PVARR_43 @ ?[A:real,B:real,C:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & ((realu_add @ A @ (realu_add @ B @ C)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (W = (vectoru_add @ (r_ @ A @ X) @ (vectoru_add @ (r_ @ B @ Y) @ (r_ @ C @ Z))))) @ W)))).
thf(aGeomdetailo_barrier, axiom, ![S:(cartrealn3 > $o)]:((barrier @ S) = (gspec0 @ ^[GENR_PVARR_18:(cartrealn3 > $o)]:?[V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:(setspec0 @ GENR_PVARR_18 @ ((quasiu_tri @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))) @ S) | ?[V4:cartrealn3]:(in @ (union @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))) @ (insert @ V4 @ empty)) @ (qu_sys @ S))) @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))))).
thf(aGeomdetailo_simplu_conv3, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:((convu_trg @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))) = (gspec @ ^[GENR_PVARR_36:cartrealn3]:?[T:cartrealn3]:(setspec @ GENR_PVARR_36 @ ?[A:real,B:real,C:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & ((realu_add @ A @ (realu_add @ B @ C)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (T = (vectoru_add @ (r_ @ A @ V1) @ (vectoru_add @ (r_ @ B @ V2) @ (r_ @ C @ V3))))) @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealn3 > $o) > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec0 @ ^[V:(cartrealn3 > $o)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn3 > $o)]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![BAR:(cartrealn3 > $o),S:(cartrealn3 > $o)]:((in @ BAR @ (barrier @ S)) => ((conv @ BAR) = (convu_trg @ BAR)))).
