%   ORIGINAL: Geomdetail.CARD_EQUATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_EQ_NSUM: !s. FINITE s ==> CARD s = nsum s (\x. 1)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INTER: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_INCL_EXCL: !s t f. FINITE s /\ FINITE t ==> nsum s f + nsum t f = nsum (s UNION t) f + nsum (s INTER t) f
% Assm: TRUTH: T
% Goal: !s t. FINITE s /\ FINITE t ==> CARD (s UNION t) + CARD (s INTER t) = CARD s + CARD t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. FINITE s ==> CARD s = nsum s (\x. 1)
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: !s t f. FINITE s /\ FINITE t ==> nsum s f + nsum t f = nsum (s UNION t) f + nsum (s INTER t) f
% Assm: T
% Goal: !s t. FINITE s /\ FINITE t ==> CARD (s UNION t) + CARD (s INTER t) = CARD s + CARD t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_EQu_NSUM, axiom, ![S:(a > $o)]:((finite @ S) => ((card @ S) = (nsum @ S @ ^[X:a]:(numeral @ (bit1 @ u_0)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INTER, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ S) | (finite @ T)) => (finite @ (inter @ S @ T)))).
thf(aFINITEu_UNION, axiom, ![S:(a > $o),T:(a > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > num),G:(a > num)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_INCLu_EXCL, axiom, ![S:(a > $o),T:(a > $o),F:(a > num)]:(((finite @ S) & (finite @ T)) => ((p_ @ (nsum @ S @ F) @ (nsum @ T @ F)) = (p_ @ (nsum @ (union @ S @ T) @ F) @ (nsum @ (inter @ S @ T) @ F))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T)) => ((p_ @ (card @ (union @ S @ T)) @ (card @ (inter @ S @ T))) = (p_ @ (card @ S) @ (card @ T))))).
