%   ORIGINAL: Geomdetail.HAS_SIZE_SET_OF_LIST_4
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_SUC_conjunct0: !n. SUC (NUMERAL n) = NUMERAL (SUC n)
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_SUC_conjunct2: !n. SUC (BIT0 n) = BIT1 n
% Assm: ARITH_SUC_conjunct3: !n. SUC (BIT1 n) = BIT0 (SUC n)
% Assm: Geomdetail.HAS_SIZE_SET_OF_LIST: !l. set_of_list l HAS_SIZE LENGTH l <=> PAIRWISE (\x y. ~(x = y)) l
% Assm: LENGTH_conjunct0: LENGTH [] = 0
% Assm: LENGTH_conjunct1: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: TRUTH: T
% Assm: set_of_list_conjunct0: set_of_list [] = {}
% Assm: set_of_list_conjunct1: set_of_list (CONS h t) = h INSERT set_of_list t
% Goal: !a b c d. {a, b, c, d} HAS_SIZE 4 <=> PAIRWISE (\x y. ~(x = y)) [a; b; c; d]
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. SUC (NUMERAL n) = NUMERAL (SUC n)
% Assm: SUC _0 = BIT1 _0
% Assm: !n. SUC (BIT0 n) = BIT1 n
% Assm: !n. SUC (BIT1 n) = BIT0 (SUC n)
% Assm: !l. set_of_list l HAS_SIZE LENGTH l <=> PAIRWISE (\x y. ~(x = y)) l
% Assm: LENGTH [] = 0
% Assm: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: T
% Assm: set_of_list [] = {}
% Assm: !h t. set_of_list (CONS h t) = h INSERT set_of_list t
% Goal: !a b c d. {a, b, c, d} HAS_SIZE 4 <=> PAIRWISE (\x y. ~(x = y)) [a; b; c; d]
%  TYPES
thf(tnum, type, num : $tType).
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(csetuu_ofuu_list, type, setu_ofu_list : (lista > a > $o)).
thf(cpairwise, type, pairwise : ((a > a > $o) > lista > $o)).
thf(chasuu_size, type, hasu_size : ((a > $o) > num > $o)).
thf(ccons, type, cons : (a > lista > lista)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(clength, type, length : (lista > num)).
thf(cuu_0, type, u_0 : num).
thf(cnil, type, nil : lista).
thf(cempty, type, empty : (a > $o)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_SUCu_conjunct0, axiom, ![N:num]:((suc @ (numeral @ N)) = (numeral @ (suc @ N)))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_SUCu_conjunct2, axiom, ![N:num]:((suc @ (bit0 @ N)) = (bit1 @ N))).
thf(aARITHu_SUCu_conjunct3, axiom, ![N:num]:((suc @ (bit1 @ N)) = (bit0 @ (suc @ N)))).
thf(aGeomdetailo_HASu_SIZEu_SETu_OFu_LIST, axiom, ![L:lista]:((hasu_size @ (setu_ofu_list @ L) @ (length @ L)) <=> (pairwise @ ^[X:a,Y:a]:~ ((X = Y)) @ L))).
thf(aLENGTHu_conjunct0, axiom, ((length @ nil) = (numeral @ u_0))).
thf(aLENGTHu_conjunct1, axiom, ![H:a,T:lista]:((length @ (cons @ H @ T)) = (suc @ (length @ T)))).
thf(aTRUTH, axiom, $true).
thf(asetu_ofu_listu_conjunct0, axiom, ((setu_ofu_list @ nil) = empty)).
thf(asetu_ofu_listu_conjunct1, axiom, ![H:a,T:lista]:((setu_ofu_list @ (cons @ H @ T)) = (insert @ H @ (setu_ofu_list @ T)))).
thf(conjecture, conjecture, ![A:a,B:a,C:a,D:a]:((hasu_size @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) <=> (pairwise @ ^[X:a,Y:a]:~ ((X = Y)) @ (cons @ A @ (cons @ B @ (cons @ C @ (cons @ D @ nil))))))).
