%   ORIGINAL: Geomdetail.def_simplex
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Geomdetail.SET_OF_4: !a b c d. (?v1 v2 v3 v4. ~(v1 = v2 \/ v3 = v4) /\ {v1, v2} INTER {v3, v4} = {} /\ {a, b, c, d} = {v1, v2, v3, v4}) <=> ~(a = b \/ a = c \/ a = d \/ b = c \/ b = d \/ c = d)
% Assm: Geomdetail.simplex: !s d. geomdetail'simplex d s <=> packing s /\ d SUBSET s /\ (?v1 v2 v3 v4. ~(v1 = v2 \/ v3 = v4) /\ {v1, v2} INTER {v3, v4} = {} /\ {v1, v2, v3, v4} = d)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s a b c d. geomdetail'simplex {a, b, c, d} s <=> packing s /\ {a, b, c, d} SUBSET s /\ ~(a = b \/ a = c \/ a = d \/ b = c \/ b = d \/ c = d)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b c d. (?v1 v2 v3 v4. ~(v1 = v2 \/ v3 = v4) /\ {v1, v2} INTER {v3, v4} = {} /\ {a, b, c, d} = {v1, v2, v3, v4}) <=> ~(a = b \/ a = c \/ a = d \/ b = c \/ b = d \/ c = d)
% Assm: !s d. geomdetail'simplex d s <=> packing s /\ d SUBSET s /\ (?v1 v2 v3 v4. ~(v1 = v2 \/ v3 = v4) /\ {v1, v2} INTER {v3, v4} = {} /\ {v1, v2, v3, v4} = d)
% Assm: ~F <=> T
% Assm: T
% Goal: !s a b c d. geomdetail'simplex {a, b, c, d} s <=> packing s /\ {a, b, c, d} SUBSET s /\ ~(a = b \/ a = c \/ a = d \/ b = c \/ b = d \/ c = d)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cgeomdetailiu_simplex, type, geomdetaili_simplex : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aGeomdetailo_SETu_OFu_4, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,D:cartrealn3]:(?[V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3]:(~ (((V1 = V2) | (V3 = V4))) & ((inter @ (insert @ V1 @ (insert @ V2 @ empty)) @ (insert @ V3 @ (insert @ V4 @ empty))) = empty) & ((insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) = (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))))) <=> ~ (((A = B) | (A = C) | (A = D) | (B = C) | (B = D) | (C = D))))).
thf(aGeomdetailo_simplex, axiom, ![S:(cartrealn3 > $o),D:(cartrealn3 > $o)]:((geomdetaili_simplex @ D @ S) <=> ((packing @ S) & (subset @ D @ S) & ?[V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3]:(~ (((V1 = V2) | (V3 = V4))) & ((inter @ (insert @ V1 @ (insert @ V2 @ empty)) @ (insert @ V3 @ (insert @ V4 @ empty))) = empty) & ((insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))) = D))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o),A:cartrealn3,B:cartrealn3,C:cartrealn3,D:cartrealn3]:((geomdetaili_simplex @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) @ S) <=> ((packing @ S) & (subset @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) @ S) & ~ (((A = B) | (A = C) | (A = D) | (B = C) | (B = D) | (C = D)))))).
