%   ORIGINAL: Geomdetail.strict_qua2_imply_strict_qua
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Geomdetail.strict_qua: !s d. strict_qua d s <=> quarter d s /\ (?x y. x IN d /\ y IN d /\ &2 * t0 < d3 x y /\ d3 x y < sqrt (&8))
% Assm: Geomdetail.strict_qua2: !s d ch. strict_qua2 d ch s <=> quarter d s /\ ch SUBSET d /\ (?x y. ~(x = y) /\ ch = {x, y} /\ &2 * t0 < d3 x y /\ d3 x y < sqrt (&8))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !q d s. strict_qua2 q d s ==> strict_qua q s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s d. strict_qua d s <=> quarter d s /\ (?x y. x IN d /\ y IN d /\ &2 * t0 < d3 x y /\ d3 x y < sqrt (&8))
% Assm: !s d ch. strict_qua2 d ch s <=> quarter d s /\ ch SUBSET d /\ (?x y. ~(x = y) /\ ch = {x, y} /\ &2 * t0 < d3 x y /\ d3 x y < sqrt (&8))
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !q d s. strict_qua2 q d s ==> strict_qua q s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cd3, type, d3 : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cquarter, type, quarter : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cstrictuu_qua, type, strictu_qua : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cstrictuu_qua2, type, strictu_qua2 : ((cartrealn3 > $o) > (cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ct0, type, t0 : real).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aGeomdetailo_strictu_qua, axiom, ![S:(cartrealn3 > $o),D:(cartrealn3 > $o)]:((strictu_qua @ D @ S) <=> ((quarter @ D @ S) & ?[X:cartrealn3,Y:cartrealn3]:((in0 @ X @ D) & (in0 @ Y @ D) & (realu_lt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) @ (d3 @ X @ Y)) & (realu_lt @ (d3 @ X @ Y) @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0)))))))))))).
thf(aGeomdetailo_strictu_qua2, axiom, ![S:(cartrealn3 > $o),D:(cartrealn3 > $o),CH:(cartrealn3 > $o)]:((strictu_qua2 @ D @ CH @ S) <=> ((quarter @ D @ S) & (subset @ CH @ D) & ?[X:cartrealn3,Y:cartrealn3]:(~ ((X = Y)) & (CH = (insert @ X @ (insert @ Y @ empty))) & (realu_lt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) @ (d3 @ X @ Y)) & (realu_lt @ (d3 @ X @ Y) @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0)))))))))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Q:(cartrealn3 > $o),D:(cartrealn3 > $o),S:(cartrealn3 > $o)]:((strictu_qua2 @ Q @ D @ S) => (strictu_qua @ Q @ S))).
