%   ORIGINAL: Geomdetail.strict_qua2_interior_pos
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Geomdetail.adjacent_pai: !s v2 v v1 v3 v4. adjacent_pai v v1 v3 v2 v4 s <=> strict_qua2 {v, v1, v3, v2} {v1, v3} s /\ strict_qua2 {v, v1, v3, v4} {v1, v3} s /\ conv0 {v, v1, v3, v2} INTER conv0 {v, v1, v3, v4} = {}
% Assm: Geomdetail.conflicting_dia: !v v2 v4 v1 v3 s. conflicting_dia v v1 v3 v2 v4 s <=> adjacent_pai v v1 v3 v2 v4 s /\ adjacent_pai v v2 v4 v1 v3 s
% Assm: Geomdetail.interior_pos: !s v1 v3 v v2 v4. interior_pos v v1 v3 v2 v4 s <=> conflicting_dia v v1 v3 v2 v4 s /\ ~(conv0 {v1, v3} INTER conv0 {v, v2, v4} = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s v v1 v2 v3 v4. interior_pos v v1 v3 v2 v4 s ==> strict_qua2 {v, v1, v3, v2} {v1, v3} s /\ strict_qua2 {v, v1, v3, v4} {v1, v3} s /\ strict_qua2 {v, v2, v4, v1} {v2, v4} s /\ strict_qua2 {v, v2, v4, v3} {v2, v4} s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s v2 v v1 v3 v4. adjacent_pai v v1 v3 v2 v4 s <=> strict_qua2 {v, v1, v3, v2} {v1, v3} s /\ strict_qua2 {v, v1, v3, v4} {v1, v3} s /\ conv0 {v, v1, v3, v2} INTER conv0 {v, v1, v3, v4} = {}
% Assm: !v v2 v4 v1 v3 s. conflicting_dia v v1 v3 v2 v4 s <=> adjacent_pai v v1 v3 v2 v4 s /\ adjacent_pai v v2 v4 v1 v3 s
% Assm: !s v1 v3 v v2 v4. interior_pos v v1 v3 v2 v4 s <=> conflicting_dia v v1 v3 v2 v4 s /\ ~(conv0 {v1, v3} INTER conv0 {v, v2, v4} = {})
% Assm: ~F <=> T
% Assm: T
% Goal: !s v v1 v2 v3 v4. interior_pos v v1 v3 v2 v4 s ==> strict_qua2 {v, v1, v3, v2} {v1, v3} s /\ strict_qua2 {v, v1, v3, v4} {v1, v3} s /\ strict_qua2 {v, v2, v4, v1} {v2, v4} s /\ strict_qua2 {v, v2, v4, v3} {v2, v4} s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cconv0, type, conv0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cconflictinguu_dia, type, conflictingu_dia : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cadjacentuu_pai, type, adjacentu_pai : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cstrictuu_qua2, type, strictu_qua2 : ((cartrealn3 > $o) > (cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cinterioruu_pos, type, interioru_pos : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aGeomdetailo_adjacentu_pai, axiom, ![S:(cartrealn3 > $o),V2:cartrealn3,V:cartrealn3,V1:cartrealn3,V3:cartrealn3,V4:cartrealn3]:((adjacentu_pai @ V @ V1 @ V3 @ V2 @ V4 @ S) <=> ((strictu_qua2 @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V2 @ empty)))) @ (insert @ V1 @ (insert @ V3 @ empty)) @ S) & (strictu_qua2 @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V4 @ empty)))) @ (insert @ V1 @ (insert @ V3 @ empty)) @ S) & ((inter @ (conv0 @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V2 @ empty))))) @ (conv0 @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V4 @ empty)))))) = empty)))).
thf(aGeomdetailo_conflictingu_dia, axiom, ![V:cartrealn3,V2:cartrealn3,V4:cartrealn3,V1:cartrealn3,V3:cartrealn3,S:(cartrealn3 > $o)]:((conflictingu_dia @ V @ V1 @ V3 @ V2 @ V4 @ S) <=> ((adjacentu_pai @ V @ V1 @ V3 @ V2 @ V4 @ S) & (adjacentu_pai @ V @ V2 @ V4 @ V1 @ V3 @ S)))).
thf(aGeomdetailo_interioru_pos, axiom, ![S:(cartrealn3 > $o),V1:cartrealn3,V3:cartrealn3,V:cartrealn3,V2:cartrealn3,V4:cartrealn3]:((interioru_pos @ V @ V1 @ V3 @ V2 @ V4 @ S) <=> ((conflictingu_dia @ V @ V1 @ V3 @ V2 @ V4 @ S) & ~ (((inter @ (conv0 @ (insert @ V1 @ (insert @ V3 @ empty))) @ (conv0 @ (insert @ V @ (insert @ V2 @ (insert @ V4 @ empty))))) = empty))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o),V:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3]:((interioru_pos @ V @ V1 @ V3 @ V2 @ V4 @ S) => ((strictu_qua2 @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V2 @ empty)))) @ (insert @ V1 @ (insert @ V3 @ empty)) @ S) & (strictu_qua2 @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V4 @ empty)))) @ (insert @ V1 @ (insert @ V3 @ empty)) @ S) & (strictu_qua2 @ (insert @ V @ (insert @ V2 @ (insert @ V4 @ (insert @ V1 @ empty)))) @ (insert @ V2 @ (insert @ V4 @ empty)) @ S) & (strictu_qua2 @ (insert @ V @ (insert @ V2 @ (insert @ V4 @ (insert @ V3 @ empty)))) @ (insert @ V2 @ (insert @ V4 @ empty)) @ S)))).
