%   ORIGINAL: Geomdetail.RELATE_Q_SYS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Geomdetail.strict_qua2_imply_strict_qua: !q d s. strict_qua2 q d s ==> strict_qua q s
% Assm: Geomdetail.strict_qua2_interior_pos: !s v v1 v2 v3 v4. interior_pos v v1 v3 v2 v4 s ==> strict_qua2 {v, v1, v3, v2} {v1, v3} s /\ strict_qua2 {v, v1, v3, v4} {v1, v3} s /\ strict_qua2 {v, v2, v4, v1} {v2, v4} s /\ strict_qua2 {v, v2, v4, v3} {v2, v4} s
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !q s. (?v v1 v3 v2 v4. (q = {v, v1, v2, v3} \/ q = {v, v1, v3, v4}) /\ interior_pos v v1 v3 v2 v4 s /\ anchor_points v1 v3 s = {v, v2, v4} /\ anchor_points v2 v4 s = {v, v1, v3}) ==> strict_qua q s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !q d s. strict_qua2 q d s ==> strict_qua q s
% Assm: !s v v1 v2 v3 v4. interior_pos v v1 v3 v2 v4 s ==> strict_qua2 {v, v1, v3, v2} {v1, v3} s /\ strict_qua2 {v, v1, v3, v4} {v1, v3} s /\ strict_qua2 {v, v2, v4, v1} {v2, v4} s /\ strict_qua2 {v, v2, v4, v3} {v2, v4} s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !q s. (?v v1 v3 v2 v4. (q = {v, v1, v2, v3} \/ q = {v, v1, v3, v4}) /\ interior_pos v v1 v3 v2 v4 s /\ anchor_points v1 v3 s = {v, v2, v4} /\ anchor_points v2 v4 s = {v, v1, v3}) ==> strict_qua q s
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cstrictuu_qua, type, strictu_qua : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cstrictuu_qua2, type, strictu_qua2 : ((cartrealn3 > $o) > (cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(canchoruu_points, type, anchoru_points : (cartrealn3 > cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinterioruu_pos, type, interioru_pos : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aGeomdetailo_strictu_qua2u_implyu_strictu_qua, axiom, ![Q:(cartrealn3 > $o),D:(cartrealn3 > $o),S:(cartrealn3 > $o)]:((strictu_qua2 @ Q @ D @ S) => (strictu_qua @ Q @ S))).
thf(aGeomdetailo_strictu_qua2u_interioru_pos, axiom, ![S:(cartrealn3 > $o),V:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3]:((interioru_pos @ V @ V1 @ V3 @ V2 @ V4 @ S) => ((strictu_qua2 @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V2 @ empty)))) @ (insert @ V1 @ (insert @ V3 @ empty)) @ S) & (strictu_qua2 @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V4 @ empty)))) @ (insert @ V1 @ (insert @ V3 @ empty)) @ S) & (strictu_qua2 @ (insert @ V @ (insert @ V2 @ (insert @ V4 @ (insert @ V1 @ empty)))) @ (insert @ V2 @ (insert @ V4 @ empty)) @ S) & (strictu_qua2 @ (insert @ V @ (insert @ V2 @ (insert @ V4 @ (insert @ V3 @ empty)))) @ (insert @ V2 @ (insert @ V4 @ empty)) @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Q:(cartrealn3 > $o),S:(cartrealn3 > $o)]:(?[V:cartrealn3,V1:cartrealn3,V3:cartrealn3,V2:cartrealn3,V4:cartrealn3]:(((Q = (insert @ V @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) | (Q = (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V4 @ empty)))))) & (interioru_pos @ V @ V1 @ V3 @ V2 @ V4 @ S) & ((anchoru_points @ V1 @ V3 @ S) = (insert @ V @ (insert @ V2 @ (insert @ V4 @ empty)))) & ((anchoru_points @ V2 @ V4 @ S) = (insert @ V @ (insert @ V1 @ (insert @ V3 @ empty))))) => (strictu_qua @ Q @ S))).
