%   ORIGINAL: Geomdetail.CASES_OF_Q_SYS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Geomdetail.RELATE_Q_SYS: !q s. (?v v1 v3 v2 v4. (q = {v, v1, v2, v3} \/ q = {v, v1, v3, v4}) /\ interior_pos v v1 v3 v2 v4 s /\ anchor_points v1 v3 s = {v, v2, v4} /\ anchor_points v2 v4 s = {v, v1, v3}) ==> strict_qua q s
% Assm: Geomdetail.WHEN_IN_Q_SYS: !q s. q IN Q_SYS s ==> quasi_reg_tet q s \/ strict_qua q s \/ (?v v1 v3 v2 v4. (q = {v, v1, v2, v3} \/ q = {v, v1, v3, v4}) /\ interior_pos v v1 v3 v2 v4 s /\ anchor_points v1 v3 s = {v, v2, v4} /\ anchor_points v2 v4 s = {v, v1, v3})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !q s. q IN Q_SYS s ==> quasi_reg_tet q s \/ strict_qua q s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !q s. (?v v1 v3 v2 v4. (q = {v, v1, v2, v3} \/ q = {v, v1, v3, v4}) /\ interior_pos v v1 v3 v2 v4 s /\ anchor_points v1 v3 s = {v, v2, v4} /\ anchor_points v2 v4 s = {v, v1, v3}) ==> strict_qua q s
% Assm: !q s. q IN Q_SYS s ==> quasi_reg_tet q s \/ strict_qua q s \/ (?v v1 v3 v2 v4. (q = {v, v1, v2, v3} \/ q = {v, v1, v3, v4}) /\ interior_pos v v1 v3 v2 v4 s /\ anchor_points v1 v3 s = {v, v2, v4} /\ anchor_points v2 v4 s = {v, v1, v3})
% Assm: ~F <=> T
% Assm: T
% Goal: !q s. q IN Q_SYS s ==> quasi_reg_tet q s \/ strict_qua q s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cstrictuu_qua, type, strictu_qua : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cquasiuu_reguu_tet, type, quasiu_regu_tet : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cquu_sys, type, qu_sys : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(canchoruu_points, type, anchoru_points : (cartrealn3 > cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinterioruu_pos, type, interioru_pos : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aGeomdetailo_RELATEu_Qu_SYS, axiom, ![Q:(cartrealn3 > $o),S:(cartrealn3 > $o)]:(?[V:cartrealn3,V1:cartrealn3,V3:cartrealn3,V2:cartrealn3,V4:cartrealn3]:(((Q = (insert @ V @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) | (Q = (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V4 @ empty)))))) & (interioru_pos @ V @ V1 @ V3 @ V2 @ V4 @ S) & ((anchoru_points @ V1 @ V3 @ S) = (insert @ V @ (insert @ V2 @ (insert @ V4 @ empty)))) & ((anchoru_points @ V2 @ V4 @ S) = (insert @ V @ (insert @ V1 @ (insert @ V3 @ empty))))) => (strictu_qua @ Q @ S))).
thf(aGeomdetailo_WHENu_INu_Qu_SYS, axiom, ![Q:(cartrealn3 > $o),S:(cartrealn3 > $o)]:((in @ Q @ (qu_sys @ S)) => ((quasiu_regu_tet @ Q @ S) | (strictu_qua @ Q @ S) | ?[V:cartrealn3,V1:cartrealn3,V3:cartrealn3,V2:cartrealn3,V4:cartrealn3]:(((Q = (insert @ V @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) | (Q = (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V4 @ empty)))))) & (interioru_pos @ V @ V1 @ V3 @ V2 @ V4 @ S) & ((anchoru_points @ V1 @ V3 @ S) = (insert @ V @ (insert @ V2 @ (insert @ V4 @ empty)))) & ((anchoru_points @ V2 @ V4 @ S) = (insert @ V @ (insert @ V1 @ (insert @ V3 @ empty)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Q:(cartrealn3 > $o),S:(cartrealn3 > $o)]:((in @ Q @ (qu_sys @ S)) => ((quasiu_regu_tet @ Q @ S) | (strictu_qua @ Q @ S)))).
