%   ORIGINAL: Geomdetail.simplex_interior_pos
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Geomdetail.quarter: !s q. quarter q s <=> packing s /\ geomdetail'simplex q s /\ (?v w. v IN q /\ w IN q /\ &2 * t0 <= d3 v w /\ d3 v w <= sqrt (&8) /\ (!x y. x IN q /\ y IN q /\ ~({x, y} = {v, w}) ==> d3 x y <= &2 * t0))
% Assm: Geomdetail.strict_qua2: !s d ch. strict_qua2 d ch s <=> quarter d s /\ ch SUBSET d /\ (?x y. ~(x = y) /\ ch = {x, y} /\ &2 * t0 < d3 x y /\ d3 x y < sqrt (&8))
% Assm: Geomdetail.strict_qua2_interior_pos: !s v v1 v2 v3 v4. interior_pos v v1 v3 v2 v4 s ==> strict_qua2 {v, v1, v3, v2} {v1, v3} s /\ strict_qua2 {v, v1, v3, v4} {v1, v3} s /\ strict_qua2 {v, v2, v4, v1} {v2, v4} s /\ strict_qua2 {v, v2, v4, v3} {v2, v4} s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s v v1 v2 v3 v4. interior_pos v v1 v3 v2 v4 s ==> geomdetail'simplex {v, v1, v3, v2} s /\ geomdetail'simplex {v, v1, v3, v4} s /\ geomdetail'simplex {v, v2, v4, v1} s /\ geomdetail'simplex {v, v2, v4, v3} s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s q. quarter q s <=> packing s /\ geomdetail'simplex q s /\ (?v w. v IN q /\ w IN q /\ &2 * t0 <= d3 v w /\ d3 v w <= sqrt (&8) /\ (!x y. x IN q /\ y IN q /\ ~({x, y} = {v, w}) ==> d3 x y <= &2 * t0))
% Assm: !s d ch. strict_qua2 d ch s <=> quarter d s /\ ch SUBSET d /\ (?x y. ~(x = y) /\ ch = {x, y} /\ &2 * t0 < d3 x y /\ d3 x y < sqrt (&8))
% Assm: !s v v1 v2 v3 v4. interior_pos v v1 v3 v2 v4 s ==> strict_qua2 {v, v1, v3, v2} {v1, v3} s /\ strict_qua2 {v, v1, v3, v4} {v1, v3} s /\ strict_qua2 {v, v2, v4, v1} {v2, v4} s /\ strict_qua2 {v, v2, v4, v3} {v2, v4} s
% Assm: ~F <=> T
% Assm: T
% Goal: !s v v1 v2 v3 v4. interior_pos v v1 v3 v2 v4 s ==> geomdetail'simplex {v, v1, v3, v2} s /\ geomdetail'simplex {v, v1, v3, v4} s /\ geomdetail'simplex {v, v2, v4, v1} s /\ geomdetail'simplex {v, v2, v4, v3} s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cd3, type, d3 : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cquarter, type, quarter : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cgeomdetailiu_simplex, type, geomdetaili_simplex : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cstrictuu_qua2, type, strictu_qua2 : ((cartrealn3 > $o) > (cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinterioruu_pos, type, interioru_pos : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ct0, type, t0 : real).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGeomdetailo_quarter, axiom, ![S:(cartrealn3 > $o),Q:(cartrealn3 > $o)]:((quarter @ Q @ S) <=> ((packing @ S) & (geomdetaili_simplex @ Q @ S) & ?[V:cartrealn3,W:cartrealn3]:((in @ V @ Q) & (in @ W @ Q) & (realu_le @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) @ (d3 @ V @ W)) & (realu_le @ (d3 @ V @ W) @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0)))))))) & ![X:cartrealn3,Y:cartrealn3]:(((in @ X @ Q) & (in @ Y @ Q) & ~ (((insert @ X @ (insert @ Y @ empty)) = (insert @ V @ (insert @ W @ empty))))) => (realu_le @ (d3 @ X @ Y) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0))))))).
thf(aGeomdetailo_strictu_qua2, axiom, ![S:(cartrealn3 > $o),D:(cartrealn3 > $o),CH:(cartrealn3 > $o)]:((strictu_qua2 @ D @ CH @ S) <=> ((quarter @ D @ S) & (subset @ CH @ D) & ?[X:cartrealn3,Y:cartrealn3]:(~ ((X = Y)) & (CH = (insert @ X @ (insert @ Y @ empty))) & (realu_lt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) @ (d3 @ X @ Y)) & (realu_lt @ (d3 @ X @ Y) @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0)))))))))))).
thf(aGeomdetailo_strictu_qua2u_interioru_pos, axiom, ![S:(cartrealn3 > $o),V:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3]:((interioru_pos @ V @ V1 @ V3 @ V2 @ V4 @ S) => ((strictu_qua2 @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V2 @ empty)))) @ (insert @ V1 @ (insert @ V3 @ empty)) @ S) & (strictu_qua2 @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V4 @ empty)))) @ (insert @ V1 @ (insert @ V3 @ empty)) @ S) & (strictu_qua2 @ (insert @ V @ (insert @ V2 @ (insert @ V4 @ (insert @ V1 @ empty)))) @ (insert @ V2 @ (insert @ V4 @ empty)) @ S) & (strictu_qua2 @ (insert @ V @ (insert @ V2 @ (insert @ V4 @ (insert @ V3 @ empty)))) @ (insert @ V2 @ (insert @ V4 @ empty)) @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o),V:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3]:((interioru_pos @ V @ V1 @ V3 @ V2 @ V4 @ S) => ((geomdetaili_simplex @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V2 @ empty)))) @ S) & (geomdetaili_simplex @ (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V4 @ empty)))) @ S) & (geomdetaili_simplex @ (insert @ V @ (insert @ V2 @ (insert @ V4 @ (insert @ V1 @ empty)))) @ S) & (geomdetaili_simplex @ (insert @ V @ (insert @ V2 @ (insert @ V4 @ (insert @ V3 @ empty)))) @ S)))).
