%   ORIGINAL: Geomdetail.HALF_PLANE_CONV_EP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Geomdetail.HALF_PLANE_CONV: !a b. convex {x | dist (x,a) < dist (x,b)}
% Assm: Geomdetail.convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Goal: !a b x y u v. dist (x,a) < dist (x,b) /\ dist (y,a) < dist (y,b) /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> dist (u % x + v % y,a) < dist (u % x + v % y,b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. convex {x | dist (x,a) < dist (x,b)}
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Goal: !a b x y u v. dist (x,a) < dist (x,b) /\ dist (y,a) < dist (y,b) /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> dist (u % x + v % y,a) < dist (u % x + v % y,b)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aGeomdetailo_HALFu_PLANEu_CONV, axiom, ![A:cartrealn,B:cartrealn]:(convex @ (gspec @ ^[GENR_PVARR_44:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_44 @ (realu_lt @ (distance @ (c_ @ X @ A)) @ (distance @ (c_ @ X @ B))) @ X)))).
thf(aGeomdetailo_convex, axiom, ![S:(cartrealn > $o)]:((convex @ S) <=> ![X:cartrealn,Y:cartrealn,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,X:cartrealn,Y:cartrealn,U:real,V:real]:(((realu_lt @ (distance @ (c_ @ X @ A)) @ (distance @ (c_ @ X @ B))) & (realu_lt @ (distance @ (c_ @ Y @ A)) @ (distance @ (c_ @ Y @ B))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_lt @ (distance @ (c_ @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ A)) @ (distance @ (c_ @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ B))))).
