%   ORIGINAL: Geomdetail.VORONOI_CONV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Geomdetail.HALF_PLANE_CONV_EP: !a b x y u v. dist (x,a) < dist (x,b) /\ dist (y,a) < dist (y,b) /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> dist (u % x + v % y,a) < dist (u % x + v % y,b)
% Assm: Geomdetail.convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: Geomdetail.voronoi_open: !S v. voronoi_open S v = {x | !w. S w /\ ~(w = v) ==> dist (x,v) < dist (x,w)}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s v. convex (voronoi_open s v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !a b x y u v. dist (x,a) < dist (x,b) /\ dist (y,a) < dist (y,b) /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> dist (u % x + v % y,a) < dist (u % x + v % y,b)
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: !S v. voronoi_open S v = {x | !w. S w /\ ~(w = v) ==> dist (x,v) < dist (x,w)}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: T
% Goal: !s v. convex (voronoi_open s v)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(tcartreala, type, cartreala : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tprodcartrealacartreala, type, prodcartrealacartreala : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cdistance0, type, distance0 : (prodcartrealacartreala > real)).
thf(cgspec, type, gspec : ((cartreala > $o) > cartreala > $o)).
thf(cin, type, in : (cartreala > (cartreala > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(ccu_0, type, c_0 : (cartreala > cartreala > prodcartrealacartreala)).
thf(csetspec, type, setspec : (cartreala > $o > cartreala > $o)).
thf(cru_0, type, r_0 : (real > cartreala > cartreala)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartreala > cartreala > cartreala)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cvoronoiuu_open, type, voronoiu_open : ((cartreala > $o) > cartreala > cartreala > $o)).
thf(cconvex, type, convex : ((cartreala > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGeomdetailo_HALFu_PLANEu_CONVu_EP, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn,Y:cartrealn,U:real,V:real]:(((realu_lt @ (distance @ (c_ @ X @ A)) @ (distance @ (c_ @ X @ B))) & (realu_lt @ (distance @ (c_ @ Y @ A)) @ (distance @ (c_ @ Y @ B))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_lt @ (distance @ (c_ @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ A)) @ (distance @ (c_ @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ B))))).
thf(aGeomdetailo_convex, axiom, ![S:(cartreala > $o)]:((convex @ S) <=> ![X:cartreala,Y:cartreala,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add0 @ (r_0 @ U @ X) @ (r_0 @ V @ Y)) @ S)))).
thf(aGeomdetailo_voronoiu_open, axiom, ![S:(cartreala > $o),V:cartreala]:((voronoiu_open @ S @ V) = (gspec @ ^[GENR_PVARR_0:cartreala]:?[X:cartreala]:(setspec @ GENR_PVARR_0 @ ![W:cartreala]:(((S @ W) & ~ ((W = V))) => (realu_lt @ (distance0 @ (c_0 @ X @ V)) @ (distance0 @ (c_0 @ X @ W)))) @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartreala > $o),V:cartreala]:(convex @ (voronoiu_open @ S @ V))).
