%   ORIGINAL: Geomdetail.CONVEX_IM_CONV2_SU
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Geomdetail.CONV_SET2: !x y. conv {x, y} = {w | ?a b. &0 <= a /\ &0 <= b /\ a + b = &1 /\ w = a % x + b % y}
% Assm: Geomdetail.convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s u v. convex s /\ u IN s /\ v IN s ==> conv {u, v} SUBSET s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. conv {x, y} = {w | ?a b. &0 <= a /\ &0 <= b /\ a + b = &1 /\ w = a % x + b % y}
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s u v. convex s /\ u IN s /\ v IN s ==> conv {u, v} SUBSET s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq770794, type, cartrealq770794 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq770794, type, q770794 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealq770794 > $o) > cartrealq770794 > $o)).
thf(cconv, type, conv : ((cartrealq770794 > $o) > cartrealq770794 > $o)).
thf(csubset, type, subset : ((cartrealq770794 > $o) > (cartrealq770794 > $o) > $o)).
thf(cin, type, in : (cartrealq770794 > (cartrealq770794 > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq770794 > cartrealq770794)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq770794 > cartrealq770794 > cartrealq770794)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealq770794 > $o > cartrealq770794 > $o)).
thf(cinsert, type, insert : (cartrealq770794 > (cartrealq770794 > $o) > cartrealq770794 > $o)).
thf(cempty, type, empty : (cartrealq770794 > $o)).
thf(cconvex, type, convex : ((cartrealq770794 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aGeomdetailo_CONVu_SET2, axiom, ![X:cartrealq770794,Y:cartrealq770794]:((conv @ (insert @ X @ (insert @ Y @ empty))) = (gspec @ ^[GENR_PVARR_41:cartrealq770794]:?[W:cartrealq770794]:(setspec @ GENR_PVARR_41 @ ?[A:real,B:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ((realu_add @ A @ B) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (W = (vectoru_add @ (r_ @ A @ X) @ (r_ @ B @ Y)))) @ W)))).
thf(aGeomdetailo_convex, axiom, ![S:(cartrealq770794 > $o)]:((convex @ S) <=> ![X:cartrealq770794,Y:cartrealq770794,U:real,V:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(aIN, axiom, ![P:(cartrealq770794 > $o),X:cartrealq770794]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq770794 > $o),X:cartrealq770794]:((in @ X @ (gspec @ ^[V:cartrealq770794]:?[Y:cartrealq770794]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq770794 > $o),T:(cartrealq770794 > $o)]:((subset @ S @ T) <=> ![X:cartrealq770794]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq770794 > $o),U:cartrealq770794,V:cartrealq770794]:(((convex @ S) & (in @ U @ S) & (in @ V @ S)) => (subset @ (conv @ (insert @ U @ (insert @ V @ empty))) @ S))).
