%   ORIGINAL: Geomdetail.SUB_PACKING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Geomdetail.d3: !x y. d3 x y = dist (x,y)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: Sphere.packing: !S. packing S <=> (!u v. S u /\ S v /\ ~(u = v) ==> &2 <= dist (u,v))
% Assm: TRUTH: T
% Goal: !sub s. packing s /\ sub SUBSET s ==> (!x y. x IN sub /\ y IN sub /\ ~(x = y) ==> &2 <= d3 x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. d3 x y = dist (x,y)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !S. packing S <=> (!u v. S u /\ S v /\ ~(u = v) ==> &2 <= dist (u,v))
% Assm: T
% Goal: !sub s. packing s /\ sub SUBSET s ==> (!x y. x IN sub /\ y IN sub /\ ~(x = y) ==> &2 <= d3 x y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(cd3, type, d3 : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aGeomdetailo_d3, axiom, ![X:cartrealn3,Y:cartrealn3]:((d3 @ X @ Y) = (distance @ (c_ @ X @ Y)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aSphereo_packing, axiom, ![S:(cartrealn3 > $o)]:((packing @ S) <=> ![U:cartrealn3,V:cartrealn3]:(((S @ U) & (S @ V) & ~ ((U = V))) => (realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (distance @ (c_ @ U @ V)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![SUB:(cartrealn3 > $o),S:(cartrealn3 > $o)]:(((packing @ S) & (subset @ SUB @ S)) => ![X:cartrealn3,Y:cartrealn3]:(((in @ X @ SUB) & (in @ Y @ SUB) & ~ ((X = Y))) => (realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d3 @ X @ Y))))).
