%   ORIGINAL: Geomdetail.IN_Q_IMP_BAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Geomdetail.barrier: !s. barrier s = {{v1, v2, v3} | quasi_tri {v1, v2, v3} s \/ (?v4. {v1, v2, v3} UNION {v4} IN Q_SYS s)}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: {v0, v1, v2, w} IN Q_SYS s ==> {v0, v1, v2} IN barrier s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. barrier s = {{v1, v2, v3} | quasi_tri {v1, v2, v3} s \/ (?v4. {v1, v2, v3} UNION {v4} IN Q_SYS s)}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !s v2 v1 v0 w. {v0, v1, v2, w} IN Q_SYS s ==> {v0, v1, v2} IN barrier s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cquasiuu_tri, type, quasiu_tri : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cbarrier, type, barrier : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cquu_sys, type, qu_sys : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cunion0, type, union0 : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cinsert0, type, insert0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty0, type, empty0 : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((S = T) <=> ![X:(cartrealn3 > $o)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aGeomdetailo_barrier, axiom, ![S:(cartrealn3 > $o)]:((barrier @ S) = (gspec @ ^[GENR_PVARR_18:(cartrealn3 > $o)]:?[V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:(setspec @ GENR_PVARR_18 @ ((quasiu_tri @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))) @ S) | ?[V4:cartrealn3]:(in @ (union @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))) @ (insert @ V4 @ empty)) @ (qu_sys @ S))) @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealn3 > $o) > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn3 > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn3 > $o)]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:(cartrealn3 > $o),Y:(cartrealn3 > $o),S:((cartrealn3 > $o) > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_UNION, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealn3 > $o)]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o),V2:cartrealn3,V1:cartrealn3,V0:cartrealn3,W:cartrealn3]:((in @ (insert @ V0 @ (insert @ V1 @ (insert @ V2 @ (insert @ W @ empty)))) @ (qu_sys @ S)) => (in @ (insert @ V0 @ (insert @ V1 @ (insert @ V2 @ empty))) @ (barrier @ S)))).
