%   ORIGINAL: Geomdetail.in_VC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Geomdetail.VC: !s v. VC v s = {x | v IN lambda_x x s /\ (!w. w IN lambda_x x s /\ ~(w = v) ==> d3 x v < d3 x w)}
% Assm: Geomdetail.d3: !x y. d3 x y = dist (x,y)
% Assm: Geomdetail.lambda_x: !x s. lambda_x x s = {w | w IN s /\ d3 w x < &2 /\ ~obstructed w x s}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !w s x. w IN s /\ dist (w,x) < &2 /\ (!w'. s w' /\ ~(w' = w) ==> dist (x,w) < dist (x,w')) /\ ~obstructed w x s ==> x IN VC w s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !s v. VC v s = {x | v IN lambda_x x s /\ (!w. w IN lambda_x x s /\ ~(w = v) ==> d3 x v < d3 x w)}
% Assm: !x y. d3 x y = dist (x,y)
% Assm: !x s. lambda_x x s = {w | w IN s /\ d3 w x < &2 /\ ~obstructed w x s}
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !w s x. w IN s /\ dist (w,x) < &2 /\ (!w'. s w' /\ ~(w' = w) ==> dist (x,w) < dist (x,w')) /\ ~obstructed w x s ==> x IN VC w s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(ci, type, i : (cartrealn3 > cartrealn3)).
thf(cd3, type, d3 : (cartrealn3 > cartrealn3 > real)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(clambdauu_x, type, lambdau_x : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cvc, type, vc : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cobstructed, type, obstructed : (cartrealn3 > cartrealn3 > (cartrealn3 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_SYM, axiom, ![X:cartrealn3,Y:cartrealn3]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGeomdetailo_VC, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((vc @ V @ S) = (gspec @ ^[GENR_PVARR_23:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_23 @ ((in @ V @ (lambdau_x @ X @ S)) & ![W:cartrealn3]:(((in @ W @ (lambdau_x @ X @ S)) & ~ ((W = V))) => (realu_lt @ (d3 @ X @ V) @ (d3 @ X @ W)))) @ X)))).
thf(aGeomdetailo_d3, axiom, ![X:cartrealn3,Y:cartrealn3]:((d3 @ X @ Y) = (distance @ (c_ @ X @ Y)))).
thf(aGeomdetailo_lambdau_x, axiom, ![X:cartrealn3,S:(cartrealn3 > $o)]:((lambdau_x @ X @ S) = (gspec @ ^[GENR_PVARR_21:cartrealn3]:?[W:cartrealn3]:(setspec @ GENR_PVARR_21 @ ((in @ W @ S) & (realu_lt @ (d3 @ W @ X) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) & ~ ((obstructed @ W @ X @ S))) @ W)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:cartrealn3]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:cartrealn3,S:(cartrealn3 > $o),X:cartrealn3]:(((in @ W @ S) & (realu_lt @ (distance @ (c_ @ W @ X)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) & ![WI_:cartrealn3]:(((S @ WI_) & ~ ((WI_ = W))) => (realu_lt @ (distance @ (c_ @ X @ W)) @ (distance @ (c_ @ X @ WI_)))) & ~ ((obstructed @ W @ X @ S))) => (in @ X @ (vc @ W @ S)))).
