%   ORIGINAL: Geomdetail.DIAGONAL_STRICT_QUA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Geomdetail.DIAGONAL_QUA: !a b q s. a IN q /\ b IN q /\ &2 * t0 < d3 a b /\ quarter q s ==> diagonal a b q s
% Assm: Geomdetail.strict_qua: !s d. strict_qua d s <=> quarter d s /\ (?x y. x IN d /\ y IN d /\ &2 * t0 < d3 x y /\ d3 x y < sqrt (&8))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b q s. a IN q /\ b IN q /\ &2 * t0 < d3 a b /\ strict_qua q s ==> diagonal a b q s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !a b q s. a IN q /\ b IN q /\ &2 * t0 < d3 a b /\ quarter q s ==> diagonal a b q s
% Assm: !s d. strict_qua d s <=> quarter d s /\ (?x y. x IN d /\ y IN d /\ &2 * t0 < d3 x y /\ d3 x y < sqrt (&8))
% Assm: ~F <=> T
% Assm: T
% Goal: !a b q s. a IN q /\ b IN q /\ &2 * t0 < d3 a b /\ strict_qua q s ==> diagonal a b q s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cquarter, type, quarter : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cstrictuu_qua, type, strictu_qua : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cd3, type, d3 : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cdiagonal, type, diagonal : (cartrealn3 > cartrealn3 > (cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ct0, type, t0 : real).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGeomdetailo_DIAGONALu_QUA, axiom, ![A:cartrealn3,B:cartrealn3,Q:(cartrealn3 > $o),S:(cartrealn3 > $o)]:(((in @ A @ Q) & (in @ B @ Q) & (realu_lt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) @ (d3 @ A @ B)) & (quarter @ Q @ S)) => (diagonal @ A @ B @ Q @ S))).
thf(aGeomdetailo_strictu_qua, axiom, ![S:(cartrealn3 > $o),D:(cartrealn3 > $o)]:((strictu_qua @ D @ S) <=> ((quarter @ D @ S) & ?[X:cartrealn3,Y:cartrealn3]:((in @ X @ D) & (in @ Y @ D) & (realu_lt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) @ (d3 @ X @ Y)) & (realu_lt @ (d3 @ X @ Y) @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0)))))))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn3,B:cartrealn3,Q:(cartrealn3 > $o),S:(cartrealn3 > $o)]:(((in @ A @ Q) & (in @ B @ Q) & (realu_lt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) @ (d3 @ A @ B)) & (strictu_qua @ Q @ S)) => (diagonal @ A @ B @ Q @ S))).
