%   ORIGINAL: Collect_geom.ETA_Y_SYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.ETA_X_SYM: !x y z. &0 <= x /\ &0 <= y /\ &0 <= z /\ &0 <= ups_x x y z ==> eta_x x y z = eta_x y x z /\ eta_x x y z = eta_x x z y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Real_ext.REAL_MK_NN_SQUARE: !x. &0 <= x * x
% Assm: Sphere.eta_y: !y3 y2 y1. eta_y y1 y2 y3 = (let x1 = y1 * y1 in let x2 = y2 * y2 in let x3 = y3 * y3 in eta_x x1 x2 x3)
% Assm: TRUTH: T
% Goal: !x y z. &0 <= ups_x (x * x) (y * y) (z * z) ==> eta_y x y z = eta_y y x z /\ eta_y x y z = eta_y x z y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y z. &0 <= x /\ &0 <= y /\ &0 <= z /\ &0 <= ups_x x y z ==> eta_x x y z = eta_x y x z /\ eta_x x y z = eta_x x z y
% Assm: !t. (\x. t x) = t
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: ~F <=> T
% Assm: !x. &0 <= x * x
% Assm: !y3 y2 y1. eta_y y1 y2 y3 = (let x1 = y1 * y1 in let x2 = y2 * y2 in let x3 = y3 * y3 in eta_x x1 x2 x3)
% Assm: T
% Goal: !x y z. &0 <= ups_x (x * x) (y * y) (z * z) ==> eta_y x y z = eta_y y x z /\ eta_y x y z = eta_y x z y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(clet0, type, let0 : ((real > real) > real > real)).
thf(clet, type, let : ((a > real) > a > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cetauu_x, type, etau_x : (real > real > real > real)).
thf(cetauu_y, type, etau_y : (real > real > real > real)).
thf(cupsuu_x, type, upsu_x : (real > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cletuu_end, type, letu_end : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_ETAu_Xu_SYM, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Z) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (upsu_x @ X @ Y @ Z))) => (((etau_x @ X @ Y @ Z) = (etau_x @ Y @ X @ Z)) & ((etau_x @ X @ Y @ Z) = (etau_x @ X @ Z @ Y))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLETu_DEF, axiom, ![F:(a > real),X:a]:((let @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:real]:((letu_end @ T) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRealu_exto_REALu_MKu_NNu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ X))).
thf(aSphereo_etau_y, axiom, ![Y3:real,Y2:real,Y1:real]:((etau_y @ Y1 @ Y2 @ Y3) = (let0 @ ^[X1:real]:(letu_end @ (let0 @ ^[X2:real]:(letu_end @ (let0 @ ^[X3:real]:(letu_end @ (etau_x @ X1 @ X2 @ X3)) @ (realu_mul @ Y3 @ Y3))) @ (realu_mul @ Y2 @ Y2))) @ (realu_mul @ Y1 @ Y1)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real,Z:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (upsu_x @ (realu_mul @ X @ X) @ (realu_mul @ Y @ Y) @ (realu_mul @ Z @ Z))) => (((etau_y @ X @ Y @ Z) = (etau_y @ Y @ X @ Z)) & ((etau_y @ X @ Y @ Z) = (etau_y @ X @ Z @ Y))))).
