%   ORIGINAL: Collect_geom.COLLINERA_AS_IN_CONV2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.IN_CONV_COLLINEAR: !v v1 v2. v IN conv {v1, v2} ==> collinear {v, v1, v2}
% Assm: Collect_geom.MIDDLE_POINT: !x y z. collinear {x, y, z} ==> x IN conv {y, z} \/ y IN conv {x, z} \/ z IN conv {x, y}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x y z. collinear {x, y, z} <=> x IN conv {y, z} \/ y IN conv {x, z} \/ z IN conv {x, y}
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v v1 v2. v IN conv {v1, v2} ==> collinear {v, v1, v2}
% Assm: !x y z. collinear {x, y, z} ==> x IN conv {y, z} \/ y IN conv {x, z} \/ z IN conv {x, y}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !x y z. collinear {x, y, z} <=> x IN conv {y, z} \/ y IN conv {x, z} \/ z IN conv {x, y}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cconv, type, conv : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_INu_CONVu_COLLINEAR, axiom, ![V:cartrealn3,V1:cartrealn3,V2:cartrealn3]:((in @ V @ (conv @ (insert @ V1 @ (insert @ V2 @ empty)))) => (collinear @ (insert @ V @ (insert @ V1 @ (insert @ V2 @ empty)))))).
thf(aCollectu_geomo_MIDDLEu_POINT, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) => ((in @ X @ (conv @ (insert @ Y @ (insert @ Z @ empty)))) | (in @ Y @ (conv @ (insert @ X @ (insert @ Z @ empty)))) | (in @ Z @ (conv @ (insert @ X @ (insert @ Y @ empty))))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) <=> ((in @ X @ (conv @ (insert @ Y @ (insert @ Z @ empty)))) | (in @ Y @ (conv @ (insert @ X @ (insert @ Z @ empty)))) | (in @ Z @ (conv @ (insert @ X @ (insert @ Y @ empty))))))).
