%   ORIGINAL: Collect_geom.BETWEEN_IMP_IN_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HULL_2: !a b. convex hull {a, b} = {u % a + v % b | &0 <= u /\ &0 <= v /\ u + v = &1}
% Assm: Collect_geom.BETWEEN_IFF_IN_CONVEX_HULL: !v v1 v2. dist (v1,v) + dist (v,v2) = dist (v1,v2) <=> v IN convex hull {v1, v2}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: TRUTH: T
% Goal: !v v1 v2. dist (v1,v) + dist (v,v2) = dist (v1,v2) ==> (?a b. &0 <= a /\ &0 <= b /\ a + b = &1 /\ v = a % v1 + b % v2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. convex hull {a, b} = {u % a + v % b | &0 <= u /\ &0 <= v /\ u + v = &1}
% Assm: !v v1 v2. dist (v1,v) + dist (v,v2) = dist (v1,v2) <=> v IN convex hull {v1, v2}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: T
% Goal: !v v1 v2. dist (v1,v) + dist (v,v2) = dist (v1,v2) ==> (?a b. &0 <= a /\ &0 <= b /\ a + b = &1 /\ v = a % v1 + b % v2)
%  TYPES
thf(tcartrealq796151, type, cartrealq796151 : $tType).
thf(tnum, type, num : $tType).
thf(tprodcartrealq796151cartrealq796151, type, prodcartrealq796151cartrealq796151 : $tType).
thf(ta, type, a : $tType).
thf(tq796151, type, q796151 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((real > $o) > real > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (cartrealq796151 > (cartrealq796151 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq796151 > $o) > cartrealq796151 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealq796151cartrealq796151 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csetspec0, type, setspec0 : (real > $o > real > $o)).
thf(csetspec, type, setspec : (cartrealq796151 > $o > cartrealq796151 > $o)).
thf(cinsert, type, insert : (cartrealq796151 > (cartrealq796151 > $o) > cartrealq796151 > $o)).
thf(chull, type, hull : (((cartrealq796151 > $o) > $o) > (cartrealq796151 > $o) > cartrealq796151 > $o)).
thf(cru_, type, r_ : (real > cartrealq796151 > cartrealq796151)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq796151 > cartrealq796151 > cartrealq796151)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq796151 > cartrealq796151 > prodcartrealq796151cartrealq796151)).
thf(cempty, type, empty : (cartrealq796151 > $o)).
thf(cconvex, type, convex : ((cartrealq796151 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq796151),G:(a > cartrealq796151)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HULLu_2, axiom, ![A:cartrealq796151,B:cartrealq796151]:((hull @ convex @ (insert @ A @ (insert @ B @ empty))) = (gspec @ ^[GENR_PVARR_866:cartrealq796151]:?[U:real,V:real]:(setspec @ GENR_PVARR_866 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ (vectoru_add @ (r_ @ U @ A) @ (r_ @ V @ B)))))).
thf(aCollectu_geomo_BETWEENu_IFFu_INu_CONVEXu_HULL, axiom, ![V:cartrealq796151,V1:cartrealq796151,V2:cartrealq796151]:(((realu_add @ (distance @ (c_ @ V1 @ V)) @ (distance @ (c_ @ V @ V2))) = (distance @ (c_ @ V1 @ V2))) <=> (in @ V @ (hull @ convex @ (insert @ V1 @ (insert @ V2 @ empty)))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > real > $o) > $o),X:real]:((in0 @ X @ (gspec0 @ ^[V:real]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:real]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > cartrealq796151 > $o) > $o),X:cartrealq796151]:((in @ X @ (gspec @ ^[V:cartrealq796151]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealq796151]:(P0 & (X = T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealq796151,V1:cartrealq796151,V2:cartrealq796151]:(((realu_add @ (distance @ (c_ @ V1 @ V)) @ (distance @ (c_ @ V @ V2))) = (distance @ (c_ @ V1 @ V2))) => ?[A:real,B:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ((realu_add @ A @ B) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (V = (vectoru_add @ (r_ @ A @ V1) @ (r_ @ B @ V2)))))).
