%   ORIGINAL: Collect_geom.MID_COND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.BETWEEN_IMP_IN_CONVEX_HULL: !v v1 v2. dist (v1,v) + dist (v,v2) = dist (v1,v2) ==> (?a b. &0 <= a /\ &0 <= b /\ a + b = &1 /\ v = a % v1 + b % v2)
% Assm: Collect_geom.CONV_SET2: !x y. conv {x, y} = {w | ?a b. &0 <= a /\ &0 <= b /\ a + b = &1 /\ w = a % x + b % y}
% Assm: Collect_geom.LENGTH_EQUA: !v v1 v2. v IN conv {v1, v2} ==> dist (v,v1) + dist (v,v2) = dist (v1,v2)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !v v1 v2. v IN conv {v1, v2} <=> dist (v1,v) + dist (v,v2) = dist (v1,v2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v v1 v2. dist (v1,v) + dist (v,v2) = dist (v1,v2) ==> (?a b. &0 <= a /\ &0 <= b /\ a + b = &1 /\ v = a % v1 + b % v2)
% Assm: !x y. conv {x, y} = {w | ?a b. &0 <= a /\ &0 <= b /\ a + b = &1 /\ w = a % x + b % y}
% Assm: !v v1 v2. v IN conv {v1, v2} ==> dist (v,v1) + dist (v,v2) = dist (v1,v2)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: T
% Goal: !v v1 v2. v IN conv {v1, v2} <=> dist (v1,v) + dist (v,v2) = dist (v1,v2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq796633, type, cartrealq796633 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq796633cartrealq796633, type, prodcartrealq796633cartrealq796633 : $tType).
thf(tq796633, type, q796633 : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealq796633 > $o) > cartrealq796633 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealq796633cartrealq796633 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cconv, type, conv : ((cartrealq796633 > $o) > cartrealq796633 > $o)).
thf(cin, type, in : (cartrealq796633 > (cartrealq796633 > $o) > $o)).
thf(csetspec, type, setspec : (cartrealq796633 > $o > cartrealq796633 > $o)).
thf(cru_, type, r_ : (real > cartrealq796633 > cartrealq796633)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq796633 > cartrealq796633 > cartrealq796633)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq796633 > cartrealq796633 > prodcartrealq796633cartrealq796633)).
thf(cinsert, type, insert : (cartrealq796633 > (cartrealq796633 > $o) > cartrealq796633 > $o)).
thf(cempty, type, empty : (cartrealq796633 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_BETWEENu_IMPu_INu_CONVEXu_HULL, axiom, ![V:cartrealq796633,V1:cartrealq796633,V2:cartrealq796633]:(((realu_add @ (distance @ (c_ @ V1 @ V)) @ (distance @ (c_ @ V @ V2))) = (distance @ (c_ @ V1 @ V2))) => ?[A:real,B:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ((realu_add @ A @ B) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (V = (vectoru_add @ (r_ @ A @ V1) @ (r_ @ B @ V2)))))).
thf(aCollectu_geomo_CONVu_SET2, axiom, ![X:cartrealq796633,Y:cartrealq796633]:((conv @ (insert @ X @ (insert @ Y @ empty))) = (gspec @ ^[GENR_PVARR_66:cartrealq796633]:?[W:cartrealq796633]:(setspec @ GENR_PVARR_66 @ ?[A:real,B:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ((realu_add @ A @ B) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (W = (vectoru_add @ (r_ @ A @ X) @ (r_ @ B @ Y)))) @ W)))).
thf(aCollectu_geomo_LENGTHu_EQUA, axiom, ![V:cartrealq796633,V1:cartrealq796633,V2:cartrealq796633]:((in @ V @ (conv @ (insert @ V1 @ (insert @ V2 @ empty)))) => ((realu_add @ (distance @ (c_ @ V @ V1)) @ (distance @ (c_ @ V @ V2))) = (distance @ (c_ @ V1 @ V2))))).
thf(aDISTu_SYM, axiom, ![X:cartrealq796633,Y:cartrealq796633]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq796633 > $o),X:cartrealq796633]:((in @ X @ (gspec @ ^[V:cartrealq796633]:?[Y:cartrealq796633]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealq796633,V1:cartrealq796633,V2:cartrealq796633]:((in @ V @ (conv @ (insert @ V1 @ (insert @ V2 @ empty)))) <=> ((realu_add @ (distance @ (c_ @ V1 @ V)) @ (distance @ (c_ @ V @ V2))) = (distance @ (c_ @ V1 @ V2))))).
