%   ORIGINAL: Collect_geom.AFFINE_HULL_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_HULL_EXPLICIT: !p. affine hull p = {y | ?s u. FINITE s /\ ~(s = {}) /\ s SUBSET p /\ sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct5: !n. _0 = BIT1 n <=> F
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: COND_RATOR: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_RESTRICT_SET: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Assm: VSUM_RESTRICT_SET: !P s f. vsum {x | x IN s /\ P x} f = vsum s (\x. if P x then f x else vec 0)
% Goal: !s. FINITE s ==> affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !p. affine hull p = {y | ?s u. FINITE s /\ ~(s = {}) /\ s SUBSET p /\ sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. _0 = BIT1 n <=> F
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !m n. &m = &n <=> m = n
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET s
% Assm: !f. sum {} f = &0
% Assm: !P s f. sum {x | x IN s /\ P x} f = sum s (\x. if P x then f x else &0)
% Assm: T
% Assm: !x. &0 % x = vec 0
% Assm: !P s f. vsum {x | x IN s /\ P x} f = vsum s (\x. if P x then f x else vec 0)
% Goal: !s. FINITE s ==> affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(ccond5, type, cond5 : ($o > (a > cartrealn) > (a > cartrealn) > a > cartrealn)).
thf(ccond4, type, cond4 : ($o > (a > cartrealn > $o) > (a > cartrealn > $o) > a > cartrealn > $o)).
thf(ccond3, type, cond3 : ($o > (a > real) > (a > real) > a > real)).
thf(ccond2, type, cond2 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond1, type, cond1 : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_HULLu_EXPLICIT, axiom, ![P:(cartrealn > $o)]:((hull @ affine @ P) = (gspec @ ^[GENR_PVARR_797:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_797 @ ?[S:(cartrealn > $o),U:(cartrealn > real)]:((finite @ S) & ~ ((S = empty)) & (subset @ S @ P) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[V:cartrealn]:(r_ @ (U @ V) @ V)) = Y)) @ Y)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct5, axiom, ![N:num]:((u_0 = (bit1 @ N)) <=> $false)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_RANDu_monomorphized2, axiom, ![B:$o,F:(a > real),X:a,Y:a]:((F @ (cond @ B @ X @ Y)) = (cond0 @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RANDu_monomorphized1, axiom, ![B:$o,F:(a > cartrealn > $o),X:a,Y:a]:((F @ (cond @ B @ X @ Y)) = (cond1 @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RANDu_monomorphized0, axiom, ![B:$o,F:(a > cartrealn),X:a,Y:a]:((F @ (cond @ B @ X @ Y)) = (cond2 @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RATORu_monomorphized2, axiom, ![B:$o,F:(a > real),G:(a > real),X:a]:((cond3 @ B @ F @ G @ X) = (cond0 @ B @ (F @ X) @ (G @ X)))).
thf(aCONDu_RATORu_monomorphized1, axiom, ![B:$o,F:(a > cartrealn > $o),G:(a > cartrealn > $o),X:a]:((cond4 @ B @ F @ G @ X) = (cond1 @ B @ (F @ X) @ (G @ X)))).
thf(aCONDu_RATORu_monomorphized0, axiom, ![B:$o,F:(a > cartrealn),G:(a > cartrealn),X:a]:((cond5 @ B @ F @ G @ X) = (cond2 @ B @ (F @ X) @ (G @ X)))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset0 @ S @ S)).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(cartrealn > real)]:((sum @ empty @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_RESTRICTu_SET, axiom, ![P:(cartrealn > $o),S:(cartrealn > $o),F:(cartrealn > real)]:((sum @ (gspec @ ^[GENR_PVARR_177:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_177 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) = (sum @ S @ ^[X:cartrealn]:(cond0 @ (P @ X) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_RESTRICTu_SET, axiom, ![P:(cartrealn > $o),S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((vsum @ (gspec @ ^[GENR_PVARR_252:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_252 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) = (vsum @ S @ ^[X:cartrealn]:(cond2 @ (P @ X) @ (F @ X) @ (vec @ (numeral @ u_0)))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((finite @ S) => ((hull @ affine @ S) = (gspec @ ^[GENR_PVARR_68:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_68 @ ?[U:(cartrealn > real)]:(((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[V:cartrealn]:(r_ @ (U @ V) @ V)) = Y)) @ Y))))).
