%   ORIGINAL: Collect_geom.theoremmm
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom.EXISTS_UNIQUE_TRIPLED_THM: !P. (?!(x,y,z). P x y z) <=> (?x y z. P x y z /\ (!x' y' z'. P x' y' z' ==> x' = x /\ y' = y /\ z' = z))
% Assm: TRUTH: T
% Goal: (!v1 v2 v3 v. v IN affine hull {v1, v2, v3} /\ ~collinear {v1, v2, v3} ==> (?t1 t2 t3. v = t1 % v1 + t2 % v2 + t3 % v3 /\ t1 + t2 + t3 = &1 /\ (!ta tb tc. v = ta % v1 + tb % v2 + tc % v3 /\ ta + tb + tc = &1 ==> ta = t1 /\ tb = t2 /\ tc = t3))) <=> (!v1 v2 v3 v. ~collinear {v1, v2, v3} /\ v IN affine hull {v1, v2, v3} ==> (?!(t1,t2,t3). v = t1 % v1 + t2 % v2 + t3 % v3 /\ t1 + t2 + t3 = &1))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (\P. (?) P /\ (!x y. P x /\ P y ==> x = y)) (\(x,y,z). P x y z) <=> (?x y z. P x y z /\ (!x' y' z'. P x' y' z' ==> x' = x /\ y' = y /\ z' = z))
% Assm: T
% Goal: (!v1 v2 v3 v. v IN affine hull {v1, v2, v3} /\ ~collinear {v1, v2, v3} ==> (?t1 t2 t3. v = t1 % v1 + t2 % v2 + t3 % v3 /\ t1 + t2 + t3 = &1 /\ (!ta tb tc. v = ta % v1 + tb % v2 + tc % v3 /\ ta + tb + tc = &1 ==> ta = t1 /\ tb = t2 /\ tc = t3))) <=> (!v1 v2 v3 v. ~collinear {v1, v2, v3} /\ v IN affine hull {v1, v2, v3} ==> (\P. (?) P /\ (!x y. P x /\ P y ==> x = y)) (\(t1,t2,t3). v = t1 % v1 + t2 % v2 + t3 % v3 /\ t1 + t2 + t3 = &1))
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tprodrealprodrealreal, type, prodrealprodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodrealprodrealreal > $o) > $o) > prodrealprodrealreal > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_0, type, c_0 : (real > real > prodrealreal)).
thf(ccu_, type, c_ : (real > prodrealreal > prodrealprodrealreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cqu_, type, q_ : ((prodrealprodrealreal > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized3, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > prodrealprodrealreal),G:(a > prodrealprodrealreal)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geomo_EXISTSu_UNIQUEu_TRIPLEDu_THM, axiom, ![P:(real > real > real > $o)]:((^[P0:(prodrealprodrealreal > $o)]:((q_ @ P0) & ![X:prodrealprodrealreal,Y:prodrealprodrealreal]:(((P0 @ X) & (P0 @ Y)) => (X = Y))) @ (gabs @ ^[F:(prodrealprodrealreal > $o)]:![X:real,Y:real,Z:real]:(geq @ (F @ (c_ @ X @ (c_0 @ Y @ Z))) @ (P @ X @ Y @ Z)))) <=> ?[X:real,Y:real,Z:real]:((P @ X @ Y @ Z) & ![XI_:real,YI_:real,ZI_:real]:((P @ XI_ @ YI_ @ ZI_) => ((XI_ = X) & (YI_ = Y) & (ZI_ = Z)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (![V1:cartrealn,V2:cartrealn,V3:cartrealn,V:cartrealn]:(((in @ V @ (hull @ affine @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) & ~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))))) => ?[T1:real,T2:real,T3:real]:((V = (vectoru_add @ (r_ @ T1 @ V1) @ (vectoru_add @ (r_ @ T2 @ V2) @ (r_ @ T3 @ V3)))) & ((realu_add @ T1 @ (realu_add @ T2 @ T3)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ![TA:real,TB:real,TC:real]:(((V = (vectoru_add @ (r_ @ TA @ V1) @ (vectoru_add @ (r_ @ TB @ V2) @ (r_ @ TC @ V3)))) & ((realu_add @ TA @ (realu_add @ TB @ TC)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((TA = T1) & (TB = T2) & (TC = T3))))) <=> ![V1:cartrealn,V2:cartrealn,V3:cartrealn,V:cartrealn]:((~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) & (in @ V @ (hull @ affine @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))))) => (^[P:(prodrealprodrealreal > $o)]:((q_ @ P) & ![X:prodrealprodrealreal,Y:prodrealprodrealreal]:(((P @ X) & (P @ Y)) => (X = Y))) @ (gabs @ ^[F:(prodrealprodrealreal > $o)]:![T1:real,T2:real,T3:real]:(geq @ (F @ (c_ @ T1 @ (c_0 @ T2 @ T3))) @ ((V = (vectoru_add @ (r_ @ T1 @ V1) @ (vectoru_add @ (r_ @ T2 @ V2) @ (r_ @ T3 @ V3)))) & ((realu_add @ T1 @ (realu_add @ T2 @ T3)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))))))).
