%   ORIGINAL: Collect_geom.COLLINEAR_DISJOINT3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.NOT_COLLINEAR_IMP_2_UNEQUAL: ~collinear {v0, va, vb} ==> ~(v0 = va) /\ ~(v0 = vb)
% Assm: DISJOINT_EMPTY: !s. DISJOINT {} s /\ DISJOINT s {}
% Assm: DISJOINT_INSERT: !x s t. DISJOINT (x INSERT s) t <=> DISJOINT s t /\ ~(x IN t)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !v1 v2 v3. ~collinear {v1, v2, v3} ==> DISJOINT {v2, v3} {v1}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !va v0 vb. ~collinear {v0, va, vb} ==> ~(v0 = va) /\ ~(v0 = vb)
% Assm: !s. DISJOINT {} s /\ DISJOINT s {}
% Assm: !x s t. DISJOINT (x INSERT s) t <=> DISJOINT s t /\ ~(x IN t)
% Assm: !t. (\x. t x) = t
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !v1 v2 v3. ~collinear {v1, v2, v3} ==> DISJOINT {v2, v3} {v1}
%  TYPES
thf(tcartreala, type, cartreala : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (cartreala > (cartreala > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartreala > $o) > (cartreala > $o) > $o)).
thf(cinsert, type, insert : (cartreala > (cartreala > $o) > cartreala > $o)).
thf(cempty, type, empty : (cartreala > $o)).
thf(ccollinear, type, collinear : ((cartreala > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_NOTu_COLLINEARu_IMPu_2u_UNEQUAL, axiom, ![VA:cartreala,V0:cartreala,VB:cartreala]:(~ ((collinear @ (insert @ V0 @ (insert @ VA @ (insert @ VB @ empty))))) => (~ ((V0 = VA)) & ~ ((V0 = VB))))).
thf(aDISJOINTu_EMPTY, axiom, ![S:(cartreala > $o)]:((disjoint @ empty @ S) & (disjoint @ S @ empty))).
thf(aDISJOINTu_INSERT, axiom, ![X:cartreala,S:(cartreala > $o),T:(cartreala > $o)]:((disjoint @ (insert @ X @ S) @ T) <=> ((disjoint @ S @ T) & ~ ((in @ X @ T))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_INSERT, axiom, ![X:cartreala,Y:cartreala,S:(cartreala > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartreala]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V1:cartreala,V2:cartreala,V3:cartreala]:(~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) => (disjoint @ (insert @ V2 @ (insert @ V3 @ empty)) @ (insert @ V1 @ empty)))).
