%   ORIGINAL: Collect_geom.COLLINEAR_DISJOINT_PERM3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.COLLINEAR_DISJOINT3: !v1 v2 v3. ~collinear {v1, v2, v3} ==> DISJOINT {v2, v3} {v1}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !v1 v2 v3. (~collinear {v1, v2, v3} ==> DISJOINT {v1, v2} {v3}) /\ (~collinear {v1, v2, v3} ==> DISJOINT {v2, v3} {v1}) /\ (~collinear {v1, v2, v3} ==> DISJOINT {v3, v1} {v2})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v1 v2 v3. ~collinear {v1, v2, v3} ==> DISJOINT {v2, v3} {v1}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !v1 v2 v3. (~collinear {v1, v2, v3} ==> DISJOINT {v1, v2} {v3}) /\ (~collinear {v1, v2, v3} ==> DISJOINT {v2, v3} {v1}) /\ (~collinear {v1, v2, v3} ==> DISJOINT {v3, v1} {v2})
%  TYPES
thf(tcartreala, type, cartreala : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartreala > (cartreala > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartreala > $o) > (cartreala > $o) > $o)).
thf(cinsert, type, insert : (cartreala > (cartreala > $o) > cartreala > $o)).
thf(cempty, type, empty : (cartreala > $o)).
thf(ccollinear, type, collinear : ((cartreala > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_COLLINEARu_DISJOINT3, axiom, ![V1:cartreala,V2:cartreala,V3:cartreala]:(~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) => (disjoint @ (insert @ V2 @ (insert @ V3 @ empty)) @ (insert @ V1 @ empty)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:cartreala,Y:cartreala,S:(cartreala > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartreala]:~ ((in0 @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V1:cartreala,V2:cartreala,V3:cartreala]:((~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) => (disjoint @ (insert @ V1 @ (insert @ V2 @ empty)) @ (insert @ V3 @ empty))) & (~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) => (disjoint @ (insert @ V2 @ (insert @ V3 @ empty)) @ (insert @ V1 @ empty))) & (~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) => (disjoint @ (insert @ V3 @ (insert @ V1 @ empty)) @ (insert @ V2 @ empty))))).
