%   ORIGINAL: Collect_geom.simp_def_ge
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.simp_def2_conjunct0: !a b v0. DISJOINT {a, b} {v0} ==> aff_gt {a, b} {v0} = {x | ?ta tb t. ta + tb + t = &1 /\ &0 < t /\ x = ta % a + tb % b + t % v0} /\ aff_ge {a, b} {v0} = {x | ?ta tb t. ta + tb + t = &1 /\ &0 <= t /\ x = ta % a + tb % b + t % v0}
% Assm: Collect_geom.simp_def2_conjunct1: !x y z. conv0 {x, y, z} = {t | ?a b c. a + b + c = &1 /\ &0 < a /\ &0 < b /\ &0 < c /\ t = a % x + b % y + c % z}
% Assm: Collect_geom.simp_def2_conjunct2: !x y z. affine hull {x, y, z} = {t | ?a b c. a + b + c = &1 /\ t = a % x + b % y + c % z}
% Assm: Collect_geom.simp_def2_conjunct3: !v1 v2 v3. DISJOINT {v2, v3} {v1} ==> aff_lt {v2, v3} {v1} = {x | ?t2 t3 t1. t2 + t3 + t1 = &1 /\ t1 < &0 /\ x = t2 % v2 + t3 % v3 + t1 % v1}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b v0. DISJOINT {a, b} {v0} ==> aff_ge {a, b} {v0} = {x | ?ta tb t. ta + tb + t = &1 /\ &0 <= t /\ x = ta % a + tb % b + t % v0}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b v0. DISJOINT {a, b} {v0} ==> aff_gt {a, b} {v0} = {x | ?ta tb t. ta + tb + t = &1 /\ &0 < t /\ x = ta % a + tb % b + t % v0} /\ aff_ge {a, b} {v0} = {x | ?ta tb t. ta + tb + t = &1 /\ &0 <= t /\ x = ta % a + tb % b + t % v0}
% Assm: !x y z. conv0 {x, y, z} = {t | ?a b c. a + b + c = &1 /\ &0 < a /\ &0 < b /\ &0 < c /\ t = a % x + b % y + c % z}
% Assm: !x y z. affine hull {x, y, z} = {t | ?a b c. a + b + c = &1 /\ t = a % x + b % y + c % z}
% Assm: !v1 v2 v3. DISJOINT {v2, v3} {v1} ==> aff_lt {v2, v3} {v1} = {x | ?t2 t3 t1. t2 + t3 + t1 = &1 /\ t1 < &0 /\ x = t2 % v2 + t3 % v3 + t1 % v1}
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: ~F <=> T
% Assm: T
% Goal: !a b v0. DISJOINT {a, b} {v0} ==> aff_ge {a, b} {v0} = {x | ?ta tb t. ta + tb + t = &1 /\ &0 <= t /\ x = ta % a + tb % b + t % v0}
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartreala, type, cartreala : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cconv0, type, conv0 : ((cartreala > $o) > cartreala > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cgspec, type, gspec : ((cartreala > $o) > cartreala > $o)).
thf(cdisjoint, type, disjoint : ((cartreala > $o) > (cartreala > $o) > $o)).
thf(caffuu_lt, type, affu_lt : ((cartreala > $o) > (cartreala > $o) > cartreala > $o)).
thf(chull, type, hull : (((cartreala > $o) > $o) > (cartreala > $o) > cartreala > $o)).
thf(caffuu_gt, type, affu_gt : ((cartreala > $o) > (cartreala > $o) > cartreala > $o)).
thf(cru_, type, r_ : (real > cartreala > cartreala)).
thf(cvectoruu_add, type, vectoru_add : (cartreala > cartreala > cartreala)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartreala > $o > cartreala > $o)).
thf(caffuu_ge, type, affu_ge : ((cartreala > $o) > (cartreala > $o) > cartreala > $o)).
thf(cinsert, type, insert : (cartreala > (cartreala > $o) > cartreala > $o)).
thf(caffine, type, affine : ((cartreala > $o) > $o)).
thf(cempty, type, empty : (cartreala > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartreala > $o),G:(a > cartreala > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartreala),G:(a > cartreala)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_simpu_def2u_conjunct0, axiom, ![A:cartreala,B:cartreala,V0:cartreala]:((disjoint @ (insert @ A @ (insert @ B @ empty)) @ (insert @ V0 @ empty)) => (((affu_gt @ (insert @ A @ (insert @ B @ empty)) @ (insert @ V0 @ empty)) = (gspec @ ^[GENR_PVARR_59:cartreala]:?[X:cartreala]:(setspec @ GENR_PVARR_59 @ ?[TA:real,TB:real,T:real]:(((realu_add @ TA @ (realu_add @ TB @ T)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (X = (vectoru_add @ (r_ @ TA @ A) @ (vectoru_add @ (r_ @ TB @ B) @ (r_ @ T @ V0))))) @ X))) & ((affu_ge @ (insert @ A @ (insert @ B @ empty)) @ (insert @ V0 @ empty)) = (gspec @ ^[GENR_PVARR_60:cartreala]:?[X:cartreala]:(setspec @ GENR_PVARR_60 @ ?[TA:real,TB:real,T:real]:(((realu_add @ TA @ (realu_add @ TB @ T)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (X = (vectoru_add @ (r_ @ TA @ A) @ (vectoru_add @ (r_ @ TB @ B) @ (r_ @ T @ V0))))) @ X)))))).
thf(aCollectu_geomo_simpu_def2u_conjunct1, axiom, ![X:cartreala,Y:cartreala,Z:cartreala]:((conv0 @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) = (gspec @ ^[GENR_PVARR_61:cartreala]:?[T:cartreala]:(setspec @ GENR_PVARR_61 @ ?[A:real,B:real,C:real]:(((realu_add @ A @ (realu_add @ B @ C)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ C) & (T = (vectoru_add @ (r_ @ A @ X) @ (vectoru_add @ (r_ @ B @ Y) @ (r_ @ C @ Z))))) @ T)))).
thf(aCollectu_geomo_simpu_def2u_conjunct2, axiom, ![X:cartreala,Y:cartreala,Z:cartreala]:((hull @ affine @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) = (gspec @ ^[GENR_PVARR_62:cartreala]:?[T:cartreala]:(setspec @ GENR_PVARR_62 @ ?[A:real,B:real,C:real]:(((realu_add @ A @ (realu_add @ B @ C)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (T = (vectoru_add @ (r_ @ A @ X) @ (vectoru_add @ (r_ @ B @ Y) @ (r_ @ C @ Z))))) @ T)))).
thf(aCollectu_geomo_simpu_def2u_conjunct3, axiom, ![V1:cartreala,V2:cartreala,V3:cartreala]:((disjoint @ (insert @ V2 @ (insert @ V3 @ empty)) @ (insert @ V1 @ empty)) => ((affu_lt @ (insert @ V2 @ (insert @ V3 @ empty)) @ (insert @ V1 @ empty)) = (gspec @ ^[GENR_PVARR_63:cartreala]:?[X:cartreala]:(setspec @ GENR_PVARR_63 @ ?[T2:real,T3:real,T1:real]:(((realu_add @ T2 @ (realu_add @ T3 @ T1)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (realu_lt @ T1 @ (realu_ofu_num @ (numeral @ u_0))) & (X = (vectoru_add @ (r_ @ T2 @ V2) @ (vectoru_add @ (r_ @ T3 @ V3) @ (r_ @ T1 @ V1))))) @ X))))).
thf(aETAu_AX, axiom, ![T:(cartreala > $o)]:(^[X:cartreala]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartreala > $o),G:(cartreala > $o)]:((F = G) <=> ![X:cartreala]:((F @ X) <=> (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartreala,B:cartreala,V0:cartreala]:((disjoint @ (insert @ A @ (insert @ B @ empty)) @ (insert @ V0 @ empty)) => ((affu_ge @ (insert @ A @ (insert @ B @ empty)) @ (insert @ V0 @ empty)) = (gspec @ ^[GENR_PVARR_69:cartreala]:?[X:cartreala]:(setspec @ GENR_PVARR_69 @ ?[TA:real,TB:real,T:real]:(((realu_add @ TA @ (realu_add @ TB @ T)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (X = (vectoru_add @ (r_ @ TA @ A) @ (vectoru_add @ (r_ @ TB @ B) @ (r_ @ T @ V0))))) @ X))))).
