%   ORIGINAL: Collect_geom2.DIST_POW2_DOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_POS_LE: !x. &0 <= x dot x
% Assm: SQRT_WORKS: !x. &0 <= x ==> &0 <= sqrt x /\ sqrt x pow 2 = x
% Assm: TRUTH: T
% Assm: Trigonometry.XHVXJVB: !x. norm x = sqrt (x dot x)
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !a b. dist (a,b) pow 2 = (a - b) dot (a - b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 <= x dot x
% Assm: !x. &0 <= x ==> &0 <= sqrt x /\ sqrt x pow 2 = x
% Assm: T
% Assm: !x. norm x = sqrt (x dot x)
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !a b. dist (a,b) pow 2 = (a - b) dot (a - b)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_POSu_LE, axiom, ![X:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ X @ X))).
thf(aSQRTu_WORKS, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ X)) & ((realu_pow @ (sqrt @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_XHVXJVB, axiom, ![X:cartrealn]:((vectoru_norm @ X) = (sqrt @ (dot @ X @ X)))).
thf(adist, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:((realu_pow @ (distance @ (c_ @ A @ B)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (dot @ (vectoru_sub @ A @ B) @ (vectoru_sub @ A @ B)))).
