%   ORIGINAL: Collect_geom.TROI_OI_DAT_HOI
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.lemma8: !v1 v2 v3. &0 <= ups_x (norm (v1 - v2) pow 2) (norm (v2 - v3) pow 2) (norm (v3 - v1) pow 2)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: &0 <= ups_x (dist (v1,v2) pow 2) (dist (v2,v3) pow 2) (dist (v1,v3) pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v1 v2 v3. &0 <= ups_x (norm (v1 - v2) pow 2) (norm (v2 - v3) pow 2) (norm (v3 - v1) pow 2)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !v3 v1 v2. &0 <= ups_x (dist (v1,v2) pow 2) (dist (v2,v3) pow 2) (dist (v1,v3) pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cupsuu_x, type, upsu_x : (real > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_lemma8, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (upsu_x @ (realu_pow @ (vectoru_norm @ (vectoru_sub @ V1 @ V2)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (vectoru_norm @ (vectoru_sub @ V2 @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (vectoru_norm @ (vectoru_sub @ V3 @ V1)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aDISTu_SYM, axiom, ![X:cartrealn3,Y:cartrealn3]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealn3,Y:cartrealn3]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(conjecture, conjecture, ![V3:cartrealn3,V1:cartrealn3,V2:cartrealn3]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (upsu_x @ (realu_pow @ (distance @ (c_ @ V1 @ V2)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ V2 @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ V1 @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
