%   ORIGINAL: Collect_geom.COND_FOR_CIRCUMCENTER_PROPERTIESS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.PROVE_EXISTS_RADV: !va vb vc. ~collinear {va, vb, vc} ==> (?p. p IN affine hull {va, vb, vc} /\ (?c. (!w. w IN {va, vb, vc} ==> c = dist (p,w)) /\ (!p'. p' IN affine hull {va, vb, vc} /\ (!w. w IN {va, vb, vc} ==> c = dist (p',w)) ==> p = p')))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Sphere.circumcenter: !S. circumcenter S = (@v. (affine hull S) v /\ (?c. !w. S w ==> c = dist (v,w)))
% Assm: TRUTH: T
% Goal: ~collinear {v1, v2, v3} ==> circumcenter {v1, v2, v3} IN affine hull {v1, v2, v3} /\ (?c. !v. v IN {v1, v2, v3} ==> c = dist (circumcenter {v1, v2, v3},v))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !va vb vc. ~collinear {va, vb, vc} ==> (?p. p IN affine hull {va, vb, vc} /\ (?c. (!w. w IN {va, vb, vc} ==> c = dist (p,w)) /\ (!p'. p' IN affine hull {va, vb, vc} /\ (!w. w IN {va, vb, vc} ==> c = dist (p',w)) ==> p = p')))
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !S. circumcenter S = (@v. (affine hull S) v /\ (?c. !w. S w ==> c = dist (v,w)))
% Assm: T
% Goal: !v3 v2 v1. ~collinear {v1, v2, v3} ==> circumcenter {v1, v2, v3} IN affine hull {v1, v2, v3} /\ (?c. !v. v IN {v1, v2, v3} ==> c = dist (circumcenter {v1, v2, v3},v))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(chu_0, type, h_0 : ((cartrealn3 > $o) > cartrealn3)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(ccircumcenter, type, circumcenter : ((cartrealn3 > $o) > cartrealn3)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_PROVEu_EXISTSu_RADV, axiom, ![VA:cartrealn3,VB:cartrealn3,VC:cartrealn3]:(~ ((collinear @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty))))) => ?[P:cartrealn3]:((in @ P @ (hull @ affine @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty))))) & ?[C:real]:(![W:cartrealn3]:((in @ W @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty)))) => (C = (distance @ (c_ @ P @ W)))) & ![PI_:cartrealn3]:(((in @ PI_ @ (hull @ affine @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty))))) & ![W:cartrealn3]:((in @ W @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty)))) => (C = (distance @ (c_ @ PI_ @ W))))) => (P = PI_)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSphereo_circumcenter, axiom, ![S:(cartrealn3 > $o)]:((circumcenter @ S) = (h_0 @ ^[V:cartrealn3]:((hull @ affine @ S @ V) & ?[C:real]:![W:cartrealn3]:((S @ W) => (C = (distance @ (c_ @ V @ W)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V3:cartrealn3,V2:cartrealn3,V1:cartrealn3]:(~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) => ((in @ (circumcenter @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))) @ (hull @ affine @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) & ?[C:real]:![V:cartrealn3]:((in @ V @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))) => (C = (distance @ (c_ @ (circumcenter @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))) @ V))))))).
