%   ORIGINAL: Collect_geom.CIRCUMCENTER_PROPTIES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.NGAY_MONG6: !va vb vc. ~collinear {va, vb, vc} ==> (?p. p IN affine hull {va, vb, vc} /\ (?c. !w. w IN {va, vb, vc} ==> c = dist (p,w)))
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Sphere.circumcenter: !S. circumcenter S = (@v. (affine hull S) v /\ (?c. !w. S w ==> c = dist (v,w)))
% Assm: TRUTH: T
% Goal: !va vb vc. ~collinear {va, vb, vc} ==> circumcenter {va, vb, vc} IN affine hull {va, vb, vc} /\ (?c. !w. w IN {va, vb, vc} ==> c = dist (circumcenter {va, vb, vc},w))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !va vb vc. ~collinear {va, vb, vc} ==> (?p. p IN affine hull {va, vb, vc} /\ (?c. !w. w IN {va, vb, vc} ==> c = dist (p,w)))
% Assm: (?) = (\P. P ((@) P))
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !S. circumcenter S = (@v. (affine hull S) v /\ (?c. !w. S w ==> c = dist (v,w)))
% Assm: T
% Goal: !va vb vc. ~collinear {va, vb, vc} ==> circumcenter {va, vb, vc} IN affine hull {va, vb, vc} /\ (?c. !w. w IN {va, vb, vc} ==> c = dist (circumcenter {va, vb, vc},w))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(chu_0, type, h_0 : ((cartrealn3 > $o) > cartrealn3)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(ccircumcenter, type, circumcenter : ((cartrealn3 > $o) > cartrealn3)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_NGAYu_MONG6, axiom, ![VA:cartrealn3,VB:cartrealn3,VC:cartrealn3]:(~ ((collinear @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty))))) => ?[P:cartrealn3]:((in @ P @ (hull @ affine @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty))))) & ?[C:real]:![W:cartrealn3]:((in @ W @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty)))) => (C = (distance @ (c_ @ P @ W))))))).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSphereo_circumcenter, axiom, ![S:(cartrealn3 > $o)]:((circumcenter @ S) = (h_0 @ ^[V:cartrealn3]:((hull @ affine @ S @ V) & ?[C:real]:![W:cartrealn3]:((S @ W) => (C = (distance @ (c_ @ V @ W)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![VA:cartrealn3,VB:cartrealn3,VC:cartrealn3]:(~ ((collinear @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty))))) => ((in @ (circumcenter @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty)))) @ (hull @ affine @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty))))) & ?[C:real]:![W:cartrealn3]:((in @ W @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty)))) => (C = (distance @ (c_ @ (circumcenter @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty)))) @ W))))))).
