%   ORIGINAL: Collect_geom.POXDVXO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.CIRCUMCENTER_PROPTIES: !va vb vc. ~collinear {va, vb, vc} ==> circumcenter {va, vb, vc} IN affine hull {va, vb, vc} /\ (?c. !w. w IN {va, vb, vc} ==> c = dist (circumcenter {va, vb, vc},w))
% Assm: Collect_geom.MONG7_ROI: !p a b. dist (p,a) = dist (p,b) <=> (p - &1 / &2 % (a + b)) dot (a - b) = &0
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !v1 v2 v3 p. ~collinear {v1, v2, v3} /\ p = circumcenter {v1, v2, v3} ==> (p - &1 / &2 % (v1 + v2)) dot (v1 - v2) = &0 /\ (p - &1 / &2 % (v2 + v3)) dot (v2 - v3) = &0 /\ (p - &1 / &2 % (v3 + v1)) dot (v3 - v1) = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !va vb vc. ~collinear {va, vb, vc} ==> circumcenter {va, vb, vc} IN affine hull {va, vb, vc} /\ (?c. !w. w IN {va, vb, vc} ==> c = dist (circumcenter {va, vb, vc},w))
% Assm: !p a b. dist (p,a) = dist (p,b) <=> (p - &1 / &2 % (a + b)) dot (a - b) = &0
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !v1 v2 v3 p. ~collinear {v1, v2, v3} /\ p = circumcenter {v1, v2, v3} ==> (p - &1 / &2 % (v1 + v2)) dot (v1 - v2) = &0 /\ (p - &1 / &2 % (v2 + v3)) dot (v2 - v3) = &0 /\ (p - &1 / &2 % (v3 + v1)) dot (v3 - v1) = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(ccircumcenter, type, circumcenter : ((cartrealn3 > $o) > cartrealn3)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_CIRCUMCENTERu_PROPTIES, axiom, ![VA:cartrealn3,VB:cartrealn3,VC:cartrealn3]:(~ ((collinear @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty))))) => ((in @ (circumcenter @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty)))) @ (hull @ affine @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty))))) & ?[C:real]:![W:cartrealn3]:((in @ W @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty)))) => (C = (distance @ (c_ @ (circumcenter @ (insert @ VA @ (insert @ VB @ (insert @ VC @ empty)))) @ W))))))).
thf(aCollectu_geomo_MONG7u_ROI, axiom, ![P:cartrealn3,A:cartrealn3,B:cartrealn3]:(((distance @ (c_ @ P @ A)) = (distance @ (c_ @ P @ B))) <=> ((dot @ (vectoru_sub @ P @ (r_ @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (vectoru_add @ A @ B))) @ (vectoru_sub @ A @ B)) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,P:cartrealn3]:((~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) & (P = (circumcenter @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))))) => (((dot @ (vectoru_sub @ P @ (r_ @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (vectoru_add @ V1 @ V2))) @ (vectoru_sub @ V1 @ V2)) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ (vectoru_sub @ P @ (r_ @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (vectoru_add @ V2 @ V3))) @ (vectoru_sub @ V2 @ V3)) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ (vectoru_sub @ P @ (r_ @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (vectoru_add @ V3 @ V1))) @ (vectoru_sub @ V3 @ V1)) = (realu_ofu_num @ (numeral @ u_0)))))).
