%   ORIGINAL: Collect_geom.ETA_Y_SYYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.ETA_X_SYMM: !a b c. eta_x a b c = eta_x b a c /\ eta_x a b c = eta_x c b a
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Sphere.eta_y: !y3 y2 y1. eta_y y1 y2 y3 = (let x1 = y1 * y1 in let x2 = y2 * y2 in let x3 = y3 * y3 in eta_x x1 x2 x3)
% Assm: TRUTH: T
% Goal: !x y z. eta_y x y z = eta_y y x z /\ eta_y x y z = eta_y z y x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b c. eta_x a b c = eta_x b a c /\ eta_x a b c = eta_x c b a
% Assm: !t. (\x. t x) = t
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: ~F <=> T
% Assm: !y3 y2 y1. eta_y y1 y2 y3 = (let x1 = y1 * y1 in let x2 = y2 * y2 in let x3 = y3 * y3 in eta_x x1 x2 x3)
% Assm: T
% Goal: !x y z. eta_y x y z = eta_y y x z /\ eta_y x y z = eta_y z y x
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clet0, type, let0 : ((real > real) > real > real)).
thf(clet, type, let : ((a > real) > a > real)).
thf(cetauu_x, type, etau_x : (real > real > real > real)).
thf(cetauu_y, type, etau_y : (real > real > real > real)).
thf(cletuu_end, type, letu_end : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_ETAu_Xu_SYMM, axiom, ![A:real,B:real,C:real]:(((etau_x @ A @ B @ C) = (etau_x @ B @ A @ C)) & ((etau_x @ A @ B @ C) = (etau_x @ C @ B @ A)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLETu_DEF, axiom, ![F:(a > real),X:a]:((let @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:real]:((letu_end @ T) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSphereo_etau_y, axiom, ![Y3:real,Y2:real,Y1:real]:((etau_y @ Y1 @ Y2 @ Y3) = (let0 @ ^[X1:real]:(letu_end @ (let0 @ ^[X2:real]:(letu_end @ (let0 @ ^[X3:real]:(letu_end @ (etau_x @ X1 @ X2 @ X3)) @ (realu_mul @ Y3 @ Y3))) @ (realu_mul @ Y2 @ Y2))) @ (realu_mul @ Y1 @ Y1)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real,Z:real]:(((etau_y @ X @ Y @ Z) = (etau_y @ Y @ X @ Z)) & ((etau_y @ X @ Y @ Z) = (etau_y @ Z @ Y @ X)))).
