%   ORIGINAL: Collect_geom.NONCOPLANAR_4_DISTINCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom.COPLANAR_3: !a b c. 2 <= dimindex (:N) ==> coplanar_alt {a, b, c}
% Assm: INSERT_AC_conjunct0: x INSERT y INSERT s = y INSERT x INSERT s
% Assm: INSERT_AC_conjunct1: x INSERT x INSERT s = x INSERT s
% Assm: TRUTH: T
% Goal: !a b c d. ~coplanar_alt {a, b, c, d} /\ 2 <= dimindex (:N) ==> ~(a = b) /\ ~(a = c) /\ ~(a = d) /\ ~(b = c) /\ ~(b = d) /\ ~(c = d)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b c. 2 <= dimindex (:N) ==> coplanar_alt {a, b, c}
% Assm: !y x s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !x s. x INSERT x INSERT s = x INSERT s
% Assm: T
% Goal: !a b c d. ~coplanar_alt {a, b, c, d} /\ 2 <= dimindex (:N) ==> ~(a = b) /\ ~(a = c) /\ ~(a = d) /\ ~(b = c) /\ ~(b = d) /\ ~(c = d)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccoplanaruu_alt, type, coplanaru_alt : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geomo_COPLANARu_3, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn]:((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) => (coplanaru_alt @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))))).
thf(aINSERTu_ACu_conjunct0, axiom, ![Y:cartrealn,X:cartrealn,S:(cartrealn > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINSERTu_ACu_conjunct1, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((insert @ X @ (insert @ X @ S)) = (insert @ X @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:((~ ((coplanaru_alt @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))))) & (l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ))) => (~ ((A = B)) & ~ ((A = C)) & ~ ((A = D)) & ~ ((B = C)) & ~ ((B = D)) & ~ ((C = D))))).
