%   ORIGINAL: Collect_geom.DET_VECC3_AND_DELTA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.DET_VEC3_AND_DELTA: !a b c d. &4 * det_vec3 (a - d) (b - d) (c - d) pow 2 = delta (d3 a d pow 2) (d3 b d pow 2) (d3 c d pow 2) (d3 a b pow 2) (d3 a c pow 2) (d3 b c pow 2)
% Assm: Collect_geom.trg_d3_sym: !x y. d3 x y = d3 y x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !d a b c. delta (d3 d a pow 2) (d3 d b pow 2) (d3 d c pow 2) (d3 a b pow 2) (d3 a c pow 2) (d3 b c pow 2) = &4 * det_vec3 (a - d) (b - d) (c - d) pow 2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b c d. &4 * det_vec3 (a - d) (b - d) (c - d) pow 2 = delta (d3 a d pow 2) (d3 b d pow 2) (d3 c d pow 2) (d3 a b pow 2) (d3 a c pow 2) (d3 b c pow 2)
% Assm: !x y. d3 x y = d3 y x
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !d a b c. delta (d3 d a pow 2) (d3 d b pow 2) (d3 d c pow 2) (d3 a b pow 2) (d3 a c pow 2) (d3 b c pow 2) = &4 * det_vec3 (a - d) (b - d) (c - d) pow 2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cd3, type, d3 : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cdetuu_vec3, type, detu_vec3 : (cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdelta, type, delta : (real > real > real > real > real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_DETu_VEC3u_ANDu_DELTA, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,D:cartrealn3]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_pow @ (detu_vec3 @ (vectoru_sub @ A @ D) @ (vectoru_sub @ B @ D) @ (vectoru_sub @ C @ D)) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (delta @ (realu_pow @ (d3 @ A @ D) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ B @ D) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ C @ D) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ A @ B) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ A @ C) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ B @ C) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aCollectu_geomo_trgu_d3u_sym, axiom, ![X:cartrealn3,Y:cartrealn3]:((d3 @ X @ Y) = (d3 @ Y @ X))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![D:cartrealn3,A:cartrealn3,B:cartrealn3,C:cartrealn3]:((delta @ (realu_pow @ (d3 @ D @ A) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ D @ B) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ D @ C) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ A @ B) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ A @ C) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ B @ C) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_pow @ (detu_vec3 @ (vectoru_sub @ A @ D) @ (vectoru_sub @ B @ D) @ (vectoru_sub @ C @ D)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
