%   ORIGINAL: Collect_geom2.EQ_SQRT_POW2_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom.EQ_POW2_COND: !a b. &0 <= a /\ &0 <= b ==> (a = b <=> a pow 2 = b pow 2)
% Assm: SQRT_WORKS: !x. &0 <= x ==> &0 <= sqrt x /\ sqrt x pow 2 = x
% Assm: TRUTH: T
% Goal: &0 <= a /\ &0 <= b ==> (a = sqrt b <=> a pow 2 = b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. &0 <= a /\ &0 <= b ==> (a = b <=> a pow 2 = b pow 2)
% Assm: !x. &0 <= x ==> &0 <= sqrt x /\ sqrt x pow 2 = x
% Assm: T
% Goal: !b a. &0 <= a /\ &0 <= b ==> (a = sqrt b <=> a pow 2 = b)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geomo_EQu_POW2u_COND, axiom, ![A:real,B:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B)) => ((A = B) <=> ((realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aSQRTu_WORKS, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ X)) & ((realu_pow @ (sqrt @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:real,A:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B)) => ((A = (sqrt @ B)) <=> ((realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) = B)))).
