%   ORIGINAL: Collect_geom2.POS_IMP_POW2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.POW2_COND: !a b. &0 <= a /\ &0 <= b ==> (a <= b <=> a pow 2 <= b pow 2)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Goal: &0 <= a /\ a <= b ==> a pow 2 <= b pow 2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. &0 <= a /\ &0 <= b ==> (a <= b <=> a pow 2 <= b pow 2)
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Goal: !b a. &0 <= a /\ a <= b ==> a pow 2 <= b pow 2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_POW2u_COND, axiom, ![A:real,B:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B)) => ((realu_le @ A @ B) <=> (realu_le @ (realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:real,A:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ A @ B)) => (realu_le @ (realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ B @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
