%   ORIGINAL: Collect_geom2.CONVEX_HULL4
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HULL_FINITE: !s. convex hull s = {y | ?u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y}
% Assm: TRUTH: T
% Goal: convex hull {v1, v2, v3, v4} = {y | ?u. (!x. x IN {v1, v2, v3, v4} ==> &0 <= u x) /\ sum {v1, v2, v3, v4} u = &1 /\ vsum {v1, v2, v3, v4} (\x. u x % x) = y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. convex hull s = {y | ?u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y}
% Assm: T
% Goal: !v4 v3 v2 v1. convex hull {v1, v2, v3, v4} = {y | ?u. (!x. x IN {v1, v2, v3, v4} ==> &0 <= u x) /\ sum {v1, v2, v3, v4} u = &1 /\ vsum {v1, v2, v3, v4} (\x. u x % x) = y}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HULLu_FINITE, axiom, ![S:(cartrealn > $o)]:((hull @ convex @ S) = (gspec @ ^[GENR_PVARR_862:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_862 @ ?[U:(cartrealn > real)]:(![X:cartrealn]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) = Y)) @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V4:cartrealn,V3:cartrealn,V2:cartrealn,V1:cartrealn]:((hull @ convex @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty))))) = (gspec @ ^[GENR_PVARR_862:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_862 @ ?[U:(cartrealn > real)]:(![X:cartrealn]:((in @ X @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty))))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))) @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))) @ ^[X:cartrealn]:(r_ @ (U @ X) @ X)) = Y)) @ Y)))).
