%   ORIGINAL: Collect_geom2.TXDIACY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_EXPLICIT: !s. convex s <=> (!t u. FINITE t /\ t SUBSET s /\ (!x. x IN t ==> &0 <= u x) /\ sum t u = &1 ==> vsum t (\x. u x % x) IN s)
% Assm: Collect_geom2.CONVEX_HULL4: convex hull {v1, v2, v3, v4} = {y | ?u. (!x. x IN {v1, v2, v3, v4} ==> &0 <= u x) /\ sum {v1, v2, v3, v4} u = &1 /\ vsum {v1, v2, v3, v4} (\x. u x % x) = y}
% Assm: Collect_geom2.CONVEX_NORMBALL: !x e. convex (normball x e)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Geomdetail.FINITE6: !a b c d e f. FINITE {} /\ FINITE {a} /\ FINITE {a, b} /\ FINITE {a, b, c} /\ FINITE {a, b, c, d} /\ FINITE {a, b, c, d, e} /\ FINITE {a, b, c, d, e, f}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !a b c d v0 r. {a, b, c, d} SUBSET normball v0 r ==> convex hull {a, b, c, d} SUBSET normball v0 r
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex s <=> (!t u. FINITE t /\ t SUBSET s /\ (!x. x IN t ==> &0 <= u x) /\ sum t u = &1 ==> vsum t (\x. u x % x) IN s)
% Assm: !v1 v2 v3 v4. convex hull {v1, v2, v3, v4} = {y | ?u. (!x. x IN {v1, v2, v3, v4} ==> &0 <= u x) /\ sum {v1, v2, v3, v4} u = &1 /\ vsum {v1, v2, v3, v4} (\x. u x % x) = y}
% Assm: !x e. convex (normball x e)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !a b c d e f. FINITE {} /\ FINITE {a} /\ FINITE {a, b} /\ FINITE {a, b, c} /\ FINITE {a, b, c, d} /\ FINITE {a, b, c, d, e} /\ FINITE {a, b, c, d, e, f}
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !a b c d v0 r. {a, b, c, d} SUBSET normball v0 r ==> convex hull {a, b, c, d} SUBSET normball v0 r
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(csum, type, sum : ((cartrealn3 > $o) > (cartrealn3 > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvsum, type, vsum : ((cartrealn3 > $o) > (cartrealn3 > cartrealn3) > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cnormball, type, normball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_EXPLICIT, axiom, ![S:(cartrealn3 > $o)]:((convex @ S) <=> ![T:(cartrealn3 > $o),U:(cartrealn3 > real)]:(((finite @ T) & (subset @ T @ S) & ![X:cartrealn3]:((in @ X @ T) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ T @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vsum @ T @ ^[X:cartrealn3]:(r_ @ (U @ X) @ X)) @ S)))).
thf(aCollectu_geom2o_CONVEXu_HULL4, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3]:((hull @ convex @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty))))) = (gspec @ ^[GENR_PVARR_862:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_862 @ ?[U:(cartrealn3 > real)]:(![X:cartrealn3]:((in @ X @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty))))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))) @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))) @ ^[X:cartrealn3]:(r_ @ (U @ X) @ X)) = Y)) @ Y)))).
thf(aCollectu_geom2o_CONVEXu_NORMBALL, axiom, ![X:cartrealn3,E:real]:(convex @ (normball @ X @ E))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aGeomdetailo_FINITE6, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,D:cartrealn3,E:cartrealn3,F:cartrealn3]:((finite @ empty) & (finite @ (insert @ A @ empty)) & (finite @ (insert @ A @ (insert @ B @ empty))) & (finite @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) & (finite @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))) & (finite @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ (insert @ E @ empty)))))) & (finite @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ (insert @ E @ (insert @ F @ empty))))))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,D:cartrealn3,V0:cartrealn3,R:real]:((subset @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) @ (normball @ V0 @ R)) => (subset @ (hull @ convex @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))) @ (normball @ V0 @ R)))).
