%   ORIGINAL: Collect_geom2.PLANE_IMP_AFFINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_AFFINE_HULL: !s. affine (affine hull s)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Sphere.plane: !x. plane x <=> (?u v w. ~collinear {u, v, w} /\ x = affine hull {u, v, w})
% Assm: TRUTH: T
% Goal: plane p ==> affine p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. affine (affine hull s)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. plane x <=> (?u v w. ~collinear {u, v, w} /\ x = affine hull {u, v, w})
% Assm: T
% Goal: !p. plane p ==> affine p
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cplane, type, plane : ((cartrealn > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(affine @ (hull @ affine @ S))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSphereo_plane, axiom, ![X:(cartrealn > $o)]:((plane @ X) <=> ?[U:cartrealn,V:cartrealn,W:cartrealn]:(~ ((collinear @ (insert @ U @ (insert @ V @ (insert @ W @ empty))))) & (X = (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn > $o)]:((plane @ P) => (affine @ P))).
