%   ORIGINAL: Collect_geom2.IMP_AFFINE_HULL_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE: !V. affine V <=> (!s u. FINITE s /\ ~(s = {}) /\ s SUBSET V /\ sum s u = &1 ==> vsum s (\x. u x % x) IN V)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.AFFINE_HULL_FINITE: !s. FINITE s ==> affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: FINITE a /\ a SUBSET s /\ ~(a = {}) /\ affine s ==> affine hull a SUBSET s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !V. affine V <=> (!s u. FINITE s /\ ~(s = {}) /\ s SUBSET V /\ sum s u = &1 ==> vsum s (\x. u x % x) IN V)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. FINITE s ==> affine hull s = {y | ?u. sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s a. FINITE a /\ a SUBSET s /\ ~(a = {}) /\ affine s ==> affine hull a SUBSET s
%  TYPES
thf(tq842518, type, q842518 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq842518, type, cartrealq842518 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealq842518 > $o) > cartrealq842518 > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq842518 > $o) > cartrealq842518 > $o)).
thf(cin, type, in : (cartrealq842518 > (cartrealq842518 > $o) > $o)).
thf(csum, type, sum : ((cartrealq842518 > $o) > (cartrealq842518 > real) > real)).
thf(csubset, type, subset : ((cartrealq842518 > $o) > (cartrealq842518 > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (cartrealq842518 > $o > cartrealq842518 > $o)).
thf(cru_, type, r_ : (real > cartrealq842518 > cartrealq842518)).
thf(cvsum, type, vsum : ((cartrealq842518 > $o) > (cartrealq842518 > cartrealq842518) > cartrealq842518)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chull, type, hull : (((cartrealq842518 > $o) > $o) > (cartrealq842518 > $o) > cartrealq842518 > $o)).
thf(caffine, type, affine : ((cartrealq842518 > $o) > $o)).
thf(cempty, type, empty : (cartrealq842518 > $o)).
thf(cfinite, type, finite : ((cartrealq842518 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq842518 > $o),G:(a > cartrealq842518 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINE, axiom, ![V:(cartrealq842518 > $o)]:((affine @ V) <=> ![S:(cartrealq842518 > $o),U:(cartrealq842518 > real)]:(((finite @ S) & ~ ((S = empty)) & (subset @ S @ V) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vsum @ S @ ^[X:cartrealq842518]:(r_ @ (U @ X) @ X)) @ V)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_AFFINEu_HULLu_FINITE, axiom, ![S:(cartrealq842518 > $o)]:((finite @ S) => ((hull @ affine @ S) = (gspec @ ^[GENR_PVARR_68:cartrealq842518]:?[Y:cartrealq842518]:(setspec @ GENR_PVARR_68 @ ?[U:(cartrealq842518 > real)]:(((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[V:cartrealq842518]:(r_ @ (U @ V) @ V)) = Y)) @ Y))))).
thf(aETAu_AX, axiom, ![T:(cartrealq842518 > $o)]:(^[X:cartrealq842518]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealq842518 > $o),G:(cartrealq842518 > $o)]:((F = G) <=> ![X:cartrealq842518]:((F @ X) <=> (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:(cartrealq842518 > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq842518 > $o),T:(cartrealq842518 > $o)]:((subset @ S @ T) <=> ![X:cartrealq842518]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq842518 > $o),A:(cartrealq842518 > $o)]:(((finite @ A) & (subset @ A @ S) & ~ ((A = empty)) & (affine @ S)) => (subset @ (hull @ affine @ A) @ S))).
