%   ORIGINAL: Collect_geom2.NOT_COPLANAR_IMP_CARD4
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.IN_SET3: x IN {a, b, c} <=> x = a \/ x = b \/ x = c
% Assm: Collect_geom2.PER_SET4: {a, b, c, d} = {b, a, c, d} /\ {a, b, c, d} = {c, b, a, d} /\ {a, b, c, d} = {d, b, c, a}
% Assm: Collect_geom2.THREE_POINTS_COP: !v1 v2 v3. coplanar_alt {v1, v2, v3}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Geomdetail.CARD4: !a b c d. CARD {a, b, c, d} <= 4 /\ (CARD {a, b, c, d} = 4 <=> ~(a IN {b, c, d}) /\ ~(b = c \/ c = d \/ d = b))
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: ~coplanar_alt {v1, v2, v3, v4} ==> CARD {v1, v2, v3, v4} = 4
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b x c. x IN {a, b, c} <=> x = a \/ x = b \/ x = c
% Assm: !d b c a. {a, b, c, d} = {b, a, c, d} /\ {a, b, c, d} = {c, b, a, d} /\ {a, b, c, d} = {d, b, c, a}
% Assm: !v1 v2 v3. coplanar_alt {v1, v2, v3}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !a b c d. CARD {a, b, c, d} <= 4 /\ (CARD {a, b, c, d} = 4 <=> ~(a IN {b, c, d}) /\ ~(b = c \/ c = d \/ d = b))
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !v4 v3 v2 v1. ~coplanar_alt {v1, v2, v3, v4} ==> CARD {v1, v2, v3, v4} = 4
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccoplanaruu_alt, type, coplanaru_alt : ((cartrealn3 > $o) > $o)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_INu_SET3, axiom, ![A:cartrealn3,B:cartrealn3,X:cartrealn3,C:cartrealn3]:((in @ X @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) <=> ((X = A) | (X = B) | (X = C)))).
thf(aCollectu_geom2o_PERu_SET4, axiom, ![D:cartrealn3,B:cartrealn3,C:cartrealn3,A:cartrealn3]:(((insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) = (insert @ B @ (insert @ A @ (insert @ C @ (insert @ D @ empty))))) & ((insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) = (insert @ C @ (insert @ B @ (insert @ A @ (insert @ D @ empty))))) & ((insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) = (insert @ D @ (insert @ B @ (insert @ C @ (insert @ A @ empty))))))).
thf(aCollectu_geom2o_THREEu_POINTSu_COP, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:(coplanaru_alt @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aGeomdetailo_CARD4, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,D:cartrealn3]:((l_a_ @ (card @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) & (((card @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))) = (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) <=> (~ ((in @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))) & ~ (((B = C) | (C = D) | (D = B))))))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V4:cartrealn3,V3:cartrealn3,V2:cartrealn3,V1:cartrealn3]:(~ ((coplanaru_alt @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))))) => ((card @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty))))) = (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))))).
