%   ORIGINAL: Collect_geom2.NOT_COPLANAR_IMP_RADV_PROPERTIES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.radV: !S. radV S = (@c. !w. S w ==> c = dist (circumcenter S,w))
% Assm: Collect_geom2.NOT_COPLANAR_IMP_EXISTS_CIR2: !v1 v2 v3 v4. ~coplanar_alt {v1, v2, v3, v4} ==> circumcenter {v1, v2, v3, v4} IN affine hull {v1, v2, v3, v4} /\ (?r. !v. v IN {v1, v2, v3, v4} ==> r = dist (circumcenter {v1, v2, v3, v4},v))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: ~coplanar_alt {v1, v2, v3, v4} ==> (!w. {v1, v2, v3, v4} w ==> radV {v1, v2, v3, v4} = dist (circumcenter {v1, v2, v3, v4},w))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !S. radV S = (@c. !w. S w ==> c = dist (circumcenter S,w))
% Assm: !v1 v2 v3 v4. ~coplanar_alt {v1, v2, v3, v4} ==> circumcenter {v1, v2, v3, v4} IN affine hull {v1, v2, v3, v4} /\ (?r. !v. v IN {v1, v2, v3, v4} ==> r = dist (circumcenter {v1, v2, v3, v4},v))
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !v4 v3 v2 v1. ~coplanar_alt {v1, v2, v3, v4} ==> (!w. {v1, v2, v3, v4} w ==> radV {v1, v2, v3, v4} = dist (circumcenter {v1, v2, v3, v4},w))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(chu_, type, h_ : ((real > $o) > real)).
thf(ccircumcenter, type, circumcenter : ((cartrealn3 > $o) > cartrealn3)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(cradv, type, radv : ((cartrealn3 > $o) > real)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccoplanaruu_alt, type, coplanaru_alt : ((cartrealn3 > $o) > $o)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_radV, axiom, ![S:(cartrealn3 > $o)]:((radv @ S) = (h_ @ ^[C:real]:![W:cartrealn3]:((S @ W) => (C = (distance @ (c_ @ (circumcenter @ S) @ W))))))).
thf(aCollectu_geom2o_NOTu_COPLANARu_IMPu_EXISTSu_CIR2, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3]:(~ ((coplanaru_alt @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))))) => ((in @ (circumcenter @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty))))) @ (hull @ affine @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))))) & ?[R:real]:![V:cartrealn3]:((in @ V @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty))))) => (R = (distance @ (c_ @ (circumcenter @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty))))) @ V))))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_0 @ P)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V4:cartrealn3,V3:cartrealn3,V2:cartrealn3,V1:cartrealn3]:(~ ((coplanaru_alt @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))))) => ![W:cartrealn3]:((insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty))) @ W) => ((radv @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty))))) = (distance @ (c_ @ (circumcenter @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty))))) @ W)))))).
