%   ORIGINAL: Collect_geom2.ETA_Y_POS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.ZERO_LE_UPS_X: &0 <= ups_x (d3 x y pow 2) (d3 x z pow 2) (d3 y z pow 2)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_DIV: !x y. &0 <= x /\ &0 <= y ==> &0 <= x / y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: Real_ext.REAL_MK_LE_SQUARE: !x. &0 <= x pow 2
% Assm: SQRT_POS_LE: !x. &0 <= x ==> &0 <= sqrt x
% Assm: Sphere.eta_x: !x1 x2 x3. eta_x x1 x2 x3 = sqrt ((x1 * x2 * x3) / ups_x x1 x2 x3)
% Assm: Sphere.eta_y: !y3 y2 y1. eta_y y1 y2 y3 = (let x1 = y1 * y1 in let x2 = y2 * y2 in let x3 = y3 * y3 in eta_x x1 x2 x3)
% Assm: TRUTH: T
% Goal: &0 <= eta_y (d3 v1 v2) (d3 v1 v3) (d3 v2 v3)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y z. &0 <= ups_x (d3 x y pow 2) (d3 x z pow 2) (d3 y z pow 2)
% Assm: !x. x pow 2 = x * x
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: ~F <=> T
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x / y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x. &0 <= x pow 2
% Assm: !x. &0 <= x ==> &0 <= sqrt x
% Assm: !x1 x2 x3. eta_x x1 x2 x3 = sqrt ((x1 * x2 * x3) / ups_x x1 x2 x3)
% Assm: !y3 y2 y1. eta_y y1 y2 y3 = (let x1 = y1 * y1 in let x2 = y2 * y2 in let x3 = y3 * y3 in eta_x x1 x2 x3)
% Assm: T
% Goal: !v3 v2 v1. &0 <= eta_y (d3 v1 v2) (d3 v1 v3) (d3 v2 v3)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(clet0, type, let0 : ((real > real) > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cd3, type, d3 : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clet, type, let : ((a > b) > a > b)).
thf(cetauu_x, type, etau_x : (real > real > real > real)).
thf(cupsuu_x, type, upsu_x : (real > real > real > real)).
thf(cetauu_y, type, etau_y : (real > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cletuu_end, type, letu_end : (a > a)).
thf(cletuu_end0, type, letu_end0 : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_ZEROu_LEu_UPSu_X, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (upsu_x @ (realu_pow @ (d3 @ X @ Y) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ X @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (d3 @ Y @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aLETu_DEF, axiom, ![F:(a > b),X:a]:((let @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:a]:((letu_end @ T) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_DIV, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_MKu_LEu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aSQRTu_POSu_LE, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ X)))).
thf(aSphereo_etau_x, axiom, ![X1:real,X2:real,X3:real]:((etau_x @ X1 @ X2 @ X3) = (sqrt @ (realu_div @ (realu_mul @ X1 @ (realu_mul @ X2 @ X3)) @ (upsu_x @ X1 @ X2 @ X3))))).
thf(aSphereo_etau_y, axiom, ![Y3:real,Y2:real,Y1:real]:((etau_y @ Y1 @ Y2 @ Y3) = (let0 @ ^[X1:real]:(letu_end0 @ (let0 @ ^[X2:real]:(letu_end0 @ (let0 @ ^[X3:real]:(letu_end0 @ (etau_x @ X1 @ X2 @ X3)) @ (realu_mul @ Y3 @ Y3))) @ (realu_mul @ Y2 @ Y2))) @ (realu_mul @ Y1 @ Y1)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V3:cartrealn3,V2:cartrealn3,V1:cartrealn3]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (etau_y @ (d3 @ V1 @ V2) @ (d3 @ V1 @ V3) @ (d3 @ V2 @ V3)))).
