%   ORIGINAL: Real_ext.REAL_PROP_EQ_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Real_ext.REAL_PROP_EQ_LMUL_': !x y z. x * y = x * z <=> x = &0 \/ y = z
% Assm: TRUTH: T
% Goal: !x a b. x * a = x * b ==> ~(x = &0) ==> a = b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y z. x * y = x * z <=> x = &0 \/ y = z
% Assm: T
% Goal: !x a b. x * a = x * b ==> ~(x = &0) ==> a = b
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRealu_exto_REALu_PROPu_EQu_LMULu_i_, axiom, ![X:real,Y:real,Z:real]:(((realu_mul @ X @ Y) = (realu_mul @ X @ Z)) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = Z)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,A:real,B:real]:(((realu_mul @ X @ A) = (realu_mul @ X @ B)) => (~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => (A = B)))).
