%   ORIGINAL: Real_ext.REAL_PROP_EQ_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EQ_MUL_RCANCEL: !x y z. x * z = y * z <=> x = y \/ z = &0
% Assm: TRUTH: T
% Goal: !x a b. a * x = b * x ==> ~(x = &0) ==> a = b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y z. x * z = y * z <=> x = y \/ z = &0
% Assm: T
% Goal: !x a b. a * x = b * x ==> ~(x = &0) ==> a = b
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EQu_MULu_RCANCEL, axiom, ![X:real,Y:real,Z:real]:(((realu_mul @ X @ Z) = (realu_mul @ Y @ Z)) <=> ((X = Y) | (Z = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,A:real,B:real]:(((realu_mul @ A @ X) = (realu_mul @ B @ X)) => (~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => (A = B)))).
