%   ORIGINAL: Num_ext_nabs.INT_REP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INT_NEG_EQ: !x y. --x = y <=> x = --y
% Assm: INT_SUB_LZERO: !x. &0 - x = --x
% Assm: INT_SUB_RZERO: !x. x - &0 = x
% Assm: Num_ext_nabs.INT_IS_INT: !a. integer (real_of_int a)
% Assm: Num_ext_nabs.INT_OF_NUM_DEST: !a n. real_of_int a = &n <=> a = &n
% Assm: REAL_NEG_EQ: !x y. --x = y <=> x = --y
% Assm: TRUTH: T
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Assm: is_int: integer x <=> (?n. x = &n \/ x = -- &n)
% Goal: !a. ?n m. a = &n - &m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. --x = y <=> x = --y
% Assm: !x. &0 - x = --x
% Assm: !x. x - &0 = x
% Assm: !a. integer (real_of_int a)
% Assm: !a n. real_of_int a = &n <=> a = &n
% Assm: !x y. --x = y <=> x = --y
% Assm: T
% Assm: !x. real_of_int (--x) = --real_of_int x
% Assm: !x. integer x <=> (?n. x = &n \/ x = -- &n)
% Goal: !a. ?n m. a = &n - &m
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cinteger, type, integer : (real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTu_NEGu_EQ, axiom, ![X:int,Y:int]:(((intu_neg @ X) = Y) <=> (X = (intu_neg @ Y)))).
thf(aINTu_SUBu_LZERO, axiom, ![X:int]:((intu_sub @ (intu_ofu_num @ (numeral @ u_0)) @ X) = (intu_neg @ X))).
thf(aINTu_SUBu_RZERO, axiom, ![X:int]:((intu_sub @ X @ (intu_ofu_num @ (numeral @ u_0))) = X)).
thf(aNumu_extu_nabso_INTu_ISu_INT, axiom, ![A:int]:(integer @ (realu_ofu_int @ A))).
thf(aNumu_extu_nabso_INTu_OFu_NUMu_DEST, axiom, ![A:int,N:num]:(((realu_ofu_int @ A) = (realu_ofu_num @ N)) <=> (A = (intu_ofu_num @ N)))).
thf(aREALu_NEGu_EQ, axiom, ![X:real,Y:real]:(((realu_neg @ X) = Y) <=> (X = (realu_neg @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(aisu_int, axiom, ![X:real]:((integer @ X) <=> ?[N:num]:((X = (realu_ofu_num @ N)) | (X = (realu_neg @ (realu_ofu_num @ N)))))).
thf(conjecture, conjecture, ![A:int]:?[N:num,M:num]:(A = (intu_sub @ (intu_ofu_num @ N) @ (intu_ofu_num @ M)))).
