%   ORIGINAL: Taylor_atn.halfatn_bounds
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_BOUNDS_LT: !x k. --k < x /\ x < k <=> abs x < k
% Assm: TRUTH: T
% Assm: Taylor_atn.halfatn_bounds_abs: !x. abs (halfatn x) < &1
% Goal: !x. -- &1 < halfatn x /\ halfatn x < &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x k. --k < x /\ x < k <=> abs x < k
% Assm: T
% Assm: !x. abs (halfatn x) < &1
% Goal: !x. -- &1 < halfatn x /\ halfatn x < &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(chalfatn, type, halfatn : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_BOUNDSu_LT, axiom, ![X:real,K:real]:(((realu_lt @ (realu_neg @ K) @ X) & (realu_lt @ X @ K)) <=> (realu_lt @ (realu_abs @ X) @ K))).
thf(aTRUTH, axiom, $true).
thf(aTayloru_atno_halfatnu_boundsu_abs, axiom, ![X:real]:(realu_lt @ (realu_abs @ (halfatn @ X)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![X:real]:((realu_lt @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (halfatn @ X)) & (realu_lt @ (halfatn @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
