%   ORIGINAL: Taylor_atn.atn_abs
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ATN_NEG: !x. atn (--x) = --atn x
% Assm: ATN_POS_LE: &0 <= atn x <=> &0 <= x
% Assm: TRUTH: T
% Assm: Taylor_atn.abs_pass_through: !x f. f (--x) = --f x /\ (!y. &0 <= y ==> &0 <= f y) ==> abs (f x) = f (abs x)
% Goal: !x. abs (atn x) = atn (abs x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. atn (--x) = --atn x
% Assm: !x. &0 <= atn x <=> &0 <= x
% Assm: T
% Assm: !x f. f (--x) = --f x /\ (!y. &0 <= y ==> &0 <= f y) ==> abs (f x) = f (abs x)
% Goal: !x. abs (atn x) = atn (abs x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(catn, type, atn : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aATNu_NEG, axiom, ![X:real]:((atn @ (realu_neg @ X)) = (realu_neg @ (atn @ X)))).
thf(aATNu_POSu_LE, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (atn @ X)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aTRUTH, axiom, $true).
thf(aTayloru_atno_absu_passu_through, axiom, ![X:real,F:(real > real)]:((((F @ (realu_neg @ X)) = (realu_neg @ (F @ X))) & ![Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ Y)))) => ((realu_abs @ (F @ X)) = (F @ (realu_abs @ X))))).
thf(conjecture, conjecture, ![X:real]:((realu_abs @ (atn @ X)) = (atn @ (realu_abs @ X)))).
