%   ORIGINAL: Taylor_atn.atn_half_range
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ATN_MONO_LT_EQ: !x y. atn x < atn y <=> x < y
% Assm: TRUTH: T
% Assm: Taylor_atn.atn_abs: !x. abs (atn x) = atn (abs x)
% Assm: Taylor_atn.halfatn_bounds_abs: !x. abs (halfatn x) < &1
% Assm: Trigonometry.YTXYLRB: atn (&1) = pi / &4
% Goal: !x. abs (atn (halfatn x)) < pi / &4
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. atn x < atn y <=> x < y
% Assm: T
% Assm: !x. abs (atn x) = atn (abs x)
% Assm: !x. abs (halfatn x) < &1
% Assm: atn (&1) = pi / &4
% Goal: !x. abs (atn (halfatn x)) < pi / &4
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(chalfatn, type, halfatn : (real > real)).
thf(catn, type, atn : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aATNu_MONOu_LTu_EQ, axiom, ![X:real,Y:real]:((realu_lt @ (atn @ X) @ (atn @ Y)) <=> (realu_lt @ X @ Y))).
thf(aTRUTH, axiom, $true).
thf(aTayloru_atno_atnu_abs, axiom, ![X:real]:((realu_abs @ (atn @ X)) = (atn @ (realu_abs @ X)))).
thf(aTayloru_atno_halfatnu_boundsu_abs, axiom, ![X:real]:(realu_lt @ (realu_abs @ (halfatn @ X)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometryo_YTXYLRB, axiom, ((atn @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![X:real]:(realu_lt @ (realu_abs @ (atn @ (halfatn @ X))) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0)))))))).
