%   ORIGINAL: Taylor_atn.id4
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_POW_2: !x. x pow 2 = x * x
% Assm: TRUTH: T
% Assm: Taylor_atn.id2: (Cx (&1) + ii * z) * (Cx (&1) - ii * z) = Cx (&1) - ii * ii * z * z
% Assm: Taylor_atn.id3: !u a. a - ii * ii * u = a + u
% Goal: !z. Cx (&1) + z pow 2 = (Cx (&1) + ii * z) * (Cx (&1) - ii * z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x pow 2 = x * x
% Assm: T
% Assm: !z. (Cx (&1) + ii * z) * (Cx (&1) - ii * z) = Cx (&1) - ii * ii * z * z
% Assm: !u a. a - ii * ii * u = a + u
% Goal: !z. Cx (&1) + z pow 2 = (Cx (&1) + ii * z) * (Cx (&1) - ii * z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_POWu_2, axiom, ![X:cartrealn2]:((complexu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (complexu_mul @ X @ X))).
thf(aTRUTH, axiom, $true).
thf(aTayloru_atno_id2, axiom, ![Z:cartrealn2]:((complexu_mul @ (vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ ii @ Z)) @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ ii @ Z))) = (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ ii @ (complexu_mul @ ii @ (complexu_mul @ Z @ Z)))))).
thf(aTayloru_atno_id3, axiom, ![U:cartrealn2,A:cartrealn2]:((vectoru_sub @ A @ (complexu_mul @ ii @ (complexu_mul @ ii @ U))) = (vectoru_add @ A @ U))).
thf(conjecture, conjecture, ![Z:cartrealn2]:((vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ Z @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (complexu_mul @ (vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ ii @ Z)) @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ ii @ Z))))).
