%   ORIGINAL: Taylor_atn.id4a
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_LINV: !z. ~(z = Cx (&0)) ==> inv z * z = Cx (&1)
% Assm: TRUTH: T
% Assm: Taylor_atn.idz: !z a. (Re z = &0 ==> abs (Im z) < &1) /\ (a = ii \/ a = --ii) ==> ~(Cx (&1) + a * z = Cx (&0))
% Goal: !z. (Re z = &0 ==> abs (Im z) < &1) ==> inv (Cx (&1) + ii * z) * (Cx (&1) + ii * z) = Cx (&1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. ~(z = Cx (&0)) ==> inv z * z = Cx (&1)
% Assm: T
% Assm: !z a. (Re z = &0 ==> abs (Im z) < &1) /\ (a = ii \/ a = --ii) ==> ~(Cx (&1) + a * z = Cx (&0))
% Goal: !z. (Re z = &0 ==> abs (Im z) < &1) ==> inv (Cx (&1) + ii * z) * (Cx (&1) + ii * z) = Cx (&1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_LINV, axiom, ![Z:cartrealn2]:(~ ((Z = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => ((complexu_mul @ (complexu_inv @ Z) @ Z) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(aTayloru_atno_idz, axiom, ![Z:cartrealn2,A:cartrealn2]:(((((re @ Z) = (realu_ofu_num @ (numeral @ u_0))) => (realu_lt @ (realu_abs @ (im @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) & ((A = ii) | (A = (vectoru_neg @ ii)))) => ~ (((vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ A @ Z)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(conjecture, conjecture, ![Z:cartrealn2]:((((re @ Z) = (realu_ofu_num @ (numeral @ u_0))) => (realu_lt @ (realu_abs @ (im @ Z)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((complexu_mul @ (complexu_inv @ (vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ ii @ Z))) @ (vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ ii @ Z))) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
