%   ORIGINAL: Taylor_atn.taylor_coeff_catn0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: TRUTH: T
% Assm: Taylor_atn.taylor_coeff_catn: !z n. taylor_coeff_catn n z = (if n = 0 then catn z else Cx (&(FACT (n - 1))) * inv (Cx (&2)) * (--ii pow (n - 1) * inv (Cx (&1) + ii * z) pow n + ii pow (n - 1) * inv (Cx (&1) - ii * z) pow n))
% Goal: taylor_coeff_catn 0 = catn
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: T
% Assm: !z n. taylor_coeff_catn n z = (if n = 0 then catn z else Cx (&(FACT (n - 1))) * inv (Cx (&2)) * (--ii pow (n - 1) * inv (Cx (&1) + ii * z) pow n + ii pow (n - 1) * inv (Cx (&1) - ii * z) pow n))
% Goal: taylor_coeff_catn 0 = catn
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn2 > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cmu_, type, m_ : (num > num > num)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccatn, type, catn : (cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccond0, type, cond0 : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccond, type, cond : ($o > (cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(ctayloruu_coeffuu_catn, type, tayloru_coeffu_catn : (num > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cfact, type, fact : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2 > cartrealn2),G:(a > cartrealn2 > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn2 > cartrealn2),T2:(cartrealn2 > cartrealn2)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn2 > cartrealn2),G:(cartrealn2 > cartrealn2)]:((F = G) <=> ![X:cartrealn2]:((F @ X) = (G @ X)))).
thf(aTRUTH, axiom, $true).
thf(aTayloru_atno_tayloru_coeffu_catn, axiom, ![Z:cartrealn2,N:num]:((tayloru_coeffu_catn @ N @ Z) = (cond0 @ (N = (numeral @ u_0)) @ (catn @ Z) @ (complexu_mul @ (cx @ (realu_ofu_num @ (fact @ (m_ @ N @ (numeral @ (bit1 @ u_0)))))) @ (complexu_mul @ (complexu_inv @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (vectoru_add @ (complexu_mul @ (complexu_pow @ (vectoru_neg @ ii) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ (complexu_inv @ (vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ ii @ Z))) @ N)) @ (complexu_mul @ (complexu_pow @ ii @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ (complexu_pow @ (complexu_inv @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (complexu_mul @ ii @ Z))) @ N)))))))).
thf(conjecture, conjecture, ((tayloru_coeffu_catn @ (numeral @ u_0)) = catn)).
