%   ORIGINAL: Taylor_atn.sum_even
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_ODD: !n. ~ODD n <=> EVEN n
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_SUPERSET: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum v f = sum u f
% Assm: TRUTH: T
% Assm: numseg: !m n. m..n = {x | m <= x /\ x <= n}
% Goal: !g n. sum {i | ODD i /\ i IN 0..n} (\i. if EVEN i then &0 else g i) = sum (0..n) (\i. if EVEN i then &0 else g i)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !n. ~ODD n <=> EVEN n
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum v f = sum u f
% Assm: T
% Assm: !m n. m..n = {x | m <= x /\ x <= n}
% Goal: !g n. sum {i | ODD i /\ i IN 0..n} (\i. if EVEN i then &0 else g i) = sum (0..n) (\i. if EVEN i then &0 else g i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((num > $o) > (num > $o) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
thf(ceven, type, even : (num > $o)).
thf(codd, type, odd : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(num > $o),X:num]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(num > $o),X:num]:((in @ X @ (gspec @ ^[V:num]:?[Y:num]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_ODD, axiom, ![N:num]:(~ ((odd @ N)) <=> (even @ N))).
thf(aSUBSET, axiom, ![S:(num > $o),T:(num > $o)]:((subset @ S @ T) <=> ![X:num]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUMu_SUPERSET, axiom, ![F:(num > real),U:(num > $o),V:(num > $o)]:(((subset @ U @ V) & ![X:num]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) => ((sum @ V @ F) = (sum @ U @ F)))).
thf(aTRUTH, axiom, $true).
thf(anumseg, axiom, ![M:num,N:num]:((o_o_ @ M @ N) = (gspec @ ^[GENR_PVARR_135:num]:?[X:num]:(setspec @ GENR_PVARR_135 @ ((l_a_ @ M @ X) & (l_a_ @ X @ N)) @ X)))).
thf(conjecture, conjecture, ![G:(num > real),N:num]:((sum @ (gspec @ ^[GENR_PVARR_104:num]:?[I:num]:(setspec @ GENR_PVARR_104 @ ((odd @ I) & (in @ I @ (o_o_ @ (numeral @ u_0) @ N))) @ I)) @ ^[I:num]:(cond @ (even @ I) @ (realu_ofu_num @ (numeral @ u_0)) @ (G @ I))) = (sum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[I:num]:(cond @ (even @ I) @ (realu_ofu_num @ (numeral @ u_0)) @ (G @ I))))).
