%   ORIGINAL: Float.TWOPOW_POS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Float.twopow: !x. twopow x = (if ?n. x = &n then &2 pow nabs x else inv (&2 pow nabs x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Num_ext_nabs.NABS_POS: !u. nabs (&u) = u
% Assm: TRUTH: T
% Goal: !n. twopow (&n) = &2 pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: !x. twopow x = (if ?n. x = &n then &2 pow nabs x else inv (&2 pow nabs x))
% Assm: ~F <=> T
% Assm: !u. nabs (&u) = u
% Assm: T
% Goal: !n. twopow (&n) = &2 pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cnabs, type, nabs : (int > num)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ctwopow, type, twopow : (int > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFloato_twopow, axiom, ![X:int]:((twopow @ X) = (cond0 @ ?[N:num]:(X = (intu_ofu_num @ N)) @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (nabs @ X)) @ (realu_inv @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (nabs @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNumu_extu_nabso_NABSu_POS, axiom, ![U:num]:((nabs @ (intu_ofu_num @ U)) = U)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:((twopow @ (intu_ofu_num @ N)) = (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N))).
