%   ORIGINAL: Float.TWOPOW_ADD_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.INT_REP3: !a. ?n. a = &n \/ a = -- &(n + 1)
% Assm: Float.POW_1: !x. x pow 1 = x
% Assm: Float.REAL_RINV_2: &2 * inv (&2) = &1
% Assm: Float.TWOPOW_NEG: !n. twopow (-- &n) = inv (&2 pow n)
% Assm: Float.TWOPOW_POS: !n. twopow (&n) = &2 pow n
% Assm: INT_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: INT_ADD_LINV: !x. --x + x = &0
% Assm: INT_ADD_RID: !x. x + &0 = x
% Assm: INT_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: INT_OF_NUM_ADD: !m n. &m + &n = &(m + n)
% Assm: REAL_EQ_INV2: !x y. inv x = inv y <=> x = y
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POW_ADD: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: TRUTH: T
% Goal: !a. twopow (a + &1) = twopow a * twopow (&1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a. ?n. a = &n \/ a = -- &(n + 1)
% Assm: !x. x pow 1 = x
% Assm: &2 * inv (&2) = &1
% Assm: !n. twopow (-- &n) = inv (&2 pow n)
% Assm: !n. twopow (&n) = &2 pow n
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !m n. &m + &n = &(m + n)
% Assm: !x y. inv x = inv y <=> x = y
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. x * &1 = x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: T
% Goal: !a. twopow (a + &1) = twopow a * twopow (&1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(ctwopow, type, twopow : (int > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_INTu_REP3, axiom, ![A:int]:?[N:num]:((A = (intu_ofu_num @ N)) | (A = (intu_neg @ (intu_ofu_num @ (p_ @ N @ (numeral @ (bit1 @ u_0)))))))).
thf(aFloato_POWu_1, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit1 @ u_0))) = X)).
thf(aFloato_REALu_RINVu_2, axiom, ((realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_inv @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aFloato_TWOPOWu_NEG, axiom, ![N:num]:((twopow @ (intu_neg @ (intu_ofu_num @ N))) = (realu_inv @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N)))).
thf(aFloato_TWOPOWu_POS, axiom, ![N:num]:((twopow @ (intu_ofu_num @ N)) = (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N))).
thf(aINTu_ADDu_ASSOC, axiom, ![X:int,Y:int,Z:int]:((intu_add @ X @ (intu_add @ Y @ Z)) = (intu_add @ (intu_add @ X @ Y) @ Z))).
thf(aINTu_ADDu_LINV, axiom, ![X:int]:((intu_add @ (intu_neg @ X) @ X) = (intu_ofu_num @ (numeral @ u_0)))).
thf(aINTu_ADDu_RID, axiom, ![X:int]:((intu_add @ X @ (intu_ofu_num @ (numeral @ u_0))) = X)).
thf(aINTu_NEGu_ADD, axiom, ![X:int,Y:int]:((intu_neg @ (intu_add @ X @ Y)) = (intu_add @ (intu_neg @ X) @ (intu_neg @ Y)))).
thf(aINTu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (p_ @ M @ N)))).
thf(aREALu_EQu_INV2, axiom, ![X:real,Y:real]:(((realu_inv @ X) = (realu_inv @ Y)) <=> (X = Y))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POWu_ADD, axiom, ![X:real,M:num,N:num]:((realu_pow @ X @ (p_ @ M @ N)) = (realu_mul @ (realu_pow @ X @ M) @ (realu_pow @ X @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:int]:((twopow @ (intu_add @ A @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))) = (realu_mul @ (twopow @ A) @ (twopow @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
