%   ORIGINAL: Float.TWOPOW_ADD_NUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.TWOPOW_POS: !n. twopow (&n) = &2 pow n
% Assm: INT_OF_NUM_ADD: !m n. &m + &n = &(m + n)
% Assm: REAL_POW_ADD: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: TRUTH: T
% Goal: !m n. twopow (&m + &n) = twopow (&m) * twopow (&n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. twopow (&n) = &2 pow n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: T
% Goal: !m n. twopow (&m + &n) = twopow (&m) * twopow (&n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ctwopow, type, twopow : (int > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_TWOPOWu_POS, axiom, ![N:num]:((twopow @ (intu_ofu_num @ N)) = (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N))).
thf(aINTu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (p_ @ M @ N)))).
thf(aREALu_POWu_ADD, axiom, ![X:real,M:num,N:num]:((realu_pow @ X @ (p_ @ M @ N)) = (realu_mul @ (realu_pow @ X @ M) @ (realu_pow @ X @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num]:((twopow @ (intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N))) = (realu_mul @ (twopow @ (intu_ofu_num @ M)) @ (twopow @ (intu_ofu_num @ N))))).
