%   ORIGINAL: Float.TWOPOW_ABS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.TWOPOW_NEG: !n. twopow (-- &n) = inv (&2 pow n)
% Assm: Float.TWOPOW_POS: !n. twopow (&n) = &2 pow n
% Assm: Num_ext_nabs.INT_REP2: !a. ?n. a = &n \/ a = -- &n
% Assm: REAL_ABS_INV: !x. abs (inv x) = inv (abs x)
% Assm: REAL_ABS_NUM: !n. abs (&n) = &n
% Assm: REAL_ABS_POW: !x n. abs (x pow n) = abs x pow n
% Assm: TRUTH: T
% Goal: !a. abs (twopow a) = twopow a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. twopow (-- &n) = inv (&2 pow n)
% Assm: !n. twopow (&n) = &2 pow n
% Assm: !a. ?n. a = &n \/ a = -- &n
% Assm: !x. abs (inv x) = inv (abs x)
% Assm: !n. abs (&n) = &n
% Assm: !x n. abs (x pow n) = abs x pow n
% Assm: T
% Goal: !a. abs (twopow a) = twopow a
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(ctwopow, type, twopow : (int > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_TWOPOWu_NEG, axiom, ![N:num]:((twopow @ (intu_neg @ (intu_ofu_num @ N))) = (realu_inv @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N)))).
thf(aFloato_TWOPOWu_POS, axiom, ![N:num]:((twopow @ (intu_ofu_num @ N)) = (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N))).
thf(aNumu_extu_nabso_INTu_REP2, axiom, ![A:int]:?[N:num]:((A = (intu_ofu_num @ N)) | (A = (intu_neg @ (intu_ofu_num @ N))))).
thf(aREALu_ABSu_INV, axiom, ![X:real]:((realu_abs @ (realu_inv @ X)) = (realu_inv @ (realu_abs @ X)))).
thf(aREALu_ABSu_NUM, axiom, ![N:num]:((realu_abs @ (realu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aREALu_ABSu_POW, axiom, ![X:real,N:num]:((realu_abs @ (realu_pow @ X @ N)) = (realu_pow @ (realu_abs @ X) @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:int]:((realu_abs @ (twopow @ A)) = (twopow @ A))).
