%   ORIGINAL: Float.TWOPOW_POW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.TWOPOW_NEG: !n. twopow (-- &n) = inv (&2 pow n)
% Assm: Float.TWOPOW_POS: !n. twopow (&n) = &2 pow n
% Assm: INT_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: INT_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: Num_ext_nabs.INT_REP2: !a. ?n. a = &n \/ a = -- &n
% Assm: REAL_POW_INV: !x n. inv x pow n = inv (x pow n)
% Assm: REAL_POW_POW: !x m n. x pow m pow n = x pow (m * n)
% Assm: TRUTH: T
% Goal: !a n. twopow a pow n = twopow (a * &n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. twopow (-- &n) = inv (&2 pow n)
% Assm: !n. twopow (&n) = &2 pow n
% Assm: !x y. --x * y = --(x * y)
% Assm: !m n. &m * &n = &(m * n)
% Assm: !a. ?n. a = &n \/ a = -- &n
% Assm: !x n. inv x pow n = inv (x pow n)
% Assm: !x m n. x pow m pow n = x pow (m * n)
% Assm: T
% Goal: !a n. twopow a pow n = twopow (a * &n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(ctwopow, type, twopow : (int > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_TWOPOWu_NEG, axiom, ![N:num]:((twopow @ (intu_neg @ (intu_ofu_num @ N))) = (realu_inv @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N)))).
thf(aFloato_TWOPOWu_POS, axiom, ![N:num]:((twopow @ (intu_ofu_num @ N)) = (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N))).
thf(aINTu_MULu_LNEG, axiom, ![X:int,Y:int]:((intu_mul @ (intu_neg @ X) @ Y) = (intu_neg @ (intu_mul @ X @ Y)))).
thf(aINTu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((intu_mul @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (t_ @ M @ N)))).
thf(aNumu_extu_nabso_INTu_REP2, axiom, ![A:int]:?[N:num]:((A = (intu_ofu_num @ N)) | (A = (intu_neg @ (intu_ofu_num @ N))))).
thf(aREALu_POWu_INV, axiom, ![X:real,N:num]:((realu_pow @ (realu_inv @ X) @ N) = (realu_inv @ (realu_pow @ X @ N)))).
thf(aREALu_POWu_POW, axiom, ![X:real,M:num,N:num]:((realu_pow @ (realu_pow @ X @ M) @ N) = (realu_pow @ X @ (t_ @ M @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:int,N:num]:((realu_pow @ (twopow @ A) @ N) = (twopow @ (intu_mul @ A @ (intu_ofu_num @ N))))).
