%   ORIGINAL: Float.FLOAT_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Float.TWOPOW_ADD_INT: !a b. twopow (a + b) = twopow a * twopow b
% Assm: Float.float: !x n. float x n = real_of_int x * twopow n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: TRUTH: T
% Assm: int_mul_th: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Goal: !a b m n. float a m * float b n = float (a * b) (m + n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. twopow (a + b) = twopow a * twopow b
% Assm: !x n. float x n = real_of_int x * twopow n
% Assm: ~F <=> T
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: T
% Assm: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Goal: !a b m n. float a m * float b n = float (a * b) (m + n)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cfloat, type, float : (int > int > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(ctwopow, type, twopow : (int > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFloato_TWOPOWu_ADDu_INT, axiom, ![A:int,B:int]:((twopow @ (intu_add @ A @ B)) = (realu_mul @ (twopow @ A) @ (twopow @ B)))).
thf(aFloato_float, axiom, ![X:int,N:int]:((float @ X @ N) = (realu_mul @ (realu_ofu_int @ X) @ (twopow @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aTRUTH, axiom, $true).
thf(aintu_mulu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_mul @ X @ Y)) = (realu_mul @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![A:int,B:int,M:int,N:int]:((realu_mul @ (float @ A @ M) @ (float @ B @ N)) = (float @ (intu_mul @ A @ B) @ (intu_add @ M @ N)))).
