%   ORIGINAL: Float.FLOAT_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Float.TWOPOW_ADD_INT: !a b. twopow (a + b) = twopow a * twopow b
% Assm: Float.TWOPOW_POS: !n. twopow (&n) = &2 pow n
% Assm: Float.float: !x n. float x n = real_of_int x * twopow n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Num_ext_nabs.INT_NUM_REAL: !u. real_of_int (&u) = &u
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_OF_NUM_POW: !x n. &x pow n = &(x EXP n)
% Assm: TRUTH: T
% Assm: Tactics_jordan.REAL_RDISTRIB: !x y z. (x + y) * z = x * z + y * z
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_mul_th: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Goal: !a b c m. float a (m + &c) + float b m = float (&(2 EXP c) * a + b) m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. twopow (a + b) = twopow a * twopow b
% Assm: !n. twopow (&n) = &2 pow n
% Assm: !x n. float x n = real_of_int x * twopow n
% Assm: ~F <=> T
% Assm: !u. real_of_int (&u) = &u
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x n. &x pow n = &(x EXP n)
% Assm: T
% Assm: !x y z. (x + y) * z = x * z + y * z
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Goal: !a b c m. float a (m + &c) + float b m = float (&(2 EXP c) * a + b) m
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cexp, type, exp : (num > num > num)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cfloat, type, float : (int > int > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(ctwopow, type, twopow : (int > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFloato_TWOPOWu_ADDu_INT, axiom, ![A:int,B:int]:((twopow @ (intu_add @ A @ B)) = (realu_mul @ (twopow @ A) @ (twopow @ B)))).
thf(aFloato_TWOPOWu_POS, axiom, ![N:num]:((twopow @ (intu_ofu_num @ N)) = (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N))).
thf(aFloato_float, axiom, ![X:int,N:int]:((float @ X @ N) = (realu_mul @ (realu_ofu_int @ X) @ (twopow @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNumu_extu_nabso_INTu_NUMu_REAL, axiom, ![U:num]:((realu_ofu_int @ (intu_ofu_num @ U)) = (realu_ofu_num @ U))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_OFu_NUMu_POW, axiom, ![X:num,N:num]:((realu_pow @ (realu_ofu_num @ X) @ N) = (realu_ofu_num @ (exp @ X @ N)))).
thf(aTRUTH, axiom, $true).
thf(aTacticsu_jordano_REALu_RDISTRIB, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ (realu_add @ X @ Y) @ Z) = (realu_add @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_mulu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_mul @ X @ Y)) = (realu_mul @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![A:int,B:int,C:num,M:int]:((realu_add @ (float @ A @ (intu_add @ M @ (intu_ofu_num @ C))) @ (float @ B @ M)) = (float @ (intu_add @ (intu_mul @ (intu_ofu_num @ (exp @ (numeral @ (bit0 @ (bit1 @ u_0))) @ C)) @ A) @ B) @ M))).
