%   ORIGINAL: Float.FLOAT_ADD_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXP_conjunct0: !m. m EXP 0 = 1
% Assm: Float.FLOAT_ADD: !a b c m. float a (m + &c) + float b m = float (&(2 EXP c) * a + b) m
% Assm: INT_ADD_RID: !x. x + &0 = x
% Assm: INT_MUL_LID: !x. &1 * x = x
% Assm: TRUTH: T
% Goal: !a b m. float a m + float b m = float (a + b) m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m. m EXP 0 = 1
% Assm: !a b c m. float a (m + &c) + float b m = float (&(2 EXP c) * a + b) m
% Assm: !x. x + &0 = x
% Assm: !x. &1 * x = x
% Assm: T
% Goal: !a b m. float a m + float b m = float (a + b) m
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cexp, type, exp : (num > num > num)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cfloat, type, float : (int > int > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXPu_conjunct0, axiom, ![M:num]:((exp @ M @ (numeral @ u_0)) = (numeral @ (bit1 @ u_0)))).
thf(aFloato_FLOATu_ADD, axiom, ![A:int,B:int,C:num,M:int]:((realu_add @ (float @ A @ (intu_add @ M @ (intu_ofu_num @ C))) @ (float @ B @ M)) = (float @ (intu_add @ (intu_mul @ (intu_ofu_num @ (exp @ (numeral @ (bit0 @ (bit1 @ u_0))) @ C)) @ A) @ B) @ M))).
thf(aINTu_ADDu_RID, axiom, ![X:int]:((intu_add @ X @ (intu_ofu_num @ (numeral @ u_0))) = X)).
thf(aINTu_MULu_LID, axiom, ![X:int]:((intu_mul @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:int,B:int,M:int]:((realu_add @ (float @ A @ M) @ (float @ B @ M)) = (float @ (intu_add @ A @ B) @ M))).
