%   ORIGINAL: Float.FLOAT_ADD_PP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: Float.FLOAT_ADD: !a b c m. float a (m + &c) + float b m = float (&(2 EXP c) * a + b) m
% Assm: INT_OF_NUM_ADD: !m n. &m + &n = &(m + n)
% Assm: SUB_ADD: !m n. n <= m ==> m - n + n = m
% Assm: TRUTH: T
% Goal: !a b m n. n <= m ==> float a (&m) + float b (&n) = float (&(2 EXP (m - n)) * a + b) (&n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !a b c m. float a (m + &c) + float b m = float (&(2 EXP c) * a + b) m
% Assm: !m n. &m + &n = &(m + n)
% Assm: !m n. n <= m ==> m - n + n = m
% Assm: T
% Goal: !a b m n. n <= m ==> float a (&m) + float b (&n) = float (&(2 EXP (m - n)) * a + b) (&n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cexp, type, exp : (num > num > num)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cfloat, type, float : (int > int > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aFloato_FLOATu_ADD, axiom, ![A:int,B:int,C:num,M:int]:((realu_add @ (float @ A @ (intu_add @ M @ (intu_ofu_num @ C))) @ (float @ B @ M)) = (float @ (intu_add @ (intu_mul @ (intu_ofu_num @ (exp @ (numeral @ (bit0 @ (bit1 @ u_0))) @ C)) @ A) @ B) @ M))).
thf(aINTu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (p_ @ M @ N)))).
thf(aSUBu_ADD, axiom, ![M:num,N:num]:((l_a_ @ N @ M) => ((p_ @ (m_ @ M @ N) @ N) = M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:int,B:int,M:num,N:num]:((l_a_ @ N @ M) => ((realu_add @ (float @ A @ (intu_ofu_num @ M)) @ (float @ B @ (intu_ofu_num @ N))) = (float @ (intu_add @ (intu_mul @ (intu_ofu_num @ (exp @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (m_ @ M @ N))) @ A) @ B) @ (intu_ofu_num @ N))))).
