%   ORIGINAL: Float.FLOAT_ADD_PPv2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.FLOAT_ADD_PP: !a b m n. n <= m ==> float a (&m) + float b (&n) = float (&(2 EXP (m - n)) * a + b) (&n)
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: REAL_ADD_AC_conjunct0: m + n = n + m
% Assm: TRUTH: T
% Goal: !a b m n. m < n ==> float a (&m) + float b (&n) = float (&(2 EXP (n - m)) * b + a) (&m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b m n. n <= m ==> float a (&m) + float b (&n) = float (&(2 EXP (m - n)) * a + b) (&n)
% Assm: !m n. m < n ==> m <= n
% Assm: !n m. m + n = n + m
% Assm: T
% Goal: !a b m n. m < n ==> float a (&m) + float b (&n) = float (&(2 EXP (n - m)) * b + a) (&m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cexp, type, exp : (num > num > num)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cfloat, type, float : (int > int > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_FLOATu_ADDu_PP, axiom, ![A:int,B:int,M:num,N:num]:((l_a_ @ N @ M) => ((realu_add @ (float @ A @ (intu_ofu_num @ M)) @ (float @ B @ (intu_ofu_num @ N))) = (float @ (intu_add @ (intu_mul @ (intu_ofu_num @ (exp @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (m_ @ M @ N))) @ A) @ B) @ (intu_ofu_num @ N))))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aREALu_ADDu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_add @ M @ N) = (realu_add @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:int,B:int,M:num,N:num]:((l_ @ M @ N) => ((realu_add @ (float @ A @ (intu_ofu_num @ M)) @ (float @ B @ (intu_ofu_num @ N))) = (float @ (intu_add @ (intu_mul @ (intu_ofu_num @ (exp @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (m_ @ N @ M))) @ B) @ A) @ (intu_ofu_num @ M))))).
