%   ORIGINAL: Float.FLOAT_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.float: !x n. float x n = real_of_int x * twopow n
% Assm: REAL_NEG_LMUL: !x y. --(x * y) = --x * y
% Assm: TRUTH: T
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Assm: real_sub: !x y. x - y = x + --y
% Goal: !a b n m. float a n - float b m = float a n + float (--b) m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x n. float x n = real_of_int x * twopow n
% Assm: !x y. --(x * y) = --x * y
% Assm: T
% Assm: !x. real_of_int (--x) = --real_of_int x
% Assm: !x y. x - y = x + --y
% Goal: !a b n m. float a n - float b m = float a n + float (--b) m
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cfloat, type, float : (int > int > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(ctwopow, type, twopow : (int > real)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_float, axiom, ![X:int,N:int]:((float @ X @ N) = (realu_mul @ (realu_ofu_int @ X) @ (twopow @ N)))).
thf(aREALu_NEGu_LMUL, axiom, ![X:real,Y:real]:((realu_neg @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_neg @ X) @ Y))).
thf(aTRUTH, axiom, $true).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(arealu_sub, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_neg @ Y)))).
thf(conjecture, conjecture, ![A:int,B:int,N:int,M:int]:((realu_sub @ (float @ A @ N) @ (float @ B @ M)) = (realu_add @ (float @ A @ N) @ (float @ (intu_neg @ B) @ M)))).
