%   ORIGINAL: Float.FLOAT_POW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.TWOPOW_POW: !a n. twopow a pow n = twopow (a * &n)
% Assm: Float.float: !x n. float x n = real_of_int x * twopow n
% Assm: REAL_POW_MUL: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: TRUTH: T
% Assm: int_pow_th: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !a n m. float a n pow m = float (a pow m) (n * &m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a n. twopow a pow n = twopow (a * &n)
% Assm: !x n. float x n = real_of_int x * twopow n
% Assm: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: T
% Assm: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !a n m. float a n pow m = float (a pow m) (n * &m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cintuu_pow, type, intu_pow : (int > num > int)).
thf(cfloat, type, float : (int > int > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(ctwopow, type, twopow : (int > real)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_TWOPOWu_POW, axiom, ![A:int,N:num]:((realu_pow @ (twopow @ A) @ N) = (twopow @ (intu_mul @ A @ (intu_ofu_num @ N))))).
thf(aFloato_float, axiom, ![X:int,N:int]:((float @ X @ N) = (realu_mul @ (realu_ofu_int @ X) @ (twopow @ N)))).
thf(aREALu_POWu_MUL, axiom, ![X:real,Y:real,N:num]:((realu_pow @ (realu_mul @ X @ Y) @ N) = (realu_mul @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aTRUTH, axiom, $true).
thf(aintu_powu_th, axiom, ![X:int,N:num]:((realu_ofu_int @ (intu_pow @ X @ N)) = (realu_pow @ (realu_ofu_int @ X) @ N))).
thf(conjecture, conjecture, ![A:int,N:int,M:num]:((realu_pow @ (float @ A @ N) @ M) = (float @ (intu_pow @ A @ M) @ (intu_mul @ N @ (intu_ofu_num @ M))))).
