%   ORIGINAL: INT_ADD_AC_conjunct2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INT_ADD_AC_conjunct0: m + n = n + m
% Assm: REAL_ADD_AC_conjunct0: m + n = n + m
% Assm: REAL_ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: REAL_ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: TRUTH: T
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Goal: m + n + p = n + m + p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: T
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Goal: !p m n. m + n + p = n + m + p
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTu_ADDu_ACu_conjunct0, axiom, ![N:int,M:int]:((intu_add @ M @ N) = (intu_add @ N @ M))).
thf(aREALu_ADDu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_add @ M @ N) = (realu_add @ N @ M))).
thf(aREALu_ADDu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_add @ (realu_add @ M @ N) @ P) = (realu_add @ M @ (realu_add @ N @ P)))).
thf(aREALu_ADDu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_add @ M @ (realu_add @ N @ P)) = (realu_add @ N @ (realu_add @ M @ P)))).
thf(aTRUTH, axiom, $true).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(conjecture, conjecture, ![P:int,M:int,N:int]:((intu_add @ M @ (intu_add @ N @ P)) = (intu_add @ N @ (intu_add @ M @ P)))).
