%   ORIGINAL: Float.INT_POW_NEG1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.INT_POW_MUL: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: INT_NEG_MINUS1: !x. --x = -- &1 * x
% Assm: TRUTH: T
% Goal: !x n. -- &x pow n = -- &1 pow n * &x pow n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: !x. --x = -- &1 * x
% Assm: T
% Goal: !x n. -- &x pow n = -- &1 pow n * &x pow n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cintuu_pow, type, intu_pow : (int > num > int)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_INTu_POWu_MUL, axiom, ![X:int,Y:int,N:num]:((intu_pow @ (intu_mul @ X @ Y) @ N) = (intu_mul @ (intu_pow @ X @ N) @ (intu_pow @ Y @ N)))).
thf(aINTu_NEGu_MINUS1, axiom, ![X:int]:((intu_neg @ X) = (intu_mul @ (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:num,N:num]:((intu_pow @ (intu_neg @ (intu_ofu_num @ X)) @ N) = (intu_mul @ (intu_pow @ (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ N) @ (intu_pow @ (intu_ofu_num @ X) @ N)))).
