%   ORIGINAL: Float.INT_POW_EVEN_NEG1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: Float.INT_POW_NEG1: !x n. -- &x pow n = -- &1 pow n * &x pow n
% Assm: INT_MUL_LID: !x. &1 * x = x
% Assm: INT_NEG_MUL2: !x y. --x * --y = x * y
% Assm: INT_POW_2: !x. x pow 2 = x * x
% Assm: INT_POW_ONE: !n. &1 pow n = &1
% Assm: INT_POW_POW: !x m n. x pow m pow n = x pow (m * n)
% Assm: MULT_2: !n. 2 * n = n + n
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: TRUTH: T
% Goal: !x n. -- &x pow NUMERAL (BIT0 n) = &x pow NUMERAL (BIT0 n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. BIT0 n = n + n
% Assm: !x n. -- &x pow n = -- &1 pow n * &x pow n
% Assm: !x. &1 * x = x
% Assm: !x y. --x * --y = x * y
% Assm: !x. x pow 2 = x * x
% Assm: !n. &1 pow n = &1
% Assm: !x m n. x pow m pow n = x pow (m * n)
% Assm: !n. 2 * n = n + n
% Assm: !n. NUMERAL n = n
% Assm: T
% Goal: !x n. -- &x pow NUMERAL (BIT0 n) = &x pow NUMERAL (BIT0 n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cintuu_pow, type, intu_pow : (int > num > int)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aFloato_INTu_POWu_NEG1, axiom, ![X:num,N:num]:((intu_pow @ (intu_neg @ (intu_ofu_num @ X)) @ N) = (intu_mul @ (intu_pow @ (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ N) @ (intu_pow @ (intu_ofu_num @ X) @ N)))).
thf(aINTu_MULu_LID, axiom, ![X:int]:((intu_mul @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aINTu_NEGu_MUL2, axiom, ![X:int,Y:int]:((intu_mul @ (intu_neg @ X) @ (intu_neg @ Y)) = (intu_mul @ X @ Y))).
thf(aINTu_POWu_2, axiom, ![X:int]:((intu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (intu_mul @ X @ X))).
thf(aINTu_POWu_ONE, axiom, ![N:num]:((intu_pow @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))) @ N) = (intu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aINTu_POWu_POW, axiom, ![X:int,M:num,N:num]:((intu_pow @ (intu_pow @ X @ M) @ N) = (intu_pow @ X @ (t_ @ M @ N)))).
thf(aMULTu_2, axiom, ![N:num]:((t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N) = (p_ @ N @ N))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:num,N:num]:((intu_pow @ (intu_neg @ (intu_ofu_num @ X)) @ (numeral @ (bit0 @ N))) = (intu_pow @ (intu_ofu_num @ X) @ (numeral @ (bit0 @ N))))).
