%   ORIGINAL: Float.INT_POW_ODD_NEG1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD1: !m. SUC m = m + 1
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: Float.INT_POW_NEG1: !x n. -- &x pow n = -- &1 pow n * &x pow n
% Assm: Float.POW_MINUS1: !n. -- &1 pow (2 * n) = &1
% Assm: INT_MUL_LID: !x. &1 * x = x
% Assm: INT_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: INT_POW_1: !x. x pow 1 = x
% Assm: INT_POW_ADD: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: MULT_2: !n. 2 * n = n + n
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: TRUTH: T
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_pow_th: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !x n. -- &x pow NUMERAL (BIT1 n) = --(&x pow NUMERAL (BIT1 n))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m. SUC m = m + 1
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !x n. -- &x pow n = -- &1 pow n * &x pow n
% Assm: !n. -- &1 pow (2 * n) = &1
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. x pow 1 = x
% Assm: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: !n. 2 * n = n + n
% Assm: !n. NUMERAL n = n
% Assm: T
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x. real_of_int (--x) = --real_of_int x
% Assm: !n. real_of_int (&n) = &n
% Assm: !x n. real_of_int (x pow n) = real_of_int x pow n
% Goal: !x n. -- &x pow NUMERAL (BIT1 n) = --(&x pow NUMERAL (BIT1 n))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cintuu_pow, type, intu_pow : (int > num > int)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aFloato_INTu_POWu_NEG1, axiom, ![X:num,N:num]:((intu_pow @ (intu_neg @ (intu_ofu_num @ X)) @ N) = (intu_mul @ (intu_pow @ (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ N) @ (intu_pow @ (intu_ofu_num @ X) @ N)))).
thf(aFloato_POWu_MINUS1, axiom, ![N:num]:((realu_pow @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aINTu_MULu_LID, axiom, ![X:int]:((intu_mul @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aINTu_MULu_LNEG, axiom, ![X:int,Y:int]:((intu_mul @ (intu_neg @ X) @ Y) = (intu_neg @ (intu_mul @ X @ Y)))).
thf(aINTu_POWu_1, axiom, ![X:int]:((intu_pow @ X @ (numeral @ (bit1 @ u_0))) = X)).
thf(aINTu_POWu_ADD, axiom, ![X:int,M:num,N:num]:((intu_pow @ X @ (p_ @ M @ N)) = (intu_mul @ (intu_pow @ X @ M) @ (intu_pow @ X @ N)))).
thf(aMULTu_2, axiom, ![N:num]:((t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ N) = (p_ @ N @ N))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aTRUTH, axiom, $true).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_powu_th, axiom, ![X:int,N:num]:((realu_ofu_int @ (intu_pow @ X @ N)) = (realu_pow @ (realu_ofu_int @ X) @ N))).
thf(conjecture, conjecture, ![X:num,N:num]:((intu_pow @ (intu_neg @ (intu_ofu_num @ X)) @ (numeral @ (bit1 @ N))) = (intu_neg @ (intu_pow @ (intu_ofu_num @ X) @ (numeral @ (bit1 @ N)))))).
