%   ORIGINAL: Float.INT_ADD_NEGv2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.INT_SUB: !a b. a - b = a + --b
% Assm: INT_OF_NUM_SUB: !m n. m <= n ==> &n - &m = &(n - m)
% Assm: TRUTH: T
% Goal: !x y. y <= x ==> &x + -- &y = &(x - y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. a - b = a + --b
% Assm: !m n. m <= n ==> &n - &m = &(n - m)
% Assm: T
% Goal: !x y. y <= x ==> &x + -- &y = &(x - y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_INTu_SUB, axiom, ![A:int,B:int]:((intu_sub @ A @ B) = (intu_add @ A @ (intu_neg @ B)))).
thf(aINTu_OFu_NUMu_SUB, axiom, ![M:num,N:num]:((l_a_ @ M @ N) => ((intu_sub @ (intu_ofu_num @ N) @ (intu_ofu_num @ M)) = (intu_ofu_num @ (m_ @ N @ M))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:num,Y:num]:((l_a_ @ Y @ X) => ((intu_add @ (intu_ofu_num @ X) @ (intu_neg @ (intu_ofu_num @ Y))) = (intu_ofu_num @ (m_ @ X @ Y))))).
