%   ORIGINAL: Float.REAL_ADD_LE_SUBST_RHS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_RADD: !x y z. x + z <= y + z <=> x <= y
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Goal: !a b c P. a <= P b /\ (!x. P x = x + P (&0)) /\ b <= c ==> a <= P c
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. x + z <= y + z <=> x <= y
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Goal: !a b c P. a <= P b /\ (!x. P x = x + P (&0)) /\ b <= c ==> a <= P c
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_RADD, axiom, ![X:real,Y:real,Z:real]:((realu_le @ (realu_add @ X @ Z) @ (realu_add @ Y @ Z)) <=> (realu_le @ X @ Y))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,B:real,C:real,P:(real > real)]:(((realu_le @ A @ (P @ B)) & ![X:real]:((P @ X) = (realu_add @ X @ (P @ (realu_ofu_num @ (numeral @ u_0))))) & (realu_le @ B @ C)) => (realu_le @ A @ (P @ C)))).
