%   ORIGINAL: Float.INTERVAL_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Float.INTERVAL_ADD: !x f ex y g ey. interval_eps x f ex /\ interval_eps y g ey ==> interval_eps (x + y) (f + g) (ex + ey)
% Assm: Float.INTERVAL_NEG: !x f ex. interval_eps x f ex <=> interval_eps (--x) (--f) ex
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_sub: !x y. x - y = x + --y
% Goal: !x f ex y g ey. interval_eps x f ex /\ interval_eps y g ey ==> interval_eps (x - y) (f - g) (ex + ey)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x f ex y g ey. interval_eps x f ex /\ interval_eps y g ey ==> interval_eps (x + y) (f + g) (ex + ey)
% Assm: !x f ex. interval_eps x f ex <=> interval_eps (--x) (--f) ex
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !x f ex y g ey. interval_eps x f ex /\ interval_eps y g ey ==> interval_eps (x - y) (f - g) (ex + ey)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cintervaluu_eps, type, intervalu_eps : (real > real > real > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFloato_INTERVALu_ADD, axiom, ![X:real,F:real,EX:real,Y:real,G:real,EY:real]:(((intervalu_eps @ X @ F @ EX) & (intervalu_eps @ Y @ G @ EY)) => (intervalu_eps @ (realu_add @ X @ Y) @ (realu_add @ F @ G) @ (realu_add @ EX @ EY)))).
thf(aFloato_INTERVALu_NEG, axiom, ![X:real,F:real,EX:real]:((intervalu_eps @ X @ F @ EX) <=> (intervalu_eps @ (realu_neg @ X) @ (realu_neg @ F) @ EX))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_sub, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_neg @ Y)))).
thf(conjecture, conjecture, ![X:real,F:real,EX:real,Y:real,G:real,EY:real]:(((intervalu_eps @ X @ F @ EX) & (intervalu_eps @ Y @ G @ EY)) => (intervalu_eps @ (realu_sub @ X @ Y) @ (realu_sub @ F @ G) @ (realu_add @ EX @ EY)))).
