%   ORIGINAL: Float.INTERVAL_NUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.TWOPOW_0: twopow (&0) = &1
% Assm: Float.float: !x n. float x n = real_of_int x * twopow n
% Assm: Float.interval_eps: !x f eps. interval_eps x f eps <=> abs (x - f) <= eps
% Assm: Num_ext_nabs.INT_NUM_REAL: !u. real_of_int (&u) = &u
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_SUB_REFL: !x. x - x = &0
% Assm: Real_ext.REAL_SV_ABS_0: abs (&0) = &0
% Assm: TRUTH: T
% Goal: !n. interval_eps (&n) (float (&n) (&0)) (float (&0) (&0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: twopow (&0) = &1
% Assm: !x n. float x n = real_of_int x * twopow n
% Assm: !x f eps. interval_eps x f eps <=> abs (x - f) <= eps
% Assm: !u. real_of_int (&u) = &u
% Assm: !x. x <= x
% Assm: !x. x * &1 = x
% Assm: !x. x - x = &0
% Assm: abs (&0) = &0
% Assm: T
% Goal: !n. interval_eps (&n) (float (&n) (&0)) (float (&0) (&0))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cfloat, type, float : (int > int > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintervaluu_eps, type, intervalu_eps : (real > real > real > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(ctwopow, type, twopow : (int > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_TWOPOWu_0, axiom, ((twopow @ (intu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aFloato_float, axiom, ![X:int,N:int]:((float @ X @ N) = (realu_mul @ (realu_ofu_int @ X) @ (twopow @ N)))).
thf(aFloato_intervalu_eps, axiom, ![X:real,F:real,EPS:real]:((intervalu_eps @ X @ F @ EPS) <=> (realu_le @ (realu_abs @ (realu_sub @ X @ F)) @ EPS))).
thf(aNumu_extu_nabso_INTu_NUMu_REAL, axiom, ![U:num]:((realu_ofu_int @ (intu_ofu_num @ U)) = (realu_ofu_num @ U))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_SUBu_REFL, axiom, ![X:real]:((realu_sub @ X @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_ABSu_0, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:(intervalu_eps @ (realu_ofu_num @ N) @ (float @ (intu_ofu_num @ N) @ (intu_ofu_num @ (numeral @ u_0))) @ (float @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ (numeral @ u_0))))).
