%   ORIGINAL: Float.INTERVAL_EPS_POS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.interval_eps: !x f eps. interval_eps x f eps <=> abs (x - f) <= eps
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: Real_ext.ABS_POS: !x. &0 <= abs x
% Assm: TRUTH: T
% Goal: !x f ex. interval_eps x f ex ==> &0 <= ex
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x f eps. interval_eps x f eps <=> abs (x - f) <= eps
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x. &0 <= abs x
% Assm: T
% Goal: !x f ex. interval_eps x f ex ==> &0 <= ex
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintervaluu_eps, type, intervalu_eps : (real > real > real > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_intervalu_eps, axiom, ![X:real,F:real,EPS:real]:((intervalu_eps @ X @ F @ EPS) <=> (realu_le @ (realu_abs @ (realu_sub @ X @ F)) @ EPS))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aRealu_exto_ABSu_POS, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,F:real,EX:real]:((intervalu_eps @ X @ F @ EX) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ EX))).
