%   ORIGINAL: Float.INTERVAL_ABSV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Float.interval_eps: !x f eps. interval_eps x f eps <=> abs (x - f) <= eps
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_SUB_ABS: !x y. abs (abs x - abs y) <= abs (x - y)
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: TRUTH: T
% Goal: !x f ex. interval_eps x f ex ==> interval_eps (abs x) (abs f) ex
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x f eps. interval_eps x f eps <=> abs (x - f) <= eps
% Assm: ~F <=> T
% Assm: !x y. abs (abs x - abs y) <= abs (x - y)
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: T
% Goal: !x f ex. interval_eps x f ex ==> interval_eps (abs x) (abs f) ex
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cintervaluu_eps, type, intervalu_eps : (real > real > real > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFloato_intervalu_eps, axiom, ![X:real,F:real,EPS:real]:((intervalu_eps @ X @ F @ EPS) <=> (realu_le @ (realu_abs @ (realu_sub @ X @ F)) @ EPS))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_SUBu_ABS, axiom, ![X:real,Y:real]:(realu_le @ (realu_abs @ (realu_sub @ (realu_abs @ X) @ (realu_abs @ Y))) @ (realu_abs @ (realu_sub @ X @ Y)))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,F:real,EX:real]:((intervalu_eps @ X @ F @ EX) => (intervalu_eps @ (realu_abs @ X) @ (realu_abs @ F) @ EX))).
