%   ORIGINAL: Float.REAL_MK_NN_SSQRT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Float.REAL_SSQRT_NEG: !x. x < &0 ==> ssqrt x = &0
% Assm: Float.REAL_SSQRT_NN: !x. &0 <= x ==> ssqrt x = sqrt x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LTE_TOTAL: !x y. x < y \/ y <= x
% Assm: SQRT_POS_LE: !x. &0 <= x ==> &0 <= sqrt x
% Assm: TRUTH: T
% Goal: !x. &0 <= ssqrt x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x < &0 ==> ssqrt x = &0
% Assm: !x. &0 <= x ==> ssqrt x = sqrt x
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !x y. x < y \/ y <= x
% Assm: !x. &0 <= x ==> &0 <= sqrt x
% Assm: T
% Goal: !x. &0 <= ssqrt x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cssqrt, type, ssqrt : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFloato_REALu_SSQRTu_NEG, axiom, ![X:real]:((realu_lt @ X @ (realu_ofu_num @ (numeral @ u_0))) => ((ssqrt @ X) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aFloato_REALu_SSQRTu_NN, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((ssqrt @ X) = (sqrt @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LTEu_TOTAL, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) | (realu_le @ Y @ X))).
thf(aSQRTu_POSu_LE, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (ssqrt @ X))).
