%   ORIGINAL: Float.REAL_SSQRT_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Float.REAL_SSQRT_NN: !x. &0 <= x ==> ssqrt x = sqrt x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EQ_IMP_LE: !x y. x = y ==> x <= y
% Assm: REAL_LTE_TOTAL: !x y. x < y \/ y <= x
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: Real_ext.REAL_PROP_ZERO_SQRT: !x. &0 <= x ==> (sqrt x = &0 <=> x = &0)
% Assm: TRUTH: T
% Goal: !x. ssqrt x = &0 ==> x <= &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. &0 <= x ==> ssqrt x = sqrt x
% Assm: ~F <=> T
% Assm: !x y. x = y ==> x <= y
% Assm: !x y. x < y \/ y <= x
% Assm: !x y. x < y ==> x <= y
% Assm: !x. &0 <= x ==> (sqrt x = &0 <=> x = &0)
% Assm: T
% Goal: !x. ssqrt x = &0 ==> x <= &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cssqrt, type, ssqrt : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFloato_REALu_SSQRTu_NN, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((ssqrt @ X) = (sqrt @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EQu_IMPu_LE, axiom, ![X:real,Y:real]:((X = Y) => (realu_le @ X @ Y))).
thf(aREALu_LTEu_TOTAL, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) | (realu_le @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aRealu_exto_REALu_PROPu_ZEROu_SQRT, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (((sqrt @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:(((ssqrt @ X) = (realu_ofu_num @ (numeral @ u_0))) => (realu_le @ X @ (realu_ofu_num @ (numeral @ u_0))))).
