%   ORIGINAL: Float.REAL_SSQRT_MONO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Float.REAL_MK_NN_SSQRT: !x. &0 <= ssqrt x
% Assm: Float.REAL_SSQRT_NEG: !x. x < &0 ==> ssqrt x = &0
% Assm: Float.REAL_SSQRT_NN: !x. &0 <= x ==> ssqrt x = sqrt x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_LTE_TOTAL: !x y. x < y \/ y <= x
% Assm: SQRT_MONO_LE_EQ: !x y. &0 <= x /\ &0 <= y ==> (sqrt x <= sqrt y <=> x <= y)
% Assm: TRUTH: T
% Goal: !x. x <= y ==> ssqrt x <= ssqrt y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. &0 <= ssqrt x
% Assm: !x. x < &0 ==> ssqrt x = &0
% Assm: !x. &0 <= x ==> ssqrt x = sqrt x
% Assm: ~F <=> T
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y. x < y \/ y <= x
% Assm: !x y. &0 <= x /\ &0 <= y ==> (sqrt x <= sqrt y <=> x <= y)
% Assm: T
% Goal: !y x. x <= y ==> ssqrt x <= ssqrt y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cssqrt, type, ssqrt : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFloato_REALu_MKu_NNu_SSQRT, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (ssqrt @ X))).
thf(aFloato_REALu_SSQRTu_NEG, axiom, ![X:real]:((realu_lt @ X @ (realu_ofu_num @ (numeral @ u_0))) => ((ssqrt @ X) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aFloato_REALu_SSQRTu_NN, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((ssqrt @ X) = (sqrt @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_LTEu_TOTAL, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) | (realu_le @ Y @ X))).
thf(aSQRTu_MONOu_LEu_EQ, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((realu_le @ (sqrt @ X) @ (sqrt @ Y)) <=> (realu_le @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Y:real,X:real]:((realu_le @ X @ Y) => (realu_le @ (ssqrt @ X) @ (ssqrt @ Y)))).
