%   ORIGINAL: Float.REAL_SSQRT_CHAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: Float.REAL_SSQRT_NN: !x. &0 <= x ==> ssqrt x = sqrt x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POW_2_SQRT_ABS: !x. sqrt (x pow 2) = abs x
% Assm: Real_ext.REAL_MK_NN_SQUARE: !x. &0 <= x * x
% Assm: SQRT_MUL: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_REFL: !x. abs x = x <=> &0 <= x
% Goal: !x t. &0 <= t /\ t * t = x ==> t = ssqrt x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x pow 2 = x * x
% Assm: !x. &0 <= x ==> ssqrt x = sqrt x
% Assm: ~F <=> T
% Assm: !x. sqrt (x pow 2) = abs x
% Assm: !x. &0 <= x * x
% Assm: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: T
% Assm: !x. abs x = x <=> &0 <= x
% Goal: !x t. &0 <= t /\ t * t = x ==> t = ssqrt x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(cssqrt, type, ssqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aFloato_REALu_SSQRTu_NN, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((ssqrt @ X) = (sqrt @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOWu_2u_SQRTu_ABS, axiom, ![X:real]:((sqrt @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_abs @ X))).
thf(aRealu_exto_REALu_MKu_NNu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ X))).
thf(aSQRTu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((sqrt @ (realu_mul @ X @ Y)) = (realu_mul @ (sqrt @ X) @ (sqrt @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_REFL, axiom, ![X:real]:(((realu_abs @ X) = X) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(conjecture, conjecture, ![X:real,T:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T) & ((realu_mul @ T @ T) = X)) => (T = (ssqrt @ X)))).
