%   ORIGINAL: Float.REAL_SSQRT_SQUARE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Float.REAL_SSQRT_NN: !x. &0 <= x ==> ssqrt x = sqrt x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SQRT_POW_2: !x. &0 <= x ==> sqrt x pow 2 = x
% Assm: TRUTH: T
% Goal: !x. &0 <= x ==> ssqrt x * ssqrt x = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x pow 2 = x * x
% Assm: !t. (\x. t x) = t
% Assm: !x. &0 <= x ==> ssqrt x = sqrt x
% Assm: ~F <=> T
% Assm: !x. &0 <= x ==> sqrt x pow 2 = x
% Assm: T
% Goal: !x. &0 <= x ==> ssqrt x * ssqrt x = x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cssqrt, type, ssqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFloato_REALu_SSQRTu_NN, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((ssqrt @ X) = (sqrt @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSQRTu_POWu_2, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((realu_pow @ (sqrt @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((realu_mul @ (ssqrt @ X) @ (ssqrt @ X)) = X))).
