%   ORIGINAL: Float.FLOAT_ZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Float.TWOPOW_NZ: !a. ~(twopow a = &0)
% Assm: Float.float: !x n. float x n = real_of_int x * twopow n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Num_ext_nabs.INT_OF_NUM_DEST: !a n. real_of_int a = &n <=> a = &n
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: TRUTH: T
% Goal: !a b. float a b = &0 <=> a = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !a. ~(twopow a = &0)
% Assm: !x n. float x n = real_of_int x * twopow n
% Assm: ~F <=> T
% Assm: !a n. real_of_int a = &n <=> a = &n
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: T
% Goal: !a b. float a b = &0 <=> a = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cfloat, type, float : (int > int > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(ctwopow, type, twopow : (int > real)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFloato_TWOPOWu_NZ, axiom, ![A:int]:~ (((twopow @ A) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aFloato_float, axiom, ![X:int,N:int]:((float @ X @ N) = (realu_mul @ (realu_ofu_int @ X) @ (twopow @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNumu_extu_nabso_INTu_OFu_NUMu_DEST, axiom, ![A:int,N:num]:(((realu_ofu_int @ A) = (realu_ofu_num @ N)) <=> (A = (intu_ofu_num @ N)))).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:int,B:int]:(((float @ A @ B) = (realu_ofu_num @ (numeral @ u_0))) <=> (A = (intu_ofu_num @ (numeral @ u_0))))).
