%   ORIGINAL: Float.FLOAT_NN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Float.TWOPOW_MK_POS: !a. &0 < twopow a
% Assm: Float.float: !x n. float x n = real_of_int x * twopow n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: Real_ext.REAL_PROP_NN_RCANCEL: !x y. &0 < x /\ &0 <= y * x ==> &0 <= y
% Assm: TRUTH: T
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Goal: !a b. &0 <= float a b <=> &0 <= a
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a. &0 < twopow a
% Assm: !x n. float x n = real_of_int x * twopow n
% Assm: ~F <=> T
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. x < y ==> x <= y
% Assm: !x y. &0 < x /\ &0 <= y * x ==> &0 <= y
% Assm: T
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Goal: !a b. &0 <= float a b <=> &0 <= a
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cfloat, type, float : (int > int > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(ctwopow, type, twopow : (int > real)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFloato_TWOPOWu_MKu_POS, axiom, ![A:int]:(realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (twopow @ A))).
thf(aFloato_float, axiom, ![X:int,N:int]:((float @ X @ N) = (realu_mul @ (realu_ofu_int @ X) @ (twopow @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aRealu_exto_REALu_PROPu_NNu_RCANCEL, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ Y @ X))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y))).
thf(aTRUTH, axiom, $true).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(conjecture, conjecture, ![A:int,B:int]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (float @ A @ B)) <=> (intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ A))).
