%   ORIGINAL: Float.FLOAT_POS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Float.FLOAT_NN: !a b. &0 <= float a b <=> &0 <= a
% Assm: Float.FLOAT_ZERO: !a b. float a b = &0 <=> a = &0
% Assm: INT_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: TRUTH: T
% Goal: !a b. &0 < float a b <=> &0 < a
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !a b. &0 <= float a b <=> &0 <= a
% Assm: !a b. float a b = &0 <=> a = &0
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: ~F <=> T
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: T
% Goal: !a b. &0 < float a b <=> &0 < a
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cfloat, type, float : (int > int > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFloato_FLOATu_NN, axiom, ![A:int,B:int]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (float @ A @ B)) <=> (intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ A))).
thf(aFloato_FLOATu_ZERO, axiom, ![A:int,B:int]:(((float @ A @ B) = (realu_ofu_num @ (numeral @ u_0))) <=> (A = (intu_ofu_num @ (numeral @ u_0))))).
thf(aINTu_LTu_LE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> ((intu_le @ X @ Y) & ~ ((X = Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:int,B:int]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (float @ A @ B)) <=> (intu_lt @ (intu_ofu_num @ (numeral @ u_0)) @ A))).
