%   ORIGINAL: Float.INTERVAL_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Float.interval_eps: !x f eps. interval_eps x f eps <=> abs (x - f) <= eps
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: TRUTH: T
% Goal: !a f ex. interval_eps a f ex <=> &0 <= ex - abs (a - f)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x f eps. interval_eps x f eps <=> abs (x - f) <= eps
% Assm: ~F <=> T
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: T
% Goal: !a f ex. interval_eps a f ex <=> &0 <= ex - abs (a - f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintervaluu_eps, type, intervalu_eps : (real > real > real > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFloato_intervalu_eps, axiom, ![X:real,F:real,EPS:real]:((intervalu_eps @ X @ F @ EPS) <=> (realu_le @ (realu_abs @ (realu_sub @ X @ F)) @ EPS))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,F:real,EX:real]:((intervalu_eps @ A @ F @ EX) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ EX @ (realu_abs @ (realu_sub @ A @ F)))))).
