%   ORIGINAL: Float.pow_parity
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: Float.pow_conjunct1: !n. x pow SUC n = x * x pow n
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: REAL_POW_ADD: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: TRUTH: T
% Goal: !x u. x pow NUMERAL (BIT0 u) = x pow NUMERAL u * x pow NUMERAL u /\ x pow NUMERAL (BIT1 u) = x * x pow NUMERAL u * x pow NUMERAL u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !n. NUMERAL n = n
% Assm: !x m n. x pow (m + n) = x pow m * x pow n
% Assm: T
% Goal: !x u. x pow NUMERAL (BIT0 u) = x pow NUMERAL u * x pow NUMERAL u /\ x pow NUMERAL (BIT1 u) = x * x pow NUMERAL u * x pow NUMERAL u
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aFloato_powu_conjunct1, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aREALu_POWu_ADD, axiom, ![X:real,M:num,N:num]:((realu_pow @ X @ (p_ @ M @ N)) = (realu_mul @ (realu_pow @ X @ M) @ (realu_pow @ X @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,U:num]:(((realu_pow @ X @ (numeral @ (bit0 @ U))) = (realu_mul @ (realu_pow @ X @ (numeral @ U)) @ (realu_pow @ X @ (numeral @ U)))) & ((realu_pow @ X @ (numeral @ (bit1 @ U))) = (realu_mul @ X @ (realu_mul @ (realu_pow @ X @ (numeral @ U)) @ (realu_pow @ X @ (numeral @ U))))))).
