%   ORIGINAL: Misc_defs_and_lemmas.ABS_SQUARE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: REAL_LT_MUL2: !w x y z. &0 <= w /\ w < x /\ &0 <= y /\ y < z ==> w * y < x * z
% Assm: REAL_POW2_ABS: !x. abs x pow 2 = x pow 2
% Assm: Real_ext.ABS_POS: !x. &0 <= abs x
% Assm: TRUTH: T
% Goal: !t u. abs t < u ==> t * t < u * u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x pow 2 = x * x
% Assm: !w x y z. &0 <= w /\ w < x /\ &0 <= y /\ y < z ==> w * y < x * z
% Assm: !x. abs x pow 2 = x pow 2
% Assm: !x. &0 <= abs x
% Assm: T
% Goal: !t u. abs t < u ==> t * t < u * u
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aREALu_LTu_MUL2, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ W) & (realu_lt @ W @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ (realu_mul @ W @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POW2u_ABS, axiom, ![X:real]:((realu_pow @ (realu_abs @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aRealu_exto_ABSu_POS, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![T:real,U:real]:((realu_lt @ (realu_abs @ T) @ U) => (realu_lt @ (realu_mul @ T @ T) @ (realu_mul @ U @ U)))).
