%   ORIGINAL: Misc_defs_and_lemmas.twopow_eps
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Float.TWOPOW_NEG: !n. twopow (-- &n) = inv (&2 pow n)
% Assm: Misc_defs_and_lemmas.POW_2_LT: !n. &n < &2 pow n
% Assm: Misc_defs_and_lemmas.REAL_INV_LT: !x y z. &0 < x ==> (inv x * y < z <=> y < x * z)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ARCH_SIMPLE: !x. ?n. x <= &n
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LT_LDIV_EQ: !x y z. &0 < z ==> (x / z < y <=> x < y * z)
% Assm: REAL_LT_POW2: !n. &0 < &2 pow n
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: TRUTH: T
% Assm: Tactics_jordan.tagb: !x. TAGB x <=> x
% Goal: !R e. ?n. &0 < R /\ &0 < e ==> R * twopow (-- &n) < e
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n. twopow (-- &n) = inv (&2 pow n)
% Assm: !n. &n < &2 pow n
% Assm: !x y z. &0 < x ==> (inv x * y < z <=> y < x * z)
% Assm: ~F <=> T
% Assm: !x. ?n. x <= &n
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y z. &0 < z ==> (x / z < y <=> x < y * z)
% Assm: !n. &0 < &2 pow n
% Assm: !n m. m * n = n * m
% Assm: T
% Assm: !x. TAGB x <=> x
% Goal: !R e. ?n. &0 < R /\ &0 < e ==> R * twopow (-- &n) < e
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ctagb, type, tagb : ($o > $o)).
thf(cuu_0, type, u_0 : num).
thf(ctwopow, type, twopow : (int > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFloato_TWOPOWu_NEG, axiom, ![N:num]:((twopow @ (intu_neg @ (intu_ofu_num @ N))) = (realu_inv @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N)))).
thf(aMiscu_defsu_andu_lemmaso_POWu_2u_LT, axiom, ![N:num]:(realu_lt @ (realu_ofu_num @ N) @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N))).
thf(aMiscu_defsu_andu_lemmaso_REALu_INVu_LT, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((realu_lt @ (realu_mul @ (realu_inv @ X) @ Y) @ Z) <=> (realu_lt @ Y @ (realu_mul @ X @ Z))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ARCHu_SIMPLE, axiom, ![X:real]:?[N:num]:(realu_le @ X @ (realu_ofu_num @ N))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LTu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_lt @ (realu_div @ X @ Z) @ Y) <=> (realu_lt @ X @ (realu_mul @ Y @ Z))))).
thf(aREALu_LTu_POW2, axiom, ![N:num]:(realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(aTacticsu_jordano_tagb, axiom, ![X:$o]:((tagb @ X) <=> X)).
thf(conjecture, conjecture, ![R:real,E:real]:?[N:num]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => (realu_lt @ (realu_mul @ R @ (twopow @ (intu_neg @ (intu_ofu_num @ N)))) @ E))).
