%   ORIGINAL: Misc_defs_and_lemmas.prod_EXISTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: num_RECURSION: !e f. ?fn. fn 0 = e /\ (!n. fn (SUC n) = f (fn n) n)
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: ?prod. (!f n. prod (n,0) f = &1) /\ (!f m n. prod (n,SUC m) f = prod (n,m) f * f (n + m))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !e f. ?fn. fn 0 = e /\ (!n. fn (SUC n) = f (fn n) n)
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: ?prod. (!f n. prod (n,0) f = &1) /\ (!f m n. prod (n,SUC m) f = prod (n,m) f * f (n + m))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(cgeq, type, geq : (real > real > $o)).
thf(chu_, type, h_ : ((real > $o) > real)).
thf(cgabs, type, gabs : ((real > $o) > real)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGABSu_DEF, axiom, ![P:(real > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:real,B:real]:((geq @ A @ B) <=> (A = B))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(anumu_RECURSION, axiom, ![E:real,F:(real > num > real)]:?[FN:(num > real)]:(((FN @ (numeral @ u_0)) = E) & ![N:num]:((FN @ (suc @ N)) = (F @ (FN @ N) @ N)))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(num > num > real)]:?[FN:(prodnumnum > real)]:![A0:num,A1:num]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ?[PROD:(prodnumnum > (num > real) > real)]:(![F:(num > real),N:num]:((PROD @ (c_ @ N @ (numeral @ u_0)) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ![F:(num > real),M:num,N:num]:((PROD @ (c_ @ N @ (suc @ M)) @ F) = (realu_mul @ (PROD @ (c_ @ N @ M) @ F) @ (F @ (p_ @ N @ M)))))).
