%   ORIGINAL: Misc_defs_and_lemmas.ABS_PROD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Float.ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: Misc_defs_and_lemmas.prod: !n m. prod (n,0) f = &1 /\ prod (n,SUC m) f = prod (n,m) f * f (n + m)
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f m n. abs (prod (m,n) f) = prod (m,n) (\n. abs (f n))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: !f n m. prod (n,0) f = &1 /\ prod (n,SUC m) f = prod (n,m) f * f (n + m)
% Assm: T
% Assm: abs (&1) = &1
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f m n. abs (prod (m,n) f) = prod (m,n) (\n. abs (f n))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cprod, type, prod : (prodnumnum > (num > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFloato_ABSu_MUL, axiom, ![X:real,Y:real]:((realu_abs @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aMiscu_defsu_andu_lemmaso_prod, axiom, ![F:(num > real),N:num,M:num]:(((prod @ (c_ @ N @ (numeral @ u_0)) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((prod @ (c_ @ N @ (suc @ M)) @ F) = (realu_mul @ (prod @ (c_ @ N @ M) @ F) @ (F @ (p_ @ N @ M)))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![F:(num > real),M:num,N:num]:((realu_abs @ (prod @ (c_ @ M @ N) @ F)) = (prod @ (c_ @ M @ N) @ ^[N:num]:(realu_abs @ (F @ N))))).
