%   ORIGINAL: Misc_defs_and_lemmas.PROD_POS_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: I_THM: !x. I x = x
% Assm: LE_ADD: !m n. m <= m + n
% Assm: Misc_defs_and_lemmas.prod: !n m. prod (n,0) f = &1 /\ prod (n,SUC m) f = prod (n,m) f * f (n + m)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_01: &0 <= &1
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f m n. (!n. m <= n ==> &0 <= f n) ==> &0 <= prod (m,n) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. I x = x
% Assm: !m n. m <= m + n
% Assm: !f n m. prod (n,0) f = &1 /\ prod (n,SUC m) f = prod (n,m) f * f (n + m)
% Assm: ~F <=> T
% Assm: &0 <= &1
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !f m n. (!n. m <= n ==> &0 <= f n) ==> &0 <= prod (m,n) f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cprod, type, prod : (prodnumnum > (num > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aMiscu_defsu_andu_lemmaso_prod, axiom, ![F:(num > real),N:num,M:num]:(((prod @ (c_ @ N @ (numeral @ u_0)) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((prod @ (c_ @ N @ (suc @ M)) @ F) = (realu_mul @ (prod @ (c_ @ N @ M) @ F) @ (F @ (p_ @ N @ M)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_01, axiom, (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![F:(num > real),M:num,N:num]:(![N:num]:((l_a_ @ M @ N) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ N))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (prod @ (c_ @ M @ N) @ F)))).
