%   ORIGINAL: Misc_defs_and_lemmas.SURJ_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: Misc_defs_and_lemmas.SURJ_IMAGE: !f a b. SURJ f a b ==> b = IMAGE f a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b f. FINITE a /\ SURJ f a b ==> FINITE b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f a b. SURJ f a b ==> b = IMAGE f a
% Assm: ~F <=> T
% Assm: T
% Goal: !a b f. FINITE a /\ SURJ f a b ==> FINITE b
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cimage2, type, image2 : ((a > a) > (a > $o) > a > $o)).
thf(cimage1, type, image1 : ((a > b) > (a > $o) > b > $o)).
thf(cimage0, type, image0 : ((b > a) > (b > $o) > a > $o)).
thf(cimage, type, image : ((b > b) > (b > $o) > b > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGEu_monomorphized3, axiom, ![F:(b > b),S:(b > $o)]:((finite0 @ S) => (finite0 @ (image @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized2, axiom, ![F:(b > a),S:(b > $o)]:((finite0 @ S) => (finite @ (image0 @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized1, axiom, ![F:(a > b),S:(a > $o)]:((finite @ S) => (finite0 @ (image1 @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized0, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (finite @ (image2 @ F @ S)))).
thf(aMiscu_defsu_andu_lemmaso_SURJu_IMAGE, axiom, ![F:(a > b),A:(a > $o),B:(b > $o)]:((surj @ F @ A @ B) => (B = (image1 @ F @ A)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:(a > $o),B:(b > $o),F:(a > b)]:(((finite @ A) & (surj @ F @ A @ B)) => (finite0 @ B))).
