%   ORIGINAL: Misc_defs_and_lemmas.UNIONS_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_DIFF: !s t. s DIFF t SUBSET s
% Assm: TRUTH: T
% Goal: !X V. X DIFF INTERS V = UNIONS (IMAGE ((DIFF) X) V)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t. s DIFF t SUBSET s
% Assm: T
% Goal: !X V. X DIFF INTERS V = UNIONS (IMAGE ((DIFF) X) V)
%  TYPES
thf(ta, type, a : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cinters, type, inters : (((a > $o) > $o) > a > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cimage, type, image : (((a > $o) > a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aIMAGE, axiom, ![S:((a > $o) > $o),F:((a > $o) > a > $o)]:((image @ F @ S) = (gspec @ ^[GENR_PVARR_7:(a > $o)]:?[Y:(a > $o)]:(setspec @ GENR_PVARR_7 @ ?[X:(a > $o)]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTERS, axiom, ![S:((a > $o) > $o),X:a]:((in0 @ X @ (inters @ S)) <=> ![T:(a > $o)]:((in @ T @ S) => (in0 @ X @ T)))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in0 @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in @ T @ S) & (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(a > $o),T:(a > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_DIFF, axiom, ![S:(a > $o),T:(a > $o)]:(subset @ (diff @ S @ T) @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:(a > $o),V:((a > $o) > $o)]:((diff @ X @ (inters @ V)) = (unions @ (image @ (diff @ X) @ V)))).
