%   ORIGINAL: Misc_defs_and_lemmas.COUNTABLE_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COUNTABLE: !t. COUNTABLE t <=> (:num) >=_c t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FST: !x y. FST (x,y) = x
% Assm: GE_C: !s t. s >=_c t <=> (?f. !y. y IN t ==> (?x. x IN s /\ y = f x))
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: Misc_defs_and_lemmas.NUM2_COUNTABLE: COUNTABLE {x,y | T}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SND: !x y. SND (x,y) = y
% Assm: TRUTH: T
% Assm: Tactics_jordan.tagb: !x. TAGB x <=> x
% Goal: !A. COUNTABLE A /\ (!a. a IN A ==> COUNTABLE a) ==> COUNTABLE (UNIONS A)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. COUNTABLE t <=> (:num) >=_c t
% Assm: !t. COUNTABLE t <=> (:num) >=_c t
% Assm: !t. (\x. t x) = t
% Assm: !x y. FST (x,y) = x
% Assm: !s t. s >=_c t <=> (?f. !y. y IN t ==> (?x. x IN s /\ y = f x))
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. x IN (:A->bool)
% Assm: COUNTABLE {x,y | T}
% Assm: ~F <=> T
% Assm: !x y. SND (x,y) = y
% Assm: T
% Assm: !x. TAGB x <=> x
% Goal: !A. COUNTABLE A /\ (!a. a IN A ==> COUNTABLE a) ==> COUNTABLE (UNIONS A)
%  TYPES
thf(tnum, type, num : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((prodnumnum > $o) > prodnumnum > $o)).
thf(cin0, type, in0 : (((a > $o) > $o) > (((a > $o) > $o) > $o) > $o)).
thf(cunions0, type, unions0 : ((((a > $o) > $o) > $o) > (a > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cgu_au_uu_c1, type, g_a_u_c1 : (((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(cgu_au_uu_c0, type, g_a_u_c0 : ((num > $o) > (a > $o) > $o)).
thf(cgu_au_uu_c, type, g_a_u_c : ((num > $o) > ((a > $o) > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(ccu_0, type, c_0 : (num > num > prodnumnum)).
thf(csetspec0, type, setspec0 : (prodnumnum > $o > prodnumnum > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(ccu_, type, c_ : (a > b > prodab)).
thf(cfst, type, fst : (prodab > a)).
thf(ctagb, type, tagb : ($o > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(ccountable1, type, countable1 : ((prodnumnum > $o) > $o)).
thf(cuniv0, type, univ0 : ((a > $o) > $o)).
thf(ccountable0, type, countable0 : ((a > $o) > $o)).
thf(ccountable, type, countable : (((a > $o) > $o) > $o)).
thf(csnd, type, snd : (prodab > b)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOUNTABLEu_monomorphized1, axiom, ![T:((a > $o) > $o)]:((countable @ T) <=> (g_a_u_c @ univ @ T))).
thf(aCOUNTABLEu_monomorphized0, axiom, ![T:(a > $o)]:((countable0 @ T) <=> (g_a_u_c0 @ univ @ T))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFST, axiom, ![X:a,Y:b]:((fst @ (c_ @ X @ Y)) = X)).
thf(aGEu_C, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((g_a_u_c1 @ S @ T) <=> ?[F:((a > $o) > a > $o)]:![Y:(a > $o)]:((in @ Y @ T) => ?[X:(a > $o)]:((in @ X @ S) & (Y = (F @ X)))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in @ X @ (gspec @ ^[V:(a > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aINu_UNIONS, axiom, ![S:(((a > $o) > $o) > $o),X:(a > $o)]:((in @ X @ (unions0 @ S)) <=> ?[T:((a > $o) > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:(a > $o)]:(in @ X @ univ0)).
thf(aMiscu_defsu_andu_lemmaso_NUM2u_COUNTABLE, axiom, (countable1 @ (gspec0 @ ^[GENR_PVARR_108:prodnumnum]:?[X:num,Y:num]:(setspec0 @ GENR_PVARR_108 @ $true @ (c_0 @ X @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSND, axiom, ![X:a,Y:b]:((snd @ (c_ @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(aTacticsu_jordano_tagb, axiom, ![X:$o]:((tagb @ X) <=> X)).
thf(conjecture, conjecture, ![A:((a > $o) > $o)]:(((countable @ A) & ![A0:(a > $o)]:((in @ A0 @ A) => (countable0 @ A0))) => (countable0 @ (unions @ A)))).
