%   ORIGINAL: Misc_defs_and_lemmas.FINITE_COUNTABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Misc_defs_and_lemmas.COUNTABLE_CARD: !A B. COUNTABLE A /\ A >=_c B ==> COUNTABLE B
% Assm: Misc_defs_and_lemmas.COUNTABLE_NUMSEG: !n. COUNTABLE {x | x < n}
% Assm: Misc_defs_and_lemmas.FINITE_HAS_SIZE_LEMMA: !s. FINITE s ==> (?n. {x | x < n} >=_c s)
% Assm: TRUTH: T
% Goal: !A. FINITE A ==> COUNTABLE A
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A B. COUNTABLE A /\ A >=_c B ==> COUNTABLE B
% Assm: !n. COUNTABLE {x | x < n}
% Assm: !s. FINITE s ==> (?n. {x | x < n} >=_c s)
% Assm: T
% Goal: !A. FINITE A ==> COUNTABLE A
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cgu_au_uu_c0, type, g_a_u_c0 : ((num > $o) > (a > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(cgu_au_uu_c, type, g_a_u_c : ((a > $o) > (a > $o) > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
thf(ccountable0, type, countable0 : ((num > $o) > $o)).
thf(ccountable, type, countable : ((a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMiscu_defsu_andu_lemmaso_COUNTABLEu_CARD, axiom, ![A:(a > $o),B:(a > $o)]:(((countable @ A) & (g_a_u_c @ A @ B)) => (countable @ B))).
thf(aMiscu_defsu_andu_lemmaso_COUNTABLEu_NUMSEG, axiom, ![N:num]:(countable0 @ (gspec @ ^[GENR_PVARR_109:num]:?[X:num]:(setspec @ GENR_PVARR_109 @ (l_ @ X @ N) @ X)))).
thf(aMiscu_defsu_andu_lemmaso_FINITEu_HASu_SIZEu_LEMMA, axiom, ![S:(a > $o)]:((finite @ S) => ?[N:num]:(g_a_u_c0 @ (gspec @ ^[GENR_PVARR_107:num]:?[X:num]:(setspec @ GENR_PVARR_107 @ (l_ @ X @ N) @ X)) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:(a > $o)]:((finite @ A) => (countable @ A))).
