%   ORIGINAL: Misc_defs_and_lemmas.num_above_infinite
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG_LE: !n. FINITE {m | m <= n}
% Assm: FINITE_UNION_IMP: !s t. FINITE s /\ FINITE t ==> FINITE (s UNION t)
% Assm: Misc_defs_and_lemmas.num_SEG_UNION: !i. {u | i < u} UNION {m | m <= i} = (:num)
% Assm: Misc_defs_and_lemmas.num_infinite: ~FINITE (:num)
% Assm: TRUTH: T
% Goal: !i. ~FINITE {u | i < u}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. FINITE {m | m <= n}
% Assm: !s t. FINITE s /\ FINITE t ==> FINITE (s UNION t)
% Assm: !i. {u | i < u} UNION {m | m <= i} = (:num)
% Assm: ~FINITE (:num)
% Assm: T
% Goal: !i. ~FINITE {u | i < u}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(cunion, type, union : ((num > $o) > (num > $o) > num > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEGu_LE, axiom, ![N:num]:(finite @ (gspec @ ^[GENR_PVARR_110:num]:?[M:num]:(setspec @ GENR_PVARR_110 @ (l_a_ @ M @ N) @ M)))).
thf(aFINITEu_UNIONu_IMP, axiom, ![S:(num > $o),T:(num > $o)]:(((finite @ S) & (finite @ T)) => (finite @ (union @ S @ T)))).
thf(aMiscu_defsu_andu_lemmaso_numu_SEGu_UNION, axiom, ![I:num]:((union @ (gspec @ ^[GENR_PVARR_112:num]:?[U:num]:(setspec @ GENR_PVARR_112 @ (l_ @ I @ U) @ U)) @ (gspec @ ^[GENR_PVARR_113:num]:?[M:num]:(setspec @ GENR_PVARR_113 @ (l_a_ @ M @ I) @ M))) = univ)).
thf(aMiscu_defsu_andu_lemmaso_numu_infinite, axiom, ~ ((finite @ univ))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![I:num]:~ ((finite @ (gspec @ ^[GENR_PVARR_116:num]:?[U:num]:(setspec @ GENR_PVARR_116 @ (l_ @ I @ U) @ U))))).
