%   ORIGINAL: Misc_defs_and_lemmas.num_above_finite
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG_LE: !n. FINITE {m | m <= n}
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: INTER_UNIV_conjunct1: !s. s INTER (:A) = s
% Assm: Misc_defs_and_lemmas.INTER_FINITE: !s t. (FINITE s ==> FINITE (s INTER t)) /\ (FINITE t ==> FINITE (s INTER t))
% Assm: Misc_defs_and_lemmas.num_SEG_UNION: !i. {u | i < u} UNION {m | m <= i} = (:num)
% Assm: TRUTH: T
% Assm: UNION_OVER_INTER: !s t u. s INTER (t UNION u) = s INTER t UNION s INTER u
% Goal: !i J. FINITE (J INTER {u | i < u}) ==> FINITE J
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. FINITE {m | m <= n}
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !s. s INTER (:num) = s
% Assm: !s t. (FINITE s ==> FINITE (s INTER t)) /\ (FINITE t ==> FINITE (s INTER t))
% Assm: !i. {u | i < u} UNION {m | m <= i} = (:num)
% Assm: T
% Assm: !s t u. s INTER (t UNION u) = s INTER t UNION s INTER u
% Goal: !i J. FINITE (J INTER {u | i < u}) ==> FINITE J
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(cunion, type, union : ((num > $o) > (num > $o) > num > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEGu_LE, axiom, ![N:num]:(finite @ (gspec @ ^[GENR_PVARR_110:num]:?[M:num]:(setspec @ GENR_PVARR_110 @ (l_a_ @ M @ N) @ M)))).
thf(aFINITEu_UNION, axiom, ![S:(num > $o),T:(num > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aINTERu_UNIVu_conjunct1, axiom, ![S:(num > $o)]:((inter @ S @ univ) = S)).
thf(aMiscu_defsu_andu_lemmaso_INTERu_FINITE, axiom, ![S:(num > $o),T:(num > $o)]:(((finite @ S) => (finite @ (inter @ S @ T))) & ((finite @ T) => (finite @ (inter @ S @ T))))).
thf(aMiscu_defsu_andu_lemmaso_numu_SEGu_UNION, axiom, ![I:num]:((union @ (gspec @ ^[GENR_PVARR_112:num]:?[U:num]:(setspec @ GENR_PVARR_112 @ (l_ @ I @ U) @ U)) @ (gspec @ ^[GENR_PVARR_113:num]:?[M:num]:(setspec @ GENR_PVARR_113 @ (l_a_ @ M @ I) @ M))) = univ)).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_OVERu_INTER, axiom, ![S:(num > $o),T:(num > $o),U:(num > $o)]:((inter @ S @ (union @ T @ U)) = (union @ (inter @ S @ T) @ (inter @ S @ U)))).
thf(conjecture, conjecture, ![I:num,J:(num > $o)]:((finite @ (inter @ J @ (gspec @ ^[GENR_PVARR_119:num]:?[U:num]:(setspec @ GENR_PVARR_119 @ (l_ @ I @ U) @ U)))) => (finite @ J))).
