%   ORIGINAL: Misc_defs_and_lemmas.INFINITE_PIGEONHOLE
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_UNIONS: !s. FINITE (UNIONS s) <=> FINITE s /\ (!t. t IN s ==> FINITE t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_ELIM_THM_conjunct3: !p x. {y | p y} x <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Tactics_jordan.tagb: !x. TAGB x <=> x
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !I f B C. ~FINITE {i | I i /\ C (f i)} /\ FINITE B /\ C SUBSET UNIONS B ==> (?b. B b /\ ~FINITE {i | I i /\ (C INTER b) (f i)})
%   PROCESSED
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !s. FINITE (UNIONS s) <=> FINITE s /\ (!t. t IN s ==> FINITE t)
% Assm: !s. FINITE (UNIONS s) <=> FINITE s /\ (!t. t IN s ==> FINITE t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. {y | p y} x <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x. TAGB x <=> x
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !I f B C. ~FINITE {i | I i /\ C (f i)} /\ FINITE B /\ C SUBSET UNIONS B ==> (?b. B b /\ ~FINITE {i | I i /\ (C INTER b) (f i)})
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin3, type, in3 : ((b > $o) > ((b > $o) > $o) > $o)).
thf(cin2, type, in2 : (b > (b > $o) > $o)).
thf(cgspec0, type, gspec0 : ((b > $o) > b > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cunions1, type, unions1 : (((a > $o) > $o) > a > $o)).
thf(cin, type, in : (((b > $o) > $o) > (((b > $o) > $o) > $o) > $o)).
thf(cunions0, type, unions0 : ((((b > $o) > $o) > $o) > (b > $o) > $o)).
thf(cunions, type, unions : (((b > $o) > $o) > b > $o)).
thf(csubset, type, subset : ((b > $o) > (b > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cimage3, type, image3 : ((a > b) > (a > $o) > b > $o)).
thf(csetspec0, type, setspec0 : (b > $o > b > $o)).
thf(cimage2, type, image2 : ((a > a) > (a > $o) > a > $o)).
thf(cimage1, type, image1 : ((a > b > $o) > (a > $o) > (b > $o) > $o)).
thf(cimage0, type, image0 : (((b > $o) > a) > ((b > $o) > $o) > a > $o)).
thf(cimage, type, image : (((b > $o) > b > $o) > ((b > $o) > $o) > (b > $o) > $o)).
thf(cinter, type, inter : ((b > $o) > (b > $o) > b > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(ctagb, type, tagb : ($o > $o)).
thf(cfinite2, type, finite2 : (((a > $o) > $o) > $o)).
thf(cfinite1, type, finite1 : ((((b > $o) > $o) > $o) > $o)).
thf(cfinite0, type, finite0 : (((b > $o) > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aFINITEu_IMAGEu_monomorphized3, axiom, ![F:((b > $o) > b > $o),S:((b > $o) > $o)]:((finite0 @ S) => (finite0 @ (image @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized2, axiom, ![F:((b > $o) > a),S:((b > $o) > $o)]:((finite0 @ S) => (finite @ (image0 @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized1, axiom, ![F:(a > b > $o),S:(a > $o)]:((finite @ S) => (finite0 @ (image1 @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized0, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (finite @ (image2 @ F @ S)))).
thf(aFINITEu_UNIONSu_monomorphized1, axiom, ![S:(((b > $o) > $o) > $o)]:((finite0 @ (unions0 @ S)) <=> ((finite1 @ S) & ![T:((b > $o) > $o)]:((in @ T @ S) => (finite0 @ T))))).
thf(aFINITEu_UNIONSu_monomorphized0, axiom, ![S:((a > $o) > $o)]:((finite @ (unions1 @ S)) <=> ((finite2 @ S) & ![T:(a > $o)]:((in0 @ T @ S) => (finite @ T))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in1 @ X @ P) <=> (P @ X))).
thf(aINTER, axiom, ![S:(b > $o),T:(b > $o)]:((inter @ S @ T) = (gspec0 @ ^[GENR_PVARR_2:b]:?[X:b]:(setspec0 @ GENR_PVARR_2 @ ((in2 @ X @ S) & (in2 @ X @ T)) @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in1 @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct3, axiom, ![P:(a > $o),X:a]:((gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y) @ X) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in2 @ Y @ (image3 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in1 @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(b > $o),T:(b > $o)]:((subset @ S @ T) <=> ![X:b]:((in2 @ X @ S) => (in2 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTacticsu_jordano_tagb, axiom, ![X:$o]:((tagb @ X) <=> X)).
thf(aUNIONS, axiom, ![S:((b > $o) > $o)]:((unions @ S) = (gspec0 @ ^[GENR_PVARR_1:b]:?[X:b]:(setspec0 @ GENR_PVARR_1 @ ?[U:(b > $o)]:((in3 @ U @ S) & (in2 @ X @ U)) @ X)))).
thf(conjecture, conjecture, ![I:(a > $o),F:(a > b),B:((b > $o) > $o),C:(b > $o)]:((~ ((finite @ (gspec @ ^[GENR_PVARR_125:a]:?[I0:a]:(setspec @ GENR_PVARR_125 @ ((I @ I0) & (C @ (F @ I0))) @ I0)))) & (finite0 @ B) & (subset @ C @ (unions @ B))) => ?[B0:(b > $o)]:((B @ B0) & ~ ((finite @ (gspec @ ^[GENR_PVARR_126:a]:?[I0:a]:(setspec @ GENR_PVARR_126 @ ((I @ I0) & (inter @ C @ B0 @ (F @ I0))) @ I0))))))).
