%   ORIGINAL: Misc_defs_and_lemmas.COMP_INJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: Misc_defs_and_lemmas.compose: !f g. compose f g = (\x. f (g x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g s t u. INJ f s t /\ INJ g t u ==> INJ (compose g f) s u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !f g. compose f g = (\x. f (g x))
% Assm: ~F <=> T
% Assm: T
% Goal: !f g s t u. INJ f s t /\ INJ g t u ==> INJ (compose g f) s u
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (c > (c > $o) > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(ccompose, type, compose : ((b > c) > (a > b) > a > c)).
thf(cinj1, type, inj1 : ((a > c) > (a > $o) > (c > $o) > $o)).
thf(cinj0, type, inj0 : ((b > c) > (b > $o) > (c > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINJu_monomorphized2, axiom, ![T:(c > $o),S:(b > $o),F:(b > c)]:((inj0 @ F @ S @ T) <=> (![X:b]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:b,Y:b]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINJu_monomorphized1, axiom, ![T:(c > $o),S:(a > $o),F:(a > c)]:((inj1 @ F @ S @ T) <=> (![X:a]:((in1 @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINJu_monomorphized0, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj @ F @ S @ T) <=> (![X:a]:((in1 @ X @ S) => (in @ (F @ X) @ T)) & ![X:a,Y:a]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aMiscu_defsu_andu_lemmaso_compose, axiom, ![F:(b > c),G:(a > b)]:((compose @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),G:(b > c),S:(a > $o),T:(b > $o),U:(c > $o)]:(((inj @ F @ S @ T) & (inj0 @ G @ T @ U)) => (inj1 @ (compose @ G @ F) @ S @ U))).
