%   ORIGINAL: Misc_defs_and_lemmas.INVERSE_FN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SURJ: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: TRUTH: T
% Goal: ?INVERSE. !f a b. SURJ f a b ==> INJ (INVERSE f a b) b a /\ (!x. x IN b ==> f (INVERSE f a b x) = x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: ~F <=> T
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: T
% Goal: ?INVERSE. !f a b. SURJ f a b ==> INJ (INVERSE f a b) b a /\ (!x. x IN b ==> f (INVERSE f a b x) = x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(cinj, type, inj : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINJ, axiom, ![T:(a > $o),S:(b > $o),F:(b > a)]:((inj @ F @ S @ T) <=> (![X:b]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:b,Y:b]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSURJ, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((surj @ F @ S @ T) <=> (![X:a]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![X:b]:((in @ X @ T) => ?[Y:a]:((in0 @ Y @ S) & ((F @ Y) = X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ?[INVERSE:((a > b) > (a > $o) > (b > $o) > b > a)]:![F:(a > b),A:(a > $o),B:(b > $o)]:((surj @ F @ A @ B) => ((inj @ (INVERSE @ F @ A @ B) @ B @ A) & ![X:b]:((in @ X @ B) => ((F @ (INVERSE @ F @ A @ B @ X)) = X))))).
