%   ORIGINAL: Misc_defs_and_lemmas.INVERSE_BIJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: I_THM: !x. I x = x
% Assm: Misc_defs_and_lemmas.INVERSE_DEF: !f a b. SURJ f a b ==> INJ (INVERSE f a b) b a /\ (!x. x IN b ==> f (INVERSE f a b x) = x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SURJ: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: TRUTH: T
% Goal: !f a b. BIJ f a b ==> BIJ (INVERSE f a b) b a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !x. I x = x
% Assm: !f a b. SURJ f a b ==> INJ (INVERSE f a b) b a /\ (!x. x IN b ==> f (INVERSE f a b x) = x)
% Assm: ~F <=> T
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: T
% Goal: !f a b. BIJ f a b ==> BIJ (INVERSE f a b) b a
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csurj0, type, surj0 : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj0, type, inj0 : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(csurj, type, surj : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cinj, type, inj : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > b) > (a > $o) > (b > $o) > b > a)).
thf(cbij0, type, bij0 : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJu_monomorphized1, axiom, ![F:(b > a),S:(b > $o),T:(a > $o)]:((bij0 @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBIJu_monomorphized0, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj0 @ F @ S @ T) & (surj0 @ F @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINJ, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj0 @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aMiscu_defsu_andu_lemmaso_INVERSEu_DEF, axiom, ![F:(a > b),A:(a > $o),B:(b > $o)]:((surj0 @ F @ A @ B) => ((inj @ (inverse @ F @ A @ B) @ B @ A) & ![X:b]:((in0 @ X @ B) => ((F @ (inverse @ F @ A @ B @ X)) = X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSURJ, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((surj0 @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:b]:((in0 @ X @ T) => ?[Y:a]:((in @ Y @ S) & ((F @ Y) = X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),A:(a > $o),B:(b > $o)]:((bij @ F @ A @ B) => (bij0 @ (inverse @ F @ A @ B) @ B @ A))).
