%   ORIGINAL: Misc_defs_and_lemmas.INVERSE_XY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: I_THM: !x. I x = x
% Assm: Misc_defs_and_lemmas.INVERSE_BIJ: !f a b. BIJ f a b ==> BIJ (INVERSE f a b) b a
% Assm: Misc_defs_and_lemmas.INVERSE_DEF: !f a b. SURJ f a b ==> INJ (INVERSE f a b) b a /\ (!x. x IN b ==> f (INVERSE f a b x) = x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f a b x y. BIJ f a b /\ x IN a /\ y IN b ==> (INVERSE f a b y = x <=> f x = y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f a b. BIJ f a b ==> BIJ (INVERSE f a b) b a
% Assm: !f a b. SURJ f a b ==> INJ (INVERSE f a b) b a /\ (!x. x IN b ==> f (INVERSE f a b x) = x)
% Assm: ~F <=> T
% Assm: T
% Goal: !f a b x y. BIJ f a b /\ x IN a /\ y IN b ==> (INVERSE f a b y = x <=> f x = y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cbij0, type, bij0 : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cinj2, type, inj2 : ((a > a) > (a > $o) > (a > $o) > $o)).
thf(cinj1, type, inj1 : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cinj0, type, inj0 : ((b > b) > (b > $o) > (b > $o) > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinverse, type, inverse : ((a > b) > (a > $o) > (b > $o) > b > a)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(ci, type, i : ($o > $o)).
thf(ci1, type, i1 : (a > a)).
thf(ci0, type, i0 : (b > b)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJ, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINJu_monomorphized3, axiom, ![T:(b > $o),S:(b > $o),F:(b > b)]:((inj0 @ F @ S @ T) <=> (![X:b]:((in0 @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:b,Y:b]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINJu_monomorphized2, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINJu_monomorphized1, axiom, ![T:(a > $o),S:(b > $o),F:(b > a)]:((inj1 @ F @ S @ T) <=> (![X:b]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![X:b,Y:b]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINJu_monomorphized0, axiom, ![T:(a > $o),S:(a > $o),F:(a > a)]:((inj2 @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aIu_THMu_monomorphized2, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:b]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i1 @ X) = X)).
thf(aMiscu_defsu_andu_lemmaso_INVERSEu_BIJ, axiom, ![F:(a > b),A:(a > $o),B:(b > $o)]:((bij @ F @ A @ B) => (bij0 @ (inverse @ F @ A @ B) @ B @ A))).
thf(aMiscu_defsu_andu_lemmaso_INVERSEu_DEF, axiom, ![F:(a > b),A:(a > $o),B:(b > $o)]:((surj @ F @ A @ B) => ((inj1 @ (inverse @ F @ A @ B) @ B @ A) & ![X:b]:((in0 @ X @ B) => ((F @ (inverse @ F @ A @ B @ X)) = X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),A:(a > $o),B:(b > $o),X:a,Y:b]:(((bij @ F @ A @ B) & (in @ X @ A) & (in0 @ Y @ B)) => (((inverse @ F @ A @ B @ Y) = X) <=> ((F @ X) = Y)))).
