%   ORIGINAL: Misc_defs_and_lemmas.FINITE_BIJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: I_THM: !x. I x = x
% Assm: Misc_defs_and_lemmas.SURJ_IMAGE: !f a b. SURJ f a b ==> b = IMAGE f a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b f. FINITE a /\ BIJ f a b ==> FINITE b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !x. I x = x
% Assm: !f a b. SURJ f a b ==> b = IMAGE f a
% Assm: ~F <=> T
% Assm: T
% Goal: !a b f. FINITE a /\ BIJ f a b ==> FINITE b
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cimage2, type, image2 : ((a > a) > (a > $o) > a > $o)).
thf(cimage1, type, image1 : ((a > b) > (a > $o) > b > $o)).
thf(cimage0, type, image0 : ((b > a) > (b > $o) > a > $o)).
thf(cimage, type, image : ((b > b) > (b > $o) > b > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJ, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGEu_monomorphized3, axiom, ![F:(b > b),S:(b > $o)]:((finite0 @ S) => (finite0 @ (image @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized2, axiom, ![F:(b > a),S:(b > $o)]:((finite0 @ S) => (finite @ (image0 @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized1, axiom, ![F:(a > b),S:(a > $o)]:((finite @ S) => (finite0 @ (image1 @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized0, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (finite @ (image2 @ F @ S)))).
thf(aINJ, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aMiscu_defsu_andu_lemmaso_SURJu_IMAGE, axiom, ![F:(a > b),A:(a > $o),B:(b > $o)]:((surj @ F @ A @ B) => (B = (image1 @ F @ A)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:(a > $o),B:(b > $o),F:(a > b)]:(((finite @ A) & (bij @ F @ A @ B)) => (finite0 @ B))).
