%   ORIGINAL: Misc_defs_and_lemmas.FINITE_INJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE_INJ_GENERAL: !f A s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE A ==> FINITE {x | x IN s /\ f x IN A}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !a b f. FINITE b /\ INJ f a b ==> FINITE a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f A s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE A ==> FINITE {x | x IN s /\ f x IN A}
% Assm: !f A s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE A ==> FINITE {x | x IN s /\ f x IN A}
% Assm: !f A s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE A ==> FINITE {x | x IN s /\ f x IN A}
% Assm: !f A s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE A ==> FINITE {x | x IN s /\ f x IN A}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !a b f. FINITE b /\ INJ f a b ==> FINITE a
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(cgspec1, type, gspec1 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((b > $o) > (b > $o) > $o)).
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((b > $o) > b > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(csetspec1, type, setspec1 : (q43851 > $o > q43851 > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csetspec, type, setspec : (b > $o > b > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJ, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGEu_INJu_GENERALu_monomorphized3, axiom, ![F:(b > b),A:(b > $o),S:(b > $o)]:((![X:b,Y:b]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ A)) => (finite @ (gspec @ ^[GENR_PVARR_56:b]:?[X:b]:(setspec @ GENR_PVARR_56 @ ((in @ X @ S) & (in @ (F @ X) @ A)) @ X))))).
thf(aFINITEu_IMAGEu_INJu_GENERALu_monomorphized2, axiom, ![F:(b > a),A:(a > $o),S:(b > $o)]:((![X:b,Y:b]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite0 @ A)) => (finite @ (gspec @ ^[GENR_PVARR_56:b]:?[X:b]:(setspec @ GENR_PVARR_56 @ ((in @ X @ S) & (in0 @ (F @ X) @ A)) @ X))))).
thf(aFINITEu_IMAGEu_INJu_GENERALu_monomorphized1, axiom, ![F:(a > b),A:(b > $o),S:(a > $o)]:((![X:a,Y:a]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ A)) => (finite0 @ (gspec0 @ ^[GENR_PVARR_56:a]:?[X:a]:(setspec0 @ GENR_PVARR_56 @ ((in0 @ X @ S) & (in @ (F @ X) @ A)) @ X))))).
thf(aFINITEu_IMAGEu_INJu_GENERALu_monomorphized0, axiom, ![F:(a > a),A:(a > $o),S:(a > $o)]:((![X:a,Y:a]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite0 @ A)) => (finite0 @ (gspec0 @ ^[GENR_PVARR_56:a]:?[X:a]:(setspec0 @ GENR_PVARR_56 @ ((in0 @ X @ S) & (in0 @ (F @ X) @ A)) @ X))))).
thf(aFINITEu_SUBSETu_monomorphized1, axiom, ![S:(b > $o),T:(b > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFINITEu_SUBSETu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:(((finite0 @ T) & (subset0 @ S @ T)) => (finite0 @ S))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINJ, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj @ F @ S @ T) <=> (![X:a]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![X:a,Y:a]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec1 @ ^[V:q43851]:?[Y:q43851]:(setspec1 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:(a > $o),B:(b > $o),F:(a > b)]:(((finite @ B) & (inj @ F @ A @ B)) => (finite0 @ A))).
