%   ORIGINAL: Misc_defs_and_lemmas.FINITE_BIJ2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Misc_defs_and_lemmas.FINITE_INJ: !a b f. FINITE b /\ INJ f a b ==> FINITE a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b f. FINITE b /\ BIJ f a b ==> FINITE a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !a b f. FINITE b /\ INJ f a b ==> FINITE a
% Assm: !a b f. FINITE b /\ INJ f a b ==> FINITE a
% Assm: !a b f. FINITE b /\ INJ f a b ==> FINITE a
% Assm: !a b f. FINITE b /\ INJ f a b ==> FINITE a
% Assm: ~F <=> T
% Assm: T
% Goal: !a b f. FINITE b /\ BIJ f a b ==> FINITE a
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cinj2, type, inj2 : ((a > a) > (a > $o) > (a > $o) > $o)).
thf(cinj1, type, inj1 : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cinj0, type, inj0 : ((b > b) > (b > $o) > (b > $o) > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJ, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMiscu_defsu_andu_lemmaso_FINITEu_INJu_monomorphized3, axiom, ![A:(b > $o),B:(b > $o),F:(b > b)]:(((finite @ B) & (inj0 @ F @ A @ B)) => (finite @ A))).
thf(aMiscu_defsu_andu_lemmaso_FINITEu_INJu_monomorphized2, axiom, ![A:(b > $o),B:(a > $o),F:(b > a)]:(((finite0 @ B) & (inj1 @ F @ A @ B)) => (finite @ A))).
thf(aMiscu_defsu_andu_lemmaso_FINITEu_INJu_monomorphized1, axiom, ![A:(a > $o),B:(b > $o),F:(a > b)]:(((finite @ B) & (inj @ F @ A @ B)) => (finite0 @ A))).
thf(aMiscu_defsu_andu_lemmaso_FINITEu_INJu_monomorphized0, axiom, ![A:(a > $o),B:(a > $o),F:(a > a)]:(((finite0 @ B) & (inj2 @ F @ A @ B)) => (finite0 @ A))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:(a > $o),B:(b > $o),F:(a > b)]:(((finite @ B) & (bij @ F @ A @ B)) => (finite0 @ A))).
