%   ORIGINAL: Misc_defs_and_lemmas.PAIR_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FST: !x y. FST (x,y) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PAIR: !x. FST x,SND x = x
% Assm: SND: !x y. SND (x,y) = y
% Assm: TRUTH: T
% Goal: !x i j. FST x = i /\ SND x = j <=> x = i,j
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x y. FST (x,y) = x
% Assm: ~F <=> T
% Assm: !x. FST x,SND x = x
% Assm: !x y. SND (x,y) = y
% Assm: T
% Goal: !x i j. FST x = i /\ SND x = j <=> x = i,j
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(csnd, type, snd : (prodnumnum > num)).
thf(cfst, type, fst : (prodnumnum > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > prodnumnum),G:(a > prodnumnum)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFST, axiom, ![X:num,Y:num]:((fst @ (c_ @ X @ Y)) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPAIR, axiom, ![X:prodnumnum]:((c_ @ (fst @ X) @ (snd @ X)) = X)).
thf(aSND, axiom, ![X:num,Y:num]:((snd @ (c_ @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:prodnumnum,I:num,J:num]:((((fst @ X) = I) & ((snd @ X) = J)) <=> (X = (c_ @ I @ J)))).
