%   ORIGINAL: Misc_defs_and_lemmas.CARD_SING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_CLAUSES_conjunct0: CARD {} = 0
% Assm: CARD_CLAUSES_conjunct1: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: SING: !s. SING s <=> (?x. s = {x})
% Assm: TRUTH: T
% Goal: !u. SING u ==> CARD u = 1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: SUC _0 = BIT1 _0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD {} = 0
% Assm: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE {}
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !n. NUMERAL n = n
% Assm: !s. SING s <=> (?x. s = {x})
% Assm: T
% Goal: !u. SING u ==> CARD u = 1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(csing, type, sing : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_CLAUSESu_conjunct0, axiom, ((card @ empty) = (numeral @ u_0))).
thf(aCARDu_CLAUSESu_conjunct1, axiom, ![X:a,S:(a > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aSING, axiom, ![S:(a > $o)]:((sing @ S) <=> ?[X:a]:(S = (insert @ X @ empty)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![U:(a > $o)]:((sing @ U) => ((card @ U) = (numeral @ (bit1 @ u_0))))).
