%   ORIGINAL: Misc_defs_and_lemmas.DOMAIN_EMPTY
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EMPTY: {} = (\x. F)
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT: x INSERT s = {y | y IN s \/ y = x}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_ELIM_THM_conjunct4: !p x. x IN (\y. p y) <=> p x
% Assm: Misc_defs_and_lemmas.FUN: !b a. FUN a b = (\f. (!x. x IN a ==> f x IN b) /\ SUPP f SUBSET a)
% Assm: Misc_defs_and_lemmas.SUPP: !f. SUPP f = (\x. ~(f x = CHOICE (:B)))
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET_EMPTY: !s. s SUBSET {} <=> s = {}
% Assm: TRUTH: T
% Goal: !b. FUN {} b = {(\u. CHOICE (:B))}
%   PROCESSED
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: {} = (\x. F)
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s x. x INSERT s = {y | y IN s \/ y = x}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN (\y. p y) <=> p x
% Assm: !b a. FUN a b = (\f. (!x. x IN a ==> f x IN b) /\ SUPP f SUBSET a)
% Assm: !f. SUPP f = (\x. ~(f x = CHOICE (:B)))
% Assm: !x. ~(x IN {})
% Assm: !x. ~(x IN {})
% Assm: !s. s SUBSET {} <=> s = {}
% Assm: T
% Goal: !b. FUN {} b = {(\u. CHOICE (:B))}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq43925, type, q43925 : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(csubset0, type, subset0 : (((a > b) > $o) > ((a > b) > $o) > $o)).
thf(csupp0, type, supp0 : (((a > b) > b) > (a > b) > $o)).
thf(csupp, type, supp : ((a > b) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin3, type, in3 : (b > (b > $o) > $o)).
thf(cin2, type, in2 : (q43925 > (q43925 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec, type, gspec : (((a > b) > $o) > (a > b) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : ((a > b) > ((a > b) > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : ((a > b) > $o > (a > b) > $o)).
thf(cinsert, type, insert : ((a > b) > ((a > b) > $o) > (a > b) > $o)).
thf(cfun, type, fun : ((a > $o) > (b > $o) > (a > b) > $o)).
thf(cempty0, type, empty0 : ((a > b) > $o)).
thf(cchoice, type, choice : ((b > $o) > b)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEMPTY, axiom, (empty0 = ^[X:(a > b)]:$false)).
thf(aEQu_EXT, axiom, ![F:(a > (a > b) > $o),G:(a > (a > b) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEXTENSION, axiom, ![S:((a > b) > $o),T:((a > b) > $o)]:((S = T) <=> ![X:(a > b)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINSERT, axiom, ![S:((a > b) > $o),X:(a > b)]:((insert @ X @ S) = (gspec @ ^[GENR_PVARR_5:(a > b)]:?[Y:(a > b)]:(setspec @ GENR_PVARR_5 @ ((in @ Y @ S) | (Y = X)) @ Y)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct4, axiom, ![P:(q43925 > $o),X:q43925]:((in2 @ X @ ^[Y:q43925]:(P @ Y)) <=> (P @ X))).
thf(aMiscu_defsu_andu_lemmaso_FUN, axiom, ![B:(b > $o),A:(a > $o)]:((fun @ A @ B) = ^[F:(a > b)]:(![X:a]:((in0 @ X @ A) => (in3 @ (F @ X) @ B)) & (subset @ (supp @ F) @ A)))).
thf(aMiscu_defsu_andu_lemmaso_SUPP, axiom, ![F:((a > b) > b)]:((supp0 @ F) = ^[X:(a > b)]:~ (((F @ X) = (choice @ univ))))).
thf(aNOTu_INu_EMPTYu_monomorphized1, axiom, ![X:(a > b)]:~ ((in @ X @ empty0))).
thf(aNOTu_INu_EMPTYu_monomorphized0, axiom, ![X:a]:~ ((in0 @ X @ empty))).
thf(aSUBSETu_EMPTY, axiom, ![S:((a > b) > $o)]:((subset0 @ S @ empty0) <=> (S = empty0))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:(b > $o)]:((fun @ empty @ B) = (insert @ ^[U:a]:(choice @ univ) @ empty0))).
