%   ORIGINAL: Trigonometry1.SQRT_MUL_L
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POW_2_SQRT: !x. &0 <= x ==> sqrt (x pow 2) = x
% Assm: Real_ext.REAL_MK_LE_SQUARE: !x. &0 <= x pow 2
% Assm: SQRT_MUL: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: TRUTH: T
% Goal: !x y. &0 <= x /\ &0 <= y ==> x * sqrt y = sqrt (x pow 2 * y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 <= x ==> sqrt (x pow 2) = x
% Assm: !x. &0 <= x pow 2
% Assm: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: T
% Goal: !x y. &0 <= x /\ &0 <= y ==> x * sqrt y = sqrt (x pow 2 * y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOWu_2u_SQRT, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((sqrt @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))) = X))).
thf(aRealu_exto_REALu_MKu_LEu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aSQRTu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((sqrt @ (realu_mul @ X @ Y)) = (realu_mul @ (sqrt @ X) @ (sqrt @ Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((realu_mul @ X @ (sqrt @ Y)) = (sqrt @ (realu_mul @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ Y))))).
