%   ORIGINAL: Trigonometry1.atn2_spec
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry1.ATAN2_TEMP_SPEC: !x y. ?r. --pi < atan2_temp (x,y) /\ atan2_temp (x,y) <= pi /\ x = r * cos (atan2_temp (x,y)) /\ y = r * sin (atan2_temp (x,y)) /\ &0 <= r
% Assm: Trigonometry1.ATAN_TEMP_ATN2: atn2 = atan2_temp
% Goal: !x y. ?r. --pi < atn2 (x,y) /\ atn2 (x,y) <= pi /\ x = r * cos (atn2 (x,y)) /\ y = r * sin (atn2 (x,y)) /\ &0 <= r
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. ?r. --pi < atan2_temp (x,y) /\ atan2_temp (x,y) <= pi /\ x = r * cos (atan2_temp (x,y)) /\ y = r * sin (atan2_temp (x,y)) /\ &0 <= r
% Assm: atn2 = atan2_temp
% Goal: !x y. ?r. --pi < atn2 (x,y) /\ atn2 (x,y) <= pi /\ x = r * cos (atn2 (x,y)) /\ y = r * sin (atn2 (x,y)) /\ &0 <= r
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(catan2uu_temp, type, atan2u_temp : (prodrealreal > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(catn2, type, atn2 : (prodrealreal > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry1o_ATAN2u_TEMPu_SPEC, axiom, ![X:real,Y:real]:?[R:real]:((realu_lt @ (realu_neg @ pi) @ (atan2u_temp @ (c_ @ X @ Y))) & (realu_le @ (atan2u_temp @ (c_ @ X @ Y)) @ pi) & (X = (realu_mul @ R @ (cos @ (atan2u_temp @ (c_ @ X @ Y))))) & (Y = (realu_mul @ R @ (sin @ (atan2u_temp @ (c_ @ X @ Y))))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R))).
thf(aTrigonometry1o_ATANu_TEMPu_ATN2, axiom, (atn2 = atan2u_temp)).
thf(conjecture, conjecture, ![X:real,Y:real]:?[R:real]:((realu_lt @ (realu_neg @ pi) @ (atn2 @ (c_ @ X @ Y))) & (realu_le @ (atn2 @ (c_ @ X @ Y)) @ pi) & (X = (realu_mul @ R @ (cos @ (atn2 @ (c_ @ X @ Y))))) & (Y = (realu_mul @ R @ (sin @ (atn2 @ (c_ @ X @ Y))))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R))).
