%   ORIGINAL: Trigonometry1.ATN2_BREAKDOWN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry1.ATAN2_TEMP_BREAKDOWN: !x y. (&0 < x ==> atan2_temp (x,y) = atn (y / x)) /\ (&0 < y ==> atan2_temp (x,y) = pi / &2 - atn (x / y)) /\ (y < &0 ==> atan2_temp (x,y) = --(pi / &2) - atn (x / y)) /\ (y = &0 /\ x <= &0 ==> atan2_temp (x,y) = pi)
% Assm: Trigonometry1.ATAN_TEMP_ATN2: atn2 = atan2_temp
% Goal: !x y. (&0 < x ==> atn2 (x,y) = atn (y / x)) /\ (&0 < y ==> atn2 (x,y) = pi / &2 - atn (x / y)) /\ (y < &0 ==> atn2 (x,y) = --(pi / &2) - atn (x / y)) /\ (y = &0 /\ x <= &0 ==> atn2 (x,y) = pi)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. (&0 < x ==> atan2_temp (x,y) = atn (y / x)) /\ (&0 < y ==> atan2_temp (x,y) = pi / &2 - atn (x / y)) /\ (y < &0 ==> atan2_temp (x,y) = --(pi / &2) - atn (x / y)) /\ (y = &0 /\ x <= &0 ==> atan2_temp (x,y) = pi)
% Assm: atn2 = atan2_temp
% Goal: !x y. (&0 < x ==> atn2 (x,y) = atn (y / x)) /\ (&0 < y ==> atn2 (x,y) = pi / &2 - atn (x / y)) /\ (y < &0 ==> atn2 (x,y) = --(pi / &2) - atn (x / y)) /\ (y = &0 /\ x <= &0 ==> atn2 (x,y) = pi)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(catan2uu_temp, type, atan2u_temp : (prodrealreal > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(catn2, type, atn2 : (prodrealreal > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(catn, type, atn : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry1o_ATAN2u_TEMPu_BREAKDOWN, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((atan2u_temp @ (c_ @ X @ Y)) = (atn @ (realu_div @ Y @ X)))) & ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y) => ((atan2u_temp @ (c_ @ X @ Y)) = (realu_sub @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (atn @ (realu_div @ X @ Y))))) & ((realu_lt @ Y @ (realu_ofu_num @ (numeral @ u_0))) => ((atan2u_temp @ (c_ @ X @ Y)) = (realu_sub @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (atn @ (realu_div @ X @ Y))))) & (((Y = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ X @ (realu_ofu_num @ (numeral @ u_0)))) => ((atan2u_temp @ (c_ @ X @ Y)) = pi)))).
thf(aTrigonometry1o_ATANu_TEMPu_ATN2, axiom, (atn2 = atan2u_temp)).
thf(conjecture, conjecture, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((atn2 @ (c_ @ X @ Y)) = (atn @ (realu_div @ Y @ X)))) & ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y) => ((atn2 @ (c_ @ X @ Y)) = (realu_sub @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (atn @ (realu_div @ X @ Y))))) & ((realu_lt @ Y @ (realu_ofu_num @ (numeral @ u_0))) => ((atn2 @ (c_ @ X @ Y)) = (realu_sub @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (atn @ (realu_div @ X @ Y))))) & (((Y = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ X @ (realu_ofu_num @ (numeral @ u_0)))) => ((atn2 @ (c_ @ X @ Y)) = pi)))).
