%   ORIGINAL: Trigonometry.UKBAHKV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry1.DIST_L_ZERO: !v. dist (vec 0,v) = norm v
% Assm: Trigonometry1.DIST_TRIANGLE_DETAILS: ~(u = v) /\ ~(u = w) <=> &0 < dist (u,v) /\ &0 < dist (u,w) /\ &0 <= dist (v,w) /\ dist (v,w) <= dist (u,v) + dist (u,w) /\ dist (u,v) <= dist (u,w) + dist (v,w) /\ dist (u,w) <= dist (v,w) + dist (u,v)
% Assm: Trigonometry1.arcVarc: !u v w. ~(u = v) /\ ~(u = w) ==> arcV u v w = arclength (dist (u,v)) (dist (u,w)) (dist (v,w))
% Assm: Trigonometry1.law_of_sines: !a b c. &0 < a /\ &0 < b /\ &0 <= c /\ c <= a + b /\ a <= b + c /\ b <= c + a ==> &2 * a * b * sin (arclength a b c) = sqrt (ups_x (a pow 2) (b pow 2) (c pow 2))
% Goal: ~(vec 0 = u) /\ ~(vec 0 = v) ==> &2 * norm u * norm v * sin (arcV (vec 0) u v) = sqrt (ups_x (norm u pow 2) (norm v pow 2) (dist (u,v) pow 2))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !v. dist (vec 0,v) = norm v
% Assm: !w u v. ~(u = v) /\ ~(u = w) <=> &0 < dist (u,v) /\ &0 < dist (u,w) /\ &0 <= dist (v,w) /\ dist (v,w) <= dist (u,v) + dist (u,w) /\ dist (u,v) <= dist (u,w) + dist (v,w) /\ dist (u,w) <= dist (v,w) + dist (u,v)
% Assm: !u v w. ~(u = v) /\ ~(u = w) ==> arcV u v w = arclength (dist (u,v)) (dist (u,w)) (dist (v,w))
% Assm: !a b c. &0 < a /\ &0 < b /\ &0 <= c /\ c <= a + b /\ a <= b + c /\ b <= c + a ==> &2 * a * b * sin (arclength a b c) = sqrt (ups_x (a pow 2) (b pow 2) (c pow 2))
% Goal: !v u. ~(vec 0 = u) /\ ~(vec 0 = v) ==> &2 * norm u * norm v * sin (arcV (vec 0) u v) = sqrt (ups_x (norm u pow 2) (norm v pow 2) (dist (u,v) pow 2))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(carclength, type, arclength : (real > real > real > real)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cupsuu_x, type, upsu_x : (real > real > real > real)).
thf(carcv, type, arcv : (cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(csin, type, sin : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry1o_DISTu_Lu_ZERO, axiom, ![V:cartrealn3]:((distance @ (c_ @ (vec @ (numeral @ u_0)) @ V)) = (vectoru_norm @ V))).
thf(aTrigonometry1o_DISTu_TRIANGLEu_DETAILS, axiom, ![W:cartrealn3,U:cartrealn3,V:cartrealn3]:((~ ((U = V)) & ~ ((U = W))) <=> ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ U @ V))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ U @ W))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ V @ W))) & (realu_le @ (distance @ (c_ @ V @ W)) @ (realu_add @ (distance @ (c_ @ U @ V)) @ (distance @ (c_ @ U @ W)))) & (realu_le @ (distance @ (c_ @ U @ V)) @ (realu_add @ (distance @ (c_ @ U @ W)) @ (distance @ (c_ @ V @ W)))) & (realu_le @ (distance @ (c_ @ U @ W)) @ (realu_add @ (distance @ (c_ @ V @ W)) @ (distance @ (c_ @ U @ V))))))).
thf(aTrigonometry1o_arcVarc, axiom, ![U:cartrealn3,V:cartrealn3,W:cartrealn3]:((~ ((U = V)) & ~ ((U = W))) => ((arcv @ U @ V @ W) = (arclength @ (distance @ (c_ @ U @ V)) @ (distance @ (c_ @ U @ W)) @ (distance @ (c_ @ V @ W)))))).
thf(aTrigonometry1o_lawu_ofu_sines, axiom, ![A:real,B:real,C:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C) & (realu_le @ C @ (realu_add @ A @ B)) & (realu_le @ A @ (realu_add @ B @ C)) & (realu_le @ B @ (realu_add @ C @ A))) => ((realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ A @ (realu_mul @ B @ (sin @ (arclength @ A @ B @ C))))) = (sqrt @ (upsu_x @ (realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ C @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(conjecture, conjecture, ![V:cartrealn3,U:cartrealn3]:((~ (((vec @ (numeral @ u_0)) = U)) & ~ (((vec @ (numeral @ u_0)) = V))) => ((realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ (vectoru_norm @ U) @ (realu_mul @ (vectoru_norm @ V) @ (sin @ (arcv @ (vec @ (numeral @ u_0)) @ U @ V))))) = (sqrt @ (upsu_x @ (realu_pow @ (vectoru_norm @ U) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (vectoru_norm @ V) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ U @ V)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
