%   ORIGINAL: Trigonometry2.NOT_VEC0_IMP_LE1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Float.ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: NORM_CAUCHY_SCHWARZ_ABS: !x y. abs (x dot y) <= norm x * norm y
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_DIV: !x y. abs (x / y) = abs x / abs y
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: REAL_LE_LDIV_EQ: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: TRUTH: T
% Goal: ~(x = vec 0) /\ ~(y = vec 0) ==> abs ((x dot y) / (norm x * norm y)) <= &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: !x y. abs (x dot y) <= norm x * norm y
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~F <=> T
% Assm: !x y. abs (x / y) = abs x / abs y
% Assm: !x. abs (norm x) = norm x
% Assm: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: !x. &1 * x = x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: T
% Goal: !y x. ~(x = vec 0) /\ ~(y = vec 0) ==> abs ((x dot y) / (norm x * norm y)) <= &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq901610, type, cartrealq901610 : $tType).
thf(treal, type, real : $tType).
thf(tq901610, type, q901610 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq901610 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq901610 > cartrealq901610 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq901610)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq901610),G:(a > cartrealq901610)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFloato_ABSu_MUL, axiom, ![X:real,Y:real]:((realu_abs @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aNORMu_CAUCHYu_SCHWARZu_ABS, axiom, ![X:cartrealq901610,Y:cartrealq901610]:(realu_le @ (realu_abs @ (dot @ X @ Y)) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealq901610]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X)) <=> ~ ((X = (vec @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_DIV, axiom, ![X:real,Y:real]:((realu_abs @ (realu_div @ X @ Y)) = (realu_div @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealq901610]:((realu_abs @ (vectoru_norm @ X)) = (vectoru_norm @ X))).
thf(aREALu_LEu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_div @ X @ Z) @ Y) <=> (realu_le @ X @ (realu_mul @ Y @ Z))))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Y:cartrealq901610,X:cartrealq901610]:((~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0))))) => (realu_le @ (realu_abs @ (realu_div @ (dot @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
