%   ORIGINAL: Trigonometry2.sin_acs_t
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COS_ACS: !y. -- &1 <= y /\ y <= &1 ==> cos (acs y) = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EQ_SUB_RADD: !x y z. x - y = z <=> x = z + y
% Assm: SIN_CIRCLE: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: SIN_POS_PI_LE: !x. &0 <= x /\ x <= pi ==> &0 <= sin x
% Assm: SQRT_UNIQUE: !x y. &0 <= y /\ y pow 2 = x ==> sqrt x = y
% Assm: TRUTH: T
% Assm: Trigonometry2.ACS: !y. -- &1 <= y /\ y <= &1 ==> &0 <= acs y /\ acs y <= pi
% Goal: !y. -- &1 <= y /\ y <= &1 ==> sin (acs y) = sqrt (&1 - y pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !y. -- &1 <= y /\ y <= &1 ==> cos (acs y) = y
% Assm: ~F <=> T
% Assm: !x y z. x - y = z <=> x = z + y
% Assm: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: !x. &0 <= x /\ x <= pi ==> &0 <= sin x
% Assm: !x y. &0 <= y /\ y pow 2 = x ==> sqrt x = y
% Assm: T
% Assm: !y. -- &1 <= y /\ y <= &1 ==> &0 <= acs y /\ acs y <= pi
% Goal: !y. -- &1 <= y /\ y <= &1 ==> sin (acs y) = sqrt (&1 - y pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ccos, type, cos : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(cacs, type, acs : (real > real)).
thf(csin, type, sin : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOSu_ACS, axiom, ![Y:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y) & (realu_le @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((cos @ (acs @ Y)) = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EQu_SUBu_RADD, axiom, ![X:real,Y:real,Z:real]:(((realu_sub @ X @ Y) = Z) <=> (X = (realu_add @ Z @ Y)))).
thf(aSINu_CIRCLE, axiom, ![X:real]:((realu_add @ (realu_pow @ (sin @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (cos @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aSINu_POSu_PIu_LE, axiom, ![X:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ pi)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sin @ X)))).
thf(aSQRTu_UNIQUE, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & ((realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X)) => ((sqrt @ X) = Y))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ACS, axiom, ![Y:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y) & (realu_le @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (acs @ Y)) & (realu_le @ (acs @ Y) @ pi)))).
thf(conjecture, conjecture, ![Y:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y) & (realu_le @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((sin @ (acs @ Y)) = (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
