%   ORIGINAL: Trigonometry2.NOT_2EQ_IMP_SIN_ARCV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry.WZYUXVC: !v w u. arcV u v w = acs (((v - u) dot (w - u)) / (norm (v - u) * norm (w - u)))
% Assm: Trigonometry2.ABS_LE_1_IMP_SIN_ACS: !y. abs y <= &1 ==> sin (acs y) = sqrt (&1 - y pow 2)
% Assm: Trigonometry2.NOT_VEC0_IMP_LE1: ~(x = vec 0) /\ ~(y = vec 0) ==> abs ((x dot y) / (norm x * norm y)) <= &1
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Goal: ~(v0 = va) /\ ~(v0 = vb) ==> sin (arcV v0 va vb) = sqrt (&1 - (((va - v0) dot (vb - v0)) / (norm (va - v0) * norm (vb - v0))) pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !v w u. arcV u v w = acs (((v - u) dot (w - u)) / (norm (v - u) * norm (w - u)))
% Assm: !y. abs y <= &1 ==> sin (acs y) = sqrt (&1 - y pow 2)
% Assm: !x y. ~(x = vec 0) /\ ~(y = vec 0) ==> abs ((x dot y) / (norm x * norm y)) <= &1
% Assm: !x y. x - y = vec 0 <=> x = y
% Goal: !v0 vb va. ~(v0 = va) /\ ~(v0 = vb) ==> sin (arcV v0 va vb) = sqrt (&1 - (((va - v0) dot (vb - v0)) / (norm (va - v0) * norm (vb - v0))) pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(carcv, type, arcv : (cartrealn > cartrealn > cartrealn > real)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cacs, type, acs : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(csin, type, sin : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_WZYUXVC, axiom, ![V:cartrealn,W:cartrealn,U:cartrealn]:((arcv @ U @ V @ W) = (acs @ (realu_div @ (dot @ (vectoru_sub @ V @ U) @ (vectoru_sub @ W @ U)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ V @ U)) @ (vectoru_norm @ (vectoru_sub @ W @ U))))))).
thf(aTrigonometry2o_ABSu_LEu_1u_IMPu_SINu_ACS, axiom, ![Y:real]:((realu_le @ (realu_abs @ Y) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ((sin @ (acs @ Y)) = (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(aTrigonometry2o_NOTu_VEC0u_IMPu_LE1, axiom, ![X:cartrealn,Y:cartrealn]:((~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0))))) => (realu_le @ (realu_abs @ (realu_div @ (dot @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(conjecture, conjecture, ![V0:cartrealn,VB:cartrealn,VA:cartrealn]:((~ ((V0 = VA)) & ~ ((V0 = VB))) => ((sin @ (arcv @ V0 @ VA @ VB)) = (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (realu_div @ (dot @ (vectoru_sub @ VA @ V0) @ (vectoru_sub @ VB @ V0)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ VA @ V0)) @ (vectoru_norm @ (vectoru_sub @ VB @ V0)))) @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
