%   ORIGINAL: Trigonometry2.ABS_NOT_EQ_NORM_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_CAUCHY_SCHWARZ_ABS: !x y. abs (x dot y) <= norm x * norm y
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: TRUTH: T
% Goal: ~(abs (x dot y) = norm x * norm y) <=> abs (x dot y) < norm x * norm y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. abs (x dot y) <= norm x * norm y
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: T
% Goal: !y x. ~(abs (x dot y) = norm x * norm y) <=> abs (x dot y) < norm x * norm y
%  TYPES
thf(ta, type, a : $tType).
thf(tq901793, type, q901793 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq901793, type, cartrealq901793 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq901793 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq901793 > cartrealq901793 > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_CAUCHYu_SCHWARZu_ABS, axiom, ![X:cartrealq901793,Y:cartrealq901793]:(realu_le @ (realu_abs @ (dot @ X @ Y)) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Y:cartrealq901793,X:cartrealq901793]:(~ (((realu_abs @ (dot @ X @ Y)) = (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))) <=> (realu_lt @ (realu_abs @ (dot @ X @ Y)) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y))))).
