%   ORIGINAL: Trigonometry2.SQUARE_NORM_CAUCHY_SCHWARZ_POW2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NORM_CAUCHY_SCHWARZ_ABS: !x y. abs (x dot y) <= norm x * norm y
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_SQUARE_ABS: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_REFL: !x. abs x = x <=> &0 <= x
% Goal: (x dot y) pow 2 <= (norm x * norm y) pow 2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. abs (x dot y) <= norm x * norm y
% Assm: !x. &0 <= norm x
% Assm: ~F <=> T
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
% Assm: T
% Assm: !x. abs x = x <=> &0 <= x
% Goal: !y x. (x dot y) pow 2 <= (norm x * norm y) pow 2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNORMu_CAUCHYu_SCHWARZu_ABS, axiom, ![X:cartrealn,Y:cartrealn]:(realu_le @ (realu_abs @ (dot @ X @ Y)) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_SQUAREu_ABS, axiom, ![X:real,Y:real]:((realu_le @ (realu_abs @ X) @ (realu_abs @ Y)) <=> (realu_le @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_REFL, axiom, ![X:real]:(((realu_abs @ X) = X) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(conjecture, conjecture, ![Y:cartrealn,X:cartrealn]:(realu_le @ (realu_pow @ (dot @ X @ Y) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
