%   ORIGINAL: Trigonometry2.SQRT_SEPARATED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: Real_ext.REAL_MK_LE_SQUARE: !x. &0 <= x pow 2
% Assm: SQRT_DIV: !x y. &0 <= x /\ &0 <= y ==> sqrt (x / y) = sqrt x / sqrt y
% Assm: TRUTH: T
% Assm: Trigonometry2.SQUARE_NORM_CAUCHY_SCHWARZ_POW2: (x dot y) pow 2 <= (norm x * norm y) pow 2
% Goal: sqrt (((norm x * norm y) pow 2 - (x dot y) pow 2) / (norm x * norm y) pow 2) = sqrt ((norm x * norm y) pow 2 - (x dot y) pow 2) / sqrt ((norm x * norm y) pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x. &0 <= x pow 2
% Assm: !x y. &0 <= x /\ &0 <= y ==> sqrt (x / y) = sqrt x / sqrt y
% Assm: T
% Assm: !x y. (x dot y) pow 2 <= (norm x * norm y) pow 2
% Goal: !y x. sqrt (((norm x * norm y) pow 2 - (x dot y) pow 2) / (norm x * norm y) pow 2) = sqrt ((norm x * norm y) pow 2 - (x dot y) pow 2) / sqrt ((norm x * norm y) pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aRealu_exto_REALu_MKu_LEu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aSQRTu_DIV, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((sqrt @ (realu_div @ X @ Y)) = (realu_div @ (sqrt @ X) @ (sqrt @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_SQUAREu_NORMu_CAUCHYu_SCHWARZu_POW2, axiom, ![X:cartrealn,Y:cartrealn]:(realu_le @ (realu_pow @ (dot @ X @ Y) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(conjecture, conjecture, ![Y:cartrealn,X:cartrealn]:((sqrt @ (realu_div @ (realu_sub @ (realu_pow @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (dot @ X @ Y) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_pow @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) = (realu_div @ (sqrt @ (realu_sub @ (realu_pow @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (dot @ X @ Y) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (sqrt @ (realu_pow @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
