%   ORIGINAL: Trigonometry2.PROVE_SIN_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_SQUARE_ABS: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: SQRT_POS_LE: !x. &0 <= x ==> &0 <= sqrt x
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Assm: Trigonometry2.NOT_2EQ_IMP_SIN_ARCV: ~(v0 = va) /\ ~(v0 = vb) ==> sin (arcV v0 va vb) = sqrt (&1 - (((va - v0) dot (vb - v0)) / (norm (va - v0) * norm (vb - v0))) pow 2)
% Assm: Trigonometry2.NOT_IDEN_IMP_ABS_LE: ~(v0 = va) /\ ~(v0 = vb) ==> abs (((va - v0) dot (vb - v0)) / (norm (va - v0) * norm (vb - v0))) <= &1
% Assm: Trigonometry2.POW2_1: &1 pow 2 = &1
% Goal: ~(v0 = va) /\ ~(v0 = vb) ==> &0 <= sin (arcV v0 va vb)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x. &0 <= x ==> &0 <= sqrt x
% Assm: T
% Assm: abs (&1) = &1
% Assm: !va vb v0. ~(v0 = va) /\ ~(v0 = vb) ==> sin (arcV v0 va vb) = sqrt (&1 - (((va - v0) dot (vb - v0)) / (norm (va - v0) * norm (vb - v0))) pow 2)
% Assm: !va vb v0. ~(v0 = va) /\ ~(v0 = vb) ==> abs (((va - v0) dot (vb - v0)) / (norm (va - v0) * norm (vb - v0))) <= &1
% Assm: &1 pow 2 = &1
% Goal: !vb va v0. ~(v0 = va) /\ ~(v0 = vb) ==> &0 <= sin (arcV v0 va vb)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq903424, type, q903424 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq903424, type, cartrealq903424 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq903424 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq903424 > cartrealq903424 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq903424 > cartrealq903424 > cartrealq903424)).
thf(carcv, type, arcv : (cartrealq903424 > cartrealq903424 > cartrealq903424 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(csin, type, sin : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq903424),G:(a > cartrealq903424)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_SQUAREu_ABS, axiom, ![X:real,Y:real]:((realu_le @ (realu_abs @ X) @ (realu_abs @ Y)) <=> (realu_le @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aSQRTu_POSu_LE, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ X)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry2o_NOTu_2EQu_IMPu_SINu_ARCV, axiom, ![VA:cartrealq903424,VB:cartrealq903424,V0:cartrealq903424]:((~ ((V0 = VA)) & ~ ((V0 = VB))) => ((sin @ (arcv @ V0 @ VA @ VB)) = (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (realu_div @ (dot @ (vectoru_sub @ VA @ V0) @ (vectoru_sub @ VB @ V0)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ VA @ V0)) @ (vectoru_norm @ (vectoru_sub @ VB @ V0)))) @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(aTrigonometry2o_NOTu_IDENu_IMPu_ABSu_LE, axiom, ![VA:cartrealq903424,VB:cartrealq903424,V0:cartrealq903424]:((~ ((V0 = VA)) & ~ ((V0 = VB))) => (realu_le @ (realu_abs @ (realu_div @ (dot @ (vectoru_sub @ VA @ V0) @ (vectoru_sub @ VB @ V0)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ VA @ V0)) @ (vectoru_norm @ (vectoru_sub @ VB @ V0))))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTrigonometry2o_POW2u_1, axiom, ((realu_pow @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![VB:cartrealq903424,VA:cartrealq903424,V0:cartrealq903424]:((~ ((V0 = VA)) & ~ ((V0 = VB))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sin @ (arcv @ V0 @ VA @ VB))))).
