%   ORIGINAL: Trigonometry2.DIHV_SYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: TRUTH: T
% Assm: Trigonometry2.ARC_SYM: arcV v0 vc vb = arcV v0 vb vc
% Assm: Trigonometry2.dihV: !w0 w1 w2 w3. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Goal: dihV a b x y = dihV a b y x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x dot y = y dot x
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: T
% Assm: !v0 vb vc. arcV v0 vc vb = arcV v0 vb vc
% Assm: !w0 w1 w2 w3. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Goal: !x y b a. dihV a b x y = dihV a b y x
%  TYPES
thf(tcartrealq97800, type, cartrealq97800 : $tType).
thf(tq904066, type, q904066 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq904587, type, q904587 : $tType).
thf(treal, type, real : $tType).
thf(tq97800, type, q97800 : $tType).
thf(tcartrealq904066, type, cartrealq904066 : $tType).
thf(tcartrealq904587, type, cartrealq904587 : $tType).
%  CONSTS
thf(cdot0, type, dot0 : (cartrealq904587 > cartrealq904587 > real)).
thf(clet0, type, let0 : ((cartrealq904587 > real) > cartrealq904587 > real)).
thf(clet, type, let : ((a > real) > a > real)).
thf(cdot, type, dot : (cartrealq97800 > cartrealq97800 > real)).
thf(cru_, type, r_ : (real > cartrealq904587 > cartrealq904587)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq904587 > cartrealq904587 > cartrealq904587)).
thf(carcv0, type, arcv0 : (cartrealq904587 > cartrealq904587 > cartrealq904587 > real)).
thf(carcv, type, arcv : (cartrealq904066 > cartrealq904066 > cartrealq904066 > real)).
thf(cdihv, type, dihv : (cartrealq904587 > cartrealq904587 > cartrealq904587 > cartrealq904587 > real)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq904587)).
thf(cletuu_end, type, letu_end : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_SYM, axiom, ![X:cartrealq97800,Y:cartrealq97800]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aLETu_DEF, axiom, ![F:(a > real),X:a]:((let @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:real]:((letu_end @ T) = T)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ARCu_SYM, axiom, ![V0:cartrealq904066,VB:cartrealq904066,VC:cartrealq904066]:((arcv @ V0 @ VC @ VB) = (arcv @ V0 @ VB @ VC))).
thf(aTrigonometry2o_dihV, axiom, ![W0:cartrealq904587,W1:cartrealq904587,W2:cartrealq904587,W3:cartrealq904587]:((dihv @ W0 @ W1 @ W2 @ W3) = (let0 @ ^[VA:cartrealq904587]:(letu_end @ (let0 @ ^[VB:cartrealq904587]:(letu_end @ (let0 @ ^[VC:cartrealq904587]:(letu_end @ (let0 @ ^[VAP:cartrealq904587]:(letu_end @ (let0 @ ^[VBP:cartrealq904587]:(letu_end @ (arcv0 @ (vec @ (numeral @ u_0)) @ VAP @ VBP)) @ (vectoru_sub @ (r_ @ (dot0 @ VC @ VC) @ VB) @ (r_ @ (dot0 @ VB @ VC) @ VC)))) @ (vectoru_sub @ (r_ @ (dot0 @ VC @ VC) @ VA) @ (r_ @ (dot0 @ VA @ VC) @ VC)))) @ (vectoru_sub @ W1 @ W0))) @ (vectoru_sub @ W3 @ W0))) @ (vectoru_sub @ W2 @ W0)))).
thf(conjecture, conjecture, ![X:cartrealq904587,Y:cartrealq904587,B:cartrealq904587,A:cartrealq904587]:((dihv @ A @ B @ X @ Y) = (dihv @ A @ B @ Y @ X))).
