%   ORIGINAL: Trigonometry2.NOT_ZERO_EQ_POW2_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: Real_ext.REAL_MK_NN_SQUARE: !x. &0 <= x * x
% Assm: TRUTH: T
% Assm: Trigonometry2.LE_AND_NOT_0_EQ_LT: &0 <= a /\ ~(a = &0) <=> &0 < a
% Goal: ~(a = &0) <=> &0 < a pow 2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x pow 2 = x * x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x. &0 <= x * x
% Assm: T
% Assm: !a. &0 <= a /\ ~(a = &0) <=> &0 < a
% Goal: !a. ~(a = &0) <=> &0 < a pow 2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aRealu_exto_REALu_MKu_NNu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ X))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_LEu_ANDu_NOTu_0u_EQu_LT, axiom, ![A:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & ~ ((A = (realu_ofu_num @ (numeral @ u_0))))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A))).
thf(conjecture, conjecture, ![A:real]:(~ ((A = (realu_ofu_num @ (numeral @ u_0)))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
