%   ORIGINAL: Trigonometry2.LEMMA16_INTERPRETE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: TRUTH: T
% Assm: Trigonometry.RLXWSTK: !v0 va vb vc. let gam = dihV v0 vc va vb in let a = arcV v0 vc vb in let b = arcV v0 vc va in let c = arcV v0 va vb in ~collinear {v0, vc, va} /\ ~collinear {v0, vc, vb} ==> cos gam = (cos c - cos a * cos b) / (sin a * sin b)
% Goal: !v0 va vb vc. ~collinear {v0, vc, va} /\ ~collinear {v0, vc, vb} ==> cos (dihV v0 vc va vb) = (cos (arcV v0 va vb) - cos (arcV v0 vc vb) * cos (arcV v0 vc va)) / (sin (arcV v0 vc vb) * sin (arcV v0 vc va))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: T
% Assm: !v0 va vb vc. let gam = dihV v0 vc va vb in let a = arcV v0 vc vb in let b = arcV v0 vc va in let c = arcV v0 va vb in ~collinear {v0, vc, va} /\ ~collinear {v0, vc, vb} ==> cos gam = (cos c - cos a * cos b) / (sin a * sin b)
% Goal: !v0 va vb vc. ~collinear {v0, vc, va} /\ ~collinear {v0, vc, vb} ==> cos (dihV v0 vc va vb) = (cos (arcV v0 va vb) - cos (arcV v0 vc vb) * cos (arcV v0 vc va)) / (sin (arcV v0 vc vb) * sin (arcV v0 vc va))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clet0, type, let0 : ((real > $o) > real > $o)).
thf(clet, type, let : ((a > real) > a > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(carcv, type, arcv : (cartrealn > cartrealn > cartrealn > real)).
thf(cdihv, type, dihv : (cartrealn > cartrealn > cartrealn > cartrealn > real)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cletuu_end0, type, letu_end0 : ($o > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(cletuu_end, type, letu_end : (real > real)).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLETu_DEF, axiom, ![F:(a > real),X:a]:((let @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:real]:((letu_end @ T) = T)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_RLXWSTK, axiom, ![V0:cartrealn,VA:cartrealn,VB:cartrealn,VC:cartrealn]:(let0 @ ^[GAM:real]:(letu_end0 @ (let0 @ ^[A:real]:(letu_end0 @ (let0 @ ^[B:real]:(letu_end0 @ (let0 @ ^[C:real]:(letu_end0 @ ((~ ((collinear @ (insert @ V0 @ (insert @ VC @ (insert @ VA @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ VC @ (insert @ VB @ empty)))))) => ((cos @ GAM) = (realu_div @ (realu_sub @ (cos @ C) @ (realu_mul @ (cos @ A) @ (cos @ B))) @ (realu_mul @ (sin @ A) @ (sin @ B)))))) @ (arcv @ V0 @ VA @ VB))) @ (arcv @ V0 @ VC @ VA))) @ (arcv @ V0 @ VC @ VB))) @ (dihv @ V0 @ VC @ VA @ VB))).
thf(conjecture, conjecture, ![V0:cartrealn,VA:cartrealn,VB:cartrealn,VC:cartrealn]:((~ ((collinear @ (insert @ V0 @ (insert @ VC @ (insert @ VA @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ VC @ (insert @ VB @ empty)))))) => ((cos @ (dihv @ V0 @ VC @ VA @ VB)) = (realu_div @ (realu_sub @ (cos @ (arcv @ V0 @ VA @ VB)) @ (realu_mul @ (cos @ (arcv @ V0 @ VC @ VB)) @ (cos @ (arcv @ V0 @ VC @ VA)))) @ (realu_mul @ (sin @ (arcv @ V0 @ VC @ VB)) @ (sin @ (arcv @ V0 @ VC @ VA))))))).
