%   ORIGINAL: Trigonometry2.DIHV_FORMULAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: TRUTH: T
% Assm: Trigonometry2.dihV: !w0 w1 w2 w3. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Goal: dihV v0 v1 v2 v3 = arcV (vec 0) (((v1 - v0) dot (v1 - v0)) % (v2 - v0) - ((v2 - v0) dot (v1 - v0)) % (v1 - v0)) (((v1 - v0) dot (v1 - v0)) % (v3 - v0) - ((v3 - v0) dot (v1 - v0)) % (v1 - v0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: T
% Assm: !w0 w1 w2 w3. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Goal: !v0 v1 v3 v2. dihV v0 v1 v2 v3 = arcV (vec 0) (((v1 - v0) dot (v1 - v0)) % (v2 - v0) - ((v2 - v0) dot (v1 - v0)) % (v1 - v0)) (((v1 - v0) dot (v1 - v0)) % (v3 - v0) - ((v3 - v0) dot (v1 - v0)) % (v1 - v0))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq908680, type, cartrealq908680 : $tType).
thf(tq908680, type, q908680 : $tType).
%  CONSTS
thf(clet0, type, let0 : ((cartrealq908680 > real) > cartrealq908680 > real)).
thf(clet, type, let : ((a > real) > a > real)).
thf(cdot, type, dot : (cartrealq908680 > cartrealq908680 > real)).
thf(cru_, type, r_ : (real > cartrealq908680 > cartrealq908680)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq908680 > cartrealq908680 > cartrealq908680)).
thf(carcv, type, arcv : (cartrealq908680 > cartrealq908680 > cartrealq908680 > real)).
thf(cdihv, type, dihv : (cartrealq908680 > cartrealq908680 > cartrealq908680 > cartrealq908680 > real)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq908680)).
thf(cletuu_end, type, letu_end : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLETu_DEF, axiom, ![F:(a > real),X:a]:((let @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:real]:((letu_end @ T) = T)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_dihV, axiom, ![W0:cartrealq908680,W1:cartrealq908680,W2:cartrealq908680,W3:cartrealq908680]:((dihv @ W0 @ W1 @ W2 @ W3) = (let0 @ ^[VA:cartrealq908680]:(letu_end @ (let0 @ ^[VB:cartrealq908680]:(letu_end @ (let0 @ ^[VC:cartrealq908680]:(letu_end @ (let0 @ ^[VAP:cartrealq908680]:(letu_end @ (let0 @ ^[VBP:cartrealq908680]:(letu_end @ (arcv @ (vec @ (numeral @ u_0)) @ VAP @ VBP)) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VB) @ (r_ @ (dot @ VB @ VC) @ VC)))) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VA) @ (r_ @ (dot @ VA @ VC) @ VC)))) @ (vectoru_sub @ W1 @ W0))) @ (vectoru_sub @ W3 @ W0))) @ (vectoru_sub @ W2 @ W0)))).
thf(conjecture, conjecture, ![V0:cartrealq908680,V1:cartrealq908680,V3:cartrealq908680,V2:cartrealq908680]:((dihv @ V0 @ V1 @ V2 @ V3) = (arcv @ (vec @ (numeral @ u_0)) @ (vectoru_sub @ (r_ @ (dot @ (vectoru_sub @ V1 @ V0) @ (vectoru_sub @ V1 @ V0)) @ (vectoru_sub @ V2 @ V0)) @ (r_ @ (dot @ (vectoru_sub @ V2 @ V0) @ (vectoru_sub @ V1 @ V0)) @ (vectoru_sub @ V1 @ V0))) @ (vectoru_sub @ (r_ @ (dot @ (vectoru_sub @ V1 @ V0) @ (vectoru_sub @ V1 @ V0)) @ (vectoru_sub @ V3 @ V0)) @ (r_ @ (dot @ (vectoru_sub @ V3 @ V0) @ (vectoru_sub @ V1 @ V0)) @ (vectoru_sub @ V1 @ V0)))))).
