%   ORIGINAL: Trigonometry2.IN_P_HULL_INSERT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: a IN P hull (a INSERT s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P s. s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s a P. a IN P hull (a INSERT s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq909736, type, q909736 : $tType).
%  CONSTS
thf(csubset, type, subset : ((q909736 > $o) > (q909736 > $o) > $o)).
thf(cin, type, in : (q909736 > (q909736 > $o) > $o)).
thf(cinsert, type, insert : (q909736 > (q909736 > $o) > q909736 > $o)).
thf(chull, type, hull : (((q909736 > $o) > $o) > (q909736 > $o) > q909736 > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHULLu_SUBSET, axiom, ![P:((q909736 > $o) > $o),S:(q909736 > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aIN, axiom, ![P:(q909736 > $o),X:q909736]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:q909736,Y:q909736,S:(q909736 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(q909736 > $o),T:(q909736 > $o)]:((subset @ S @ T) <=> ![X:q909736]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q909736 > $o),A:q909736,P:((q909736 > $o) > $o)]:(in @ A @ (hull @ P @ (insert @ A @ S)))).
