%   ORIGINAL: Trigonometry2.ARCV_VEC0_FORM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry.WZYUXVC: !v w u. arcV u v w = acs (((v - u) dot (w - u)) / (norm (v - u) * norm (w - u)))
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Goal: arcV v0 u v = arcV (vec 0) (u - v0) (v - v0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !v w u. arcV u v w = acs (((v - u) dot (w - u)) / (norm (v - u) * norm (w - u)))
% Assm: !x. x - vec 0 = x
% Goal: !v0 v u. arcV v0 u v = arcV (vec 0) (u - v0) (v - v0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq910227, type, q910227 : $tType).
thf(tcartrealq910227, type, cartrealq910227 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq910227 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq910227 > cartrealq910227 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq910227 > cartrealq910227 > cartrealq910227)).
thf(carcv, type, arcv : (cartrealq910227 > cartrealq910227 > cartrealq910227 > real)).
thf(cvec, type, vec : (num > cartrealq910227)).
thf(cuu_0, type, u_0 : num).
thf(cacs, type, acs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_WZYUXVC, axiom, ![V:cartrealq910227,W:cartrealq910227,U:cartrealq910227]:((arcv @ U @ V @ W) = (acs @ (realu_div @ (dot @ (vectoru_sub @ V @ U) @ (vectoru_sub @ W @ U)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ V @ U)) @ (vectoru_norm @ (vectoru_sub @ W @ U))))))).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealq910227]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![V0:cartrealq910227,V:cartrealq910227,U:cartrealq910227]:((arcv @ V0 @ U @ V) = (arcv @ (vec @ (numeral @ u_0)) @ (vectoru_sub @ U @ V0) @ (vectoru_sub @ V @ V0)))).
