%   ORIGINAL: Trigonometry2.SIN_EQ_SQRT_ONE_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SIN_COS_SQRT: !x. &0 <= sin x ==> sin x = sqrt (&1 - cos x pow 2)
% Assm: TRUTH: T
% Assm: Trigonometry2.PROVE_SIN_LE: ~(v0 = va) /\ ~(v0 = vb) ==> &0 <= sin (arcV v0 va vb)
% Goal: ~(v0 = va) /\ ~(v0 = vb) ==> sin (arcV v0 va vb) = sqrt (&1 - cos (arcV v0 va vb) pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 <= sin x ==> sin x = sqrt (&1 - cos x pow 2)
% Assm: T
% Assm: !v0 va vb. ~(v0 = va) /\ ~(v0 = vb) ==> &0 <= sin (arcV v0 va vb)
% Goal: !vb va v0. ~(v0 = va) /\ ~(v0 = vb) ==> sin (arcV v0 va vb) = sqrt (&1 - cos (arcV v0 va vb) pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(carcv, type, arcv : (cartrealn > cartrealn > cartrealn > real)).
thf(cuu_0, type, u_0 : num).
thf(ccos, type, cos : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(csin, type, sin : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSINu_COSu_SQRT, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sin @ X)) => ((sin @ X) = (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (cos @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_PROVEu_SINu_LE, axiom, ![V0:cartrealn,VA:cartrealn,VB:cartrealn]:((~ ((V0 = VA)) & ~ ((V0 = VB))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sin @ (arcv @ V0 @ VA @ VB))))).
thf(conjecture, conjecture, ![VB:cartrealn,VA:cartrealn,V0:cartrealn]:((~ ((V0 = VA)) & ~ ((V0 = VB))) => ((sin @ (arcv @ V0 @ VA @ VB)) = (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (cos @ (arcv @ V0 @ VA @ VB)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
