%   ORIGINAL: Trigonometry2.ARCV_BOUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry.WZYUXVC: !v w u. arcV u v w = acs (((v - u) dot (w - u)) / (norm (v - u) * norm (w - u)))
% Assm: Trigonometry2.ABS_BOUNDS: !x k. abs x <= k <=> --k <= x /\ x <= k
% Assm: Trigonometry2.ACS: !y. -- &1 <= y /\ y <= &1 ==> &0 <= acs y /\ acs y <= pi
% Assm: Trigonometry2.NOT_IDEN_IMP_ABS_LE: ~(v0 = va) /\ ~(v0 = vb) ==> abs (((va - v0) dot (vb - v0)) / (norm (va - v0) * norm (vb - v0))) <= &1
% Goal: ~(v0 = u) /\ ~(v0 = v) ==> &0 <= arcV v0 u v /\ arcV v0 u v <= pi
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !v w u. arcV u v w = acs (((v - u) dot (w - u)) / (norm (v - u) * norm (w - u)))
% Assm: !x k. abs x <= k <=> --k <= x /\ x <= k
% Assm: !y. -- &1 <= y /\ y <= &1 ==> &0 <= acs y /\ acs y <= pi
% Assm: !va vb v0. ~(v0 = va) /\ ~(v0 = vb) ==> abs (((va - v0) dot (vb - v0)) / (norm (va - v0) * norm (vb - v0))) <= &1
% Goal: !v u v0. ~(v0 = u) /\ ~(v0 = v) ==> &0 <= arcV v0 u v /\ arcV v0 u v <= pi
%  TYPES
thf(tq912085, type, q912085 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq912085, type, cartrealq912085 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq912085 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealq912085 > cartrealq912085 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq912085 > cartrealq912085 > cartrealq912085)).
thf(carcv, type, arcv : (cartrealq912085 > cartrealq912085 > cartrealq912085 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cacs, type, acs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq912085),G:(a > cartrealq912085)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_WZYUXVC, axiom, ![V:cartrealq912085,W:cartrealq912085,U:cartrealq912085]:((arcv @ U @ V @ W) = (acs @ (realu_div @ (dot @ (vectoru_sub @ V @ U) @ (vectoru_sub @ W @ U)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ V @ U)) @ (vectoru_norm @ (vectoru_sub @ W @ U))))))).
thf(aTrigonometry2o_ABSu_BOUNDS, axiom, ![X:real,K:real]:((realu_le @ (realu_abs @ X) @ K) <=> ((realu_le @ (realu_neg @ K) @ X) & (realu_le @ X @ K)))).
thf(aTrigonometry2o_ACS, axiom, ![Y:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y) & (realu_le @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (acs @ Y)) & (realu_le @ (acs @ Y) @ pi)))).
thf(aTrigonometry2o_NOTu_IDENu_IMPu_ABSu_LE, axiom, ![VA:cartrealq912085,VB:cartrealq912085,V0:cartrealq912085]:((~ ((V0 = VA)) & ~ ((V0 = VB))) => (realu_le @ (realu_abs @ (realu_div @ (dot @ (vectoru_sub @ VA @ V0) @ (vectoru_sub @ VB @ V0)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ VA @ V0)) @ (vectoru_norm @ (vectoru_sub @ VB @ V0))))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(conjecture, conjecture, ![V:cartrealq912085,U:cartrealq912085,V0:cartrealq912085]:((~ ((V0 = U)) & ~ ((V0 = V))) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (arcv @ V0 @ U @ V)) & (realu_le @ (arcv @ V0 @ U @ V) @ pi)))).
