%   ORIGINAL: Trigonometry2.COS_MONOPOLY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COS_MONO_LT_EQ: !x y. &0 <= x /\ x <= pi /\ &0 <= y /\ y <= pi ==> (cos x < cos y <=> y < x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b. &0 <= a /\ a <= pi /\ &0 <= b /\ b <= pi ==> (a < b <=> cos b < cos a)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. &0 <= x /\ x <= pi /\ &0 <= y /\ y <= pi ==> (cos x < cos y <=> y < x)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !a b. &0 <= a /\ a <= pi /\ &0 <= b /\ b <= pi ==> (a < b <=> cos b < cos a)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(ccos, type, cos : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOSu_MONOu_LTu_EQ, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ pi) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & (realu_le @ Y @ pi)) => ((realu_lt @ (cos @ X) @ (cos @ Y)) <=> (realu_lt @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,B:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ A @ pi) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (realu_le @ B @ pi)) => ((realu_lt @ A @ B) <=> (realu_lt @ (cos @ B) @ (cos @ A))))).
