%   ORIGINAL: Trigonometry2.SUBSET_IMP_SUBSET_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: a SUBSET b ==> a SUBSET P hull b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P s. s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !b P a. a SUBSET b ==> a SUBSET P hull b
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq915468, type, q915468 : $tType).
%  CONSTS
thf(cin0, type, in0 : (q915468 > (q915468 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((q915468 > $o) > (q915468 > $o) > $o)).
thf(chull, type, hull : (((q915468 > $o) > $o) > (q915468 > $o) > q915468 > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHULLu_SUBSET, axiom, ![P:((q915468 > $o) > $o),S:(q915468 > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(q915468 > $o),T:(q915468 > $o)]:((subset @ S @ T) <=> ![X:q915468]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:(q915468 > $o),P:((q915468 > $o) > $o),A:(q915468 > $o)]:((subset @ A @ B) => (subset @ A @ (hull @ P @ B)))).
