%   ORIGINAL: Trigonometry2.SUBSET_AFFINE_HULL3_EQ_SUB_PLANE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HULL_HULL: !P s. P hull (P hull s) = P hull s
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: Trigonometry.JLWZFBH1: !x. plane x <=> (?u v w. ~collinear {u, v, w} /\ x = affine hull {u, v, w})
% Assm: Trigonometry2.THREE_POINT_IMP_EXISTS_3: !v1 v2 v3. ?w2 w3. ~collinear {v1, w2, w3} /\ {v1, v2, v3} SUBSET affine hull {v1, w2, w3}
% Goal: (?u v w. S SUBSET affine hull {u, v, w}) <=> (?x. plane x /\ S SUBSET x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P s. P hull (P hull s) = P hull s
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: ~F <=> T
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !x. plane x <=> (?u v w. ~collinear {u, v, w} /\ x = affine hull {u, v, w})
% Assm: !v1 v2 v3. ?w2 w3. ~collinear {v1, w2, w3} /\ {v1, v2, v3} SUBSET affine hull {v1, w2, w3}
% Goal: !S. (?u v w. S SUBSET affine hull {u, v, w}) <=> (?x. plane x /\ S SUBSET x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cplane, type, plane : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHULLu_HULL, axiom, ![P:((cartrealn3 > $o) > $o),S:(cartrealn3 > $o)]:((hull @ P @ (hull @ P @ S)) = (hull @ P @ S))).
thf(aHULLu_MONO, axiom, ![P:((cartrealn3 > $o) > $o),S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),U:(cartrealn3 > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_JLWZFBH1, axiom, ![X:(cartrealn3 > $o)]:((plane @ X) <=> ?[U:cartrealn3,V:cartrealn3,W:cartrealn3]:(~ ((collinear @ (insert @ U @ (insert @ V @ (insert @ W @ empty))))) & (X = (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty)))))))).
thf(aTrigonometry2o_THREEu_POINTu_IMPu_EXISTSu_3, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:?[W2:cartrealn3,W3:cartrealn3]:(~ ((collinear @ (insert @ V1 @ (insert @ W2 @ (insert @ W3 @ empty))))) & (subset @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))) @ (hull @ affine @ (insert @ V1 @ (insert @ W2 @ (insert @ W3 @ empty))))))).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o)]:(?[U:cartrealn3,V:cartrealn3,W:cartrealn3]:(subset @ S @ (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty))))) <=> ?[X:(cartrealn3 > $o)]:((plane @ X) & (subset @ S @ X)))).
