%   ORIGINAL: Trigonometry2.GIVEN_VALUED_IMP_UNIQUE_EXISTENCE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: SIN_CIRCLE: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: TRUTH: T
% Assm: Trigonometry2.SUM_POW2_EQ1_UNIQUE_TRIG: !a b. a pow 2 + b pow 2 = &1 ==> (?!x. &0 <= x /\ x < &2 * pi /\ cos x = a /\ sin x = b)
% Goal: !x0. ?!x. &0 <= x /\ x < &2 * pi /\ cos x = cos x0 /\ sin x = sin x0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x + y = y + x
% Assm: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: T
% Assm: !a b. a pow 2 + b pow 2 = &1 ==> (?x. &0 <= x /\ x < &2 * pi /\ cos x = a /\ sin x = b) /\ (!x x'. (&0 <= x /\ x < &2 * pi /\ cos x = a /\ sin x = b) /\ &0 <= x' /\ x' < &2 * pi /\ cos x' = a /\ sin x' = b ==> x = x')
% Goal: !x0. (?x. &0 <= x /\ x < &2 * pi /\ cos x = cos x0 /\ sin x = sin x0) /\ (!x x'. (&0 <= x /\ x < &2 * pi /\ cos x = cos x0 /\ sin x = sin x0) /\ &0 <= x' /\ x' < &2 * pi /\ cos x' = cos x0 /\ sin x' = sin x0 ==> x = x')
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aSINu_CIRCLE, axiom, ![X:real]:((realu_add @ (realu_pow @ (sin @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (cos @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_SUMu_POW2u_EQ1u_UNIQUEu_TRIG, axiom, ![A:real,B:real]:(((realu_add @ (realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ B @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (?[X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ((cos @ X) = A) & ((sin @ X) = B)) & ![X:real,XI_:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ((cos @ X) = A) & ((sin @ X) = B) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ XI_) & (realu_lt @ XI_ @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ((cos @ XI_) = A) & ((sin @ XI_) = B)) => (X = XI_))))).
thf(conjecture, conjecture, ![X0:real]:(?[X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ((cos @ X) = (cos @ X0)) & ((sin @ X) = (sin @ X0))) & ![X:real,XI_:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ((cos @ X) = (cos @ X0)) & ((sin @ X) = (sin @ X0)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ XI_) & (realu_lt @ XI_ @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ((cos @ XI_) = (cos @ X0)) & ((sin @ XI_) = (sin @ X0))) => (X = XI_)))).
