%   ORIGINAL: Trigonometry2.SIN_COS_PERIODIC_IN_WHOLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.COS_PERIODIC_IN_WHOLE: cos (x + real_of_int n * &2 * pi) = cos x
% Assm: Trigonometry2.SIN_PERIODIC_IN_WHOLE: !n. sin (x + real_of_int n * &2 * pi) = sin x
% Goal: !n x. sin (x + real_of_int n * &2 * pi) = sin x /\ cos (x + real_of_int n * &2 * pi) = cos x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !n x. cos (x + real_of_int n * &2 * pi) = cos x
% Assm: !x n. sin (x + real_of_int n * &2 * pi) = sin x
% Goal: !n x. sin (x + real_of_int n * &2 * pi) = sin x /\ cos (x + real_of_int n * &2 * pi) = cos x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(ccos, type, cos : (real > real)).
thf(csin, type, sin : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_COSu_PERIODICu_INu_WHOLE, axiom, ![N:int,X:real]:((cos @ (realu_add @ X @ (realu_mul @ (realu_ofu_int @ N) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)))) = (cos @ X))).
thf(aTrigonometry2o_SINu_PERIODICu_INu_WHOLE, axiom, ![X:real,N:int]:((sin @ (realu_add @ X @ (realu_mul @ (realu_ofu_int @ N) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)))) = (sin @ X))).
thf(conjecture, conjecture, ![N:int,X:real]:(((sin @ (realu_add @ X @ (realu_mul @ (realu_ofu_int @ N) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)))) = (sin @ X)) & ((cos @ (realu_add @ X @ (realu_mul @ (realu_ofu_int @ N) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)))) = (cos @ X)))).
