%   ORIGINAL: Trigonometry2.R_SIN_COS_IDENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.EQ_POW2_COND: !a b. &0 <= a /\ &0 <= b ==> (a = b <=> a pow 2 = b pow 2)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Real_ext.REAL_PROP_EQ_LMUL_': !x y z. x * y = x * z <=> x = &0 \/ y = z
% Assm: TRUTH: T
% Assm: Trigonometry2.R_SIN_CIRCLE: !r x. (r * cos x) pow 2 + (r * sin x) pow 2 = r pow 2
% Goal: !r rr x y. &0 <= r /\ &0 <= rr /\ r * cos x = rr * cos y /\ r * sin x = rr * sin y ==> r = rr /\ (r = &0 \/ cos x = cos y /\ sin x = sin y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. &0 <= a /\ &0 <= b ==> (a = b <=> a pow 2 = b pow 2)
% Assm: ~F <=> T
% Assm: !x y z. x * y = x * z <=> x = &0 \/ y = z
% Assm: T
% Assm: !r x. (r * cos x) pow 2 + (r * sin x) pow 2 = r pow 2
% Goal: !r rr x y. &0 <= r /\ &0 <= rr /\ r * cos x = rr * cos y /\ r * sin x = rr * sin y ==> r = rr /\ (r = &0 \/ cos x = cos y /\ sin x = sin y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_EQu_POW2u_COND, axiom, ![A:real,B:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B)) => ((A = B) <=> ((realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRealu_exto_REALu_PROPu_EQu_LMULu_i_, axiom, ![X:real,Y:real,Z:real]:(((realu_mul @ X @ Y) = (realu_mul @ X @ Z)) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = Z)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_Ru_SINu_CIRCLE, axiom, ![R:real,X:real]:((realu_add @ (realu_pow @ (realu_mul @ R @ (cos @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (realu_mul @ R @ (sin @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_pow @ R @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(conjecture, conjecture, ![R:real,RR:real,X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ RR) & ((realu_mul @ R @ (cos @ X)) = (realu_mul @ RR @ (cos @ Y))) & ((realu_mul @ R @ (sin @ X)) = (realu_mul @ RR @ (sin @ Y)))) => ((R = RR) & ((R = (realu_ofu_num @ (numeral @ u_0))) | (((cos @ X) = (cos @ Y)) & ((sin @ X) = (sin @ Y))))))).
