%   ORIGINAL: Trigonometry2.ORTHONORMAL_BASIS3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.ORTHONORMAL_BASIS: orthonormal (basis 1) (basis 2) (basis 3)
% Assm: orthonormal: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: basis 1 dot basis 1 = &1 /\ basis 2 dot basis 2 = &1 /\ basis 3 dot basis 3 = &1 /\ basis 1 dot basis 2 = &0 /\ basis 1 dot basis 3 = &0 /\ basis 2 dot basis 3 = &0 /\ &0 < (basis 1 cross basis 2) dot basis 3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: orthonormal (basis 1) (basis 2) (basis 3)
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: basis 1 dot basis 1 = &1 /\ basis 2 dot basis 2 = &1 /\ basis 3 dot basis 3 = &1 /\ basis 1 dot basis 2 = &0 /\ basis 1 dot basis 3 = &0 /\ basis 2 dot basis 3 = &0 /\ &0 < (basis 1 cross basis 2) dot basis 3
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cbasis, type, basis : (num > cartrealn3)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ORTHONORMALu_BASIS, axiom, (orthonormal @ (basis @ (numeral @ (bit1 @ u_0))) @ (basis @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (basis @ (numeral @ (bit1 @ (bit1 @ u_0)))))).
thf(aorthonormal, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) <=> (((dot @ E1 @ E1) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E2 @ E2) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E3 @ E3) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E1 @ E2) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E1 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E2 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (cross @ E1 @ E2) @ E3))))).
thf(conjecture, conjecture, (((dot @ (basis @ (numeral @ (bit1 @ u_0))) @ (basis @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ (basis @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (basis @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ (basis @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (basis @ (numeral @ (bit1 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ (basis @ (numeral @ (bit1 @ u_0))) @ (basis @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ (basis @ (numeral @ (bit1 @ u_0))) @ (basis @ (numeral @ (bit1 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ (basis @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (basis @ (numeral @ (bit1 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (cross @ (basis @ (numeral @ (bit1 @ u_0))) @ (basis @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (basis @ (numeral @ (bit1 @ (bit1 @ u_0)))))))).
