%   ORIGINAL: Trigonometry2.INVERT_NORM_POS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: REAL_LE_01: &0 <= &1
% Assm: REAL_LE_DIV: !x y. &0 <= x /\ &0 <= y ==> &0 <= x / y
% Assm: TRUTH: T
% Goal: !x. &0 <= &1 / norm x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 <= norm x
% Assm: &0 <= &1
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x / y
% Assm: T
% Goal: !x. &0 <= &1 / norm x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aREALu_LEu_01, axiom, (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LEu_DIV, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (vectoru_norm @ X)))).
