%   ORIGINAL: Trigonometry2.NOT_VEC0_UNITABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: REAL_ABS_DIV: !x y. abs (x / y) = abs x / abs y
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Assm: Trigonometry2.NOT_0_INVERTABLE: ~(a = &0) <=> &1 / a * a = &1
% Goal: !u. ~(u = vec 0) <=> norm (&1 / norm u % u) = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x y. abs (x / y) = abs x / abs y
% Assm: !x. abs (norm x) = norm x
% Assm: T
% Assm: abs (&1) = &1
% Assm: !a. ~(a = &0) <=> &1 / a * a = &1
% Goal: !u. ~(u = vec 0) <=> norm (&1 / norm u % u) = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_EQu_0, axiom, ![X:cartrealn]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealn]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aREALu_ABSu_DIV, axiom, ![X:real,Y:real]:((realu_abs @ (realu_div @ X @ Y)) = (realu_div @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealn]:((realu_abs @ (vectoru_norm @ X)) = (vectoru_norm @ X))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry2o_NOTu_0u_INVERTABLE, axiom, ![A:real]:(~ ((A = (realu_ofu_num @ (numeral @ u_0)))) <=> ((realu_mul @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ A) @ A) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(conjecture, conjecture, ![U:cartrealn]:(~ ((U = (vec @ (numeral @ u_0)))) <=> ((vectoru_norm @ (r_ @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (vectoru_norm @ U)) @ U)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
