%   ORIGINAL: Trigonometry2.ARCV_VEC0_ABS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.ARC_SYM: arcV v0 vc vb = arcV v0 vb vc
% Assm: Trigonometry2.WHEN_K_DIFF0_ARCV: ~(k = &0) ==> arcV (vec 0) u v = arcV (vec 0) u (abs k % v)
% Goal: ~(ku = &0) /\ ~(kv = &0) ==> arcV (vec 0) u v = arcV (vec 0) (abs ku % u) (abs kv % v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !v0 vb vc. arcV v0 vc vb = arcV v0 vb vc
% Assm: !u k v. ~(k = &0) ==> arcV (vec 0) u v = arcV (vec 0) u (abs k % v)
% Goal: !v kv u ku. ~(ku = &0) /\ ~(kv = &0) ==> arcV (vec 0) u v = arcV (vec 0) (abs ku % u) (abs kv % v)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(carcv, type, arcv : (cartrealn > cartrealn > cartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ARCu_SYM, axiom, ![V0:cartrealn,VB:cartrealn,VC:cartrealn]:((arcv @ V0 @ VC @ VB) = (arcv @ V0 @ VB @ VC))).
thf(aTrigonometry2o_WHENu_Ku_DIFF0u_ARCV, axiom, ![U:cartrealn,K:real,V:cartrealn]:(~ ((K = (realu_ofu_num @ (numeral @ u_0)))) => ((arcv @ (vec @ (numeral @ u_0)) @ U @ V) = (arcv @ (vec @ (numeral @ u_0)) @ U @ (r_ @ (realu_abs @ K) @ V))))).
thf(conjecture, conjecture, ![V:cartrealn,KV:real,U:cartrealn,KU:real]:((~ ((KU = (realu_ofu_num @ (numeral @ u_0)))) & ~ ((KV = (realu_ofu_num @ (numeral @ u_0))))) => ((arcv @ (vec @ (numeral @ u_0)) @ U @ V) = (arcv @ (vec @ (numeral @ u_0)) @ (r_ @ (realu_abs @ KU) @ U) @ (r_ @ (realu_abs @ KV) @ V))))).
