%   ORIGINAL: Trigonometry2.WHEN_A_B_POS_ARCV_STABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.ARC_SYM: arcV v0 vc vb = arcV v0 vb vc
% Assm: Trigonometry2.WHEN_K_POS_ARCV_STABLE: &0 < k ==> arcV (vec 0) u v = arcV (vec 0) u (k % v)
% Goal: !a b x y. &0 < a /\ &0 < b ==> arcV (vec 0) x y = arcV (vec 0) (a % x) (b % y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !v0 vb vc. arcV v0 vc vb = arcV v0 vb vc
% Assm: !u k v. &0 < k ==> arcV (vec 0) u v = arcV (vec 0) u (k % v)
% Goal: !a b x y. &0 < a /\ &0 < b ==> arcV (vec 0) x y = arcV (vec 0) (a % x) (b % y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(carcv, type, arcv : (cartrealn > cartrealn > cartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ARCu_SYM, axiom, ![V0:cartrealn,VB:cartrealn,VC:cartrealn]:((arcv @ V0 @ VC @ VB) = (arcv @ V0 @ VB @ VC))).
thf(aTrigonometry2o_WHENu_Ku_POSu_ARCVu_STABLE, axiom, ![U:cartrealn,K:real,V:cartrealn]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ K) => ((arcv @ (vec @ (numeral @ u_0)) @ U @ V) = (arcv @ (vec @ (numeral @ u_0)) @ U @ (r_ @ K @ V))))).
thf(conjecture, conjecture, ![A:real,B:real,X:cartrealn,Y:cartrealn]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B)) => ((arcv @ (vec @ (numeral @ u_0)) @ X @ Y) = (arcv @ (vec @ (numeral @ u_0)) @ (r_ @ A @ X) @ (r_ @ B @ Y))))).
