%   ORIGINAL: Trigonometry2.ORTHOGORNAL_UNITIZE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_LMUL: !c x y. c % x dot y = c * (x dot y)
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: TRUTH: T
% Goal: !x y. x dot y = &0 ==> &1 / norm x % x dot &1 / norm y % y = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c x y. c % x dot y = c * (x dot y)
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x. x * &0 = &0
% Assm: T
% Goal: !x y. x dot y = &0 ==> &1 / norm x % x dot &1 / norm y % y = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_LMUL, axiom, ![C:real,X:cartrealn,Y:cartrealn]:((dot @ (r_ @ C @ X) @ Y) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealn,Y:cartrealn]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn]:(((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) => ((dot @ (r_ @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (vectoru_norm @ X)) @ X) @ (r_ @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (vectoru_norm @ Y)) @ Y)) = (realu_ofu_num @ (numeral @ u_0))))).
