%   ORIGINAL: Trigonometry2.PROJECTOR_NOT_EQ_VEC0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_LMUL: !c x y. c % x dot y = c * (x dot y)
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: TRUTH: T
% Assm: Trigonometry2.AFF2_VEC0: aff {vec 0, w} = {x | ?k. x = k % w}
% Assm: Trigonometry2.PERPENCULAR_PART_IDENT0: ~(w = vec 0) /\ (w dot w) % v1 - (v1 dot w) % w = vec 0 ==> v1 IN aff {vec 0, w}
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Assm: VECTOR_SUB_REFL: !x. x - x = vec 0
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Goal: !w v1. ~(w = vec 0) /\ ~(v1 IN aff {vec 0, w}) <=> ~((w dot w) % v1 - (v1 dot w) % w = vec 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !c x y. c % x dot y = c * (x dot y)
% Assm: !x. x dot vec 0 = &0
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !x y. x * y = y * x
% Assm: T
% Assm: !w. aff {vec 0, w} = {x | ?k. x = k % w}
% Assm: !v1 w. ~(w = vec 0) /\ (w dot w) % v1 - (v1 dot w) % w = vec 0 ==> v1 IN aff {vec 0, w}
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &0 % x = vec 0
% Assm: !x. x - x = vec 0
% Assm: !x. x - vec 0 = x
% Goal: !w v1. ~(w = vec 0) /\ ~(v1 IN aff {vec 0, w}) <=> ~((w dot w) % v1 - (v1 dot w) % w = vec 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(caff, type, aff : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_LMUL, axiom, ![C:real,X:cartrealn,Y:cartrealn]:((dot @ (r_ @ C @ X) @ Y) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_RZERO, axiom, ![X:cartrealn]:((dot @ X @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_AFF2u_VEC0, axiom, ![W:cartrealn]:((aff @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ W @ empty))) = (gspec @ ^[GENR_PVARR_144:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_144 @ ?[K:real]:(X = (r_ @ K @ W)) @ X)))).
thf(aTrigonometry2o_PERPENCULARu_PARTu_IDENT0, axiom, ![V1:cartrealn,W:cartrealn]:((~ ((W = (vec @ (numeral @ u_0)))) & ((vectoru_sub @ (r_ @ (dot @ W @ W) @ V1) @ (r_ @ (dot @ V1 @ W) @ W)) = (vec @ (numeral @ u_0)))) => (in @ V1 @ (aff @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ W @ empty)))))).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec @ (numeral @ u_0)))).
thf(aVECTORu_SUBu_REFL, axiom, ![X:cartrealn]:((vectoru_sub @ X @ X) = (vec @ (numeral @ u_0)))).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealn]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![W:cartrealn,V1:cartrealn]:((~ ((W = (vec @ (numeral @ u_0)))) & ~ ((in @ V1 @ (aff @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ W @ empty)))))) <=> ~ (((vectoru_sub @ (r_ @ (dot @ W @ W) @ V1) @ (r_ @ (dot @ V1 @ W) @ W)) = (vec @ (numeral @ u_0)))))).
