%   ORIGINAL: Trigonometry2.NOT_EQ_VEC0_IMP_EQU_AFF_COLL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_LEMMA: !x y. collinear {vec 0, x, y} <=> x = vec 0 \/ y = vec 0 \/ (?c. y = c % x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.AFF2_VEC0: aff {vec 0, w} = {x | ?k. x = k % w}
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Goal: !w u. ~(w = vec 0) ==> (u IN aff {vec 0, w} <=> collinear {vec 0, w, u})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. collinear {vec 0, x, y} <=> x = vec 0 \/ y = vec 0 \/ (?c. y = c % x)
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: T
% Assm: !w. aff {vec 0, w} = {x | ?k. x = k % w}
% Assm: !x. &0 % x = vec 0
% Goal: !w u. ~(w = vec 0) ==> (u IN aff {vec 0, w} <=> collinear {vec 0, w, u})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(caff, type, aff : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_LEMMA, axiom, ![X:cartrealn,Y:cartrealn]:((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty)))) <=> ((X = (vec @ (numeral @ u_0))) | (Y = (vec @ (numeral @ u_0))) | ?[C:real]:(Y = (r_ @ C @ X))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_AFF2u_VEC0, axiom, ![W:cartrealn]:((aff @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ W @ empty))) = (gspec @ ^[GENR_PVARR_144:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_144 @ ?[K:real]:(X = (r_ @ K @ W)) @ X)))).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec @ (numeral @ u_0)))).
thf(conjecture, conjecture, ![W:cartrealn,U:cartrealn]:(~ ((W = (vec @ (numeral @ u_0)))) => ((in @ U @ (aff @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ W @ empty)))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ W @ (insert @ U @ empty))))))).
