%   ORIGINAL: Trigonometry2.PL_ANGLE_PROPERTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.PRE_TRIG_FORM_VEC2: !x. ~(x = vec 0) ==> (?u. tri_itv u /\ x = vector [norm x * cos u; norm x * sin u])
% Assm: Trigonometry2.pl_angle: !x. pl_angle x = (@u. tri_itv u /\ (?t. &0 < t /\ x = vector [t * cos u; t * sin u]))
% Goal: !x. ~(x = vec 0) ==> tri_itv (pl_angle x) /\ (?t. &0 < t /\ x = vector [t * cos (pl_angle x); t * sin (pl_angle x)])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~F <=> T
% Assm: T
% Assm: !x. ~(x = vec 0) ==> (?u. tri_itv u /\ x = vector [norm x * cos u; norm x * sin u])
% Assm: !x. pl_angle x = (@u. tri_itv u /\ (?t. &0 < t /\ x = vector [t * cos u; t * sin u]))
% Goal: !x. ~(x = vec 0) ==> tri_itv (pl_angle x) /\ (?t. &0 < t /\ x = vector [t * cos (pl_angle x); t * sin (pl_angle x)])
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tlistreal, type, listreal : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(chu_0, type, h_0 : ((real > $o) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvector, type, vector : (listreal > cartrealn2)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpluu_angle, type, plu_angle : (cartrealn2 > real)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccons, type, cons : (real > listreal > listreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(cnil, type, nil : listreal).
thf(cuu_0, type, u_0 : num).
thf(ctriuu_itv, type, triu_itv : (real > $o)).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X)) <=> ~ ((X = (vec @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_PREu_TRIGu_FORMu_VEC2, axiom, ![X:cartrealn2]:(~ ((X = (vec @ (numeral @ u_0)))) => ?[U:real]:((triu_itv @ U) & (X = (vector @ (cons @ (realu_mul @ (vectoru_norm @ X) @ (cos @ U)) @ (cons @ (realu_mul @ (vectoru_norm @ X) @ (sin @ U)) @ nil))))))).
thf(aTrigonometry2o_plu_angle, axiom, ![X:cartrealn2]:((plu_angle @ X) = (h_0 @ ^[U:real]:((triu_itv @ U) & ?[T:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (X = (vector @ (cons @ (realu_mul @ T @ (cos @ U)) @ (cons @ (realu_mul @ T @ (sin @ U)) @ nil))))))))).
thf(conjecture, conjecture, ![X:cartrealn2]:(~ ((X = (vec @ (numeral @ u_0)))) => ((triu_itv @ (plu_angle @ X)) & ?[T:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (X = (vector @ (cons @ (realu_mul @ T @ (cos @ (plu_angle @ X))) @ (cons @ (realu_mul @ T @ (sin @ (plu_angle @ X))) @ nil)))))))).
