%   ORIGINAL: Trigonometry2.POLAR_LT_IMP_NOT_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LT_REFL: !x. ~(x < x)
% Assm: TRUTH: T
% Assm: Trigonometry2.PRE_TRIG_FORM_VEC2: !x. ~(x = vec 0) ==> (?u. tri_itv u /\ x = vector [norm x * cos u; norm x * sin u])
% Assm: Trigonometry2.polar_lt: !a b. polar_lt a b <=> (!ra aa rb ab. &0 < ra /\ &0 < rb /\ a = vector [ra * cos aa; ra * sin aa] /\ b = vector [rb * cos ab; rb * sin ab] /\ tri_itv aa /\ tri_itv ab ==> aa < ab \/ aa = ab /\ ra < rb)
% Goal: ~(x = vec 0) /\ ~(y = vec 0) ==> polar_lt x y ==> ~(x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~F <=> T
% Assm: !x. ~(x < x)
% Assm: T
% Assm: !x. ~(x = vec 0) ==> (?u. tri_itv u /\ x = vector [norm x * cos u; norm x * sin u])
% Assm: !a b. polar_lt a b <=> (!ra aa rb ab. &0 < ra /\ &0 < rb /\ a = vector [ra * cos aa; ra * sin aa] /\ b = vector [rb * cos ab; rb * sin ab] /\ tri_itv aa /\ tri_itv ab ==> aa < ab \/ aa = ab /\ ra < rb)
% Goal: !y x. ~(x = vec 0) /\ ~(y = vec 0) ==> polar_lt x y ==> ~(x = y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tlistreal, type, listreal : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvector, type, vector : (listreal > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpolaruu_lt, type, polaru_lt : (cartrealn2 > cartrealn2 > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(ccons, type, cons : (real > listreal > listreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnil, type, nil : listreal).
thf(cuu_0, type, u_0 : num).
thf(ctriuu_itv, type, triu_itv : (real > $o)).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X)) <=> ~ ((X = (vec @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTu_REFL, axiom, ![X:real]:~ ((realu_lt @ X @ X))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_PREu_TRIGu_FORMu_VEC2, axiom, ![X:cartrealn2]:(~ ((X = (vec @ (numeral @ u_0)))) => ?[U:real]:((triu_itv @ U) & (X = (vector @ (cons @ (realu_mul @ (vectoru_norm @ X) @ (cos @ U)) @ (cons @ (realu_mul @ (vectoru_norm @ X) @ (sin @ U)) @ nil))))))).
thf(aTrigonometry2o_polaru_lt, axiom, ![A:cartrealn2,B:cartrealn2]:((polaru_lt @ A @ B) <=> ![RA:real,AA:real,RB:real,AB:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ RA) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ RB) & (A = (vector @ (cons @ (realu_mul @ RA @ (cos @ AA)) @ (cons @ (realu_mul @ RA @ (sin @ AA)) @ nil)))) & (B = (vector @ (cons @ (realu_mul @ RB @ (cos @ AB)) @ (cons @ (realu_mul @ RB @ (sin @ AB)) @ nil)))) & (triu_itv @ AA) & (triu_itv @ AB)) => ((realu_lt @ AA @ AB) | ((AA = AB) & (realu_lt @ RA @ RB)))))).
thf(conjecture, conjecture, ![Y:cartrealn2,X:cartrealn2]:((~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0))))) => ((polaru_lt @ X @ Y) => ~ ((X = Y))))).
