%   ORIGINAL: Trigonometry2.EXISTS_MIN_IN_ORDERED_FINITE_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_RESTRICT: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: WF: !(<<). WF (<<) <=> (!P. (?x. P x) ==> (?x. P x /\ (!y. y << x ==> ~P y)))
% Assm: WF_FINITE: !(<<). (!x. ~(x << x)) /\ (!x y z. x << y /\ y << z ==> x << z) /\ (!x. FINITE {y | y << x}) ==> WF (<<)
% Goal: !S lt. FINITE S /\ ~(S = {}) /\ (!x. lt x x) /\ (!x y z. lt x y /\ lt y z ==> lt x z) /\ (!x y. lt x y /\ lt y x ==> x = y) /\ (!x y. lt x y \/ lt y x) ==> (?m. S m /\ (!x. S x ==> lt m x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !(<<). WF (<<) <=> (!P. (?x. P x) ==> (?x. P x /\ (!y. y << x ==> ~P y)))
% Assm: !(<<). (!x. ~(x << x)) /\ (!x y z. x << y /\ y << z ==> x << z) /\ (!x. FINITE {y | y << x}) ==> WF (<<)
% Goal: !S lt. FINITE S /\ ~(S = {}) /\ (!x. lt x x) /\ (!x y z. lt x y /\ lt y z ==> lt x z) /\ (!x y. lt x y /\ lt y x ==> x = y) /\ (!x y. lt x y \/ lt y x) ==> (?m. S m /\ (!x. S x ==> lt m x))
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cwf, type, wf : ((a > a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci0, type, i0 : (a > a)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_RESTRICT, axiom, ![S:(a > $o),P:(a > $o)]:((finite @ S) => (finite @ (gspec @ ^[GENR_PVARR_66:a]:?[X:a]:(setspec @ GENR_PVARR_66 @ ((in @ X @ S) & (P @ X)) @ X))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aWF, axiom, ![L_L_:(a > a > $o)]:((wf @ L_L_) <=> ![P:(a > $o)]:(?[X:a]:(P @ X) => ?[X:a]:((P @ X) & ![Y:a]:((L_L_ @ Y @ X) => ~ ((P @ Y))))))).
thf(aWFu_FINITE, axiom, ![L_L_:(a > a > $o)]:((![X:a]:~ ((L_L_ @ X @ X)) & ![X:a,Y:a,Z:a]:(((L_L_ @ X @ Y) & (L_L_ @ Y @ Z)) => (L_L_ @ X @ Z)) & ![X:a]:(finite @ (gspec @ ^[GENR_PVARR_134:a]:?[Y:a]:(setspec @ GENR_PVARR_134 @ (L_L_ @ Y @ X) @ Y)))) => (wf @ L_L_))).
thf(conjecture, conjecture, ![S:(a > $o),LT:(a > a > $o)]:(((finite @ S) & ~ ((S = empty)) & ![X:a]:(LT @ X @ X) & ![X:a,Y:a,Z:a]:(((LT @ X @ Y) & (LT @ Y @ Z)) => (LT @ X @ Z)) & ![X:a,Y:a]:(((LT @ X @ Y) & (LT @ Y @ X)) => (X = Y)) & ![X:a,Y:a]:((LT @ X @ Y) | (LT @ Y @ X))) => ?[M:a]:((S @ M) & ![X:a]:((S @ X) => (LT @ M @ X))))).
