%   ORIGINAL: Trigonometry2.NORM_VECTOR2_TRIG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.EQ_POW2_COND: !a b. &0 <= a /\ &0 <= b ==> (a = b <=> a pow 2 = b pow 2)
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NORM_POW_2: !x. norm x pow 2 = x dot x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.DOT_ITSELF_2: x = vector [a; b] ==> x dot x = a pow 2 + b pow 2
% Assm: Trigonometry2.R_SIN_CIRCLE: !r x. (r * cos x) pow 2 + (r * sin x) pow 2 = r pow 2
% Goal: x = vector [a * cos t; a * sin t] /\ &0 <= a ==> norm x = a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. &0 <= a /\ &0 <= b ==> (a = b <=> a pow 2 = b pow 2)
% Assm: !x. &0 <= norm x
% Assm: !x. norm x pow 2 = x dot x
% Assm: ~F <=> T
% Assm: T
% Assm: !x a b. x = vector [a; b] ==> x dot x = a pow 2 + b pow 2
% Assm: !r x. (r * cos x) pow 2 + (r * sin x) pow 2 = r pow 2
% Goal: !a x t. x = vector [a * cos t; a * sin t] /\ &0 <= a ==> norm x = a
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tlistreal, type, listreal : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdot, type, dot : (cartrealn2 > cartrealn2 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvector, type, vector : (listreal > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccons, type, cons : (real > listreal > listreal)).
thf(cnil, type, nil : listreal).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_EQu_POW2u_COND, axiom, ![A:real,B:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B)) => ((A = B) <=> ((realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn2]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNORMu_POWu_2, axiom, ![X:cartrealn2]:((realu_pow @ (vectoru_norm @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (dot @ X @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_DOTu_ITSELFu_2, axiom, ![X:cartrealn2,A:real,B:real]:((X = (vector @ (cons @ A @ (cons @ B @ nil)))) => ((dot @ X @ X) = (realu_add @ (realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aTrigonometry2o_Ru_SINu_CIRCLE, axiom, ![R:real,X:real]:((realu_add @ (realu_pow @ (realu_mul @ R @ (cos @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (realu_mul @ R @ (sin @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_pow @ R @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(conjecture, conjecture, ![A:real,X:cartrealn2,T:real]:(((X = (vector @ (cons @ (realu_mul @ A @ (cos @ T)) @ (cons @ (realu_mul @ A @ (sin @ T)) @ nil)))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A)) => ((vectoru_norm @ X) = A))).
