%   ORIGINAL: Trigonometry2.PROVE_EXISTING_MAX_IN_CYCLIC_FINITE_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.EXISTS_MAX_ELEMENT: !S lt. FINITE S /\ ~(S = {}) /\ (!x y z. lt x y /\ lt y z ==> lt x z) /\ (!x. ~lt x x) /\ (!x y. S x /\ S y /\ ~(x = y) ==> lt x y \/ lt y x) ==> (?m. S m /\ (!x. S x ==> lt x m \/ x = m))
% Assm: Trigonometry2.NOT_EQ_IMP_TOTAL_ORDER: !x y. ~(x = y) ==> polar_lt x y \/ polar_lt y x
% Assm: Trigonometry2.NO_V0_IMP_NOT_SELF_POLLAR: ~(x = vec 0) ==> ~polar_lt x x
% Assm: Trigonometry2.POLAR_LT_TRANS: ~(y = vec 0) ==> polar_lt x y /\ polar_lt y z ==> polar_lt x z
% Goal: !W. FINITE W /\ ~(W = {}) /\ (!x. W x ==> ~(x = vec 0)) ==> (?m. W m /\ (!x. W x ==> polar_lt x m \/ x = m))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !S lt. FINITE S /\ ~(S = {}) /\ (!x y z. lt x y /\ lt y z ==> lt x z) /\ (!x. ~lt x x) /\ (!x y. S x /\ S y /\ ~(x = y) ==> lt x y \/ lt y x) ==> (?m. S m /\ (!x. S x ==> lt x m \/ x = m))
% Assm: !x y. ~(x = y) ==> polar_lt x y \/ polar_lt y x
% Assm: !x. ~(x = vec 0) ==> ~polar_lt x x
% Assm: !y x z. ~(y = vec 0) ==> polar_lt x y /\ polar_lt y z ==> polar_lt x z
% Goal: !W. FINITE W /\ ~(W = {}) /\ (!x. W x ==> ~(x = vec 0)) ==> (?m. W m /\ (!x. W x ==> polar_lt x m \/ x = m))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ci0, type, i0 : (cartrealn2 > cartrealn2)).
thf(ci, type, i : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(cpolaruu_lt, type, polaru_lt : (cartrealn2 > cartrealn2 > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(cempty, type, empty : (cartrealn2 > $o)).
thf(cfinite, type, finite : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2 > $o),G:(a > cartrealn2 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn2 > $o)]:(^[X:cartrealn2]:(T @ X) = T)).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealn2 > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn2]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_EXISTSu_MAXu_ELEMENT, axiom, ![S:(cartrealn2 > $o),LT:(cartrealn2 > cartrealn2 > $o)]:(((finite @ S) & ~ ((S = empty)) & ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:(((LT @ X @ Y) & (LT @ Y @ Z)) => (LT @ X @ Z)) & ![X:cartrealn2]:~ ((LT @ X @ X)) & ![X:cartrealn2,Y:cartrealn2]:(((S @ X) & (S @ Y) & ~ ((X = Y))) => ((LT @ X @ Y) | (LT @ Y @ X)))) => ?[M:cartrealn2]:((S @ M) & ![X:cartrealn2]:((S @ X) => ((LT @ X @ M) | (X = M)))))).
thf(aTrigonometry2o_NOTu_EQu_IMPu_TOTALu_ORDER, axiom, ![X:cartrealn2,Y:cartrealn2]:(~ ((X = Y)) => ((polaru_lt @ X @ Y) | (polaru_lt @ Y @ X)))).
thf(aTrigonometry2o_NOu_V0u_IMPu_NOTu_SELFu_POLLAR, axiom, ![X:cartrealn2]:(~ ((X = (vec @ (numeral @ u_0)))) => ~ ((polaru_lt @ X @ X)))).
thf(aTrigonometry2o_POLARu_LTu_TRANS, axiom, ![Y:cartrealn2,X:cartrealn2,Z:cartrealn2]:(~ ((Y = (vec @ (numeral @ u_0)))) => (((polaru_lt @ X @ Y) & (polaru_lt @ Y @ Z)) => (polaru_lt @ X @ Z)))).
thf(conjecture, conjecture, ![W:(cartrealn2 > $o)]:(((finite @ W) & ~ ((W = empty)) & ![X:cartrealn2]:((W @ X) => ~ ((X = (vec @ (numeral @ u_0)))))) => ?[M:cartrealn2]:((W @ M) & ![X:cartrealn2]:((W @ X) => ((polaru_lt @ X @ M) | (X = M)))))).
