%   ORIGINAL: Hypermap.CARD_SINGLETON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD1: !m. SUC m = m + 1
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_CLAUSES_conjunct0: CARD {} = 0
% Assm: CARD_CLAUSES_conjunct1: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x. CARD {x} = 1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. SUC m = m + 1
% Assm: !n. 0 + n = n
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD {} = 0
% Assm: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE {}
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !x. CARD {x} = 1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_CLAUSESu_conjunct0, axiom, ((card @ empty) = (numeral @ u_0))).
thf(aCARDu_CLAUSESu_conjunct1, axiom, ![X:a,S:(a > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:a]:((card @ (insert @ X @ empty)) = (numeral @ (bit1 @ u_0)))).
