%   ORIGINAL: Trigonometry2.POLAR_LE_REFL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.POLAR_LT_TRANS: ~(y = vec 0) ==> polar_lt x y /\ polar_lt y z ==> polar_lt x z
% Assm: Trigonometry2.TOW_NON_VEC0_IMP_NOT_REFL_POLAR_LT: ~(x = vec 0) /\ ~(y = vec 0) ==> ~(polar_lt x y /\ polar_lt y x)
% Assm: Trigonometry2.VEC0_BOTH_LT_GT: y = vec 0 ==> polar_lt x y /\ polar_lt y z
% Assm: Trigonometry2.polar_le: !a b. polar_le a b <=> polar_lt a b \/ a = b
% Goal: polar_le a b /\ polar_le b a <=> a = b \/ a = vec 0 \/ b = vec 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !y x z. ~(y = vec 0) ==> polar_lt x y /\ polar_lt y z ==> polar_lt x z
% Assm: !y x. ~(x = vec 0) /\ ~(y = vec 0) ==> ~(polar_lt x y /\ polar_lt y x)
% Assm: !x y z. y = vec 0 ==> polar_lt x y /\ polar_lt y z
% Assm: !a b. polar_le a b <=> polar_lt a b \/ a = b
% Goal: !b a. polar_le a b /\ polar_le b a <=> a = b \/ a = vec 0 \/ b = vec 0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cpolaruu_lt, type, polaru_lt : (cartrealn2 > cartrealn2 > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(cpolaruu_le, type, polaru_le : (cartrealn2 > cartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_POLARu_LTu_TRANS, axiom, ![Y:cartrealn2,X:cartrealn2,Z:cartrealn2]:(~ ((Y = (vec @ (numeral @ u_0)))) => (((polaru_lt @ X @ Y) & (polaru_lt @ Y @ Z)) => (polaru_lt @ X @ Z)))).
thf(aTrigonometry2o_TOWu_NONu_VEC0u_IMPu_NOTu_REFLu_POLARu_LT, axiom, ![Y:cartrealn2,X:cartrealn2]:((~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0))))) => ~ (((polaru_lt @ X @ Y) & (polaru_lt @ Y @ X))))).
thf(aTrigonometry2o_VEC0u_BOTHu_LTu_GT, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:((Y = (vec @ (numeral @ u_0))) => ((polaru_lt @ X @ Y) & (polaru_lt @ Y @ Z)))).
thf(aTrigonometry2o_polaru_le, axiom, ![A:cartrealn2,B:cartrealn2]:((polaru_le @ A @ B) <=> ((polaru_lt @ A @ B) | (A = B)))).
thf(conjecture, conjecture, ![B:cartrealn2,A:cartrealn2]:(((polaru_le @ A @ B) & (polaru_le @ B @ A)) <=> ((A = B) | (A = (vec @ (numeral @ u_0))) | (B = (vec @ (numeral @ u_0)))))).
