%   ORIGINAL: Trigonometry2.POLAR_CYCLIC_FUN_IMP_ALL_BELONG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN: !P x. x IN P <=> P x
% Assm: ITER_conjunct0: !f. ITER 0 f x = x
% Assm: ITER_conjunct1: !f n. ITER (SUC n) f x = f (ITER n f x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.polar_cycle_on: !W f. polar_cycle_on f W <=> (!x. x IN W ==> f x IN W) /\ (!x. x IN W ==> polar_lt x (f x) /\ (!y. y IN W ==> ~(polar_lt x y /\ polar_lt y (f x))) \/ (!y. y IN W ==> polar_le (f x) y /\ polar_le y x))
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: W p /\ polar_cycle_on f W ==> (!n. W (ITER n f p))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P x. x IN P <=> P x
% Assm: !x f. ITER 0 f x = x
% Assm: !x f n. ITER (SUC n) f x = f (ITER n f x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !W f. polar_cycle_on f W <=> (!x. x IN W ==> f x IN W) /\ (!x. x IN W ==> polar_lt x (f x) /\ (!y. y IN W ==> ~(polar_lt x y /\ polar_lt y (f x))) \/ (!y. y IN W ==> polar_le (f x) y /\ polar_le y x))
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !p f W. W p /\ polar_cycle_on f W ==> (!n. W (ITER n f p))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cpolaruu_le, type, polaru_le : (cartrealn2 > cartrealn2 > $o)).
thf(cpolaruu_lt, type, polaru_lt : (cartrealn2 > cartrealn2 > $o)).
thf(cin0, type, in0 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpolaruu_cycleuu_on, type, polaru_cycleu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(citer, type, iter : (num > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aITERu_conjunct0, axiom, ![X:cartrealn2,F:(cartrealn2 > cartrealn2)]:((iter @ (numeral @ u_0) @ F @ X) = X)).
thf(aITERu_conjunct1, axiom, ![X:cartrealn2,F:(cartrealn2 > cartrealn2),N:num]:((iter @ (suc @ N) @ F @ X) = (F @ (iter @ N @ F @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_polaru_cycleu_on, axiom, ![W:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2)]:((polaru_cycleu_on @ F @ W) <=> (![X:cartrealn2]:((in0 @ X @ W) => (in0 @ (F @ X) @ W)) & ![X:cartrealn2]:((in0 @ X @ W) => (((polaru_lt @ X @ (F @ X)) & ![Y:cartrealn2]:((in0 @ Y @ W) => ~ (((polaru_lt @ X @ Y) & (polaru_lt @ Y @ (F @ X)))))) | ![Y:cartrealn2]:((in0 @ Y @ W) => ((polaru_le @ (F @ X) @ Y) & (polaru_le @ Y @ X)))))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![P:cartrealn2,F:(cartrealn2 > cartrealn2),W:(cartrealn2 > $o)]:(((W @ P) & (polaru_cycleu_on @ F @ W)) => ![N:num]:(W @ (iter @ N @ F @ P)))).
