%   ORIGINAL: Trigonometry2.AUTOMAP_IMP_ALL_ITER_IN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN: !P x. x IN P <=> P x
% Assm: ITER_conjunct0: !f. ITER 0 f x = x
% Assm: ITER_conjunct1: !f n. ITER (SUC n) f x = f (ITER n f x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: W p /\ (!x. W x ==> f x IN W) ==> (!N. ITER N f p IN W)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P x. x IN P <=> P x
% Assm: !x f. ITER 0 f x = x
% Assm: !x f n. ITER (SUC n) f x = f (ITER n f x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !W p f. W p /\ (!x. W x ==> f x IN W) ==> (!N. ITER N f p IN W)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(citer, type, iter : (num > (a > a) > a > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aITERu_conjunct0, axiom, ![X:a,F:(a > a)]:((iter @ (numeral @ u_0) @ F @ X) = X)).
thf(aITERu_conjunct1, axiom, ![X:a,F:(a > a),N:num]:((iter @ (suc @ N) @ F @ X) = (F @ (iter @ N @ F @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![W:(a > $o),P:a,F:(a > a)]:(((W @ P) & ![X:a]:((W @ X) => (in @ (F @ X) @ W))) => ![N:num]:(in @ (iter @ N @ F @ P) @ W))).
