%   ORIGINAL: Trigonometry2.MONO_LE_IN_FIRST_PERIOD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LE_LT: !m n. m <= n <=> m < n \/ m = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.MONOPOLY_IN_FIRST_PERIOD: (!x. W x ==> ~(x = vec 0)) /\ FINITE W /\ W p0 /\ polar_cycle_on f W /\ (!x. W x ==> polar_le p0 x) ==> (!i j. i < j /\ j < CARD W ==> polar_lt (ITER i f p0) (ITER j f p0))
% Assm: Trigonometry2.polar_le: !a b. polar_le a b <=> polar_lt a b \/ a = b
% Goal: (!x. W x ==> ~(x = vec 0)) /\ FINITE W /\ W p0 /\ polar_cycle_on f W /\ (!x. W x ==> polar_le p0 x) ==> (!i j. i <= j /\ j < CARD W ==> polar_le (ITER i f p0) (ITER j f p0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !m n. m <= n <=> m < n \/ m = n
% Assm: ~F <=> T
% Assm: T
% Assm: !W f p0. (!x. W x ==> ~(x = vec 0)) /\ FINITE W /\ W p0 /\ polar_cycle_on f W /\ (!x. W x ==> polar_le p0 x) ==> (!i j. i < j /\ j < CARD W ==> polar_lt (ITER i f p0) (ITER j f p0))
% Assm: !a b. polar_le a b <=> polar_lt a b \/ a = b
% Goal: !p0 f W. (!x. W x ==> ~(x = vec 0)) /\ FINITE W /\ W p0 /\ polar_cycle_on f W /\ (!x. W x ==> polar_le p0 x) ==> (!i j. i <= j /\ j < CARD W ==> polar_le (ITER i f p0) (ITER j f p0))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cpolaruu_lt, type, polaru_lt : (cartrealn2 > cartrealn2 > $o)).
thf(ci, type, i : (cartrealn2 > cartrealn2)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpolaruu_le, type, polaru_le : (cartrealn2 > cartrealn2 > $o)).
thf(cpolaruu_cycleuu_on, type, polaru_cycleu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(citer, type, iter : (num > (cartrealn2 > cartrealn2) > cartrealn2 > cartrealn2)).
thf(cfinite, type, finite : ((cartrealn2 > $o) > $o)).
thf(ccard, type, card : ((cartrealn2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:cartrealn2]:((i @ X) = X)).
thf(aLEu_LT, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ((l_ @ M @ N) | (M = N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_MONOPOLYu_INu_FIRSTu_PERIOD, axiom, ![W:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2),P0:cartrealn2]:((![X:cartrealn2]:((W @ X) => ~ ((X = (vec @ (numeral @ u_0))))) & (finite @ W) & (W @ P0) & (polaru_cycleu_on @ F @ W) & ![X:cartrealn2]:((W @ X) => (polaru_le @ P0 @ X))) => ![I:num,J:num]:(((l_ @ I @ J) & (l_ @ J @ (card @ W))) => (polaru_lt @ (iter @ I @ F @ P0) @ (iter @ J @ F @ P0))))).
thf(aTrigonometry2o_polaru_le, axiom, ![A:cartrealn2,B:cartrealn2]:((polaru_le @ A @ B) <=> ((polaru_lt @ A @ B) | (A = B)))).
thf(conjecture, conjecture, ![P0:cartrealn2,F:(cartrealn2 > cartrealn2),W:(cartrealn2 > $o)]:((![X:cartrealn2]:((W @ X) => ~ ((X = (vec @ (numeral @ u_0))))) & (finite @ W) & (W @ P0) & (polaru_cycleu_on @ F @ W) & ![X:cartrealn2]:((W @ X) => (polaru_le @ P0 @ X))) => ![I:num,J:num]:(((l_a_ @ I @ J) & (l_ @ J @ (card @ W))) => (polaru_le @ (iter @ I @ F @ P0) @ (iter @ J @ F @ P0))))).
