%   ORIGINAL: Trigonometry2.POLAR_LE_NOT_VEC0_IMP_PL_ANG_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: TRUTH: T
% Assm: Trigonometry2.PL_ANGLE_PROPERTY: !x. ~(x = vec 0) ==> tri_itv (pl_angle x) /\ (?t. &0 < t /\ x = vector [t * cos (pl_angle x); t * sin (pl_angle x)])
% Assm: Trigonometry2.polar_le: !a b. polar_le a b <=> polar_lt a b \/ a = b
% Assm: Trigonometry2.polar_lt: !a b. polar_lt a b <=> (!ra aa rb ab. &0 < ra /\ &0 < rb /\ a = vector [ra * cos aa; ra * sin aa] /\ b = vector [rb * cos ab; rb * sin ab] /\ tri_itv aa /\ tri_itv ab ==> aa < ab \/ aa = ab /\ ra < rb)
% Goal: polar_le x y /\ ~(x = vec 0) /\ ~(y = vec 0) ==> pl_angle x <= pl_angle y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x. x <= x
% Assm: T
% Assm: !x. ~(x = vec 0) ==> tri_itv (pl_angle x) /\ (?t. &0 < t /\ x = vector [t * cos (pl_angle x); t * sin (pl_angle x)])
% Assm: !a b. polar_le a b <=> polar_lt a b \/ a = b
% Assm: !a b. polar_lt a b <=> (!ra aa rb ab. &0 < ra /\ &0 < rb /\ a = vector [ra * cos aa; ra * sin aa] /\ b = vector [rb * cos ab; rb * sin ab] /\ tri_itv aa /\ tri_itv ab ==> aa < ab \/ aa = ab /\ ra < rb)
% Goal: !y x. polar_le x y /\ ~(x = vec 0) /\ ~(y = vec 0) ==> pl_angle x <= pl_angle y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tlistreal, type, listreal : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cpolaruu_lt, type, polaru_lt : (cartrealn2 > cartrealn2 > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvector, type, vector : (listreal > cartrealn2)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpluu_angle, type, plu_angle : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(cpolaruu_le, type, polaru_le : (cartrealn2 > cartrealn2 > $o)).
thf(ccons, type, cons : (real > listreal > listreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnil, type, nil : listreal).
thf(cuu_0, type, u_0 : num).
thf(ctriuu_itv, type, triu_itv : (real > $o)).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_PLu_ANGLEu_PROPERTY, axiom, ![X:cartrealn2]:(~ ((X = (vec @ (numeral @ u_0)))) => ((triu_itv @ (plu_angle @ X)) & ?[T:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (X = (vector @ (cons @ (realu_mul @ T @ (cos @ (plu_angle @ X))) @ (cons @ (realu_mul @ T @ (sin @ (plu_angle @ X))) @ nil)))))))).
thf(aTrigonometry2o_polaru_le, axiom, ![A:cartrealn2,B:cartrealn2]:((polaru_le @ A @ B) <=> ((polaru_lt @ A @ B) | (A = B)))).
thf(aTrigonometry2o_polaru_lt, axiom, ![A:cartrealn2,B:cartrealn2]:((polaru_lt @ A @ B) <=> ![RA:real,AA:real,RB:real,AB:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ RA) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ RB) & (A = (vector @ (cons @ (realu_mul @ RA @ (cos @ AA)) @ (cons @ (realu_mul @ RA @ (sin @ AA)) @ nil)))) & (B = (vector @ (cons @ (realu_mul @ RB @ (cos @ AB)) @ (cons @ (realu_mul @ RB @ (sin @ AB)) @ nil)))) & (triu_itv @ AA) & (triu_itv @ AB)) => ((realu_lt @ AA @ AB) | ((AA = AB) & (realu_lt @ RA @ RB)))))).
thf(conjecture, conjecture, ![Y:cartrealn2,X:cartrealn2]:(((polaru_le @ X @ Y) & ~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0))))) => (realu_le @ (plu_angle @ X) @ (plu_angle @ Y)))).
