%   ORIGINAL: Calc_derivative.ratform_pow
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.REAL_POW_NEQ_0: !x n. ~(x pow n = &0) <=> ~(x = &0) \/ n = 0
% Assm: Calc_derivative.ratform: !p r a b. ratform p r a b <=> p ==> ~(b = &0) /\ r = a / b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POW_DIV: !x y n. (x / y) pow n = x pow n / y pow n
% Assm: TRUTH: T
% Goal: ratform p1 r1 a1 b1 ==> ratform p1 (r1 pow n) (a1 pow n) (b1 pow n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x n. ~(x pow n = &0) <=> ~(x = &0) \/ n = 0
% Assm: !p r a b. ratform p r a b <=> p ==> ~(b = &0) /\ r = a / b
% Assm: ~F <=> T
% Assm: !x y n. (x / y) pow n = x pow n / y pow n
% Assm: T
% Goal: !n b1 a1 r1 p1. ratform p1 r1 a1 b1 ==> ratform p1 (r1 pow n) (a1 pow n) (b1 pow n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cratform, type, ratform : ($o > real > real > real > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_REALu_POWu_NEQu_0, axiom, ![X:real,N:num]:(~ (((realu_pow @ X @ N) = (realu_ofu_num @ (numeral @ u_0)))) <=> (~ ((X = (realu_ofu_num @ (numeral @ u_0)))) | (N = (numeral @ u_0))))).
thf(aCalcu_derivativeo_ratform, axiom, ![P:$o,R:real,A:real,B:real]:((ratform @ P @ R @ A @ B) <=> (P => (~ ((B = (realu_ofu_num @ (numeral @ u_0)))) & (R = (realu_div @ A @ B)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POWu_DIV, axiom, ![X:real,Y:real,N:num]:((realu_pow @ (realu_div @ X @ Y) @ N) = (realu_div @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,B1:real,A1:real,R1:real,P1:$o]:((ratform @ P1 @ R1 @ A1 @ B1) => (ratform @ P1 @ (realu_pow @ R1 @ N) @ (realu_pow @ A1 @ N) @ (realu_pow @ B1 @ N)))).
