%   ORIGINAL: Calc_derivative.ratform_inv
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.ratform: !p r a b. ratform p r a b <=> p ==> ~(b = &0) /\ r = a / b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: TRUTH: T
% Goal: ratform p1 r1 a1 b1 ==> ratform (p1 /\ ~(a1 = &0)) (inv r1) b1 a1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p r a b. ratform p r a b <=> p ==> ~(b = &0) /\ r = a / b
% Assm: ~F <=> T
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x / y) = y / x
% Assm: T
% Goal: !a1 b1 r1 p1. ratform p1 r1 a1 b1 ==> ratform (p1 /\ ~(a1 = &0)) (inv r1) b1 a1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cratform, type, ratform : ($o > real > real > real > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_ratform, axiom, ![P:$o,R:real,A:real,B:real]:((ratform @ P @ R @ A @ B) <=> (P => (~ ((B = (realu_ofu_num @ (numeral @ u_0)))) & (R = (realu_div @ A @ B)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A1:real,B1:real,R1:real,P1:$o]:((ratform @ P1 @ R1 @ A1 @ B1) => (ratform @ (P1 & ~ ((A1 = (realu_ofu_num @ (numeral @ u_0))))) @ (realu_inv @ R1) @ B1 @ A1))).
