%   ORIGINAL: Calc_derivative.imp_eq
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.invert_den_eq: !a b. a / b = &0 <=> a * b = &0
% Assm: Calc_derivative.ratform: !p r a b. ratform p r a b <=> p ==> ~(b = &0) /\ r = a / b
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: TRUTH: T
% Goal: !p p' x a a' b b'. x = &0 /\ ratform p x a b /\ (p <=> p') /\ a = a' /\ b = b' ==> p' /\ ~(b' = &0) ==> a' = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a / b = &0 <=> a * b = &0
% Assm: !p r a b. ratform p r a b <=> p ==> ~(b = &0) /\ r = a / b
% Assm: ~F <=> T
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: T
% Goal: !p p' x a a' b b'. x = &0 /\ ratform p x a b /\ (p <=> p') /\ a = a' /\ b = b' ==> p' /\ ~(b' = &0) ==> a' = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cratform, type, ratform : ($o > real > real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_invertu_denu_eq, axiom, ![A:real,B:real]:(((realu_div @ A @ B) = (realu_ofu_num @ (numeral @ u_0))) <=> ((realu_mul @ A @ B) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aCalcu_derivativeo_ratform, axiom, ![P:$o,R:real,A:real,B:real]:((ratform @ P @ R @ A @ B) <=> (P => (~ ((B = (realu_ofu_num @ (numeral @ u_0)))) & (R = (realu_div @ A @ B)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:$o,PI_:$o,X:real,A:real,AI_:real,B:real,BI_:real]:(((X = (realu_ofu_num @ (numeral @ u_0))) & (ratform @ P @ X @ A @ B) & (P <=> PI_) & (A = AI_) & (B = BI_)) => ((PI_ & ~ ((BI_ = (realu_ofu_num @ (numeral @ u_0))))) => (AI_ = (realu_ofu_num @ (numeral @ u_0)))))).
