%   ORIGINAL: Calc_derivative.derived_form_sub
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.derived_form: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: HAS_REAL_DERIVATIVE_SUB: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x - g x) has_real_derivative f' - g') net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x s. derived_form p1 f1 f1' x s /\ derived_form p2 f2 f2' x s ==> derived_form (p1 /\ p2) (\x. f1 x - f2 x) (f1' - f2') x s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x - g x) has_real_derivative f' - g') net
% Assm: ~F <=> T
% Assm: T
% Goal: !f2' f1' f2 f1 p2 p1 x s. derived_form p1 f1 f1' x s /\ derived_form p2 f2 f2' x s ==> derived_form (p1 /\ p2) (\x. f1 x - f2 x) (f1' - f2') x s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cderiveduu_form, type, derivedu_form : ($o > (real > real) > real > real > (real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_derivedu_form, axiom, ![P:$o,F:(real > real),FI_:real,X:real,S:(real > $o)]:((derivedu_form @ P @ F @ FI_ @ X @ S) <=> (P => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(aHASu_REALu_DERIVATIVEu_SUB, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,NET:netreal]:(((hasu_realu_derivative @ F @ FI_ @ NET) & (hasu_realu_derivative @ G @ GI_ @ NET)) => (hasu_realu_derivative @ ^[X:real]:(realu_sub @ (F @ X) @ (G @ X)) @ (realu_sub @ FI_ @ GI_) @ NET))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F2I_:real,F1I_:real,F2:(real > real),F1:(real > real),P2:$o,P1:$o,X:real,S:(real > $o)]:(((derivedu_form @ P1 @ F1 @ F1I_ @ X @ S) & (derivedu_form @ P2 @ F2 @ F2I_ @ X @ S)) => (derivedu_form @ (P1 & P2) @ ^[X:real]:(realu_sub @ (F1 @ X) @ (F2 @ X)) @ (realu_sub @ F1I_ @ F2I_) @ X @ S))).
