%   ORIGINAL: Calc_derivative.derived_form_div
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.derived_form: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: HAS_REAL_DERIVATIVE_DIV_WITHIN: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) /\ ~(g x = &0) ==> ((\x. f x / g x) has_real_derivative (f' * g x - f x * g') / g x pow 2) (atreal x within s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x s. derived_form p1 f1 f1' x s /\ derived_form p2 f2 f2' x s ==> derived_form (p1 /\ p2 /\ ~(f2 x = &0)) (\x. f1 x / f2 x) ((f1' * f2 x - f1 x * f2') / f2 x pow 2) x s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) /\ ~(g x = &0) ==> ((\x. f x / g x) has_real_derivative (f' * g x - f x * g') / g x pow 2) (atreal x within s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f2 f2' f1 f1' p2 p1 x s. derived_form p1 f1 f1' x s /\ derived_form p2 f2 f2' x s ==> derived_form (p1 /\ p2 /\ ~(f2 x = &0)) (\x. f1 x / f2 x) ((f1' * f2 x - f1 x * f2') / f2 x pow 2) x s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cderiveduu_form, type, derivedu_form : ($o > (real > real) > real > real > (real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_derivedu_form, axiom, ![P:$o,F:(real > real),FI_:real,X:real,S:(real > $o)]:((derivedu_form @ P @ F @ FI_ @ X @ S) <=> (P => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(aHASu_REALu_DERIVATIVEu_DIVu_WITHIN, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (hasu_realu_derivative @ G @ GI_ @ (within @ (atreal @ X) @ S)) & ~ (((G @ X) = (realu_ofu_num @ (numeral @ u_0))))) => (hasu_realu_derivative @ ^[X:real]:(realu_div @ (F @ X) @ (G @ X)) @ (realu_div @ (realu_sub @ (realu_mul @ FI_ @ (G @ X)) @ (realu_mul @ (F @ X) @ GI_)) @ (realu_pow @ (G @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (within @ (atreal @ X) @ S)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F2:(real > real),F2I_:real,F1:(real > real),F1I_:real,P2:$o,P1:$o,X:real,S:(real > $o)]:(((derivedu_form @ P1 @ F1 @ F1I_ @ X @ S) & (derivedu_form @ P2 @ F2 @ F2I_ @ X @ S)) => (derivedu_form @ (P1 & P2 & ~ (((F2 @ X) = (realu_ofu_num @ (numeral @ u_0))))) @ ^[X:real]:(realu_div @ (F1 @ X) @ (F2 @ X)) @ (realu_div @ (realu_sub @ (realu_mul @ F1I_ @ (F2 @ X)) @ (realu_mul @ (F1 @ X) @ F2I_)) @ (realu_pow @ (F2 @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ X @ S))).
