%   ORIGINAL: Calc_derivative.derived_form_neg
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.derived_form: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: HAS_REAL_DERIVATIVE_ID: !net. ((\x. x) has_real_derivative &1) net
% Assm: HAS_REAL_DERIVATIVE_NEG: !f f' net. (f has_real_derivative f') net ==> ((\x. --f x) has_real_derivative --f') net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x s. derived_form T (--) (-- &1) x s
%   PROCESSED
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !net. ((\x. x) has_real_derivative &1) net
% Assm: !f f' net. (f has_real_derivative f') net ==> ((\x. --f x) has_real_derivative --f') net
% Assm: ~F <=> T
% Assm: T
% Goal: !x s. derived_form T (--) (-- &1) x s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cderiveduu_form, type, derivedu_form : ($o > (real > real) > real > real > (real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_derivedu_form, axiom, ![P:$o,F:(real > real),FI_:real,X:real,S:(real > $o)]:((derivedu_form @ P @ F @ FI_ @ X @ S) <=> (P => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aHASu_REALu_DERIVATIVEu_ID, axiom, ![NET:netreal]:(hasu_realu_derivative @ ^[X:real]:X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ NET)).
thf(aHASu_REALu_DERIVATIVEu_NEG, axiom, ![F:(real > real),FI_:real,NET:netreal]:((hasu_realu_derivative @ F @ FI_ @ NET) => (hasu_realu_derivative @ ^[X:real]:(realu_neg @ (F @ X)) @ (realu_neg @ FI_) @ NET))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,S:(real > $o)]:(derivedu_form @ $true @ realu_neg @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X @ S)).
