%   ORIGINAL: Calc_derivative.derived_form_cos
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.derived_form: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_REAL_DERIVATIVE_ACS: !x. abs x < &1 ==> (acs has_real_derivative --inv (sqrt (&1 - x pow 2))) (atreal x)
% Assm: HAS_REAL_DERIVATIVE_ASN: !x. abs x < &1 ==> (asn has_real_derivative inv (sqrt (&1 - x pow 2))) (atreal x)
% Assm: HAS_REAL_DERIVATIVE_ATREAL_WITHIN: !f f' x s. (f has_real_derivative f') (atreal x) ==> (f has_real_derivative f') (atreal x within s)
% Assm: HAS_REAL_DERIVATIVE_CONST: !c net. ((\x. c) has_real_derivative &0) net
% Assm: HAS_REAL_DERIVATIVE_COS: !x. (cos has_real_derivative --sin x) (atreal x)
% Assm: HAS_REAL_DERIVATIVE_INV_BASIC: !x. ~(x = &0) ==> (inv has_real_derivative --inv (x pow 2)) (atreal x)
% Assm: HAS_REAL_DERIVATIVE_SIN: !x. (sin has_real_derivative cos x) (atreal x)
% Assm: HAS_REAL_DERIVATIVE_SQRT: !x. &0 < x ==> (sqrt has_real_derivative inv (&2 * sqrt x)) (atreal x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry.OKENMAM: !x. (atn has_real_derivative inv (&1 + x pow 2)) (atreal x)
% Goal: !x s. derived_form T cos (--sin x) x s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. abs x < &1 ==> (acs has_real_derivative --inv (sqrt (&1 - x pow 2))) (atreal x)
% Assm: !x. abs x < &1 ==> (asn has_real_derivative inv (sqrt (&1 - x pow 2))) (atreal x)
% Assm: !f f' x s. (f has_real_derivative f') (atreal x) ==> (f has_real_derivative f') (atreal x within s)
% Assm: !c net. ((\x. c) has_real_derivative &0) net
% Assm: !x. (cos has_real_derivative --sin x) (atreal x)
% Assm: !x. ~(x = &0) ==> (inv has_real_derivative --inv (x pow 2)) (atreal x)
% Assm: !x. (sin has_real_derivative cos x) (atreal x)
% Assm: !x. &0 < x ==> (sqrt has_real_derivative inv (&2 * sqrt x)) (atreal x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !x. (atn has_real_derivative inv (&1 + x pow 2)) (atreal x)
% Goal: !x s. derived_form T cos (--sin x) x s
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cderiveduu_form, type, derivedu_form : ($o > (real > real) > real > real > (real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(catn, type, atn : (real > real)).
thf(ci, type, i : (a > a)).
thf(casn, type, asn : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cacs, type, acs : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(csin, type, sin : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_derivedu_form, axiom, ![P:$o,F:(real > real),FI_:real,X:real,S:(real > $o)]:((derivedu_form @ P @ F @ FI_ @ X @ S) <=> (P => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_REALu_DERIVATIVEu_ACS, axiom, ![X:real]:((realu_lt @ (realu_abs @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (hasu_realu_derivative @ acs @ (realu_neg @ (realu_inv @ (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))))) @ (atreal @ X)))).
thf(aHASu_REALu_DERIVATIVEu_ASN, axiom, ![X:real]:((realu_lt @ (realu_abs @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (hasu_realu_derivative @ asn @ (realu_inv @ (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))))) @ (atreal @ X)))).
thf(aHASu_REALu_DERIVATIVEu_ATREALu_WITHIN, axiom, ![F:(real > real),FI_:real,X:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)))).
thf(aHASu_REALu_DERIVATIVEu_CONST, axiom, ![C:real,NET:netreal]:(hasu_realu_derivative @ ^[X:real]:C @ (realu_ofu_num @ (numeral @ u_0)) @ NET)).
thf(aHASu_REALu_DERIVATIVEu_COS, axiom, ![X:real]:(hasu_realu_derivative @ cos @ (realu_neg @ (sin @ X)) @ (atreal @ X))).
thf(aHASu_REALu_DERIVATIVEu_INVu_BASIC, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => (hasu_realu_derivative @ realu_inv @ (realu_neg @ (realu_inv @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (atreal @ X)))).
thf(aHASu_REALu_DERIVATIVEu_SIN, axiom, ![X:real]:(hasu_realu_derivative @ sin @ (cos @ X) @ (atreal @ X))).
thf(aHASu_REALu_DERIVATIVEu_SQRT, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (hasu_realu_derivative @ sqrt @ (realu_inv @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (sqrt @ X))) @ (atreal @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_OKENMAM, axiom, ![X:real]:(hasu_realu_derivative @ atn @ (realu_inv @ (realu_add @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (atreal @ X))).
thf(conjecture, conjecture, ![X:real,S:(real > $o)]:(derivedu_form @ $true @ cos @ (realu_neg @ (sin @ X)) @ X @ S)).
