%   ORIGINAL: Calc_derivative.derived_form_chain
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.derived_form: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_REAL_DERIVATIVE_CHAIN: !P f g. (!x. P x ==> (g has_real_derivative g' x) (atreal x)) ==> (!x s. (f has_real_derivative f') (atreal x within s) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x within s)) /\ (!x. (f has_real_derivative f') (atreal x) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: WITHINREAL_UNIV: !x. atreal x within (:real) = atreal x
% Goal: !x s. derived_form p g g' (f1 x) (:real) /\ derived_form p' f2 f' x s /\ f1 = f2 ==> derived_form (p /\ p') (\x. g (f1 x)) (f' * g') x s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f' g' P f g. (!x. P x ==> (g has_real_derivative g' x) (atreal x)) ==> (!x s. (f has_real_derivative f') (atreal x within s) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x within s)) /\ (!x. (f has_real_derivative f') (atreal x) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !x. atreal x within (:real) = atreal x
% Goal: !g' f' f1 g p' p f2 x s. derived_form p g g' (f1 x) (:real) /\ derived_form p' f2 f' x s /\ f1 = f2 ==> derived_form (p /\ p') (\x. g (f1 x)) (f' * g') x s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(ci, type, i : ((real > real) > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cderiveduu_form, type, derivedu_form : ($o > (real > real) > real > real > (real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuniv, type, univ : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > real),G:(a > real > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_derivedu_form, axiom, ![P:$o,F:(real > real),FI_:real,X:real,S:(real > $o)]:((derivedu_form @ P @ F @ FI_ @ X @ S) <=> (P => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(aFUNu_EQu_THM, axiom, ![F:(real > real),G:(real > real)]:((F = G) <=> ![X:real]:((F @ X) = (G @ X)))).
thf(aHASu_REALu_DERIVATIVEu_CHAIN, axiom, ![FI_:real,GI_:(real > real),P:(real > $o),F:(real > real),G:(real > real)]:(![X:real]:((P @ X) => (hasu_realu_derivative @ G @ (GI_ @ X) @ (atreal @ X))) => (![X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (P @ (F @ X))) => (hasu_realu_derivative @ ^[X:real]:(G @ (F @ X)) @ (realu_mul @ FI_ @ (GI_ @ (F @ X))) @ (within @ (atreal @ X) @ S))) & ![X:real]:(((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) & (P @ (F @ X))) => (hasu_realu_derivative @ ^[X:real]:(G @ (F @ X)) @ (realu_mul @ FI_ @ (GI_ @ (F @ X))) @ (atreal @ X)))))).
thf(aIu_THM, axiom, ![X:(real > real)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWITHINREALu_UNIV, axiom, ![X:real]:((within @ (atreal @ X) @ univ) = (atreal @ X))).
thf(conjecture, conjecture, ![GI_:real,FI_:real,F1:(real > real),G:(real > real),PI_:$o,P:$o,F2:(real > real),X:real,S:(real > $o)]:(((derivedu_form @ P @ G @ GI_ @ (F1 @ X) @ univ) & (derivedu_form @ PI_ @ F2 @ FI_ @ X @ S) & (F1 = F2)) => (derivedu_form @ (P & PI_) @ ^[X:real]:(G @ (F1 @ X)) @ (realu_mul @ FI_ @ GI_) @ X @ S))).
