%   ORIGINAL: Calc_derivative.deriv_minus_pi_minus
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.deriv_minus_pi: !x s. derived_form T (\x. --(pi / &2)) (&0) x s
% Assm: Calc_derivative.derived_form_sub: !x s. derived_form p1 f1 f1' x s /\ derived_form p2 f2 f2' x s ==> derived_form (p1 /\ p2) (\x. f1 x - f2 x) (f1' - f2') x s
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x pf f f' s. derived_form pf f f' x s ==> derived_form (T /\ pf) (\x. --(pi / &2) - f x) (&0 - f') x s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x s. derived_form T (\x. --(pi / &2)) (&0) x s
% Assm: !p1 p2 f1 f2 f1' f2' x s. derived_form p1 f1 f1' x s /\ derived_form p2 f2 f2' x s ==> derived_form (p1 /\ p2) (\x. f1 x - f2 x) (f1' - f2') x s
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: T
% Goal: !x pf f f' s. derived_form pf f f' x s ==> derived_form (T /\ pf) (\x. --(pi / &2) - f x) (&0 - f') x s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cderiveduu_form, type, derivedu_form : ($o > (real > real) > real > real > (real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_derivu_minusu_pi, axiom, ![X:real,S:(real > $o)]:(derivedu_form @ $true @ ^[X:real]:(realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_ofu_num @ (numeral @ u_0)) @ X @ S)).
thf(aCalcu_derivativeo_derivedu_formu_sub, axiom, ![P1:$o,P2:$o,F1:(real > real),F2:(real > real),F1I_:real,F2I_:real,X:real,S:(real > $o)]:(((derivedu_form @ P1 @ F1 @ F1I_ @ X @ S) & (derivedu_form @ P2 @ F2 @ F2I_ @ X @ S)) => (derivedu_form @ (P1 & P2) @ ^[X:real]:(realu_sub @ (F1 @ X) @ (F2 @ X)) @ (realu_sub @ F1I_ @ F2I_) @ X @ S))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,PF:$o,F:(real > real),FI_:real,S:(real > $o)]:((derivedu_form @ PF @ F @ FI_ @ X @ S) => (derivedu_form @ ($true & PF) @ ^[X:real]:(realu_sub @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (F @ X)) @ (realu_sub @ (realu_ofu_num @ (numeral @ u_0)) @ FI_) @ X @ S))).
