%   ORIGINAL: Calc_derivative.atn2_atn_open
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.derived_imp_pos_open: !p f f' x s. p /\ derived_form p f f' x s /\ &0 < f x ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> &0 < f x'))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry1.ATN2_BREAKDOWN: !x y. (&0 < x ==> atn2 (x,y) = atn (y / x)) /\ (&0 < y ==> atn2 (x,y) = pi / &2 - atn (x / y)) /\ (y < &0 ==> atn2 (x,y) = --(pi / &2) - atn (x / y)) /\ (y = &0 /\ x <= &0 ==> atn2 (x,y) = pi)
% Goal: !p f f' g x s. p /\ derived_form p f f' x s /\ &0 < f x ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> atn2 (f x',g x') = atn (g x' / f x')))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p f f' x s. p /\ derived_form p f f' x s /\ &0 < f x ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> &0 < f x'))
% Assm: ~F <=> T
% Assm: T
% Assm: !x y. (&0 < x ==> atn2 (x,y) = atn (y / x)) /\ (&0 < y ==> atn2 (x,y) = pi / &2 - atn (x / y)) /\ (y < &0 ==> atn2 (x,y) = --(pi / &2) - atn (x / y)) /\ (y = &0 /\ x <= &0 ==> atn2 (x,y) = pi)
% Goal: !p f f' g x s. p /\ derived_form p f f' x s /\ &0 < f x ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> atn2 (f x',g x') = atn (g x' / f x')))
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(catn2, type, atn2 : (prodrealreal > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cderiveduu_form, type, derivedu_form : ($o > (real > real) > real > real > (real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(catn, type, atn : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_derivedu_impu_posu_open, axiom, ![P:$o,F:(real > real),FI_:real,X:real,S:(real > $o)]:((P & (derivedu_form @ P @ F @ FI_ @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X))) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:real]:(((in @ XI_ @ S) & (realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ XI_)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry1o_ATN2u_BREAKDOWN, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((atn2 @ (c_ @ X @ Y)) = (atn @ (realu_div @ Y @ X)))) & ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y) => ((atn2 @ (c_ @ X @ Y)) = (realu_sub @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (atn @ (realu_div @ X @ Y))))) & ((realu_lt @ Y @ (realu_ofu_num @ (numeral @ u_0))) => ((atn2 @ (c_ @ X @ Y)) = (realu_sub @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (atn @ (realu_div @ X @ Y))))) & (((Y = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ X @ (realu_ofu_num @ (numeral @ u_0)))) => ((atn2 @ (c_ @ X @ Y)) = pi)))).
thf(conjecture, conjecture, ![P:$o,F:(real > real),FI_:real,G:(real > real),X:real,S:(real > $o)]:((P & (derivedu_form @ P @ F @ FI_ @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X))) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:real]:(((in @ XI_ @ S) & (realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D)) => ((atn2 @ (c_ @ (F @ XI_) @ (G @ XI_))) = (atn @ (realu_div @ (G @ XI_) @ (F @ XI_)))))))).
