%   ORIGINAL: Calc_derivative.atn2_final_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.atn2_atn_open: !p f f' g x s. p /\ derived_form p f f' x s /\ &0 < f x ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> atn2 (f x',g x') = atn (g x' / f x')))
% Assm: Calc_derivative.atn_lemma: !x pf f f' pg g g' s. &0 < f x /\ derived_form pf f f' x s /\ derived_form pg g g' x s ==> derived_form (T /\ pg /\ pf) (\x. atn (g x / f x)) ((g' * f x - g x * f') / f x pow 2 * inv (&1 + (g x / f x) pow 2)) x s
% Assm: Calc_derivative.derived_form: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_REAL_DERIVATIVE_TRANSFORM_WITHIN: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ abs (x' - x) < d ==> f x' = g x') /\ (f has_real_derivative f') (atreal x within s) ==> (g has_real_derivative f') (atreal x within s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x pf f f' pg g g' s. &0 < f x /\ derived_form pf f f' x s /\ derived_form pg g g' x s ==> derived_form (x IN s /\ pg /\ pf) (\x. atn2 (f x,g x)) ((g' * f x - g x * f') / f x pow 2 * inv (&1 + (g x / f x) pow 2)) x s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p f f' g x s. p /\ derived_form p f f' x s /\ &0 < f x ==> (?d. &0 < d /\ (!x'. x' IN s /\ abs (x' - x) < d ==> atn2 (f x',g x') = atn (g x' / f x')))
% Assm: !x pf f f' pg g g' s. &0 < f x /\ derived_form pf f f' x s /\ derived_form pg g g' x s ==> derived_form (T /\ pg /\ pf) (\x. atn (g x / f x)) ((g' * f x - g x * f') / f x pow 2 * inv (&1 + (g x / f x) pow 2)) x s
% Assm: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ abs (x' - x) < d ==> f x' = g x') /\ (f has_real_derivative f') (atreal x within s) ==> (g has_real_derivative f') (atreal x within s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !x pf f f' pg g g' s. &0 < f x /\ derived_form pf f f' x s /\ derived_form pg g g' x s ==> derived_form (x IN s /\ pg /\ pf) (\x. atn2 (f x,g x)) ((g' * f x - g x * f') / f x pow 2 * inv (&1 + (g x / f x) pow 2)) x s
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(catn2, type, atn2 : (prodrealreal > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(cderiveduu_form, type, derivedu_form : ($o > (real > real) > real > real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(catn, type, atn : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_atn2u_atnu_open, axiom, ![P:$o,F:(real > real),FI_:real,G:(real > real),X:real,S:(real > $o)]:((P & (derivedu_form @ P @ F @ FI_ @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X))) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:real]:(((in @ XI_ @ S) & (realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D)) => ((atn2 @ (c_ @ (F @ XI_) @ (G @ XI_))) = (atn @ (realu_div @ (G @ XI_) @ (F @ XI_)))))))).
thf(aCalcu_derivativeo_atnu_lemma, axiom, ![X:real,PF:$o,F:(real > real),FI_:real,PG:$o,G:(real > real),GI_:real,S:(real > $o)]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)) & (derivedu_form @ PF @ F @ FI_ @ X @ S) & (derivedu_form @ PG @ G @ GI_ @ X @ S)) => (derivedu_form @ ($true & PG & PF) @ ^[X:real]:(atn @ (realu_div @ (G @ X) @ (F @ X))) @ (realu_mul @ (realu_div @ (realu_sub @ (realu_mul @ GI_ @ (F @ X)) @ (realu_mul @ (G @ X) @ FI_)) @ (realu_pow @ (F @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_inv @ (realu_add @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (realu_div @ (G @ X) @ (F @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))) @ X @ S))).
thf(aCalcu_derivativeo_derivedu_form, axiom, ![P:$o,F:(real > real),FI_:real,X:real,S:(real > $o)]:((derivedu_form @ P @ F @ FI_ @ X @ S) <=> (P => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_REALu_DERIVATIVEu_TRANSFORMu_WITHIN, axiom, ![F:(real > real),FI_:real,G:(real > real),X:real,S:(real > $o),D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (in @ X @ S) & ![XI_:real]:(((in @ XI_ @ S) & (realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ D)) => ((F @ XI_) = (G @ XI_))) & (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))) => (hasu_realu_derivative @ G @ FI_ @ (within @ (atreal @ X) @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,PF:$o,F:(real > real),FI_:real,PG:$o,G:(real > real),GI_:real,S:(real > $o)]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)) & (derivedu_form @ PF @ F @ FI_ @ X @ S) & (derivedu_form @ PG @ G @ GI_ @ X @ S)) => (derivedu_form @ ((in @ X @ S) & PG & PF) @ ^[X:real]:(atn2 @ (c_ @ (F @ X) @ (G @ X))) @ (realu_mul @ (realu_div @ (realu_sub @ (realu_mul @ GI_ @ (F @ X)) @ (realu_mul @ (G @ X) @ FI_)) @ (realu_pow @ (F @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_inv @ (realu_add @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (realu_div @ (G @ X) @ (F @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))) @ X @ S))).
