%   ORIGINAL: Calc_derivative.derived_form_atn2curry
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Calc_derivative.atn2_derivative: !x pf f f' pg g g' s. ~(g x = &0 /\ f x <= &0) /\ derived_form pf f f' x s /\ derived_form pg g g' x s ==> derived_form (x IN s /\ pg /\ pf) (\x. atn2 (f x,g x)) ((g' * f x - g x * f') / (f x pow 2 + g x pow 2)) x s
% Assm: Calc_derivative.atn2curry: !x y. atn2curry x y = atn2 (x,y)
% Assm: Calc_derivative.derived_form: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x s. derived_form p1 f1 f1' x s /\ derived_form p2 f2 f2' x s ==> derived_form (p1 /\ p2 /\ ~(f2 x = &0 /\ f1 x <= &0) /\ x IN s) (\x. atn2curry (f1 x) (f2 x)) ((f2' * f1 x - f2 x * f1') / (f1 x pow 2 + f2 x pow 2)) x s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x pf f f' pg g g' s. ~(g x = &0 /\ f x <= &0) /\ derived_form pf f f' x s /\ derived_form pg g g' x s ==> derived_form (x IN s /\ pg /\ pf) (\x. atn2 (f x,g x)) ((g' * f x - g x * f') / (f x pow 2 + g x pow 2)) x s
% Assm: !x y. atn2curry x y = atn2 (x,y)
% Assm: !p f f' x s. derived_form p f f' x s <=> p ==> (f has_real_derivative f') (atreal x within s)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f2 f1 f1' f2' p2 p1 x s. derived_form p1 f1 f1' x s /\ derived_form p2 f2 f2' x s ==> derived_form (p1 /\ p2 /\ ~(f2 x = &0 /\ f1 x <= &0) /\ x IN s) (\x. atn2curry (f1 x) (f2 x)) ((f2' * f1 x - f2 x * f1') / (f1 x pow 2 + f2 x pow 2)) x s
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(catn2, type, atn2 : (prodrealreal > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(catn2curry, type, atn2curry : (real > real > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cderiveduu_form, type, derivedu_form : ($o > (real > real) > real > real > (real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCalcu_derivativeo_atn2u_derivative, axiom, ![X:real,PF:$o,F:(real > real),FI_:real,PG:$o,G:(real > real),GI_:real,S:(real > $o)]:((~ ((((G @ X) = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))))) & (derivedu_form @ PF @ F @ FI_ @ X @ S) & (derivedu_form @ PG @ G @ GI_ @ X @ S)) => (derivedu_form @ ((in @ X @ S) & PG & PF) @ ^[X:real]:(atn2 @ (c_ @ (F @ X) @ (G @ X))) @ (realu_div @ (realu_sub @ (realu_mul @ GI_ @ (F @ X)) @ (realu_mul @ (G @ X) @ FI_)) @ (realu_add @ (realu_pow @ (F @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (G @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ X @ S))).
thf(aCalcu_derivativeo_atn2curry, axiom, ![X:real,Y:real]:((atn2curry @ X @ Y) = (atn2 @ (c_ @ X @ Y)))).
thf(aCalcu_derivativeo_derivedu_form, axiom, ![P:$o,F:(real > real),FI_:real,X:real,S:(real > $o)]:((derivedu_form @ P @ F @ FI_ @ X @ S) <=> (P => (hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F2:(real > real),F1:(real > real),F1I_:real,F2I_:real,P2:$o,P1:$o,X:real,S:(real > $o)]:(((derivedu_form @ P1 @ F1 @ F1I_ @ X @ S) & (derivedu_form @ P2 @ F2 @ F2I_ @ X @ S)) => (derivedu_form @ (P1 & P2 & ~ ((((F2 @ X) = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ (F1 @ X) @ (realu_ofu_num @ (numeral @ u_0))))) & (in @ X @ S)) @ ^[X:real]:(atn2curry @ (F1 @ X) @ (F2 @ X)) @ (realu_div @ (realu_sub @ (realu_mul @ F2I_ @ (F1 @ X)) @ (realu_mul @ (F2 @ X) @ F1I_)) @ (realu_add @ (realu_pow @ (F1 @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (F2 @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ X @ S))).
