%   ORIGINAL: Nonlinear_lemma.quad_root_plus_curry
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Nonlinear_lemma.quadratic_root_plus_curry: !a b c. quadratic_root_plus_curry a b c = quadratic_root_plus (a,b,c)
% Assm: Sphere.quadratic_root_plus: !b c a. quadratic_root_plus (a,b,c) = (--b + sqrt (b pow 2 - &4 * a * c)) / (&2 * a)
% Assm: TRUTH: T
% Goal: !a b c. quadratic_root_plus_curry a b c = (--b + sqrt (b pow 2 - &4 * a * c)) / (&2 * a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b c. quadratic_root_plus_curry a b c = quadratic_root_plus (a,b,c)
% Assm: !b c a. quadratic_root_plus (a,b,c) = (--b + sqrt (b pow 2 - &4 * a * c)) / (&2 * a)
% Assm: T
% Goal: !a b c. quadratic_root_plus_curry a b c = (--b + sqrt (b pow 2 - &4 * a * c)) / (&2 * a)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tprodrealprodrealreal, type, prodrealprodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cquadraticuu_rootuu_plus, type, quadraticu_rootu_plus : (prodrealprodrealreal > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccu_0, type, c_0 : (real > real > prodrealreal)).
thf(ccu_, type, c_ : (real > prodrealreal > prodrealprodrealreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cquadraticuu_rootuu_plusuu_curry, type, quadraticu_rootu_plusu_curry : (real > real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNonlinearu_lemmao_quadraticu_rootu_plusu_curry, axiom, ![A:real,B:real,C:real]:((quadraticu_rootu_plusu_curry @ A @ B @ C) = (quadraticu_rootu_plus @ (c_ @ A @ (c_0 @ B @ C))))).
thf(aSphereo_quadraticu_rootu_plus, axiom, ![B:real,C:real,A:real]:((quadraticu_rootu_plus @ (c_ @ A @ (c_0 @ B @ C))) = (realu_div @ (realu_add @ (realu_neg @ B) @ (sqrt @ (realu_sub @ (realu_pow @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ A @ C))))) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ A)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,B:real,C:real]:((quadraticu_rootu_plusu_curry @ A @ B @ C) = (realu_div @ (realu_add @ (realu_neg @ B) @ (sqrt @ (realu_sub @ (realu_pow @ B @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ A @ C))))) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ A)))).
