%   ORIGINAL: Nonlinear_lemma.upper_dih_x_y
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Nonlinear_lemma.sq_pow2: !a x. a pow 2 <= x ==> sqrt x * sqrt x = x
% Assm: Sphere.upper_dih_y: upper_dih_y = y_of_x upper_dih_x
% Assm: Sphere.y_of_x: !fx y1 y2 y3 y4 y5 y6. y_of_x fx y1 y2 y3 y4 y5 y6 = fx (y1 * y1) (y2 * y2) (y3 * y3) (y4 * y4) (y5 * y5) (y6 * y6)
% Assm: TRUTH: T
% Goal: !a1 a2 a3 a4 a5 a6 x1 x2 x3 x4 x5 x6. a1 pow 2 <= x1 /\ a2 pow 2 <= x2 /\ a3 pow 2 <= x3 /\ a4 pow 2 <= x4 /\ a5 pow 2 <= x5 /\ a6 pow 2 <= x6 ==> upper_dih_y (sqrt x1) (sqrt x2) (sqrt x3) (sqrt x4) (sqrt x5) (sqrt x6) = upper_dih_x x1 x2 x3 x4 x5 x6
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !a x. a pow 2 <= x ==> sqrt x * sqrt x = x
% Assm: upper_dih_y = y_of_x upper_dih_x
% Assm: !fx y1 y2 y3 y4 y5 y6. y_of_x fx y1 y2 y3 y4 y5 y6 = fx (y1 * y1) (y2 * y2) (y3 * y3) (y4 * y4) (y5 * y5) (y6 * y6)
% Assm: T
% Goal: !a1 a2 a3 a4 a5 a6 x1 x2 x3 x4 x5 x6. a1 pow 2 <= x1 /\ a2 pow 2 <= x2 /\ a3 pow 2 <= x3 /\ a4 pow 2 <= x4 /\ a5 pow 2 <= x5 /\ a6 pow 2 <= x6 ==> upper_dih_y (sqrt x1) (sqrt x2) (sqrt x3) (sqrt x4) (sqrt x5) (sqrt x6) = upper_dih_x x1 x2 x3 x4 x5 x6
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cyuu_ofuu_x, type, yu_ofu_x : ((real > real > real > real > real > real > real) > real > real > real > real > real > real > real)).
thf(cupperuu_dihuu_x, type, upperu_dihu_x : (real > real > real > real > real > real > real)).
thf(cupperuu_dihuu_y, type, upperu_dihu_y : (real > real > real > real > real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNonlinearu_lemmao_squ_pow2, axiom, ![A:real,X:real]:((realu_le @ (realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X) => ((realu_mul @ (sqrt @ X) @ (sqrt @ X)) = X))).
thf(aSphereo_upperu_dihu_y, axiom, (upperu_dihu_y = (yu_ofu_x @ upperu_dihu_x))).
thf(aSphereo_yu_ofu_x, axiom, ![FX:(real > real > real > real > real > real > real),Y1:real,Y2:real,Y3:real,Y4:real,Y5:real,Y6:real]:((yu_ofu_x @ FX @ Y1 @ Y2 @ Y3 @ Y4 @ Y5 @ Y6) = (FX @ (realu_mul @ Y1 @ Y1) @ (realu_mul @ Y2 @ Y2) @ (realu_mul @ Y3 @ Y3) @ (realu_mul @ Y4 @ Y4) @ (realu_mul @ Y5 @ Y5) @ (realu_mul @ Y6 @ Y6)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A1:real,A2:real,A3:real,A4:real,A5:real,A6:real,X1:real,X2:real,X3:real,X4:real,X5:real,X6:real]:(((realu_le @ (realu_pow @ A1 @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X1) & (realu_le @ (realu_pow @ A2 @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X2) & (realu_le @ (realu_pow @ A3 @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X3) & (realu_le @ (realu_pow @ A4 @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X4) & (realu_le @ (realu_pow @ A5 @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X5) & (realu_le @ (realu_pow @ A6 @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X6)) => ((upperu_dihu_y @ (sqrt @ X1) @ (sqrt @ X2) @ (sqrt @ X3) @ (sqrt @ X4) @ (sqrt @ X5) @ (sqrt @ X6)) = (upperu_dihu_x @ X1 @ X2 @ X3 @ X4 @ X5 @ X6)))).
