%   ORIGINAL: Nonlinear_lemma.rho_sqrtx
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Nonlinear_lemma.rho_alt: !y. rho y = &1 + const1 * (y - &2) / #0.52
% Assm: TRUTH: T
% Goal: !x. rho (sqrt x) = &1 + const1 * (sqrt x - &2) / #0.52
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !y. rho y = &1 + const1 * (y - &2) / #0.52
% Assm: T
% Goal: !x. rho (sqrt x) = &1 + const1 * (sqrt x - &2) / #0.52
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cdecimal, type, decimal : (num > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cconst1, type, const1 : real).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(crho, type, rho : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNonlinearu_lemmao_rhou_alt, axiom, ![Y:real]:((rho @ Y) = (realu_add @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_mul @ const1 @ (realu_div @ (realu_sub @ Y @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (decimal @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit1 @ (bit1 @ u_0))))))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real]:((rho @ (sqrt @ X)) = (realu_add @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_mul @ const1 @ (realu_div @ (realu_sub @ (sqrt @ X) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (decimal @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit1 @ (bit1 @ u_0))))))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))))))))).
