%   ORIGINAL: Nonlinear_lemma.beta_bump_force_x
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Nonlinear_lemma.halfbump_x: !x. halfbump_x x = bump (sqrt x / &2)
% Assm: Nonlinear_lemma.halfbump_x1: !x2 x3 x4 x5 x6 x1. halfbump_x1 x1 x2 x3 x4 x5 x6 = halfbump_x x1
% Assm: Nonlinear_lemma.halfbump_x4: !x1 x2 x3 x5 x6 x4. halfbump_x4 x1 x2 x3 x4 x5 x6 = halfbump_x x4
% Assm: Sphere.beta_bump_force_y: !y2 y3 y5 y6 y1 y4. beta_bump_force_y y1 y2 y3 y4 y5 y6 = bump (y1 / &2) - bump (y4 / &2)
% Assm: TRUTH: T
% Goal: !x1 x2 x3 x4 x5 x6. beta_bump_force_y (sqrt x1) (sqrt x2) (sqrt x3) (sqrt x4) (sqrt x5) (sqrt x6) = halfbump_x1 x1 x2 x3 x4 x5 x6 - halfbump_x4 x1 x2 x3 x4 x5 x6
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. halfbump_x x = bump (sqrt x / &2)
% Assm: !x2 x3 x4 x5 x6 x1. halfbump_x1 x1 x2 x3 x4 x5 x6 = halfbump_x x1
% Assm: !x1 x2 x3 x5 x6 x4. halfbump_x4 x1 x2 x3 x4 x5 x6 = halfbump_x x4
% Assm: !y2 y3 y5 y6 y1 y4. beta_bump_force_y y1 y2 y3 y4 y5 y6 = bump (y1 / &2) - bump (y4 / &2)
% Assm: T
% Goal: !x1 x2 x3 x4 x5 x6. beta_bump_force_y (sqrt x1) (sqrt x2) (sqrt x3) (sqrt x4) (sqrt x5) (sqrt x6) = halfbump_x1 x1 x2 x3 x4 x5 x6 - halfbump_x4 x1 x2 x3 x4 x5 x6
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chalfbumpuu_x4, type, halfbumpu_x4 : (real > real > real > real > real > real > real)).
thf(chalfbumpuu_x1, type, halfbumpu_x1 : (real > real > real > real > real > real > real)).
thf(cbetauu_bumpuu_forceuu_y, type, betau_bumpu_forceu_y : (real > real > real > real > real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(cbump, type, bump : (real > real)).
thf(chalfbumpuu_x, type, halfbumpu_x : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNonlinearu_lemmao_halfbumpu_x, axiom, ![X:real]:((halfbumpu_x @ X) = (bump @ (realu_div @ (sqrt @ X) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aNonlinearu_lemmao_halfbumpu_x1, axiom, ![X2:real,X3:real,X4:real,X5:real,X6:real,X1:real]:((halfbumpu_x1 @ X1 @ X2 @ X3 @ X4 @ X5 @ X6) = (halfbumpu_x @ X1))).
thf(aNonlinearu_lemmao_halfbumpu_x4, axiom, ![X1:real,X2:real,X3:real,X5:real,X6:real,X4:real]:((halfbumpu_x4 @ X1 @ X2 @ X3 @ X4 @ X5 @ X6) = (halfbumpu_x @ X4))).
thf(aSphereo_betau_bumpu_forceu_y, axiom, ![Y2:real,Y3:real,Y5:real,Y6:real,Y1:real,Y4:real]:((betau_bumpu_forceu_y @ Y1 @ Y2 @ Y3 @ Y4 @ Y5 @ Y6) = (realu_sub @ (bump @ (realu_div @ Y1 @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (bump @ (realu_div @ Y4 @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X1:real,X2:real,X3:real,X4:real,X5:real,X6:real]:((betau_bumpu_forceu_y @ (sqrt @ X1) @ (sqrt @ X2) @ (sqrt @ X3) @ (sqrt @ X4) @ (sqrt @ X5) @ (sqrt @ X6)) = (realu_sub @ (halfbumpu_x1 @ X1 @ X2 @ X3 @ X4 @ X5 @ X6) @ (halfbumpu_x4 @ X1 @ X2 @ X3 @ X4 @ X5 @ X6)))).
