%   ORIGINAL: Nonlinear_lemma.lmfun_lfun2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: Pack_defs.lmfun: !h. lmfun h = (if h <= h0 then (h0 - h) / (h0 - &1) else &0)
% Assm: Sphere.lfun: !h. lfun h = (h0 - h) / (h0 - &1)
% Assm: TRUTH: T
% Goal: !y. y <= h0 ==> lmfun y = lfun y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !h. lmfun h = (if h <= h0 then (h0 - h) / (h0 - &1) else &0)
% Assm: !h. lfun h = (h0 - h) / (h0 - &1)
% Assm: T
% Goal: !y. y <= h0 ==> lmfun y = lfun y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(ch0, type, h0 : real).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(clfun, type, lfun : (real > real)).
thf(clmfun, type, lmfun : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aPacku_defso_lmfun, axiom, ![H:real]:((lmfun @ H) = (cond @ (realu_le @ H @ h0) @ (realu_div @ (realu_sub @ h0 @ H) @ (realu_sub @ h0 @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSphereo_lfun, axiom, ![H:real]:((lfun @ H) = (realu_div @ (realu_sub @ h0 @ H) @ (realu_sub @ h0 @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Y:real]:((realu_le @ Y @ h0) => ((lmfun @ Y) = (lfun @ Y)))).
