%   ORIGINAL: Nonlinear_lemma.quartic_continuous_on
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CONTINUOUS_ON_ADD: !f g s. f real_continuous_on s /\ g real_continuous_on s ==> (\x. f x + g x) real_continuous_on s
% Assm: REAL_CONTINUOUS_ON_ID: !s. (\x. x) real_continuous_on s
% Assm: REAL_CONTINUOUS_ON_LMUL: !f c s. f real_continuous_on s ==> (\x. c * f x) real_continuous_on s
% Assm: REAL_CONTINUOUS_ON_POW: !f n s. f real_continuous_on s ==> (\x. f x pow n) real_continuous_on s
% Assm: TRUTH: T
% Goal: !s c0 c1 c2 c3 c4. (\x. c0 * x pow 0 + c1 * x pow 1 + c2 * x pow 2 + c3 * x pow 3 + c4 * x pow 4) real_continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. f real_continuous_on s /\ g real_continuous_on s ==> (\x. f x + g x) real_continuous_on s
% Assm: !s. (\x. x) real_continuous_on s
% Assm: !f c s. f real_continuous_on s ==> (\x. c * f x) real_continuous_on s
% Assm: !f n s. f real_continuous_on s ==> (\x. f x pow n) real_continuous_on s
% Assm: T
% Goal: !s c0 c1 c2 c3 c4. (\x. c0 * x pow 0 + c1 * x pow 1 + c2 * x pow 2 + c3 * x pow 3 + c4 * x pow 4) real_continuous_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CONTINUOUSu_ONu_ADD, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_continuousu_on @ F @ S) & (realu_continuousu_on @ G @ S)) => (realu_continuousu_on @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X)) @ S))).
thf(aREALu_CONTINUOUSu_ONu_ID, axiom, ![S:(real > $o)]:(realu_continuousu_on @ ^[X:real]:X @ S)).
thf(aREALu_CONTINUOUSu_ONu_LMUL, axiom, ![F:(real > real),C:real,S:(real > $o)]:((realu_continuousu_on @ F @ S) => (realu_continuousu_on @ ^[X:real]:(realu_mul @ C @ (F @ X)) @ S))).
thf(aREALu_CONTINUOUSu_ONu_POW, axiom, ![F:(real > real),N:num,S:(real > $o)]:((realu_continuousu_on @ F @ S) => (realu_continuousu_on @ ^[X:real]:(realu_pow @ (F @ X) @ N) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o),C0:real,C1:real,C2:real,C3:real,C4:real]:(realu_continuousu_on @ ^[X:real]:(realu_add @ (realu_mul @ C0 @ (realu_pow @ X @ (numeral @ u_0))) @ (realu_add @ (realu_mul @ C1 @ (realu_pow @ X @ (numeral @ (bit1 @ u_0)))) @ (realu_add @ (realu_mul @ C2 @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_add @ (realu_mul @ C3 @ (realu_pow @ X @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ C4 @ (realu_pow @ X @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0)))))))))) @ S)).
