%   ORIGINAL: Nonlinear_lemma.dih_x_alt
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: Sphere.dih_x: !x1 x2 x3 x4 x5 x6. dih_x x1 x2 x3 x4 x5 x6 = (let d_x4 = delta_x4 x1 x2 x3 x4 x5 x6 in let d = delta_x x1 x2 x3 x4 x5 x6 in pi / &2 + atn2 (sqrt (&4 * x1 * d),--d_x4))
% Assm: TRUTH: T
% Goal: !x1 x2 x3 x4 x5 x6. dih_x x1 x2 x3 x4 x5 x6 = pi / &2 + atn2 (sqrt (&4 * x1 * delta_x x1 x2 x3 x4 x5 x6),--delta_x4 x1 x2 x3 x4 x5 x6)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: !x1 x2 x3 x4 x5 x6. dih_x x1 x2 x3 x4 x5 x6 = (let d_x4 = delta_x4 x1 x2 x3 x4 x5 x6 in let d = delta_x x1 x2 x3 x4 x5 x6 in pi / &2 + atn2 (sqrt (&4 * x1 * d),--d_x4))
% Assm: T
% Goal: !x1 x2 x3 x4 x5 x6. dih_x x1 x2 x3 x4 x5 x6 = pi / &2 + atn2 (sqrt (&4 * x1 * delta_x x1 x2 x3 x4 x5 x6),--delta_x4 x1 x2 x3 x4 x5 x6)
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(clet0, type, let0 : ((real > real) > real > real)).
thf(clet, type, let : ((a > real) > a > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(catn2, type, atn2 : (prodrealreal > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cpi, type, pi : real).
thf(cdeltauu_x4, type, deltau_x4 : (real > real > real > real > real > real > real)).
thf(cdeltauu_x, type, deltau_x : (real > real > real > real > real > real > real)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdihuu_x, type, dihu_x : (real > real > real > real > real > real > real)).
thf(cuu_0, type, u_0 : num).
thf(cletuu_end, type, letu_end : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLETu_DEF, axiom, ![F:(a > real),X:a]:((let @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:real]:((letu_end @ T) = T)).
thf(aSphereo_dihu_x, axiom, ![X1:real,X2:real,X3:real,X4:real,X5:real,X6:real]:((dihu_x @ X1 @ X2 @ X3 @ X4 @ X5 @ X6) = (let0 @ ^[DU_X4:real]:(letu_end @ (let0 @ ^[D:real]:(letu_end @ (realu_add @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (atn2 @ (c_ @ (sqrt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ X1 @ D))) @ (realu_neg @ DU_X4))))) @ (deltau_x @ X1 @ X2 @ X3 @ X4 @ X5 @ X6))) @ (deltau_x4 @ X1 @ X2 @ X3 @ X4 @ X5 @ X6)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X1:real,X2:real,X3:real,X4:real,X5:real,X6:real]:((dihu_x @ X1 @ X2 @ X3 @ X4 @ X5 @ X6) = (realu_add @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (atn2 @ (c_ @ (sqrt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ X1 @ (deltau_x @ X1 @ X2 @ X3 @ X4 @ X5 @ X6)))) @ (realu_neg @ (deltau_x4 @ X1 @ X2 @ X3 @ X4 @ X5 @ X6))))))).
