%   ORIGINAL: Vol1.normball_ellip0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: TRUTH: T
% Assm: Vol1.SET_EQ: A = B <=> (!a. a IN A ==> a IN B) /\ (!a. a IN B ==> a IN A)
% Assm: Vol1.identity_scale: scale (vec 1) = I
% Assm: ellipsoid: !t r. ellipsoid t r = IMAGE (scale t) (normball (vec 0) r)
% Goal: !r. normball (vec 0) r = ellipsoid (vec 1) r
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: T
% Assm: !B A. A = B <=> (!a. a IN A ==> a IN B) /\ (!a. a IN B ==> a IN A)
% Assm: scale (vec 1) = I
% Assm: !t r. ellipsoid t r = IMAGE (scale t) (normball (vec 0) r)
% Goal: !r. normball (vec 0) r = ellipsoid (vec 1) r
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(ci0, type, i0 : (cartrealn3 > cartrealn3)).
thf(cin1, type, in1 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ci, type, i : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cimage0, type, image0 : ((cartrealn3 > cartrealn3) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cscale, type, scale : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cimage, type, image : ((a > cartrealn3 > $o) > (a > $o) > (cartrealn3 > $o) > $o)).
thf(cellipsoid, type, ellipsoid : (cartrealn3 > real > cartrealn3 > $o)).
thf(cnormball, type, normball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_IMAGE, axiom, ![Y:(cartrealn3 > $o),S:(a > $o),F:(a > cartrealn3 > $o)]:((in @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aIu_THM, axiom, ![X:(cartrealn3 > $o)]:((i @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(aVol1o_SETu_EQ, axiom, ![B:(cartrealn3 > $o),A:(cartrealn3 > $o)]:((A = B) <=> (![A0:cartrealn3]:((in1 @ A0 @ A) => (in1 @ A0 @ B)) & ![A0:cartrealn3]:((in1 @ A0 @ B) => (in1 @ A0 @ A))))).
thf(aVol1o_identityu_scale, axiom, ((scale @ (vec @ (numeral @ (bit1 @ u_0)))) = i0)).
thf(aellipsoid, axiom, ![T:cartrealn3,R:real]:((ellipsoid @ T @ R) = (image0 @ (scale @ T) @ (normball @ (vec @ (numeral @ u_0)) @ R)))).
thf(conjecture, conjecture, ![R:real]:((normball @ (vec @ (numeral @ u_0)) @ R) = (ellipsoid @ (vec @ (numeral @ (bit1 @ u_0))) @ R))).
