%   ORIGINAL: Vol1.measurable_normball
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: MEASURABLE_RULES: (!C. primitive C ==> measurable C) /\ (!Z. NULLSET Z ==> measurable Z) /\ (!X t. measurable X ==> measurable (IMAGE (scale t) X)) /\ (!X v. measurable X ==> measurable (IMAGE ((+) v) X)) /\ (!s t. measurable s /\ measurable t ==> measurable (s UNION t)) /\ (!s t. measurable s /\ measurable t ==> measurable (s INTER t)) /\ (!s t. measurable s /\ measurable t ==> measurable (s DIFF t))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Vol1.measurable_normball0: !r. measurable (normball (vec 0) r)
% Assm: Vol1.trans_normball: !x r. normball x r = IMAGE ((+) x) (normball (vec 0) r)
% Goal: !x r. measurable (normball x r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: (!C. primitive C ==> measurable C) /\ (!Z. NULLSET Z ==> measurable Z) /\ (!X t. measurable X ==> measurable (IMAGE (scale t) X)) /\ (!X v. measurable X ==> measurable (IMAGE ((+) v) X)) /\ (!s t. measurable s /\ measurable t ==> measurable (s UNION t)) /\ (!s t. measurable s /\ measurable t ==> measurable (s INTER t)) /\ (!s t. measurable s /\ measurable t ==> measurable (s DIFF t))
% Assm: ~F <=> T
% Assm: T
% Assm: !r. measurable (normball (vec 0) r)
% Assm: !x r. normball x r = IMAGE ((+) x) (normball (vec 0) r)
% Goal: !x r. measurable (normball x r)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn3)).
thf(cdiff, type, diff : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cscale, type, scale : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cnormball, type, normball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cnegligible, type, negligible : ((cartrealn3 > $o) > $o)).
thf(cprimitive, type, primitive : ((cartrealn3 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aMEASURABLEu_RULES, axiom, (![C:(cartrealn3 > $o)]:((primitive @ C) => (measurable @ C)) & ![Z:(cartrealn3 > $o)]:((negligible @ Z) => (measurable @ Z)) & ![X:(cartrealn3 > $o),T:cartrealn3]:((measurable @ X) => (measurable @ (image @ (scale @ T) @ X))) & ![X:(cartrealn3 > $o),V:cartrealn3]:((measurable @ X) => (measurable @ (image @ (vectoru_add @ V) @ X))) & ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (union @ S @ T))) & ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (inter @ S @ T))) & ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((measurable @ S) & (measurable @ T)) => (measurable @ (diff @ S @ T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVol1o_measurableu_normball0, axiom, ![R:real]:(measurable @ (normball @ (vec @ (numeral @ u_0)) @ R))).
thf(aVol1o_transu_normball, axiom, ![X:cartrealn3,R:real]:((normball @ X @ R) = (image @ (vectoru_add @ X) @ (normball @ (vec @ (numeral @ u_0)) @ R)))).
thf(conjecture, conjecture, ![X:cartrealn3,R:real]:(measurable @ (normball @ X @ R))).
