%   ORIGINAL: Vol1.normball_eq
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER_SUBSET_conjunct0: !s t. s INTER t SUBSET s
% Assm: INTER_SUBSET_conjunct1: !s t. t INTER s SUBSET s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: Vol1.normball_subset: !x r r'. r' > &0 /\ r' < r ==> normball x r' SUBSET normball x r
% Assm: Vol1.subset_inter: !A B. A SUBSET B ==> A INTER B = A
% Goal: !C x r r'. r' > &0 /\ r' < r ==> (C INTER normball x r) INTER normball x r' = C INTER normball x r'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s INTER t SUBSET s
% Assm: !s t. t INTER s SUBSET s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !x r r'. r' > &0 /\ r' < r ==> normball x r' SUBSET normball x r
% Assm: !A B. A SUBSET B ==> A INTER B = A
% Goal: !C x r r'. r' > &0 /\ r' < r ==> (C INTER normball x r) INTER normball x r' = C INTER normball x r'
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cnormball, type, normball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTERu_SUBSETu_conjunct0, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(subset @ (inter @ S @ T) @ S)).
thf(aINTERu_SUBSETu_conjunct1, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(subset @ (inter @ T @ S) @ S)).
thf(aINu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(aVol1o_normballu_subset, axiom, ![X:cartrealn3,R:real,RI_:real]:(((realu_gt @ RI_ @ (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ RI_ @ R)) => (subset @ (normball @ X @ RI_) @ (normball @ X @ R)))).
thf(aVol1o_subsetu_inter, axiom, ![A:(cartrealn3 > $o),B:(cartrealn3 > $o)]:((subset @ A @ B) => ((inter @ A @ B) = A))).
thf(conjecture, conjecture, ![C:(cartrealn3 > $o),X:cartrealn3,R:real,RI_:real]:(((realu_gt @ RI_ @ (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ RI_ @ R)) => ((inter @ (inter @ C @ (normball @ X @ R)) @ (normball @ X @ RI_)) = (inter @ C @ (normball @ X @ RI_))))).
