%   ORIGINAL: Vol1.radial_normball
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Vol1.radial_norm: !r x C. radial_norm r x C <=> C SUBSET normball x r /\ (!u. x + u IN C ==> (!t. t > &0 /\ t * norm u < r ==> x + t % u IN C))
% Goal: !r x C. radial_norm r x C ==> radial_norm r x (C INTER normball x r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !r x C. radial_norm r x C <=> C SUBSET normball x r /\ (!u. x + u IN C ==> (!t. t > &0 /\ t * norm u < r ==> x + t % u IN C))
% Goal: !r x C. radial_norm r x C ==> radial_norm r x (C INTER normball x r)
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartreala, type, cartreala : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartreala > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(csubset0, type, subset0 : ((cartreala > $o) > (cartreala > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (cartreala > (cartreala > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cru_, type, r_ : (real > cartreala > cartreala)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartreala > cartreala > cartreala)).
thf(cnormball, type, normball : (cartreala > real > cartreala > $o)).
thf(cinter, type, inter : ((cartreala > $o) > (cartreala > $o) > cartreala > $o)).
thf(cradialuu_norm, type, radialu_norm : (real > cartreala > (cartreala > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartreala > $o),T:(cartreala > $o),X:cartreala]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVol1o_radialu_norm, axiom, ![R:real,X:cartreala,C:(cartreala > $o)]:((radialu_norm @ R @ X @ C) <=> ((subset0 @ C @ (normball @ X @ R)) & ![U:cartreala]:((in0 @ (vectoru_add @ X @ U) @ C) => ![T:real]:(((realu_gt @ T @ (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_mul @ T @ (vectoru_norm @ U)) @ R)) => (in0 @ (vectoru_add @ X @ (r_ @ T @ U)) @ C)))))).
thf(conjecture, conjecture, ![R:real,X:cartreala,C:(cartreala > $o)]:((radialu_norm @ R @ X @ C) => (radialu_norm @ R @ X @ (inter @ C @ (normball @ X @ R))))).
