%   ORIGINAL: Vol1.int_ball_subset_CROSS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Vol1.lm2: !x r y. y IN int_ball x r ==> vector_to_pair y IN int_interval (x$1 - r) (x$1 + r) CROSS int_interval (x$2 - r) (x$2 + r) CROSS int_interval (x$3 - r) (x$3 + r)
% Assm: Vol1.trip_eq: !x y. x$1,x$2,x$3 = y$1,y$2,y$3 <=> (!i. 1 <= i /\ i <= 3 ==> x$i = y$i)
% Assm: Vol1.vector_to_pair: !x. vector_to_pair x = x$1,x$2,x$3
% Goal: !x r. INJ vector_to_pair (int_ball x r) (int_interval (x$1 - r) (x$1 + r) CROSS int_interval (x$2 - r) (x$2 + r) CROSS int_interval (x$3 - r) (x$3 + r))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:3) ==> x$i = y$i)
% Assm: dimindex (:3) = 3
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: ~F <=> T
% Assm: T
% Assm: !x r y. y IN int_ball x r ==> vector_to_pair y IN int_interval (x$1 - r) (x$1 + r) CROSS int_interval (x$2 - r) (x$2 + r) CROSS int_interval (x$3 - r) (x$3 + r)
% Assm: !x y. x$1,x$2,x$3 = y$1,y$2,y$3 <=> (!i. 1 <= i /\ i <= 3 ==> x$i = y$i)
% Assm: !x. vector_to_pair x = x$1,x$2,x$3
% Goal: !x r. INJ vector_to_pair (int_ball x r) (int_interval (x$1 - r) (x$1 + r) CROSS int_interval (x$2 - r) (x$2 + r) CROSS int_interval (x$3 - r) (x$3 + r))
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(tprodrealprodrealreal, type, prodrealprodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin0, type, in0 : (prodrealprodrealreal > (prodrealprodrealreal > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(ccu_0, type, c_0 : (real > real > prodrealreal)).
thf(ccu_, type, c_ : (real > prodrealreal > prodrealprodrealreal)).
thf(ccross0, type, cross0 : ((real > $o) > (real > $o) > prodrealreal > $o)).
thf(cintuu_interval, type, intu_interval : (real > real > real > $o)).
thf(ccross, type, cross : ((real > $o) > (prodrealreal > $o) > prodrealprodrealreal > $o)).
thf(cintuu_ball, type, intu_ball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cvectoruu_touu_pair, type, vectoru_tou_pair : (cartrealn3 > prodrealprodrealreal)).
thf(cinj, type, inj : ((cartrealn3 > prodrealprodrealreal) > (cartrealn3 > $o) > (prodrealprodrealreal > $o) > $o)).
thf(cuniv, type, univ : (n3 > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn3,Y:cartrealn3]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDIMINDEXu_3, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aINJ, axiom, ![T:(prodrealprodrealreal > $o),S:(cartrealn3 > $o),F:(cartrealn3 > prodrealprodrealreal)]:((inj @ F @ S @ T) <=> (![X:cartrealn3]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:cartrealn3,Y:cartrealn3]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVol1o_lm2, axiom, ![X:cartrealn3,R:real,Y:cartrealn3]:((in @ Y @ (intu_ball @ X @ R)) => (in0 @ (vectoru_tou_pair @ Y) @ (cross @ (intu_interval @ (realu_sub @ (d_ @ X @ (numeral @ (bit1 @ u_0))) @ R) @ (realu_add @ (d_ @ X @ (numeral @ (bit1 @ u_0))) @ R)) @ (cross0 @ (intu_interval @ (realu_sub @ (d_ @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ R) @ (realu_add @ (d_ @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ R)) @ (intu_interval @ (realu_sub @ (d_ @ X @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ R) @ (realu_add @ (d_ @ X @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ R))))))).
thf(aVol1o_tripu_eq, axiom, ![X:cartrealn3,Y:cartrealn3]:(((c_ @ (d_ @ X @ (numeral @ (bit1 @ u_0))) @ (c_0 @ (d_ @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ X @ (numeral @ (bit1 @ (bit1 @ u_0)))))) = (c_ @ (d_ @ Y @ (numeral @ (bit1 @ u_0))) @ (c_0 @ (d_ @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ Y @ (numeral @ (bit1 @ (bit1 @ u_0))))))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ (bit1 @ u_0))))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aVol1o_vectoru_tou_pair, axiom, ![X:cartrealn3]:((vectoru_tou_pair @ X) = (c_ @ (d_ @ X @ (numeral @ (bit1 @ u_0))) @ (c_0 @ (d_ @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ X @ (numeral @ (bit1 @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![X:cartrealn3,R:real]:(inj @ vectoru_tou_pair @ (intu_ball @ X @ R) @ (cross @ (intu_interval @ (realu_sub @ (d_ @ X @ (numeral @ (bit1 @ u_0))) @ R) @ (realu_add @ (d_ @ X @ (numeral @ (bit1 @ u_0))) @ R)) @ (cross0 @ (intu_interval @ (realu_sub @ (d_ @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ R) @ (realu_add @ (d_ @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ R)) @ (intu_interval @ (realu_sub @ (d_ @ X @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ R) @ (realu_add @ (d_ @ X @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ R)))))).
