%   ORIGINAL: Vol1.disjoint_cube
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_3: !P. (!i. 1 <= i /\ i <= 3 ==> P i) <=> P 1 /\ P 2 /\ P 3
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER_ACI_conjunct3: p INTER p = p
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: Vol1.cube: !x. cube x = {y | !i. 1 <= i /\ i <= 3 ==> x$i < y$i /\ y$i < x$i + &1}
% Assm: Vol1.disjoint_line_interval: !x y. integer x /\ integer y /\ (?z. x < z /\ z < x + &1 /\ y < z /\ z < y + &1) ==> x = y
% Assm: Vol1.nonempty_cube: !x. ~(cube x = {})
% Assm: Vol1.vector_eq2: !x y. (!i. 1 <= i /\ i <= 3 ==> x$i = y$i) ==> x = y
% Goal: !x y. (!i. 1 <= i /\ i <= 3 ==> integer (x$i) /\ integer (y$i)) ==> (~DISJOINT (cube x) (cube y) <=> x = y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. (!i. 1 <= i /\ i <= 3 ==> P i) <=> P 1 /\ P 2 /\ P 3
% Assm: !P x. x IN P <=> P x
% Assm: !p. p INTER p = p
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !x. cube x = {y | !i. 1 <= i /\ i <= 3 ==> x$i < y$i /\ y$i < x$i + &1}
% Assm: !x y. integer x /\ integer y /\ (?z. x < z /\ z < x + &1 /\ y < z /\ z < y + &1) ==> x = y
% Assm: !x. ~(cube x = {})
% Assm: !x y. (!i. 1 <= i /\ i <= 3 ==> x$i = y$i) ==> x = y
% Goal: !x y. (!i. 1 <= i /\ i <= 3 ==> integer (x$i) /\ integer (y$i)) ==> (~DISJOINT (cube x) (cube y) <=> x = y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tq46356, type, q46356 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccube, type, cube : (cartrealn3 > cartrealn3 > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cinter1, type, inter1 : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cinter0, type, inter0 : ((q46356 > $o) > (q46356 > $o) > q46356 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cinteger, type, integer : (real > $o)).
thf(cempty0, type, empty0 : (a > $o)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_3, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ (bit1 @ u_0))))) => (P @ I)) <=> ((P @ (numeral @ (bit1 @ u_0))) & (P @ (numeral @ (bit0 @ (bit1 @ u_0)))) & (P @ (numeral @ (bit1 @ (bit1 @ u_0))))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTERu_ACIu_conjunct3, axiom, ![P:(q46356 > $o)]:((inter0 @ P @ P) = P)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter1 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(aVol1o_cube, axiom, ![X:cartrealn3]:((cube @ X) = (gspec0 @ ^[GENR_PVARR_213:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ GENR_PVARR_213 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ (bit1 @ u_0))))) => ((realu_lt @ (d_ @ X @ I) @ (d_ @ Y @ I)) & (realu_lt @ (d_ @ Y @ I) @ (realu_add @ (d_ @ X @ I) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))) @ Y)))).
thf(aVol1o_disjointu_lineu_interval, axiom, ![X:real,Y:real]:(((integer @ X) & (integer @ Y) & ?[Z:real]:((realu_lt @ X @ Z) & (realu_lt @ Z @ (realu_add @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) & (realu_lt @ Y @ Z) & (realu_lt @ Z @ (realu_add @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))) => (X = Y))).
thf(aVol1o_nonemptyu_cube, axiom, ![X:cartrealn3]:~ (((cube @ X) = empty))).
thf(aVol1o_vectoru_eq2, axiom, ![X:cartrealn3,Y:cartrealn3]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ (bit1 @ u_0))))) => ((d_ @ X @ I) = (d_ @ Y @ I))) => (X = Y))).
thf(conjecture, conjecture, ![X:cartrealn3,Y:cartrealn3]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ (bit1 @ u_0))))) => ((integer @ (d_ @ X @ I)) & (integer @ (d_ @ Y @ I)))) => (~ ((disjoint @ (cube @ X) @ (cube @ Y))) <=> (X = Y)))).
