%   ORIGINAL: Vol1.has_measure_cube
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HAS_MEASURE_MEASURABLE_MEASURE: !s m. s has_measure m <=> measurable s /\ measure s = m
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Vol1.measurable_cube: !x. measurable (cube x)
% Assm: Vol1.measure_cube: !x. vol (cube x) = &1
% Assm: Vol1.set_of_cube: !S. set_of_cube S = {cube x | x IN S}
% Goal: !x r s. s IN set_of_cube (int_ball x r) ==> s has_measure &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s m. s has_measure m <=> measurable s /\ vol s = m
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: T
% Assm: !x. measurable (cube x)
% Assm: !x. vol (cube x) = &1
% Assm: !S. set_of_cube S = {cube x | x IN S}
% Goal: !x r s. s IN set_of_cube (int_ball x r) ==> s has_measure &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ccube, type, cube : (cartrealn3 > cartrealn3 > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn3 > $o) > real > $o)).
thf(csetuu_ofuu_cube, type, setu_ofu_cube : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cintuu_ball, type, intu_ball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHASu_MEASUREu_MEASURABLEu_MEASURE, axiom, ![S:(cartrealn3 > $o),M:real]:((hasu_measure @ S @ M) <=> ((measurable @ S) & ((measure @ S) = M)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealn3 > $o) > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn3 > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn3 > $o)]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVol1o_measurableu_cube, axiom, ![X:cartrealn3]:(measurable @ (cube @ X))).
thf(aVol1o_measureu_cube, axiom, ![X:cartrealn3]:((measure @ (cube @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aVol1o_setu_ofu_cube, axiom, ![S:(cartrealn3 > $o)]:((setu_ofu_cube @ S) = (gspec @ ^[GENR_PVARR_215:(cartrealn3 > $o)]:?[X:cartrealn3]:(setspec @ GENR_PVARR_215 @ (in0 @ X @ S) @ (cube @ X))))).
thf(conjecture, conjecture, ![X:cartrealn3,R:real,S:(cartrealn3 > $o)]:((in @ S @ (setu_ofu_cube @ (intu_ball @ X @ R))) => (hasu_measure @ S @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
