%   ORIGINAL: Vol1.measure_hinhcau
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VOLUME_BALL: !z r. &0 <= r ==> vol (ball (z,r)) = &4 / &3 * pi * r pow 3
% Assm: Vol1.hinhcau_ball: !x r. hinhcau x r = ball (x,r)
% Goal: !x r. &0 <= r ==> vol (hinhcau x r) = &4 / &3 * pi * r pow 3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !z r. &0 <= r ==> vol (ball (z,r)) = &4 / &3 * pi * r pow 3
% Assm: !x r. hinhcau x r = ball (x,r)
% Goal: !x r. &0 <= r ==> vol (hinhcau x r) = &4 / &3 * pi * r pow 3
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(chinhcau, type, hinhcau : (cartrealn3 > real > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVOLUMEu_BALL, axiom, ![Z:cartrealn3,R:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) => ((measure @ (ball @ (c_ @ Z @ R))) = (realu_mul @ (realu_div @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ pi @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0))))))))).
thf(aVol1o_hinhcauu_ball, axiom, ![X:cartrealn3,R:real]:((hinhcau @ X @ R) = (ball @ (c_ @ X @ R)))).
thf(conjecture, conjecture, ![X:cartrealn3,R:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) => ((measure @ (hinhcau @ X @ R)) = (realu_mul @ (realu_div @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ pi @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0))))))))).
