%   ORIGINAL: Vol1.ccube_eq_interval
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: Vol1.ccube: !x. ccube x = {y | !i. 1 <= i /\ i <= 3 ==> x$i <= y$i /\ y$i <= x$i + &1}
% Assm: interval_conjunct1: interval [a,b] = {x | !i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i}
% Goal: !x. ccube x = interval [x,x + (lambda i. &1)]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: dimindex (:3) = 3
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !g i. 1 <= i /\ i <= dimindex (:3) ==> (lambda) g$i = g i
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !x. ccube x = {y | !i. 1 <= i /\ i <= 3 ==> x$i <= y$i /\ y$i <= x$i + &1}
% Assm: !a b. interval [a,b] = {x | !i. 1 <= i /\ i <= dimindex (:3) ==> a$i <= x$i /\ x$i <= b$i}
% Goal: !x. ccube x = interval [x,x + (lambda i. &1)]
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tlistprodcartrealn3cartrealn3, type, listprodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn3cartrealn3).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn3)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn3cartrealn3 > cartrealn3 > $o)).
thf(cccube, type, ccube : (cartrealn3 > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccons, type, cons : (prodcartrealn3cartrealn3 > listprodcartrealn3cartrealn3 > listprodcartrealn3cartrealn3)).
thf(cuniv, type, univ : (n3 > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMINDEXu_3, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealn3,Y:cartrealn3,I:num]:((d_ @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aVol1o_ccube, axiom, ![X:cartrealn3]:((ccube @ X) = (gspec0 @ ^[GENR_PVARR_223:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ GENR_PVARR_223 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ (bit1 @ u_0))))) => ((realu_le @ (d_ @ X @ I) @ (d_ @ Y @ I)) & (realu_le @ (d_ @ Y @ I) @ (realu_add @ (d_ @ X @ I) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))) @ Y)))).
thf(aintervalu_conjunct1, axiom, ![A:cartrealn3,B:cartrealn3]:((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = (gspec0 @ ^[GENR_PVARR_641:cartrealn3]:?[X:cartrealn3]:(setspec0 @ GENR_PVARR_641 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I)))) @ X)))).
thf(conjecture, conjecture, ![X:cartrealn3]:((ccube @ X) = (closedu_interval @ (cons @ (c_ @ X @ (vectoru_add @ X @ (lambda0 @ ^[I:num]:(realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) @ nil)))).
