%   ORIGINAL: Vol1.lower_bound_measure_unions_ccube
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEASURE_SUBSET: !s t. measurable s /\ measurable t /\ s SUBSET t ==> measure s <= measure t
% Assm: TRUTH: T
% Assm: Vol1.ball_subset_union_ccube: !x r. ball (x,r - sqrt (&3)) SUBSET UNIONS (set_of_ccube (int_ball x r))
% Assm: Vol1.measurable_unions_ccube: !x r. measurable (UNIONS (set_of_ccube (int_ball x r)))
% Assm: Vol1.volume_ball_gon: !x r. sqrt (&3) <= r ==> measurable (ball (x,r - sqrt (&3))) /\ vol (ball (x,r - sqrt (&3))) = &4 / &3 * pi * (r - sqrt (&3)) pow 3
% Goal: !x r. sqrt (&3) <= r ==> &4 / &3 * pi * (r - sqrt (&3)) pow 3 <= vol (UNIONS (set_of_ccube (int_ball x r)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. measurable s /\ measurable t /\ s SUBSET t ==> vol s <= vol t
% Assm: T
% Assm: !x r. ball (x,r - sqrt (&3)) SUBSET UNIONS (set_of_ccube (int_ball x r))
% Assm: !x r. measurable (UNIONS (set_of_ccube (int_ball x r)))
% Assm: !x r. sqrt (&3) <= r ==> measurable (ball (x,r - sqrt (&3))) /\ vol (ball (x,r - sqrt (&3))) = &4 / &3 * pi * (r - sqrt (&3)) pow 3
% Goal: !x r. sqrt (&3) <= r ==> &4 / &3 * pi * (r - sqrt (&3)) pow 3 <= vol (UNIONS (set_of_ccube (int_ball x r)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csetuu_ofuu_ccube, type, setu_ofu_ccube : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(cintuu_ball, type, intu_ball : (cartrealn3 > real > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEASUREu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((measurable @ S) & (measurable @ T) & (subset @ S @ T)) => (realu_le @ (measure @ S) @ (measure @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVol1o_ballu_subsetu_unionu_ccube, axiom, ![X:cartrealn3,R:real]:(subset @ (ball @ (c_ @ X @ (realu_sub @ R @ (sqrt @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0)))))))) @ (unions @ (setu_ofu_ccube @ (intu_ball @ X @ R))))).
thf(aVol1o_measurableu_unionsu_ccube, axiom, ![X:cartrealn3,R:real]:(measurable @ (unions @ (setu_ofu_ccube @ (intu_ball @ X @ R))))).
thf(aVol1o_volumeu_ballu_gon, axiom, ![X:cartrealn3,R:real]:((realu_le @ (sqrt @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ R) => ((measurable @ (ball @ (c_ @ X @ (realu_sub @ R @ (sqrt @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))))))) & ((measure @ (ball @ (c_ @ X @ (realu_sub @ R @ (sqrt @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))))))) = (realu_mul @ (realu_div @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ pi @ (realu_pow @ (realu_sub @ R @ (sqrt @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0)))))) @ (numeral @ (bit1 @ (bit1 @ u_0)))))))))).
thf(conjecture, conjecture, ![X:cartrealn3,R:real]:((realu_le @ (sqrt @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ R) => (realu_le @ (realu_mul @ (realu_div @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ pi @ (realu_pow @ (realu_sub @ R @ (sqrt @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0)))))) @ (numeral @ (bit1 @ (bit1 @ u_0)))))) @ (measure @ (unions @ (setu_ofu_ccube @ (intu_ball @ X @ R))))))).
