%   ORIGINAL: Hypermap.iterate_orbit
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Fan.POWER_conjunct1: !f n. f POWER SUC n = (f POWER n) o f
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_IN_IMAGE: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !s u. u permutes s ==> (!n x. x IN s ==> (u POWER n) x IN s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. f POWER 0 = I
% Assm: !f n. f POWER SUC n = (f POWER n) o f
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !s u. u permutes s ==> (!n x. x IN s ==> (u POWER n) x IN s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aFano_POWERu_conjunct1, axiom, ![F:(a > a),N:num]:((power @ F @ (suc @ N)) = (o @ (power @ F @ N) @ F))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INu_IMAGE, axiom, ![P:(a > a),S:(a > $o),X:a]:((permutes @ P @ S) => ((in @ (P @ X) @ S) <=> (in @ X @ S)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(a > $o),U:(a > a)]:((permutes @ U @ S) => ![N:num,X:a]:((in @ X @ S) => (in @ (power @ U @ N @ X) @ S)))).
