%   ORIGINAL: Hypermap.multiplication_exponents
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Fan.POWER_conjunct1: !f n. f POWER SUC n = (f POWER n) o f
% Assm: Hypermap.addition_exponents: !m n f. f POWER (m + n) = (f POWER m) o (f POWER n)
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n f. f POWER (m * n) = (f POWER n) POWER m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !f n. f POWER SUC n = (f POWER n) o f
% Assm: !m n f. f POWER (m + n) = (f POWER m) o (f POWER n)
% Assm: !n. 0 * n = 0
% Assm: !m n. SUC m * n = m * n + n
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n f. f POWER (m * n) = (f POWER n) POWER m
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aFano_POWERu_conjunct1, axiom, ![F:(a > a),N:num]:((power @ F @ (suc @ N)) = (o @ (power @ F @ N) @ F))).
thf(aHypermapo_additionu_exponents, axiom, ![M:num,N:num,F:(a > a)]:((power @ F @ (p_ @ M @ N)) = (o @ (power @ F @ M) @ (power @ F @ N)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![M:num,N:num,F:(a > a)]:((power @ F @ (t_ @ M @ N)) = (power @ (power @ F @ N) @ M))).
