%   ORIGINAL: Hypermap.orbit_one_point
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: GT: !n m. m > n <=> n < m
% Assm: Hypermap.in_orbit_lemma: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: Hypermap.orbit_map: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: Hypermap.power_map_fix_point: !n f x. (f POWER n) x = x ==> (!m. (f POWER (m * n)) x = x)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: I_THM: !x. I x = x
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: TRUTH: T
% Goal: !f x. f x = x <=> orbit_map f x = {x}
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: _0 <= _0 <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f. f POWER 1 = f
% Assm: !f. f POWER 0 = I
% Assm: !n m. m >= n <=> n <= m
% Assm: !n m. m > n <=> n < m
% Assm: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: !n f x. (f POWER n) x = x ==> (!m. (f POWER (m * n)) x = x)
% Assm: !n f x. ((f POWER n) x <=> x) ==> (!m. (f POWER (m * n)) x <=> x)
% Assm: !n f x. (f POWER n) x = x ==> (!m. (f POWER (m * n)) x = x)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ (x <=> t))
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: !m. m * 1 = m
% Assm: !n. NUMERAL n = n
% Assm: T
% Goal: !f x. f x = x <=> orbit_map f x = {x}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ci0, type, i0 : ((a > $o) > a > $o)).
thf(cgspec1, type, gspec1 : (($o > $o) > $o > $o)).
thf(cin1, type, in1 : ($o > ($o > $o) > $o)).
thf(cgspec0, type, gspec0 : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgu_, type, g_ : (num > num > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetspec1, type, setspec1 : ($o > $o > $o > $o)).
thf(csetspec0, type, setspec0 : ((a > $o) > $o > (a > $o) > $o)).
thf(cpower1, type, power1 : (($o > $o) > num > $o > $o)).
thf(cpower0, type, power0 : (((a > $o) > a > $o) > num > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(ci1, type, i1 : ($o > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aGT, axiom, ![N:num,M:num]:((g_ @ M @ N) <=> (l_ @ N @ M))).
thf(aHypermapo_inu_orbitu_lemma, axiom, ![F:(a > a),N:num,X:a,Y:a]:((Y = (power @ F @ N @ X)) => (in @ Y @ (orbitu_map @ F @ X)))).
thf(aHypermapo_orbitu_map, axiom, ![F:(a > a),X:a]:((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_229:a]:?[N:num]:(setspec @ GENR_PVARR_229 @ (g_a_ @ N @ (numeral @ u_0)) @ (power @ F @ N @ X))))).
thf(aHypermapo_poweru_mapu_fixu_pointu_monomorphized2, axiom, ![N:num,F:((a > $o) > a > $o),X:(a > $o)]:(((power0 @ F @ N @ X) = X) => ![M:num]:((power0 @ F @ (t_ @ M @ N) @ X) = X))).
thf(aHypermapo_poweru_mapu_fixu_pointu_monomorphized1, axiom, ![N:num,F:($o > $o),X:$o]:(((power1 @ F @ N @ X) <=> X) => ![M:num]:((power1 @ F @ (t_ @ M @ N) @ X) <=> X))).
thf(aHypermapo_poweru_mapu_fixu_pointu_monomorphized0, axiom, ![N:num,F:(a > a),X:a]:(((power @ F @ N @ X) = X) => ![M:num]:((power @ F @ (t_ @ M @ N) @ X) = X))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized2, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in0 @ X @ (gspec0 @ ^[V:(a > $o)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > $o > $o) > $o),X:$o]:((in1 @ X @ (gspec1 @ ^[V:$o]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:$o]:(P0 & (X <=> T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aIu_THMu_monomorphized2, axiom, ![X:(a > $o)]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i @ X) = X)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > a),X:a]:(((F @ X) = X) <=> ((orbitu_map @ F @ X) = (insert @ X @ empty)))).
