%   ORIGINAL: Hypermap.lemma_orbit_finite
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FINITE_RULES_conjunct1: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: Hypermap.orbit_one_point: !f x. f x = x <=> orbit_map f x = {x}
% Assm: Hypermap.orbit_subset: !s u. u permutes s ==> (!x. x IN s ==> orbit_map u x SUBSET s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: FINITE {}
% Assm: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !f x. f x = x <=> orbit_map f x = {x}
% Assm: !s u. u permutes s ==> (!x. x IN s ==> orbit_map u x SUBSET s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aFINITEu_RULESu_conjunct1, axiom, ![X:a,S:(a > $o)]:((finite @ S) => (finite @ (insert @ X @ S)))).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aHypermapo_orbitu_oneu_point, axiom, ![F:(a > a),X:a]:(((F @ X) = X) <=> ((orbitu_map @ F @ X) = (insert @ X @ empty)))).
thf(aHypermapo_orbitu_subset, axiom, ![S:(a > $o),U:(a > a)]:((permutes @ U @ S) => ![X:a]:((in @ X @ S) => (subset @ (orbitu_map @ U @ X) @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(apermutes, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) <=> (![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => (finite @ (orbitu_map @ P @ X)))).
