%   ORIGINAL: Hypermap.orbit_cyclic
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: DIVMOD_EXIST: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: Hypermap.addition_exponents: !m n f. f POWER (m + n) = (f POWER m) o (f POWER n)
% Assm: Hypermap.orbit_map: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: Hypermap.power_map_fix_point: !n f x. (f POWER n) x = x ==> (!m. (f POWER (m * n)) x = x)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: LE_0: !n. 0 <= n
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !n m. m >= n <=> n <= m
% Assm: !m n f. f POWER (m + n) = (f POWER m) o (f POWER n)
% Assm: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: !n f x. (f POWER n) x = x ==> (!m. (f POWER (m * n)) x = x)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !n. 0 <= n
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(co0, type, o0 : ((b > $o) > (a > b) > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aDIVMODu_EXIST, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ?[Q:num,R:num]:((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aHypermapo_additionu_exponents, axiom, ![M:num,N:num,F:(a > a)]:((power @ F @ (p_ @ M @ N)) = (o @ (power @ F @ M) @ (power @ F @ N)))).
thf(aHypermapo_orbitu_map, axiom, ![F:(a > a),X:a]:((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_229:a]:?[N:num]:(setspec @ GENR_PVARR_229 @ (g_a_ @ N @ (numeral @ u_0)) @ (power @ F @ N @ X))))).
thf(aHypermapo_poweru_mapu_fixu_point, axiom, ![N:num,F:(a > a),X:a]:(((power @ F @ N @ X) = X) => ![M:num]:((power @ F @ (t_ @ M @ N) @ X) = X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > $o),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(a > a),M:num,X:a]:((~ ((M = (numeral @ u_0))) & ((power @ F @ M @ X) = X)) => ((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_236:a]:?[K:num]:(setspec @ GENR_PVARR_236 @ (l_ @ K @ M) @ (power @ F @ K @ X)))))).
