%   ORIGINAL: Hypermap.power_permutation
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Fan.POWER_conjunct1: !f n. f POWER SUC n = (f POWER n) o f
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_COMPOSE: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
% Assm: PERMUTES_I: !s. I permutes s
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !s p. p permutes s ==> (!n. p POWER n permutes s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. f POWER 0 = I
% Assm: !f n. f POWER SUC n = (f POWER n) o f
% Assm: ~F <=> T
% Assm: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
% Assm: !s. I permutes s
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !s p. p permutes s ==> (!n. p POWER n permutes s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aFano_POWERu_conjunct1, axiom, ![F:(a > a),N:num]:((power @ F @ (suc @ N)) = (o @ (power @ F @ N) @ F))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_COMPOSE, axiom, ![P:(a > a),Q:(a > a),S:(a > $o)]:(((permutes @ P @ S) & (permutes @ Q @ S)) => (permutes @ (o @ Q @ P) @ S))).
thf(aPERMUTESu_I, axiom, ![S:(a > $o)]:(permutes @ i @ S)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![N:num]:(permutes @ (power @ P @ N) @ S))).
