%   ORIGINAL: Hypermap.inverse_function
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: I_THM: !x. I x = x
% Assm: PERMUTES_INVERSES_o: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !s p x y. p permutes s /\ p x = y ==> x = inverse p y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. I x = x
% Assm: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !s p x y. p permutes s /\ p x = y ==> x = inverse p y
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co0, type, o0 : ((b > a) > (a > b) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aPERMUTESu_INVERSESu_o, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (((o @ P @ (inverse @ P)) = i) & ((o @ (inverse @ P) @ P) = i)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > a),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((permutes @ P @ S) & ((P @ X) = Y)) => (X = (inverse @ P @ Y)))).
