%   ORIGINAL: Hypermap.lemma_power_inverse_map
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Fan.POWER_conjunct1: !f n. f POWER SUC n = (f POWER n) o f
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: Hypermap.LEFT_INVERSE_EQUATION: !s u v w. u permutes s /\ u o v = w ==> v = inverse u o w
% Assm: Hypermap.lemma_4functions: !f g h r. f o g o h o r = f o (g o h) o r
% Assm: Hypermap.power_permutation: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: PERMUTES_INVERSES_o: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Goal: !s p n. p permutes s ==> (inverse p POWER n) o (p POWER n) = I /\ (p POWER n) o (inverse p POWER n) = I
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !f n. f POWER SUC n = (f POWER n) o f
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !s u v w. u permutes s /\ u o v = w ==> v = inverse u o w
% Assm: !f g h r. f o g o h o r = f o (g o h) o r
% Assm: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: !f. I o f = f /\ f o I = f
% Assm: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g h. f o g o h = (f o g) o h
% Goal: !s p n. p permutes s ==> (inverse p POWER n) o (p POWER n) = I /\ (p POWER n) o (inverse p POWER n) = I
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aFano_POWERu_conjunct1, axiom, ![F:(a > a),N:num]:((power @ F @ (suc @ N)) = (o @ (power @ F @ N) @ F))).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aHypermapo_LEFTu_INVERSEu_EQUATION, axiom, ![S:(a > $o),U:(a > a),V:(a > a),W:(a > a)]:(((permutes @ U @ S) & ((o @ U @ V) = W)) => (V = (o @ (inverse @ U) @ W)))).
thf(aHypermapo_lemmau_4functions, axiom, ![F:(a > a),G:(a > a),H:(a > a),R:(a > a)]:((o @ F @ (o @ G @ (o @ H @ R))) = (o @ F @ (o @ (o @ G @ H) @ R)))).
thf(aHypermapo_poweru_permutation, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![N:num]:(permutes @ (power @ P @ N) @ S))).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aPERMUTESu_INVERSESu_o, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (((o @ P @ (inverse @ P)) = i) & ((o @ (inverse @ P) @ P) = i)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_ASSOC, axiom, ![F:(a > a),G:(a > a),H:(a > a)]:((o @ F @ (o @ G @ H)) = (o @ (o @ F @ G) @ H))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),N:num]:((permutes @ P @ S) => (((o @ (power @ (inverse @ P) @ N) @ (power @ P @ N)) = i) & ((o @ (power @ P @ N) @ (power @ (inverse @ P) @ N)) = i)))).
