%   ORIGINAL: Hypermap.lemma_power_inverse
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.RIGHT_INVERSE_EQUATION: !s u v w. v permutes s /\ u o v = w ==> u = w o inverse v
% Assm: Hypermap.lemma_power_inverse_map: !s p n. p permutes s ==> (inverse p POWER n) o (p POWER n) = I /\ (p POWER n) o (inverse p POWER n) = I
% Assm: Hypermap.power_permutation: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: PERMUTES_INVERSE_INVERSE: !p. p permutes s ==> inverse (inverse p) = p
% Assm: TRUTH: T
% Goal: !s p n. p permutes s ==> inverse p POWER n = inverse (p POWER n) /\ inverse (inverse p POWER n) = p POWER n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s u v w. v permutes s /\ u o v = w ==> u = w o inverse v
% Assm: !s p n. p permutes s ==> (inverse p POWER n) o (p POWER n) = I /\ (p POWER n) o (inverse p POWER n) = I
% Assm: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: !f. I o f = f /\ f o I = f
% Assm: !s p. p permutes s ==> inverse (inverse p) = p
% Assm: T
% Goal: !s p n. p permutes s ==> inverse p POWER n = inverse (p POWER n) /\ inverse (inverse p POWER n) = p POWER n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_RIGHTu_INVERSEu_EQUATION, axiom, ![S:(a > $o),U:(a > a),V:(a > a),W:(a > a)]:(((permutes @ V @ S) & ((o @ U @ V) = W)) => (U = (o @ W @ (inverse @ V))))).
thf(aHypermapo_lemmau_poweru_inverseu_map, axiom, ![S:(a > $o),P:(a > a),N:num]:((permutes @ P @ S) => (((o @ (power @ (inverse @ P) @ N) @ (power @ P @ N)) = i) & ((o @ (power @ P @ N) @ (power @ (inverse @ P) @ N)) = i)))).
thf(aHypermapo_poweru_permutation, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![N:num]:(permutes @ (power @ P @ N) @ S))).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aPERMUTESu_INVERSEu_INVERSE, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ((inverse @ (inverse @ P)) = P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),N:num]:((permutes @ P @ S) => (((power @ (inverse @ P) @ N) = (inverse @ (power @ P @ N))) & ((inverse @ (power @ (inverse @ P) @ N)) = (power @ P @ N))))).
