%   ORIGINAL: Hypermap.inverse_power_function
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.lemma_power_inverse: !s p n. p permutes s ==> inverse p POWER n = inverse (p POWER n) /\ inverse (inverse p POWER n) = p POWER n
% Assm: Hypermap.power_permutation: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSE_EQ: !p s. p permutes s ==> (!x y. inverse p y = x <=> p x = y)
% Assm: TRUTH: T
% Goal: !s p n x y. p permutes s ==> (y = (p POWER n) x <=> x = (inverse p POWER n) y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s p n. p permutes s ==> inverse p POWER n = inverse (p POWER n) /\ inverse (inverse p POWER n) = p POWER n
% Assm: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> (!x y. inverse p y = x <=> p x = y)
% Assm: T
% Goal: !s p n x y. p permutes s ==> (y = (p POWER n) x <=> x = (inverse p POWER n) y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_lemmau_poweru_inverse, axiom, ![S:(a > $o),P:(a > a),N:num]:((permutes @ P @ S) => (((power @ (inverse @ P) @ N) = (inverse @ (power @ P @ N))) & ((inverse @ (power @ (inverse @ P) @ N)) = (power @ P @ N))))).
thf(aHypermapo_poweru_permutation, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![N:num]:(permutes @ (power @ P @ N) @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSEu_EQ, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => ![X:a,Y:a]:(((inverse @ P @ Y) = X) <=> ((P @ X) = Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),N:num,X:a,Y:a]:((permutes @ P @ S) => ((Y = (power @ P @ N @ X)) <=> (X = (power @ (inverse @ P) @ N @ Y))))).
