%   ORIGINAL: Hypermap.lemma_dart_invariant_power_face
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.iterate_orbit: !s u. u permutes s ==> (!n x. x IN s ==> (u POWER n) x IN s)
% Assm: TRUTH: T
% Goal: !H x n. x IN dart H ==> (face_map H POWER n) x IN dart H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !s u. u permutes s ==> (!n x. x IN s ==> (u POWER n) x IN s)
% Assm: T
% Goal: !H x n. x IN dart H ==> (face_map H POWER n) x IN dart H
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_iterateu_orbit, axiom, ![S:(a > $o),U:(a > a)]:((permutes @ U @ S) => ![N:num,X:a]:((in @ X @ S) => (in @ (power @ U @ N @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,N:num]:((in @ X @ (dart @ H)) => (in @ (power @ (faceu_map @ H) @ N @ X) @ (dart @ H)))).
