%   ORIGINAL: Hypermap.lemma_dart_inveriant_under_inverse_maps
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.edge_map_and_darts: !H. FINITE (dart H) /\ edge_map H permutes dart H
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.node_map_and_darts: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: PERMUTES_IN_IMAGE: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: TRUTH: T
% Goal: !H x. x IN dart H ==> inverse (edge_map H) x IN dart H /\ inverse (node_map H) x IN dart H /\ inverse (face_map H) x IN dart H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: T
% Goal: !H x. x IN dart H ==> inverse (edge_map H) x IN dart H /\ inverse (node_map H) x IN dart H /\ inverse (face_map H) x IN dart H
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_edgeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)))).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_nodeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)))).
thf(aPERMUTESu_INVERSE, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (permutes @ (inverse @ P) @ S))).
thf(aPERMUTESu_INu_IMAGE, axiom, ![P:(a > a),S:(a > $o),X:a]:((permutes @ P @ S) => ((in @ (P @ X) @ S) <=> (in @ X @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((in @ (inverse @ (edgeu_map @ H) @ X) @ (dart @ H)) & (in @ (inverse @ (nodeu_map @ H) @ X) @ (dart @ H)) & (in @ (inverse @ (faceu_map @ H) @ X) @ (dart @ H))))).
