%   ORIGINAL: Hypermap.IMAGE_SEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Goal: !n f. IMAGE f {i | i < n} = {f i | i < n}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Goal: !n f. IMAGE f {i | i < n} = {f i | i < n}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
thf(cimage, type, image : ((num > a) > (num > $o) > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGE, axiom, ![S:(num > $o),F:(num > a)]:((image @ F @ S) = (gspec0 @ ^[GENR_PVARR_7:a]:?[Y:a]:(setspec0 @ GENR_PVARR_7 @ ?[X:num]:((in0 @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > num > $o) > $o),X:num]:((in0 @ X @ (gspec @ ^[V:num]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:num]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:(num > $o),X:num]:((in0 @ X @ (gspec @ ^[V:num]:?[Y:num]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:?[Y:a]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,F:(num > a)]:((image @ F @ (gspec @ ^[GENR_PVARR_237:num]:?[I:num]:(setspec @ GENR_PVARR_237 @ (l_ @ I @ N) @ I))) = (gspec0 @ ^[GENR_PVARR_238:a]:?[I:num]:(setspec0 @ GENR_PVARR_238 @ (l_ @ I @ N) @ (F @ I))))).
