%   ORIGINAL: Hypermap.CARD_FINITE_SERIES_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_IMAGE_INJ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: CARD_NUMSEG_LT: !n. CARD {m | m < n} = n
% Assm: FINITE_NUMSEG_LT: !n. FINITE {m | m < n}
% Assm: Hypermap.IMAGE_SEG: !n f. IMAGE f {i | i < n} = {f i | i < n}
% Assm: Hypermap.LEMMA_INJ: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> (!i j. i < n /\ j < n /\ f i = f j ==> i = j)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Goal: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> CARD {f i | i < n} = n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !n. CARD {m | m < n} = n
% Assm: !n. FINITE {m | m < n}
% Assm: !n f. IMAGE f {i | i < n} = {f i | i < n}
% Assm: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> (!i j. i < n /\ j < n /\ f i = f j ==> i = j)
% Assm: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> (!i j. i < n /\ j < n /\ f i = f j ==> i = j)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Goal: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> CARD {f i | i < n} = n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cimage0, type, image0 : ((num > a) > (num > $o) > a > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(cimage, type, image : ((a > a) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((num > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_IMAGEu_INJ, axiom, ![F:(a > a),S:(a > $o)]:((![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ S)) => ((card @ (image @ F @ S)) = (card @ S)))).
thf(aCARDu_NUMSEGu_LT, axiom, ![N:num]:((card0 @ (gspec0 @ ^[GENR_PVARR_107:num]:?[M:num]:(setspec0 @ GENR_PVARR_107 @ (l_ @ M @ N) @ M))) = N)).
thf(aFINITEu_NUMSEGu_LT, axiom, ![N:num]:(finite0 @ (gspec0 @ ^[GENR_PVARR_108:num]:?[M:num]:(setspec0 @ GENR_PVARR_108 @ (l_ @ M @ N) @ M)))).
thf(aHypermapo_IMAGEu_SEG, axiom, ![N:num,F:(num > a)]:((image0 @ F @ (gspec0 @ ^[GENR_PVARR_237:num]:?[I:num]:(setspec0 @ GENR_PVARR_237 @ (l_ @ I @ N) @ I))) = (gspec @ ^[GENR_PVARR_238:a]:?[I:num]:(setspec @ GENR_PVARR_238 @ (l_ @ I @ N) @ (F @ I))))).
thf(aHypermapo_LEMMAu_INJu_monomorphized1, axiom, ![N:num,F:(num > num)]:(![I:num,J:num]:(((l_ @ I @ N) & (l_ @ J @ I)) => ~ (((F @ I) = (F @ J)))) => ![I:num,J:num]:(((l_ @ I @ N) & (l_ @ J @ N) & ((F @ I) = (F @ J))) => (I = J)))).
thf(aHypermapo_LEMMAu_INJu_monomorphized0, axiom, ![N:num,F:(num > a)]:(![I:num,J:num]:(((l_ @ I @ N) & (l_ @ J @ I)) => ~ (((F @ I) = (F @ J)))) => ![I:num,J:num]:(((l_ @ I @ N) & (l_ @ J @ N) & ((F @ I) = (F @ J))) => (I = J)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,F:(num > a)]:(![I:num,J:num]:(((l_ @ I @ N) & (l_ @ J @ I)) => ~ (((F @ I) = (F @ J)))) => ((card @ (gspec @ ^[GENR_PVARR_241:a]:?[I:num]:(setspec @ GENR_PVARR_241 @ (l_ @ I @ N) @ (F @ I)))) = N))).
