%   ORIGINAL: Hypermap.lemma_finite_list
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.FINITE_SERIES: !n f. FINITE {f i | i < n}
% Assm: Hypermap.support_list: !n p. support_list p n = {p i | i <= n}
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: TRUTH: T
% Goal: !p n. FINITE (support_list p n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n f. FINITE {f i | i < n}
% Assm: !n p. support_list p n = {p i | i <= n}
% Assm: !m n. m < SUC n <=> m <= n
% Assm: T
% Goal: !p n. FINITE (support_list p n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(csupportuu_list, type, supportu_list : ((num > a) > num > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_FINITEu_SERIES, axiom, ![N:num,F:(num > a)]:(finite @ (gspec @ ^[GENR_PVARR_239:a]:?[I:num]:(setspec @ GENR_PVARR_239 @ (l_ @ I @ N) @ (F @ I))))).
thf(aHypermapo_supportu_list, axiom, ![N:num,P:(num > a)]:((supportu_list @ P @ N) = (gspec @ ^[GENR_PVARR_244:a]:?[I:num]:(setspec @ GENR_PVARR_244 @ (l_a_ @ I @ N) @ (P @ I))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),N:num]:(finite @ (supportu_list @ P @ N))).
