%   ORIGINAL: Hypermap.lemma_size_list
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.CARD_FINITE_SERIES_EQ: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> CARD {f i | i < n} = n
% Assm: Hypermap.lemma_inj_list: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: Hypermap.support_list: !n p. support_list p n = {p i | i <= n}
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: TRUTH: T
% Goal: !p n. is_inj_list p n ==> CARD (support_list p n) = SUC n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> CARD {f i | i < n} = n
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: !n p. support_list p n = {p i | i <= n}
% Assm: !m n. m < SUC n <=> m <= n
% Assm: T
% Goal: !p n. is_inj_list p n ==> CARD (support_list p n) = SUC n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
thf(csupportuu_list, type, supportu_list : ((num > a) > num > a > $o)).
thf(ccard0, type, card0 : ((num > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_CARDu_FINITEu_SERIESu_EQ, axiom, ![N:num,F:(num > num)]:(![I:num,J:num]:(((l_ @ I @ N) & (l_ @ J @ I)) => ~ (((F @ I) = (F @ J)))) => ((card0 @ (gspec @ ^[GENR_PVARR_241:num]:?[I:num]:(setspec @ GENR_PVARR_241 @ (l_ @ I @ N) @ (F @ I)))) = N))).
thf(aHypermapo_lemmau_inju_list, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((P @ J) = (P @ I)))))).
thf(aHypermapo_supportu_list, axiom, ![N:num,P:(num > a)]:((supportu_list @ P @ N) = (gspec0 @ ^[GENR_PVARR_244:a]:?[I:num]:(setspec0 @ GENR_PVARR_244 @ (l_a_ @ I @ N) @ (P @ I))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => ((card @ (supportu_list @ P @ N)) = (suc @ N)))).
