%   ORIGINAL: Hypermap.lemma_in_list
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.in_list: !x p n. in_list p n x <=> x IN support_list p n
% Assm: Hypermap.support_list: !n p. support_list p n = {p i | i <= n}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: TRUTH: T
% Goal: !p n x. in_list p n x <=> (?j. j <= n /\ x = p j)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x p n. in_list p n x <=> x IN support_list p n
% Assm: !n p. support_list p n = {p i | i <= n}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ (x <=> t))
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: T
% Goal: !p n x. in_list p n x <=> (?j. j <= n /\ x = p j)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (($o > $o) > $o > $o)).
thf(cin0, type, in0 : ($o > ($o > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetspec0, type, setspec0 : ($o > $o > $o > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(csupportuu_list, type, supportu_list : ((num > a) > num > a > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_inu_list, axiom, ![X:a,P:(num > a),N:num]:((inu_list @ P @ N @ X) <=> (in @ X @ (supportu_list @ P @ N)))).
thf(aHypermapo_supportu_list, axiom, ![N:num,P:(num > a)]:((supportu_list @ P @ N) = (gspec @ ^[GENR_PVARR_244:a]:?[I:num]:(setspec @ GENR_PVARR_244 @ (l_a_ @ I @ N) @ (P @ I))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > $o > $o) > $o),X:$o]:((in0 @ X @ (gspec0 @ ^[V:$o]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:$o]:(P0 & (X <=> T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),N:num,X:a]:((inu_list @ P @ N @ X) <=> ?[J:num]:((l_a_ @ J @ N) & (X = (P @ J))))).
