%   ORIGINAL: Hypermap.lemma_list_disjoint2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.in_list: !x p n. in_list p n x <=> x IN support_list p n
% Assm: Hypermap.is_disjoint: !p q n m. is_disjoint p q n m <=> DISJOINT (support_list p n) (support_list q m)
% Assm: Hypermap.lemma_element_in_list: !p n i. i <= n ==> in_list p n (p i)
% Assm: Hypermap.lemma_in_list: !p n x. in_list p n x <=> (?j. j <= n /\ x = p j)
% Assm: Hypermap.lemma_set_disjoint: !s t. ~DISJOINT s t <=> (?x. x IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !p q n m. is_disjoint p q n m <=> (!i. i <= m ==> ~in_list p n (q i))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x p n. in_list p n x <=> x IN support_list p n
% Assm: !p q n m. is_disjoint p q n m <=> DISJOINT (support_list p n) (support_list q m)
% Assm: !p n i. i <= n ==> in_list p n (p i)
% Assm: !p n x. in_list p n x <=> (?j. j <= n /\ x = p j)
% Assm: !s t. ~DISJOINT s t <=> (?x. x IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: T
% Goal: !p q n m. is_disjoint p q n m <=> (!i. i <= m ==> ~in_list p n (q i))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cdisjoint, type, disjoint : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csupportuu_list, type, supportu_list : ((num > a) > num > a > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(cisuu_disjoint, type, isu_disjoint : ((num > a) > (num > a) > num > num > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_inu_list, axiom, ![X:a,P:(num > a),N:num]:((inu_list @ P @ N @ X) <=> (in @ X @ (supportu_list @ P @ N)))).
thf(aHypermapo_isu_disjoint, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_disjoint @ P @ Q @ N @ M) <=> (disjoint @ (supportu_list @ P @ N) @ (supportu_list @ Q @ M)))).
thf(aHypermapo_lemmau_elementu_inu_list, axiom, ![P:(num > a),N:num,I:num]:((l_a_ @ I @ N) => (inu_list @ P @ N @ (P @ I)))).
thf(aHypermapo_lemmau_inu_list, axiom, ![P:(num > a),N:num,X:a]:((inu_list @ P @ N @ X) <=> ?[J:num]:((l_a_ @ J @ N) & (X = (P @ J))))).
thf(aHypermapo_lemmau_setu_disjoint, axiom, ![S:(a > $o),T:(a > $o)]:(~ ((disjoint @ S @ T)) <=> ?[X:a]:((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_disjoint @ P @ Q @ N @ M) <=> ![I:num]:((l_a_ @ I @ M) => ~ ((inu_list @ P @ N @ (Q @ I)))))).
