%   ORIGINAL: Hypermap.lemma_list_disjoint
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.lemma_list_disjoint1: !p q n m. is_disjoint p q n m <=> (!i. i <= n ==> ~in_list q m (p i))
% Assm: Hypermap.lemma_not_in_list: !p n x. ~in_list p n x <=> (!j. j <= n ==> ~(x = p j))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !p q n m. is_disjoint p q n m <=> (!i j. i <= n /\ j <= m ==> ~(p i = q j))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !p q n m. is_disjoint p q n m <=> (!i. i <= n ==> ~in_list q m (p i))
% Assm: !p n x. ~in_list p n x <=> (!j. j <= n ==> ~(x <=> p j))
% Assm: !p n x. ~in_list p n x <=> (!j. j <= n ==> ~(x = p j))
% Assm: ~F <=> T
% Assm: T
% Goal: !p q n m. is_disjoint p q n m <=> (!i j. i <= n /\ j <= m ==> ~(p i = q j))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cinuu_list0, type, inu_list0 : ((num > $o) > num > $o > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(cisuu_disjoint, type, isu_disjoint : ((num > a) > (num > a) > num > num > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_lemmau_listu_disjoint1, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_disjoint @ P @ Q @ N @ M) <=> ![I:num]:((l_a_ @ I @ N) => ~ ((inu_list @ Q @ M @ (P @ I)))))).
thf(aHypermapo_lemmau_notu_inu_listu_monomorphized1, axiom, ![P:(num > $o),N:num,X:$o]:(~ ((inu_list0 @ P @ N @ X)) <=> ![J:num]:((l_a_ @ J @ N) => ~ ((X <=> (P @ J)))))).
thf(aHypermapo_lemmau_notu_inu_listu_monomorphized0, axiom, ![P:(num > a),N:num,X:a]:(~ ((inu_list @ P @ N @ X)) <=> ![J:num]:((l_a_ @ J @ N) => ~ ((X = (P @ J)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_disjoint @ P @ Q @ N @ M) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ M)) => ~ (((P @ I) = (Q @ J)))))).
