%   ORIGINAL: Hypermap.lemma_glueing_condition
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.LT0_LE1: !n. 0 < n <=> 1 <= n
% Assm: Hypermap.LT1_NZ: !n. 1 <= n <=> 0 < n
% Assm: Hypermap.is_glueing: !p q n m. is_glueing p q n m <=> p n = q 0 /\ (!j. 1 <= j /\ j <= m ==> ~in_list p n (q j))
% Assm: Hypermap.lemma_inj_list: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: Hypermap.lemma_not_in_list: !p n x. ~in_list p n x <=> (!j. j <= n ==> ~(x = p j))
% Assm: LE_REFL: !n. n <= n
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: LT_LE: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: TRUTH: T
% Goal: !p q n m. is_inj_list p n /\ is_inj_list q m ==> (is_glueing p q n m <=> p n = q 0 /\ (!i. i < n ==> ~in_list q m (p i)))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. 0 < n <=> 1 <= n
% Assm: !n. 1 <= n <=> 0 < n
% Assm: !p q n m. is_glueing p q n m <=> p n = q 0 /\ (!j. 1 <= j /\ j <= m ==> ~in_list p n (q j))
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: !p n x. ~in_list p n x <=> (!j. j <= n ==> ~(x = p j))
% Assm: !n. n <= n
% Assm: !m n. m < n ==> m <= n
% Assm: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: T
% Goal: !p q n m. is_inj_list p n /\ is_inj_list q m ==> (is_glueing p q n m <=> p n = q 0 /\ (!i. i < n ==> ~in_list q m (p i)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(cisuu_glueing, type, isu_glueing : ((num > a) > (num > a) > num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_LT0u_LE1, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> (l_a_ @ (numeral @ (bit1 @ u_0)) @ N))).
thf(aHypermapo_LT1u_NZ, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) <=> (l_ @ (numeral @ u_0) @ N))).
thf(aHypermapo_isu_glueing, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_glueing @ P @ Q @ N @ M) <=> (((P @ N) = (Q @ (numeral @ u_0))) & ![J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ M)) => ~ ((inu_list @ P @ N @ (Q @ J))))))).
thf(aHypermapo_lemmau_inju_list, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((P @ J) = (P @ I)))))).
thf(aHypermapo_lemmau_notu_inu_list, axiom, ![P:(num > a),N:num,X:a]:(~ ((inu_list @ P @ N @ X)) <=> ![J:num]:((l_a_ @ J @ N) => ~ ((X = (P @ J)))))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aLTu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ((l_a_ @ M @ N) & ~ ((M = N))))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_list @ P @ N) & (isu_inju_list @ Q @ M)) => ((isu_glueing @ P @ Q @ N @ M) <=> (((P @ N) = (Q @ (numeral @ u_0))) & ![I:num]:((l_ @ I @ N) => ~ ((inu_list @ Q @ M @ (P @ I)))))))).
