%   ORIGINAL: Hypermap.lemma_glue_inj_lists
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.GE_1: !n. 1 <= SUC n
% Assm: Hypermap.first_glue_evaluation: !p q n i. i <= n ==> glue p q n i = p i
% Assm: Hypermap.is_glueing: !p q n m. is_glueing p q n m <=> p n = q 0 /\ (!j. 1 <= j /\ j <= m ==> ~in_list p n (q j))
% Assm: Hypermap.lemma_element_in_list: !p n i. i <= n ==> in_list p n (p i)
% Assm: Hypermap.lemma_inj_list: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: Hypermap.second_glue_evaluation: !p q n i. p n = q 0 ==> glue p q n (n + i) = q i
% Assm: LE_ADD_LCANCEL: !m n p. m + n <= m + p <=> n <= p
% Assm: LTE_TRANS: !m n p. m < n /\ n <= p ==> m < p
% Assm: LT_ADD_LCANCEL: !m n p. m + n < m + p <=> n < p
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Goal: !p q n m. is_inj_list p n /\ is_inj_list q m /\ is_glueing p q n m ==> is_inj_list (glue p q n) (n + m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. 1 <= SUC n
% Assm: !p q n i. i <= n ==> glue p q n i = p i
% Assm: !p q n m. is_glueing p q n m <=> p n = q 0 /\ (!j. 1 <= j /\ j <= m ==> ~in_list p n (q j))
% Assm: !p n i. i <= n ==> in_list p n (p i)
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: !p q n i. p n = q 0 ==> glue p q n (n + i) = q i
% Assm: !m n p. m + n <= m + p <=> n <= p
% Assm: !m n p. m < n /\ n <= p ==> m < p
% Assm: !m n p. m + n < m + p <=> n < p
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !m n. m < n ==> m <= n
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Goal: !p q n m. is_inj_list p n /\ is_inj_list q m /\ is_glueing p q n m ==> is_inj_list (glue p q n) (n + m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(cglue, type, glue : ((num > a) > (num > a) > num > num > a)).
thf(cisuu_glueing, type, isu_glueing : ((num > a) > (num > a) > num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_GEu_1, axiom, ![N:num]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (suc @ N))).
thf(aHypermapo_firstu_glueu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:((l_a_ @ I @ N) => ((glue @ P @ Q @ N @ I) = (P @ I)))).
thf(aHypermapo_isu_glueing, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_glueing @ P @ Q @ N @ M) <=> (((P @ N) = (Q @ (numeral @ u_0))) & ![J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ M)) => ~ ((inu_list @ P @ N @ (Q @ J))))))).
thf(aHypermapo_lemmau_elementu_inu_list, axiom, ![P:(num > a),N:num,I:num]:((l_a_ @ I @ N) => (inu_list @ P @ N @ (P @ I)))).
thf(aHypermapo_lemmau_inju_list, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((P @ J) = (P @ I)))))).
thf(aHypermapo_secondu_glueu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:(((P @ N) = (Q @ (numeral @ u_0))) => ((glue @ P @ Q @ N @ (p_ @ N @ I)) = (Q @ I)))).
thf(aLEu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_a_ @ N @ P))).
thf(aLTEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_a_ @ N @ P)) => (l_ @ M @ P))).
thf(aLTu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_ @ N @ P))).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_list @ P @ N) & (isu_inju_list @ Q @ M) & (isu_glueing @ P @ Q @ N @ M)) => (isu_inju_list @ (glue @ P @ Q @ N) @ (p_ @ N @ M)))).
