%   ORIGINAL: Hypermap.lemma_join_inj_lists
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD1: !m. SUC m = m + 1
% Assm: Hypermap.first_join_evaluation: !p q n i. i <= n ==> join p q n i = p i
% Assm: Hypermap.lemma_inj_list: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: Hypermap.lemma_list_disjoint: !p q n m. is_disjoint p q n m <=> (!i j. i <= n /\ j <= m ==> ~(p i = q j))
% Assm: Hypermap.second_join_evaluation: !p q n i. join p q n (n + SUC i) = q i
% Assm: LE_ADD_LCANCEL: !m n p. m + n <= m + p <=> n <= p
% Assm: LE_SUC: !m n. SUC m <= SUC n <=> m <= n
% Assm: LTE_TRANS: !m n p. m < n /\ n <= p ==> m < p
% Assm: LT_ADD_LCANCEL: !m n p. m + n < m + p <=> n < p
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: LT_SUC: !m n. SUC m < SUC n <=> m < n
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Goal: !p q n m. is_inj_list p n /\ is_inj_list q m /\ is_disjoint p q n m ==> is_inj_list (join p q n) (n + m + 1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m. SUC m = m + 1
% Assm: !p q n i. i <= n ==> join p q n i = p i
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: !p q n m. is_disjoint p q n m <=> (!i j. i <= n /\ j <= m ==> ~(p i = q j))
% Assm: !p q n i. join p q n (n + SUC i) = q i
% Assm: !m n p. m + n <= m + p <=> n <= p
% Assm: !m n. SUC m <= SUC n <=> m <= n
% Assm: !m n p. m < n /\ n <= p ==> m < p
% Assm: !m n p. m + n < m + p <=> n < p
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !m n. m < n ==> m <= n
% Assm: !m n. SUC m < SUC n <=> m < n
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Goal: !p q n m. is_inj_list p n /\ is_inj_list q m /\ is_disjoint p q n m ==> is_inj_list (join p q n) (n + m + 1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cjoin, type, join : ((num > a) > (num > a) > num > num > a)).
thf(cisuu_disjoint, type, isu_disjoint : ((num > a) > (num > a) > num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aHypermapo_firstu_joinu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:((l_a_ @ I @ N) => ((join @ P @ Q @ N @ I) = (P @ I)))).
thf(aHypermapo_lemmau_inju_list, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((P @ J) = (P @ I)))))).
thf(aHypermapo_lemmau_listu_disjoint, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_disjoint @ P @ Q @ N @ M) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ M)) => ~ (((P @ I) = (Q @ J)))))).
thf(aHypermapo_secondu_joinu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:((join @ P @ Q @ N @ (p_ @ N @ (suc @ I))) = (Q @ I))).
thf(aLEu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_a_ @ N @ P))).
thf(aLEu_SUC, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aLTEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_a_ @ N @ P)) => (l_ @ M @ P))).
thf(aLTu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_ @ N @ P))).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aLTu_SUC, axiom, ![M:num,N:num]:((l_ @ (suc @ M) @ (suc @ N)) <=> (l_ @ M @ N))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_list @ P @ N) & (isu_inju_list @ Q @ M) & (isu_disjoint @ P @ Q @ N @ M)) => (isu_inju_list @ (join @ P @ Q @ N) @ (p_ @ N @ (p_ @ M @ (numeral @ (bit1 @ u_0))))))).
