%   ORIGINAL: Hypermap.inj_iterate_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.CARD_FINITE_SERIES_EQ: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> CARD {f i | i < n} = n
% Assm: Hypermap.LM1: !s p n m. p permutes s /\ p POWER (m + n) = p POWER m ==> p POWER n = I
% Assm: Hypermap.LM_AUX: !m n. m < n ==> (?k. ~(k = 0) /\ n = m + k)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s p. p permutes s /\ (!n. ~(n = 0) ==> ~(p POWER n = I)) ==> (!m. CARD {p POWER k | k < m} = m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> CARD {f i | i < n} = n
% Assm: !s p n m. p permutes s /\ p POWER (m + n) = p POWER m ==> p POWER n = I
% Assm: !m n. m < n ==> (?k. ~(k = 0) /\ n = m + k)
% Assm: ~F <=> T
% Assm: T
% Goal: !s p. p permutes s /\ (!n. ~(n = 0) ==> ~(p POWER n = I)) ==> (!m. CARD {p POWER k | k < m} = m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : (((a > a) > $o) > (a > a) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csetspec, type, setspec : ((a > a) > $o > (a > a) > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(ccard, type, card : (((a > a) > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_CARDu_FINITEu_SERIESu_EQ, axiom, ![N:num,F:(num > a > a)]:(![I:num,J:num]:(((l_ @ I @ N) & (l_ @ J @ I)) => ~ (((F @ I) = (F @ J)))) => ((card @ (gspec @ ^[GENR_PVARR_241:(a > a)]:?[I:num]:(setspec @ GENR_PVARR_241 @ (l_ @ I @ N) @ (F @ I)))) = N))).
thf(aHypermapo_LM1, axiom, ![S:(a > $o),P:(a > a),N:num,M:num]:(((permutes @ P @ S) & ((power @ P @ (p_ @ M @ N)) = (power @ P @ M))) => ((power @ P @ N) = i))).
thf(aHypermapo_LMu_AUX, axiom, ![M:num,N:num]:((l_ @ M @ N) => ?[K:num]:(~ ((K = (numeral @ u_0))) & (N = (p_ @ M @ K))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:(((permutes @ P @ S) & ![N:num]:(~ ((N = (numeral @ u_0))) => ~ (((power @ P @ N) = i)))) => ![M:num]:((card @ (gspec @ ^[GENR_PVARR_245:(a > a)]:?[K:num]:(setspec @ GENR_PVARR_245 @ (l_ @ K @ M) @ (power @ P @ K)))) = M))).
