%   ORIGINAL: Hypermap.inverse_element_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct1: !f n. f POWER SUC n = (f POWER n) o f
% Assm: Hypermap.LT_SUC_PRE: !n. 0 < n ==> n = SUC (PRE n)
% Assm: Hypermap.RIGHT_INVERSE_EQUATION: !s u v w. v permutes s /\ u o v = w ==> u = w o inverse v
% Assm: Hypermap.finite_order: !s p. FINITE s /\ p permutes s ==> (?n. ~(n = 0) /\ p POWER n = I)
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: TRUTH: T
% Goal: !s p. FINITE s /\ p permutes s ==> (?j. inverse p = p POWER j)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f n. f POWER SUC n = (f POWER n) o f
% Assm: !n. 0 < n ==> n = SUC (PRE n)
% Assm: !s u v w. v permutes s /\ u o v = w ==> u = w o inverse v
% Assm: !s p. FINITE s /\ p permutes s ==> (?n. ~(n = 0) /\ p POWER n = I)
% Assm: !f. I o f = f /\ f o I = f
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: T
% Goal: !s p. FINITE s /\ p permutes s ==> (?j. inverse p = p POWER j)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cpre, type, pre : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct1, axiom, ![F:(a > a),N:num]:((power @ F @ (suc @ N)) = (o @ (power @ F @ N) @ F))).
thf(aHypermapo_LTu_SUCu_PRE, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) => (N = (suc @ (pre @ N))))).
thf(aHypermapo_RIGHTu_INVERSEu_EQUATION, axiom, ![S:(a > $o),U:(a > a),V:(a > a),W:(a > a)]:(((permutes @ V @ S) & ((o @ U @ V) = W)) => (U = (o @ W @ (inverse @ V))))).
thf(aHypermapo_finiteu_order, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ?[N:num]:(~ ((N = (numeral @ u_0))) & ((power @ P @ N) = i)))).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((inverse @ P) = (power @ P @ J)))).
