%   ORIGINAL: Hypermap.inverse_element_via_order
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: Hypermap.LEFT_INVERSE_EQUATION: !s u v w. u permutes s /\ u o v = w ==> v = inverse u o w
% Assm: Hypermap.lemma_order_permutation: !s p. FINITE s /\ p permutes s ==> ~(order_permutation s p = 0) /\ p POWER order_permutation s p = I /\ (!m. ~(m = 0) /\ m < order_permutation s p ==> ~(p POWER m = I))
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: PRE_conjunct1: !n. PRE (SUC n) = n
% Assm: TRUTH: T
% Goal: !s p. FINITE s /\ p permutes s ==> inverse p = p POWER PRE (order_permutation s p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. 0 + n = n
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !s u v w. u permutes s /\ u o v = w ==> v = inverse u o w
% Assm: !s p. FINITE s /\ p permutes s ==> ~(order_permutation s p = 0) /\ p POWER order_permutation s p = I /\ (!m. ~(m = 0) /\ m < order_permutation s p ==> ~(p POWER m = I))
% Assm: !f. I o f = f /\ f o I = f
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !n. PRE (SUC n) = n
% Assm: T
% Goal: !s p. FINITE s /\ p permutes s ==> inverse p = p POWER PRE (order_permutation s p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(corderuu_permutation, type, orderu_permutation : ((a > $o) > (a > a) > num)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cpre, type, pre : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aHypermapo_LEFTu_INVERSEu_EQUATION, axiom, ![S:(a > $o),U:(a > a),V:(a > a),W:(a > a)]:(((permutes @ U @ S) & ((o @ U @ V) = W)) => (V = (o @ (inverse @ U) @ W)))).
thf(aHypermapo_lemmau_orderu_permutation, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => (~ (((orderu_permutation @ S @ P) = (numeral @ u_0))) & ((power @ P @ (orderu_permutation @ S @ P)) = i) & ![M:num]:((~ ((M = (numeral @ u_0))) & (l_ @ M @ (orderu_permutation @ S @ P))) => ~ (((power @ P @ M) = i)))))).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aPREu_conjunct1, axiom, ![N:num]:((pre @ (suc @ N)) = N)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ((inverse @ P) = (power @ P @ (pre @ (orderu_permutation @ S @ P)))))).
