%   ORIGINAL: Hypermap.lemma_permutation_via_its_inverse
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.inverse_element_lemma: !s p. FINITE s /\ p permutes s ==> (?j. inverse p = p POWER j)
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: PERMUTES_INVERSE_INVERSE: !p. p permutes s ==> inverse (inverse p) = p
% Assm: TRUTH: T
% Goal: !s p. FINITE s /\ p permutes s ==> (?j. p = inverse p POWER j)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p. FINITE s /\ p permutes s ==> (?j. inverse p = p POWER j)
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: !s p. p permutes s ==> inverse (inverse p) = p
% Assm: T
% Goal: !s p. FINITE s /\ p permutes s ==> (?j. p = inverse p POWER j)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_inverseu_elementu_lemma, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((inverse @ P) = (power @ P @ J)))).
thf(aPERMUTESu_INVERSE, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (permutes @ (inverse @ P) @ S))).
thf(aPERMUTESu_INVERSEu_INVERSE, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ((inverse @ (inverse @ P)) = P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:(P = (power @ (inverse @ P) @ J)))).
