%   ORIGINAL: Hypermap.power_power_relation
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.inverse_power_function: !s p n x y. p permutes s ==> (y = (p POWER n) x <=> x = (inverse p POWER n) y)
% Assm: Hypermap.power_inverse_element_lemma: !s p n. FINITE s /\ p permutes s ==> (?j. inverse p POWER n = p POWER j)
% Assm: TRUTH: T
% Goal: !s p x y n. FINITE s /\ p permutes s /\ (p POWER n) x = y ==> (?j. x = (p POWER j) y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p n x y. p permutes s ==> (y = (p POWER n) x <=> x = (inverse p POWER n) y)
% Assm: !s p n. FINITE s /\ p permutes s ==> (?j. inverse p POWER n = p POWER j)
% Assm: T
% Goal: !s p x y n. FINITE s /\ p permutes s /\ (p POWER n) x = y ==> (?j. x = (p POWER j) y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_inverseu_poweru_function, axiom, ![S:(a > $o),P:(a > a),N:num,X:a,Y:a]:((permutes @ P @ S) => ((Y = (power @ P @ N @ X)) <=> (X = (power @ (inverse @ P) @ N @ Y))))).
thf(aHypermapo_poweru_inverseu_elementu_lemma, axiom, ![S:(a > $o),P:(a > a),N:num]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((power @ (inverse @ P) @ N) = (power @ P @ J)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a,Y:a,N:num]:(((finite @ S) & (permutes @ P @ S) & ((power @ P @ N @ X) = Y)) => ?[J:num]:(X = (power @ P @ J @ Y)))).
