%   ORIGINAL: Hypermap.elim_power_function
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.addition_exponents: !m n f. f POWER (m + n) = (f POWER m) o (f POWER n)
% Assm: Hypermap.power_permutation: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: PERMUTES_INJECTIVE: !p s. p permutes s ==> (!x y. p x = p y <=> x = y)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !s p x n m. p permutes s /\ (p POWER (m + n)) x = (p POWER m) x ==> (p POWER n) x = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n f. f POWER (m + n) = (f POWER m) o (f POWER n)
% Assm: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: !p s. p permutes s ==> (!x y. p x = p y <=> x = y)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !s p x n m. p permutes s /\ (p POWER (m + n)) x = (p POWER m) x ==> (p POWER n) x = x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(co0, type, o0 : ((b > a) > (a > b) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_additionu_exponents, axiom, ![M:num,N:num,F:(a > a)]:((power @ F @ (p_ @ M @ N)) = (o @ (power @ F @ M) @ (power @ F @ N)))).
thf(aHypermapo_poweru_permutation, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![N:num]:(permutes @ (power @ P @ N) @ S))).
thf(aPERMUTESu_INJECTIVE, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => ![X:a,Y:a]:(((P @ X) = (P @ Y)) <=> (X = Y)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > a),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a,N:num,M:num]:(((permutes @ P @ S) & ((power @ P @ (p_ @ M @ N) @ X) = (power @ P @ M @ X))) => ((power @ P @ N @ X) = X))).
