%   ORIGINAL: Hypermap.partition_orbit
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.orbit_sym: !s p x y. FINITE s /\ p permutes s ==> x IN orbit_map p y ==> y IN orbit_map p x
% Assm: Hypermap.orbit_trans: !f x y z. x IN orbit_map f y /\ y IN orbit_map f z ==> x IN orbit_map f z
% Assm: INTER: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s p x y. FINITE s /\ p permutes s ==> x IN orbit_map p y ==> y IN orbit_map p x
% Assm: !f x y z. x IN orbit_map f y /\ y IN orbit_map f z ==> x IN orbit_map f z
% Assm: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: T
% Goal: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
%  TYPES
thf(ta, type, a : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_orbitu_sym, axiom, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((finite @ S) & (permutes @ P @ S)) => ((in @ X @ (orbitu_map @ P @ Y)) => (in @ Y @ (orbitu_map @ P @ X))))).
thf(aHypermapo_orbitu_trans, axiom, ![F:(a > a),X:a,Y:a,Z:a]:(((in @ X @ (orbitu_map @ F @ Y)) & (in @ Y @ (orbitu_map @ F @ Z))) => (in @ X @ (orbitu_map @ F @ Z)))).
thf(aINTER, axiom, ![S:(a > $o),T:(a > $o)]:((inter @ S @ T) = (gspec @ ^[GENR_PVARR_2:a]:?[X:a]:(setspec @ GENR_PVARR_2 @ ((in @ X @ S) & (in @ X @ T)) @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(a > $o)]:(?[X:a]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ![X:a,Y:a]:(((inter @ (orbitu_map @ P @ X) @ (orbitu_map @ P @ Y)) = empty) | ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y))))).
