%   ORIGINAL: Hypermap.card_orbit_le
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Hypermap.CARD_FINITE_SERIES_LE: !n f. CARD {f i | i < n} <= n
% Assm: Hypermap.orbit_cyclic: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: TRUTH: T
% Goal: !f n x. ~(n = 0) /\ (f POWER n) x = x ==> CARD (orbit_map f x) <= n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !n f. CARD {f i | i < n} <= n
% Assm: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: T
% Goal: !f n x. ~(n = 0) /\ (f POWER n) x = x ==> CARD (orbit_map f x) <= n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHypermapo_CARDu_FINITEu_SERIESu_LE, axiom, ![N:num,F:(num > a)]:(l_a_ @ (card @ (gspec @ ^[GENR_PVARR_240:a]:?[I:num]:(setspec @ GENR_PVARR_240 @ (l_ @ I @ N) @ (F @ I)))) @ N)).
thf(aHypermapo_orbitu_cyclic, axiom, ![F:(a > a),M:num,X:a]:((~ ((M = (numeral @ u_0))) & ((power @ F @ M @ X) = X)) => ((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_236:a]:?[K:num]:(setspec @ GENR_PVARR_236 @ (l_ @ K @ M) @ (power @ F @ K @ X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > a),N:num,X:a]:((~ ((N = (numeral @ u_0))) & ((power @ F @ N @ X) = X)) => (l_a_ @ (card @ (orbitu_map @ F @ X)) @ N))).
