%   ORIGINAL: Hypermap.cyclic_inverses_maps
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.LEFT_INVERSE_EQUATION: !s u v w. u permutes s /\ u o v = w ==> v = inverse u o w
% Assm: Hypermap.LEFT_MULT_MAP: !u v w. v = w ==> u o v = u o w
% Assm: Hypermap.cyclic_maps: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> n o f o e = I /\ f o e o n = I
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: PERMUTES_INVERSES_o: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: TRUTH: T
% Goal: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> inverse n o inverse e o inverse f = I
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s u v w. u permutes s /\ u o v = w ==> v = inverse u o w
% Assm: !u v w. v = w ==> u o v = u o w
% Assm: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> n o f o e = I /\ f o e o n = I
% Assm: !f. I o f = f /\ f o I = f
% Assm: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: T
% Goal: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> inverse n o inverse e o inverse f = I
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_LEFTu_INVERSEu_EQUATION, axiom, ![S:(a > $o),U:(a > a),V:(a > a),W:(a > a)]:(((permutes @ U @ S) & ((o @ U @ V) = W)) => (V = (o @ (inverse @ U) @ W)))).
thf(aHypermapo_LEFTu_MULTu_MAP, axiom, ![U:(a > a),V:(a > a),W:(a > a)]:((V = W) => ((o @ U @ V) = (o @ U @ W)))).
thf(aHypermapo_cyclicu_maps, axiom, ![D:(a > $o),E:(a > a),N:(a > a),F:(a > a)]:(((finite @ D) & (permutes @ E @ D) & (permutes @ N @ D) & (permutes @ F @ D) & ((o @ E @ (o @ N @ F)) = i)) => (((o @ N @ (o @ F @ E)) = i) & ((o @ F @ (o @ E @ N)) = i)))).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aPERMUTESu_INVERSESu_o, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (((o @ P @ (inverse @ P)) = i) & ((o @ (inverse @ P) @ P) = i)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![D:(a > $o),E:(a > a),N:(a > a),F:(a > a)]:(((finite @ D) & (permutes @ E @ D) & (permutes @ N @ D) & (permutes @ F @ D) & ((o @ E @ (o @ N @ F)) = i)) => ((o @ (inverse @ N) @ (o @ (inverse @ E) @ (inverse @ F))) = i))).
