%   ORIGINAL: Hypermap.hypermap_cyclic
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.cyclic_maps: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> n o f o e = I /\ f o e o n = I
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: TRUTH: T
% Goal: !H. node_map H o face_map H o edge_map H = I /\ face_map H o edge_map H o node_map H = I
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> n o f o e = I /\ f o e o n = I
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: T
% Goal: !H. node_map H o face_map H o edge_map H = I /\ face_map H o edge_map H o node_map H = I
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_cyclicu_maps, axiom, ![D:(a > $o),E:(a > a),N:(a > a),F:(a > a)]:(((finite @ D) & (permutes @ E @ D) & (permutes @ N @ D) & (permutes @ F @ D) & ((o @ E @ (o @ N @ F)) = i)) => (((o @ N @ (o @ F @ E)) = i) & ((o @ F @ (o @ E @ N)) = i)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:(((o @ (nodeu_map @ H) @ (o @ (faceu_map @ H) @ (edgeu_map @ H))) = i) & ((o @ (faceu_map @ H) @ (o @ (edgeu_map @ H) @ (nodeu_map @ H))) = i))).
