%   ORIGINAL: Hypermap.inverse2_hypermap_maps
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.LEFT_INVERSE_EQUATION: !s u v w. u permutes s /\ u o v = w ==> v = inverse u o w
% Assm: Hypermap.edge_map_and_darts: !H. FINITE (dart H) /\ edge_map H permutes dart H
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.inverse_hypermap_maps: !H. inverse (edge_map H) = node_map H o face_map H /\ inverse (node_map H) = face_map H o edge_map H /\ inverse (face_map H) = edge_map H o node_map H
% Assm: Hypermap.node_map_and_darts: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: TRUTH: T
% Goal: !H. edge_map H = inverse (face_map H) o inverse (node_map H) /\ node_map H = inverse (edge_map H) o inverse (face_map H) /\ face_map H = inverse (node_map H) o inverse (edge_map H)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s u v w. u permutes s /\ u o v = w ==> v = inverse u o w
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !H. inverse (edge_map H) = node_map H o face_map H /\ inverse (node_map H) = face_map H o edge_map H /\ inverse (face_map H) = edge_map H o node_map H
% Assm: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: T
% Goal: !H. edge_map H = inverse (face_map H) o inverse (node_map H) /\ node_map H = inverse (edge_map H) o inverse (face_map H) /\ face_map H = inverse (node_map H) o inverse (edge_map H)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_LEFTu_INVERSEu_EQUATION, axiom, ![S:(a > $o),U:(a > a),V:(a > a),W:(a > a)]:(((permutes @ U @ S) & ((o @ U @ V) = W)) => (V = (o @ (inverse @ U) @ W)))).
thf(aHypermapo_edgeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)))).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_inverseu_hypermapu_maps, axiom, ![H:hypermapa]:(((inverse @ (edgeu_map @ H)) = (o @ (nodeu_map @ H) @ (faceu_map @ H))) & ((inverse @ (nodeu_map @ H)) = (o @ (faceu_map @ H) @ (edgeu_map @ H))) & ((inverse @ (faceu_map @ H)) = (o @ (edgeu_map @ H) @ (nodeu_map @ H))))).
thf(aHypermapo_nodeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:(((edgeu_map @ H) = (o @ (inverse @ (faceu_map @ H)) @ (inverse @ (nodeu_map @ H)))) & ((nodeu_map @ H) = (o @ (inverse @ (edgeu_map @ H)) @ (inverse @ (faceu_map @ H)))) & ((faceu_map @ H) = (o @ (inverse @ (nodeu_map @ H)) @ (inverse @ (edgeu_map @ H)))))).
