%   ORIGINAL: Hypermap.CARD_ATLEAST_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_SUBSET: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: Hypermap.CARD_TWO_ELEMENTS: !x y. ~(x = y) ==> CARD {x, y} = 2
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s x y. FINITE s /\ x IN s /\ y IN s /\ ~(x = y) ==> 2 <= CARD s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: !x y. ~(x = y) ==> CARD {x, y} = 2
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s x y. FINITE s /\ x IN s /\ y IN s /\ ~(x = y) ==> 2 <= CARD s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_SUBSET, axiom, ![A:(a > $o),B:(a > $o)]:(((subset @ A @ B) & (finite @ B)) => (l_a_ @ (card @ A) @ (card @ B)))).
thf(aHypermapo_CARDu_TWOu_ELEMENTS, axiom, ![X:a,Y:a]:(~ ((X = Y)) => ((card @ (insert @ X @ (insert @ Y @ empty))) = (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),X:a,Y:a]:(((finite @ S) & (in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (card @ S)))).
