%   ORIGINAL: Hypermap.orbit_single_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.lemma_in_orbit: !f n x. (f POWER n) x IN orbit_map f x
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: I_THM: !x. I x = x
% Assm: TRUTH: T
% Goal: !f x y. orbit_map f y = {x} ==> x = y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !f n x. (f POWER n) x IN orbit_map f x
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: T
% Goal: !f x y. orbit_map f y = {x} ==> x = y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ci0, type, i0 : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_lemmau_inu_orbit, axiom, ![F:(a > a),N:num,X:a]:(in @ (power @ F @ N @ X) @ (orbitu_map @ F @ X))).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(a > $o)]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > a),X:a,Y:a]:(((orbitu_map @ F @ Y) = (insert @ X @ empty)) => (X = Y))).
