%   ORIGINAL: Hypermap.finite_orbits_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: Hypermap.set_of_orbits: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct2: !P x. GSPEC (\v. P (SETSPEC v)) x <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct3: !p x. {y | p y} x <=> p x
% Assm: TRUTH: T
% Goal: !D p. FINITE D /\ p permutes D ==> FINITE (set_of_orbits D p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. GSPEC (\v. P (SETSPEC v)) x <=> P (\p t. p /\ x = t)
% Assm: !p x. {y | p y} x <=> p x
% Assm: T
% Goal: !D p. FINITE D /\ p permutes D ==> FINITE (set_of_orbits D p)
%  TYPES
thf(tq43908, type, q43908 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq43879, type, q43879 : $tType).
%  CONSTS
thf(cgspec2, type, gspec2 : ((q43908 > $o) > q43908 > $o)).
thf(cgspec1, type, gspec1 : ((q43879 > $o) > q43879 > $o)).
thf(cgspec0, type, gspec0 : ((b > $o) > b > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csetspec2, type, setspec2 : (q43908 > $o > q43908 > $o)).
thf(csetspec1, type, setspec1 : (q43879 > $o > q43879 > $o)).
thf(csetspec0, type, setspec0 : (b > $o > b > $o)).
thf(cimage3, type, image3 : ((a > b) > (a > $o) > b > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cimage2, type, image2 : ((a > a) > (a > $o) > a > $o)).
thf(cimage1, type, image1 : ((a > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cimage0, type, image0 : (((a > $o) > a) > ((a > $o) > $o) > a > $o)).
thf(cimage, type, image : (((a > $o) > a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(cfinite0, type, finite0 : (((a > $o) > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGEu_monomorphized3, axiom, ![F:((a > $o) > a > $o),S:((a > $o) > $o)]:((finite0 @ S) => (finite0 @ (image @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized2, axiom, ![F:((a > $o) > a),S:((a > $o) > $o)]:((finite0 @ S) => (finite @ (image0 @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized1, axiom, ![F:(a > a > $o),S:(a > $o)]:((finite @ S) => (finite0 @ (image1 @ F @ S)))).
thf(aFINITEu_IMAGEu_monomorphized0, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (finite @ (image2 @ F @ S)))).
thf(aHypermapo_setu_ofu_orbits, axiom, ![D:(a > $o),F:(a > a)]:((setu_ofu_orbits @ D @ F) = (gspec @ ^[GENR_PVARR_233:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_233 @ (in @ X @ D) @ (orbitu_map @ F @ X))))).
thf(aIMAGE, axiom, ![S:(a > $o),F:(a > b)]:((image3 @ F @ S) = (gspec0 @ ^[GENR_PVARR_7:b]:?[Y:b]:(setspec0 @ GENR_PVARR_7 @ ?[X:a]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct2, axiom, ![P:(($o > q43879 > $o) > $o),X:q43879]:((gspec1 @ ^[V:q43879]:(P @ (setspec1 @ V)) @ X) <=> (P @ ^[P0:$o,T:q43879]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct3, axiom, ![P:(q43908 > $o),X:q43908]:((gspec2 @ ^[V:q43908]:?[Y:q43908]:(setspec2 @ V @ (P @ Y) @ Y) @ X) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![D:(a > $o),P:(a > a)]:(((finite @ D) & (permutes @ P @ D)) => (finite0 @ (setu_ofu_orbits @ D @ P)))).
