%   ORIGINAL: Hypermap.lemma_partition
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.orbit_reflect: !f x. x IN orbit_map f x
% Assm: Hypermap.orbit_subset: !s u. u permutes s ==> (!x. x IN s ==> orbit_map u x SUBSET s)
% Assm: Hypermap.set_of_orbits: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s p. FINITE s /\ p permutes s ==> s = UNIONS (set_of_orbits s p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f x. x IN orbit_map f x
% Assm: !s u. u permutes s ==> (!x. x IN s ==> orbit_map u x SUBSET s)
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s p. FINITE s /\ p permutes s ==> s = UNIONS (set_of_orbits s p)
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_orbitu_reflect, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(aHypermapo_orbitu_subset, axiom, ![S:(a > $o),U:(a > a)]:((permutes @ U @ S) => ![X:a]:((in @ X @ S) => (subset @ (orbitu_map @ U @ X) @ S)))).
thf(aHypermapo_setu_ofu_orbits, axiom, ![D:(a > $o),F:(a > a)]:((setu_ofu_orbits @ D @ F) = (gspec @ ^[GENR_PVARR_233:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_233 @ (in @ X @ D) @ (orbitu_map @ F @ X))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in0 @ X @ (gspec @ ^[V:(a > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => (S = (unions @ (setu_ofu_orbits @ S @ P))))).
