%   ORIGINAL: Hypermap.card_partition_formula
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: Hypermap.finite_orbits_lemma: !D p. FINITE D /\ p permutes D ==> FINITE (set_of_orbits D p)
% Assm: Hypermap.lemma_card_of_disjoint_covering: !t. FINITE t /\ (!u. u IN t ==> FINITE u) /\ (!s1 s2. s1 IN t /\ s2 IN t /\ ~(s1 = s2) ==> DISJOINT s1 s2) ==> CARD (UNIONS t) = nsum t (\u. CARD u)
% Assm: Hypermap.lemma_orbit_finite: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
% Assm: Hypermap.lemma_partition: !s p. FINITE s /\ p permutes s ==> s = UNIONS (set_of_orbits s p)
% Assm: Hypermap.partition_orbit: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
% Assm: Hypermap.set_of_orbits: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s p. FINITE s /\ p permutes s ==> CARD s = nsum (set_of_orbits s p) (\u. CARD u)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !D p. FINITE D /\ p permutes D ==> FINITE (set_of_orbits D p)
% Assm: !t. FINITE t /\ (!u. u IN t ==> FINITE u) /\ (!s1 s2. s1 IN t /\ s2 IN t /\ ~(s1 = s2) ==> DISJOINT s1 s2) ==> CARD (UNIONS t) = nsum t (\u. CARD u)
% Assm: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
% Assm: !s p. FINITE s /\ p permutes s ==> s = UNIONS (set_of_orbits s p)
% Assm: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: T
% Goal: !s p. FINITE s /\ p permutes s ==> CARD s = nsum (set_of_orbits s p) (\u. CARD u)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(cin1, type, in1 : (num > (num > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cdisjoint, type, disjoint : ((a > $o) > (a > $o) > $o)).
thf(cnsum, type, nsum : (((a > $o) > $o) > ((a > $o) > num) > num)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(cfinite0, type, finite0 : (((a > $o) > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(a > $o),T:(a > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aHypermapo_finiteu_orbitsu_lemma, axiom, ![D:(a > $o),P:(a > a)]:(((finite @ D) & (permutes @ P @ D)) => (finite0 @ (setu_ofu_orbits @ D @ P)))).
thf(aHypermapo_lemmau_cardu_ofu_disjointu_covering, axiom, ![T:((a > $o) > $o)]:(((finite0 @ T) & ![U:(a > $o)]:((in @ U @ T) => (finite @ U)) & ![S1:(a > $o),S2:(a > $o)]:(((in @ S1 @ T) & (in @ S2 @ T) & ~ ((S1 = S2))) => (disjoint @ S1 @ S2))) => ((card @ (unions @ T)) = (nsum @ T @ ^[U:(a > $o)]:(card @ U))))).
thf(aHypermapo_lemmau_orbitu_finite, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => (finite @ (orbitu_map @ P @ X)))).
thf(aHypermapo_lemmau_partition, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => (S = (unions @ (setu_ofu_orbits @ S @ P))))).
thf(aHypermapo_partitionu_orbit, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ![X:a,Y:a]:(((inter @ (orbitu_map @ P @ X) @ (orbitu_map @ P @ Y)) = empty) | ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y))))).
thf(aHypermapo_setu_ofu_orbits, axiom, ![D:(a > $o),F:(a > a)]:((setu_ofu_orbits @ D @ F) = (gspec @ ^[GENR_PVARR_233:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_233 @ (in0 @ X @ D) @ (orbitu_map @ F @ X))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > num > $o) > $o),X:num]:((in1 @ X @ (gspec0 @ ^[V:num]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:num]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ((card @ S) = (nsum @ (setu_ofu_orbits @ S @ P) @ ^[U:(a > $o)]:(card @ U))))).
