%   ORIGINAL: Hypermap.lemma_orbit_convolution_map
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Fan.POWER_2: !f. f POWER 2 = f o f
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.EXPAND_SET_TWO_ELEMENTS: !p. {p i | i <= 1} = {p 0, p 1}
% Assm: Hypermap.orbit_cyclic: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: I_THM: !x. I x = x
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Goal: !p. p o p = I ==> (!x. orbit_map p x = {x, p x})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !f. f POWER 1 = f
% Assm: !f. f POWER 2 = f o f
% Assm: !f. f POWER 0 = I
% Assm: !p. {p i | i <= 1} = {p 0, p 1}
% Assm: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: !x. I x = x
% Assm: !m n. m < SUC n <=> m <= n
% Assm: ~F <=> T
% Assm: T
% Assm: 2 = SUC 1
% Goal: !p. p o p = I ==> (!x. orbit_map p x = {x, p x})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec1, type, gspec1 : (((a > a) > $o) > (a > a) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec0, type, gspec0 : (((a > $o) > $o) > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(csetspec1, type, setspec1 : ((a > a) > $o > (a > a) > $o)).
thf(corbituu_map1, type, orbitu_map1 : (((a > a) > a > a) > (a > a) > (a > a) > $o)).
thf(cpower1, type, power1 : (((a > a) > a > a) > num > (a > a) > a > a)).
thf(csetspec0, type, setspec0 : ((a > $o) > $o > (a > $o) > $o)).
thf(corbituu_map0, type, orbitu_map0 : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cpower0, type, power0 : (((a > $o) > a > $o) > num > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aFano_POWERu_2, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (o @ F @ F))).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_EXPANDu_SETu_TWOu_ELEMENTS, axiom, ![P:(num > a)]:((gspec @ ^[GENR_PVARR_242:a]:?[I:num]:(setspec @ GENR_PVARR_242 @ (l_a_ @ I @ (numeral @ (bit1 @ u_0))) @ (P @ I))) = (insert @ (P @ (numeral @ u_0)) @ (insert @ (P @ (numeral @ (bit1 @ u_0))) @ empty)))).
thf(aHypermapo_orbitu_cyclicu_monomorphized1, axiom, ![F:((a > $o) > a > $o),M:num,X:(a > $o)]:((~ ((M = (numeral @ u_0))) & ((power0 @ F @ M @ X) = X)) => ((orbitu_map0 @ F @ X) = (gspec0 @ ^[GENR_PVARR_236:(a > $o)]:?[K:num]:(setspec0 @ GENR_PVARR_236 @ (l_ @ K @ M) @ (power0 @ F @ K @ X)))))).
thf(aHypermapo_orbitu_cyclicu_monomorphized0, axiom, ![F:((a > a) > a > a),M:num,X:(a > a)]:((~ ((M = (numeral @ u_0))) & ((power1 @ F @ M @ X) = X)) => ((orbitu_map1 @ F @ X) = (gspec1 @ ^[GENR_PVARR_236:(a > a)]:?[K:num]:(setspec1 @ GENR_PVARR_236 @ (l_ @ K @ M) @ (power1 @ F @ K @ X)))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![P:(a > a)]:(((o @ P @ P) = i) => ![X:a]:((orbitu_map @ P @ X) = (insert @ X @ (insert @ (P @ X) @ empty))))).
