%   ORIGINAL: Hypermap.lemma_nondegenerate_convolution
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Fan.POWER_2: !f. f POWER 2 = f o f
% Assm: Hypermap.CARD_ATLEAST_2: !s x y. FINITE s /\ x IN s /\ y IN s /\ ~(x = y) ==> 2 <= CARD s
% Assm: Hypermap.card_orbit_le: !f n x. ~(n = 0) /\ (f POWER n) x = x ==> CARD (orbit_map f x) <= n
% Assm: Hypermap.in_orbit_lemma: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: Hypermap.orbit_reflect: !f x. x IN orbit_map f x
% Assm: Hypermap.orbit_subset: !s u. u permutes s ==> (!x. x IN s ==> orbit_map u x SUBSET s)
% Assm: I_THM: !x. I x = x
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s p. FINITE s /\ p permutes s /\ p o p = I /\ (!x. x IN s ==> ~(p x = x)) ==> (!x. x IN s ==> FINITE (orbit_map p x) /\ CARD (orbit_map p x) = 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !f. f POWER 1 = f
% Assm: !f. f POWER 2 = f o f
% Assm: !s x y. FINITE s /\ x IN s /\ y IN s /\ ~(x = y) ==> 2 <= CARD s
% Assm: !f n x. ~(n = 0) /\ (f POWER n) x = x ==> CARD (orbit_map f x) <= n
% Assm: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: !f x. x IN orbit_map f x
% Assm: !s u. u permutes s ==> (!x. x IN s ==> orbit_map u x SUBSET s)
% Assm: !x. I x = x
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: ~F <=> T
% Assm: T
% Goal: !s p. FINITE s /\ p permutes s /\ p o p = I /\ (!x. x IN s ==> ~(p x = x)) ==> (!x. x IN s ==> FINITE (orbit_map p x) /\ CARD (orbit_map p x) = 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aFano_POWERu_2, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (o @ F @ F))).
thf(aHypermapo_CARDu_ATLEASTu_2, axiom, ![S:(a > $o),X:a,Y:a]:(((finite @ S) & (in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (card @ S)))).
thf(aHypermapo_cardu_orbitu_le, axiom, ![F:(a > a),N:num,X:a]:((~ ((N = (numeral @ u_0))) & ((power @ F @ N @ X) = X)) => (l_a_ @ (card @ (orbitu_map @ F @ X)) @ N))).
thf(aHypermapo_inu_orbitu_lemma, axiom, ![F:(a > a),N:num,X:a,Y:a]:((Y = (power @ F @ N @ X)) => (in @ Y @ (orbitu_map @ F @ X)))).
thf(aHypermapo_orbitu_reflect, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(aHypermapo_orbitu_subset, axiom, ![S:(a > $o),U:(a > a)]:((permutes @ U @ S) => ![X:a]:((in @ X @ S) => (subset @ (orbitu_map @ U @ X) @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S) & ((o @ P @ P) = i) & ![X:a]:((in @ X @ S) => ~ (((P @ X) = X)))) => ![X:a]:((in @ X @ S) => ((finite @ (orbitu_map @ P @ X)) & ((card @ (orbitu_map @ P @ X)) = (numeral @ (bit0 @ (bit1 @ u_0)))))))).
