%   ORIGINAL: Hypermap.lemma_subpath
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.is_path_conjunct0: is_path H p 0 <=> T
% Assm: Hypermap.is_path_conjunct1: is_path H p (SUC n) <=> is_path H p n /\ go_one_step H (p n) (p (SUC n))
% Assm: I_THM: !x. I x = x
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: LE_conjunct1: !m n. m <= SUC n <=> m = SUC n \/ m <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H p n. is_path H p n ==> (!i. i <= n ==> is_path H p i)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H p. is_path H p 0 <=> T
% Assm: !H p n. is_path H p (SUC n) <=> is_path H p n /\ go_one_step H (p n) (p (SUC n))
% Assm: !x. I x = x
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m n. m <= SUC n <=> m = SUC n \/ m <= n
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H p n. is_path H p n ==> (!i. i <= n ==> is_path H p i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgouu_oneuu_step, type, gou_oneu_step : (hypermapa > a > a > $o)).
thf(cisuu_path, type, isu_path : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_isu_pathu_conjunct0, axiom, ![H:hypermapa,P:(num > a)]:((isu_path @ H @ P @ (numeral @ u_0)) <=> $true)).
thf(aHypermapo_isu_pathu_conjunct1, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_path @ H @ P @ (suc @ N)) <=> ((isu_path @ H @ P @ N) & (gou_oneu_step @ H @ (P @ N) @ (P @ (suc @ N)))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aLEu_conjunct1, axiom, ![M:num,N:num]:((l_a_ @ M @ (suc @ N)) <=> ((M = (suc @ N)) | (l_a_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),N:num]:((isu_path @ H @ P @ N) => ![I:num]:((l_a_ @ I @ N) => (isu_path @ H @ P @ I)))).
