%   ORIGINAL: Hypermap.lemma_path_subset
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.go_one_step: !y H x. go_one_step H x y <=> y = edge_map H x \/ y = node_map H x \/ y = face_map H x
% Assm: Hypermap.is_path_conjunct0: is_path H p 0 <=> T
% Assm: Hypermap.is_path_conjunct1: is_path H p (SUC n) <=> is_path H p n /\ go_one_step H (p n) (p (SUC n))
% Assm: Hypermap.lemma_dart_invariant: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H x p n. x IN dart H /\ p 0 = x /\ is_path H p n ==> p n IN dart H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !y H x. go_one_step H x y <=> y = edge_map H x \/ y = node_map H x \/ y = face_map H x
% Assm: !H p. is_path H p 0 <=> T
% Assm: !H p n. is_path H p (SUC n) <=> is_path H p n /\ go_one_step H (p n) (p (SUC n))
% Assm: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H x p n. x IN dart H /\ p 0 = x /\ is_path H p n ==> p n IN dart H
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cgouu_oneuu_step, type, gou_oneu_step : (hypermapa > a > a > $o)).
thf(cisuu_path, type, isu_path : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_gou_oneu_step, axiom, ![Y:a,H:hypermapa,X:a]:((gou_oneu_step @ H @ X @ Y) <=> ((Y = (edgeu_map @ H @ X)) | (Y = (nodeu_map @ H @ X)) | (Y = (faceu_map @ H @ X))))).
thf(aHypermapo_isu_pathu_conjunct0, axiom, ![H:hypermapa,P:(num > a)]:((isu_path @ H @ P @ (numeral @ u_0)) <=> $true)).
thf(aHypermapo_isu_pathu_conjunct1, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_path @ H @ P @ (suc @ N)) <=> ((isu_path @ H @ P @ N) & (gou_oneu_step @ H @ (P @ N) @ (P @ (suc @ N)))))).
thf(aHypermapo_lemmau_dartu_invariant, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((in @ (edgeu_map @ H @ X) @ (dart @ H)) & (in @ (nodeu_map @ H @ X) @ (dart @ H)) & (in @ (faceu_map @ H @ X) @ (dart @ H))))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![H:hypermapa,X:a,P:(num > a),N:num]:(((in @ X @ (dart @ H)) & ((P @ (numeral @ u_0)) = X) & (isu_path @ H @ P @ N)) => (in @ (P @ N) @ (dart @ H)))).
