%   ORIGINAL: Hypermap.lemma_component_subset
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.comb_component: !H x. comb_component H x = {y | is_in_component H x y}
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.is_in_component: !x y H. is_in_component H x y <=> (?p n. p 0 = x /\ p n = y /\ is_path H p n)
% Assm: Hypermap.lemma_path_subset: !H x p n. x IN dart H /\ p 0 = x /\ is_path H p n ==> p n IN dart H
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !H x. x IN dart H ==> comb_component H x SUBSET dart H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H x. comb_component H x = {y | is_in_component H x y}
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !x y H. is_in_component H x y <=> (?p n. p 0 = x /\ p n = y /\ is_path H p n)
% Assm: !H x p n. x IN dart H /\ p 0 = x /\ is_path H p n ==> p n IN dart H
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !H x. x IN dart H ==> comb_component H x SUBSET dart H
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cisuu_path, type, isu_path : (hypermapa > (num > a) > num > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cisuu_inuu_component, type, isu_inu_component : (hypermapa > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_combu_component, axiom, ![H:hypermapa,X:a]:((combu_component @ H @ X) = (gspec @ ^[GENR_PVARR_232:a]:?[Y:a]:(setspec @ GENR_PVARR_232 @ (isu_inu_component @ H @ X @ Y) @ Y)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_isu_inu_component, axiom, ![X:a,Y:a,H:hypermapa]:((isu_inu_component @ H @ X @ Y) <=> ?[P:(num > a),N:num]:(((P @ (numeral @ u_0)) = X) & ((P @ N) = Y) & (isu_path @ H @ P @ N)))).
thf(aHypermapo_lemmau_pathu_subset, axiom, ![H:hypermapa,X:a,P:(num > a),N:num]:(((in @ X @ (dart @ H)) & ((P @ (numeral @ u_0)) = X) & (isu_path @ H @ P @ N)) => (in @ (P @ N) @ (dart @ H)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => (subset @ (combu_component @ H @ X) @ (dart @ H)))).
