%   ORIGINAL: Hypermap.lemma_edge_subset
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.edge: !H x. edge H x = orbit_map (edge_map H) x
% Assm: Hypermap.edge_map_and_darts: !H. FINITE (dart H) /\ edge_map H permutes dart H
% Assm: Hypermap.orbit_subset: !s u. u permutes s ==> (!x. x IN s ==> orbit_map u x SUBSET s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. x IN dart H ==> edge H x SUBSET dart H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !H x. edge H x = orbit_map (edge_map H) x
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H
% Assm: !s u. u permutes s ==> (!x. x IN s ==> orbit_map u x SUBSET s)
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. x IN dart H ==> edge H x SUBSET dart H
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_edge, axiom, ![H:hypermapa,X:a]:((edge @ H @ X) = (orbitu_map @ (edgeu_map @ H) @ X))).
thf(aHypermapo_edgeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)))).
thf(aHypermapo_orbitu_subset, axiom, ![S:(a > $o),U:(a > a)]:((permutes @ U @ S) => ![X:a]:((in @ X @ S) => (subset @ (orbitu_map @ U @ X) @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => (subset @ (edge @ H @ X) @ (dart @ H)))).
