%   ORIGINAL: Hypermap.lemma_component_reflect
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Hypermap.comb_component: !H x. comb_component H x = {y | is_in_component H x y}
% Assm: Hypermap.is_in_component: !x y H. is_in_component H x y <=> (?p n. p 0 = x /\ p n = y /\ is_path H p n)
% Assm: Hypermap.is_path_conjunct0: is_path H p 0 <=> T
% Assm: Hypermap.is_path_conjunct1: is_path H p (SUC n) <=> is_path H p n /\ go_one_step H (p n) (p (SUC n))
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. x IN comb_component H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !H x. comb_component H x = {y | is_in_component H x y}
% Assm: !x y H. is_in_component H x y <=> (?p n. p 0 = x /\ p n = y /\ is_path H p n)
% Assm: !H p. is_path H p 0 <=> T
% Assm: !H p n. is_path H p (SUC n) <=> is_path H p n /\ go_one_step H (p n) (p (SUC n))
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. x IN comb_component H x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgouu_oneuu_step, type, gou_oneu_step : (hypermapa > a > a > $o)).
thf(cisuu_path, type, isu_path : (hypermapa > (num > a) > num > $o)).
thf(cisuu_inuu_component, type, isu_inu_component : (hypermapa > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHypermapo_combu_component, axiom, ![H:hypermapa,X:a]:((combu_component @ H @ X) = (gspec @ ^[GENR_PVARR_232:a]:?[Y:a]:(setspec @ GENR_PVARR_232 @ (isu_inu_component @ H @ X @ Y) @ Y)))).
thf(aHypermapo_isu_inu_component, axiom, ![X:a,Y:a,H:hypermapa]:((isu_inu_component @ H @ X @ Y) <=> ?[P:(num > a),N:num]:(((P @ (numeral @ u_0)) = X) & ((P @ N) = Y) & (isu_path @ H @ P @ N)))).
thf(aHypermapo_isu_pathu_conjunct0, axiom, ![H:hypermapa,P:(num > a)]:((isu_path @ H @ P @ (numeral @ u_0)) <=> $true)).
thf(aHypermapo_isu_pathu_conjunct1, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_path @ H @ P @ (suc @ N)) <=> ((isu_path @ H @ P @ N) & (gou_oneu_step @ H @ (P @ N) @ (P @ (suc @ N)))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(in @ X @ (combu_component @ H @ X))).
