%   ORIGINAL: Hypermap.lemma_face_path
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: Hypermap.face_path: !H x i. face_path H x i = (face_map H POWER i) x
% Assm: Hypermap.go_one_step: !y H x. go_one_step H x y <=> y = edge_map H x \/ y = node_map H x \/ y = face_map H x
% Assm: Hypermap.is_path_conjunct0: is_path H p 0 <=> T
% Assm: Hypermap.is_path_conjunct1: is_path H p (SUC n) <=> is_path H p n /\ go_one_step H (p n) (p (SUC n))
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H x k. is_path H (face_path H x) k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !H x i. face_path H x i = (face_map H POWER i) x
% Assm: !y H x. go_one_step H x y <=> y = edge_map H x \/ y = node_map H x \/ y = face_map H x
% Assm: !H p. is_path H p 0 <=> T
% Assm: !H p n. is_path H p (SUC n) <=> is_path H p n /\ go_one_step H (p n) (p (SUC n))
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H x k. is_path H (face_path H x) k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cgouu_oneuu_step, type, gou_oneu_step : (hypermapa > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cfaceuu_path, type, faceu_path : (hypermapa > a > num > a)).
thf(cisuu_path, type, isu_path : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aHypermapo_faceu_path, axiom, ![H:hypermapa,X:a,I:num]:((faceu_path @ H @ X @ I) = (power @ (faceu_map @ H) @ I @ X))).
thf(aHypermapo_gou_oneu_step, axiom, ![Y:a,H:hypermapa,X:a]:((gou_oneu_step @ H @ X @ Y) <=> ((Y = (edgeu_map @ H @ X)) | (Y = (nodeu_map @ H @ X)) | (Y = (faceu_map @ H @ X))))).
thf(aHypermapo_isu_pathu_conjunct0, axiom, ![H:hypermapa,P:(num > a)]:((isu_path @ H @ P @ (numeral @ u_0)) <=> $true)).
thf(aHypermapo_isu_pathu_conjunct1, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_path @ H @ P @ (suc @ N)) <=> ((isu_path @ H @ P @ N) & (gou_oneu_step @ H @ (P @ N) @ (P @ (suc @ N)))))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,X:a,K:num]:(isu_path @ H @ (faceu_path @ H @ X) @ K)).
