%   ORIGINAL: Hypermap.concatenate_two_paths
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: Hypermap.glue: !p q n. glue p q n = (\i. if i <= n then p i else q (i - n))
% Assm: Hypermap.lemma_glue_paths: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> is_path H (glue p q n) (n + m)
% Assm: Hypermap.second_glue_evaluation: !p q n i. p n = q 0 ==> glue p q n (n + i) = q i
% Assm: LE_0: !n. 0 <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_path H g (n + m) /\ (!i. i <= n ==> g i = p i) /\ (!i. i <= m ==> g (n + i) = q i))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !p q n. glue p q n = (\i. if i <= n then p i else q (i - n))
% Assm: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> is_path H (glue p q n) (n + m)
% Assm: !p q n i. p n = q 0 ==> glue p q n (n + i) = q i
% Assm: !n. 0 <= n
% Assm: ~F <=> T
% Assm: T
% Goal: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_path H g (n + m) /\ (!i. i <= n ==> g i = p i) /\ (!i. i <= m ==> g (n + i) = q i))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cglue, type, glue : ((num > a) > (num > a) > num > num > a)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cisuu_path, type, isu_path : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aHypermapo_glue, axiom, ![P:(num > a),Q:(num > a),N:num]:((glue @ P @ Q @ N) = ^[I:num]:(cond @ (l_a_ @ I @ N) @ (P @ I) @ (Q @ (m_ @ I @ N))))).
thf(aHypermapo_lemmau_glueu_paths, axiom, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_path @ H @ P @ N) & (isu_path @ H @ Q @ M) & ((P @ N) = (Q @ (numeral @ u_0)))) => (isu_path @ H @ (glue @ P @ Q @ N) @ (p_ @ N @ M)))).
thf(aHypermapo_secondu_glueu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:(((P @ N) = (Q @ (numeral @ u_0))) => ((glue @ P @ Q @ N @ (p_ @ N @ I)) = (Q @ I)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_path @ H @ P @ N) & (isu_path @ H @ Q @ M) & ((P @ N) = (Q @ (numeral @ u_0)))) => ?[G:(num > a)]:(((G @ (numeral @ u_0)) = (P @ (numeral @ u_0))) & ((G @ (p_ @ N @ M)) = (Q @ M)) & (isu_path @ H @ G @ (p_ @ N @ M)) & ![I:num]:((l_a_ @ I @ N) => ((G @ I) = (P @ I))) & ![I:num]:((l_a_ @ I @ M) => ((G @ (p_ @ N @ I)) = (Q @ I)))))).
