%   ORIGINAL: Hypermap.concatenate_paths
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.concatenate_two_paths: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_path H g (n + m) /\ (!i. i <= n ==> g i = p i) /\ (!i. i <= m ==> g (n + i) = q i))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_path H g (n + m))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_path H g (n + m) /\ (!i. i <= n ==> g i = p i) /\ (!i. i <= m ==> g (n + i) = q i))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_path H g (n + m))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cisuu_path, type, isu_path : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_concatenateu_twou_paths, axiom, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_path @ H @ P @ N) & (isu_path @ H @ Q @ M) & ((P @ N) = (Q @ (numeral @ u_0)))) => ?[G:(num > a)]:(((G @ (numeral @ u_0)) = (P @ (numeral @ u_0))) & ((G @ (p_ @ N @ M)) = (Q @ M)) & (isu_path @ H @ G @ (p_ @ N @ M)) & ![I:num]:((l_a_ @ I @ N) => ((G @ I) = (P @ I))) & ![I:num]:((l_a_ @ I @ M) => ((G @ (p_ @ N @ I)) = (Q @ I)))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_path @ H @ P @ N) & (isu_path @ H @ Q @ M) & ((P @ N) = (Q @ (numeral @ u_0)))) => ?[G:(num > a)]:(((G @ (numeral @ u_0)) = (P @ (numeral @ u_0))) & ((G @ (p_ @ N @ M)) = (Q @ M)) & (isu_path @ H @ G @ (p_ @ N @ M))))).
