%   ORIGINAL: Hypermap.lemma_component_trans
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.comb_component: !H x. comb_component H x = {y | is_in_component H x y}
% Assm: Hypermap.concatenate_paths: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_path H g (n + m))
% Assm: Hypermap.is_in_component: !x y H. is_in_component H x y <=> (?p n. p 0 = x /\ p n = y /\ is_path H p n)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x y z. y IN comb_component H x /\ z IN comb_component H y ==> z IN comb_component H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !H x. comb_component H x = {y | is_in_component H x y}
% Assm: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_path H g (n + m))
% Assm: !x y H. is_in_component H x y <=> (?p n. p 0 = x /\ p n = y /\ is_path H p n)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !H x y z. y IN comb_component H x /\ z IN comb_component H y ==> z IN comb_component H x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cisuu_path, type, isu_path : (hypermapa > (num > a) > num > $o)).
thf(cisuu_inuu_component, type, isu_inu_component : (hypermapa > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_combu_component, axiom, ![H:hypermapa,X:a]:((combu_component @ H @ X) = (gspec @ ^[GENR_PVARR_232:a]:?[Y:a]:(setspec @ GENR_PVARR_232 @ (isu_inu_component @ H @ X @ Y) @ Y)))).
thf(aHypermapo_concatenateu_paths, axiom, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_path @ H @ P @ N) & (isu_path @ H @ Q @ M) & ((P @ N) = (Q @ (numeral @ u_0)))) => ?[G:(num > a)]:(((G @ (numeral @ u_0)) = (P @ (numeral @ u_0))) & ((G @ (p_ @ N @ M)) = (Q @ M)) & (isu_path @ H @ G @ (p_ @ N @ M))))).
thf(aHypermapo_isu_inu_component, axiom, ![X:a,Y:a,H:hypermapa]:((isu_inu_component @ H @ X @ Y) <=> ?[P:(num > a),N:num]:(((P @ (numeral @ u_0)) = X) & ((P @ N) = Y) & (isu_path @ H @ P @ N)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a,Z:a]:(((in @ Y @ (combu_component @ H @ X)) & (in @ Z @ (combu_component @ H @ Y))) => (in @ Z @ (combu_component @ H @ X)))).
