%   ORIGINAL: Hypermap.lemma_reverse_path
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.concatenate_two_paths: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_path H g (n + m) /\ (!i. i <= n ==> g i = p i) /\ (!i. i <= m ==> g (n + i) = q i))
% Assm: Hypermap.edge_path: !H x i. edge_path H x i = (edge_map H POWER i) x
% Assm: Hypermap.face_path: !H x i. face_path H x i = (face_map H POWER i) x
% Assm: Hypermap.go_one_step: !y H x. go_one_step H x y <=> y = edge_map H x \/ y = node_map H x \/ y = face_map H x
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.inverse_relation: !s p x y. FINITE s /\ p permutes s /\ y = p x ==> (?k. x = (p POWER k) y)
% Assm: Hypermap.is_path_conjunct0: is_path H p 0 <=> T
% Assm: Hypermap.is_path_conjunct1: is_path H p (SUC n) <=> is_path H p n /\ go_one_step H (p n) (p (SUC n))
% Assm: Hypermap.lemma_edge_path: !H x k. is_path H (edge_path H x) k
% Assm: Hypermap.lemma_face_path: !H x k. is_path H (face_path H x) k
% Assm: Hypermap.lemma_node_path: !H x k. is_path H (node_path H x) k
% Assm: Hypermap.node_path: !H x i. node_path H x i = (node_map H POWER i) x
% Assm: I_THM: !x. I x = x
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H p n. is_path H p n ==> (?q m. q 0 = p n /\ q m = p 0 /\ is_path H q m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !H p q n m. is_path H p n /\ is_path H q m /\ p n = q 0 ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_path H g (n + m) /\ (!i. i <= n ==> g i = p i) /\ (!i. i <= m ==> g (n + i) = q i))
% Assm: !H x i. edge_path H x i = (edge_map H POWER i) x
% Assm: !H x i. face_path H x i = (face_map H POWER i) x
% Assm: !y H x. go_one_step H x y <=> y = edge_map H x \/ y = node_map H x \/ y = face_map H x
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !s p x y. FINITE s /\ p permutes s /\ y = p x ==> (?k. x = (p POWER k) y)
% Assm: !H p. is_path H p 0 <=> T
% Assm: !H p n. is_path H p (SUC n) <=> is_path H p n /\ go_one_step H (p n) (p (SUC n))
% Assm: !H x k. is_path H (edge_path H x) k
% Assm: !H x k. is_path H (face_path H x) k
% Assm: !H x k. is_path H (node_path H x) k
% Assm: !H x i. node_path H x i = (node_map H POWER i) x
% Assm: !x. I x = x
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H p n. is_path H p n ==> (?q m. q 0 = p n /\ q m = p 0 /\ is_path H q m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cnodeuu_path, type, nodeu_path : (hypermapa > a > num > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cgouu_oneuu_step, type, gou_oneu_step : (hypermapa > a > a > $o)).
thf(cfaceuu_path, type, faceu_path : (hypermapa > a > num > a)).
thf(cedgeuu_path, type, edgeu_path : (hypermapa > a > num > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cisuu_path, type, isu_path : (hypermapa > (num > a) > num > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_concatenateu_twou_paths, axiom, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_path @ H @ P @ N) & (isu_path @ H @ Q @ M) & ((P @ N) = (Q @ (numeral @ u_0)))) => ?[G:(num > a)]:(((G @ (numeral @ u_0)) = (P @ (numeral @ u_0))) & ((G @ (p_ @ N @ M)) = (Q @ M)) & (isu_path @ H @ G @ (p_ @ N @ M)) & ![I:num]:((l_a_ @ I @ N) => ((G @ I) = (P @ I))) & ![I:num]:((l_a_ @ I @ M) => ((G @ (p_ @ N @ I)) = (Q @ I)))))).
thf(aHypermapo_edgeu_path, axiom, ![H:hypermapa,X:a,I:num]:((edgeu_path @ H @ X @ I) = (power @ (edgeu_map @ H) @ I @ X))).
thf(aHypermapo_faceu_path, axiom, ![H:hypermapa,X:a,I:num]:((faceu_path @ H @ X @ I) = (power @ (faceu_map @ H) @ I @ X))).
thf(aHypermapo_gou_oneu_step, axiom, ![Y:a,H:hypermapa,X:a]:((gou_oneu_step @ H @ X @ Y) <=> ((Y = (edgeu_map @ H @ X)) | (Y = (nodeu_map @ H @ X)) | (Y = (faceu_map @ H @ X))))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_inverseu_relation, axiom, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((finite @ S) & (permutes @ P @ S) & (Y = (P @ X))) => ?[K:num]:(X = (power @ P @ K @ Y)))).
thf(aHypermapo_isu_pathu_conjunct0, axiom, ![H:hypermapa,P:(num > a)]:((isu_path @ H @ P @ (numeral @ u_0)) <=> $true)).
thf(aHypermapo_isu_pathu_conjunct1, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_path @ H @ P @ (suc @ N)) <=> ((isu_path @ H @ P @ N) & (gou_oneu_step @ H @ (P @ N) @ (P @ (suc @ N)))))).
thf(aHypermapo_lemmau_edgeu_path, axiom, ![H:hypermapa,X:a,K:num]:(isu_path @ H @ (edgeu_path @ H @ X) @ K)).
thf(aHypermapo_lemmau_faceu_path, axiom, ![H:hypermapa,X:a,K:num]:(isu_path @ H @ (faceu_path @ H @ X) @ K)).
thf(aHypermapo_lemmau_nodeu_path, axiom, ![H:hypermapa,X:a,K:num]:(isu_path @ H @ (nodeu_path @ H @ X) @ K)).
thf(aHypermapo_nodeu_path, axiom, ![H:hypermapa,X:a,I:num]:((nodeu_path @ H @ X @ I) = (power @ (nodeu_map @ H) @ I @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),N:num]:((isu_path @ H @ P @ N) => ?[Q:(num > a),M:num]:(((Q @ (numeral @ u_0)) = (P @ N)) & ((Q @ M) = (P @ (numeral @ u_0))) & (isu_path @ H @ Q @ M)))).
