%   ORIGINAL: Hypermap.partition_components
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.lemma_component_symmetry: !H x y. y IN comb_component H x ==> x IN comb_component H y
% Assm: Hypermap.lemma_component_trans: !H x y z. y IN comb_component H x /\ z IN comb_component H y ==> z IN comb_component H x
% Assm: INTER: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: TRUTH: T
% Goal: !H x y. comb_component H x = comb_component H y \/ comb_component H x INTER comb_component H y = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H x y. y IN comb_component H x ==> x IN comb_component H y
% Assm: !H x y z. y IN comb_component H x /\ z IN comb_component H y ==> z IN comb_component H x
% Assm: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: T
% Goal: !H x y. comb_component H x = comb_component H y \/ comb_component H x INTER comb_component H y = {}
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_lemmau_componentu_symmetry, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (combu_component @ H @ X)) => (in @ X @ (combu_component @ H @ Y)))).
thf(aHypermapo_lemmau_componentu_trans, axiom, ![H:hypermapa,X:a,Y:a,Z:a]:(((in @ Y @ (combu_component @ H @ X)) & (in @ Z @ (combu_component @ H @ Y))) => (in @ Z @ (combu_component @ H @ X)))).
thf(aINTER, axiom, ![S:(a > $o),T:(a > $o)]:((inter @ S @ T) = (gspec @ ^[GENR_PVARR_2:a]:?[X:a]:(setspec @ GENR_PVARR_2 @ ((in @ X @ S) & (in @ X @ T)) @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(a > $o)]:(?[X:a]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:(((combu_component @ H @ X) = (combu_component @ H @ Y)) | ((inter @ (combu_component @ H @ X) @ (combu_component @ H @ Y)) = empty))).
