%   ORIGINAL: Hypermap.lemma_partition_by_components
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.lemma_component_reflect: !H x. x IN comb_component H x
% Assm: Hypermap.lemma_component_subset: !H x. x IN dart H ==> comb_component H x SUBSET dart H
% Assm: Hypermap.set_of_components: !H. set_of_components H = set_part_components H (dart H)
% Assm: Hypermap.set_part_components: !D H. set_part_components H D = {comb_component H x | x IN D}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !H. dart H = UNIONS (set_of_components H)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H x. x IN comb_component H x
% Assm: !H x. x IN dart H ==> comb_component H x SUBSET dart H
% Assm: !H. set_of_components H = set_part_components H (dart H)
% Assm: !D H. set_part_components H D = {comb_component H x | x IN D}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !H. dart H = UNIONS (set_of_components H)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetuu_ofuu_components, type, setu_ofu_components : (hypermapa > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(csetuu_partuu_components, type, setu_partu_components : (hypermapa > (a > $o) > (a > $o) > $o)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_lemmau_componentu_reflect, axiom, ![H:hypermapa,X:a]:(in @ X @ (combu_component @ H @ X))).
thf(aHypermapo_lemmau_componentu_subset, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => (subset @ (combu_component @ H @ X) @ (dart @ H)))).
thf(aHypermapo_setu_ofu_components, axiom, ![H:hypermapa]:((setu_ofu_components @ H) = (setu_partu_components @ H @ (dart @ H)))).
thf(aHypermapo_setu_partu_components, axiom, ![D:(a > $o),H:hypermapa]:((setu_partu_components @ H @ D) = (gspec @ ^[GENR_PVARR_235:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_235 @ (in @ X @ D) @ (combu_component @ H @ X))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in0 @ X @ (gspec @ ^[V:(a > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:((dart @ H) = (unions @ (setu_ofu_components @ H)))).
