%   ORIGINAL: Hypermap.lemma_glue_contours
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: Hypermap.first_glue_evaluation: !p q n i. i <= n ==> glue p q n i = p i
% Assm: Hypermap.lemma_def_contour: !H p n. is_contour H p n <=> (!i. i < n ==> one_step_contour H (p i) (p (SUC i)))
% Assm: Hypermap.second_glue_evaluation: !p q n i. p n = q 0 ==> glue p q n (n + i) = q i
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LE_SUC_LT: !m n. SUC m <= n <=> m < n
% Assm: LT_ADD_LCANCEL: !m n p. m + n < m + p <=> n < p
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: TRUTH: T
% Goal: !H p q n m. is_contour H p n /\ is_contour H q m /\ p n = q 0 ==> is_contour H (glue p q n) (n + m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !p q n i. i <= n ==> glue p q n i = p i
% Assm: !H p n. is_contour H p n <=> (!i. i < n ==> one_step_contour H (p i) (p (SUC i)))
% Assm: !p q n i. p n = q 0 ==> glue p q n (n + i) = q i
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !m n. SUC m <= n <=> m < n
% Assm: !m n p. m + n < m + p <=> n < p
% Assm: !m n. m < n ==> m <= n
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: T
% Goal: !H p q n m. is_contour H p n /\ is_contour H q m /\ p n = q 0 ==> is_contour H (glue p q n) (n + m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(cglue, type, glue : ((num > a) > (num > a) > num > num > a)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aHypermapo_firstu_glueu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:((l_a_ @ I @ N) => ((glue @ P @ Q @ N @ I) = (P @ I)))).
thf(aHypermapo_lemmau_defu_contour, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_contour @ H @ P @ N) <=> ![I:num]:((l_ @ I @ N) => (oneu_stepu_contour @ H @ (P @ I) @ (P @ (suc @ I)))))).
thf(aHypermapo_secondu_glueu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:(((P @ N) = (Q @ (numeral @ u_0))) => ((glue @ P @ Q @ N @ (p_ @ N @ I)) = (Q @ I)))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLEu_SUCu_LT, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ N) <=> (l_ @ M @ N))).
thf(aLTu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_ @ N @ P))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_contour @ H @ P @ N) & (isu_contour @ H @ Q @ M) & ((P @ N) = (Q @ (numeral @ u_0)))) => (isu_contour @ H @ (glue @ P @ Q @ N) @ (p_ @ N @ M)))).
