%   ORIGINAL: Hypermap.lemma_node_contour
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: Hypermap.is_contour_conjunct0: is_contour H p 0 <=> T
% Assm: Hypermap.is_contour_conjunct1: is_contour H p (SUC n) <=> is_contour H p n /\ one_step_contour H (p n) (p (SUC n))
% Assm: Hypermap.node_contour: !H x i. node_contour H x i = (inverse (node_map H) POWER i) x
% Assm: Hypermap.one_step_contour: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H x k. is_contour H (node_contour H x) k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !H p. is_contour H p 0 <=> T
% Assm: !H p n. is_contour H p (SUC n) <=> is_contour H p n /\ one_step_contour H (p n) (p (SUC n))
% Assm: !H x i. node_contour H x i = (inverse (node_map H) POWER i) x
% Assm: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H x k. is_contour H (node_contour H x) k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cnodeuu_contour, type, nodeu_contour : (hypermapa > a > num > a)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aHypermapo_isu_contouru_conjunct0, axiom, ![H:hypermapa,P:(num > a)]:((isu_contour @ H @ P @ (numeral @ u_0)) <=> $true)).
thf(aHypermapo_isu_contouru_conjunct1, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_contour @ H @ P @ (suc @ N)) <=> ((isu_contour @ H @ P @ N) & (oneu_stepu_contour @ H @ (P @ N) @ (P @ (suc @ N)))))).
thf(aHypermapo_nodeu_contour, axiom, ![H:hypermapa,X:a,I:num]:((nodeu_contour @ H @ X @ I) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X))).
thf(aHypermapo_oneu_stepu_contour, axiom, ![Y:a,H:hypermapa,X:a]:((oneu_stepu_contour @ H @ X @ Y) <=> ((Y = (faceu_map @ H @ X)) | (Y = (inverse @ (nodeu_map @ H) @ X))))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,X:a,K:num]:(isu_contour @ H @ (nodeu_contour @ H @ X) @ K)).
