%   ORIGINAL: Hypermap.lemma_sub_inj_contour
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.is_inj_contour_conjunct0: is_inj_contour H p 0 <=> T
% Assm: Hypermap.is_inj_contour_conjunct1: is_inj_contour H p (SUC n) <=> is_inj_contour H p n /\ one_step_contour H (p n) (p (SUC n)) /\ (!i. i <= n ==> ~(p i = p (SUC n)))
% Assm: Hypermap.lemma_add_one_assumption: !P n. (!i. i <= SUC n ==> P i) <=> (!i. i <= n ==> P i) /\ P (SUC n)
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H p n. is_inj_contour H p n ==> (!i. i <= n ==> is_inj_contour H p i)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H p. is_inj_contour H p 0 <=> T
% Assm: !H p n. is_inj_contour H p (SUC n) <=> is_inj_contour H p n /\ one_step_contour H (p n) (p (SUC n)) /\ (!i. i <= n ==> ~(p i = p (SUC n)))
% Assm: !P n. (!i. i <= SUC n ==> P i) <=> (!i. i <= n ==> P i) /\ P (SUC n)
% Assm: !m. m <= 0 <=> m = 0
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H p n. is_inj_contour H p n ==> (!i. i <= n ==> is_inj_contour H p i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_isu_inju_contouru_conjunct0, axiom, ![H:hypermapa,P:(num > a)]:((isu_inju_contour @ H @ P @ (numeral @ u_0)) <=> $true)).
thf(aHypermapo_isu_inju_contouru_conjunct1, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_inju_contour @ H @ P @ (suc @ N)) <=> ((isu_inju_contour @ H @ P @ N) & (oneu_stepu_contour @ H @ (P @ N) @ (P @ (suc @ N))) & ![I:num]:((l_a_ @ I @ N) => ~ (((P @ I) = (P @ (suc @ N)))))))).
thf(aHypermapo_lemmau_addu_oneu_assumption, axiom, ![P:(num > $o),N:num]:(![I:num]:((l_a_ @ I @ (suc @ N)) => (P @ I)) <=> (![I:num]:((l_a_ @ I @ N) => (P @ I)) & (P @ (suc @ N))))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),N:num]:((isu_inju_contour @ H @ P @ N) => ![I:num]:((l_a_ @ I @ N) => (isu_inju_contour @ H @ P @ I)))).
