%   ORIGINAL: Hypermap.degenerate_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.cyclic_maps: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> n o f o e = I /\ f o e o n = I
% Assm: Hypermap.dart_degenerate: !H x. dart_degenerate H x <=> edge_map H x = x \/ node_map H x = x \/ face_map H x = x
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.is_edge_degenerate: !H x. is_edge_degenerate H x <=> edge_map H x = x /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: Hypermap.is_face_degenerate: !H x. is_face_degenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ face_map H x = x
% Assm: Hypermap.is_node_degenerate: !H x. is_node_degenerate H x <=> ~(edge_map H x = x) /\ node_map H x = x /\ ~(face_map H x = x)
% Assm: Hypermap.isolated_dart: !H x. isolated_dart H x <=> edge_map H x = x /\ node_map H x = x /\ face_map H x = x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H x. dart_degenerate H x <=> isolated_dart H x \/ is_edge_degenerate H x \/ is_node_degenerate H x \/ is_face_degenerate H x
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> n o f o e = I /\ f o e o n = I
% Assm: !H x. dart_degenerate H x <=> edge_map H x = x \/ node_map H x = x \/ face_map H x = x
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H x. is_edge_degenerate H x <=> edge_map H x = x /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: !H x. is_face_degenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ face_map H x = x
% Assm: !H x. is_node_degenerate H x <=> ~(edge_map H x = x) /\ node_map H x = x /\ ~(face_map H x = x)
% Assm: !H x. isolated_dart H x <=> edge_map H x = x /\ node_map H x = x /\ face_map H x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x <=> f (g x)
% Goal: !H x. dart_degenerate H x <=> isolated_dart H x \/ is_edge_degenerate H x \/ is_node_degenerate H x \/ is_face_degenerate H x
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cisuu_faceuu_degenerate, type, isu_faceu_degenerate : (hypermapa > a > $o)).
thf(cisuu_nodeuu_degenerate, type, isu_nodeu_degenerate : (hypermapa > a > $o)).
thf(cisuu_edgeuu_degenerate, type, isu_edgeu_degenerate : (hypermapa > a > $o)).
thf(cisolateduu_dart, type, isolatedu_dart : (hypermapa > a > $o)).
thf(cdartuu_degenerate, type, dartu_degenerate : (hypermapa > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(co0, type, o0 : ((b > $o) > (a > b) > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(ci0, type, i0 : ($o > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_cyclicu_maps, axiom, ![D:(a > $o),E:(a > a),N:(a > a),F:(a > a)]:(((finite @ D) & (permutes @ E @ D) & (permutes @ N @ D) & (permutes @ F @ D) & ((o @ E @ (o @ N @ F)) = i)) => (((o @ N @ (o @ F @ E)) = i) & ((o @ F @ (o @ E @ N)) = i)))).
thf(aHypermapo_dartu_degenerate, axiom, ![H:hypermapa,X:a]:((dartu_degenerate @ H @ X) <=> (((edgeu_map @ H @ X) = X) | ((nodeu_map @ H @ X) = X) | ((faceu_map @ H @ X) = X)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_isu_edgeu_degenerate, axiom, ![H:hypermapa,X:a]:((isu_edgeu_degenerate @ H @ X) <=> (((edgeu_map @ H @ X) = X) & ~ (((nodeu_map @ H @ X) = X)) & ~ (((faceu_map @ H @ X) = X))))).
thf(aHypermapo_isu_faceu_degenerate, axiom, ![H:hypermapa,X:a]:((isu_faceu_degenerate @ H @ X) <=> (~ (((edgeu_map @ H @ X) = X)) & ~ (((nodeu_map @ H @ X) = X)) & ((faceu_map @ H @ X) = X)))).
thf(aHypermapo_isu_nodeu_degenerate, axiom, ![H:hypermapa,X:a]:((isu_nodeu_degenerate @ H @ X) <=> (~ (((edgeu_map @ H @ X) = X)) & ((nodeu_map @ H @ X) = X) & ~ (((faceu_map @ H @ X) = X))))).
thf(aHypermapo_isolatedu_dart, axiom, ![H:hypermapa,X:a]:((isolatedu_dart @ H @ X) <=> (((edgeu_map @ H @ X) = X) & ((nodeu_map @ H @ X) = X) & ((faceu_map @ H @ X) = X)))).
thf(aIu_THM, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > $o),G:(a > b),X:a]:((o0 @ F @ G @ X) <=> (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((dartu_degenerate @ H @ X) <=> ((isolatedu_dart @ H @ X) | (isu_edgeu_degenerate @ H @ X) | (isu_nodeu_degenerate @ H @ X) | (isu_faceu_degenerate @ H @ X)))).
