%   ORIGINAL: Hypermap.lemma_category_darts
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.dart_degenerate: !H x. dart_degenerate H x <=> edge_map H x = x \/ node_map H x = x \/ face_map H x = x
% Assm: Hypermap.dart_nondegenerate: !H x. dart_nondegenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. dart_nondegenerate H x \/ dart_degenerate H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H x. dart_degenerate H x <=> edge_map H x = x \/ node_map H x = x \/ face_map H x = x
% Assm: !H x. dart_nondegenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. dart_nondegenerate H x \/ dart_degenerate H x
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdartuu_degenerate, type, dartu_degenerate : (hypermapa > a > $o)).
thf(cdartuu_nondegenerate, type, dartu_nondegenerate : (hypermapa > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_dartu_degenerate, axiom, ![H:hypermapa,X:a]:((dartu_degenerate @ H @ X) <=> (((edgeu_map @ H @ X) = X) | ((nodeu_map @ H @ X) = X) | ((faceu_map @ H @ X) = X)))).
thf(aHypermapo_dartu_nondegenerate, axiom, ![H:hypermapa,X:a]:((dartu_nondegenerate @ H @ X) <=> (~ (((edgeu_map @ H @ X) = X)) & ~ (((nodeu_map @ H @ X) = X)) & ~ (((faceu_map @ H @ X) = X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((dartu_nondegenerate @ H @ X) | (dartu_degenerate @ H @ X))).
