%   ORIGINAL: Hypermap.lemma_hypermap_eq
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.dart: !H. dart H = FST (tuple_hypermap H)
% Assm: Hypermap.edge_map: !H. edge_map H = FST (SND (tuple_hypermap H))
% Assm: Hypermap.face_map: !H. face_map H = SND (SND (SND (tuple_hypermap H)))
% Assm: Hypermap.hypermap_tybij_conjunct0: !a. hypermap (tuple_hypermap a) = a
% Assm: Hypermap.hypermap_tybij_conjunct1: !r. FINITE (FST r) /\ FST (SND r) permutes FST r /\ FST (SND (SND r)) permutes FST r /\ SND (SND (SND r)) permutes FST r /\ FST (SND r) o FST (SND (SND r)) o SND (SND (SND r)) = I <=> tuple_hypermap (hypermap r) = r
% Assm: Hypermap.lemma_pair_eq: !S U. FST S = FST U /\ FST (SND S) = FST (SND U) /\ FST (SND (SND S)) = FST (SND (SND U)) /\ SND (SND (SND S)) = SND (SND (SND U)) ==> S = U
% Assm: Hypermap.node_map: !H. node_map H = FST (SND (SND (tuple_hypermap H)))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H H'. H = H' <=> dart H = dart H' /\ edge_map H = edge_map H' /\ node_map H = node_map H' /\ face_map H = face_map H'
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H. dart H = FST (tuple_hypermap H)
% Assm: !H. edge_map H = FST (SND (tuple_hypermap H))
% Assm: !H. face_map H = SND (SND (SND (tuple_hypermap H)))
% Assm: !a. hypermap (tuple_hypermap a) = a
% Assm: !r. FINITE (FST r) /\ FST (SND r) permutes FST r /\ FST (SND (SND r)) permutes FST r /\ SND (SND (SND r)) permutes FST r /\ FST (SND r) o FST (SND (SND r)) o SND (SND (SND r)) = I <=> tuple_hypermap (hypermap r) = r
% Assm: !S U. FST S = FST U /\ FST (SND S) = FST (SND U) /\ FST (SND (SND S)) = FST (SND (SND U)) /\ SND (SND (SND S)) = SND (SND (SND U)) ==> S = U
% Assm: !H. node_map H = FST (SND (SND (tuple_hypermap H)))
% Assm: ~F <=> T
% Assm: T
% Goal: !H H'. H = H' <=> dart H = dart H' /\ edge_map H = edge_map H' /\ node_map H = node_map H' /\ face_map H = face_map H'
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tprodfunaafunaa, type, prodfunaafunaa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunaa, type, funaa : $tType).
thf(tprodfunaboolprodfunaaprodfunaafunaa, type, prodfunaboolprodfunaaprodfunaafunaa : $tType).
thf(tprodfunaaprodfunaafunaa, type, prodfunaaprodfunaafunaa : $tType).
%  CONSTS
thf(chypermap, type, hypermap : (prodfunaboolprodfunaaprodfunaafunaa > hypermapa)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cfst, type, fst : (prodfunaboolprodfunaaprodfunaafunaa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cfst1, type, fst1 : (prodfunaafunaa > a > a)).
thf(csnd0, type, snd0 : (prodfunaafunaa > a > a)).
thf(cfst0, type, fst0 : (prodfunaaprodfunaafunaa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(csnd1, type, snd1 : (prodfunaaprodfunaafunaa > prodfunaafunaa)).
thf(csnd, type, snd : (prodfunaboolprodfunaaprodfunaafunaa > prodfunaaprodfunaafunaa)).
thf(ctupleuu_hypermap, type, tupleu_hypermap : (hypermapa > prodfunaboolprodfunaaprodfunaafunaa)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_dart, axiom, ![H:hypermapa]:((dart @ H) = (fst @ (tupleu_hypermap @ H)))).
thf(aHypermapo_edgeu_map, axiom, ![H:hypermapa]:((edgeu_map @ H) = (fst0 @ (snd @ (tupleu_hypermap @ H))))).
thf(aHypermapo_faceu_map, axiom, ![H:hypermapa]:((faceu_map @ H) = (snd0 @ (snd1 @ (snd @ (tupleu_hypermap @ H)))))).
thf(aHypermapo_hypermapu_tybiju_conjunct0, axiom, ![A:hypermapa]:((hypermap @ (tupleu_hypermap @ A)) = A)).
thf(aHypermapo_hypermapu_tybiju_conjunct1, axiom, ![R:prodfunaboolprodfunaaprodfunaafunaa]:(((finite @ (fst @ R)) & (permutes @ (fst0 @ (snd @ R)) @ (fst @ R)) & (permutes @ (fst1 @ (snd1 @ (snd @ R))) @ (fst @ R)) & (permutes @ (snd0 @ (snd1 @ (snd @ R))) @ (fst @ R)) & ((o @ (fst0 @ (snd @ R)) @ (o @ (fst1 @ (snd1 @ (snd @ R))) @ (snd0 @ (snd1 @ (snd @ R))))) = i)) <=> ((tupleu_hypermap @ (hypermap @ R)) = R))).
thf(aHypermapo_lemmau_pairu_eq, axiom, ![S:prodfunaboolprodfunaaprodfunaafunaa,U:prodfunaboolprodfunaaprodfunaafunaa]:((((fst @ S) = (fst @ U)) & ((fst0 @ (snd @ S)) = (fst0 @ (snd @ U))) & ((fst1 @ (snd1 @ (snd @ S))) = (fst1 @ (snd1 @ (snd @ U)))) & ((snd0 @ (snd1 @ (snd @ S))) = (snd0 @ (snd1 @ (snd @ U))))) => (S = U))).
thf(aHypermapo_nodeu_map, axiom, ![H:hypermapa]:((nodeu_map @ H) = (fst1 @ (snd1 @ (snd @ (tupleu_hypermap @ H)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,HI_:hypermapa]:((H = HI_) <=> (((dart @ H) = (dart @ HI_)) & ((edgeu_map @ H) = (edgeu_map @ HI_)) & ((nodeu_map @ H) = (nodeu_map @ HI_)) & ((faceu_map @ H) = (faceu_map @ HI_))))).
