%   ORIGINAL: Hypermap.shift_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.hypermap_cyclic: !H. node_map H o face_map H o edge_map H = I /\ face_map H o edge_map H o node_map H = I
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.lemma_hypermap_rep: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> dart (hypermap (D,e,n,f)) = D /\ edge_map (hypermap (D,e,n,f)) = e /\ node_map (hypermap (D,e,n,f)) = n /\ face_map (hypermap (D,e,n,f)) = f
% Assm: Hypermap.shift: !H. shift H = hypermap (dart H,node_map H,face_map H,edge_map H)
% Assm: TRUTH: T
% Goal: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. node_map H o face_map H o edge_map H = I /\ face_map H o edge_map H o node_map H = I
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> dart (hypermap (D,e,n,f)) = D /\ edge_map (hypermap (D,e,n,f)) = e /\ node_map (hypermap (D,e,n,f)) = n /\ face_map (hypermap (D,e,n,f)) = f
% Assm: !H. shift H = hypermap (dart H,node_map H,face_map H,edge_map H)
% Assm: T
% Goal: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tprodfunaafunaa, type, prodfunaafunaa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunaa, type, funaa : $tType).
thf(tprodfunaboolprodfunaaprodfunaafunaa, type, prodfunaboolprodfunaaprodfunaafunaa : $tType).
thf(tprodfunaaprodfunaafunaa, type, prodfunaaprodfunaafunaa : $tType).
%  CONSTS
thf(chypermap, type, hypermap : (prodfunaboolprodfunaaprodfunaafunaa > hypermapa)).
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(ccu_1, type, c_1 : ((a > a) > (a > a) > prodfunaafunaa)).
thf(ccu_0, type, c_0 : ((a > a) > prodfunaafunaa > prodfunaaprodfunaafunaa)).
thf(ccu_, type, c_ : ((a > $o) > prodfunaaprodfunaafunaa > prodfunaboolprodfunaaprodfunaafunaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_hypermapu_cyclic, axiom, ![H:hypermapa]:(((o @ (nodeu_map @ H) @ (o @ (faceu_map @ H) @ (edgeu_map @ H))) = i) & ((o @ (faceu_map @ H) @ (o @ (edgeu_map @ H) @ (nodeu_map @ H))) = i))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_lemmau_hypermapu_rep, axiom, ![D:(a > $o),E:(a > a),N:(a > a),F:(a > a)]:(((finite @ D) & (permutes @ E @ D) & (permutes @ N @ D) & (permutes @ F @ D) & ((o @ E @ (o @ N @ F)) = i)) => (((dart @ (hypermap @ (c_ @ D @ (c_0 @ E @ (c_1 @ N @ F))))) = D) & ((edgeu_map @ (hypermap @ (c_ @ D @ (c_0 @ E @ (c_1 @ N @ F))))) = E) & ((nodeu_map @ (hypermap @ (c_ @ D @ (c_0 @ E @ (c_1 @ N @ F))))) = N) & ((faceu_map @ (hypermap @ (c_ @ D @ (c_0 @ E @ (c_1 @ N @ F))))) = F)))).
thf(aHypermapo_shift, axiom, ![H:hypermapa]:((shift @ H) = (hypermap @ (c_ @ (dart @ H) @ (c_0 @ (nodeu_map @ H) @ (c_1 @ (faceu_map @ H) @ (edgeu_map @ H))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map @ H) = (faceu_map @ (shift @ H))) & ((nodeu_map @ H) = (edgeu_map @ (shift @ H))) & ((faceu_map @ H) = (nodeu_map @ (shift @ H))))).
