%   ORIGINAL: Hypermap.lemma_face_degenerate
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.inverse_hypermap_maps: !H. inverse (edge_map H) = node_map H o face_map H /\ inverse (node_map H) = face_map H o edge_map H /\ inverse (face_map H) = edge_map H o node_map H
% Assm: PERMUTES_INJECTIVE: !p s. p permutes s ==> (!x y. p x = p y <=> x = y)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H x. face_map H x = x <=> node_map H x = inverse (edge_map H) x
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H. inverse (edge_map H) = node_map H o face_map H /\ inverse (node_map H) = face_map H o edge_map H /\ inverse (face_map H) = edge_map H o node_map H
% Assm: !p s. p permutes s ==> (!x y. (p x <=> p y) <=> x <=> y)
% Assm: !p s. p permutes s ==> (!x y. p x = p y <=> x = y)
% Assm: T
% Assm: !f g x. (f o g) x <=> f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H x. face_map H x = x <=> node_map H x = inverse (edge_map H) x
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes0, type, permutes0 : (($o > $o) > ($o > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(co1, type, o1 : ((b > a) > (a > b) > a > a)).
thf(co0, type, o0 : ((b > $o) > (a > b) > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_inverseu_hypermapu_maps, axiom, ![H:hypermapa]:(((inverse @ (edgeu_map @ H)) = (o @ (nodeu_map @ H) @ (faceu_map @ H))) & ((inverse @ (nodeu_map @ H)) = (o @ (faceu_map @ H) @ (edgeu_map @ H))) & ((inverse @ (faceu_map @ H)) = (o @ (edgeu_map @ H) @ (nodeu_map @ H))))).
thf(aPERMUTESu_INJECTIVEu_monomorphized1, axiom, ![P:($o > $o),S:($o > $o)]:((permutes0 @ P @ S) => ![X:$o,Y:$o]:(((P @ X) <=> (P @ Y)) <=> (X <=> Y)))).
thf(aPERMUTESu_INJECTIVEu_monomorphized0, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => ![X:a,Y:a]:(((P @ X) = (P @ Y)) <=> (X = Y)))).
thf(aTRUTH, axiom, $true).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > $o),G:(a > b),X:a]:((o0 @ F @ G @ X) <=> (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > a),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((faceu_map @ H @ X) = X) <=> ((nodeu_map @ H @ X) = (inverse @ (edgeu_map @ H) @ X)))).
