%   ORIGINAL: Hypermap.non_fixed_point_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.fixed_point_lemma: !D p. p permutes D ==> (!x. p x = x <=> inverse p x = x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s p. p permutes s ==> (!x. ~(p x = x) <=> ~(inverse p x = x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !D p. p permutes D ==> (!x. p x = x <=> inverse p x = x)
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !s p. p permutes s ==> (!x. ~(p x = x) <=> ~(inverse p x = x))
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(ci, type, i : ($o > $o)).
thf(ci0, type, i0 : (a > a)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_fixedu_pointu_lemma, axiom, ![D:(a > $o),P:(a > a)]:((permutes @ P @ D) => ![X:a]:(((P @ X) = X) <=> ((inverse @ P @ X) = X)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![X:a]:(~ (((P @ X) = X)) <=> ~ (((inverse @ P @ X) = X))))).
