%   ORIGINAL: Hypermap.aux_permutes_conversion
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSE_EQ: !p s. p permutes s ==> (!x y. inverse p y = x <=> p x = y)
% Assm: TRUTH: T
% Goal: !D p q x y. p permutes D /\ q permutes D ==> (inverse p (inverse q x) = y <=> q (p y) = x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> (!x y. inverse p y = x <=> p x = y)
% Assm: T
% Goal: !D p q x y. p permutes D /\ q permutes D ==> (inverse p (inverse q x) = y <=> q (p y) = x)
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(ci, type, i : ($o > $o)).
thf(ci0, type, i0 : (a > a)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIu_THMu_monomorphized1, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSEu_EQ, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => ![X:a,Y:a]:(((inverse @ P @ Y) = X) <=> ((P @ X) = Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![D:(a > $o),P:(a > a),Q:(a > a),X:a,Y:a]:(((permutes @ P @ D) & (permutes @ Q @ D)) => (((inverse @ P @ (inverse @ Q @ X)) = Y) <=> ((Q @ (P @ Y)) = X)))).
