%   ORIGINAL: Hypermap.lemma_inj_orbit_via_list
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.inj_orbit_conjunct0: inj_orbit p x 0 <=> T
% Assm: Hypermap.inj_orbit_conjunct1: inj_orbit p x (SUC n) <=> inj_orbit p x n /\ (!j. j <= n ==> ~((p POWER SUC n) x = (p POWER j) x))
% Assm: Hypermap.is_inj_list_conjunct0: is_inj_list p 0 <=> T
% Assm: Hypermap.is_inj_list_conjunct1: is_inj_list p (SUC n) <=> is_inj_list p n /\ (!i. i <= n ==> ~(p i = p (SUC n)))
% Assm: Hypermap.power_list: !p x. power_list p x = (\i. (p POWER i) x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !p x. inj_orbit p x 0 <=> T
% Assm: !n p x. inj_orbit p x (SUC n) <=> inj_orbit p x n /\ (!j. j <= n ==> ~((p POWER SUC n) x = (p POWER j) x))
% Assm: !p. is_inj_list p 0 <=> T
% Assm: !p n. is_inj_list p (SUC n) <=> is_inj_list p n /\ (!i. i <= n ==> ~(p i = p (SUC n)))
% Assm: !p x. power_list p x = (\i. (p POWER i) x)
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cpoweruu_list, type, poweru_list : ((a > a) > a > num > a)).
thf(cinjuu_orbit, type, inju_orbit : ((a > a) > a > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_inju_orbitu_conjunct0, axiom, ![P:(a > a),X:a]:((inju_orbit @ P @ X @ (numeral @ u_0)) <=> $true)).
thf(aHypermapo_inju_orbitu_conjunct1, axiom, ![N:num,P:(a > a),X:a]:((inju_orbit @ P @ X @ (suc @ N)) <=> ((inju_orbit @ P @ X @ N) & ![J:num]:((l_a_ @ J @ N) => ~ (((power @ P @ (suc @ N) @ X) = (power @ P @ J @ X))))))).
thf(aHypermapo_isu_inju_listu_conjunct0, axiom, ![P:(num > a)]:((isu_inju_list @ P @ (numeral @ u_0)) <=> $true)).
thf(aHypermapo_isu_inju_listu_conjunct1, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ (suc @ N)) <=> ((isu_inju_list @ P @ N) & ![I:num]:((l_a_ @ I @ N) => ~ (((P @ I) = (P @ (suc @ N)))))))).
thf(aHypermapo_poweru_list, axiom, ![P:(a > a),X:a]:((poweru_list @ P @ X) = ^[I:num]:(power @ P @ I @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![P:(a > a),X:a,N:num]:((inju_orbit @ P @ X @ N) <=> (isu_inju_list @ (poweru_list @ P @ X) @ N))).
