%   ORIGINAL: Hypermap.lemma_def_inj_orbit
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.lemma_inj_list: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: Hypermap.lemma_inj_orbit_via_list: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: Hypermap.power_list: !p x. power_list p x = (\i. (p POWER i) x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !p x n. inj_orbit p x n <=> (!i j. i <= n /\ j < i ==> ~((p POWER i) x = (p POWER j) x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j <=> p i))
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: !p x. power_list p x = (\i. (p POWER i) x)
% Assm: ~F <=> T
% Assm: T
% Goal: !p x n. inj_orbit p x n <=> (!i j. i <= n /\ j < i ==> ~((p POWER i) x = (p POWER j) x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cisuu_injuu_list0, type, isu_inju_list0 : ((num > a) > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > $o) > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpoweruu_list, type, poweru_list : ((a > a) > a > num > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cinjuu_orbit, type, inju_orbit : ((a > a) > a > num > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_lemmau_inju_listu_monomorphized1, axiom, ![P:(num > $o),N:num]:((isu_inju_list @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((P @ J) <=> (P @ I)))))).
thf(aHypermapo_lemmau_inju_listu_monomorphized0, axiom, ![P:(num > a),N:num]:((isu_inju_list0 @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((P @ J) = (P @ I)))))).
thf(aHypermapo_lemmau_inju_orbitu_viau_list, axiom, ![P:(a > a),X:a,N:num]:((inju_orbit @ P @ X @ N) <=> (isu_inju_list0 @ (poweru_list @ P @ X) @ N))).
thf(aHypermapo_poweru_list, axiom, ![P:(a > a),X:a]:((poweru_list @ P @ X) = ^[I:num]:(power @ P @ I @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(a > a),X:a,N:num]:((inju_orbit @ P @ X @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((power @ P @ I @ X) = (power @ P @ J @ X)))))).
