%   ORIGINAL: Hypermap.lemma_inj_orbit
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_inj_list2: !p n. is_inj_list p n <=> (!i j. i <= n /\ j <= n /\ p i = p j ==> i = j)
% Assm: Hypermap.lemma_inj_orbit_via_list: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: Hypermap.power_list: !p x. power_list p x = (\i. (p POWER i) x)
% Assm: TRUTH: T
% Goal: !p x n. inj_orbit p x n <=> (!i j. i <= n /\ j <= n /\ (p POWER i) x = (p POWER j) x ==> i = j)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j <= n /\ p i = p j ==> i = j)
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j <= n /\ (p i <=> p j) ==> i = j)
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j <= n /\ p i = p j ==> i = j)
% Assm: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: !p x. power_list p x = (\i. (p POWER i) x)
% Assm: T
% Goal: !p x n. inj_orbit p x n <=> (!i j. i <= n /\ j <= n /\ (p POWER i) x = (p POWER j) x ==> i = j)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cisuu_injuu_list1, type, isu_inju_list1 : ((num > a) > num > $o)).
thf(cisuu_injuu_list0, type, isu_inju_list0 : ((num > $o) > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > num) > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpoweruu_list, type, poweru_list : ((a > a) > a > num > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cinjuu_orbit, type, inju_orbit : ((a > a) > a > num > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_inju_list2u_monomorphized2, axiom, ![P:(num > num),N:num]:((isu_inju_list @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ N) & ((P @ I) = (P @ J))) => (I = J)))).
thf(aHypermapo_lemmau_inju_list2u_monomorphized1, axiom, ![P:(num > $o),N:num]:((isu_inju_list0 @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ N) & ((P @ I) <=> (P @ J))) => (I = J)))).
thf(aHypermapo_lemmau_inju_list2u_monomorphized0, axiom, ![P:(num > a),N:num]:((isu_inju_list1 @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ N) & ((P @ I) = (P @ J))) => (I = J)))).
thf(aHypermapo_lemmau_inju_orbitu_viau_list, axiom, ![P:(a > a),X:a,N:num]:((inju_orbit @ P @ X @ N) <=> (isu_inju_list1 @ (poweru_list @ P @ X) @ N))).
thf(aHypermapo_poweru_list, axiom, ![P:(a > a),X:a]:((poweru_list @ P @ X) = ^[I:num]:(power @ P @ I @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(a > a),X:a,N:num]:((inju_orbit @ P @ X @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ N) & ((power @ P @ I @ X) = (power @ P @ J @ X))) => (I = J)))).
