%   ORIGINAL: Hypermap.lemma_index_on_orbit
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.CARD_ATLEAST_1: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: Hypermap.LT1_NZ: !n. 1 <= n <=> 0 < n
% Assm: Hypermap.lemma_cycle_orbit: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: Hypermap.lemma_orbit_finite: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
% Assm: Hypermap.orbit_cyclic: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: Hypermap.orbit_reflect: !f x. x IN orbit_map f x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: TRUTH: T
% Goal: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> (?n. n < CARD (orbit_map p x) /\ y = (p POWER n) x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: !n. 1 <= n <=> 0 < n
% Assm: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
% Assm: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: !f x. x IN orbit_map f x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: T
% Goal: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> (?n. n < CARD (orbit_map p x) /\ y = (p POWER n) x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_CARDu_ATLEASTu_1, axiom, ![S:(a > $o),X:a]:(((finite @ S) & (in @ X @ S)) => (l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ S)))).
thf(aHypermapo_LT1u_NZ, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) <=> (l_ @ (numeral @ u_0) @ N))).
thf(aHypermapo_lemmau_cycleu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ((power @ P @ (card @ (orbitu_map @ P @ X)) @ X) = X))).
thf(aHypermapo_lemmau_orbitu_finite, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => (finite @ (orbitu_map @ P @ X)))).
thf(aHypermapo_orbitu_cyclic, axiom, ![F:(a > a),M:num,X:a]:((~ ((M = (numeral @ u_0))) & ((power @ F @ M @ X) = X)) => ((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_236:a]:?[K:num]:(setspec @ GENR_PVARR_236 @ (l_ @ K @ M) @ (power @ F @ K @ X)))))).
thf(aHypermapo_orbitu_reflect, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((finite @ S) & (permutes @ P @ S) & (in @ Y @ (orbitu_map @ P @ X))) => ?[N:num]:((l_ @ N @ (card @ (orbitu_map @ P @ X))) & (Y = (power @ P @ N @ X))))).
