%   ORIGINAL: Hypermap.lemma_congruence_on_orbit
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: DIVMOD_EXIST: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
% Assm: EQ_ADD_LCANCEL: !m n p. m + n = m + p <=> n = p
% Assm: Hypermap.CARD_ATLEAST_1: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: Hypermap.LE_SUC_PRE: !n. 1 <= n ==> SUC (PRE n) = n
% Assm: Hypermap.LT1_NZ: !n. 1 <= n <=> 0 < n
% Assm: Hypermap.lemma_add_exponent_function: !p m n x. (p POWER (m + n)) x = (p POWER m) ((p POWER n) x)
% Assm: Hypermap.lemma_cycle_orbit: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: Hypermap.lemma_inj_orbit: !p x n. inj_orbit p x n <=> (!i j. i <= n /\ j <= n /\ (p POWER i) x = (p POWER j) x ==> i = j)
% Assm: Hypermap.lemma_orbit_finite: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
% Assm: Hypermap.lemma_segment_orbit: !s p x. FINITE s /\ p permutes s ==> (!m. m < CARD (orbit_map p x) ==> inj_orbit p x m)
% Assm: Hypermap.orbit_reflect: !f x. x IN orbit_map f x
% Assm: Hypermap.power_map_fix_point: !n f x. (f POWER n) x = x ==> (!m. (f POWER (m * n)) x = x)
% Assm: LE_REFL: !n. n <= n
% Assm: LE_SUC_LT: !m n. SUC m <= n <=> m < n
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: TRUTH: T
% Goal: !s p x n m. FINITE s /\ p permutes s /\ n < CARD (orbit_map p x) /\ (p POWER n) x = (p POWER m) x ==> (?q. m = q * CARD (orbit_map p x) + n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
% Assm: !m n p. m + n = m + p <=> n = p
% Assm: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: !n. 1 <= n ==> SUC (PRE n) = n
% Assm: !n. 1 <= n <=> 0 < n
% Assm: !p m n x. (p POWER (m + n)) x = (p POWER m) ((p POWER n) x)
% Assm: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: !p x n. inj_orbit p x n <=> (!i j. i <= n /\ j <= n /\ (p POWER i) x = (p POWER j) x ==> i = j)
% Assm: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
% Assm: !s p x. FINITE s /\ p permutes s ==> (!m. m < CARD (orbit_map p x) ==> inj_orbit p x m)
% Assm: !f x. x IN orbit_map f x
% Assm: !n f x. (f POWER n) x = x ==> (!m. (f POWER (m * n)) x = x)
% Assm: !n. n <= n
% Assm: !m n. SUC m <= n <=> m < n
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !m n. m < SUC n <=> m <= n
% Assm: T
% Goal: !s p x n m. FINITE s /\ p permutes s /\ n < CARD (orbit_map p x) /\ (p POWER n) x = (p POWER m) x ==> (?q. m = q * CARD (orbit_map p x) + n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinjuu_orbit, type, inju_orbit : ((a > a) > a > num > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cpre, type, pre : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aDIVMODu_EXIST, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ?[Q:num,R:num]:((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)))).
thf(aEQu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:(((p_ @ M @ N) = (p_ @ M @ P)) <=> (N = P))).
thf(aHypermapo_CARDu_ATLEASTu_1, axiom, ![S:(a > $o),X:a]:(((finite @ S) & (in @ X @ S)) => (l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ S)))).
thf(aHypermapo_LEu_SUCu_PRE, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((suc @ (pre @ N)) = N))).
thf(aHypermapo_LT1u_NZ, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) <=> (l_ @ (numeral @ u_0) @ N))).
thf(aHypermapo_lemmau_addu_exponentu_function, axiom, ![P:(a > a),M:num,N:num,X:a]:((power @ P @ (p_ @ M @ N) @ X) = (power @ P @ M @ (power @ P @ N @ X)))).
thf(aHypermapo_lemmau_cycleu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ((power @ P @ (card @ (orbitu_map @ P @ X)) @ X) = X))).
thf(aHypermapo_lemmau_inju_orbit, axiom, ![P:(a > a),X:a,N:num]:((inju_orbit @ P @ X @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ N) & ((power @ P @ I @ X) = (power @ P @ J @ X))) => (I = J)))).
thf(aHypermapo_lemmau_orbitu_finite, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => (finite @ (orbitu_map @ P @ X)))).
thf(aHypermapo_lemmau_segmentu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ![M:num]:((l_ @ M @ (card @ (orbitu_map @ P @ X))) => (inju_orbit @ P @ X @ M)))).
thf(aHypermapo_orbitu_reflect, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(aHypermapo_poweru_mapu_fixu_point, axiom, ![N:num,F:(a > a),X:a]:(((power @ F @ N @ X) = X) => ![M:num]:((power @ F @ (t_ @ M @ N) @ X) = X))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_SUCu_LT, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ N) <=> (l_ @ M @ N))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a,N:num,M:num]:(((finite @ S) & (permutes @ P @ S) & (l_ @ N @ (card @ (orbitu_map @ P @ X))) & ((power @ P @ N @ X) = (power @ P @ M @ X))) => ?[Q:num]:(M = (p_ @ (t_ @ Q @ (card @ (orbitu_map @ P @ X))) @ N)))).
