%   ORIGINAL: Hypermap.lemma_orbit_disjoint
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.partition_orbit: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.X_IN_ITS_ORBIT: x IN orbit_map f x
% Goal: !s p x y. FINITE s /\ p permutes s /\ ~(y IN orbit_map p x) ==> orbit_map p x INTER orbit_map p y = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
% Assm: T
% Assm: !f x. x IN orbit_map f x
% Goal: !s p x y. FINITE s /\ p permutes s /\ ~(y IN orbit_map p x) ==> orbit_map p x INTER orbit_map p y = {}
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_partitionu_orbit, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ![X:a,Y:a]:(((inter @ (orbitu_map @ P @ X) @ (orbitu_map @ P @ Y)) = empty) | ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_Xu_INu_ITSu_ORBIT, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((finite @ S) & (permutes @ P @ S) & ~ ((in @ Y @ (orbitu_map @ P @ X)))) => ((inter @ (orbitu_map @ P @ X) @ (orbitu_map @ P @ Y)) = empty))).
