%   ORIGINAL: Hypermap.INVERSE_POWER_EVALUATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.INVERSE_POWER_MAP: !s p n. FINITE s /\ p permutes s ==> inverse p o (p POWER SUC n) = p POWER n
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !s p x n. FINITE s /\ p permutes s ==> inverse p ((p POWER SUC n) x) = (p POWER n) x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p n. FINITE s /\ p permutes s ==> inverse p o (p POWER SUC n) = p POWER n
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !s p x n. FINITE s /\ p permutes s ==> inverse p ((p POWER SUC n) x) = (p POWER n) x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co0, type, o0 : ((b > a) > (a > b) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_INVERSEu_POWERu_MAP, axiom, ![S:(a > $o),P:(a > a),N:num]:(((finite @ S) & (permutes @ P @ S)) => ((o @ (inverse @ P) @ (power @ P @ (suc @ N))) = (power @ P @ N)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > a),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a,N:num]:(((finite @ S) & (permutes @ P @ S)) => ((inverse @ P @ (power @ P @ (suc @ N) @ X)) = (power @ P @ N @ X)))).
