%   ORIGINAL: Hypermap.lemma_not_in_orbit
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: Hypermap.orbit_map: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: LE_0: !n. 0 <= n
% Assm: TRUTH: T
% Goal: !s p x y n. FINITE s /\ p permutes s /\ ~(y IN orbit_map p x) ==> ~(y = (p POWER n) x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m >= n <=> n <= m
% Assm: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !n. 0 <= n
% Assm: T
% Goal: !s p x y n. FINITE s /\ p permutes s /\ ~(y IN orbit_map p x) ==> ~(y = (p POWER n) x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aHypermapo_orbitu_map, axiom, ![F:(a > a),X:a]:((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_229:a]:?[N:num]:(setspec @ GENR_PVARR_229 @ (g_a_ @ N @ (numeral @ u_0)) @ (power @ F @ N @ X))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a,Y:a,N:num]:(((finite @ S) & (permutes @ P @ S) & ~ ((in @ Y @ (orbitu_map @ P @ X)))) => ~ ((Y = (power @ P @ N @ X))))).
