%   ORIGINAL: Hypermap.lemma_orbit_power
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.in_orbit_lemma: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: Hypermap.lemma_orbit_identity: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: TRUTH: T
% Goal: !s p x n. FINITE s /\ p permutes s ==> orbit_map p x = orbit_map p ((p POWER n) x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: T
% Goal: !s p x n. FINITE s /\ p permutes s ==> orbit_map p x = orbit_map p ((p POWER n) x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_inu_orbitu_lemma, axiom, ![F:(a > a),N:num,X:a,Y:a]:((Y = (power @ F @ N @ X)) => (in @ Y @ (orbitu_map @ F @ X)))).
thf(aHypermapo_lemmau_orbitu_identity, axiom, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((finite @ S) & (permutes @ P @ S) & (in @ Y @ (orbitu_map @ P @ X))) => ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a,N:num]:(((finite @ S) & (permutes @ P @ S)) => ((orbitu_map @ P @ X) = (orbitu_map @ P @ (power @ P @ N @ X))))).
