%   ORIGINAL: Hypermap.lemma_inverse_in_orbit
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.INVERSE_EVALUATION: !s p x. FINITE s /\ p permutes s ==> (?j. inverse p x = (p POWER j) x)
% Assm: Hypermap.lemma_orbit_power: !s p x n. FINITE s /\ p permutes s ==> orbit_map p x = orbit_map p ((p POWER n) x)
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.X_IN_ITS_ORBIT: x IN orbit_map f x
% Goal: !s p x. FINITE s /\ p permutes s ==> inverse p x IN orbit_map p x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p x. FINITE s /\ p permutes s ==> (?j. inverse p x = (p POWER j) x)
% Assm: !s p x n. FINITE s /\ p permutes s ==> orbit_map p x = orbit_map p ((p POWER n) x)
% Assm: T
% Assm: !f x. x IN orbit_map f x
% Goal: !s p x. FINITE s /\ p permutes s ==> inverse p x IN orbit_map p x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_INVERSEu_EVALUATION, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((inverse @ P @ X) = (power @ P @ J @ X)))).
thf(aHypermapo_lemmau_orbitu_power, axiom, ![S:(a > $o),P:(a > a),X:a,N:num]:(((finite @ S) & (permutes @ P @ S)) => ((orbitu_map @ P @ X) = (orbitu_map @ P @ (power @ P @ N @ X))))).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_Xu_INu_ITSu_ORBIT, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => (in @ (inverse @ P @ X) @ (orbitu_map @ P @ X)))).
