%   ORIGINAL: Hypermap.lemma_shift_component_invariant
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.comb_component: !H x. comb_component H x = {y | is_in_component H x y}
% Assm: Hypermap.go_one_step: !y H x. go_one_step H x y <=> y = edge_map H x \/ y = node_map H x \/ y = face_map H x
% Assm: Hypermap.is_in_component: !x y H. is_in_component H x y <=> (?p n. p 0 = x /\ p n = y /\ is_path H p n)
% Assm: Hypermap.lemma_def_path: !H p n. is_path H p n <=> (!i. i < n ==> go_one_step H (p i) (p (SUC i)))
% Assm: Hypermap.set_of_components: !H. set_of_components H = set_part_components H (dart H)
% Assm: Hypermap.set_part_components: !D H. set_part_components H D = {comb_component H x | x IN D}
% Assm: Hypermap.shift_lemma: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H. set_of_components H = set_of_components (shift H)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H x. comb_component H x = {y | is_in_component H x y}
% Assm: !y H x. go_one_step H x y <=> y = edge_map H x \/ y = node_map H x \/ y = face_map H x
% Assm: !x y H. is_in_component H x y <=> (?p n. p 0 = x /\ p n = y /\ is_path H p n)
% Assm: !H p n. is_path H p n <=> (!i. i < n ==> go_one_step H (p i) (p (SUC i)))
% Assm: !H. set_of_components H = set_part_components H (dart H)
% Assm: !D H. set_part_components H D = {comb_component H x | x IN D}
% Assm: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: T
% Goal: !H. set_of_components H = set_of_components (shift H)
%  TYPES
thf(thypermapfunfunaboolbool, type, hypermapfunfunaboolbool : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunfunaboolbool, type, funfunaboolbool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cgspec1, type, gspec1 : ((q43851 > $o) > q43851 > $o)).
thf(cin2, type, in2 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((((a > $o) > $o) > $o) > ((a > $o) > $o) > $o)).
thf(cin1, type, in1 : (((a > $o) > $o) > (((a > $o) > $o) > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(csetuu_ofuu_components, type, setu_ofu_components : (hypermapa > (a > $o) > $o)).
thf(cnodeuu_map0, type, nodeu_map0 : (hypermapa > a > a)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapa > a > a)).
thf(cedgeuu_map0, type, edgeu_map0 : (hypermapa > a > a)).
thf(csetspec1, type, setspec1 : (q43851 > $o > q43851 > $o)).
thf(csetspec0, type, setspec0 : (((a > $o) > $o) > $o > ((a > $o) > $o) > $o)).
thf(ccombuu_component0, type, combu_component0 : (hypermapa > a > a > $o)).
thf(csetuu_partuu_components, type, setu_partu_components : (hypermapa > (a > $o) > (a > $o) > $o)).
thf(cgouu_oneuu_step0, type, gou_oneu_step0 : (hypermapa > a > a > $o)).
thf(cisuu_path0, type, isu_path0 : (hypermapa > (num > a) > num > $o)).
thf(cisuu_path, type, isu_path : (hypermapfunfunaboolbool > (num > (a > $o) > $o) > num > $o)).
thf(cisuu_inuu_component0, type, isu_inu_component0 : (hypermapfunfunaboolbool > ((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapfunfunaboolbool > ((a > $o) > $o) > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapfunfunaboolbool > ((a > $o) > $o) > (a > $o) > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapfunfunaboolbool > ((a > $o) > $o) > (a > $o) > $o)).
thf(cgouu_oneuu_step, type, gou_oneu_step : (hypermapfunfunaboolbool > ((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(cisuu_inuu_component, type, isu_inu_component : (hypermapfunabool > (a > $o) > (a > $o) > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(ccombuu_component, type, combu_component : (hypermapfunabool > (a > $o) > (a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (a > $o) > $o),G:(a > (a > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((S = T) <=> ![X:(a > $o)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_combu_component, axiom, ![H:hypermapfunabool,X:(a > $o)]:((combu_component @ H @ X) = (gspec @ ^[GENR_PVARR_232:(a > $o)]:?[Y:(a > $o)]:(setspec @ GENR_PVARR_232 @ (isu_inu_component @ H @ X @ Y) @ Y)))).
thf(aHypermapo_gou_oneu_step, axiom, ![Y:((a > $o) > $o),H:hypermapfunfunaboolbool,X:((a > $o) > $o)]:((gou_oneu_step @ H @ X @ Y) <=> ((Y = (edgeu_map @ H @ X)) | (Y = (nodeu_map @ H @ X)) | (Y = (faceu_map @ H @ X))))).
thf(aHypermapo_isu_inu_component, axiom, ![X:((a > $o) > $o),Y:((a > $o) > $o),H:hypermapfunfunaboolbool]:((isu_inu_component0 @ H @ X @ Y) <=> ?[P:(num > (a > $o) > $o),N:num]:(((P @ (numeral @ u_0)) = X) & ((P @ N) = Y) & (isu_path @ H @ P @ N)))).
thf(aHypermapo_lemmau_defu_path, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_path0 @ H @ P @ N) <=> ![I:num]:((l_ @ I @ N) => (gou_oneu_step0 @ H @ (P @ I) @ (P @ (suc @ I)))))).
thf(aHypermapo_setu_ofu_components, axiom, ![H:hypermapa]:((setu_ofu_components @ H) = (setu_partu_components @ H @ (dart @ H)))).
thf(aHypermapo_setu_partu_components, axiom, ![D:(a > $o),H:hypermapa]:((setu_partu_components @ H @ D) = (gspec @ ^[GENR_PVARR_235:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_235 @ (in0 @ X @ D) @ (combu_component0 @ H @ X))))).
thf(aHypermapo_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map0 @ H) = (faceu_map0 @ (shift @ H))) & ((nodeu_map0 @ H) = (edgeu_map0 @ (shift @ H))) & ((faceu_map0 @ H) = (nodeu_map0 @ (shift @ H))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > ((a > $o) > $o) > $o) > $o),X:((a > $o) > $o)]:((in1 @ X @ (gspec0 @ ^[V:((a > $o) > $o)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:((a > $o) > $o)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in2 @ X @ (gspec1 @ ^[V:q43851]:?[Y:q43851]:(setspec1 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:((setu_ofu_components @ H) = (setu_ofu_components @ (shift @ H)))).
