%   ORIGINAL: Hypermap.lemma_not_in_orbit_powers
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.in_orbit_lemma: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: Hypermap.lemma_orbit_power: !s p x n. FINITE s /\ p permutes s ==> orbit_map p x = orbit_map p ((p POWER n) x)
% Assm: Hypermap.orbit_reflect: !f x. x IN orbit_map f x
% Assm: Hypermap.orbit_trans: !f x y z. x IN orbit_map f y /\ y IN orbit_map f z ==> x IN orbit_map f z
% Assm: TRUTH: T
% Goal: !s p x y n m. FINITE s /\ p permutes s /\ ~(y IN orbit_map p x) ==> ~((p POWER n) y = (p POWER m) x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: !s p x n. FINITE s /\ p permutes s ==> orbit_map p x = orbit_map p ((p POWER n) x)
% Assm: !f x. x IN orbit_map f x
% Assm: !f x y z. x IN orbit_map f y /\ y IN orbit_map f z ==> x IN orbit_map f z
% Assm: T
% Goal: !s p x y n m. FINITE s /\ p permutes s /\ ~(y IN orbit_map p x) ==> ~((p POWER n) y = (p POWER m) x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_inu_orbitu_lemma, axiom, ![F:(a > a),N:num,X:a,Y:a]:((Y = (power @ F @ N @ X)) => (in @ Y @ (orbitu_map @ F @ X)))).
thf(aHypermapo_lemmau_orbitu_power, axiom, ![S:(a > $o),P:(a > a),X:a,N:num]:(((finite @ S) & (permutes @ P @ S)) => ((orbitu_map @ P @ X) = (orbitu_map @ P @ (power @ P @ N @ X))))).
thf(aHypermapo_orbitu_reflect, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(aHypermapo_orbitu_trans, axiom, ![F:(a > a),X:a,Y:a,Z:a]:(((in @ X @ (orbitu_map @ F @ Y)) & (in @ Y @ (orbitu_map @ F @ Z))) => (in @ X @ (orbitu_map @ F @ Z)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a,Y:a,N:num,M:num]:(((finite @ S) & (permutes @ P @ S) & ~ ((in @ Y @ (orbitu_map @ P @ X)))) => ~ (((power @ P @ N @ Y) = (power @ P @ M @ X))))).
