%   ORIGINAL: Hypermap.lemma_walkup_first_edge_eq
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.edge: !H x. edge H x = orbit_map (edge_map H) x
% Assm: Hypermap.edge_map_walkup: !H x y. edge_map (edge_walkup H x) x = x /\ (~(node_map H x = x) /\ ~(edge_map H x = x) ==> edge_map (edge_walkup H x) (node_map H x) = edge_map H x) /\ (~(inverse (face_map H) x = x) /\ ~(inverse (edge_map H) x = x) ==> edge_map (edge_walkup H x) (inverse (edge_map H) x) = inverse (face_map H) x) /\ (~(y = x) /\ ~(y = inverse (edge_map H) x) /\ ~(y = node_map H x) ==> edge_map (edge_walkup H x) y = edge_map H y)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.in_orbit_lemma: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: Hypermap.iterate_map_valuation: !p n x. p ((p POWER n) x) = (p POWER SUC n) x
% Assm: Hypermap.lemma_inverse_in_orbit: !s p x. FINITE s /\ p permutes s ==> inverse p x IN orbit_map p x
% Assm: Hypermap.lemma_orbit_eq: !p q x. (!n. (p POWER n) x = (q POWER n) x) ==> orbit_map p x = orbit_map q x
% Assm: Hypermap.lemma_orbit_identity: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: Hypermap.orbit_sym: !s p x y. FINITE s /\ p permutes s ==> x IN orbit_map p y ==> y IN orbit_map p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSES_o: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H x y. x IN dart H /\ ~(x IN edge H y) /\ ~(node_map H x IN edge H y) ==> edge H y = edge (edge_walkup H x) y /\ ~(inverse (edge_map H) x IN edge H y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. f POWER 0 = I
% Assm: !H x. edge H x = orbit_map (edge_map H) x
% Assm: !H x y. edge_map (edge_walkup H x) x = x /\ (~(node_map H x = x) /\ ~(edge_map H x = x) ==> edge_map (edge_walkup H x) (node_map H x) = edge_map H x) /\ (~(inverse (face_map H) x = x) /\ ~(inverse (edge_map H) x = x) ==> edge_map (edge_walkup H x) (inverse (edge_map H) x) = inverse (face_map H) x) /\ (~(y = x) /\ ~(y = inverse (edge_map H) x) /\ ~(y = node_map H x) ==> edge_map (edge_walkup H x) y = edge_map H y)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: !p n x. p ((p POWER n) x) = (p POWER SUC n) x
% Assm: !s p x. FINITE s /\ p permutes s ==> inverse p x IN orbit_map p x
% Assm: !p q x. (!n. (p POWER n) x = (q POWER n) x) ==> orbit_map p x = orbit_map q x
% Assm: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: !s p x y. FINITE s /\ p permutes s ==> x IN orbit_map p y ==> y IN orbit_map p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H x y. x IN dart H /\ ~(x IN edge H y) /\ ~(node_map H x IN edge H y) ==> edge H y = edge (edge_walkup H x) y /\ ~(inverse (edge_map H) x IN edge H y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(ci0, type, i0 : ((a > $o) > a > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(co0, type, o0 : ((b > a > $o) > (a > b) > a > a > $o)).
thf(corbituu_map0, type, orbitu_map0 : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cpower0, type, power0 : (((a > $o) > a > $o) > num > (a > $o) > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_edge, axiom, ![H:hypermapa,X:a]:((edge @ H @ X) = (orbitu_map @ (edgeu_map @ H) @ X))).
thf(aHypermapo_edgeu_mapu_walkup, axiom, ![H:hypermapa,X:a,Y:a]:(((edgeu_map @ (edgeu_walkup @ H @ X) @ X) = X) & ((~ (((nodeu_map @ H @ X) = X)) & ~ (((edgeu_map @ H @ X) = X))) => ((edgeu_map @ (edgeu_walkup @ H @ X) @ (nodeu_map @ H @ X)) = (edgeu_map @ H @ X))) & ((~ (((inverse @ (faceu_map @ H) @ X) = X)) & ~ (((inverse @ (edgeu_map @ H) @ X) = X))) => ((edgeu_map @ (edgeu_walkup @ H @ X) @ (inverse @ (edgeu_map @ H) @ X)) = (inverse @ (faceu_map @ H) @ X))) & ((~ ((Y = X)) & ~ ((Y = (inverse @ (edgeu_map @ H) @ X))) & ~ ((Y = (nodeu_map @ H @ X)))) => ((edgeu_map @ (edgeu_walkup @ H @ X) @ Y) = (edgeu_map @ H @ Y))))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_inu_orbitu_lemma, axiom, ![F:((a > $o) > a > $o),N:num,X:(a > $o),Y:(a > $o)]:((Y = (power0 @ F @ N @ X)) => (in0 @ Y @ (orbitu_map0 @ F @ X)))).
thf(aHypermapo_iterateu_mapu_valuation, axiom, ![P:((a > $o) > a > $o),N:num,X:(a > $o)]:((P @ (power0 @ P @ N @ X)) = (power0 @ P @ (suc @ N) @ X))).
thf(aHypermapo_lemmau_inverseu_inu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => (in @ (inverse @ P @ X) @ (orbitu_map @ P @ X)))).
thf(aHypermapo_lemmau_orbitu_eq, axiom, ![P:((a > $o) > a > $o),Q:((a > $o) > a > $o),X:(a > $o)]:(![N:num]:((power0 @ P @ N @ X) = (power0 @ Q @ N @ X)) => ((orbitu_map0 @ P @ X) = (orbitu_map0 @ Q @ X)))).
thf(aHypermapo_lemmau_orbitu_identity, axiom, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((finite @ S) & (permutes @ P @ S) & (in @ Y @ (orbitu_map @ P @ X))) => ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y)))).
thf(aHypermapo_orbitu_sym, axiom, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((finite @ S) & (permutes @ P @ S)) => ((in @ X @ (orbitu_map @ P @ Y)) => (in @ Y @ (orbitu_map @ P @ X))))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSESu_o, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (((o @ P @ (inverse @ P)) = i) & ((o @ (inverse @ P) @ P) = i)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THM, axiom, ![F:(b > a > $o),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:(((in @ X @ (dart @ H)) & ~ ((in @ X @ (edge @ H @ Y))) & ~ ((in @ (nodeu_map @ H @ X) @ (edge @ H @ Y)))) => (((edge @ H @ Y) = (edge @ (edgeu_walkup @ H @ X) @ Y)) & ~ ((in @ (inverse @ (edgeu_map @ H) @ X) @ (edge @ H @ Y)))))).
