%   ORIGINAL: Hypermap.lemma_in_hypermap_orbits
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.edge: !H x. edge H x = orbit_map (edge_map H) x
% Assm: Hypermap.edge_set: !H. edge_set H = set_of_orbits (dart H) (edge_map H)
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.face_set: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.in_set_of_orbits: !s p. p permutes s ==> (!x. x IN s <=> orbit_map p x IN set_of_orbits s p)
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.node_set: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. (x IN dart H <=> edge H x IN edge_set H) /\ (x IN dart H <=> node H x IN node_set H) /\ (x IN dart H <=> face H x IN face_set H)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H x. edge H x = orbit_map (edge_map H) x
% Assm: !H. edge_set H = set_of_orbits (dart H) (edge_map H)
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !s p. p permutes s ==> (!x. x IN s <=> orbit_map p x IN set_of_orbits s p)
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. (x IN dart H <=> edge H x IN edge_set H) /\ (x IN dart H <=> node H x IN node_set H) /\ (x IN dart H <=> face H x IN face_set H)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cfaceuu_set, type, faceu_set : (hypermapa > (a > $o) > $o)).
thf(cnodeuu_set, type, nodeu_set : (hypermapa > (a > $o) > $o)).
thf(cedgeuu_set, type, edgeu_set : (hypermapa > (a > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_edge, axiom, ![H:hypermapa,X:a]:((edge @ H @ X) = (orbitu_map @ (edgeu_map @ H) @ X))).
thf(aHypermapo_edgeu_set, axiom, ![H:hypermapa]:((edgeu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (edgeu_map @ H)))).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_faceu_set, axiom, ![H:hypermapa]:((faceu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (faceu_map @ H)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_inu_setu_ofu_orbits, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![X:a]:((in @ X @ S) <=> (in0 @ (orbitu_map @ P @ X) @ (setu_ofu_orbits @ S @ P))))).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_nodeu_set, axiom, ![H:hypermapa]:((nodeu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (nodeu_map @ H)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) <=> (in0 @ (edge @ H @ X) @ (edgeu_set @ H))) & ((in @ X @ (dart @ H)) <=> (in0 @ (node @ H @ X) @ (nodeu_set @ H))) & ((in @ X @ (dart @ H)) <=> (in0 @ (face @ H @ X) @ (faceu_set @ H))))).
