%   ORIGINAL: Hypermap.lemma_node_representation
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.node_set: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: Hypermap.set_of_orbits: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: TRUTH: T
% Goal: !H u. u IN node_set H ==> (?x. x IN dart H /\ u = node H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: T
% Goal: !H u. u IN node_set H ==> (?x. x IN dart H /\ u = node H x)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((a > $o) > $o) > (a > $o) > $o)).
thf(cgspec, type, gspec : ((((a > $o) > $o) > $o) > ((a > $o) > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cnodeuu_set, type, nodeu_set : (hypermapa > (a > $o) > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(csetspec0, type, setspec0 : ((a > $o) > $o > (a > $o) > $o)).
thf(corbituu_map0, type, orbitu_map0 : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(csetspec, type, setspec : (((a > $o) > $o) > $o > ((a > $o) > $o) > $o)).
thf(csetuu_ofuu_orbits0, type, setu_ofu_orbits0 : (((a > $o) > $o) > ((a > $o) > a > $o) > ((a > $o) > $o) > $o)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_nodeu_set, axiom, ![H:hypermapa]:((nodeu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (nodeu_map @ H)))).
thf(aHypermapo_setu_ofu_orbitsu_monomorphized1, axiom, ![D:((a > $o) > $o),F:((a > $o) > a > $o)]:((setu_ofu_orbits0 @ D @ F) = (gspec @ ^[GENR_PVARR_233:((a > $o) > $o)]:?[X:(a > $o)]:(setspec @ GENR_PVARR_233 @ (in @ X @ D) @ (orbitu_map0 @ F @ X))))).
thf(aHypermapo_setu_ofu_orbitsu_monomorphized0, axiom, ![D:(a > $o),F:(a > a)]:((setu_ofu_orbits @ D @ F) = (gspec0 @ ^[GENR_PVARR_233:(a > $o)]:?[X:a]:(setspec0 @ GENR_PVARR_233 @ (in0 @ X @ D) @ (orbitu_map @ F @ X))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in @ X @ (gspec0 @ ^[V:(a > $o)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,U:(a > $o)]:((in @ U @ (nodeu_set @ H)) => ?[X:a]:((in0 @ X @ (dart @ H)) & (U = (node @ H @ X))))).
