%   ORIGINAL: Hypermap.lemma_component_representation
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.set_of_components: !H. set_of_components H = set_part_components H (dart H)
% Assm: Hypermap.set_part_components: !D H. set_part_components H D = {comb_component H x | x IN D}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: TRUTH: T
% Goal: !H u. u IN set_of_components H ==> (?x. x IN dart H /\ u = comb_component H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. set_of_components H = set_part_components H (dart H)
% Assm: !D H. set_part_components H D = {comb_component H x | x IN D}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: T
% Goal: !H u. u IN set_of_components H ==> (?x. x IN dart H /\ u = comb_component H x)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csetuu_ofuu_components, type, setu_ofu_components : (hypermapa > (a > $o) > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(csetuu_partuu_components, type, setu_partu_components : (hypermapa > (a > $o) > (a > $o) > $o)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_setu_ofu_components, axiom, ![H:hypermapa]:((setu_ofu_components @ H) = (setu_partu_components @ H @ (dart @ H)))).
thf(aHypermapo_setu_partu_components, axiom, ![D:(a > $o),H:hypermapa]:((setu_partu_components @ H @ D) = (gspec @ ^[GENR_PVARR_235:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_235 @ (in0 @ X @ D) @ (combu_component @ H @ X))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in @ X @ (gspec @ ^[V:(a > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,U:(a > $o)]:((in @ U @ (setu_ofu_components @ H)) => ?[X:a]:((in0 @ X @ (dart @ H)) & (U = (combu_component @ H @ X))))).
