%   ORIGINAL: Hypermap.lemma_complement_two_edges
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.edge_refl: !H x. x IN edge H x
% Assm: Hypermap.lemma_edge_identity: !H x y. y IN edge H x ==> edge H x = edge H y
% Assm: Hypermap.lemma_edge_representation: !H u. u IN edge_set H ==> (?x. x IN dart H /\ u = edge H x)
% Assm: Hypermap.lemma_edge_subset: !H x. x IN dart H ==> edge H x SUBSET dart H
% Assm: Hypermap.lemma_in_edge_set: !H x. x IN dart H <=> edge H x IN edge_set H
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !H x y. x IN dart H /\ y IN dart H ==> edge H x UNION edge H y = dart H DIFF UNIONS (edge_set H DIFF {edge H x, edge H y})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H x. x IN edge H x
% Assm: !H x y. y IN edge H x ==> edge H x = edge H y
% Assm: !H u. u IN edge_set H ==> (?x. x IN dart H /\ u = edge H x)
% Assm: !H x. x IN dart H ==> edge H x SUBSET dart H
% Assm: !H x. x IN dart H <=> edge H x IN edge_set H
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !H x y. x IN dart H /\ y IN dart H ==> edge H x UNION edge H y = dart H DIFF UNIONS (edge_set H DIFF {edge H x, edge H y})
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cedgeuu_set, type, edgeu_set : (hypermapa > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cinsert, type, insert : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cdiff0, type, diff0 : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cempty, type, empty : ((a > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_edgeu_refl, axiom, ![H:hypermapa,X:a]:(in @ X @ (edge @ H @ X))).
thf(aHypermapo_lemmau_edgeu_identity, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (edge @ H @ X)) => ((edge @ H @ X) = (edge @ H @ Y)))).
thf(aHypermapo_lemmau_edgeu_representation, axiom, ![H:hypermapa,U:(a > $o)]:((in0 @ U @ (edgeu_set @ H)) => ?[X:a]:((in @ X @ (dart @ H)) & (U = (edge @ H @ X))))).
thf(aHypermapo_lemmau_edgeu_subset, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => (subset @ (edge @ H @ X) @ (dart @ H)))).
thf(aHypermapo_lemmau_inu_edgeu_set, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) <=> (in0 @ (edge @ H @ X) @ (edgeu_set @ H)))).
thf(aHypermapo_lemmau_inu_subset, axiom, ![S:(a > $o),T:(a > $o),X:a]:(((subset @ S @ T) & (in @ X @ S)) => (in @ X @ T))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(aUNIONS, axiom, ![S:((a > $o) > $o)]:((unions @ S) = (gspec @ ^[GENR_PVARR_1:a]:?[X:a]:(setspec @ GENR_PVARR_1 @ ?[U:(a > $o)]:((in0 @ U @ S) & (in @ X @ U)) @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:(((in @ X @ (dart @ H)) & (in @ Y @ (dart @ H))) => ((union @ (edge @ H @ X) @ (edge @ H @ Y)) = (diff @ (dart @ H) @ (unions @ (diff0 @ (edgeu_set @ H) @ (insert @ (edge @ H @ X) @ (insert @ (edge @ H @ Y) @ empty)))))))).
