%   ORIGINAL: Hypermap.lemma_face_map_walkup_in_dart
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.lemma_dart_invariant: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: Hypermap.lemma_dart_inveriant_under_inverse_maps: !H x. x IN dart H ==> inverse (edge_map H) x IN dart H /\ inverse (node_map H) x IN dart H /\ inverse (face_map H) x IN dart H
% Assm: Hypermap.lemma_edge_walkup: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: Hypermap.non_fixed_point_lemma: !s p. p permutes s ==> (!x. ~(p x = x) <=> ~(inverse p x = x))
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. x IN dart H /\ ~(face_map H x = x) ==> face_map H x IN dart (edge_walkup H x) /\ inverse (face_map H) x IN dart (edge_walkup H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: !H x. x IN dart H ==> inverse (edge_map H) x IN dart H /\ inverse (node_map H) x IN dart H /\ inverse (face_map H) x IN dart H
% Assm: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: !s p. p permutes s ==> (!x. ~(p x = x) <=> ~(inverse p x = x))
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. x IN dart H /\ ~(face_map H x = x) ==> face_map H x IN dart (edge_walkup H x) /\ inverse (face_map H) x IN dart (edge_walkup H x)
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_lemmau_dartu_invariant, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((in @ (edgeu_map @ H @ X) @ (dart @ H)) & (in @ (nodeu_map @ H @ X) @ (dart @ H)) & (in @ (faceu_map @ H @ X) @ (dart @ H))))).
thf(aHypermapo_lemmau_dartu_inveriantu_underu_inverseu_maps, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((in @ (inverse @ (edgeu_map @ H) @ X) @ (dart @ H)) & (in @ (inverse @ (nodeu_map @ H) @ X) @ (dart @ H)) & (in @ (inverse @ (faceu_map @ H) @ X) @ (dart @ H))))).
thf(aHypermapo_lemmau_edgeu_walkup, axiom, ![H:hypermapa,X:a]:(((dart @ (edgeu_walkup @ H @ X)) = (delete @ (dart @ H) @ X)) & ((edgeu_map @ (edgeu_walkup @ H @ X)) = (o @ (inverse @ (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))) @ (inverse @ (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))))) & ((nodeu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))) & ((faceu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))))).
thf(aHypermapo_nonu_fixedu_pointu_lemma, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![X:a]:(~ (((P @ X) = X)) <=> ~ (((inverse @ P @ X) = X))))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & ~ (((faceu_map @ H @ X) = X))) => ((in @ (faceu_map @ H @ X) @ (dart @ (edgeu_walkup @ H @ X))) & (in @ (inverse @ (faceu_map @ H) @ X) @ (dart @ (edgeu_walkup @ H @ X)))))).
