%   ORIGINAL: Hypermap.lemma_change_node_walkup
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.edge: !H x. edge H x = orbit_map (edge_map H) x
% Assm: Hypermap.is_edge_merge: !H x. is_edge_merge H x <=> dart_nondegenerate H x /\ ~(node_map H x IN edge H x)
% Assm: Hypermap.is_edge_split: !H x. is_edge_split H x <=> dart_nondegenerate H x /\ node_map H x IN edge H x
% Assm: Hypermap.is_node_merge: !H x. is_node_merge H x <=> dart_nondegenerate H x /\ ~(face_map H x IN node H x)
% Assm: Hypermap.is_node_split: !H x. is_node_split H x <=> dart_nondegenerate H x /\ face_map H x IN node H x
% Assm: Hypermap.lemma_shift_non_degenerate: !H x. dart_nondegenerate H x <=> dart_nondegenerate (shift H) x
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.shift_lemma: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. (is_node_merge H x ==> is_edge_merge (shift H) x) /\ (is_node_split H x ==> is_edge_split (shift H) x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H x. edge H x = orbit_map (edge_map H) x
% Assm: !H x. is_edge_merge H x <=> dart_nondegenerate H x /\ ~(node_map H x IN edge H x)
% Assm: !H x. is_edge_split H x <=> dart_nondegenerate H x /\ node_map H x IN edge H x
% Assm: !H x. is_node_merge H x <=> dart_nondegenerate H x /\ ~(face_map H x IN node H x)
% Assm: !H x. is_node_split H x <=> dart_nondegenerate H x /\ face_map H x IN node H x
% Assm: !H x. dart_nondegenerate H x <=> dart_nondegenerate (shift H) x
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. (is_node_merge H x ==> is_edge_merge (shift H) x) /\ (is_node_split H x ==> is_edge_split (shift H) x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdartuu_nondegenerate, type, dartu_nondegenerate : (hypermapa > a > $o)).
thf(cisuu_edgeuu_split, type, isu_edgeu_split : (hypermapa > a > $o)).
thf(cisuu_nodeuu_split, type, isu_nodeu_split : (hypermapa > a > $o)).
thf(cisuu_edgeuu_merge, type, isu_edgeu_merge : (hypermapa > a > $o)).
thf(cisuu_nodeuu_merge, type, isu_nodeu_merge : (hypermapa > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_edge, axiom, ![H:hypermapa,X:a]:((edge @ H @ X) = (orbitu_map @ (edgeu_map @ H) @ X))).
thf(aHypermapo_isu_edgeu_merge, axiom, ![H:hypermapa,X:a]:((isu_edgeu_merge @ H @ X) <=> ((dartu_nondegenerate @ H @ X) & ~ ((in @ (nodeu_map @ H @ X) @ (edge @ H @ X)))))).
thf(aHypermapo_isu_edgeu_split, axiom, ![H:hypermapa,X:a]:((isu_edgeu_split @ H @ X) <=> ((dartu_nondegenerate @ H @ X) & (in @ (nodeu_map @ H @ X) @ (edge @ H @ X))))).
thf(aHypermapo_isu_nodeu_merge, axiom, ![H:hypermapa,X:a]:((isu_nodeu_merge @ H @ X) <=> ((dartu_nondegenerate @ H @ X) & ~ ((in @ (faceu_map @ H @ X) @ (node @ H @ X)))))).
thf(aHypermapo_isu_nodeu_split, axiom, ![H:hypermapa,X:a]:((isu_nodeu_split @ H @ X) <=> ((dartu_nondegenerate @ H @ X) & (in @ (faceu_map @ H @ X) @ (node @ H @ X))))).
thf(aHypermapo_lemmau_shiftu_nonu_degenerate, axiom, ![H:hypermapa,X:a]:((dartu_nondegenerate @ H @ X) <=> (dartu_nondegenerate @ (shift @ H) @ X))).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map @ H) = (faceu_map @ (shift @ H))) & ((nodeu_map @ H) = (edgeu_map @ (shift @ H))) & ((faceu_map @ H) = (nodeu_map @ (shift @ H))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((isu_nodeu_merge @ H @ X) => (isu_edgeu_merge @ (shift @ H) @ X)) & ((isu_nodeu_split @ H @ X) => (isu_edgeu_split @ (shift @ H) @ X)))).
