%   ORIGINAL: Hypermap.lemma_node_split
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.double_shift_lemma: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: Hypermap.edge: !H x. edge H x = orbit_map (edge_map H) x
% Assm: Hypermap.lemma_change_node_walkup: !H x. (is_node_merge H x ==> is_edge_merge (shift H) x) /\ (is_node_split H x ==> is_edge_split (shift H) x)
% Assm: Hypermap.lemma_edge_split: !H x. x IN dart H /\ is_edge_split H x ==> ~(inverse (face_map H) x IN edge (edge_walkup H x) (node_map H x)) /\ edge H x = {x} UNION edge (edge_walkup H x) (node_map H x) UNION edge (edge_walkup H x) (inverse (face_map H) x)
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.node_walkup: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: Hypermap.shift_lemma: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: TRUTH: T
% Goal: !H x. x IN dart H /\ is_node_split H x ==> ~(inverse (edge_map H) x IN node (node_walkup H x) (face_map H x)) /\ node H x = {x} UNION node (node_walkup H x) (face_map H x) UNION node (node_walkup H x) (inverse (edge_map H) x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: !H x. edge H x = orbit_map (edge_map H) x
% Assm: !H x. (is_node_merge H x ==> is_edge_merge (shift H) x) /\ (is_node_split H x ==> is_edge_split (shift H) x)
% Assm: !H x. x IN dart H /\ is_edge_split H x ==> ~(inverse (face_map H) x IN edge (edge_walkup H x) (node_map H x)) /\ edge H x = {x} UNION edge (edge_walkup H x) (node_map H x) UNION edge (edge_walkup H x) (inverse (face_map H) x)
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: T
% Goal: !H x. x IN dart H /\ is_node_split H x ==> ~(inverse (edge_map H) x IN node (node_walkup H x) (face_map H x)) /\ node H x = {x} UNION node (node_walkup H x) (face_map H x) UNION node (node_walkup H x) (inverse (edge_map H) x)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cisuu_edgeuu_split, type, isu_edgeu_split : (hypermapa > a > $o)).
thf(cisuu_edgeuu_merge, type, isu_edgeu_merge : (hypermapa > a > $o)).
thf(cisuu_nodeuu_merge, type, isu_nodeu_merge : (hypermapa > a > $o)).
thf(cisuu_nodeuu_split, type, isu_nodeu_split : (hypermapa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cnodeuu_walkup, type, nodeu_walkup : (hypermapa > a > hypermapa)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_doubleu_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ (shift @ H)))) & ((edgeu_map @ H) = (nodeu_map @ (shift @ (shift @ H)))) & ((nodeu_map @ H) = (faceu_map @ (shift @ (shift @ H)))) & ((faceu_map @ H) = (edgeu_map @ (shift @ (shift @ H)))))).
thf(aHypermapo_edge, axiom, ![H:hypermapa,X:a]:((edge @ H @ X) = (orbitu_map @ (edgeu_map @ H) @ X))).
thf(aHypermapo_lemmau_changeu_nodeu_walkup, axiom, ![H:hypermapa,X:a]:(((isu_nodeu_merge @ H @ X) => (isu_edgeu_merge @ (shift @ H) @ X)) & ((isu_nodeu_split @ H @ X) => (isu_edgeu_split @ (shift @ H) @ X)))).
thf(aHypermapo_lemmau_edgeu_split, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (isu_edgeu_split @ H @ X)) => (~ ((in @ (inverse @ (faceu_map @ H) @ X) @ (edge @ (edgeu_walkup @ H @ X) @ (nodeu_map @ H @ X)))) & ((edge @ H @ X) = (union @ (insert @ X @ empty) @ (union @ (edge @ (edgeu_walkup @ H @ X) @ (nodeu_map @ H @ X)) @ (edge @ (edgeu_walkup @ H @ X) @ (inverse @ (faceu_map @ H) @ X)))))))).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_nodeu_walkup, axiom, ![H:hypermapa,X:a]:((nodeu_walkup @ H @ X) = (shift @ (shift @ (edgeu_walkup @ (shift @ H) @ X))))).
thf(aHypermapo_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map @ H) = (faceu_map @ (shift @ H))) & ((nodeu_map @ H) = (edgeu_map @ (shift @ H))) & ((faceu_map @ H) = (nodeu_map @ (shift @ H))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (isu_nodeu_split @ H @ X)) => (~ ((in @ (inverse @ (edgeu_map @ H) @ X) @ (node @ (nodeu_walkup @ H @ X) @ (faceu_map @ H @ X)))) & ((node @ H @ X) = (union @ (insert @ X @ empty) @ (union @ (node @ (nodeu_walkup @ H @ X) @ (faceu_map @ H @ X)) @ (node @ (nodeu_walkup @ H @ X) @ (inverse @ (edgeu_map @ H) @ X)))))))).
