%   ORIGINAL: Hypermap.lemma_double_shift_non_degenerate
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.dart_nondegenerate: !H x. dart_nondegenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: Hypermap.double_shift_lemma: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. dart_nondegenerate H x <=> dart_nondegenerate (shift (shift H)) x
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H x. dart_nondegenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. dart_nondegenerate H x <=> dart_nondegenerate (shift (shift H)) x
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cdartuu_nondegenerate, type, dartu_nondegenerate : (hypermapa > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_dartu_nondegenerate, axiom, ![H:hypermapa,X:a]:((dartu_nondegenerate @ H @ X) <=> (~ (((edgeu_map @ H @ X) = X)) & ~ (((nodeu_map @ H @ X) = X)) & ~ (((faceu_map @ H @ X) = X))))).
thf(aHypermapo_doubleu_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ (shift @ H)))) & ((edgeu_map @ H) = (nodeu_map @ (shift @ (shift @ H)))) & ((nodeu_map @ H) = (faceu_map @ (shift @ (shift @ H)))) & ((faceu_map @ H) = (edgeu_map @ (shift @ (shift @ H)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((dartu_nondegenerate @ H @ X) <=> (dartu_nondegenerate @ (shift @ (shift @ H)) @ X))).
