%   ORIGINAL: Hypermap.lemma_change_face_walkup
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.double_shift_lemma: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: Hypermap.edge: !H x. edge H x = orbit_map (edge_map H) x
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.is_edge_merge: !H x. is_edge_merge H x <=> dart_nondegenerate H x /\ ~(node_map H x IN edge H x)
% Assm: Hypermap.is_edge_split: !H x. is_edge_split H x <=> dart_nondegenerate H x /\ node_map H x IN edge H x
% Assm: Hypermap.is_face_merge: !H x. is_face_merge H x <=> dart_nondegenerate H x /\ ~(edge_map H x IN face H x)
% Assm: Hypermap.is_face_split: !H x. is_face_split H x <=> dart_nondegenerate H x /\ edge_map H x IN face H x
% Assm: Hypermap.lemma_double_shift_non_degenerate: !H x. dart_nondegenerate H x <=> dart_nondegenerate (shift (shift H)) x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. (is_face_merge H x ==> is_edge_merge (shift (shift H)) x) /\ (is_face_split H x ==> is_edge_split (shift (shift H)) x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: !H x. edge H x = orbit_map (edge_map H) x
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H x. is_edge_merge H x <=> dart_nondegenerate H x /\ ~(node_map H x IN edge H x)
% Assm: !H x. is_edge_split H x <=> dart_nondegenerate H x /\ node_map H x IN edge H x
% Assm: !H x. is_face_merge H x <=> dart_nondegenerate H x /\ ~(edge_map H x IN face H x)
% Assm: !H x. is_face_split H x <=> dart_nondegenerate H x /\ edge_map H x IN face H x
% Assm: !H x. dart_nondegenerate H x <=> dart_nondegenerate (shift (shift H)) x
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. (is_face_merge H x ==> is_edge_merge (shift (shift H)) x) /\ (is_face_split H x ==> is_edge_split (shift (shift H)) x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdartuu_nondegenerate, type, dartu_nondegenerate : (hypermapa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cisuu_edgeuu_split, type, isu_edgeu_split : (hypermapa > a > $o)).
thf(cisuu_faceuu_split, type, isu_faceu_split : (hypermapa > a > $o)).
thf(cisuu_edgeuu_merge, type, isu_edgeu_merge : (hypermapa > a > $o)).
thf(cisuu_faceuu_merge, type, isu_faceu_merge : (hypermapa > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_doubleu_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ (shift @ H)))) & ((edgeu_map @ H) = (nodeu_map @ (shift @ (shift @ H)))) & ((nodeu_map @ H) = (faceu_map @ (shift @ (shift @ H)))) & ((faceu_map @ H) = (edgeu_map @ (shift @ (shift @ H)))))).
thf(aHypermapo_edge, axiom, ![H:hypermapa,X:a]:((edge @ H @ X) = (orbitu_map @ (edgeu_map @ H) @ X))).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_isu_edgeu_merge, axiom, ![H:hypermapa,X:a]:((isu_edgeu_merge @ H @ X) <=> ((dartu_nondegenerate @ H @ X) & ~ ((in @ (nodeu_map @ H @ X) @ (edge @ H @ X)))))).
thf(aHypermapo_isu_edgeu_split, axiom, ![H:hypermapa,X:a]:((isu_edgeu_split @ H @ X) <=> ((dartu_nondegenerate @ H @ X) & (in @ (nodeu_map @ H @ X) @ (edge @ H @ X))))).
thf(aHypermapo_isu_faceu_merge, axiom, ![H:hypermapa,X:a]:((isu_faceu_merge @ H @ X) <=> ((dartu_nondegenerate @ H @ X) & ~ ((in @ (edgeu_map @ H @ X) @ (face @ H @ X)))))).
thf(aHypermapo_isu_faceu_split, axiom, ![H:hypermapa,X:a]:((isu_faceu_split @ H @ X) <=> ((dartu_nondegenerate @ H @ X) & (in @ (edgeu_map @ H @ X) @ (face @ H @ X))))).
thf(aHypermapo_lemmau_doubleu_shiftu_nonu_degenerate, axiom, ![H:hypermapa,X:a]:((dartu_nondegenerate @ H @ X) <=> (dartu_nondegenerate @ (shift @ (shift @ H)) @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((isu_faceu_merge @ H @ X) => (isu_edgeu_merge @ (shift @ (shift @ H)) @ X)) & ((isu_faceu_split @ H @ X) => (isu_edgeu_split @ (shift @ (shift @ H)) @ X)))).
