%   ORIGINAL: Hypermap.lemma_face_merge
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.double_shift_lemma: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: Hypermap.edge: !H x. edge H x = orbit_map (edge_map H) x
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.face_walkup: !H x. face_walkup H x = shift (edge_walkup (shift (shift H)) x)
% Assm: Hypermap.lemma_change_face_walkup: !H x. (is_face_merge H x ==> is_edge_merge (shift (shift H)) x) /\ (is_face_split H x ==> is_edge_split (shift (shift H)) x)
% Assm: Hypermap.lemma_edge_merge: !H x. x IN dart H /\ is_edge_merge H x ==> {x} UNION edge (edge_walkup H x) (node_map H x) = edge H x UNION edge H (node_map H x)
% Assm: Hypermap.shift_lemma: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: TRUTH: T
% Goal: !H x. x IN dart H /\ is_face_merge H x ==> {x} UNION face (face_walkup H x) (edge_map H x) = face H x UNION face H (edge_map H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: !H x. edge H x = orbit_map (edge_map H) x
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H x. face_walkup H x = shift (edge_walkup (shift (shift H)) x)
% Assm: !H x. (is_face_merge H x ==> is_edge_merge (shift (shift H)) x) /\ (is_face_split H x ==> is_edge_split (shift (shift H)) x)
% Assm: !H x. x IN dart H /\ is_edge_merge H x ==> {x} UNION edge (edge_walkup H x) (node_map H x) = edge H x UNION edge H (node_map H x)
% Assm: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: T
% Goal: !H x. x IN dart H /\ is_face_merge H x ==> {x} UNION face (face_walkup H x) (edge_map H x) = face H x UNION face H (edge_map H x)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cisuu_edgeuu_split, type, isu_edgeu_split : (hypermapa > a > $o)).
thf(cisuu_faceuu_split, type, isu_faceu_split : (hypermapa > a > $o)).
thf(cisuu_edgeuu_merge, type, isu_edgeu_merge : (hypermapa > a > $o)).
thf(cisuu_faceuu_merge, type, isu_faceu_merge : (hypermapa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cfaceuu_walkup, type, faceu_walkup : (hypermapa > a > hypermapa)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_doubleu_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ (shift @ H)))) & ((edgeu_map @ H) = (nodeu_map @ (shift @ (shift @ H)))) & ((nodeu_map @ H) = (faceu_map @ (shift @ (shift @ H)))) & ((faceu_map @ H) = (edgeu_map @ (shift @ (shift @ H)))))).
thf(aHypermapo_edge, axiom, ![H:hypermapa,X:a]:((edge @ H @ X) = (orbitu_map @ (edgeu_map @ H) @ X))).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_faceu_walkup, axiom, ![H:hypermapa,X:a]:((faceu_walkup @ H @ X) = (shift @ (edgeu_walkup @ (shift @ (shift @ H)) @ X)))).
thf(aHypermapo_lemmau_changeu_faceu_walkup, axiom, ![H:hypermapa,X:a]:(((isu_faceu_merge @ H @ X) => (isu_edgeu_merge @ (shift @ (shift @ H)) @ X)) & ((isu_faceu_split @ H @ X) => (isu_edgeu_split @ (shift @ (shift @ H)) @ X)))).
thf(aHypermapo_lemmau_edgeu_merge, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (isu_edgeu_merge @ H @ X)) => ((union @ (insert @ X @ empty) @ (edge @ (edgeu_walkup @ H @ X) @ (nodeu_map @ H @ X))) = (union @ (edge @ H @ X) @ (edge @ H @ (nodeu_map @ H @ X)))))).
thf(aHypermapo_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map @ H) = (faceu_map @ (shift @ H))) & ((nodeu_map @ H) = (edgeu_map @ (shift @ H))) & ((faceu_map @ H) = (nodeu_map @ (shift @ H))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (isu_faceu_merge @ H @ X)) => ((union @ (insert @ X @ empty) @ (face @ (faceu_walkup @ H @ X) @ (edgeu_map @ H @ X))) = (union @ (face @ H @ X) @ (face @ H @ (edgeu_map @ H @ X)))))).
