%   ORIGINAL: Hypermap.lemma_powers_in_component
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.comb_component: !H x. comb_component H x = {y | is_in_component H x y}
% Assm: Hypermap.edge_path: !H x i. edge_path H x i = (edge_map H POWER i) x
% Assm: Hypermap.face_path: !H x i. face_path H x i = (face_map H POWER i) x
% Assm: Hypermap.is_in_component: !x y H. is_in_component H x y <=> (?p n. p 0 = x /\ p n = y /\ is_path H p n)
% Assm: Hypermap.lemma_edge_path: !H x k. is_path H (edge_path H x) k
% Assm: Hypermap.lemma_face_path: !H x k. is_path H (face_path H x) k
% Assm: Hypermap.lemma_node_path: !H x k. is_path H (node_path H x) k
% Assm: Hypermap.node_path: !H x i. node_path H x i = (node_map H POWER i) x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: TRUTH: T
% Goal: !H x j. (edge_map H POWER j) x IN comb_component H x /\ (node_map H POWER j) x IN comb_component H x /\ (face_map H POWER j) x IN comb_component H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !H x. comb_component H x = {y | is_in_component H x y}
% Assm: !H x i. edge_path H x i = (edge_map H POWER i) x
% Assm: !H x i. face_path H x i = (face_map H POWER i) x
% Assm: !x y H. is_in_component H x y <=> (?p n. p 0 = x /\ p n = y /\ is_path H p n)
% Assm: !H x k. is_path H (edge_path H x) k
% Assm: !H x k. is_path H (face_path H x) k
% Assm: !H x k. is_path H (node_path H x) k
% Assm: !H x i. node_path H x i = (node_map H POWER i) x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: T
% Goal: !H x j. (edge_map H POWER j) x IN comb_component H x /\ (node_map H POWER j) x IN comb_component H x /\ (face_map H POWER j) x IN comb_component H x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cnodeuu_path, type, nodeu_path : (hypermapa > a > num > a)).
thf(cisuu_path, type, isu_path : (hypermapa > (num > a) > num > $o)).
thf(cfaceuu_path, type, faceu_path : (hypermapa > a > num > a)).
thf(cedgeuu_path, type, edgeu_path : (hypermapa > a > num > a)).
thf(cisuu_inuu_component, type, isu_inu_component : (hypermapa > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_combu_component, axiom, ![H:hypermapa,X:a]:((combu_component @ H @ X) = (gspec @ ^[GENR_PVARR_232:a]:?[Y:a]:(setspec @ GENR_PVARR_232 @ (isu_inu_component @ H @ X @ Y) @ Y)))).
thf(aHypermapo_edgeu_path, axiom, ![H:hypermapa,X:a,I:num]:((edgeu_path @ H @ X @ I) = (power @ (edgeu_map @ H) @ I @ X))).
thf(aHypermapo_faceu_path, axiom, ![H:hypermapa,X:a,I:num]:((faceu_path @ H @ X @ I) = (power @ (faceu_map @ H) @ I @ X))).
thf(aHypermapo_isu_inu_component, axiom, ![X:a,Y:a,H:hypermapa]:((isu_inu_component @ H @ X @ Y) <=> ?[P:(num > a),N:num]:(((P @ (numeral @ u_0)) = X) & ((P @ N) = Y) & (isu_path @ H @ P @ N)))).
thf(aHypermapo_lemmau_edgeu_path, axiom, ![H:hypermapa,X:a,K:num]:(isu_path @ H @ (edgeu_path @ H @ X) @ K)).
thf(aHypermapo_lemmau_faceu_path, axiom, ![H:hypermapa,X:a,K:num]:(isu_path @ H @ (faceu_path @ H @ X) @ K)).
thf(aHypermapo_lemmau_nodeu_path, axiom, ![H:hypermapa,X:a,K:num]:(isu_path @ H @ (nodeu_path @ H @ X) @ K)).
thf(aHypermapo_nodeu_path, axiom, ![H:hypermapa,X:a,I:num]:((nodeu_path @ H @ X @ I) = (power @ (nodeu_map @ H) @ I @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,J:num]:((in @ (power @ (edgeu_map @ H) @ J @ X) @ (combu_component @ H @ X)) & (in @ (power @ (nodeu_map @ H) @ J @ X) @ (combu_component @ H @ X)) & (in @ (power @ (faceu_map @ H) @ J @ X) @ (combu_component @ H @ X)))).
