%   ORIGINAL: Hypermap.lemma_inverses_in_component
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.INVERSE_EVALUATION: !s p x. FINITE s /\ p permutes s ==> (?j. inverse p x = (p POWER j) x)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.lemma_powers_in_component: !H x j. (edge_map H POWER j) x IN comb_component H x /\ (node_map H POWER j) x IN comb_component H x /\ (face_map H POWER j) x IN comb_component H x
% Assm: TRUTH: T
% Goal: !H x j. inverse (edge_map H) x IN comb_component H x /\ inverse (node_map H) x IN comb_component H x /\ inverse (face_map H) x IN comb_component H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p x. FINITE s /\ p permutes s ==> (?j. inverse p x = (p POWER j) x)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H x j. (edge_map H POWER j) x IN comb_component H x /\ (node_map H POWER j) x IN comb_component H x /\ (face_map H POWER j) x IN comb_component H x
% Assm: T
% Goal: !H x j. inverse (edge_map H) x IN comb_component H x /\ inverse (node_map H) x IN comb_component H x /\ inverse (face_map H) x IN comb_component H x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_INVERSEu_EVALUATION, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((inverse @ P @ X) = (power @ P @ J @ X)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_lemmau_powersu_inu_component, axiom, ![H:hypermapa,X:a,J:num]:((in @ (power @ (edgeu_map @ H) @ J @ X) @ (combu_component @ H @ X)) & (in @ (power @ (nodeu_map @ H) @ J @ X) @ (combu_component @ H @ X)) & (in @ (power @ (faceu_map @ H) @ J @ X) @ (combu_component @ H @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,J:num]:((in @ (inverse @ (edgeu_map @ H) @ X) @ (combu_component @ H @ X)) & (in @ (inverse @ (nodeu_map @ H) @ X) @ (combu_component @ H @ X)) & (in @ (inverse @ (faceu_map @ H) @ X) @ (combu_component @ H @ X)))).
