%   ORIGINAL: Hypermap.lemma_component_identity
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_component_reflect: !H x. x IN comb_component H x
% Assm: Hypermap.partition_components: !H x y. comb_component H x = comb_component H y \/ comb_component H x INTER comb_component H y = {}
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: TRUTH: T
% Goal: !H x y. y IN comb_component H x ==> comb_component H x = comb_component H y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x. x IN comb_component H x
% Assm: !H x y. comb_component H x = comb_component H y \/ comb_component H x INTER comb_component H y = {}
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: T
% Goal: !H x y. y IN comb_component H x ==> comb_component H x = comb_component H y
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_componentu_reflect, axiom, ![H:hypermapa,X:a]:(in @ X @ (combu_component @ H @ X))).
thf(aHypermapo_partitionu_components, axiom, ![H:hypermapa,X:a,Y:a]:(((combu_component @ H @ X) = (combu_component @ H @ Y)) | ((inter @ (combu_component @ H @ X) @ (combu_component @ H @ Y)) = empty))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(a > $o)]:(?[X:a]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (combu_component @ H @ X)) => ((combu_component @ H @ X) = (combu_component @ H @ Y)))).
