%   ORIGINAL: Hypermap.lemma_walkup_components
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.lemma_component_identity: !H x y. y IN comb_component H x ==> comb_component H x = comb_component H y
% Assm: Hypermap.lemma_component_reflect: !H x. x IN comb_component H x
% Assm: Hypermap.lemma_edge_walkup: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: Hypermap.lemma_walkup_first_component_eq: !H x y. x IN dart H /\ ~(x IN comb_component H y) ==> comb_component H y = comb_component (edge_walkup H x) y /\ ~(node_map H x IN comb_component H y) /\ ~(inverse (edge_map H) x IN comb_component H y)
% Assm: Hypermap.lemma_walkup_second_component_eq: !H x y. x IN dart H /\ y IN dart H /\ ~(y = x) /\ ~(inverse (edge_map H) x IN comb_component (edge_walkup H x) y) /\ ~(node_map H x IN comb_component (edge_walkup H x) y) ==> comb_component H y = comb_component (edge_walkup H x) y /\ ~(y IN comb_component H x)
% Assm: Hypermap.set_of_components: !H. set_of_components H = set_part_components H (dart H)
% Assm: Hypermap.set_part_components: !D H. set_part_components H D = {comb_component H x | x IN D}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !H x. x IN dart H ==> set_of_components H DELETE comb_component H x = set_of_components (edge_walkup H x) DIFF {comb_component (edge_walkup H x) (node_map H x), comb_component (edge_walkup H x) (inverse (edge_map H) x)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H x y. y IN comb_component H x ==> comb_component H x = comb_component H y
% Assm: !H x. x IN comb_component H x
% Assm: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: !H x y. x IN dart H /\ ~(x IN comb_component H y) ==> comb_component H y = comb_component (edge_walkup H x) y /\ ~(node_map H x IN comb_component H y) /\ ~(inverse (edge_map H) x IN comb_component H y)
% Assm: !H x y. x IN dart H /\ y IN dart H /\ ~(y = x) /\ ~(inverse (edge_map H) x IN comb_component (edge_walkup H x) y) /\ ~(node_map H x IN comb_component (edge_walkup H x) y) ==> comb_component H y = comb_component (edge_walkup H x) y /\ ~(y IN comb_component H x)
% Assm: !H. set_of_components H = set_part_components H (dart H)
% Assm: !D H. set_part_components H D = {comb_component H x | x IN D}
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !H x. x IN dart H ==> set_of_components H DELETE comb_component H x = set_of_components (edge_walkup H x) DIFF {comb_component (edge_walkup H x) (node_map H x), comb_component (edge_walkup H x) (inverse (edge_map H) x)}
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(csetuu_ofuu_components, type, setu_ofu_components : (hypermapa > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(csetuu_partuu_components, type, setu_partu_components : (hypermapa > (a > $o) > (a > $o) > $o)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cdelete0, type, delete0 : ((a > $o) > a > a > $o)).
thf(cinsert, type, insert : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cdiff, type, diff : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
thf(cdelete, type, delete : (((a > $o) > $o) > (a > $o) > (a > $o) > $o)).
thf(cempty, type, empty : ((a > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (a > $o) > $o),G:(a > (a > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:((a > $o) > $o)]:(^[X:(a > $o)]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((S = T) <=> ![X:(a > $o)]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aHypermapo_lemmau_componentu_identity, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (combu_component @ H @ X)) => ((combu_component @ H @ X) = (combu_component @ H @ Y)))).
thf(aHypermapo_lemmau_componentu_reflect, axiom, ![H:hypermapa,X:a]:(in @ X @ (combu_component @ H @ X))).
thf(aHypermapo_lemmau_edgeu_walkup, axiom, ![H:hypermapa,X:a]:(((dart @ (edgeu_walkup @ H @ X)) = (delete0 @ (dart @ H) @ X)) & ((edgeu_map @ (edgeu_walkup @ H @ X)) = (o @ (inverse @ (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))) @ (inverse @ (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))))) & ((nodeu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))) & ((faceu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))))).
thf(aHypermapo_lemmau_walkupu_firstu_componentu_eq, axiom, ![H:hypermapa,X:a,Y:a]:(((in @ X @ (dart @ H)) & ~ ((in @ X @ (combu_component @ H @ Y)))) => (((combu_component @ H @ Y) = (combu_component @ (edgeu_walkup @ H @ X) @ Y)) & ~ ((in @ (nodeu_map @ H @ X) @ (combu_component @ H @ Y))) & ~ ((in @ (inverse @ (edgeu_map @ H) @ X) @ (combu_component @ H @ Y)))))).
thf(aHypermapo_lemmau_walkupu_secondu_componentu_eq, axiom, ![H:hypermapa,X:a,Y:a]:(((in @ X @ (dart @ H)) & (in @ Y @ (dart @ H)) & ~ ((Y = X)) & ~ ((in @ (inverse @ (edgeu_map @ H) @ X) @ (combu_component @ (edgeu_walkup @ H @ X) @ Y))) & ~ ((in @ (nodeu_map @ H @ X) @ (combu_component @ (edgeu_walkup @ H @ X) @ Y)))) => (((combu_component @ H @ Y) = (combu_component @ (edgeu_walkup @ H @ X) @ Y)) & ~ ((in @ Y @ (combu_component @ H @ X)))))).
thf(aHypermapo_setu_ofu_components, axiom, ![H:hypermapa]:((setu_ofu_components @ H) = (setu_partu_components @ H @ (dart @ H)))).
thf(aHypermapo_setu_partu_components, axiom, ![D:(a > $o),H:hypermapa]:((setu_partu_components @ H @ D) = (gspec @ ^[GENR_PVARR_235:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_235 @ (in @ X @ D) @ (combu_component @ H @ X))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete0 @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((delete @ (setu_ofu_components @ H) @ (combu_component @ H @ X)) = (diff @ (setu_ofu_components @ (edgeu_walkup @ H @ X)) @ (insert @ (combu_component @ (edgeu_walkup @ H @ X) @ (nodeu_map @ H @ X)) @ (insert @ (combu_component @ (edgeu_walkup @ H @ X) @ (inverse @ (edgeu_map @ H) @ X)) @ empty)))))).
