%   ORIGINAL: Hypermap.node_degenerate_walkup_node_map
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.fixed_point_lemma: !D p. p permutes D ==> (!x. p x = x <=> inverse p x = x)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.node_map_walkup: !H x y. node_map (edge_walkup H x) x = x /\ node_map (edge_walkup H x) (inverse (node_map H) x) = node_map H x /\ (~(y = x) /\ ~(y = inverse (node_map H) x) ==> node_map (edge_walkup H x) y = node_map H y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x y. x IN dart H /\ node_map H x = x ==> node_map (edge_walkup H x) y = node_map H y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !D p. p permutes D ==> (!x. p x = x <=> inverse p x = x)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H x y. node_map (edge_walkup H x) x = x /\ node_map (edge_walkup H x) (inverse (node_map H) x) = node_map H x /\ (~(y = x) /\ ~(y = inverse (node_map H) x) ==> node_map (edge_walkup H x) y = node_map H y)
% Assm: ~F <=> T
% Assm: T
% Goal: !H x y. x IN dart H /\ node_map H x = x ==> node_map (edge_walkup H x) y = node_map H y
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_fixedu_pointu_lemma, axiom, ![D:(a > $o),P:(a > a)]:((permutes @ P @ D) => ![X:a]:(((P @ X) = X) <=> ((inverse @ P @ X) = X)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_nodeu_mapu_walkup, axiom, ![H:hypermapa,X:a,Y:a]:(((nodeu_map @ (edgeu_walkup @ H @ X) @ X) = X) & ((nodeu_map @ (edgeu_walkup @ H @ X) @ (inverse @ (nodeu_map @ H) @ X)) = (nodeu_map @ H @ X)) & ((~ ((Y = X)) & ~ ((Y = (inverse @ (nodeu_map @ H) @ X)))) => ((nodeu_map @ (edgeu_walkup @ H @ X) @ Y) = (nodeu_map @ H @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:(((in @ X @ (dart @ H)) & ((nodeu_map @ H @ X) = X)) => ((nodeu_map @ (edgeu_walkup @ H @ X) @ Y) = (nodeu_map @ H @ Y)))).
