%   ORIGINAL: Hypermap.lemma_degenerate_walkup_second_eq
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.dart_degenerate: !H x. dart_degenerate H x <=> edge_map H x = x \/ node_map H x = x \/ face_map H x = x
% Assm: Hypermap.double_shift_lemma: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: Hypermap.edge_degenerate_walkup_first_eq: !H x. x IN dart H /\ edge_map H x = x ==> node_walkup H x = edge_walkup H x
% Assm: Hypermap.edge_degenerate_walkup_second_eq: !H x. x IN dart H /\ edge_map H x = x ==> face_walkup H x = edge_walkup H x
% Assm: Hypermap.edge_degenerate_walkup_third_eq: !H x. x IN dart H /\ edge_map H x = x ==> node_walkup H x = face_walkup H x
% Assm: Hypermap.face_walkup: !H x. face_walkup H x = shift (edge_walkup (shift (shift H)) x)
% Assm: Hypermap.lemma_eq_iff_shift_eq: !H H'. H = H' <=> shift H = shift H'
% Assm: Hypermap.lemma_shift_cycle: !H. shift (shift (shift H)) = H
% Assm: Hypermap.node_walkup: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: Hypermap.shift_lemma: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: TRUTH: T
% Goal: !H x. x IN dart H /\ dart_degenerate H x ==> face_walkup H x = edge_walkup H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x. dart_degenerate H x <=> edge_map H x = x \/ node_map H x = x \/ face_map H x = x
% Assm: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: !H x. x IN dart H /\ edge_map H x = x ==> node_walkup H x = edge_walkup H x
% Assm: !H x. x IN dart H /\ edge_map H x = x ==> face_walkup H x = edge_walkup H x
% Assm: !H x. x IN dart H /\ edge_map H x = x ==> node_walkup H x = face_walkup H x
% Assm: !H x. face_walkup H x = shift (edge_walkup (shift (shift H)) x)
% Assm: !H H'. H = H' <=> shift H = shift H'
% Assm: !H. shift (shift (shift H)) = H
% Assm: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: T
% Goal: !H x. x IN dart H /\ dart_degenerate H x ==> face_walkup H x = edge_walkup H x
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cdartuu_degenerate, type, dartu_degenerate : (hypermapa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cnodeuu_walkup, type, nodeu_walkup : (hypermapa > a > hypermapa)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cfaceuu_walkup, type, faceu_walkup : (hypermapa > a > hypermapa)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > hypermapa),G:(a > hypermapa)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_dartu_degenerate, axiom, ![H:hypermapa,X:a]:((dartu_degenerate @ H @ X) <=> (((edgeu_map @ H @ X) = X) | ((nodeu_map @ H @ X) = X) | ((faceu_map @ H @ X) = X)))).
thf(aHypermapo_doubleu_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ (shift @ H)))) & ((edgeu_map @ H) = (nodeu_map @ (shift @ (shift @ H)))) & ((nodeu_map @ H) = (faceu_map @ (shift @ (shift @ H)))) & ((faceu_map @ H) = (edgeu_map @ (shift @ (shift @ H)))))).
thf(aHypermapo_edgeu_degenerateu_walkupu_firstu_eq, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & ((edgeu_map @ H @ X) = X)) => ((nodeu_walkup @ H @ X) = (edgeu_walkup @ H @ X)))).
thf(aHypermapo_edgeu_degenerateu_walkupu_secondu_eq, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & ((edgeu_map @ H @ X) = X)) => ((faceu_walkup @ H @ X) = (edgeu_walkup @ H @ X)))).
thf(aHypermapo_edgeu_degenerateu_walkupu_thirdu_eq, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & ((edgeu_map @ H @ X) = X)) => ((nodeu_walkup @ H @ X) = (faceu_walkup @ H @ X)))).
thf(aHypermapo_faceu_walkup, axiom, ![H:hypermapa,X:a]:((faceu_walkup @ H @ X) = (shift @ (edgeu_walkup @ (shift @ (shift @ H)) @ X)))).
thf(aHypermapo_lemmau_equ_iffu_shiftu_eq, axiom, ![H:hypermapa,HI_:hypermapa]:((H = HI_) <=> ((shift @ H) = (shift @ HI_)))).
thf(aHypermapo_lemmau_shiftu_cycle, axiom, ![H:hypermapa]:((shift @ (shift @ (shift @ H))) = H)).
thf(aHypermapo_nodeu_walkup, axiom, ![H:hypermapa,X:a]:((nodeu_walkup @ H @ X) = (shift @ (shift @ (edgeu_walkup @ (shift @ H) @ X))))).
thf(aHypermapo_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map @ H) = (faceu_map @ (shift @ H))) & ((nodeu_map @ H) = (edgeu_map @ (shift @ H))) & ((faceu_map @ H) = (nodeu_map @ (shift @ H))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (dartu_degenerate @ H @ X)) => ((faceu_walkup @ H @ X) = (edgeu_walkup @ H @ X)))).
