%   ORIGINAL: Hypermap.lemma_degenerate_walkup_third_eq
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_degenerate_walkup_first_eq: !H x. x IN dart H /\ dart_degenerate H x ==> node_walkup H x = edge_walkup H x
% Assm: Hypermap.lemma_degenerate_walkup_second_eq: !H x. x IN dart H /\ dart_degenerate H x ==> face_walkup H x = edge_walkup H x
% Assm: TRUTH: T
% Goal: !H x. x IN dart H /\ dart_degenerate H x ==> node_walkup H x = face_walkup H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x. x IN dart H /\ dart_degenerate H x ==> node_walkup H x = edge_walkup H x
% Assm: !H x. x IN dart H /\ dart_degenerate H x ==> face_walkup H x = edge_walkup H x
% Assm: T
% Goal: !H x. x IN dart H /\ dart_degenerate H x ==> node_walkup H x = face_walkup H x
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdartuu_degenerate, type, dartu_degenerate : (hypermapa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cfaceuu_walkup, type, faceu_walkup : (hypermapa > a > hypermapa)).
thf(cnodeuu_walkup, type, nodeu_walkup : (hypermapa > a > hypermapa)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > hypermapa),G:(a > hypermapa)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_degenerateu_walkupu_firstu_eq, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (dartu_degenerate @ H @ X)) => ((nodeu_walkup @ H @ X) = (edgeu_walkup @ H @ X)))).
thf(aHypermapo_lemmau_degenerateu_walkupu_secondu_eq, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (dartu_degenerate @ H @ X)) => ((faceu_walkup @ H @ X) = (edgeu_walkup @ H @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (dartu_degenerate @ H @ X)) => ((nodeu_walkup @ H @ X) = (faceu_walkup @ H @ X)))).
