%   ORIGINAL: Hypermap.LEMMA_CARD_DIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_UNION_EQ: !s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> CARD s + CARD t = CARD u
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. FINITE s /\ t SUBSET s ==> CARD s = CARD (s DIFF t) + CARD t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> CARD s + CARD t = CARD u
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. FINITE s /\ t SUBSET s ==> CARD s = CARD (s DIFF t) + CARD t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_UNIONu_EQ, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((finite @ U) & ((inter @ S @ T) = empty) & ((union @ S @ T) = U)) => ((p_ @ (card @ S) @ (card @ T)) = (card @ U)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:num]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),T:(a > $o)]:(((finite @ S) & (subset @ T @ S)) => ((card @ S) = (p_ @ (card @ (diff @ S @ T)) @ (card @ T))))).
