%   ORIGINAL: Hypermap.CARD_MINUS_DIFF_TWO_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.LEMMA_CARD_DIFF: !s t. FINITE s /\ t SUBSET s ==> CARD s = CARD (s DIFF t) + CARD t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s x y. FINITE s /\ x IN s /\ y IN s ==> CARD s = CARD (s DIFF {x, y}) + CARD {x, y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE s /\ t SUBSET s ==> CARD s = CARD (s DIFF t) + CARD t
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s x y. FINITE s /\ x IN s /\ y IN s ==> CARD s = CARD (s DIFF {x, y}) + CARD {x, y}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cempty, type, empty : (b > $o)).
thf(csubset, type, subset : ((b > $o) > (b > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(cinsert, type, insert : (b > (b > $o) > b > $o)).
thf(cdiff, type, diff : ((b > $o) > (b > $o) > b > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
thf(ccard, type, card : ((b > $o) > num)).
thf(ci, type, i : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_LEMMAu_CARDu_DIFF, axiom, ![S:(b > $o),T:(b > $o)]:(((finite @ S) & (subset @ T @ S)) => ((card @ S) = (p_ @ (card @ (diff @ S @ T)) @ (card @ T))))).
thf(aIN, axiom, ![P:(b > $o),X:b]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:b,Y:b,S:(b > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:num]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:b]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(b > $o),T:(b > $o)]:((subset @ S @ T) <=> ![X:b]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(b > $o),X:b,Y:b]:(((finite @ S) & (in @ X @ S) & (in @ Y @ S)) => ((card @ S) = (p_ @ (card @ (diff @ S @ (insert @ X @ (insert @ Y @ empty)))) @ (card @ (insert @ X @ (insert @ Y @ empty))))))).
