%   ORIGINAL: Hypermap.FINITE_HYPERMAP_ORBITS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.edge_set: !H. edge_set H = set_of_orbits (dart H) (edge_map H)
% Assm: Hypermap.face_set: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: Hypermap.finite_orbits_lemma: !D p. FINITE D /\ p permutes D ==> FINITE (set_of_orbits D p)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.node_set: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: TRUTH: T
% Goal: !H. FINITE (edge_set H) /\ FINITE (node_set H) /\ FINITE (face_set H)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. edge_set H = set_of_orbits (dart H) (edge_map H)
% Assm: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: !D p. FINITE D /\ p permutes D ==> FINITE (set_of_orbits D p)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: T
% Goal: !H. FINITE (edge_set H) /\ FINITE (node_set H) /\ FINITE (face_set H)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cdart0, type, dart0 : (hypermapfunabool > (a > $o) > $o)).
thf(cpermutes, type, permutes : (((a > $o) > a > $o) > ((a > $o) > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cfaceuu_set, type, faceu_set : (hypermapa > (a > $o) > $o)).
thf(cnodeuu_set, type, nodeu_set : (hypermapa > (a > $o) > $o)).
thf(cedgeuu_set, type, edgeu_set : (hypermapa > (a > $o) > $o)).
thf(cnodeuu_map0, type, nodeu_map0 : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(co, type, o : (((a > $o) > a > $o) > ((a > $o) > a > $o) > (a > $o) > a > $o)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapfunabool > (a > $o) > a > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cedgeuu_map0, type, edgeu_map0 : (hypermapfunabool > (a > $o) > a > $o)).
thf(csetuu_ofuu_orbits0, type, setu_ofu_orbits0 : (((a > $o) > $o) > ((a > $o) > a > $o) > ((a > $o) > $o) > $o)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(cfinite0, type, finite0 : ((((a > $o) > $o) > $o) > $o)).
thf(cfinite, type, finite : (((a > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_edgeu_set, axiom, ![H:hypermapa]:((edgeu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (edgeu_map @ H)))).
thf(aHypermapo_faceu_set, axiom, ![H:hypermapa]:((faceu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (faceu_map @ H)))).
thf(aHypermapo_finiteu_orbitsu_lemma, axiom, ![D:((a > $o) > $o),P:((a > $o) > a > $o)]:(((finite @ D) & (permutes @ P @ D)) => (finite0 @ (setu_ofu_orbits0 @ D @ P)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapfunabool]:((finite @ (dart0 @ H)) & (permutes @ (edgeu_map0 @ H) @ (dart0 @ H)) & (permutes @ (nodeu_map @ H) @ (dart0 @ H)) & (permutes @ (faceu_map0 @ H) @ (dart0 @ H)) & ((o @ (edgeu_map0 @ H) @ (o @ (nodeu_map @ H) @ (faceu_map0 @ H))) = i))).
thf(aHypermapo_nodeu_set, axiom, ![H:hypermapa]:((nodeu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (nodeu_map0 @ H)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:((finite @ (edgeu_set @ H)) & (finite @ (nodeu_set @ H)) & (finite @ (faceu_set @ H)))).
