%   ORIGINAL: Hypermap.FINITE_HYPERMAP_COMPONENTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.set_of_components: !H. set_of_components H = set_part_components H (dart H)
% Assm: Hypermap.set_part_components: !D H. set_part_components H D = {comb_component H x | x IN D}
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct2: !P x. GSPEC (\v. P (SETSPEC v)) x <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct3: !p x. {y | p y} x <=> p x
% Assm: TRUTH: T
% Goal: !H. FINITE (set_of_components H)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H. set_of_components H = set_part_components H (dart H)
% Assm: !D H. set_part_components H D = {comb_component H x | x IN D}
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. GSPEC (\v. P (SETSPEC v)) x <=> P (\p t. p /\ x = t)
% Assm: !p x. {y | p y} x <=> p x
% Assm: T
% Goal: !H. FINITE (set_of_components H)
%  TYPES
thf(tq43908, type, q43908 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tq43879, type, q43879 : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(cgspec2, type, gspec2 : ((q43908 > $o) > q43908 > $o)).
thf(cgspec1, type, gspec1 : ((q43879 > $o) > q43879 > $o)).
thf(cgspec0, type, gspec0 : ((b > $o) > b > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cdart0, type, dart0 : (hypermapa > a > $o)).
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cpermutes, type, permutes : (((a > $o) > a > $o) > ((a > $o) > $o) > $o)).
thf(cdart, type, dart : (hypermapfunabool > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetuu_ofuu_components, type, setu_ofu_components : (hypermapa > (a > $o) > $o)).
thf(csetspec2, type, setspec2 : (q43908 > $o > q43908 > $o)).
thf(csetspec1, type, setspec1 : (q43879 > $o > q43879 > $o)).
thf(csetspec0, type, setspec0 : (b > $o > b > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(csetuu_partuu_components, type, setu_partu_components : (hypermapa > (a > $o) > (a > $o) > $o)).
thf(co, type, o : (((a > $o) > a > $o) > ((a > $o) > a > $o) > (a > $o) > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cimage, type, image : (((a > $o) > a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cfinite, type, finite : (((a > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:((a > $o) > a > $o),S:((a > $o) > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapfunabool]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_setu_ofu_components, axiom, ![H:hypermapa]:((setu_ofu_components @ H) = (setu_partu_components @ H @ (dart0 @ H)))).
thf(aHypermapo_setu_partu_components, axiom, ![D:(a > $o),H:hypermapa]:((setu_partu_components @ H @ D) = (gspec @ ^[GENR_PVARR_235:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_235 @ (in @ X @ D) @ (combu_component @ H @ X))))).
thf(aIMAGE, axiom, ![S:(a > $o),F:(a > b)]:((image0 @ F @ S) = (gspec0 @ ^[GENR_PVARR_7:b]:?[Y:b]:(setspec0 @ GENR_PVARR_7 @ ?[X:a]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct2, axiom, ![P:(($o > q43879 > $o) > $o),X:q43879]:((gspec1 @ ^[V:q43879]:(P @ (setspec1 @ V)) @ X) <=> (P @ ^[P0:$o,T:q43879]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct3, axiom, ![P:(q43908 > $o),X:q43908]:((gspec2 @ ^[V:q43908]:?[Y:q43908]:(setspec2 @ V @ (P @ Y) @ Y) @ X) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:(finite @ (setu_ofu_components @ H))).
