%   ORIGINAL: Hypermap.lemma_planar_index_on_walkup_at_degenerate_dart
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.degenerate_lemma: !H x. dart_degenerate H x <=> isolated_dart H x \/ is_edge_degenerate H x \/ is_node_degenerate H x \/ is_face_degenerate H x
% Assm: Hypermap.double_shift_lemma: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: Hypermap.face_walkup: !H x. face_walkup H x = shift (edge_walkup (shift (shift H)) x)
% Assm: Hypermap.is_edge_degenerate: !H x. is_edge_degenerate H x <=> edge_map H x = x /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: Hypermap.is_face_degenerate: !H x. is_face_degenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ face_map H x = x
% Assm: Hypermap.is_node_degenerate: !H x. is_node_degenerate H x <=> ~(edge_map H x = x) /\ node_map H x = x /\ ~(face_map H x = x)
% Assm: Hypermap.lemma_degenerate_walkup_first_eq: !H x. x IN dart H /\ dart_degenerate H x ==> node_walkup H x = edge_walkup H x
% Assm: Hypermap.lemma_degenerate_walkup_second_eq: !H x. x IN dart H /\ dart_degenerate H x ==> face_walkup H x = edge_walkup H x
% Assm: Hypermap.lemma_planar_index_on_walkup_at_edge_degenerate_dart: !H x. x IN dart H /\ is_edge_degenerate H x ==> planar_ind H = planar_ind (edge_walkup H x)
% Assm: Hypermap.lemma_planar_index_on_walkup_at_isolated_dart: !H x. x IN dart H /\ isolated_dart H x ==> planar_ind H = planar_ind (edge_walkup H x)
% Assm: Hypermap.lemma_planar_invariant_shift: !H. planar_ind H = planar_ind (shift H)
% Assm: Hypermap.lemma_shift_cycle: !H. shift (shift (shift H)) = H
% Assm: Hypermap.node_walkup: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: Hypermap.shift_lemma: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. x IN dart H /\ dart_degenerate H x ==> planar_ind H = planar_ind (edge_walkup H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H x. dart_degenerate H x <=> isolated_dart H x \/ is_edge_degenerate H x \/ is_node_degenerate H x \/ is_face_degenerate H x
% Assm: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: !H x. face_walkup H x = shift (edge_walkup (shift (shift H)) x)
% Assm: !H x. is_edge_degenerate H x <=> edge_map H x = x /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: !H x. is_face_degenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ face_map H x = x
% Assm: !H x. is_node_degenerate H x <=> ~(edge_map H x = x) /\ node_map H x = x /\ ~(face_map H x = x)
% Assm: !H x. x IN dart H /\ dart_degenerate H x ==> node_walkup H x = edge_walkup H x
% Assm: !H x. x IN dart H /\ dart_degenerate H x ==> face_walkup H x = edge_walkup H x
% Assm: !H x. x IN dart H /\ is_edge_degenerate H x ==> planar_ind H = planar_ind (edge_walkup H x)
% Assm: !H x. x IN dart H /\ isolated_dart H x ==> planar_ind H = planar_ind (edge_walkup H x)
% Assm: !H. planar_ind H = planar_ind (shift H)
% Assm: !H. shift (shift (shift H)) = H
% Assm: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. x IN dart H /\ dart_degenerate H x ==> planar_ind H = planar_ind (edge_walkup H x)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(treal, type, real : $tType).
thf(thypermapreal, type, hypermapreal : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cplanaruu_ind, type, planaru_ind : (hypermapa > real)).
thf(cisuu_nodeuu_degenerate0, type, isu_nodeu_degenerate0 : (hypermapreal > real > $o)).
thf(cisuu_faceuu_degenerate0, type, isu_faceu_degenerate0 : (hypermapreal > real > $o)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapreal > real > real)).
thf(cnodeuu_map0, type, nodeu_map0 : (hypermapreal > real > real)).
thf(cedgeuu_map0, type, edgeu_map0 : (hypermapreal > real > real)).
thf(cisuu_edgeuu_degenerate0, type, isu_edgeu_degenerate0 : (hypermapreal > real > $o)).
thf(cisuu_faceuu_degenerate, type, isu_faceu_degenerate : (hypermapa > a > $o)).
thf(cisuu_nodeuu_degenerate, type, isu_nodeu_degenerate : (hypermapa > a > $o)).
thf(cisuu_edgeuu_degenerate, type, isu_edgeu_degenerate : (hypermapa > a > $o)).
thf(cisolateduu_dart, type, isolatedu_dart : (hypermapa > a > $o)).
thf(cdartuu_degenerate, type, dartu_degenerate : (hypermapa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cnodeuu_walkup, type, nodeu_walkup : (hypermapa > a > hypermapa)).
thf(cfaceuu_walkup, type, faceu_walkup : (hypermapa > a > hypermapa)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_degenerateu_lemma, axiom, ![H:hypermapa,X:a]:((dartu_degenerate @ H @ X) <=> ((isolatedu_dart @ H @ X) | (isu_edgeu_degenerate @ H @ X) | (isu_nodeu_degenerate @ H @ X) | (isu_faceu_degenerate @ H @ X)))).
thf(aHypermapo_doubleu_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ (shift @ H)))) & ((edgeu_map @ H) = (nodeu_map @ (shift @ (shift @ H)))) & ((nodeu_map @ H) = (faceu_map @ (shift @ (shift @ H)))) & ((faceu_map @ H) = (edgeu_map @ (shift @ (shift @ H)))))).
thf(aHypermapo_faceu_walkup, axiom, ![H:hypermapa,X:a]:((faceu_walkup @ H @ X) = (shift @ (edgeu_walkup @ (shift @ (shift @ H)) @ X)))).
thf(aHypermapo_isu_edgeu_degenerate, axiom, ![H:hypermapreal,X:real]:((isu_edgeu_degenerate0 @ H @ X) <=> (((edgeu_map0 @ H @ X) = X) & ~ (((nodeu_map0 @ H @ X) = X)) & ~ (((faceu_map0 @ H @ X) = X))))).
thf(aHypermapo_isu_faceu_degenerate, axiom, ![H:hypermapreal,X:real]:((isu_faceu_degenerate0 @ H @ X) <=> (~ (((edgeu_map0 @ H @ X) = X)) & ~ (((nodeu_map0 @ H @ X) = X)) & ((faceu_map0 @ H @ X) = X)))).
thf(aHypermapo_isu_nodeu_degenerate, axiom, ![H:hypermapreal,X:real]:((isu_nodeu_degenerate0 @ H @ X) <=> (~ (((edgeu_map0 @ H @ X) = X)) & ((nodeu_map0 @ H @ X) = X) & ~ (((faceu_map0 @ H @ X) = X))))).
thf(aHypermapo_lemmau_degenerateu_walkupu_firstu_eq, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (dartu_degenerate @ H @ X)) => ((nodeu_walkup @ H @ X) = (edgeu_walkup @ H @ X)))).
thf(aHypermapo_lemmau_degenerateu_walkupu_secondu_eq, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (dartu_degenerate @ H @ X)) => ((faceu_walkup @ H @ X) = (edgeu_walkup @ H @ X)))).
thf(aHypermapo_lemmau_planaru_indexu_onu_walkupu_atu_edgeu_degenerateu_dart, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (isu_edgeu_degenerate @ H @ X)) => ((planaru_ind @ H) = (planaru_ind @ (edgeu_walkup @ H @ X))))).
thf(aHypermapo_lemmau_planaru_indexu_onu_walkupu_atu_isolatedu_dart, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (isolatedu_dart @ H @ X)) => ((planaru_ind @ H) = (planaru_ind @ (edgeu_walkup @ H @ X))))).
thf(aHypermapo_lemmau_planaru_invariantu_shift, axiom, ![H:hypermapa]:((planaru_ind @ H) = (planaru_ind @ (shift @ H)))).
thf(aHypermapo_lemmau_shiftu_cycle, axiom, ![H:hypermapa]:((shift @ (shift @ (shift @ H))) = H)).
thf(aHypermapo_nodeu_walkup, axiom, ![H:hypermapa,X:a]:((nodeu_walkup @ H @ X) = (shift @ (shift @ (edgeu_walkup @ (shift @ H) @ X))))).
thf(aHypermapo_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map @ H) = (faceu_map @ (shift @ H))) & ((nodeu_map @ H) = (edgeu_map @ (shift @ H))) & ((faceu_map @ H) = (nodeu_map @ (shift @ H))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (dartu_degenerate @ H @ X)) => ((planaru_ind @ H) = (planaru_ind @ (edgeu_walkup @ H @ X))))).
