%   ORIGINAL: Hypermap.lemma_card_walkup_dart
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.CARD_MINUS_ONE: !s x. FINITE s /\ x IN s ==> CARD s = CARD (s DELETE x) + 1
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.lemma_edge_walkup: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: TRUTH: T
% Goal: !H x. x IN dart H ==> CARD (dart H) = CARD (dart (edge_walkup H x)) + 1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s x. FINITE s /\ x IN s ==> CARD s = CARD (s DELETE x) + 1
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: T
% Goal: !H x. x IN dart H ==> CARD (dart H) = CARD (dart (edge_walkup H x)) + 1
%  TYPES
thf(tnum, type, num : $tType).
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_CARDu_MINUSu_ONE, axiom, ![S:(a > $o),X:a]:(((finite @ S) & (in @ X @ S)) => ((card @ S) = (p_ @ (card @ (delete @ S @ X)) @ (numeral @ (bit1 @ u_0)))))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_lemmau_edgeu_walkup, axiom, ![H:hypermapa,X:a]:(((dart @ (edgeu_walkup @ H @ X)) = (delete @ (dart @ H) @ X)) & ((edgeu_map @ (edgeu_walkup @ H @ X)) = (o @ (inverse @ (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))) @ (inverse @ (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))))) & ((nodeu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))) & ((faceu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((card @ (dart @ H)) = (p_ @ (card @ (dart @ (edgeu_walkup @ H @ X))) @ (numeral @ (bit1 @ u_0)))))).
