%   ORIGINAL: Hypermap.lemma_walkup_count_faces
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.CARD_MINUS_ONE: !s x. FINITE s /\ x IN s ==> CARD s = CARD (s DELETE x) + 1
% Assm: Hypermap.FINITE_HYPERMAP_ORBITS: !H. FINITE (edge_set H) /\ FINITE (node_set H) /\ FINITE (face_set H)
% Assm: Hypermap.dart_nondegenerate: !H x. dart_nondegenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: Hypermap.lemma_face_map_walkup_in_dart: !H x. x IN dart H /\ ~(face_map H x = x) ==> face_map H x IN dart (edge_walkup H x) /\ inverse (face_map H) x IN dart (edge_walkup H x)
% Assm: Hypermap.lemma_in_face_set: !H x. x IN dart H <=> face H x IN face_set H
% Assm: Hypermap.lemma_walkup_faces: !H x. x IN dart H ==> face_set H DELETE face H x = face_set (edge_walkup H x) DELETE face (edge_walkup H x) (inverse (face_map H) x)
% Assm: Hypermap.number_of_faces: !H. number_of_faces H = CARD (face_set H)
% Assm: TRUTH: T
% Goal: !H x. x IN dart H /\ dart_nondegenerate H x ==> number_of_faces H = number_of_faces (edge_walkup H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s x. FINITE s /\ x IN s ==> CARD s = CARD (s DELETE x) + 1
% Assm: !H. FINITE (edge_set H) /\ FINITE (node_set H) /\ FINITE (face_set H)
% Assm: !H x. dart_nondegenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: !H x. x IN dart H /\ ~(face_map H x = x) ==> face_map H x IN dart (edge_walkup H x) /\ inverse (face_map H) x IN dart (edge_walkup H x)
% Assm: !H x. x IN dart H <=> face H x IN face_set H
% Assm: !H x. x IN dart H ==> face_set H DELETE face H x = face_set (edge_walkup H x) DELETE face (edge_walkup H x) (inverse (face_map H) x)
% Assm: !H. number_of_faces H = CARD (face_set H)
% Assm: T
% Goal: !H x. x IN dart H /\ dart_nondegenerate H x ==> number_of_faces H = number_of_faces (edge_walkup H x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cfaceuu_set, type, faceu_set : (hypermapa > (a > $o) > $o)).
thf(cnodeuu_set, type, nodeu_set : (hypermapa > (a > $o) > $o)).
thf(cedgeuu_set, type, edgeu_set : (hypermapa > (a > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdartuu_nondegenerate, type, dartu_nondegenerate : (hypermapa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cdelete0, type, delete0 : (((a > $o) > $o) > (a > $o) > (a > $o) > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cfinite0, type, finite0 : (((a > $o) > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cnumberuu_ofuu_faces, type, numberu_ofu_faces : (hypermapa > num)).
thf(ccard0, type, card0 : (((a > $o) > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_CARDu_MINUSu_ONE, axiom, ![S:(a > $o),X:a]:(((finite @ S) & (in @ X @ S)) => ((card @ S) = (p_ @ (card @ (delete @ S @ X)) @ (numeral @ (bit1 @ u_0)))))).
thf(aHypermapo_FINITEu_HYPERMAPu_ORBITS, axiom, ![H:hypermapa]:((finite0 @ (edgeu_set @ H)) & (finite0 @ (nodeu_set @ H)) & (finite0 @ (faceu_set @ H)))).
thf(aHypermapo_dartu_nondegenerate, axiom, ![H:hypermapa,X:a]:((dartu_nondegenerate @ H @ X) <=> (~ (((edgeu_map @ H @ X) = X)) & ~ (((nodeu_map @ H @ X) = X)) & ~ (((faceu_map @ H @ X) = X))))).
thf(aHypermapo_lemmau_faceu_mapu_walkupu_inu_dart, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & ~ (((faceu_map @ H @ X) = X))) => ((in @ (faceu_map @ H @ X) @ (dart @ (edgeu_walkup @ H @ X))) & (in @ (inverse @ (faceu_map @ H) @ X) @ (dart @ (edgeu_walkup @ H @ X)))))).
thf(aHypermapo_lemmau_inu_faceu_set, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) <=> (in0 @ (face @ H @ X) @ (faceu_set @ H)))).
thf(aHypermapo_lemmau_walkupu_faces, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((delete0 @ (faceu_set @ H) @ (face @ H @ X)) = (delete0 @ (faceu_set @ (edgeu_walkup @ H @ X)) @ (face @ (edgeu_walkup @ H @ X) @ (inverse @ (faceu_map @ H) @ X)))))).
thf(aHypermapo_numberu_ofu_faces, axiom, ![H:hypermapa]:((numberu_ofu_faces @ H) = (card0 @ (faceu_set @ H)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (dartu_nondegenerate @ H @ X)) => ((numberu_ofu_faces @ H) = (numberu_ofu_faces @ (edgeu_walkup @ H @ X))))).
