%   ORIGINAL: Hypermap.lemma_walkup_count_not_splitting_components
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.CARD_MINUS_ONE: !s x. FINITE s /\ x IN s ==> CARD s = CARD (s DELETE x) + 1
% Assm: Hypermap.FINITE_HYPERMAP_COMPONENTS: !H. FINITE (set_of_components H)
% Assm: Hypermap.dart_nondegenerate: !H x. dart_nondegenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: Hypermap.lemma_in_components: !H x. x IN dart H <=> comb_component H x IN set_of_components H
% Assm: Hypermap.lemma_node_map_walkup_in_dart: !H x. x IN dart H /\ ~(node_map H x = x) ==> node_map H x IN dart (edge_walkup H x) /\ inverse (node_map H) x IN dart (edge_walkup H x)
% Assm: Hypermap.lemma_walkup_components: !H x. x IN dart H ==> set_of_components H DELETE comb_component H x = set_of_components (edge_walkup H x) DIFF {comb_component (edge_walkup H x) (node_map H x), comb_component (edge_walkup H x) (inverse (edge_map H) x)}
% Assm: Hypermap.number_of_components: !H. number_of_components H = CARD (set_of_components H)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !H x. x IN dart H /\ dart_nondegenerate H x /\ comb_component (edge_walkup H x) (node_map H x) = comb_component (edge_walkup H x) (inverse (edge_map H) x) ==> number_of_components H = number_of_components (edge_walkup H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s x. FINITE s /\ x IN s ==> CARD s = CARD (s DELETE x) + 1
% Assm: !H. FINITE (set_of_components H)
% Assm: !H x. dart_nondegenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: !H x. x IN dart H <=> comb_component H x IN set_of_components H
% Assm: !H x. x IN dart H /\ ~(node_map H x = x) ==> node_map H x IN dart (edge_walkup H x) /\ inverse (node_map H) x IN dart (edge_walkup H x)
% Assm: !H x. x IN dart H ==> set_of_components H DELETE comb_component H x = set_of_components (edge_walkup H x) DIFF {comb_component (edge_walkup H x) (node_map H x), comb_component (edge_walkup H x) (inverse (edge_map H) x)}
% Assm: !H. number_of_components H = CARD (set_of_components H)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !H x. x IN dart H /\ dart_nondegenerate H x /\ comb_component (edge_walkup H x) (node_map H x) = comb_component (edge_walkup H x) (inverse (edge_map H) x) ==> number_of_components H = number_of_components (edge_walkup H x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(csetuu_ofuu_components, type, setu_ofu_components : (hypermapa > (a > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdartuu_nondegenerate, type, dartu_nondegenerate : (hypermapa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinsert, type, insert : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cdiff, type, diff : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cdelete0, type, delete0 : (((a > $o) > $o) > (a > $o) > (a > $o) > $o)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(ccombuu_component, type, combu_component : (hypermapa > a > a > $o)).
thf(cempty, type, empty : ((a > $o) > $o)).
thf(cfinite0, type, finite0 : (((a > $o) > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cnumberuu_ofuu_components, type, numberu_ofu_components : (hypermapa > num)).
thf(ccard0, type, card0 : (((a > $o) > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_CARDu_MINUSu_ONE, axiom, ![S:(a > $o),X:a]:(((finite @ S) & (in @ X @ S)) => ((card @ S) = (p_ @ (card @ (delete @ S @ X)) @ (numeral @ (bit1 @ u_0)))))).
thf(aHypermapo_FINITEu_HYPERMAPu_COMPONENTS, axiom, ![H:hypermapa]:(finite0 @ (setu_ofu_components @ H))).
thf(aHypermapo_dartu_nondegenerate, axiom, ![H:hypermapa,X:a]:((dartu_nondegenerate @ H @ X) <=> (~ (((edgeu_map @ H @ X) = X)) & ~ (((nodeu_map @ H @ X) = X)) & ~ (((faceu_map @ H @ X) = X))))).
thf(aHypermapo_lemmau_inu_components, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) <=> (in0 @ (combu_component @ H @ X) @ (setu_ofu_components @ H)))).
thf(aHypermapo_lemmau_nodeu_mapu_walkupu_inu_dart, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & ~ (((nodeu_map @ H @ X) = X))) => ((in @ (nodeu_map @ H @ X) @ (dart @ (edgeu_walkup @ H @ X))) & (in @ (inverse @ (nodeu_map @ H) @ X) @ (dart @ (edgeu_walkup @ H @ X)))))).
thf(aHypermapo_lemmau_walkupu_components, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((delete0 @ (setu_ofu_components @ H) @ (combu_component @ H @ X)) = (diff @ (setu_ofu_components @ (edgeu_walkup @ H @ X)) @ (insert @ (combu_component @ (edgeu_walkup @ H @ X) @ (nodeu_map @ H @ X)) @ (insert @ (combu_component @ (edgeu_walkup @ H @ X) @ (inverse @ (edgeu_map @ H) @ X)) @ empty)))))).
thf(aHypermapo_numberu_ofu_components, axiom, ![H:hypermapa]:((numberu_ofu_components @ H) = (card0 @ (setu_ofu_components @ H)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (dartu_nondegenerate @ H @ X) & ((combu_component @ (edgeu_walkup @ H @ X) @ (nodeu_map @ H @ X)) = (combu_component @ (edgeu_walkup @ H @ X) @ (inverse @ (edgeu_map @ H) @ X)))) => ((numberu_ofu_components @ H) = (numberu_ofu_components @ (edgeu_walkup @ H @ X))))).
