%   ORIGINAL: Hypermap.lemmaBISHKQW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.double_shift_lemma: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: Hypermap.face_walkup: !H x. face_walkup H x = shift (edge_walkup (shift (shift H)) x)
% Assm: Hypermap.lemma_desc_planar_index: !H x. x IN dart H ==> planar_ind H <= planar_ind (edge_walkup H x)
% Assm: Hypermap.lemma_planar_invariant_shift: !H. planar_ind H = planar_ind (shift H)
% Assm: Hypermap.lemma_shift_cycle: !H. shift (shift (shift H)) = H
% Assm: Hypermap.node_walkup: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: Hypermap.shift_lemma: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: TRUTH: T
% Goal: !H x. x IN dart H ==> planar_ind H <= planar_ind (edge_walkup H x) /\ planar_ind H <= planar_ind (node_walkup H x) /\ planar_ind H <= planar_ind (face_walkup H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: !H x. face_walkup H x = shift (edge_walkup (shift (shift H)) x)
% Assm: !H x. x IN dart H ==> planar_ind H <= planar_ind (edge_walkup H x)
% Assm: !H. planar_ind H = planar_ind (shift H)
% Assm: !H. shift (shift (shift H)) = H
% Assm: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: T
% Goal: !H x. x IN dart H ==> planar_ind H <= planar_ind (edge_walkup H x) /\ planar_ind H <= planar_ind (node_walkup H x) /\ planar_ind H <= planar_ind (face_walkup H x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cplanaruu_ind, type, planaru_ind : (hypermapa > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cfaceuu_walkup, type, faceu_walkup : (hypermapa > a > hypermapa)).
thf(cnodeuu_walkup, type, nodeu_walkup : (hypermapa > a > hypermapa)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_doubleu_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ (shift @ H)))) & ((edgeu_map @ H) = (nodeu_map @ (shift @ (shift @ H)))) & ((nodeu_map @ H) = (faceu_map @ (shift @ (shift @ H)))) & ((faceu_map @ H) = (edgeu_map @ (shift @ (shift @ H)))))).
thf(aHypermapo_faceu_walkup, axiom, ![H:hypermapa,X:a]:((faceu_walkup @ H @ X) = (shift @ (edgeu_walkup @ (shift @ (shift @ H)) @ X)))).
thf(aHypermapo_lemmau_descu_planaru_index, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => (realu_le @ (planaru_ind @ H) @ (planaru_ind @ (edgeu_walkup @ H @ X))))).
thf(aHypermapo_lemmau_planaru_invariantu_shift, axiom, ![H:hypermapa]:((planaru_ind @ H) = (planaru_ind @ (shift @ H)))).
thf(aHypermapo_lemmau_shiftu_cycle, axiom, ![H:hypermapa]:((shift @ (shift @ (shift @ H))) = H)).
thf(aHypermapo_nodeu_walkup, axiom, ![H:hypermapa,X:a]:((nodeu_walkup @ H @ X) = (shift @ (shift @ (edgeu_walkup @ (shift @ H) @ X))))).
thf(aHypermapo_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map @ H) = (faceu_map @ (shift @ H))) & ((nodeu_map @ H) = (edgeu_map @ (shift @ H))) & ((faceu_map @ H) = (nodeu_map @ (shift @ H))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((realu_le @ (planaru_ind @ H) @ (planaru_ind @ (edgeu_walkup @ H @ X))) & (realu_le @ (planaru_ind @ H) @ (planaru_ind @ (nodeu_walkup @ H @ X))) & (realu_le @ (planaru_ind @ H) @ (planaru_ind @ (faceu_walkup @ H @ X)))))).
