%   ORIGINAL: Hypermap.convolution_rep
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.LEFT_INVERSE_EQUATION: !s u v w. u permutes s /\ u o v = w ==> v = inverse u o w
% Assm: Hypermap.RIGHT_MULT_MAP: !u v w. u = v ==> u o w = v o w
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: PERMUTES_INVERSES_o: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: TRUTH: T
% Goal: !s p. p permutes s ==> (p o p = I <=> p = inverse p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s u v w. u permutes s /\ u o v = w ==> v = inverse u o w
% Assm: !u v w. u = v ==> u o w = v o w
% Assm: !f. I o f = f /\ f o I = f
% Assm: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: T
% Goal: !s p. p permutes s ==> (p o p = I <=> p = inverse p)
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_LEFTu_INVERSEu_EQUATION, axiom, ![S:(a > $o),U:(a > a),V:(a > a),W:(a > a)]:(((permutes @ U @ S) & ((o @ U @ V) = W)) => (V = (o @ (inverse @ U) @ W)))).
thf(aHypermapo_RIGHTu_MULTu_MAP, axiom, ![U:(a > a),V:(a > a),W:(a > a)]:((U = V) => ((o @ U @ W) = (o @ V @ W)))).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aPERMUTESu_INVERSESu_o, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (((o @ P @ (inverse @ P)) = i) & ((o @ (inverse @ P) @ P) = i)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => (((o @ P @ P) = i) <=> (P = (inverse @ P))))).
