%   ORIGINAL: Hypermap.edge_convolution
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.convolution_belong: !s p. p permutes s ==> (p o p = I <=> (!x. x IN s ==> p (p x) = x))
% Assm: Hypermap.convolution_inv: !s p. p permutes s ==> (p o p = I <=> inverse p o inverse p = I)
% Assm: Hypermap.edge_map_and_darts: !H. FINITE (dart H) /\ edge_map H permutes dart H
% Assm: Hypermap.inverse_hypermap_maps: !H. inverse (edge_map H) = node_map H o face_map H /\ inverse (node_map H) = face_map H o edge_map H /\ inverse (face_map H) = edge_map H o node_map H
% Assm: Hypermap.plain_hypermap: !H. plain_hypermap H <=> edge_map H o edge_map H = I
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H. plain_hypermap H <=> (!x. x IN dart H ==> node_map H (face_map H (node_map H (face_map H x))) = x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p. p permutes s ==> (p o p = I <=> (!x. x IN s ==> p (p x) = x))
% Assm: !s p. p permutes s ==> (p o p = I <=> inverse p o inverse p = I)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H
% Assm: !H. inverse (edge_map H) = node_map H o face_map H /\ inverse (node_map H) = face_map H o edge_map H /\ inverse (face_map H) = edge_map H o node_map H
% Assm: !H. plain_hypermap H <=> edge_map H o edge_map H = I
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: T
% Assm: !f g x. (f o g) x <=> f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H. plain_hypermap H <=> (!x. x IN dart H ==> node_map H (face_map H (node_map H (face_map H x))) = x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tq144146, type, q144146 : $tType).
%  CONSTS
thf(cpermutes0, type, permutes0 : ((q144146 > q144146) > (q144146 > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse0, type, inverse0 : ((q144146 > q144146) > q144146 > q144146)).
thf(co1, type, o1 : ((b > a) > (a > b) > a > a)).
thf(co0, type, o0 : ((b > $o) > (a > b) > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cplainuu_hypermap, type, plainu_hypermap : (hypermapa > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_convolutionu_belong, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => (((o @ P @ P) = i) <=> ![X:a]:((in @ X @ S) => ((P @ (P @ X)) = X))))).
thf(aHypermapo_convolutionu_inv, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => (((o @ P @ P) = i) <=> ((o @ (inverse @ P) @ (inverse @ P)) = i)))).
thf(aHypermapo_edgeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)))).
thf(aHypermapo_inverseu_hypermapu_maps, axiom, ![H:hypermapa]:(((inverse @ (edgeu_map @ H)) = (o @ (nodeu_map @ H) @ (faceu_map @ H))) & ((inverse @ (nodeu_map @ H)) = (o @ (faceu_map @ H) @ (edgeu_map @ H))) & ((inverse @ (faceu_map @ H)) = (o @ (edgeu_map @ H) @ (nodeu_map @ H))))).
thf(aHypermapo_plainu_hypermap, axiom, ![H:hypermapa]:((plainu_hypermap @ H) <=> ((o @ (edgeu_map @ H) @ (edgeu_map @ H)) = i))).
thf(aPERMUTESu_INVERSE, axiom, ![P:(q144146 > q144146),S:(q144146 > $o)]:((permutes0 @ P @ S) => (permutes0 @ (inverse0 @ P) @ S))).
thf(aTRUTH, axiom, $true).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > $o),G:(a > b),X:a]:((o0 @ F @ G @ X) <=> (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > a),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa]:((plainu_hypermap @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => ((nodeu_map @ H @ (faceu_map @ H @ (nodeu_map @ H @ (faceu_map @ H @ X)))) = X)))).
