%   ORIGINAL: Hypermap.lemma_convolution_evaluation
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Fan.POWER_2: !f. f POWER 2 = f o f
% Assm: Hypermap.CARD_ATLEAST_1: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: Hypermap.LT1_NZ: !n. 1 <= n <=> 0 < n
% Assm: Hypermap.SEGMENT_TO_TWO: !n. n <= 2 <=> n = 0 \/ n = 1 \/ n = 2
% Assm: Hypermap.card_orbit_le: !f n x. ~(n = 0) /\ (f POWER n) x = x ==> CARD (orbit_map f x) <= n
% Assm: Hypermap.lemma_cycle_orbit: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: Hypermap.lemma_orbit_finite: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
% Assm: Hypermap.orbit_reflect: !f x. x IN orbit_map f x
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !s p x. FINITE s /\ p permutes s ==> (p (p x) = x <=> CARD (orbit_map p x) <= 2)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !f. f POWER 1 = f
% Assm: !f. f POWER 2 = f o f
% Assm: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: !n. 1 <= n <=> 0 < n
% Assm: !n. n <= 2 <=> n = 0 \/ n = 1 \/ n = 2
% Assm: !f n x. ~(n = 0) /\ (f POWER n) x = x ==> CARD (orbit_map f x) <= n
% Assm: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
% Assm: !f x. x IN orbit_map f x
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x <=> f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !s p x. FINITE s /\ p permutes s ==> (p (p x) = x <=> CARD (orbit_map p x) <= 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(co1, type, o1 : ((b > a) > (a > b) > a > a)).
thf(co0, type, o0 : ((b > $o) > (a > b) > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aFano_POWERu_2, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (o @ F @ F))).
thf(aHypermapo_CARDu_ATLEASTu_1, axiom, ![S:(a > $o),X:a]:(((finite @ S) & (in @ X @ S)) => (l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ S)))).
thf(aHypermapo_LT1u_NZ, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) <=> (l_ @ (numeral @ u_0) @ N))).
thf(aHypermapo_SEGMENTu_TOu_TWO, axiom, ![N:num]:((l_a_ @ N @ (numeral @ (bit0 @ (bit1 @ u_0)))) <=> ((N = (numeral @ u_0)) | (N = (numeral @ (bit1 @ u_0))) | (N = (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aHypermapo_cardu_orbitu_le, axiom, ![F:(a > a),N:num,X:a]:((~ ((N = (numeral @ u_0))) & ((power @ F @ N @ X) = X)) => (l_a_ @ (card @ (orbitu_map @ F @ X)) @ N))).
thf(aHypermapo_lemmau_cycleu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ((power @ P @ (card @ (orbitu_map @ P @ X)) @ X) = X))).
thf(aHypermapo_lemmau_orbitu_finite, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => (finite @ (orbitu_map @ P @ X)))).
thf(aHypermapo_orbitu_reflect, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > $o),G:(a > b),X:a]:((o0 @ F @ G @ X) <=> (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > a),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => (((P @ (P @ X)) = X) <=> (l_a_ @ (card @ (orbitu_map @ P @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
