%   ORIGINAL: Hypermap.lemma_convolution_map
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Fan.POWER_2: !f. f POWER 2 = f o f
% Assm: Hypermap.card_orbit_le: !f n x. ~(n = 0) /\ (f POWER n) x = x ==> CARD (orbit_map f x) <= n
% Assm: Hypermap.lemma_convolution_evaluation: !s p x. FINITE s /\ p permutes s ==> (p (p x) = x <=> CARD (orbit_map p x) <= 2)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !s p. FINITE s /\ p permutes s ==> (p o p = I <=> (!x. x IN s ==> CARD (orbit_map p x) <= 2))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f. f POWER 2 = f o f
% Assm: !f n x. ~(n = 0) /\ (f POWER n) x = x ==> CARD (orbit_map f x) <= n
% Assm: !f n x. ~(n = 0) /\ ((f POWER n) x <=> x) ==> CARD (orbit_map f x) <= n
% Assm: !s p x. FINITE s /\ p permutes s ==> (p (p x) = x <=> CARD (orbit_map p x) <= 2)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !s p. FINITE s /\ p permutes s ==> (p o p = I <=> (!x. x IN s ==> CARD (orbit_map p x) <= 2))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(corbituu_map1, type, orbitu_map1 : (($o > $o) > $o > $o > $o)).
thf(cpower1, type, power1 : (($o > $o) > num > $o > $o)).
thf(corbituu_map0, type, orbitu_map0 : (((a > a) > a > a) > (a > a) > (a > a) > $o)).
thf(cpower0, type, power0 : (((a > a) > a > a) > num > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard1, type, card1 : (($o > $o) > num)).
thf(ccard0, type, card0 : (((a > a) > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > a),G:(a > a)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFano_POWERu_2, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (o @ F @ F))).
thf(aHypermapo_cardu_orbitu_leu_monomorphized1, axiom, ![F:((a > a) > a > a),N:num,X:(a > a)]:((~ ((N = (numeral @ u_0))) & ((power0 @ F @ N @ X) = X)) => (l_a_ @ (card0 @ (orbitu_map0 @ F @ X)) @ N))).
thf(aHypermapo_cardu_orbitu_leu_monomorphized0, axiom, ![F:($o > $o),N:num,X:$o]:((~ ((N = (numeral @ u_0))) & ((power1 @ F @ N @ X) <=> X)) => (l_a_ @ (card1 @ (orbitu_map1 @ F @ X)) @ N))).
thf(aHypermapo_lemmau_convolutionu_evaluation, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => (((P @ (P @ X)) = X) <=> (l_a_ @ (card @ (orbitu_map @ P @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(a > a),G:(a > a),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(apermutes, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) <=> (![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => (((o @ P @ P) = i) <=> ![X:a]:((in @ X @ S) => (l_a_ @ (card @ (orbitu_map @ P @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
