%   ORIGINAL: Hypermap.lemma_sub_unions_diff
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIFF: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: UNION: !s t. s UNION t = {x | x IN s \/ x IN t}
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !s t. t SUBSET s ==> UNIONS s = UNIONS (s DIFF t) UNION UNIONS t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s t. s UNION t = {x | x IN s \/ x IN t}
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !s t. t SUBSET s ==> UNIONS s = UNIONS (s DIFF t) UNION UNIONS t
%  TYPES
thf(ta, type, a : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(cgspec1, type, gspec1 : ((a > $o) > a > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(csubset, type, subset : (((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(csetspec1, type, setspec1 : (a > $o > a > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cdiff, type, diff : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIFF, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((diff @ S @ T) = (gspec @ ^[GENR_PVARR_4:(a > $o)]:?[X:(a > $o)]:(setspec @ GENR_PVARR_4 @ ((in @ X @ S) & ~ ((in @ X @ T))) @ X)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((subset @ S @ T) <=> ![X:(a > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNION, axiom, ![S:(a > $o),T:(a > $o)]:((union @ S @ T) = (gspec1 @ ^[GENR_PVARR_0:a]:?[X:a]:(setspec1 @ GENR_PVARR_0 @ ((in0 @ X @ S) | (in0 @ X @ T)) @ X)))).
thf(aUNIONS, axiom, ![S:((a > $o) > $o)]:((unions @ S) = (gspec1 @ ^[GENR_PVARR_1:a]:?[X:a]:(setspec1 @ GENR_PVARR_1 @ ?[U:(a > $o)]:((in @ U @ S) & (in0 @ X @ U)) @ X)))).
thf(conjecture, conjecture, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((subset @ T @ S) => ((unions @ S) = (union @ (unions @ (diff @ S @ T)) @ (unions @ T))))).
