%   ORIGINAL: Hypermap.lemma_card_unions_diff
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_UNION: !s t. FINITE s /\ FINITE t /\ s INTER t = {} ==> CARD (s UNION t) = CARD s + CARD t
% Assm: DIFF: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: Hypermap.lemma_sub_unions_diff: !s t. t SUBSET s ==> UNIONS s = UNIONS (s DIFF t) UNION UNIONS t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !s t. t SUBSET s /\ FINITE (UNIONS s) /\ (!a b. a IN s /\ b IN s ==> a = b \/ a INTER b = {}) ==> CARD (UNIONS s) = CARD (UNIONS (s DIFF t)) + CARD (UNIONS t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. FINITE s /\ FINITE t /\ s INTER t = {} ==> CARD (s UNION t) = CARD s + CARD t
% Assm: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s t. t SUBSET s ==> UNIONS s = UNIONS (s DIFF t) UNION UNIONS t
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !s t. t SUBSET s /\ FINITE (UNIONS s) /\ (!a b. a IN s /\ b IN s ==> a = b \/ a INTER b = {}) ==> CARD (UNIONS s) = CARD (UNIONS (s DIFF t)) + CARD (UNIONS t)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(csubset, type, subset : (((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(cunion0, type, union0 : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cinter0, type, inter0 : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cempty0, type, empty0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_UNION, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T) & ((inter @ S @ T) = empty)) => ((card @ (union @ S @ T)) = (p_ @ (card @ S) @ (card @ T))))).
thf(aDIFF, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((diff @ S @ T) = (gspec @ ^[GENR_PVARR_4:(a > $o)]:?[X:(a > $o)]:(setspec @ GENR_PVARR_4 @ ((in @ X @ S) & ~ ((in @ X @ T))) @ X)))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset0 @ S @ T)) => (finite @ S))).
thf(aHypermapo_lemmau_subu_unionsu_diff, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((subset @ T @ S) => ((unions @ S) = (union @ (unions @ (diff @ S @ T)) @ (unions @ T))))).
thf(aIN, axiom, ![P:((a > $o) > $o),X:(a > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((a > $o) > $o),X:(a > $o)]:((in @ X @ (gspec @ ^[V:(a > $o)]:?[Y:(a > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o),X:(a > $o)]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o),X:(a > $o)]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:((a > $o) > $o)]:(?[X:(a > $o)]:(in @ X @ S) <=> ~ ((S = empty0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((subset @ S @ T) <=> ![X:(a > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONS, axiom, ![S:((a > $o) > $o)]:((unions @ S) = (gspec0 @ ^[GENR_PVARR_1:a]:?[X:a]:(setspec0 @ GENR_PVARR_1 @ ?[U:(a > $o)]:((in @ U @ S) & (in0 @ X @ U)) @ X)))).
thf(conjecture, conjecture, ![S:((a > $o) > $o),T:((a > $o) > $o)]:(((subset @ T @ S) & (finite @ (unions @ S)) & ![A:(a > $o),B:(a > $o)]:(((in @ A @ S) & (in @ B @ S)) => ((A = B) | ((inter @ A @ B) = empty)))) => ((card @ (unions @ S)) = (p_ @ (card @ (unions @ (diff @ S @ T))) @ (card @ (unions @ T)))))).
