%   ORIGINAL: Hypermap.lemma_card_partion2_unions
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.edge_set: !H. edge_set H = set_of_orbits (dart H) (edge_map H)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.lemma_card_unions_diff: !s t. t SUBSET s /\ FINITE (UNIONS s) /\ (!a b. a IN s /\ b IN s ==> a = b \/ a INTER b = {}) ==> CARD (UNIONS s) = CARD (UNIONS (s DIFF t)) + CARD (UNIONS t)
% Assm: Hypermap.lemma_in_edge_set: !H x. x IN dart H <=> edge H x IN edge_set H
% Assm: Hypermap.lemma_partition: !s p. FINITE s /\ p permutes s ==> s = UNIONS (set_of_orbits s p)
% Assm: Hypermap.partition_orbit: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
% Assm: Hypermap.set_of_orbits: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !H x y. x IN dart H /\ y IN dart H ==> CARD (dart H) = CARD (UNIONS (edge_set H DIFF {edge H x, edge H y})) + CARD (UNIONS {edge H x, edge H y})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !H. edge_set H = set_of_orbits (dart H) (edge_map H)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !s t. t SUBSET s /\ FINITE (UNIONS s) /\ (!a b. a IN s /\ b IN s ==> a = b \/ a INTER b = {}) ==> CARD (UNIONS s) = CARD (UNIONS (s DIFF t)) + CARD (UNIONS t)
% Assm: !H x. x IN dart H <=> edge H x IN edge_set H
% Assm: !s p. FINITE s /\ p permutes s ==> s = UNIONS (set_of_orbits s p)
% Assm: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !H x y. x IN dart H /\ y IN dart H ==> CARD (dart H) = CARD (UNIONS (edge_set H DIFF {edge H x, edge H y})) + CARD (UNIONS {edge H x, edge H y})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cpermutes0, type, permutes0 : (((a > $o) > a > $o) > ((a > $o) > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(csubset, type, subset : (((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cedgeuu_set, type, edgeu_set : (hypermapa > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(corbituu_map0, type, orbitu_map0 : ((a > a) > a > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(corbituu_map, type, orbitu_map : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cinter0, type, inter0 : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cinsert, type, insert : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cdiff, type, diff : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cfinite0, type, finite0 : (((a > $o) > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cempty0, type, empty0 : (a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_edgeu_set, axiom, ![H:hypermapa]:((edgeu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (edgeu_map @ H)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_lemmau_cardu_unionsu_diff, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:(((subset @ T @ S) & (finite @ (unions @ S)) & ![A:(a > $o),B:(a > $o)]:(((in0 @ A @ S) & (in0 @ B @ S)) => ((A = B) | ((inter @ A @ B) = empty0)))) => ((card @ (unions @ S)) = (p_ @ (card @ (unions @ (diff @ S @ T))) @ (card @ (unions @ T)))))).
thf(aHypermapo_lemmau_inu_edgeu_set, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) <=> (in0 @ (edge @ H @ X) @ (edgeu_set @ H)))).
thf(aHypermapo_lemmau_partition, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => (S = (unions @ (setu_ofu_orbits @ S @ P))))).
thf(aHypermapo_partitionu_orbit, axiom, ![S:((a > $o) > $o),P:((a > $o) > a > $o)]:(((finite0 @ S) & (permutes0 @ P @ S)) => ![X:(a > $o),Y:(a > $o)]:(((inter0 @ (orbitu_map @ P @ X) @ (orbitu_map @ P @ Y)) = empty) | ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y))))).
thf(aHypermapo_setu_ofu_orbits, axiom, ![D:(a > $o),F:(a > a)]:((setu_ofu_orbits @ D @ F) = (gspec @ ^[GENR_PVARR_233:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_233 @ (in @ X @ D) @ (orbitu_map0 @ F @ X))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:(((in @ X @ (dart @ H)) & (in @ Y @ (dart @ H))) => ((card @ (dart @ H)) = (p_ @ (card @ (unions @ (diff @ (edgeu_set @ H) @ (insert @ (edge @ H @ X) @ (insert @ (edge @ H @ Y) @ empty))))) @ (card @ (unions @ (insert @ (edge @ H @ X) @ (insert @ (edge @ H @ Y) @ empty)))))))).
