%   ORIGINAL: Hypermap.CARD_UNION_EDGES_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_UNION_LE: !s t. FINITE s /\ FINITE t ==> CARD (s UNION t) <= CARD s + CARD t
% Assm: Hypermap.EDGE_FINITE: !H x. FINITE (edge H x)
% Assm: TRUTH: T
% Goal: !H x y. CARD (edge H x UNION edge H y) <= CARD (edge H x) + CARD (edge H y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. FINITE s /\ FINITE t ==> CARD (s UNION t) <= CARD s + CARD t
% Assm: !H x. FINITE (edge H x)
% Assm: T
% Goal: !H x y. CARD (edge H x UNION edge H y) <= CARD (edge H x) + CARD (edge H y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_UNIONu_LE, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T)) => (l_a_ @ (card @ (union @ S @ T)) @ (p_ @ (card @ S) @ (card @ T))))).
thf(aHypermapo_EDGEu_FINITE, axiom, ![H:hypermapa,X:a]:(finite @ (edge @ H @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:(l_a_ @ (card @ (union @ (edge @ H @ X) @ (edge @ H @ Y))) @ (p_ @ (card @ (edge @ H @ X)) @ (card @ (edge @ H @ Y))))).
