%   ORIGINAL: Hypermap.lemma_card_partion1_unions_eq
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.lemma_card_partion2_unions: !H x y. x IN dart H /\ y IN dart H ==> CARD (dart H) = CARD (UNIONS (edge_set H DIFF {edge H x, edge H y})) + CARD (UNIONS {edge H x, edge H y})
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: UNIONS_1: UNIONS {s} = s
% Goal: !H x. x IN dart H ==> CARD (dart H) = CARD (UNIONS (edge_set H DELETE edge H x)) + CARD (edge H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H x y. x IN dart H /\ y IN dart H ==> CARD (dart H) = CARD (UNIONS (edge_set H DIFF {edge H x, edge H y})) + CARD (UNIONS {edge H x, edge H y})
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. UNIONS {s} = s
% Goal: !H x. x IN dart H ==> CARD (dart H) = CARD (UNIONS (edge_set H DELETE edge H x)) + CARD (edge H x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cedgeuu_set, type, edgeu_set : (hypermapa > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdelete0, type, delete0 : ((a > $o) > a > a > $o)).
thf(cinsert, type, insert : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cdiff, type, diff : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cdelete, type, delete : (((a > $o) > $o) > (a > $o) > (a > $o) > $o)).
thf(cempty, type, empty : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_lemmau_cardu_partion2u_unions, axiom, ![H:hypermapa,X:a,Y:a]:(((in @ X @ (dart @ H)) & (in @ Y @ (dart @ H))) => ((card @ (dart @ H)) = (p_ @ (card @ (unions @ (diff @ (edgeu_set @ H) @ (insert @ (edge @ H @ X) @ (insert @ (edge @ H @ Y) @ empty))))) @ (card @ (unions @ (insert @ (edge @ H @ X) @ (insert @ (edge @ H @ Y) @ empty)))))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete0 @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_1, axiom, ![S:(a > $o)]:((unions @ (insert @ S @ empty)) = S)).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((card @ (dart @ H)) = (p_ @ (card @ (unions @ (delete @ (edgeu_set @ H) @ (edge @ H @ X)))) @ (card @ (edge @ H @ X)))))).
