%   ORIGINAL: Hypermap.power_permutation_outside_domain
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: Hypermap.map_permutes_outside_domain: !s p. p permutes s ==> (!x. ~(x IN s) ==> p x = x)
% Assm: I_THM: !x. I x = x
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !s p x n. p permutes s /\ ~(x IN s) ==> (p POWER n) x = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !s p. p permutes s ==> (!x. ~(x IN s) ==> p x = x)
% Assm: !x. I x = x
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !s p x n. p permutes s /\ ~(x IN s) ==> (p POWER n) x = x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(co0, type, o0 : ((b > a) > (a > b) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aHypermapo_mapu_permutesu_outsideu_domain, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THM, axiom, ![F:(b > a),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a,N:num]:(((permutes @ P @ S) & ~ ((in @ X @ S))) => ((power @ P @ N @ X) = X))).
