%   ORIGINAL: Hypermap.lemma_edge_exception
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.edge: !H x. edge H x = orbit_map (edge_map H) x
% Assm: Hypermap.edge_map_and_darts: !H. FINITE (dart H) /\ edge_map H permutes dart H
% Assm: Hypermap.map_permutes_outside_domain: !s p. p permutes s ==> (!x. ~(x IN s) ==> p x = x)
% Assm: Hypermap.orbit_one_point: !f x. f x = x <=> orbit_map f x = {x}
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. ~(x IN dart H) ==> edge H x = {x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H x. edge H x = orbit_map (edge_map H) x
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H
% Assm: !s p. p permutes s ==> (!x. ~(x IN s) ==> p x = x)
% Assm: !f x. f x = x <=> orbit_map f x = {x}
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. ~(x IN dart H) ==> edge H x = {x}
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinsert0, type, insert0 : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(corbituu_map0, type, orbitu_map0 : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cempty0, type, empty0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_edge, axiom, ![H:hypermapa,X:a]:((edge @ H @ X) = (orbitu_map @ (edgeu_map @ H) @ X))).
thf(aHypermapo_edgeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)))).
thf(aHypermapo_mapu_permutesu_outsideu_domain, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)))).
thf(aHypermapo_orbitu_oneu_point, axiom, ![F:((a > $o) > a > $o),X:(a > $o)]:(((F @ X) = X) <=> ((orbitu_map0 @ F @ X) = (insert0 @ X @ empty0)))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(~ ((in @ X @ (dart @ H))) => ((edge @ H @ X) = (insert @ X @ empty)))).
