%   ORIGINAL: Hypermap.lemma_simple_hypermap
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.lemma_face_exception: !H x. ~(x IN dart H) ==> face H x = {x}
% Assm: Hypermap.lemma_node_exception: !H x. ~(x IN dart H) ==> node H x = {x}
% Assm: Hypermap.simple_hypermap: !H. simple_hypermap H <=> (!x. x IN dart H ==> node H x INTER face H x = {x})
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: simple_hypermap H ==> (!x. node H x INTER face H x = {x})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H x. ~(x IN dart H) ==> face H x = {x}
% Assm: !H x. ~(x IN dart H) ==> node H x = {x}
% Assm: !H. simple_hypermap H <=> (!x. x IN dart H ==> node H x INTER face H x = {x})
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !H. simple_hypermap H ==> (!x. node H x INTER face H x = {x})
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(csimpleuu_hypermap, type, simpleu_hypermap : (hypermapa > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_lemmau_faceu_exception, axiom, ![H:hypermapa,X:a]:(~ ((in @ X @ (dart @ H))) => ((face @ H @ X) = (insert @ X @ empty)))).
thf(aHypermapo_lemmau_nodeu_exception, axiom, ![H:hypermapa,X:a]:(~ ((in @ X @ (dart @ H))) => ((node @ H @ X) = (insert @ X @ empty)))).
thf(aHypermapo_simpleu_hypermap, axiom, ![H:hypermapa]:((simpleu_hypermap @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => ((inter @ (node @ H @ X) @ (face @ H @ X)) = (insert @ X @ empty))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:((simpleu_hypermap @ H) => ![X:a]:((inter @ (node @ H @ X) @ (face @ H @ X)) = (insert @ X @ empty)))).
