%   ORIGINAL: Hypermap.lemma_representaion_Wn
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.double_edge_walkup: !H x y. double_edge_walkup H x y = edge_walkup (edge_walkup H x) y
% Assm: Hypermap.double_node_walkup: !H x y. double_node_walkup H x y = node_walkup (node_walkup H x) y
% Assm: Hypermap.lemma_shift_cycle: !H. shift (shift (shift H)) = H
% Assm: Hypermap.node_walkup: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: TRUTH: T
% Goal: !H x y. double_node_walkup H x y = shift (shift (double_edge_walkup (shift H) x y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x y. double_edge_walkup H x y = edge_walkup (edge_walkup H x) y
% Assm: !H x y. double_node_walkup H x y = node_walkup (node_walkup H x) y
% Assm: !H. shift (shift (shift H)) = H
% Assm: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: T
% Goal: !H x y. double_node_walkup H x y = shift (shift (double_edge_walkup (shift H) x y))
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cnodeuu_walkup, type, nodeu_walkup : (hypermapa > a > hypermapa)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cdoubleuu_edgeuu_walkup, type, doubleu_edgeu_walkup : (hypermapa > a > a > hypermapa)).
thf(cdoubleuu_nodeuu_walkup, type, doubleu_nodeu_walkup : (hypermapa > a > a > hypermapa)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > hypermapa),G:(a > hypermapa)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_doubleu_edgeu_walkup, axiom, ![H:hypermapa,X:a,Y:a]:((doubleu_edgeu_walkup @ H @ X @ Y) = (edgeu_walkup @ (edgeu_walkup @ H @ X) @ Y))).
thf(aHypermapo_doubleu_nodeu_walkup, axiom, ![H:hypermapa,X:a,Y:a]:((doubleu_nodeu_walkup @ H @ X @ Y) = (nodeu_walkup @ (nodeu_walkup @ H @ X) @ Y))).
thf(aHypermapo_lemmau_shiftu_cycle, axiom, ![H:hypermapa]:((shift @ (shift @ (shift @ H))) = H)).
thf(aHypermapo_nodeu_walkup, axiom, ![H:hypermapa,X:a]:((nodeu_walkup @ H @ X) = (shift @ (shift @ (edgeu_walkup @ (shift @ H) @ X))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:((doubleu_nodeu_walkup @ H @ X @ Y) = (shift @ (shift @ (doubleu_edgeu_walkup @ (shift @ H) @ X @ Y))))).
