%   ORIGINAL: Hypermap.lemma_representaion_Wf
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.double_edge_walkup: !H x y. double_edge_walkup H x y = edge_walkup (edge_walkup H x) y
% Assm: Hypermap.double_face_walkup: !H x y. double_face_walkup H x y = face_walkup (face_walkup H x) y
% Assm: Hypermap.face_walkup: !H x. face_walkup H x = shift (edge_walkup (shift (shift H)) x)
% Assm: Hypermap.lemma_shift_cycle: !H. shift (shift (shift H)) = H
% Assm: TRUTH: T
% Goal: !H x y. double_face_walkup H x y = shift (double_edge_walkup (shift (shift H)) x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x y. double_edge_walkup H x y = edge_walkup (edge_walkup H x) y
% Assm: !H x y. double_face_walkup H x y = face_walkup (face_walkup H x) y
% Assm: !H x. face_walkup H x = shift (edge_walkup (shift (shift H)) x)
% Assm: !H. shift (shift (shift H)) = H
% Assm: T
% Goal: !H x y. double_face_walkup H x y = shift (double_edge_walkup (shift (shift H)) x y)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cfaceuu_walkup, type, faceu_walkup : (hypermapa > a > hypermapa)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cdoubleuu_edgeuu_walkup, type, doubleu_edgeu_walkup : (hypermapa > a > a > hypermapa)).
thf(cdoubleuu_faceuu_walkup, type, doubleu_faceu_walkup : (hypermapa > a > a > hypermapa)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > hypermapa),G:(a > hypermapa)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_doubleu_edgeu_walkup, axiom, ![H:hypermapa,X:a,Y:a]:((doubleu_edgeu_walkup @ H @ X @ Y) = (edgeu_walkup @ (edgeu_walkup @ H @ X) @ Y))).
thf(aHypermapo_doubleu_faceu_walkup, axiom, ![H:hypermapa,X:a,Y:a]:((doubleu_faceu_walkup @ H @ X @ Y) = (faceu_walkup @ (faceu_walkup @ H @ X) @ Y))).
thf(aHypermapo_faceu_walkup, axiom, ![H:hypermapa,X:a]:((faceu_walkup @ H @ X) = (shift @ (edgeu_walkup @ (shift @ (shift @ H)) @ X)))).
thf(aHypermapo_lemmau_shiftu_cycle, axiom, ![H:hypermapa]:((shift @ (shift @ (shift @ H))) = H)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:((doubleu_faceu_walkup @ H @ X @ Y) = (shift @ (doubleu_edgeu_walkup @ (shift @ (shift @ H)) @ X @ Y)))).
