%   ORIGINAL: Hypermap.lemma_contour_in_dart
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.is_contour_conjunct1: is_contour H p (SUC n) <=> is_contour H p n /\ one_step_contour H (p n) (p (SUC n))
% Assm: Hypermap.lemma_dart_invariant: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: Hypermap.lemma_dart_inveriant_under_inverse_maps: !H x. x IN dart H ==> inverse (edge_map H) x IN dart H /\ inverse (node_map H) x IN dart H /\ inverse (face_map H) x IN dart H
% Assm: Hypermap.one_step_contour: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H p n. p 0 IN dart H /\ is_contour H p n ==> p n IN dart H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H p n. is_contour H p (SUC n) <=> is_contour H p n /\ one_step_contour H (p n) (p (SUC n))
% Assm: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: !H x. x IN dart H ==> inverse (edge_map H) x IN dart H /\ inverse (node_map H) x IN dart H /\ inverse (face_map H) x IN dart H
% Assm: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H p n. p 0 IN dart H /\ is_contour H p n ==> p n IN dart H
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_isu_contouru_conjunct1, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_contour @ H @ P @ (suc @ N)) <=> ((isu_contour @ H @ P @ N) & (oneu_stepu_contour @ H @ (P @ N) @ (P @ (suc @ N)))))).
thf(aHypermapo_lemmau_dartu_invariant, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((in @ (edgeu_map @ H @ X) @ (dart @ H)) & (in @ (nodeu_map @ H @ X) @ (dart @ H)) & (in @ (faceu_map @ H @ X) @ (dart @ H))))).
thf(aHypermapo_lemmau_dartu_inveriantu_underu_inverseu_maps, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((in @ (inverse @ (edgeu_map @ H) @ X) @ (dart @ H)) & (in @ (inverse @ (nodeu_map @ H) @ X) @ (dart @ H)) & (in @ (inverse @ (faceu_map @ H) @ X) @ (dart @ H))))).
thf(aHypermapo_oneu_stepu_contour, axiom, ![Y:a,H:hypermapa,X:a]:((oneu_stepu_contour @ H @ X @ Y) <=> ((Y = (faceu_map @ H @ X)) | (Y = (inverse @ (nodeu_map @ H) @ X))))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),N:num]:(((in @ (P @ (numeral @ u_0)) @ (dart @ H)) & (isu_contour @ H @ P @ N)) => (in @ (P @ N) @ (dart @ H)))).
