%   ORIGINAL: Hypermap.lemma_darts_in_contour
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_contour_in_dart: !H p n. p 0 IN dart H /\ is_contour H p n ==> p n IN dart H
% Assm: Hypermap.lemma_subcontour: !H p n. is_contour H p n ==> (!i. i <= n ==> is_contour H p i)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !H p n. p 0 IN dart H /\ is_contour H p n ==> {p i | i <= n} SUBSET dart H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H p n. p 0 IN dart H /\ is_contour H p n ==> p n IN dart H
% Assm: !H p n. is_contour H p n ==> (!i. i <= n ==> is_contour H p i)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !H p n. p 0 IN dart H /\ is_contour H p n ==> {p i | i <= n} SUBSET dart H
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_contouru_inu_dart, axiom, ![H:hypermapa,P:(num > a),N:num]:(((in @ (P @ (numeral @ u_0)) @ (dart @ H)) & (isu_contour @ H @ P @ N)) => (in @ (P @ N) @ (dart @ H)))).
thf(aHypermapo_lemmau_subcontour, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_contour @ H @ P @ N) => ![I:num]:((l_a_ @ I @ N) => (isu_contour @ H @ P @ I)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),N:num]:(((in @ (P @ (numeral @ u_0)) @ (dart @ H)) & (isu_contour @ H @ P @ N)) => (subset @ (gspec @ ^[GENR_PVARR_253:a]:?[I:num]:(setspec @ GENR_PVARR_253 @ (l_a_ @ I @ N) @ (P @ I))) @ (dart @ H)))).
