%   ORIGINAL: Hypermap.lemma_first_dart_on_inj_contour
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.lemma_def_contour: !H p n. is_contour H p n <=> (!i. i < n ==> one_step_contour H (p i) (p (SUC i)))
% Assm: Hypermap.lemma_def_inj_contour: !H p n. is_inj_contour H p n <=> is_contour H p n /\ (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: Hypermap.map_permutes_outside_domain: !s p. p permutes s ==> (!x. ~(x IN s) ==> p x = x)
% Assm: Hypermap.node_map_and_darts: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: Hypermap.node_map_inverse_representation: !H x y. y = node_map H x <=> x = inverse (node_map H) y
% Assm: Hypermap.one_step_contour: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: LE_REFL: !n. n <= n
% Assm: LE_SUC_LT: !m n. SUC m <= n <=> m < n
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H p n. 0 < n /\ is_inj_contour H p n ==> p 0 IN dart H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !H p n. is_contour H p n <=> (!i. i < n ==> one_step_contour H (p i) (p (SUC i)))
% Assm: !H p n. is_inj_contour H p n <=> is_contour H p n /\ (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: !s p. p permutes s ==> (!x. ~(x IN s) ==> p x = x)
% Assm: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: !H x y. y = node_map H x <=> x = inverse (node_map H) y
% Assm: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: !n. n <= n
% Assm: !m n. SUC m <= n <=> m < n
% Assm: !m n. m < n ==> m <= n
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H p n. 0 < n /\ is_inj_contour H p n ==> p 0 IN dart H
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_lemmau_defu_contour, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_contour @ H @ P @ N) <=> ![I:num]:((l_ @ I @ N) => (oneu_stepu_contour @ H @ (P @ I) @ (P @ (suc @ I)))))).
thf(aHypermapo_lemmau_defu_inju_contour, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_inju_contour @ H @ P @ N) <=> ((isu_contour @ H @ P @ N) & ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((P @ J) = (P @ I))))))).
thf(aHypermapo_mapu_permutesu_outsideu_domain, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)))).
thf(aHypermapo_nodeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)))).
thf(aHypermapo_nodeu_mapu_inverseu_representation, axiom, ![H:hypermapa,X:a,Y:a]:((Y = (nodeu_map @ H @ X)) <=> (X = (inverse @ (nodeu_map @ H) @ Y)))).
thf(aHypermapo_oneu_stepu_contour, axiom, ![Y:a,H:hypermapa,X:a]:((oneu_stepu_contour @ H @ X @ Y) <=> ((Y = (faceu_map @ H @ X)) | (Y = (inverse @ (nodeu_map @ H) @ X))))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_SUCu_LT, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ N) <=> (l_ @ M @ N))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),N:num]:(((l_ @ (numeral @ u_0) @ N) & (isu_inju_contour @ H @ P @ N)) => (in @ (P @ (numeral @ u_0)) @ (dart @ H)))).
