%   ORIGINAL: Hypermap.lemma_Moebius_contour_points_subset_darts
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.CARD_FINITE_SERIES_EQ: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> CARD {f i | i < n} = n
% Assm: Hypermap.is_Moebius_contour: !k H p. is_Moebius_contour H p k <=> is_inj_contour H p k /\ (?i j. 0 < i /\ i <= j /\ j < k /\ p j = node_map H (p 0) /\ p k = node_map H (p i))
% Assm: Hypermap.lemma_darts_in_contour: !H p n. p 0 IN dart H /\ is_contour H p n ==> {p i | i <= n} SUBSET dart H
% Assm: Hypermap.lemma_darts_on_Moebius_contour: !H p k. is_Moebius_contour H p k ==> 2 <= k /\ p 0 IN dart H /\ SUC k <= CARD (dart H)
% Assm: Hypermap.lemma_def_inj_contour: !H p n. is_inj_contour H p n <=> is_contour H p n /\ (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: TRUTH: T
% Goal: !H p k. is_Moebius_contour H p k ==> {p i | i <= k} SUBSET dart H /\ CARD {p i | i <= k} = SUC k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> CARD {f i | i < n} = n
% Assm: !k H p. is_Moebius_contour H p k <=> is_inj_contour H p k /\ (?i j. 0 < i /\ i <= j /\ j < k /\ p j = node_map H (p 0) /\ p k = node_map H (p i))
% Assm: !H p n. p 0 IN dart H /\ is_contour H p n ==> {p i | i <= n} SUBSET dart H
% Assm: !H p k. is_Moebius_contour H p k ==> 2 <= k /\ p 0 IN dart H /\ SUC k <= CARD (dart H)
% Assm: !H p n. is_inj_contour H p n <=> is_contour H p n /\ (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: !m n. m < SUC n <=> m <= n
% Assm: T
% Goal: !H p k. is_Moebius_contour H p k ==> {p i | i <= k} SUBSET dart H /\ CARD {p i | i <= k} = SUC k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(thypermapnum, type, hypermapnum : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cisuu_contour0, type, isu_contour0 : (hypermapnum > (num > num) > num > $o)).
thf(cisuu_injuu_contour0, type, isu_inju_contour0 : (hypermapnum > (num > num) > num > $o)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cisuu_moebiusuu_contour, type, isu_moebiusu_contour : (hypermapa > (num > a) > num > $o)).
thf(ccard0, type, card0 : ((num > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_CARDu_FINITEu_SERIESu_EQ, axiom, ![N:num,F:(num > num)]:(![I:num,J:num]:(((l_ @ I @ N) & (l_ @ J @ I)) => ~ (((F @ I) = (F @ J)))) => ((card0 @ (gspec0 @ ^[GENR_PVARR_241:num]:?[I:num]:(setspec0 @ GENR_PVARR_241 @ (l_ @ I @ N) @ (F @ I)))) = N))).
thf(aHypermapo_isu_Moebiusu_contour, axiom, ![K:num,H:hypermapa,P:(num > a)]:((isu_moebiusu_contour @ H @ P @ K) <=> ((isu_inju_contour @ H @ P @ K) & ?[I:num,J:num]:((l_ @ (numeral @ u_0) @ I) & (l_a_ @ I @ J) & (l_ @ J @ K) & ((P @ J) = (nodeu_map @ H @ (P @ (numeral @ u_0)))) & ((P @ K) = (nodeu_map @ H @ (P @ I))))))).
thf(aHypermapo_lemmau_dartsu_inu_contour, axiom, ![H:hypermapa,P:(num > a),N:num]:(((in @ (P @ (numeral @ u_0)) @ (dart @ H)) & (isu_contour @ H @ P @ N)) => (subset @ (gspec @ ^[GENR_PVARR_253:a]:?[I:num]:(setspec @ GENR_PVARR_253 @ (l_a_ @ I @ N) @ (P @ I))) @ (dart @ H)))).
thf(aHypermapo_lemmau_dartsu_onu_Moebiusu_contour, axiom, ![H:hypermapa,P:(num > a),K:num]:((isu_moebiusu_contour @ H @ P @ K) => ((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ K) & (in @ (P @ (numeral @ u_0)) @ (dart @ H)) & (l_a_ @ (suc @ K) @ (card @ (dart @ H)))))).
thf(aHypermapo_lemmau_defu_inju_contour, axiom, ![H:hypermapnum,P:(num > num),N:num]:((isu_inju_contour0 @ H @ P @ N) <=> ((isu_contour0 @ H @ P @ N) & ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((P @ J) = (P @ I))))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),K:num]:((isu_moebiusu_contour @ H @ P @ K) => ((subset @ (gspec @ ^[GENR_PVARR_254:a]:?[I:num]:(setspec @ GENR_PVARR_254 @ (l_a_ @ I @ K) @ (P @ I))) @ (dart @ H)) & ((card @ (gspec @ ^[GENR_PVARR_255:a]:?[I:num]:(setspec @ GENR_PVARR_255 @ (l_a_ @ I @ K) @ (P @ I)))) = (suc @ K))))).
