%   ORIGINAL: Hypermap.lemma_darts_is_Moebius_contour
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_SUBSET_EQ: !a b. FINITE b /\ a SUBSET b /\ CARD a = CARD b ==> a = b
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.lemma_Moebius_contour_points_subset_darts: !H p k. is_Moebius_contour H p k ==> {p i | i <= k} SUBSET dart H /\ CARD {p i | i <= k} = SUC k
% Assm: TRUTH: T
% Goal: !H p k. is_Moebius_contour H p k /\ SUC k = CARD (dart H) ==> dart H = {p i | i <= k}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. FINITE b /\ a SUBSET b /\ CARD a = CARD b ==> a = b
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H p k. is_Moebius_contour H p k ==> {p i | i <= k} SUBSET dart H /\ CARD {p i | i <= k} = SUC k
% Assm: T
% Goal: !H p k. is_Moebius_contour H p k /\ SUC k = CARD (dart H) ==> dart H = {p i | i <= k}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cisuu_moebiusuu_contour, type, isu_moebiusu_contour : (hypermapa > (num > a) > num > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_SUBSETu_EQ, axiom, ![A:(a > $o),B:(a > $o)]:(((finite @ B) & (subset @ A @ B) & ((card @ A) = (card @ B))) => (A = B))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_lemmau_Moebiusu_contouru_pointsu_subsetu_darts, axiom, ![H:hypermapa,P:(num > a),K:num]:((isu_moebiusu_contour @ H @ P @ K) => ((subset @ (gspec @ ^[GENR_PVARR_254:a]:?[I:num]:(setspec @ GENR_PVARR_254 @ (l_a_ @ I @ K) @ (P @ I))) @ (dart @ H)) & ((card @ (gspec @ ^[GENR_PVARR_255:a]:?[I:num]:(setspec @ GENR_PVARR_255 @ (l_a_ @ I @ K) @ (P @ I)))) = (suc @ K))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),K:num]:(((isu_moebiusu_contour @ H @ P @ K) & ((suc @ K) = (card @ (dart @ H)))) => ((dart @ H) = (gspec @ ^[GENR_PVARR_256:a]:?[I:num]:(setspec @ GENR_PVARR_256 @ (l_a_ @ I @ K) @ (P @ I)))))).
