%   ORIGINAL: Hypermap.lemma_inj_contour_via_list
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_def_inj_contour: !H p n. is_inj_contour H p n <=> is_contour H p n /\ (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: Hypermap.lemma_inj_list: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: TRUTH: T
% Goal: !H p n. is_inj_contour H p n <=> is_contour H p n /\ is_inj_list p n
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H p n. is_inj_contour H p n <=> is_contour H p n /\ (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: T
% Goal: !H p n. is_inj_contour H p n <=> is_contour H p n /\ is_inj_list p n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_defu_inju_contour, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_inju_contour @ H @ P @ N) <=> ((isu_contour @ H @ P @ N) & ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((P @ J) = (P @ I))))))).
thf(aHypermapo_lemmau_inju_list, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((P @ J) = (P @ I)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),N:num]:((isu_inju_contour @ H @ P @ N) <=> ((isu_contour @ H @ P @ N) & (isu_inju_list @ P @ N)))).
