%   ORIGINAL: Hypermap.lemma_join_inj_contours
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_inj_contour_via_list: !H p n. is_inj_contour H p n <=> is_contour H p n /\ is_inj_list p n
% Assm: Hypermap.lemma_join_contours: !H p q n m. is_contour H p n /\ is_contour H q m /\ one_step_contour H (p n) (q 0) ==> is_contour H (join p q n) (n + m + 1)
% Assm: Hypermap.lemma_join_inj_lists: !p q n m. is_inj_list p n /\ is_inj_list q m /\ is_disjoint p q n m ==> is_inj_list (join p q n) (n + m + 1)
% Assm: TRUTH: T
% Goal: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ one_step_contour H (p n) (q 0) /\ is_disjoint p q n m ==> is_inj_contour H (join p q n) (n + m + 1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H p n. is_inj_contour H p n <=> is_contour H p n /\ is_inj_list p n
% Assm: !H p q n m. is_contour H p n /\ is_contour H q m /\ one_step_contour H (p n) (q 0) ==> is_contour H (join p q n) (n + m + 1)
% Assm: !p q n m. is_inj_list p n /\ is_inj_list q m /\ is_disjoint p q n m ==> is_inj_list (join p q n) (n + m + 1)
% Assm: T
% Goal: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ one_step_contour H (p n) (q 0) /\ is_disjoint p q n m ==> is_inj_contour H (join p q n) (n + m + 1)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cjoin, type, join : ((num > a) > (num > a) > num > num > a)).
thf(cisuu_disjoint, type, isu_disjoint : ((num > a) > (num > a) > num > num > $o)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_inju_contouru_viau_list, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_inju_contour @ H @ P @ N) <=> ((isu_contour @ H @ P @ N) & (isu_inju_list @ P @ N)))).
thf(aHypermapo_lemmau_joinu_contours, axiom, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_contour @ H @ P @ N) & (isu_contour @ H @ Q @ M) & (oneu_stepu_contour @ H @ (P @ N) @ (Q @ (numeral @ u_0)))) => (isu_contour @ H @ (join @ P @ Q @ N) @ (p_ @ N @ (p_ @ M @ (numeral @ (bit1 @ u_0))))))).
thf(aHypermapo_lemmau_joinu_inju_lists, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_list @ P @ N) & (isu_inju_list @ Q @ M) & (isu_disjoint @ P @ Q @ N @ M)) => (isu_inju_list @ (join @ P @ Q @ N) @ (p_ @ N @ (p_ @ M @ (numeral @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_contour @ H @ P @ N) & (isu_inju_contour @ H @ Q @ M) & (oneu_stepu_contour @ H @ (P @ N) @ (Q @ (numeral @ u_0))) & (isu_disjoint @ P @ Q @ N @ M)) => (isu_inju_contour @ H @ (join @ P @ Q @ N) @ (p_ @ N @ (p_ @ M @ (numeral @ (bit1 @ u_0))))))).
