%   ORIGINAL: Hypermap.lemma_glue_inj_contours
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.is_glueing: !p q n m. is_glueing p q n m <=> p n = q 0 /\ (!j. 1 <= j /\ j <= m ==> ~in_list p n (q j))
% Assm: Hypermap.lemma_glue_contours: !H p q n m. is_contour H p n /\ is_contour H q m /\ p n = q 0 ==> is_contour H (glue p q n) (n + m)
% Assm: Hypermap.lemma_glue_inj_lists: !p q n m. is_inj_list p n /\ is_inj_list q m /\ is_glueing p q n m ==> is_inj_list (glue p q n) (n + m)
% Assm: Hypermap.lemma_inj_contour_via_list: !H p n. is_inj_contour H p n <=> is_contour H p n /\ is_inj_list p n
% Assm: TRUTH: T
% Goal: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ is_glueing p q n m ==> is_inj_contour H (glue p q n) (n + m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p q n m. is_glueing p q n m <=> p n = q 0 /\ (!j. 1 <= j /\ j <= m ==> ~in_list p n (q j))
% Assm: !H p q n m. is_contour H p n /\ is_contour H q m /\ p n = q 0 ==> is_contour H (glue p q n) (n + m)
% Assm: !p q n m. is_inj_list p n /\ is_inj_list q m /\ is_glueing p q n m ==> is_inj_list (glue p q n) (n + m)
% Assm: !H p n. is_inj_contour H p n <=> is_contour H p n /\ is_inj_list p n
% Assm: T
% Goal: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ is_glueing p q n m ==> is_inj_contour H (glue p q n) (n + m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(cglue, type, glue : ((num > a) > (num > a) > num > num > a)).
thf(cisuu_glueing, type, isu_glueing : ((num > a) > (num > a) > num > num > $o)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_isu_glueing, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_glueing @ P @ Q @ N @ M) <=> (((P @ N) = (Q @ (numeral @ u_0))) & ![J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ M)) => ~ ((inu_list @ P @ N @ (Q @ J))))))).
thf(aHypermapo_lemmau_glueu_contours, axiom, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_contour @ H @ P @ N) & (isu_contour @ H @ Q @ M) & ((P @ N) = (Q @ (numeral @ u_0)))) => (isu_contour @ H @ (glue @ P @ Q @ N) @ (p_ @ N @ M)))).
thf(aHypermapo_lemmau_glueu_inju_lists, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_list @ P @ N) & (isu_inju_list @ Q @ M) & (isu_glueing @ P @ Q @ N @ M)) => (isu_inju_list @ (glue @ P @ Q @ N) @ (p_ @ N @ M)))).
thf(aHypermapo_lemmau_inju_contouru_viau_list, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_inju_contour @ H @ P @ N) <=> ((isu_contour @ H @ P @ N) & (isu_inju_list @ P @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_contour @ H @ P @ N) & (isu_inju_contour @ H @ Q @ M) & (isu_glueing @ P @ Q @ N @ M)) => (isu_inju_contour @ H @ (glue @ P @ Q @ N) @ (p_ @ N @ M)))).
