%   ORIGINAL: Hypermap.concatenate_two_contours
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: Hypermap.LT0_LE1: !n. 0 < n <=> 1 <= n
% Assm: Hypermap.first_glue_evaluation: !p q n i. i <= n ==> glue p q n i = p i
% Assm: Hypermap.glue: !p q n. glue p q n = (\i. if i <= n then p i else q (i - n))
% Assm: Hypermap.is_glueing: !p q n m. is_glueing p q n m <=> p n = q 0 /\ (!j. 1 <= j /\ j <= m ==> ~in_list p n (q j))
% Assm: Hypermap.lemma_glue_inj_contours: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ is_glueing p q n m ==> is_inj_contour H (glue p q n) (n + m)
% Assm: Hypermap.lemma_not_in_list: !p n x. ~in_list p n x <=> (!j. j <= n ==> ~(x = p j))
% Assm: Hypermap.second_glue_evaluation: !p q n i. p n = q 0 ==> glue p q n (n + i) = q i
% Assm: LE_0: !n. 0 <= n
% Assm: TRUTH: T
% Goal: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ p n = q 0 /\ (!j. 0 < j /\ j <= m ==> (!i. i <= n ==> ~(q j = p i))) ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_inj_contour H g (n + m) /\ (!i. i <= n ==> g i = p i) /\ (!i. i <= m ==> g (n + i) = q i))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !n. 0 < n <=> 1 <= n
% Assm: !p q n i. i <= n ==> glue p q n i = p i
% Assm: !p q n. glue p q n = (\i. if i <= n then p i else q (i - n))
% Assm: !p q n m. is_glueing p q n m <=> p n = q 0 /\ (!j. 1 <= j /\ j <= m ==> ~in_list p n (q j))
% Assm: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ is_glueing p q n m ==> is_inj_contour H (glue p q n) (n + m)
% Assm: !p n x. ~in_list p n x <=> (!j. j <= n ==> ~(x = p j))
% Assm: !p q n i. p n = q 0 ==> glue p q n (n + i) = q i
% Assm: !n. 0 <= n
% Assm: T
% Goal: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ p n = q 0 /\ (!j. 0 < j /\ j <= m ==> (!i. i <= n ==> ~(q j = p i))) ==> (?g. g 0 = p 0 /\ g (n + m) = q m /\ is_inj_contour H g (n + m) /\ (!i. i <= n ==> g i = p i) /\ (!i. i <= m ==> g (n + i) = q i))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(cisuu_glueing, type, isu_glueing : ((num > a) > (num > a) > num > num > $o)).
thf(cglue, type, glue : ((num > a) > (num > a) > num > num > a)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aHypermapo_LT0u_LE1, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> (l_a_ @ (numeral @ (bit1 @ u_0)) @ N))).
thf(aHypermapo_firstu_glueu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:((l_a_ @ I @ N) => ((glue @ P @ Q @ N @ I) = (P @ I)))).
thf(aHypermapo_glue, axiom, ![P:(num > a),Q:(num > a),N:num]:((glue @ P @ Q @ N) = ^[I:num]:(cond @ (l_a_ @ I @ N) @ (P @ I) @ (Q @ (m_ @ I @ N))))).
thf(aHypermapo_isu_glueing, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_glueing @ P @ Q @ N @ M) <=> (((P @ N) = (Q @ (numeral @ u_0))) & ![J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ M)) => ~ ((inu_list @ P @ N @ (Q @ J))))))).
thf(aHypermapo_lemmau_glueu_inju_contours, axiom, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_contour @ H @ P @ N) & (isu_inju_contour @ H @ Q @ M) & (isu_glueing @ P @ Q @ N @ M)) => (isu_inju_contour @ H @ (glue @ P @ Q @ N) @ (p_ @ N @ M)))).
thf(aHypermapo_lemmau_notu_inu_list, axiom, ![P:(num > a),N:num,X:a]:(~ ((inu_list @ P @ N @ X)) <=> ![J:num]:((l_a_ @ J @ N) => ~ ((X = (P @ J)))))).
thf(aHypermapo_secondu_glueu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:(((P @ N) = (Q @ (numeral @ u_0))) => ((glue @ P @ Q @ N @ (p_ @ N @ I)) = (Q @ I)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_contour @ H @ P @ N) & (isu_inju_contour @ H @ Q @ M) & ((P @ N) = (Q @ (numeral @ u_0))) & ![J:num]:(((l_ @ (numeral @ u_0) @ J) & (l_a_ @ J @ M)) => ![I:num]:((l_a_ @ I @ N) => ~ (((Q @ J) = (P @ I)))))) => ?[G:(num > a)]:(((G @ (numeral @ u_0)) = (P @ (numeral @ u_0))) & ((G @ (p_ @ N @ M)) = (Q @ M)) & (isu_inju_contour @ H @ G @ (p_ @ N @ M)) & ![I:num]:((l_a_ @ I @ N) => ((G @ I) = (P @ I))) & ![I:num]:((l_a_ @ I @ M) => ((G @ (p_ @ N @ I)) = (Q @ I)))))).
