%   ORIGINAL: Hypermap.concatenate_two_disjoint_contours
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD1: !m. SUC m = m + 1
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: Hypermap.first_join_evaluation: !p q n i. i <= n ==> join p q n i = p i
% Assm: Hypermap.join: !p q n. join p q n = (\i. if i <= n then p i else q (PRE (i - n)))
% Assm: Hypermap.lemma_join_inj_contours: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ one_step_contour H (p n) (q 0) /\ is_disjoint p q n m ==> is_inj_contour H (join p q n) (n + m + 1)
% Assm: Hypermap.lemma_list_disjoint: !p q n m. is_disjoint p q n m <=> (!i j. i <= n /\ j <= m ==> ~(p i = q j))
% Assm: Hypermap.second_join_evaluation: !p q n i. join p q n (n + SUC i) = q i
% Assm: LE_0: !n. 0 <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ one_step_contour H (p n) (q 0) /\ (!i j. i <= n /\ j <= m ==> ~(q j = p i)) ==> (?g. g 0 = p 0 /\ g (n + m + 1) = q m /\ is_inj_contour H g (n + m + 1) /\ (!i. i <= n ==> g i = p i) /\ (!i. i <= m ==> g (n + i + 1) = q i))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. SUC m = m + 1
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !p q n i. i <= n ==> join p q n i = p i
% Assm: !p q n. join p q n = (\i. if i <= n then p i else q (PRE (i - n)))
% Assm: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ one_step_contour H (p n) (q 0) /\ is_disjoint p q n m ==> is_inj_contour H (join p q n) (n + m + 1)
% Assm: !p q n m. is_disjoint p q n m <=> (!i j. i <= n /\ j <= m ==> ~(p i = q j))
% Assm: !p q n i. join p q n (n + SUC i) = q i
% Assm: !n. 0 <= n
% Assm: ~F <=> T
% Assm: T
% Goal: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ one_step_contour H (p n) (q 0) /\ (!i j. i <= n /\ j <= m ==> ~(q j = p i)) ==> (?g. g 0 = p 0 /\ g (n + m + 1) = q m /\ is_inj_contour H g (n + m + 1) /\ (!i. i <= n ==> g i = p i) /\ (!i. i <= m ==> g (n + i + 1) = q i))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cisuu_disjoint, type, isu_disjoint : ((num > a) > (num > a) > num > num > $o)).
thf(cjoin, type, join : ((num > a) > (num > a) > num > num > a)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cpre, type, pre : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aHypermapo_firstu_joinu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:((l_a_ @ I @ N) => ((join @ P @ Q @ N @ I) = (P @ I)))).
thf(aHypermapo_join, axiom, ![P:(num > a),Q:(num > a),N:num]:((join @ P @ Q @ N) = ^[I:num]:(cond @ (l_a_ @ I @ N) @ (P @ I) @ (Q @ (pre @ (m_ @ I @ N)))))).
thf(aHypermapo_lemmau_joinu_inju_contours, axiom, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_contour @ H @ P @ N) & (isu_inju_contour @ H @ Q @ M) & (oneu_stepu_contour @ H @ (P @ N) @ (Q @ (numeral @ u_0))) & (isu_disjoint @ P @ Q @ N @ M)) => (isu_inju_contour @ H @ (join @ P @ Q @ N) @ (p_ @ N @ (p_ @ M @ (numeral @ (bit1 @ u_0))))))).
thf(aHypermapo_lemmau_listu_disjoint, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_disjoint @ P @ Q @ N @ M) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ M)) => ~ (((P @ I) = (Q @ J)))))).
thf(aHypermapo_secondu_joinu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:((join @ P @ Q @ N @ (p_ @ N @ (suc @ I))) = (Q @ I))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_contour @ H @ P @ N) & (isu_inju_contour @ H @ Q @ M) & (oneu_stepu_contour @ H @ (P @ N) @ (Q @ (numeral @ u_0))) & ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ M)) => ~ (((Q @ J) = (P @ I))))) => ?[G:(num > a)]:(((G @ (numeral @ u_0)) = (P @ (numeral @ u_0))) & ((G @ (p_ @ N @ (p_ @ M @ (numeral @ (bit1 @ u_0))))) = (Q @ M)) & (isu_inju_contour @ H @ G @ (p_ @ N @ (p_ @ M @ (numeral @ (bit1 @ u_0))))) & ![I:num]:((l_a_ @ I @ N) => ((G @ I) = (P @ I))) & ![I:num]:((l_a_ @ I @ M) => ((G @ (p_ @ N @ (p_ @ I @ (numeral @ (bit1 @ u_0))))) = (Q @ I)))))).
