%   ORIGINAL: Hypermap.lemma_one_step_contour
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.one_step_contour: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSE_EQ: !p s. p permutes s ==> (!x y. inverse p y = x <=> p x = y)
% Assm: TRUTH: T
% Goal: !H x y. one_step_contour H x y <=> y = face_map H x \/ x = node_map H y
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> (!x y. (inverse p y <=> x) <=> p x <=> y)
% Assm: !p s. p permutes s ==> (!x y. inverse p y = x <=> p x = y)
% Assm: T
% Goal: !H x y. one_step_contour H x y <=> y = face_map H x \/ x = node_map H y
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cinverse0, type, inverse0 : (($o > $o) > $o > $o)).
thf(cpermutes0, type, permutes0 : (($o > $o) > ($o > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_oneu_stepu_contour, axiom, ![Y:a,H:hypermapa,X:a]:((oneu_stepu_contour @ H @ X @ Y) <=> ((Y = (faceu_map @ H @ X)) | (Y = (inverse @ (nodeu_map @ H) @ X))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSEu_EQu_monomorphized1, axiom, ![P:($o > $o),S:($o > $o)]:((permutes0 @ P @ S) => ![X:$o,Y:$o]:(((inverse0 @ P @ Y) <=> X) <=> ((P @ X) <=> Y)))).
thf(aPERMUTESu_INVERSEu_EQu_monomorphized0, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => ![X:a,Y:a]:(((inverse @ P @ Y) = X) <=> ((P @ X) = Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:((oneu_stepu_contour @ H @ X @ Y) <=> ((Y = (faceu_map @ H @ X)) | (X = (nodeu_map @ H @ Y))))).
