%   ORIGINAL: Hypermap.lemma_only_one_orbit
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_orbit_identity: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: Hypermap.orbit_reflect: !f x. x IN orbit_map f x
% Assm: Hypermap.set_of_orbits: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !s p x. FINITE s /\ p permutes s /\ orbit_map p x = s ==> set_of_orbits s p = {orbit_map p x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: !f x. x IN orbit_map f x
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y. x IN {y} <=> x = y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !s p x. FINITE s /\ p permutes s /\ orbit_map p x = s ==> set_of_orbits s p = {orbit_map p x}
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(csubset0, type, subset0 : (((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((((a > $o) > $o) > $o) > ((a > $o) > $o) > $o)).
thf(cin0, type, in0 : (((a > $o) > $o) > (((a > $o) > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csetspec0, type, setspec0 : (((a > $o) > $o) > $o > ((a > $o) > $o) > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cinsert, type, insert : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cempty, type, empty : ((a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > (a > $o) > $o),G:(a > (a > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_orbitu_identity, axiom, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((finite @ S) & (permutes @ P @ S) & (in @ Y @ (orbitu_map @ P @ X))) => ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y)))).
thf(aHypermapo_orbitu_reflect, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(aHypermapo_setu_ofu_orbits, axiom, ![D:(a > $o),F:(a > a)]:((setu_ofu_orbits @ D @ F) = (gspec @ ^[GENR_PVARR_233:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_233 @ (in @ X @ D) @ (orbitu_map @ F @ X))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > ((a > $o) > $o) > $o) > $o),X:((a > $o) > $o)]:((in0 @ X @ (gspec0 @ ^[V:((a > $o) > $o)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:((a > $o) > $o)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in1 @ X @ (gspec @ ^[V:(a > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aINu_SING, axiom, ![X:(a > $o),Y:(a > $o)]:((in1 @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYMu_monomorphized1, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ S)) => (S = T))).
thf(aSUBSETu_ANTISYMu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S) & ((orbitu_map @ P @ X) = S)) => ((setu_ofu_orbits @ S @ P) = (insert @ (orbitu_map @ P @ X) @ empty)))).
