%   ORIGINAL: Hypermap.dart_node_walkup
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.double_shift_lemma: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: Hypermap.lemma_edge_walkup: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: Hypermap.node_walkup: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: Hypermap.shift_lemma: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: TRUTH: T
% Goal: !H x. dart (node_walkup H x) = dart H DELETE x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: T
% Goal: !H x. dart (node_walkup H x) = dart H DELETE x
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cnodeuu_walkup, type, nodeu_walkup : (hypermapa > a > hypermapa)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_doubleu_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ (shift @ H)))) & ((edgeu_map @ H) = (nodeu_map @ (shift @ (shift @ H)))) & ((nodeu_map @ H) = (faceu_map @ (shift @ (shift @ H)))) & ((faceu_map @ H) = (edgeu_map @ (shift @ (shift @ H)))))).
thf(aHypermapo_lemmau_edgeu_walkup, axiom, ![H:hypermapa,X:a]:(((dart @ (edgeu_walkup @ H @ X)) = (delete @ (dart @ H) @ X)) & ((edgeu_map @ (edgeu_walkup @ H @ X)) = (o @ (inverse @ (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))) @ (inverse @ (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))))) & ((nodeu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))) & ((faceu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))))).
thf(aHypermapo_nodeu_walkup, axiom, ![H:hypermapa,X:a]:((nodeu_walkup @ H @ X) = (shift @ (shift @ (edgeu_walkup @ (shift @ H) @ X))))).
thf(aHypermapo_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map @ H) = (faceu_map @ (shift @ H))) & ((nodeu_map @ H) = (edgeu_map @ (shift @ H))) & ((faceu_map @ H) = (nodeu_map @ (shift @ H))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((dart @ (nodeu_walkup @ H @ X)) = (delete @ (dart @ H) @ X))).
