%   ORIGINAL: Hypermap.node_map_node_walkup
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.edge_map_walkup: !H x y. edge_map (edge_walkup H x) x = x /\ (~(node_map H x = x) /\ ~(edge_map H x = x) ==> edge_map (edge_walkup H x) (node_map H x) = edge_map H x) /\ (~(inverse (face_map H) x = x) /\ ~(inverse (edge_map H) x = x) ==> edge_map (edge_walkup H x) (inverse (edge_map H) x) = inverse (face_map H) x) /\ (~(y = x) /\ ~(y = inverse (edge_map H) x) /\ ~(y = node_map H x) ==> edge_map (edge_walkup H x) y = edge_map H y)
% Assm: Hypermap.lemma_shift_cycle: !H. shift (shift (shift H)) = H
% Assm: Hypermap.node_walkup: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: Hypermap.shift_lemma: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: TRUTH: T
% Goal: !H x y. node_map (node_walkup H x) x = x /\ (~(face_map H x = x) /\ ~(node_map H x = x) ==> node_map (node_walkup H x) (face_map H x) = node_map H x) /\ (~(inverse (edge_map H) x = x) /\ ~(inverse (node_map H) x = x) ==> node_map (node_walkup H x) (inverse (node_map H) x) = inverse (edge_map H) x) /\ (~(y = x) /\ ~(y = inverse (node_map H) x) /\ ~(y = face_map H x) ==> node_map (node_walkup H x) y = node_map H y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x y. edge_map (edge_walkup H x) x = x /\ (~(node_map H x = x) /\ ~(edge_map H x = x) ==> edge_map (edge_walkup H x) (node_map H x) = edge_map H x) /\ (~(inverse (face_map H) x = x) /\ ~(inverse (edge_map H) x = x) ==> edge_map (edge_walkup H x) (inverse (edge_map H) x) = inverse (face_map H) x) /\ (~(y = x) /\ ~(y = inverse (edge_map H) x) /\ ~(y = node_map H x) ==> edge_map (edge_walkup H x) y = edge_map H y)
% Assm: !H. shift (shift (shift H)) = H
% Assm: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: T
% Goal: !H x y. node_map (node_walkup H x) x = x /\ (~(face_map H x = x) /\ ~(node_map H x = x) ==> node_map (node_walkup H x) (face_map H x) = node_map H x) /\ (~(inverse (edge_map H) x = x) /\ ~(inverse (node_map H) x = x) ==> node_map (node_walkup H x) (inverse (node_map H) x) = inverse (edge_map H) x) /\ (~(y = x) /\ ~(y = inverse (node_map H) x) /\ ~(y = face_map H x) ==> node_map (node_walkup H x) y = node_map H y)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cnodeuu_walkup, type, nodeu_walkup : (hypermapa > a > hypermapa)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_edgeu_mapu_walkup, axiom, ![H:hypermapa,X:a,Y:a]:(((edgeu_map @ (edgeu_walkup @ H @ X) @ X) = X) & ((~ (((nodeu_map @ H @ X) = X)) & ~ (((edgeu_map @ H @ X) = X))) => ((edgeu_map @ (edgeu_walkup @ H @ X) @ (nodeu_map @ H @ X)) = (edgeu_map @ H @ X))) & ((~ (((inverse @ (faceu_map @ H) @ X) = X)) & ~ (((inverse @ (edgeu_map @ H) @ X) = X))) => ((edgeu_map @ (edgeu_walkup @ H @ X) @ (inverse @ (edgeu_map @ H) @ X)) = (inverse @ (faceu_map @ H) @ X))) & ((~ ((Y = X)) & ~ ((Y = (inverse @ (edgeu_map @ H) @ X))) & ~ ((Y = (nodeu_map @ H @ X)))) => ((edgeu_map @ (edgeu_walkup @ H @ X) @ Y) = (edgeu_map @ H @ Y))))).
thf(aHypermapo_lemmau_shiftu_cycle, axiom, ![H:hypermapa]:((shift @ (shift @ (shift @ H))) = H)).
thf(aHypermapo_nodeu_walkup, axiom, ![H:hypermapa,X:a]:((nodeu_walkup @ H @ X) = (shift @ (shift @ (edgeu_walkup @ (shift @ H) @ X))))).
thf(aHypermapo_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map @ H) = (faceu_map @ (shift @ H))) & ((nodeu_map @ H) = (edgeu_map @ (shift @ H))) & ((faceu_map @ H) = (nodeu_map @ (shift @ H))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:(((nodeu_map @ (nodeu_walkup @ H @ X) @ X) = X) & ((~ (((faceu_map @ H @ X) = X)) & ~ (((nodeu_map @ H @ X) = X))) => ((nodeu_map @ (nodeu_walkup @ H @ X) @ (faceu_map @ H @ X)) = (nodeu_map @ H @ X))) & ((~ (((inverse @ (edgeu_map @ H) @ X) = X)) & ~ (((inverse @ (nodeu_map @ H) @ X) = X))) => ((nodeu_map @ (nodeu_walkup @ H @ X) @ (inverse @ (nodeu_map @ H) @ X)) = (inverse @ (edgeu_map @ H) @ X))) & ((~ ((Y = X)) & ~ ((Y = (inverse @ (nodeu_map @ H) @ X))) & ~ ((Y = (faceu_map @ H @ X)))) => ((nodeu_map @ (nodeu_walkup @ H @ X) @ Y) = (nodeu_map @ H @ Y))))).
