%   ORIGINAL: Hypermap.exist_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FST: !x y. FST (x,y) = x
% Assm: Hypermap.FINITE_SINGLETON: !x. FINITE {x}
% Assm: Hypermap.orbit_one_point: !f x. f x = x <=> orbit_map f x = {x}
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: I_THM: !x. I x = x
% Assm: PERMUTES_I: !s. I permutes s
% Assm: SND: !x y. SND (x,y) = y
% Assm: TRUTH: T
% Goal: ?L. FINITE (FST L) /\ SND L permutes FST L /\ (?x. x IN FST L /\ orbit_map (SND L) x = FST L)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. FST (x,y) = x
% Assm: !x. FINITE {x}
% Assm: !f x. f x = x <=> orbit_map f x = {x}
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x. I x = x
% Assm: !s. I permutes s
% Assm: !x y. SND (x,y) = y
% Assm: T
% Goal: ?L. FINITE (FST L) /\ SND L permutes FST L /\ (?x. x IN FST L /\ orbit_map (SND L) x = FST L)
%  TYPES
thf(ta, type, a : $tType).
thf(tprodfunaboolfunaa, type, prodfunaboolfunaa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunaa, type, funaa : $tType).
%  CONSTS
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cfst, type, fst : (prodfunaboolfunaa > a > $o)).
thf(csnd, type, snd : (prodfunaboolfunaa > a > a)).
thf(cinsert0, type, insert0 : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(corbituu_map0, type, orbitu_map0 : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccu_, type, c_ : ((a > $o) > (a > a) > prodfunaboolfunaa)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cempty0, type, empty0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci0, type, i0 : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFST, axiom, ![X:(a > $o),Y:(a > a)]:((fst @ (c_ @ X @ Y)) = X)).
thf(aHypermapo_FINITEu_SINGLETON, axiom, ![X:a]:(finite @ (insert @ X @ empty))).
thf(aHypermapo_orbitu_oneu_point, axiom, ![F:((a > $o) > a > $o),X:(a > $o)]:(((F @ X) = X) <=> ((orbitu_map0 @ F @ X) = (insert0 @ X @ empty0)))).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aPERMUTESu_I, axiom, ![S:(a > $o)]:(permutes @ i0 @ S)).
thf(aSND, axiom, ![X:(a > $o),Y:(a > a)]:((snd @ (c_ @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ?[L:prodfunaboolfunaa]:((finite @ (fst @ L)) & (permutes @ (snd @ L) @ (fst @ L)) & ?[X:a]:((in @ X @ (fst @ L)) & ((orbitu_map @ (snd @ L) @ X) = (fst @ L))))).
