%   ORIGINAL: Hypermap.lemma_loop_path_via_list
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Hypermap.loop_path: !L x k. loop_path L x k = (next L POWER k) x
% Assm: Hypermap.power_list: !p x. power_list p x = (\i. (p POWER i) x)
% Assm: TRUTH: T
% Goal: !L x. loop_path L x = power_list (next L) x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !L x k. loop_path L x k = (next L POWER k) x
% Assm: !p x. power_list p x = (\i. (p POWER i) x)
% Assm: T
% Goal: !L x. loop_path L x = power_list (next L) x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cnext, type, next : (loopa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cpoweruu_list, type, poweru_list : ((a > a) > a > num > a)).
thf(cloopuu_path, type, loopu_path : (loopa > a > num > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num > a),G:(a > num > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THM, axiom, ![F:(num > a),G:(num > a)]:((F = G) <=> ![X:num]:((F @ X) = (G @ X)))).
thf(aHypermapo_loopu_path, axiom, ![L:loopa,X:a,K:num]:((loopu_path @ L @ X @ K) = (power @ (next @ L) @ K @ X))).
thf(aHypermapo_poweru_list, axiom, ![P:(a > a),X:a]:((poweru_list @ P @ X) = ^[I:num]:(power @ P @ I @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a]:((loopu_path @ L @ X) = (poweru_list @ (next @ L) @ X))).
