%   ORIGINAL: Hypermap.lemma_loop_representation
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FST: !x y. FST (x,y) = x
% Assm: Hypermap.dart_of: !L. dart_of L = FST (tuple_loop L)
% Assm: Hypermap.loop_tybij_conjunct1: !r. FINITE (FST r) /\ SND r permutes FST r /\ (?x. x IN FST r /\ orbit_map (SND r) x = FST r) <=> tuple_loop (loop r) = r
% Assm: Hypermap.next: !L. next L = SND (tuple_loop L)
% Assm: Hypermap.orbit_reflect: !f x. x IN orbit_map f x
% Assm: SND: !x y. SND (x,y) = y
% Assm: TRUTH: T
% Goal: !s p x. FINITE s /\ p permutes s /\ orbit_map p x = s ==> dart_of (loop (s,p)) = s /\ next (loop (s,p)) = p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. FST (x,y) = x
% Assm: !L. dart_of L = FST (tuple_loop L)
% Assm: !r. FINITE (FST r) /\ SND r permutes FST r /\ (?x. x IN FST r /\ orbit_map (SND r) x = FST r) <=> tuple_loop (loop r) = r
% Assm: !L. next L = SND (tuple_loop L)
% Assm: !f x. x IN orbit_map f x
% Assm: !x y. SND (x,y) = y
% Assm: T
% Goal: !s p x. FINITE s /\ p permutes s /\ orbit_map p x = s ==> dart_of (loop (s,p)) = s /\ next (loop (s,p)) = p
%  TYPES
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
thf(tprodfunaboolfunaa, type, prodfunaboolfunaa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunaa, type, funaa : $tType).
%  CONSTS
thf(cloop, type, loop : (prodfunaboolfunaa > loopa)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfst, type, fst : (prodfunaboolfunaa > a > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csnd, type, snd : (prodfunaboolfunaa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(ctupleuu_loop, type, tupleu_loop : (loopa > prodfunaboolfunaa)).
thf(ccu_, type, c_ : ((a > $o) > (a > a) > prodfunaboolfunaa)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFST, axiom, ![X:(a > $o),Y:(a > a)]:((fst @ (c_ @ X @ Y)) = X)).
thf(aHypermapo_dartu_of, axiom, ![L:loopa]:((dartu_of @ L) = (fst @ (tupleu_loop @ L)))).
thf(aHypermapo_loopu_tybiju_conjunct1, axiom, ![R:prodfunaboolfunaa]:(((finite @ (fst @ R)) & (permutes @ (snd @ R) @ (fst @ R)) & ?[X:a]:((in @ X @ (fst @ R)) & ((orbitu_map @ (snd @ R) @ X) = (fst @ R)))) <=> ((tupleu_loop @ (loop @ R)) = R))).
thf(aHypermapo_next, axiom, ![L:loopa]:((next @ L) = (snd @ (tupleu_loop @ L)))).
thf(aHypermapo_orbitu_reflect, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(aSND, axiom, ![X:(a > $o),Y:(a > a)]:((snd @ (c_ @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S) & ((orbitu_map @ P @ X) = S)) => (((dartu_of @ (loop @ (c_ @ S @ P))) = S) & ((next @ (loop @ (c_ @ S @ P))) = P)))).
