%   ORIGINAL: Hypermap.lemma_permute_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.back: !L. back L = inverse (SND (tuple_loop L))
% Assm: Hypermap.loop_lemma: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: Hypermap.next: !L. next L = SND (tuple_loop L)
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: TRUTH: T
% Goal: !L. next L permutes dart_of L /\ back L permutes dart_of L
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !L. back L = inverse (SND (tuple_loop L))
% Assm: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: !L. next L = SND (tuple_loop L)
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: T
% Goal: !L. next L permutes dart_of L /\ back L permutes dart_of L
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tloopa, type, loopa : $tType).
thf(tprodfunaboolfunaa, type, prodfunaboolfunaa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunaa, type, funaa : $tType).
%  CONSTS
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csnd, type, snd : (prodfunaboolfunaa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cback, type, back : (loopa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(ctupleuu_loop, type, tupleu_loop : (loopa > prodfunaboolfunaa)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_back, axiom, ![L:loopa]:((back @ L) = (inverse @ (snd @ (tupleu_loop @ L))))).
thf(aHypermapo_loopu_lemma, axiom, ![L:loopa]:((finite @ (dartu_of @ L)) & (permutes @ (next @ L) @ (dartu_of @ L)) & ?[X:a]:((belong @ X @ L) & ((orbitu_map @ (next @ L) @ X) = (dartu_of @ L))))).
thf(aHypermapo_next, axiom, ![L:loopa]:((next @ L) = (snd @ (tupleu_loop @ L)))).
thf(aPERMUTESu_INVERSE, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (permutes @ (inverse @ P) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa]:((permutes @ (next @ L) @ (dartu_of @ L)) & (permutes @ (back @ L) @ (dartu_of @ L)))).
