%   ORIGINAL: Hypermap.lemma_transitive_permutation
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.lemma_orbit_identity: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: Hypermap.loop_lemma: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: TRUTH: T
% Goal: !L x. belong x L ==> dart_of L = orbit_map (next L) x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: T
% Goal: !L x. belong x L ==> dart_of L = orbit_map (next L) x
%  TYPES
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_lemmau_orbitu_identity, axiom, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((finite @ S) & (permutes @ P @ S) & (in @ Y @ (orbitu_map @ P @ X))) => ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y)))).
thf(aHypermapo_loopu_lemma, axiom, ![L:loopa]:((finite @ (dartu_of @ L)) & (permutes @ (next @ L) @ (dartu_of @ L)) & ?[X:a]:((belong @ X @ L) & ((orbitu_map @ (next @ L) @ X) = (dartu_of @ L))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a]:((belong @ X @ L) => ((dartu_of @ L) = (orbitu_map @ (next @ L) @ X)))).
