%   ORIGINAL: Hypermap.lemma_size
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.CARD_ATLEAST_1: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: Hypermap.LT1_NZ: !n. 1 <= n <=> 0 < n
% Assm: Hypermap.LT_SUC_PRE: !n. 0 < n ==> n = SUC (PRE n)
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.loop_lemma: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: Hypermap.size: !L. size L = CARD (dart_of L)
% Assm: Hypermap.top: !L. top L = PRE (CARD (dart_of L))
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: !n. 1 <= n <=> 0 < n
% Assm: !n. 0 < n ==> n = SUC (PRE n)
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: !L. size L = CARD (dart_of L)
% Assm: !L. top L = PRE (CARD (dart_of L))
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: T
% Goal: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ctop, type, top : (loopa > num)).
thf(csize, type, size : (loopa > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cpre, type, pre : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_CARDu_ATLEASTu_1, axiom, ![S:(a > $o),X:a]:(((finite @ S) & (in @ X @ S)) => (l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ S)))).
thf(aHypermapo_LT1u_NZ, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) <=> (l_ @ (numeral @ u_0) @ N))).
thf(aHypermapo_LTu_SUCu_PRE, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) => (N = (suc @ (pre @ N))))).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_loopu_lemma, axiom, ![L:loopa]:((finite @ (dartu_of @ L)) & (permutes @ (next @ L) @ (dartu_of @ L)) & ?[X:a]:((belong @ X @ L) & ((orbitu_map @ (next @ L) @ X) = (dartu_of @ L))))).
thf(aHypermapo_size, axiom, ![L:loopa]:((size @ L) = (card @ (dartu_of @ L)))).
thf(aHypermapo_top, axiom, ![L:loopa]:((top @ L) = (pre @ (card @ (dartu_of @ L))))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(a > $o)]:(?[X:a]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa]:(~ (((dartu_of @ L) = empty)) & (l_ @ (numeral @ u_0) @ (size @ L)) & ((size @ L) = (suc @ (top @ L))))).
