%   ORIGINAL: Hypermap.lemma_congruence_on_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_congruence_on_orbit: !s p x n m. FINITE s /\ p permutes s /\ n < CARD (orbit_map p x) /\ (p POWER n) x = (p POWER m) x ==> (?q. m = q * CARD (orbit_map p x) + n)
% Assm: Hypermap.lemma_size: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: Hypermap.lemma_transitive_permutation: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: Hypermap.loop_lemma: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: Hypermap.size: !L. size L = CARD (dart_of L)
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: TRUTH: T
% Goal: !L x n m. belong x L /\ n <= top L /\ (next L POWER n) x = (next L POWER m) x ==> (?q. m = q * size L + n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p x n m. FINITE s /\ p permutes s /\ n < CARD (orbit_map p x) /\ (p POWER n) x = (p POWER m) x ==> (?q. m = q * CARD (orbit_map p x) + n)
% Assm: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: !L. size L = CARD (dart_of L)
% Assm: !m n. m < SUC n <=> m <= n
% Assm: T
% Goal: !L x n m. belong x L /\ n <= top L /\ (next L POWER n) x = (next L POWER m) x ==> (?q. m = q * size L + n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(csize, type, size : (loopa > num)).
thf(ctop, type, top : (loopa > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_congruenceu_onu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a,N:num,M:num]:(((finite @ S) & (permutes @ P @ S) & (l_ @ N @ (card @ (orbitu_map @ P @ X))) & ((power @ P @ N @ X) = (power @ P @ M @ X))) => ?[Q:num]:(M = (p_ @ (t_ @ Q @ (card @ (orbitu_map @ P @ X))) @ N)))).
thf(aHypermapo_lemmau_size, axiom, ![L:loopa]:(~ (((dartu_of @ L) = empty)) & (l_ @ (numeral @ u_0) @ (size @ L)) & ((size @ L) = (suc @ (top @ L))))).
thf(aHypermapo_lemmau_transitiveu_permutation, axiom, ![L:loopa,X:a]:((belong @ X @ L) => ((dartu_of @ L) = (orbitu_map @ (next @ L) @ X)))).
thf(aHypermapo_loopu_lemma, axiom, ![L:loopa]:((finite @ (dartu_of @ L)) & (permutes @ (next @ L) @ (dartu_of @ L)) & ?[X:a]:((belong @ X @ L) & ((orbitu_map @ (next @ L) @ X) = (dartu_of @ L))))).
thf(aHypermapo_size, axiom, ![L:loopa]:((size @ L) = (card @ (dartu_of @ L)))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a,N:num,M:num]:(((belong @ X @ L) & (l_a_ @ N @ (top @ L)) & ((power @ (next @ L) @ N @ X) = (power @ (next @ L) @ M @ X))) => ?[Q:num]:(M = (p_ @ (t_ @ Q @ (size @ L)) @ N)))).
