%   ORIGINAL: Hypermap.lemma_back_and_next_outside_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.lemma_permute_loop: !L. next L permutes dart_of L /\ back L permutes dart_of L
% Assm: Hypermap.loop_lemma: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: Hypermap.map_permutes_outside_domain: !s p. p permutes s ==> (!x. ~(x IN s) ==> p x = x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !L x. ~belong x L ==> back L x = x /\ next L x = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !L. next L permutes dart_of L /\ back L permutes dart_of L
% Assm: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: !s p. p permutes s ==> (!x. ~(x IN s) ==> p x = x)
% Assm: ~F <=> T
% Assm: T
% Goal: !L x. ~belong x L ==> back L x = x /\ next L x = x
%  TYPES
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(cback, type, back : (loopa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_lemmau_permuteu_loop, axiom, ![L:loopa]:((permutes @ (next @ L) @ (dartu_of @ L)) & (permutes @ (back @ L) @ (dartu_of @ L)))).
thf(aHypermapo_loopu_lemma, axiom, ![L:loopa]:((finite @ (dartu_of @ L)) & (permutes @ (next @ L) @ (dartu_of @ L)) & ?[X:a]:((belong @ X @ L) & ((orbitu_map @ (next @ L) @ X) = (dartu_of @ L))))).
thf(aHypermapo_mapu_permutesu_outsideu_domain, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a]:(~ ((belong @ X @ L)) => (((back @ L @ X) = X) & ((next @ L @ X) = X)))).
