%   ORIGINAL: Hypermap.lemma_second_inverse_on_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.lemma_inverse_on_loop: !L. next L = inverse (back L) /\ back L = inverse (next L)
% Assm: Hypermap.lemma_permute_loop: !L. next L permutes dart_of L /\ back L permutes dart_of L
% Assm: Hypermap.lemma_power_inverse: !s p n. p permutes s ==> inverse p POWER n = inverse (p POWER n) /\ inverse (inverse p POWER n) = p POWER n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !L m. next L POWER m = inverse (back L POWER m) /\ back L POWER m = inverse (next L POWER m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !L. next L = inverse (back L) /\ back L = inverse (next L)
% Assm: !L. next L permutes dart_of L /\ back L permutes dart_of L
% Assm: !s p n. p permutes s ==> inverse p POWER n = inverse (p POWER n) /\ inverse (inverse p POWER n) = p POWER n
% Assm: ~F <=> T
% Assm: T
% Goal: !L m. next L POWER m = inverse (back L POWER m) /\ back L POWER m = inverse (next L POWER m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_lemmau_inverseu_onu_loop, axiom, ![L:loopa]:(((next @ L) = (inverse @ (back @ L))) & ((back @ L) = (inverse @ (next @ L))))).
thf(aHypermapo_lemmau_permuteu_loop, axiom, ![L:loopa]:((permutes @ (next @ L) @ (dartu_of @ L)) & (permutes @ (back @ L) @ (dartu_of @ L)))).
thf(aHypermapo_lemmau_poweru_inverse, axiom, ![S:(a > $o),P:(a > a),N:num]:((permutes @ P @ S) => (((power @ (inverse @ P) @ N) = (inverse @ (power @ P @ N))) & ((inverse @ (power @ (inverse @ P) @ N)) = (power @ P @ N))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,M:num]:(((power @ (next @ L) @ M) = (inverse @ (power @ (back @ L) @ M))) & ((power @ (back @ L) @ M) = (inverse @ (power @ (next @ L) @ M))))).
