%   ORIGINAL: Hypermap.lemma_second_inverse_evaluation
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_permute_loop: !L. next L permutes dart_of L /\ back L permutes dart_of L
% Assm: Hypermap.lemma_second_inverse_on_loop: !L m. next L POWER m = inverse (back L POWER m) /\ back L POWER m = inverse (next L POWER m)
% Assm: Hypermap.power_permutation: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: PERMUTES_INVERSES: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: TRUTH: T
% Goal: !L x m. (next L POWER m) ((back L POWER m) x) = x /\ (back L POWER m) ((next L POWER m) x) = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !L. next L permutes dart_of L /\ back L permutes dart_of L
% Assm: !L m. next L POWER m = inverse (back L POWER m) /\ back L POWER m = inverse (next L POWER m)
% Assm: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: T
% Goal: !L x m. (next L POWER m) ((back L POWER m) x) = x /\ (back L POWER m) ((next L POWER m) x) = x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cback, type, back : (loopa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_permuteu_loop, axiom, ![L:loopa]:((permutes @ (next @ L) @ (dartu_of @ L)) & (permutes @ (back @ L) @ (dartu_of @ L)))).
thf(aHypermapo_lemmau_secondu_inverseu_onu_loop, axiom, ![L:loopa,M:num]:(((power @ (next @ L) @ M) = (inverse @ (power @ (back @ L) @ M))) & ((power @ (back @ L) @ M) = (inverse @ (power @ (next @ L) @ M))))).
thf(aHypermapo_poweru_permutation, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![N:num]:(permutes @ (power @ P @ N) @ S))).
thf(aPERMUTESu_INVERSES, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (![X:a]:((P @ (inverse @ P @ X)) = X) & ![X:a]:((inverse @ P @ (P @ X)) = X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a,M:num]:(((power @ (next @ L) @ M @ (power @ (back @ L) @ M @ X)) = X) & ((power @ (back @ L) @ M @ (power @ (next @ L) @ M @ X)) = X))).
