%   ORIGINAL: Hypermap.lemma_next_power_representation
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.lemma_order_next: !L. next L POWER size L = I
% Assm: Hypermap.lemma_size: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: Hypermap.lemma_transitive_permutation: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: Hypermap.orbit_cyclic: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: I_THM: !x. I x = x
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: TRUTH: T
% Goal: !L x y. belong x L /\ belong y L ==> (?k. k <= top L /\ y = (next L POWER k) x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !L. next L POWER size L = I
% Assm: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. I x = x
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !m n. m < SUC n <=> m <= n
% Assm: T
% Goal: !L x y. belong x L /\ belong y L ==> (?k. k <= top L /\ y = (next L POWER k) x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(csize, type, size : (loopa > num)).
thf(ctop, type, top : (loopa > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_lemmau_orderu_next, axiom, ![L:loopa]:((power @ (next @ L) @ (size @ L)) = i)).
thf(aHypermapo_lemmau_size, axiom, ![L:loopa]:(~ (((dartu_of @ L) = empty)) & (l_ @ (numeral @ u_0) @ (size @ L)) & ((size @ L) = (suc @ (top @ L))))).
thf(aHypermapo_lemmau_transitiveu_permutation, axiom, ![L:loopa,X:a]:((belong @ X @ L) => ((dartu_of @ L) = (orbitu_map @ (next @ L) @ X)))).
thf(aHypermapo_orbitu_cyclic, axiom, ![F:(a > a),M:num,X:a]:((~ ((M = (numeral @ u_0))) & ((power @ F @ M @ X) = X)) => ((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_236:a]:?[K:num]:(setspec @ GENR_PVARR_236 @ (l_ @ K @ M) @ (power @ F @ K @ X)))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a,Y:a]:(((belong @ X @ L) & (belong @ Y @ L)) => ?[K:num]:((l_a_ @ K @ (top @ L)) & (Y = (power @ (next @ L) @ K @ X))))).
