%   ORIGINAL: Hypermap.lemma_power_next_in_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.iterate_orbit: !s u. u permutes s ==> (!n x. x IN s ==> (u POWER n) x IN s)
% Assm: Hypermap.lemma_permute_loop: !L. next L permutes dart_of L /\ back L permutes dart_of L
% Assm: TRUTH: T
% Goal: !L x k. belong x L ==> belong ((next L POWER k) x) L
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !s u. u permutes s ==> (!n x. x IN s ==> (u POWER n) x IN s)
% Assm: !L. next L permutes dart_of L /\ back L permutes dart_of L
% Assm: T
% Goal: !L x k. belong x L ==> belong ((next L POWER k) x) L
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_iterateu_orbit, axiom, ![S:(a > $o),U:(a > a)]:((permutes @ U @ S) => ![N:num,X:a]:((in @ X @ S) => (in @ (power @ U @ N @ X) @ S)))).
thf(aHypermapo_lemmau_permuteu_loop, axiom, ![L:loopa]:((permutes @ (next @ L) @ (dartu_of @ L)) & (permutes @ (back @ L) @ (dartu_of @ L)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
