%   ORIGINAL: Hypermap.lemma_belong_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.lemma_next_power_representation: !L x y. belong x L /\ belong y L ==> (?k. k <= top L /\ y = (next L POWER k) x)
% Assm: Hypermap.lemma_power_next_in_loop: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !L x. belong x L ==> (!y. belong y L <=> (?i. i <= top L /\ y = (next L POWER i) x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !L x y. belong x L /\ belong y L ==> (?k. k <= top L /\ y = (next L POWER k) x)
% Assm: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: ~F <=> T
% Assm: T
% Goal: !L x. belong x L ==> (!y. belong y L <=> (?i. i <= top L /\ y = (next L POWER i) x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(ctop, type, top : (loopa > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_lemmau_nextu_poweru_representation, axiom, ![L:loopa,X:a,Y:a]:(((belong @ X @ L) & (belong @ Y @ L)) => ?[K:num]:((l_a_ @ K @ (top @ L)) & (Y = (power @ (next @ L) @ K @ X))))).
thf(aHypermapo_lemmau_poweru_nextu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a]:((belong @ X @ L) => ![Y:a]:((belong @ Y @ L) <=> ?[I:num]:((l_a_ @ I @ (top @ L)) & (Y = (power @ (next @ L) @ I @ X)))))).
