%   ORIGINAL: Hypermap.determine_loop_index
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.LT_PLUS: !n. n < SUC n
% Assm: Hypermap.lemma_inj_list2: !p n. is_inj_list p n <=> (!i j. i <= n /\ j <= n /\ p i = p j ==> i = j)
% Assm: Hypermap.lemma_inj_orbit_via_list: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: Hypermap.lemma_loop_index: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: Hypermap.lemma_power_next_in_loop: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: Hypermap.lemma_segment_orbit: !s p x. FINITE s /\ p permutes s ==> (!m. m < CARD (orbit_map p x) ==> inj_orbit p x m)
% Assm: Hypermap.lemma_size: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: Hypermap.lemma_transitive_permutation: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: Hypermap.loop_lemma: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: Hypermap.power_list: !p x. power_list p x = (\i. (p POWER i) x)
% Assm: Hypermap.size: !L. size L = CARD (dart_of L)
% Assm: TRUTH: T
% Goal: !L x y k. belong x L /\ k <= top L /\ y = (next L POWER k) x ==> index L x y = k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. n < SUC n
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j <= n /\ p i = p j ==> i = j)
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j <= n /\ p i = p j ==> i = j)
% Assm: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: !s p x. FINITE s /\ p permutes s ==> (!m. m < CARD (orbit_map p x) ==> inj_orbit p x m)
% Assm: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: !p x. power_list p x = (\i. (p POWER i) x)
% Assm: !L. size L = CARD (dart_of L)
% Assm: T
% Goal: !L x y k. belong x L /\ k <= top L /\ y = (next L POWER k) x ==> index L x y = k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cisuu_injuu_list0, type, isu_inju_list0 : ((num > a) > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > num) > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpoweruu_list, type, poweru_list : ((a > a) > a > num > a)).
thf(cinjuu_orbit, type, inju_orbit : ((a > a) > a > num > $o)).
thf(cindex, type, index : (loopa > a > a > num)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(csize, type, size : (loopa > num)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ctop, type, top : (loopa > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_LTu_PLUS, axiom, ![N:num]:(l_ @ N @ (suc @ N))).
thf(aHypermapo_lemmau_inju_list2u_monomorphized1, axiom, ![P:(num > num),N:num]:((isu_inju_list @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ N) & ((P @ I) = (P @ J))) => (I = J)))).
thf(aHypermapo_lemmau_inju_list2u_monomorphized0, axiom, ![P:(num > a),N:num]:((isu_inju_list0 @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ N) & ((P @ I) = (P @ J))) => (I = J)))).
thf(aHypermapo_lemmau_inju_orbitu_viau_list, axiom, ![P:(a > a),X:a,N:num]:((inju_orbit @ P @ X @ N) <=> (isu_inju_list0 @ (poweru_list @ P @ X) @ N))).
thf(aHypermapo_lemmau_loopu_index, axiom, ![L:loopa,X:a,Y:a]:(((belong @ X @ L) & (belong @ Y @ L)) => ((l_a_ @ (index @ L @ X @ Y) @ (top @ L)) & (Y = (power @ (next @ L) @ (index @ L @ X @ Y) @ X))))).
thf(aHypermapo_lemmau_poweru_nextu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
thf(aHypermapo_lemmau_segmentu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ![M:num]:((l_ @ M @ (card @ (orbitu_map @ P @ X))) => (inju_orbit @ P @ X @ M)))).
thf(aHypermapo_lemmau_size, axiom, ![L:loopa]:(~ (((dartu_of @ L) = empty)) & (l_ @ (numeral @ u_0) @ (size @ L)) & ((size @ L) = (suc @ (top @ L))))).
thf(aHypermapo_lemmau_transitiveu_permutation, axiom, ![L:loopa,X:a]:((belong @ X @ L) => ((dartu_of @ L) = (orbitu_map @ (next @ L) @ X)))).
thf(aHypermapo_loopu_lemma, axiom, ![L:loopa]:((finite @ (dartu_of @ L)) & (permutes @ (next @ L) @ (dartu_of @ L)) & ?[X:a]:((belong @ X @ L) & ((orbitu_map @ (next @ L) @ X) = (dartu_of @ L))))).
thf(aHypermapo_poweru_list, axiom, ![P:(a > a),X:a]:((poweru_list @ P @ X) = ^[I:num]:(power @ P @ I @ X))).
thf(aHypermapo_size, axiom, ![L:loopa]:((size @ L) = (card @ (dartu_of @ L)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a,Y:a,K:num]:(((belong @ X @ L) & (l_a_ @ K @ (top @ L)) & (Y = (power @ (next @ L) @ K @ X))) => ((index @ L @ X @ Y) = K))).
