%   ORIGINAL: Hypermap.support_loop_sub_dart
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: Hypermap.is_loop: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: Hypermap.lemma_dart_invariant: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: Hypermap.lemma_dart_inveriant_under_inverse_maps: !H x. x IN dart H ==> inverse (edge_map H) x IN dart H /\ inverse (node_map H) x IN dart H /\ inverse (face_map H) x IN dart H
% Assm: Hypermap.lemma_power_next_in_loop: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: Hypermap.lemma_transitive_permutation: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: Hypermap.one_step_contour: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: Hypermap.orbit_map: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: I_THM: !x. I x = x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H L x. is_loop H L /\ x IN dart H /\ belong x L ==> dart_of L SUBSET dart H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: !H x. x IN dart H ==> inverse (edge_map H) x IN dart H /\ inverse (node_map H) x IN dart H /\ inverse (face_map H) x IN dart H
% Assm: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. I x = x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H L x. is_loop H L /\ x IN dart H /\ belong x L ==> dart_of L SUBSET dart H
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tc, type, c : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aHypermapo_isu_loop, axiom, ![H:hypermapa,L:loopa]:((isu_loop @ H @ L) <=> ![X:a]:((belong @ X @ L) => (oneu_stepu_contour @ H @ X @ (next @ L @ X))))).
thf(aHypermapo_lemmau_dartu_invariant, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((in @ (edgeu_map @ H @ X) @ (dart @ H)) & (in @ (nodeu_map @ H @ X) @ (dart @ H)) & (in @ (faceu_map @ H @ X) @ (dart @ H))))).
thf(aHypermapo_lemmau_dartu_inveriantu_underu_inverseu_maps, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((in @ (inverse @ (edgeu_map @ H) @ X) @ (dart @ H)) & (in @ (inverse @ (nodeu_map @ H) @ X) @ (dart @ H)) & (in @ (inverse @ (faceu_map @ H) @ X) @ (dart @ H))))).
thf(aHypermapo_lemmau_poweru_nextu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
thf(aHypermapo_lemmau_transitiveu_permutation, axiom, ![L:loopa,X:a]:((belong @ X @ L) => ((dartu_of @ L) = (orbitu_map @ (next @ L) @ X)))).
thf(aHypermapo_oneu_stepu_contour, axiom, ![Y:a,H:hypermapa,X:a]:((oneu_stepu_contour @ H @ X @ Y) <=> ((Y = (faceu_map @ H @ X)) | (Y = (inverse @ (nodeu_map @ H) @ X))))).
thf(aHypermapo_orbitu_map, axiom, ![F:(a > a),X:a]:((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_229:a]:?[N:num]:(setspec @ GENR_PVARR_229 @ (g_a_ @ N @ (numeral @ u_0)) @ (power @ F @ N @ X))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a]:(((isu_loop @ H @ L) & (in @ X @ (dart @ H)) & (belong @ X @ L)) => (subset @ (dartu_of @ L) @ (dart @ H)))).
