%   ORIGINAL: Hypermap.lemma_loop_contour
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: Hypermap.is_loop: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: Hypermap.lemma_def_contour: !H p n. is_contour H p n <=> (!i. i < n ==> one_step_contour H (p i) (p (SUC i)))
% Assm: Hypermap.lemma_power_next_in_loop: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: Hypermap.loop_path: !L x k. loop_path L x k = (next L POWER k) x
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H L x n. is_loop H L /\ belong x L ==> is_contour H (loop_path L x) n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: !H p n. is_contour H p n <=> (!i. i < n ==> one_step_contour H (p i) (p (SUC i)))
% Assm: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: !L x k. loop_path L x k = (next L POWER k) x
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H L x n. is_loop H L /\ belong x L ==> is_contour H (loop_path L x) n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tc, type, c : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cloopuu_path, type, loopu_path : (loopa > a > num > a)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aHypermapo_isu_loop, axiom, ![H:hypermapa,L:loopa]:((isu_loop @ H @ L) <=> ![X:a]:((belong @ X @ L) => (oneu_stepu_contour @ H @ X @ (next @ L @ X))))).
thf(aHypermapo_lemmau_defu_contour, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_contour @ H @ P @ N) <=> ![I:num]:((l_ @ I @ N) => (oneu_stepu_contour @ H @ (P @ I) @ (P @ (suc @ I)))))).
thf(aHypermapo_lemmau_poweru_nextu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
thf(aHypermapo_loopu_path, axiom, ![L:loopa,X:a,K:num]:((loopu_path @ L @ X @ K) = (power @ (next @ L) @ K @ X))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a,N:num]:(((isu_loop @ H @ L) & (belong @ X @ L)) => (isu_contour @ H @ (loopu_path @ L @ X) @ N))).
