%   ORIGINAL: Hypermap.lemma_inj_loop_path
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.lemma_cycle_orbit: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: Hypermap.lemma_inj_orbit: !p x n. inj_orbit p x n <=> (!i j. i <= n /\ j <= n /\ (p POWER i) x = (p POWER j) x ==> i = j)
% Assm: Hypermap.lemma_inj_orbit_via_list: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: Hypermap.lemma_loop_path_via_list: !L x. loop_path L x = power_list (next L) x
% Assm: Hypermap.lemma_segment_orbit: !s p x. FINITE s /\ p permutes s ==> (!m. m < CARD (orbit_map p x) ==> inj_orbit p x m)
% Assm: Hypermap.lemma_size: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: Hypermap.lemma_transitive_permutation: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: Hypermap.loop_lemma: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: Hypermap.size: !L. size L = CARD (dart_of L)
% Assm: I_THM: !x. I x = x
% Assm: LE_0: !n. 0 <= n
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: TRUTH: T
% Goal: !L x. belong x L ==> (!n. n <= top L <=> is_inj_list (loop_path L x) n)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !s p x. FINITE s /\ p permutes s ==> ((p POWER CARD (orbit_map p x)) x <=> x)
% Assm: !p x n. inj_orbit p x n <=> (!i j. i <= n /\ j <= n /\ ((p POWER i) x <=> (p POWER j) x) ==> i = j)
% Assm: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: !L x. loop_path L x = power_list (next L) x
% Assm: !s p x. FINITE s /\ p permutes s ==> (!m. m < CARD (orbit_map p x) ==> inj_orbit p x m)
% Assm: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: !L. size L = CARD (dart_of L)
% Assm: !x. I x <=> x
% Assm: !n. 0 <= n
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !m n. m < SUC n <=> m <= n
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: T
% Goal: !L x. belong x L ==> (!n. n <= top L <=> is_inj_list (loop_path L x) n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpermutes0, type, permutes0 : ((a > a) > (a > $o) > $o)).
thf(cpermutes, type, permutes : (($o > $o) > ($o > $o) > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(corbituu_map0, type, orbitu_map0 : ((a > a) > a > a > $o)).
thf(cpoweruu_list, type, poweru_list : ((a > a) > a > num > a)).
thf(cinjuu_orbit0, type, inju_orbit0 : ((a > a) > a > num > $o)).
thf(cinjuu_orbit, type, inju_orbit : (($o > $o) > $o > num > $o)).
thf(corbituu_map, type, orbitu_map : (($o > $o) > $o > $o > $o)).
thf(cpower0, type, power0 : (($o > $o) > num > $o > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cloopuu_path, type, loopu_path : (loopa > a > num > a)).
thf(ci0, type, i0 : ($o > $o)).
thf(csize, type, size : (loopa > num)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : (($o > $o) > $o)).
thf(ctop, type, top : (loopa > num)).
thf(ccard0, type, card0 : ((a > $o) > num)).
thf(ccard, type, card : (($o > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_lemmau_cycleu_orbit, axiom, ![S:($o > $o),P:($o > $o),X:$o]:(((finite @ S) & (permutes @ P @ S)) => ((power0 @ P @ (card @ (orbitu_map @ P @ X)) @ X) <=> X))).
thf(aHypermapo_lemmau_inju_orbit, axiom, ![P:($o > $o),X:$o,N:num]:((inju_orbit @ P @ X @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ N) & ((power0 @ P @ I @ X) <=> (power0 @ P @ J @ X))) => (I = J)))).
thf(aHypermapo_lemmau_inju_orbitu_viau_list, axiom, ![P:(a > a),X:a,N:num]:((inju_orbit0 @ P @ X @ N) <=> (isu_inju_list @ (poweru_list @ P @ X) @ N))).
thf(aHypermapo_lemmau_loopu_pathu_viau_list, axiom, ![L:loopa,X:a]:((loopu_path @ L @ X) = (poweru_list @ (next @ L) @ X))).
thf(aHypermapo_lemmau_segmentu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite0 @ S) & (permutes0 @ P @ S)) => ![M:num]:((l_ @ M @ (card0 @ (orbitu_map0 @ P @ X))) => (inju_orbit0 @ P @ X @ M)))).
thf(aHypermapo_lemmau_size, axiom, ![L:loopa]:(~ (((dartu_of @ L) = empty)) & (l_ @ (numeral @ u_0) @ (size @ L)) & ((size @ L) = (suc @ (top @ L))))).
thf(aHypermapo_lemmau_transitiveu_permutation, axiom, ![L:loopa,X:a]:((belong @ X @ L) => ((dartu_of @ L) = (orbitu_map0 @ (next @ L) @ X)))).
thf(aHypermapo_loopu_lemma, axiom, ![L:loopa]:((finite0 @ (dartu_of @ L)) & (permutes0 @ (next @ L) @ (dartu_of @ L)) & ?[X:a]:((belong @ X @ L) & ((orbitu_map0 @ (next @ L) @ X) = (dartu_of @ L))))).
thf(aHypermapo_size, axiom, ![L:loopa]:((size @ L) = (card0 @ (dartu_of @ L)))).
thf(aIu_THM, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a]:((belong @ X @ L) => ![N:num]:((l_a_ @ N @ (top @ L)) <=> (isu_inju_list @ (loopu_path @ L @ X) @ N)))).
