%   ORIGINAL: Hypermap.let_order_for_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.is_loop: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: Hypermap.iterate_map_valuation: !p n x. p ((p POWER n) x) = (p POWER SUC n) x
% Assm: Hypermap.lemma_inj_contour_via_list: !H p n. is_inj_contour H p n <=> is_contour H p n /\ is_inj_list p n
% Assm: Hypermap.lemma_inj_loop_path: !L x. belong x L ==> (!n. n <= top L <=> is_inj_list (loop_path L x) n)
% Assm: Hypermap.lemma_loop_contour: !H L x n. is_loop H L /\ belong x L ==> is_contour H (loop_path L x) n
% Assm: Hypermap.lemma_order_next: !L. next L POWER size L = I
% Assm: Hypermap.lemma_power_next_in_loop: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: Hypermap.lemma_size: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: Hypermap.loop_path: !L x k. loop_path L x k = (next L POWER k) x
% Assm: I_THM: !x. I x = x
% Assm: LE_REFL: !n. n <= n
% Assm: TRUTH: T
% Goal: !H L x. is_loop H L /\ belong x L ==> is_inj_contour H (loop_path L x) (top L) /\ one_step_contour H (loop_path L x (top L)) (loop_path L x 0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: !p n x. p ((p POWER n) x) = (p POWER SUC n) x
% Assm: !H p n. is_inj_contour H p n <=> is_contour H p n /\ is_inj_list p n
% Assm: !L x. belong x L ==> (!n. n <= top L <=> is_inj_list (loop_path L x) n)
% Assm: !H L x n. is_loop H L /\ belong x L ==> is_contour H (loop_path L x) n
% Assm: !L. next L POWER size L = I
% Assm: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: !L x k. loop_path L x k = (next L POWER k) x
% Assm: !x. I x = x
% Assm: !n. n <= n
% Assm: T
% Goal: !H L x. is_loop H L /\ belong x L ==> is_inj_contour H (loop_path L x) (top L) /\ one_step_contour H (loop_path L x (top L)) (loop_path L x 0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(cloopuu_path, type, loopu_path : (loopa > a > num > a)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(csize, type, size : (loopa > num)).
thf(ctop, type, top : (loopa > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_isu_loop, axiom, ![H:hypermapa,L:loopa]:((isu_loop @ H @ L) <=> ![X:a]:((belong @ X @ L) => (oneu_stepu_contour @ H @ X @ (next @ L @ X))))).
thf(aHypermapo_iterateu_mapu_valuation, axiom, ![P:(a > a),N:num,X:a]:((P @ (power @ P @ N @ X)) = (power @ P @ (suc @ N) @ X))).
thf(aHypermapo_lemmau_inju_contouru_viau_list, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_inju_contour @ H @ P @ N) <=> ((isu_contour @ H @ P @ N) & (isu_inju_list @ P @ N)))).
thf(aHypermapo_lemmau_inju_loopu_path, axiom, ![L:loopa,X:a]:((belong @ X @ L) => ![N:num]:((l_a_ @ N @ (top @ L)) <=> (isu_inju_list @ (loopu_path @ L @ X) @ N)))).
thf(aHypermapo_lemmau_loopu_contour, axiom, ![H:hypermapa,L:loopa,X:a,N:num]:(((isu_loop @ H @ L) & (belong @ X @ L)) => (isu_contour @ H @ (loopu_path @ L @ X) @ N))).
thf(aHypermapo_lemmau_orderu_next, axiom, ![L:loopa]:((power @ (next @ L) @ (size @ L)) = i)).
thf(aHypermapo_lemmau_poweru_nextu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
thf(aHypermapo_lemmau_size, axiom, ![L:loopa]:(~ (((dartu_of @ L) = empty)) & (l_ @ (numeral @ u_0) @ (size @ L)) & ((size @ L) = (suc @ (top @ L))))).
thf(aHypermapo_loopu_path, axiom, ![L:loopa,X:a,K:num]:((loopu_path @ L @ X @ K) = (power @ (next @ L) @ K @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a]:(((isu_loop @ H @ L) & (belong @ X @ L)) => ((isu_inju_contour @ H @ (loopu_path @ L @ X) @ (top @ L)) & (oneu_stepu_contour @ H @ (loopu_path @ L @ X @ (top @ L)) @ (loopu_path @ L @ X @ (numeral @ u_0)))))).
