%   ORIGINAL: Hypermap.samsara_formula
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_element_in_list: !p n i. i <= n ==> in_list p n (p i)
% Assm: Hypermap.lemma_inj_list2: !p n. is_inj_list p n <=> (!i j. i <= n /\ j <= n /\ p i = p j ==> i = j)
% Assm: Hypermap.lemma_samsara: !p n x. (~in_list p n x ==> samsara p n x = x) /\ (in_list p n x ==> (?j. j <= n /\ x = p j /\ samsara p n x = p (SUC j MOD SUC n)))
% Assm: TRUTH: T
% Goal: !p n. is_inj_list p n ==> (!j. j <= n ==> samsara p n (p j) = p (SUC j MOD SUC n))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p n i. i <= n ==> in_list p n (p i)
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j <= n /\ p i = p j ==> i = j)
% Assm: !p n x. (~in_list p n x ==> samsara p n x = x) /\ (in_list p n x ==> (?j. j <= n /\ x = p j /\ samsara p n x = p (SUC j MOD SUC n)))
% Assm: T
% Goal: !p n. is_inj_list p n ==> (!j. j <= n ==> samsara p n (p j) = p (SUC j MOD SUC n))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cmod, type, mod : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(csamsara, type, samsara : ((num > a) > num > a > a)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_elementu_inu_list, axiom, ![P:(num > a),N:num,I:num]:((l_a_ @ I @ N) => (inu_list @ P @ N @ (P @ I)))).
thf(aHypermapo_lemmau_inju_list2, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ N) & ((P @ I) = (P @ J))) => (I = J)))).
thf(aHypermapo_lemmau_samsara, axiom, ![P:(num > a),N:num,X:a]:((~ ((inu_list @ P @ N @ X)) => ((samsara @ P @ N @ X) = X)) & ((inu_list @ P @ N @ X) => ?[J:num]:((l_a_ @ J @ N) & (X = (P @ J)) & ((samsara @ P @ N @ X) = (P @ (mod @ (suc @ J) @ (suc @ N)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => ![J:num]:((l_a_ @ J @ N) => ((samsara @ P @ N @ (P @ J)) = (P @ (mod @ (suc @ J) @ (suc @ N))))))).
