%   ORIGINAL: Hypermap.lemma_permutes_via_surjetive
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SURJECTIVE_IFF_INJECTIVE: !s f. FINITE s /\ IMAGE f s SUBSET s ==> ((!y. y IN s ==> (?x. x IN s /\ f x = y)) <=> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: TRUTH: T
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !s p. FINITE s /\ (!x. ~(x IN s) ==> p x = x) /\ (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?x. p x = y)) ==> p permutes s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s f. FINITE s /\ IMAGE f s SUBSET s ==> ((!y. y IN s ==> (?x. x IN s /\ f x = y)) <=> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: T
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !s p. FINITE s /\ (!x. ~(x IN s) ==> p x = x) /\ (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?x. p x = y)) ==> p permutes s
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cimage, type, image : ((a > a) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGE, axiom, ![S:(a > $o),F:(a > a)]:((image @ F @ S) = (gspec @ ^[GENR_PVARR_7:a]:?[Y:a]:(setspec @ GENR_PVARR_7 @ ?[X:a]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSURJECTIVEu_IFFu_INJECTIVE, axiom, ![S:(a > $o),F:(a > a)]:(((finite @ S) & (subset @ (image @ F @ S) @ S)) => (![Y:a]:((in @ Y @ S) => ?[X:a]:((in @ X @ S) & ((F @ X) = Y))) <=> ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aTRUTH, axiom, $true).
thf(apermutes, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) <=> (![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a)]:(((finite @ S) & ![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![X:a]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![Y:a]:((in @ Y @ S) => ?[X:a]:((P @ X) = Y))) => (permutes @ P @ S))).
