%   ORIGINAL: Hypermap.lemma_suc_mod
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: DIVMOD_EXIST: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
% Assm: DIVMOD_UNIQ: !m n q r. m = q * n + r /\ r < n ==> m DIV n = q /\ m MOD n = r
% Assm: MOD_MULT_ADD: !m n p. (m * n + p) MOD n = p MOD n
% Assm: TRUTH: T
% Goal: !m n. ~(n = 0) ==> SUC (m MOD n) MOD n = SUC m MOD n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
% Assm: !m n q r. m = q * n + r /\ r < n ==> m DIV n = q /\ m MOD n = r
% Assm: !m n p. (m * n + p) MOD n = p MOD n
% Assm: T
% Goal: !m n. ~(n = 0) ==> SUC (m MOD n) MOD n = SUC m MOD n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cdiv, type, div : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmod, type, mod : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aDIVMODu_EXIST, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ?[Q:num,R:num]:((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)))).
thf(aDIVMODu_UNIQ, axiom, ![M:num,N:num,Q:num,R:num]:(((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)) => (((div @ M @ N) = Q) & ((mod @ M @ N) = R)))).
thf(aMODu_MULTu_ADD, axiom, ![M:num,N:num,P:num]:((mod @ (p_ @ (t_ @ M @ N) @ P) @ N) = (mod @ P @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((mod @ (suc @ (mod @ M @ N)) @ N) = (mod @ (suc @ M) @ N)))).
