%   ORIGINAL: Hypermap.lemma_from_index
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: Hypermap.lemma_suc_mod: !m n. ~(n = 0) ==> SUC (m MOD n) MOD n = SUC m MOD n
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: MOD_LT: !m n. m < n ==> m MOD n = m
% Assm: MOD_MULT_ADD: !m n p. (m * n + p) MOD n = p MOD n
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: TRUTH: T
% Goal: !n j. j <= n ==> SUC ((j + n) MOD SUC n) MOD SUC n = j
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !m n. ~(n = 0) ==> SUC (m MOD n) MOD n = SUC m MOD n
% Assm: !m n. m < SUC n <=> m <= n
% Assm: !m n. m < n ==> m MOD n = m
% Assm: !m n p. (m * n + p) MOD n = p MOD n
% Assm: !n. 1 * n = n
% Assm: !n. ~(SUC n = 0)
% Assm: T
% Goal: !n j. j <= n ==> SUC ((j + n) MOD SUC n) MOD SUC n = j
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmod, type, mod : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aHypermapo_lemmau_sucu_mod, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((mod @ (suc @ (mod @ M @ N)) @ N) = (mod @ (suc @ M) @ N)))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aMODu_LT, axiom, ![M:num,N:num]:((l_ @ M @ N) => ((mod @ M @ N) = M))).
thf(aMODu_MULTu_ADD, axiom, ![M:num,N:num,P:num]:((mod @ (p_ @ (t_ @ M @ N) @ P) @ N) = (mod @ P @ N))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,J:num]:((l_a_ @ J @ N) => ((mod @ (suc @ (mod @ (p_ @ J @ N) @ (suc @ N))) @ (suc @ N)) = J))).
