%   ORIGINAL: Hypermap.lemma_samsara_permute
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.LE_MOD_SUC: !n m. m MOD SUC n <= n
% Assm: Hypermap.in_list: !x p n. in_list p n x <=> x IN support_list p n
% Assm: Hypermap.lemma_finite_list: !p n. FINITE (support_list p n)
% Assm: Hypermap.lemma_from_index: !n j. j <= n ==> SUC ((j + n) MOD SUC n) MOD SUC n = j
% Assm: Hypermap.lemma_in_list: !p n x. in_list p n x <=> (?j. j <= n /\ x = p j)
% Assm: Hypermap.lemma_permutes_via_surjetive: !s p. FINITE s /\ (!x. ~(x IN s) ==> p x = x) /\ (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?x. p x = y)) ==> p permutes s
% Assm: Hypermap.lemma_samsara: !p n x. (~in_list p n x ==> samsara p n x = x) /\ (in_list p n x ==> (?j. j <= n /\ x = p j /\ samsara p n x = p (SUC j MOD SUC n)))
% Assm: Hypermap.samsara_formula: !p n. is_inj_list p n ==> (!j. j <= n ==> samsara p n (p j) = p (SUC j MOD SUC n))
% Assm: TRUTH: T
% Goal: !p n. is_inj_list p n ==> samsara p n permutes support_list p n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m MOD SUC n <= n
% Assm: !x p n. in_list p n x <=> x IN support_list p n
% Assm: !p n. FINITE (support_list p n)
% Assm: !n j. j <= n ==> SUC ((j + n) MOD SUC n) MOD SUC n = j
% Assm: !p n x. in_list p n x <=> (?j. j <= n /\ x = p j)
% Assm: !s p. FINITE s /\ (!x. ~(x IN s) ==> p x = x) /\ (!x. x IN s ==> p x IN s) /\ (!y. y IN s ==> (?x. p x = y)) ==> p permutes s
% Assm: !p n x. (~in_list p n x ==> samsara p n x = x) /\ (in_list p n x ==> (?j. j <= n /\ x = p j /\ samsara p n x = p (SUC j MOD SUC n)))
% Assm: !p n. is_inj_list p n ==> (!j. j <= n ==> samsara p n (p j) = p (SUC j MOD SUC n))
% Assm: T
% Goal: !p n. is_inj_list p n ==> samsara p n permutes support_list p n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cmod, type, mod : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(csupportuu_list, type, supportu_list : ((num > a) > num > a > $o)).
thf(csamsara, type, samsara : ((num > a) > num > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_LEu_MODu_SUC, axiom, ![N:num,M:num]:(l_a_ @ (mod @ M @ (suc @ N)) @ N)).
thf(aHypermapo_inu_list, axiom, ![X:a,P:(num > a),N:num]:((inu_list @ P @ N @ X) <=> (in @ X @ (supportu_list @ P @ N)))).
thf(aHypermapo_lemmau_finiteu_list, axiom, ![P:(num > a),N:num]:(finite @ (supportu_list @ P @ N))).
thf(aHypermapo_lemmau_fromu_index, axiom, ![N:num,J:num]:((l_a_ @ J @ N) => ((mod @ (suc @ (mod @ (p_ @ J @ N) @ (suc @ N))) @ (suc @ N)) = J))).
thf(aHypermapo_lemmau_inu_list, axiom, ![P:(num > a),N:num,X:a]:((inu_list @ P @ N @ X) <=> ?[J:num]:((l_a_ @ J @ N) & (X = (P @ J))))).
thf(aHypermapo_lemmau_permutesu_viau_surjetive, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & ![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![X:a]:((in @ X @ S) => (in @ (P @ X) @ S)) & ![Y:a]:((in @ Y @ S) => ?[X:a]:((P @ X) = Y))) => (permutes @ P @ S))).
thf(aHypermapo_lemmau_samsara, axiom, ![P:(num > a),N:num,X:a]:((~ ((inu_list @ P @ N @ X)) => ((samsara @ P @ N @ X) = X)) & ((inu_list @ P @ N @ X) => ?[J:num]:((l_a_ @ J @ N) & (X = (P @ J)) & ((samsara @ P @ N @ X) = (P @ (mod @ (suc @ J) @ (suc @ N)))))))).
thf(aHypermapo_samsarau_formula, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => ![J:num]:((l_a_ @ J @ N) => ((samsara @ P @ N @ (P @ J)) = (P @ (mod @ (suc @ J) @ (suc @ N))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => (permutes @ (samsara @ P @ N) @ (supportu_list @ P @ N)))).
