%   ORIGINAL: Hypermap.lemma_samsara_power
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: Hypermap.evaluation_samsara: !p n. is_inj_list p n ==> samsara p n (p n) = p 0 /\ (!j. j < n ==> samsara p n (p j) = p (SUC j))
% Assm: I_THM: !x. I x = x
% Assm: LE_0: !n. 0 <= n
% Assm: LE_REFL: !n. n <= n
% Assm: LE_SUC_LT: !m n. SUC m <= n <=> m < n
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !p n. is_inj_list p n ==> (samsara p n POWER SUC n) (p 0) = p 0 /\ (!j. j <= n ==> (samsara p n POWER j) (p 0) = p j)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !p n. is_inj_list p n ==> samsara p n (p n) = p 0 /\ (!j. j < n ==> samsara p n (p j) = p (SUC j))
% Assm: !x. I x = x
% Assm: !n. 0 <= n
% Assm: !n. n <= n
% Assm: !m n. SUC m <= n <=> m < n
% Assm: !m n. m < n ==> m <= n
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !p n. is_inj_list p n ==> (samsara p n POWER SUC n) (p 0) = p 0 /\ (!j. j <= n ==> (samsara p n POWER j) (p 0) = p j)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(co0, type, o0 : ((b > a) > (a > b) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(csamsara, type, samsara : ((num > a) > num > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aHypermapo_evaluationu_samsara, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => (((samsara @ P @ N @ (P @ N)) = (P @ (numeral @ u_0))) & ![J:num]:((l_ @ J @ N) => ((samsara @ P @ N @ (P @ J)) = (P @ (suc @ J))))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_SUCu_LT, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ N) <=> (l_ @ M @ N))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THM, axiom, ![F:(b > a),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => (((power @ (samsara @ P @ N) @ (suc @ N) @ (P @ (numeral @ u_0))) = (P @ (numeral @ u_0))) & ![J:num]:((l_a_ @ J @ N) => ((power @ (samsara @ P @ N) @ J @ (P @ (numeral @ u_0))) = (P @ J)))))).
