%   ORIGINAL: Hypermap.lemma_generate_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.lemma_finite_list: !p n. FINITE (support_list p n)
% Assm: Hypermap.lemma_loop_representation: !s p x. FINITE s /\ p permutes s /\ orbit_map p x = s ==> dart_of (loop (s,p)) = s /\ next (loop (s,p)) = p
% Assm: Hypermap.lemma_samsara_permute: !p n. is_inj_list p n ==> samsara p n permutes support_list p n
% Assm: Hypermap.lemma_samsara_power: !p n. is_inj_list p n ==> (samsara p n POWER SUC n) (p 0) = p 0 /\ (!j. j <= n ==> (samsara p n POWER j) (p 0) = p j)
% Assm: Hypermap.lemma_two_series_eq: !p q n. (!i. i <= n ==> p i = q i) ==> {p i | i <= n} = {q i | i <= n}
% Assm: Hypermap.orbit_cyclic: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: Hypermap.support_list: !n p. support_list p n = {p i | i <= n}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: I_THM: !x. I x = x
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: TRUTH: T
% Goal: !p n. is_inj_list p n ==> dart_of (loop (support_list p n,samsara p n)) = support_list p n /\ next (loop (support_list p n,samsara p n)) = samsara p n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p n. FINITE (support_list p n)
% Assm: !s p x. FINITE s /\ p permutes s /\ orbit_map p x = s ==> dart_of (loop (s,p)) = s /\ next (loop (s,p)) = p
% Assm: !p n. is_inj_list p n ==> samsara p n permutes support_list p n
% Assm: !p n. is_inj_list p n ==> (samsara p n POWER SUC n) (p 0) = p 0 /\ (!j. j <= n ==> (samsara p n POWER j) (p 0) = p j)
% Assm: !p q n. (!i. i <= n ==> p i = q i) ==> {p i | i <= n} = {q i | i <= n}
% Assm: !p q n. (!i. i <= n ==> p i = q i) ==> {p i | i <= n} = {q i | i <= n}
% Assm: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: !n p. support_list p n = {p i | i <= n}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !m n. m < SUC n <=> m <= n
% Assm: ~F <=> T
% Assm: !n. ~(SUC n = 0)
% Assm: T
% Goal: !p n. is_inj_list p n ==> dart_of (loop (support_list p n,samsara p n)) = support_list p n /\ next (loop (support_list p n,samsara p n)) = samsara p n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
thf(tprodfunaboolfunaa, type, prodfunaboolfunaa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunaa, type, funaa : $tType).
%  CONSTS
thf(cloop, type, loop : (prodfunaboolfunaa > loopa)).
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cin1, type, in1 : ((a > a) > ((a > a) > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec1, type, gspec1 : ((a > $o) > a > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec0, type, gspec0 : (((a > a) > $o) > (a > a) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(ci0, type, i0 : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(csetspec1, type, setspec1 : (a > $o > a > $o)).
thf(corbituu_map1, type, orbitu_map1 : (((a > a) > a > a) > (a > a) > (a > a) > $o)).
thf(cpower1, type, power1 : (((a > a) > a > a) > num > (a > a) > a > a)).
thf(corbituu_map0, type, orbitu_map0 : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cpower0, type, power0 : (((a > $o) > a > $o) > num > (a > $o) > a > $o)).
thf(csetspec0, type, setspec0 : ((a > a) > $o > (a > a) > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(csamsara, type, samsara : ((num > a) > num > a > a)).
thf(csupportuu_list, type, supportu_list : ((num > a) > num > a > $o)).
thf(ccu_, type, c_ : ((a > $o) > (a > a) > prodfunaboolfunaa)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AXu_monomorphized1, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aETAu_AXu_monomorphized0, axiom, ![T:(a > a)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_lemmau_finiteu_list, axiom, ![P:(num > a),N:num]:(finite @ (supportu_list @ P @ N))).
thf(aHypermapo_lemmau_loopu_representation, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S) & ((orbitu_map @ P @ X) = S)) => (((dartu_of @ (loop @ (c_ @ S @ P))) = S) & ((next @ (loop @ (c_ @ S @ P))) = P)))).
thf(aHypermapo_lemmau_samsarau_permute, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => (permutes @ (samsara @ P @ N) @ (supportu_list @ P @ N)))).
thf(aHypermapo_lemmau_samsarau_power, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => (((power @ (samsara @ P @ N) @ (suc @ N) @ (P @ (numeral @ u_0))) = (P @ (numeral @ u_0))) & ![J:num]:((l_a_ @ J @ N) => ((power @ (samsara @ P @ N) @ J @ (P @ (numeral @ u_0))) = (P @ J)))))).
thf(aHypermapo_lemmau_twou_seriesu_equ_monomorphized1, axiom, ![P:(num > a > $o),Q:(num > a > $o),N:num]:(![I:num]:((l_a_ @ I @ N) => ((P @ I) = (Q @ I))) => ((gspec @ ^[GENR_PVARR_230:(a > $o)]:?[I:num]:(setspec @ GENR_PVARR_230 @ (l_a_ @ I @ N) @ (P @ I))) = (gspec @ ^[GENR_PVARR_231:(a > $o)]:?[I:num]:(setspec @ GENR_PVARR_231 @ (l_a_ @ I @ N) @ (Q @ I)))))).
thf(aHypermapo_lemmau_twou_seriesu_equ_monomorphized0, axiom, ![P:(num > a > a),Q:(num > a > a),N:num]:(![I:num]:((l_a_ @ I @ N) => ((P @ I) = (Q @ I))) => ((gspec0 @ ^[GENR_PVARR_230:(a > a)]:?[I:num]:(setspec0 @ GENR_PVARR_230 @ (l_a_ @ I @ N) @ (P @ I))) = (gspec0 @ ^[GENR_PVARR_231:(a > a)]:?[I:num]:(setspec0 @ GENR_PVARR_231 @ (l_a_ @ I @ N) @ (Q @ I)))))).
thf(aHypermapo_orbitu_cyclicu_monomorphized1, axiom, ![F:((a > $o) > a > $o),M:num,X:(a > $o)]:((~ ((M = (numeral @ u_0))) & ((power0 @ F @ M @ X) = X)) => ((orbitu_map0 @ F @ X) = (gspec @ ^[GENR_PVARR_236:(a > $o)]:?[K:num]:(setspec @ GENR_PVARR_236 @ (l_ @ K @ M) @ (power0 @ F @ K @ X)))))).
thf(aHypermapo_orbitu_cyclicu_monomorphized0, axiom, ![F:((a > a) > a > a),M:num,X:(a > a)]:((~ ((M = (numeral @ u_0))) & ((power1 @ F @ M @ X) = X)) => ((orbitu_map1 @ F @ X) = (gspec0 @ ^[GENR_PVARR_236:(a > a)]:?[K:num]:(setspec0 @ GENR_PVARR_236 @ (l_ @ K @ M) @ (power1 @ F @ K @ X)))))).
thf(aHypermapo_supportu_list, axiom, ![N:num,P:(num > a)]:((supportu_list @ P @ N) = (gspec1 @ ^[GENR_PVARR_244:a]:?[I:num]:(setspec1 @ GENR_PVARR_244 @ (l_a_ @ I @ N) @ (P @ I))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in0 @ X @ (gspec @ ^[V:(a > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > (a > a) > $o) > $o),X:(a > a)]:((in1 @ X @ (gspec0 @ ^[V:(a > a)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:(a > a)]:(P0 & (X = T))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:(a > a)]:((i0 @ X) = X)).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => (((dartu_of @ (loop @ (c_ @ (supportu_list @ P @ N) @ (samsara @ P @ N)))) = (supportu_list @ P @ N)) & ((next @ (loop @ (c_ @ (supportu_list @ P @ N) @ (samsara @ P @ N)))) = (samsara @ P @ N))))).
