%   ORIGINAL: Hypermap.lemma_make_contour_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.evaluation_samsara: !p n. is_inj_list p n ==> samsara p n (p n) = p 0 /\ (!j. j < n ==> samsara p n (p j) = p (SUC j))
% Assm: Hypermap.in_list: !x p n. in_list p n x <=> x IN support_list p n
% Assm: Hypermap.is_loop: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: Hypermap.lemma_def_contour: !H p n. is_contour H p n <=> (!i. i < n ==> one_step_contour H (p i) (p (SUC i)))
% Assm: Hypermap.lemma_generate_loop: !p n. is_inj_list p n ==> dart_of (loop (support_list p n,samsara p n)) = support_list p n /\ next (loop (support_list p n,samsara p n)) = samsara p n
% Assm: Hypermap.lemma_in_list: !p n x. in_list p n x <=> (?j. j <= n /\ x = p j)
% Assm: Hypermap.lemma_inj_contour_via_list: !H p n. is_inj_contour H p n <=> is_contour H p n /\ is_inj_list p n
% Assm: LT_LE: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: TRUTH: T
% Goal: !H p n. is_inj_contour H p n /\ one_step_contour H (p n) (p 0) ==> is_loop H (loop (support_list p n,samsara p n))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !p n. is_inj_list p n ==> samsara p n (p n) = p 0 /\ (!j. j < n ==> samsara p n (p j) = p (SUC j))
% Assm: !x p n. in_list p n x <=> x IN support_list p n
% Assm: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: !H p n. is_contour H p n <=> (!i. i < n ==> one_step_contour H (p i) (p (SUC i)))
% Assm: !p n. is_inj_list p n ==> dart_of (loop (support_list p n,samsara p n)) = support_list p n /\ next (loop (support_list p n,samsara p n)) = samsara p n
% Assm: !p n x. in_list p n x <=> (?j. j <= n /\ x = p j)
% Assm: !H p n. is_inj_contour H p n <=> is_contour H p n /\ is_inj_list p n
% Assm: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: T
% Goal: !H p n. is_inj_contour H p n /\ one_step_contour H (p n) (p 0) ==> is_loop H (loop (support_list p n,samsara p n))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tprodfunaboolfunaa, type, prodfunaboolfunaa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunaa, type, funaa : $tType).
%  CONSTS
thf(cloop, type, loop : (prodfunaboolfunaa > loopa)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(csamsara, type, samsara : ((num > a) > num > a > a)).
thf(csupportuu_list, type, supportu_list : ((num > a) > num > a > $o)).
thf(ccu_, type, c_ : ((a > $o) > (a > a) > prodfunaboolfunaa)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_evaluationu_samsara, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => (((samsara @ P @ N @ (P @ N)) = (P @ (numeral @ u_0))) & ![J:num]:((l_ @ J @ N) => ((samsara @ P @ N @ (P @ J)) = (P @ (suc @ J))))))).
thf(aHypermapo_inu_list, axiom, ![X:a,P:(num > a),N:num]:((inu_list @ P @ N @ X) <=> (in @ X @ (supportu_list @ P @ N)))).
thf(aHypermapo_isu_loop, axiom, ![H:hypermapa,L:loopa]:((isu_loop @ H @ L) <=> ![X:a]:((belong @ X @ L) => (oneu_stepu_contour @ H @ X @ (next @ L @ X))))).
thf(aHypermapo_lemmau_defu_contour, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_contour @ H @ P @ N) <=> ![I:num]:((l_ @ I @ N) => (oneu_stepu_contour @ H @ (P @ I) @ (P @ (suc @ I)))))).
thf(aHypermapo_lemmau_generateu_loop, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => (((dartu_of @ (loop @ (c_ @ (supportu_list @ P @ N) @ (samsara @ P @ N)))) = (supportu_list @ P @ N)) & ((next @ (loop @ (c_ @ (supportu_list @ P @ N) @ (samsara @ P @ N)))) = (samsara @ P @ N))))).
thf(aHypermapo_lemmau_inu_list, axiom, ![P:(num > a),N:num,X:a]:((inu_list @ P @ N @ X) <=> ?[J:num]:((l_a_ @ J @ N) & (X = (P @ J))))).
thf(aHypermapo_lemmau_inju_contouru_viau_list, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_inju_contour @ H @ P @ N) <=> ((isu_contour @ H @ P @ N) & (isu_inju_list @ P @ N)))).
thf(aLTu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ((l_a_ @ M @ N) & ~ ((M = N))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,P:(num > a),N:num]:(((isu_inju_contour @ H @ P @ N) & (oneu_stepu_contour @ H @ (P @ N) @ (P @ (numeral @ u_0)))) => (isu_loop @ H @ (loop @ (c_ @ (supportu_list @ P @ N) @ (samsara @ P @ N)))))).
