%   ORIGINAL: Hypermap.lemma_dart_loop_via_path
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_order_next: !L. next L POWER size L = I
% Assm: Hypermap.lemma_size: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: Hypermap.lemma_transitive_permutation: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: Hypermap.loop_path: !L x k. loop_path L x k = (next L POWER k) x
% Assm: Hypermap.orbit_cyclic: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: Hypermap.support_list: !n p. support_list p n = {p i | i <= n}
% Assm: I_THM: !x. I x = x
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: TRUTH: T
% Goal: !L x. belong x L ==> dart_of L = support_list (loop_path L x) (top L)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !L. next L POWER size L = I
% Assm: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: !L x k. loop_path L x k = (next L POWER k) x
% Assm: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: !n p. support_list p n = {p i | i <= n}
% Assm: !x. I x = x
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !m n. m < SUC n <=> m <= n
% Assm: T
% Goal: !L x. belong x L ==> dart_of L = support_list (loop_path L x) (top L)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(ci0, type, i0 : ((a > $o) > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(corbituu_map0, type, orbitu_map0 : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cpower0, type, power0 : (((a > $o) > a > $o) > num > (a > $o) > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cloopuu_path, type, loopu_path : (loopa > a > num > a)).
thf(csupportuu_list, type, supportu_list : ((num > a) > num > a > $o)).
thf(csize, type, size : (loopa > num)).
thf(ctop, type, top : (loopa > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_orderu_next, axiom, ![L:loopa]:((power @ (next @ L) @ (size @ L)) = i)).
thf(aHypermapo_lemmau_size, axiom, ![L:loopa]:(~ (((dartu_of @ L) = empty)) & (l_ @ (numeral @ u_0) @ (size @ L)) & ((size @ L) = (suc @ (top @ L))))).
thf(aHypermapo_lemmau_transitiveu_permutation, axiom, ![L:loopa,X:a]:((belong @ X @ L) => ((dartu_of @ L) = (orbitu_map @ (next @ L) @ X)))).
thf(aHypermapo_loopu_path, axiom, ![L:loopa,X:a,K:num]:((loopu_path @ L @ X @ K) = (power @ (next @ L) @ K @ X))).
thf(aHypermapo_orbitu_cyclic, axiom, ![F:((a > $o) > a > $o),M:num,X:(a > $o)]:((~ ((M = (numeral @ u_0))) & ((power0 @ F @ M @ X) = X)) => ((orbitu_map0 @ F @ X) = (gspec @ ^[GENR_PVARR_236:(a > $o)]:?[K:num]:(setspec @ GENR_PVARR_236 @ (l_ @ K @ M) @ (power0 @ F @ K @ X)))))).
thf(aHypermapo_supportu_list, axiom, ![N:num,P:(num > a)]:((supportu_list @ P @ N) = (gspec0 @ ^[GENR_PVARR_244:a]:?[I:num]:(setspec0 @ GENR_PVARR_244 @ (l_a_ @ I @ N) @ (P @ I))))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i0 @ X) = X)).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a]:((belong @ X @ L) => ((dartu_of @ L) = (supportu_list @ (loopu_path @ L @ X) @ (top @ L))))).
