%   ORIGINAL: Hypermap.lemma_belong
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.in_list: !x p n. in_list p n x <=> x IN support_list p n
% Assm: Hypermap.lemma_dart_loop_via_path: !L x. belong x L ==> dart_of L = support_list (loop_path L x) (top L)
% Assm: TRUTH: T
% Goal: !L x. belong x L ==> (!y. belong y L <=> in_list (loop_path L x) (top L) y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !x p n. in_list p n x <=> x IN support_list p n
% Assm: !L x. belong x L ==> dart_of L = support_list (loop_path L x) (top L)
% Assm: T
% Goal: !L x. belong x L ==> (!y. belong y L <=> in_list (loop_path L x) (top L) y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(csupportuu_list, type, supportu_list : ((num > a) > num > a > $o)).
thf(cloopuu_path, type, loopu_path : (loopa > a > num > a)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(ctop, type, top : (loopa > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_inu_list, axiom, ![X:a,P:(num > a),N:num]:((inu_list @ P @ N @ X) <=> (in @ X @ (supportu_list @ P @ N)))).
thf(aHypermapo_lemmau_dartu_loopu_viau_path, axiom, ![L:loopa,X:a]:((belong @ X @ L) => ((dartu_of @ L) = (supportu_list @ (loopu_path @ L @ X) @ (top @ L))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:loopa,X:a]:((belong @ X @ L) => ![Y:a]:((belong @ Y @ L) <=> (inu_list @ (loopu_path @ L @ X) @ (top @ L) @ Y)))).
