%   ORIGINAL: Hypermap.inj_orbit_imp_inj_face_contour
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.face_contour: !H x i. face_contour H x i = (face_map H POWER i) x
% Assm: Hypermap.lemma_def_inj_contour: !H p n. is_inj_contour H p n <=> is_contour H p n /\ (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: Hypermap.lemma_def_inj_orbit: !p x n. inj_orbit p x n <=> (!i j. i <= n /\ j < i ==> ~((p POWER i) x = (p POWER j) x))
% Assm: Hypermap.lemma_face_contour: !H x k. is_contour H (face_contour H x) k
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x k. inj_orbit (face_map H) x k ==> is_inj_contour H (face_contour H x) k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H x i. face_contour H x i = (face_map H POWER i) x
% Assm: !H p n. is_inj_contour H p n <=> is_contour H p n /\ (!i j. i <= n /\ j < i ==> ~(p j = p i))
% Assm: !p x n. inj_orbit p x n <=> (!i j. i <= n /\ j < i ==> ~((p POWER i) x = (p POWER j) x))
% Assm: !H x k. is_contour H (face_contour H x) k
% Assm: ~F <=> T
% Assm: T
% Goal: !H x k. inj_orbit (face_map H) x k ==> is_inj_contour H (face_contour H x) k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cisuu_contour, type, isu_contour : (hypermapa > (num > a) > num > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cfaceuu_contour, type, faceu_contour : (hypermapa > a > num > a)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cinjuu_orbit, type, inju_orbit : ((a > a) > a > num > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_faceu_contour, axiom, ![H:hypermapa,X:a,I:num]:((faceu_contour @ H @ X @ I) = (power @ (faceu_map @ H) @ I @ X))).
thf(aHypermapo_lemmau_defu_inju_contour, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_inju_contour @ H @ P @ N) <=> ((isu_contour @ H @ P @ N) & ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((P @ J) = (P @ I))))))).
thf(aHypermapo_lemmau_defu_inju_orbit, axiom, ![P:(a > a),X:a,N:num]:((inju_orbit @ P @ X @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_ @ J @ I)) => ~ (((power @ P @ I @ X) = (power @ P @ J @ X)))))).
thf(aHypermapo_lemmau_faceu_contour, axiom, ![H:hypermapa,X:a,K:num]:(isu_contour @ H @ (faceu_contour @ H @ X) @ K)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,K:num]:((inju_orbit @ (faceu_map @ H) @ X @ K) => (isu_inju_contour @ H @ (faceu_contour @ H @ X) @ K))).
