%   ORIGINAL: Hypermap.lemma_inj_face_contour
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.inj_orbit_imp_inj_face_contour: !H x k. inj_orbit (face_map H) x k ==> is_inj_contour H (face_contour H x) k
% Assm: Hypermap.lemma_segment_orbit: !s p x. FINITE s /\ p permutes s ==> (!m. m < CARD (orbit_map p x) ==> inj_orbit p x m)
% Assm: TRUTH: T
% Goal: !H x k. k < CARD (face H x) ==> is_inj_contour H (face_contour H x) k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !H x k. inj_orbit (face_map H) x k ==> is_inj_contour H (face_contour H x) k
% Assm: !s p x. FINITE s /\ p permutes s ==> (!m. m < CARD (orbit_map p x) ==> inj_orbit p x m)
% Assm: T
% Goal: !H x k. k < CARD (face H x) ==> is_inj_contour H (face_contour H x) k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cinjuu_orbit, type, inju_orbit : ((a > a) > a > num > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfaceuu_contour, type, faceu_contour : (hypermapa > a > num > a)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_inju_orbitu_impu_inju_faceu_contour, axiom, ![H:hypermapa,X:a,K:num]:((inju_orbit @ (faceu_map @ H) @ X @ K) => (isu_inju_contour @ H @ (faceu_contour @ H @ X) @ K))).
thf(aHypermapo_lemmau_segmentu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ![M:num]:((l_ @ M @ (card @ (orbitu_map @ P @ X))) => (inju_orbit @ P @ X @ M)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,K:num]:((l_ @ K @ (card @ (face @ H @ X))) => (isu_inju_contour @ H @ (faceu_contour @ H @ X) @ K))).
