%   ORIGINAL: Hypermap.lemma_card_inverse_map_eq
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: Hypermap.lemma_permutation_via_its_inverse: !s p. FINITE s /\ p permutes s ==> (?j. p = inverse p POWER j)
% Assm: Hypermap.multiplication_exponents: !m n f. f POWER (m * n) = (f POWER n) POWER m
% Assm: Hypermap.orbit_map: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: Hypermap.power_inverse_element_lemma: !s p n. FINITE s /\ p permutes s ==> (?j. inverse p POWER n = p POWER j)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: LE_0: !n. 0 <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s p x. FINITE s /\ p permutes s ==> orbit_map (inverse p) x = orbit_map p x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !n m. m >= n <=> n <= m
% Assm: !s p. FINITE s /\ p permutes s ==> (?j. p = inverse p POWER j)
% Assm: !m n f. f POWER (m * n) = (f POWER n) POWER m
% Assm: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: !s p n. FINITE s /\ p permutes s ==> (?j. inverse p POWER n = p POWER j)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !n. 0 <= n
% Assm: ~F <=> T
% Assm: T
% Goal: !s p x. FINITE s /\ p permutes s ==> orbit_map (inverse p) x = orbit_map p x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(csetspec0, type, setspec0 : ((a > $o) > $o > (a > $o) > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aHypermapo_lemmau_permutationu_viau_itsu_inverse, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:(P = (power @ (inverse @ P) @ J)))).
thf(aHypermapo_multiplicationu_exponents, axiom, ![M:num,N:num,F:(a > a)]:((power @ F @ (t_ @ M @ N)) = (power @ (power @ F @ N) @ M))).
thf(aHypermapo_orbitu_map, axiom, ![F:(a > a),X:a]:((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_229:a]:?[N:num]:(setspec @ GENR_PVARR_229 @ (g_a_ @ N @ (numeral @ u_0)) @ (power @ F @ N @ X))))).
thf(aHypermapo_poweru_inverseu_elementu_lemma, axiom, ![S:(a > $o),P:(a > a),N:num]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((power @ (inverse @ P) @ N) = (power @ P @ J)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in0 @ X @ (gspec0 @ ^[V:(a > $o)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ((orbitu_map @ (inverse @ P) @ X) = (orbitu_map @ P @ X)))).
