%   ORIGINAL: Hypermap.lemma_inj_node_contour
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.inj_orbit_imp_inj_node_contour: !H x k. inj_orbit (inverse (node_map H)) x k ==> is_inj_contour H (node_contour H x) k
% Assm: Hypermap.lemma_card_inverse_map_eq: !s p x. FINITE s /\ p permutes s ==> orbit_map (inverse p) x = orbit_map p x
% Assm: Hypermap.lemma_segment_orbit: !s p x. FINITE s /\ p permutes s ==> (!m. m < CARD (orbit_map p x) ==> inj_orbit p x m)
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.node_map_and_darts: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: TRUTH: T
% Goal: !H x k. k < CARD (node H x) ==> is_inj_contour H (node_contour H x) k
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H x k. inj_orbit (inverse (node_map H)) x k ==> is_inj_contour H (node_contour H x) k
% Assm: !s p x. FINITE s /\ p permutes s ==> orbit_map (inverse p) x = orbit_map p x
% Assm: !s p x. FINITE s /\ p permutes s ==> (!m. m < CARD (orbit_map p x) ==> inj_orbit p x m)
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: T
% Goal: !H x k. k < CARD (node H x) ==> is_inj_contour H (node_contour H x) k
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tq144146, type, q144146 : $tType).
%  CONSTS
thf(cpermutes0, type, permutes0 : ((q144146 > q144146) > (q144146 > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cinverse0, type, inverse0 : ((q144146 > q144146) > q144146 > q144146)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cinjuu_orbit, type, inju_orbit : ((a > a) > a > num > $o)).
thf(cnodeuu_contour, type, nodeu_contour : (hypermapa > a > num > a)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_inju_orbitu_impu_inju_nodeu_contour, axiom, ![H:hypermapa,X:a,K:num]:((inju_orbit @ (inverse @ (nodeu_map @ H)) @ X @ K) => (isu_inju_contour @ H @ (nodeu_contour @ H @ X) @ K))).
thf(aHypermapo_lemmau_cardu_inverseu_mapu_eq, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ((orbitu_map @ (inverse @ P) @ X) = (orbitu_map @ P @ X)))).
thf(aHypermapo_lemmau_segmentu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ![M:num]:((l_ @ M @ (card @ (orbitu_map @ P @ X))) => (inju_orbit @ P @ X @ M)))).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_nodeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSE, axiom, ![P:(q144146 > q144146),S:(q144146 > $o)]:((permutes0 @ P @ S) => (permutes0 @ (inverse0 @ P) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,K:num]:((l_ @ K @ (card @ (node @ H @ X))) => (isu_inju_contour @ H @ (nodeu_contour @ H @ X) @ K))).
