%   ORIGINAL: Hypermap.lemma_node_inverse_cycle
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.inverse_power_function: !s p n x y. p permutes s ==> (y = (p POWER n) x <=> x = (inverse p POWER n) y)
% Assm: Hypermap.lemma_node_cycle: !H x. (node_map H POWER CARD (node H x)) x = x
% Assm: Hypermap.node_map_and_darts: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: TRUTH: T
% Goal: !H x. (inverse (node_map H) POWER CARD (node H x)) x = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s p n x y. p permutes s ==> (y = (p POWER n) x <=> x = (inverse p POWER n) y)
% Assm: !H x. (node_map H POWER CARD (node H x)) x = x
% Assm: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: T
% Goal: !H x. (inverse (node_map H) POWER CARD (node H x)) x = x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_inverseu_poweru_function, axiom, ![S:(a > $o),P:(a > a),N:num,X:a,Y:a]:((permutes @ P @ S) => ((Y = (power @ P @ N @ X)) <=> (X = (power @ (inverse @ P) @ N @ Y))))).
thf(aHypermapo_lemmau_nodeu_cycle, axiom, ![H:hypermapa,X:a]:((power @ (nodeu_map @ H) @ (card @ (node @ H @ X)) @ X) = X)).
thf(aHypermapo_nodeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:((power @ (inverse @ (nodeu_map @ H)) @ (card @ (node @ H @ X)) @ X) = X)).
