%   ORIGINAL: Hypermap.lemma_node_contour_connection
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.LT1_NZ: !n. 1 <= n <=> 0 < n
% Assm: Hypermap.NODE_NOT_EMPTY: !H x. 1 <= CARD (node H x)
% Assm: Hypermap.lemma_card_inverse_map_eq: !s p x. FINITE s /\ p permutes s ==> orbit_map (inverse p) x = orbit_map p x
% Assm: Hypermap.lemma_inj_node_contour: !H x k. k < CARD (node H x) ==> is_inj_contour H (node_contour H x) k
% Assm: Hypermap.lemma_node_inverse_cycle: !H x. (inverse (node_map H) POWER CARD (node H x)) x = x
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.node_contour: !H x i. node_contour H x i = (inverse (node_map H) POWER i) x
% Assm: Hypermap.node_map_and_darts: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: Hypermap.orbit_cyclic: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: I_THM: !x. I x = x
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: TRUTH: T
% Goal: !H x y. y IN node H x ==> (?k. k < CARD (node H x) /\ node_contour H x 0 = x /\ node_contour H x k = y /\ is_inj_contour H (node_contour H x) k)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !n. 1 <= n <=> 0 < n
% Assm: !H x. 1 <= CARD (node H x)
% Assm: !s p x. FINITE s /\ p permutes s ==> orbit_map (inverse p) x = orbit_map p x
% Assm: !H x k. k < CARD (node H x) ==> is_inj_contour H (node_contour H x) k
% Assm: !H x. (inverse (node_map H) POWER CARD (node H x)) x = x
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !H x i. node_contour H x i = (inverse (node_map H) POWER i) x
% Assm: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. I x = x
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: T
% Goal: !H x y. y IN node H x ==> (?k. k < CARD (node H x) /\ node_contour H x 0 = x /\ node_contour H x k = y /\ is_inj_contour H (node_contour H x) k)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cnodeuu_contour, type, nodeu_contour : (hypermapa > a > num > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_LT1u_NZ, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) <=> (l_ @ (numeral @ u_0) @ N))).
thf(aHypermapo_NODEu_NOTu_EMPTY, axiom, ![H:hypermapa,X:a]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ (node @ H @ X)))).
thf(aHypermapo_lemmau_cardu_inverseu_mapu_eq, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ((orbitu_map @ (inverse @ P) @ X) = (orbitu_map @ P @ X)))).
thf(aHypermapo_lemmau_inju_nodeu_contour, axiom, ![H:hypermapa,X:a,K:num]:((l_ @ K @ (card @ (node @ H @ X))) => (isu_inju_contour @ H @ (nodeu_contour @ H @ X) @ K))).
thf(aHypermapo_lemmau_nodeu_inverseu_cycle, axiom, ![H:hypermapa,X:a]:((power @ (inverse @ (nodeu_map @ H)) @ (card @ (node @ H @ X)) @ X) = X)).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_nodeu_contour, axiom, ![H:hypermapa,X:a,I:num]:((nodeu_contour @ H @ X @ I) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X))).
thf(aHypermapo_nodeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)))).
thf(aHypermapo_orbitu_cyclic, axiom, ![F:(a > a),M:num,X:a]:((~ ((M = (numeral @ u_0))) & ((power @ F @ M @ X) = X)) => ((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_236:a]:?[K:num]:(setspec @ GENR_PVARR_236 @ (l_ @ K @ M) @ (power @ F @ K @ X)))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (node @ H @ X)) => ?[K:num]:((l_ @ K @ (card @ (node @ H @ X))) & ((nodeu_contour @ H @ X @ (numeral @ u_0)) = X) & ((nodeu_contour @ H @ X @ K) = Y) & (isu_inju_contour @ H @ (nodeu_contour @ H @ X) @ K)))).
