%   ORIGINAL: Hypermap.lemma_via_inverse_node_map
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.lemma_node_contour_connection: !H x y. y IN node H x ==> (?k. k < CARD (node H x) /\ node_contour H x 0 = x /\ node_contour H x k = y /\ is_inj_contour H (node_contour H x) k)
% Assm: Hypermap.node_contour: !H x i. node_contour H x i = (inverse (node_map H) POWER i) x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x y. y IN node H x ==> (?j. j < CARD (node H x) /\ y = (inverse (node_map H) POWER j) x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !H x y. y IN node H x ==> (?k. k < CARD (node H x) /\ node_contour H x 0 = x /\ node_contour H x k = y /\ is_inj_contour H (node_contour H x) k)
% Assm: !H x i. node_contour H x i = (inverse (node_map H) POWER i) x
% Assm: ~F <=> T
% Assm: T
% Goal: !H x y. y IN node H x ==> (?j. j < CARD (node H x) /\ y = (inverse (node_map H) POWER j) x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cnodeuu_contour, type, nodeu_contour : (hypermapa > a > num > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_lemmau_nodeu_contouru_connection, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (node @ H @ X)) => ?[K:num]:((l_ @ K @ (card @ (node @ H @ X))) & ((nodeu_contour @ H @ X @ (numeral @ u_0)) = X) & ((nodeu_contour @ H @ X @ K) = Y) & (isu_inju_contour @ H @ (nodeu_contour @ H @ X) @ K)))).
thf(aHypermapo_nodeu_contour, axiom, ![H:hypermapa,X:a,I:num]:((nodeu_contour @ H @ X @ I) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (node @ H @ X)) => ?[J:num]:((l_ @ J @ (card @ (node @ H @ X))) & (Y = (power @ (inverse @ (nodeu_map @ H)) @ J @ X))))).
