%   ORIGINAL: Hypermap.atom_reflect
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.atom: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: Hypermap.is_node_going: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: TRUTH: T
% Goal: !H L x. x IN atom H L x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: !m. m <= 0 <=> m = 0
% Assm: T
% Goal: !H L x. x IN atom H L x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cisuu_nodeuu_going, type, isu_nodeu_going : (hypermapa > loopa > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_atom, axiom, ![H:hypermapa,L:loopa,X:a]:((atom @ H @ L @ X) = (gspec @ ^[GENR_PVARR_262:a]:?[Y:a]:(setspec @ GENR_PVARR_262 @ ((isu_nodeu_going @ H @ L @ X @ Y) | (isu_nodeu_going @ H @ L @ Y @ X)) @ Y)))).
thf(aHypermapo_isu_nodeu_going, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:((isu_nodeu_going @ H @ L @ X @ Y) <=> ?[K:num]:((Y = (power @ (next @ L) @ K @ X)) & ![I:num]:((l_a_ @ I @ K) => ((power @ (next @ L) @ I @ X) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X)))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a]:(in @ X @ (atom @ H @ L @ X))).
