%   ORIGINAL: Hypermap.lemma_on_way_going
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: Hypermap.addition_exponents: !m n f. f POWER (m + n) = (f POWER m) o (f POWER n)
% Assm: Hypermap.is_node_going: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: LE_ADD_LCANCEL: !m n p. m + n <= m + p <=> n <= p
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LE_REFL: !n. n <= n
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H L x y z. is_node_going H L x y /\ is_node_going H L x z ==> is_node_going H L y z \/ is_node_going H L z y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !m n f. f POWER (m + n) = (f POWER m) o (f POWER n)
% Assm: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: !m n p. m + n <= m + p <=> n <= p
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !n. n <= n
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H L x y z. is_node_going H L x y /\ is_node_going H L x z ==> is_node_going H L y z \/ is_node_going H L z y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tc, type, c : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cisuu_nodeuu_going, type, isu_nodeu_going : (hypermapa > loopa > a > a > $o)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aHypermapo_additionu_exponents, axiom, ![M:num,N:num,F:(a > a)]:((power @ F @ (p_ @ M @ N)) = (o @ (power @ F @ M) @ (power @ F @ N)))).
thf(aHypermapo_isu_nodeu_going, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:((isu_nodeu_going @ H @ L @ X @ Y) <=> ?[K:num]:((Y = (power @ (next @ L) @ K @ X)) & ![I:num]:((l_a_ @ I @ K) => ((power @ (next @ L) @ I @ X) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X)))))).
thf(aLEu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_a_ @ N @ P))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a,Y:a,Z:a]:(((isu_nodeu_going @ H @ L @ X @ Y) & (isu_nodeu_going @ H @ L @ X @ Z)) => ((isu_nodeu_going @ H @ L @ Y @ Z) | (isu_nodeu_going @ H @ L @ Z @ Y)))).
