%   ORIGINAL: Hypermap.atom_trans
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.atom: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: Hypermap.lemma_on_way_going: !H L x y z. is_node_going H L x y /\ is_node_going H L x z ==> is_node_going H L y z \/ is_node_going H L z y
% Assm: Hypermap.lemma_second_on_way_going: !H L x y z. is_node_going H L x z /\ is_node_going H L y z ==> is_node_going H L x y \/ is_node_going H L y x
% Assm: Hypermap.lemma_transitive_going: !H L x y z. is_node_going H L x y /\ is_node_going H L y z ==> is_node_going H L x z
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Goal: !H L x y z. x IN atom H L y /\ y IN atom H L z ==> x IN atom H L z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: !H L x y z. is_node_going H L x y /\ is_node_going H L x z ==> is_node_going H L y z \/ is_node_going H L z y
% Assm: !H L x y z. is_node_going H L x z /\ is_node_going H L y z ==> is_node_going H L x y \/ is_node_going H L y x
% Assm: !H L x y z. is_node_going H L x y /\ is_node_going H L y z ==> is_node_going H L x z
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Goal: !H L x y z. x IN atom H L y /\ y IN atom H L z ==> x IN atom H L z
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cisuu_nodeuu_going, type, isu_nodeu_going : (hypermapa > loopa > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_atom, axiom, ![H:hypermapa,L:loopa,X:a]:((atom @ H @ L @ X) = (gspec @ ^[GENR_PVARR_262:a]:?[Y:a]:(setspec @ GENR_PVARR_262 @ ((isu_nodeu_going @ H @ L @ X @ Y) | (isu_nodeu_going @ H @ L @ Y @ X)) @ Y)))).
thf(aHypermapo_lemmau_onu_wayu_going, axiom, ![H:hypermapa,L:loopa,X:a,Y:a,Z:a]:(((isu_nodeu_going @ H @ L @ X @ Y) & (isu_nodeu_going @ H @ L @ X @ Z)) => ((isu_nodeu_going @ H @ L @ Y @ Z) | (isu_nodeu_going @ H @ L @ Z @ Y)))).
thf(aHypermapo_lemmau_secondu_onu_wayu_going, axiom, ![H:hypermapa,L:loopa,X:a,Y:a,Z:a]:(((isu_nodeu_going @ H @ L @ X @ Z) & (isu_nodeu_going @ H @ L @ Y @ Z)) => ((isu_nodeu_going @ H @ L @ X @ Y) | (isu_nodeu_going @ H @ L @ Y @ X)))).
thf(aHypermapo_lemmau_transitiveu_going, axiom, ![H:hypermapa,L:loopa,X:a,Y:a,Z:a]:(((isu_nodeu_going @ H @ L @ X @ Y) & (isu_nodeu_going @ H @ L @ Y @ Z)) => (isu_nodeu_going @ H @ L @ X @ Z))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a,Y:a,Z:a]:(((in @ X @ (atom @ H @ L @ Y)) & (in @ Y @ (atom @ H @ L @ Z))) => (in @ X @ (atom @ H @ L @ Z)))).
