%   ORIGINAL: Hypermap.lemma_atom_sub_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.atom: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.is_node_going: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: Hypermap.lemma_power_back_and_next_outside_loop: !L x m. ~belong x L ==> (back L POWER m) x = x /\ (next L POWER m) x = x
% Assm: Hypermap.lemma_power_next_in_loop: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !H L x. belong x L ==> atom H L x SUBSET dart_of L
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: !L x m. ~belong x L ==> (back L POWER m) x = x /\ (next L POWER m) x = x
% Assm: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !H L x. belong x L ==> atom H L x SUBSET dart_of L
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cisuu_nodeuu_going, type, isu_nodeu_going : (hypermapa > loopa > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_atom, axiom, ![H:hypermapa,L:loopa,X:a]:((atom @ H @ L @ X) = (gspec @ ^[GENR_PVARR_262:a]:?[Y:a]:(setspec @ GENR_PVARR_262 @ ((isu_nodeu_going @ H @ L @ X @ Y) | (isu_nodeu_going @ H @ L @ Y @ X)) @ Y)))).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_isu_nodeu_going, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:((isu_nodeu_going @ H @ L @ X @ Y) <=> ?[K:num]:((Y = (power @ (next @ L) @ K @ X)) & ![I:num]:((l_a_ @ I @ K) => ((power @ (next @ L) @ I @ X) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X)))))).
thf(aHypermapo_lemmau_poweru_backu_andu_nextu_outsideu_loop, axiom, ![L:loopa,X:a,M:num]:(~ ((belong @ X @ L)) => (((power @ (back @ L) @ M @ X) = X) & ((power @ (next @ L) @ M @ X) = X)))).
thf(aHypermapo_lemmau_poweru_nextu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a]:((belong @ X @ L) => (subset @ (atom @ H @ L @ X) @ (dartu_of @ L)))).
