%   ORIGINAL: Hypermap.lemma_atom_out_side_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.atom: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.is_node_going: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: Hypermap.lemma_power_back_and_next_outside_loop: !L x m. ~belong x L ==> (back L POWER m) x = x /\ (next L POWER m) x = x
% Assm: Hypermap.lemma_second_inverse_evaluation: !L x m. (next L POWER m) ((back L POWER m) x) = x /\ (back L POWER m) ((next L POWER m) x) = x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !H L x. ~belong x L ==> atom H L x = {x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: !H L x. x IN atom H L x
% Assm: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: !L x m. ~belong x L ==> (back L POWER m) x = x /\ (next L POWER m) x = x
% Assm: !L x m. (next L POWER m) ((back L POWER m) x) = x /\ (back L POWER m) ((next L POWER m) x) = x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y. x IN {y} <=> x = y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !H L x. ~belong x L ==> atom H L x = {x}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tloopfunabool, type, loopfunabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cnext0, type, next0 : (loopa > a > a)).
thf(cback, type, back : (loopa > a > a)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(cback0, type, back0 : (loopfunabool > (a > $o) > a > $o)).
thf(cpower0, type, power0 : ((a > a) > num > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cinverse, type, inverse : (((a > $o) > a > $o) > (a > $o) > a > $o)).
thf(cnext, type, next : (loopfunabool > (a > $o) > a > $o)).
thf(cpower, type, power : (((a > $o) > a > $o) > num > (a > $o) > a > $o)).
thf(cisuu_nodeuu_going0, type, isu_nodeu_going0 : (hypermapfunabool > loopfunabool > (a > $o) > (a > $o) > $o)).
thf(cisuu_nodeuu_going, type, isu_nodeu_going : (hypermapa > loopa > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_atom, axiom, ![H:hypermapa,L:loopa,X:a]:((atom @ H @ L @ X) = (gspec @ ^[GENR_PVARR_262:a]:?[Y:a]:(setspec @ GENR_PVARR_262 @ ((isu_nodeu_going @ H @ L @ X @ Y) | (isu_nodeu_going @ H @ L @ Y @ X)) @ Y)))).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermapa,L:loopa,X:a]:(in @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_isu_nodeu_going, axiom, ![H:hypermapfunabool,L:loopfunabool,X:(a > $o),Y:(a > $o)]:((isu_nodeu_going0 @ H @ L @ X @ Y) <=> ?[K:num]:((Y = (power @ (next @ L) @ K @ X)) & ![I:num]:((l_a_ @ I @ K) => ((power @ (next @ L) @ I @ X) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X)))))).
thf(aHypermapo_lemmau_poweru_backu_andu_nextu_outsideu_loop, axiom, ![L:loopa,X:a,M:num]:(~ ((belong @ X @ L)) => (((power0 @ (back @ L) @ M @ X) = X) & ((power0 @ (next0 @ L) @ M @ X) = X)))).
thf(aHypermapo_lemmau_secondu_inverseu_evaluation, axiom, ![L:loopfunabool,X:(a > $o),M:num]:(((power @ (next @ L) @ M @ (power @ (back0 @ L) @ M @ X)) = X) & ((power @ (back0 @ L) @ M @ (power @ (next @ L) @ M @ X)) = X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(a > $o),T:(a > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a]:(~ ((belong @ X @ L)) => ((atom @ H @ L @ X) = (insert @ X @ empty)))).
