%   ORIGINAL: Hypermap.lemma_atom_sub_node
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.atom: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: Hypermap.inverse_power_function: !s p n x y. p permutes s ==> (y = (p POWER n) x <=> x = (inverse p POWER n) y)
% Assm: Hypermap.is_node_going: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: Hypermap.lemma_in_orbit: !f n x. (f POWER n) x IN orbit_map f x
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.node_map_and_darts: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: Hypermap.power_inverse_element_lemma: !s p n. FINITE s /\ p permutes s ==> (?j. inverse p POWER n = p POWER j)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: LE_REFL: !n. n <= n
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !H L x. atom H L x SUBSET node H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: !s p n x y. p permutes s ==> (y = (p POWER n) x <=> x = (inverse p POWER n) y)
% Assm: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: !f n x. (f POWER n) x IN orbit_map f x
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: !s p n. FINITE s /\ p permutes s ==> (?j. inverse p POWER n = p POWER j)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !n. n <= n
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !H L x. atom H L x SUBSET node H x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cisuu_nodeuu_going, type, isu_nodeu_going : (hypermapa > loopa > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_atom, axiom, ![H:hypermapa,L:loopa,X:a]:((atom @ H @ L @ X) = (gspec @ ^[GENR_PVARR_262:a]:?[Y:a]:(setspec @ GENR_PVARR_262 @ ((isu_nodeu_going @ H @ L @ X @ Y) | (isu_nodeu_going @ H @ L @ Y @ X)) @ Y)))).
thf(aHypermapo_inverseu_poweru_function, axiom, ![S:(a > $o),P:(a > a),N:num,X:a,Y:a]:((permutes @ P @ S) => ((Y = (power @ P @ N @ X)) <=> (X = (power @ (inverse @ P) @ N @ Y))))).
thf(aHypermapo_isu_nodeu_going, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:((isu_nodeu_going @ H @ L @ X @ Y) <=> ?[K:num]:((Y = (power @ (next @ L) @ K @ X)) & ![I:num]:((l_a_ @ I @ K) => ((power @ (next @ L) @ I @ X) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X)))))).
thf(aHypermapo_lemmau_inu_orbit, axiom, ![F:(a > a),N:num,X:a]:(in @ (power @ F @ N @ X) @ (orbitu_map @ F @ X))).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_nodeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)))).
thf(aHypermapo_poweru_inverseu_elementu_lemma, axiom, ![S:(a > $o),P:(a > a),N:num]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((power @ (inverse @ P) @ N) = (power @ P @ J)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a]:(subset @ (atom @ H @ L @ X) @ (node @ H @ X))).
