%   ORIGINAL: Hypermap.lemma_atom_sub_dart_set
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_atom_sub_node: !H L x. atom H L x SUBSET node H x
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.node_map_and_darts: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: Hypermap.orbit_subset: !s u. u permutes s ==> (!x. x IN s ==> orbit_map u x SUBSET s)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !H L x. x IN dart H ==> atom H L x SUBSET dart H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L x. atom H L x SUBSET node H x
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: !s u. u permutes s ==> (!x. x IN s ==> orbit_map u x SUBSET s)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !H L x. x IN dart H ==> atom H L x SUBSET dart H
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_atomu_subu_node, axiom, ![H:hypermapa,L:loopa,X:a]:(subset @ (atom @ H @ L @ X) @ (node @ H @ X))).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_nodeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)))).
thf(aHypermapo_orbitu_subset, axiom, ![S:(a > $o),U:(a > a)]:((permutes @ U @ S) => ![X:a]:((in @ X @ S) => (subset @ (orbitu_map @ U @ X) @ S)))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a]:((in @ X @ (dart @ H)) => (subset @ (atom @ H @ L @ X) @ (dart @ H)))).
