%   ORIGINAL: Hypermap.lemma_atom_finite
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: Hypermap.CARD_ATLEAST_1: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: Hypermap.NODE_FINITE: !H x. FINITE (node H x)
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.lemma_atom_sub_node: !H L x. atom H L x SUBSET node H x
% Assm: TRUTH: T
% Goal: !H L x. FINITE (atom H L x) /\ 1 <= CARD (atom H L x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: !H x. FINITE (node H x)
% Assm: !H L x. x IN atom H L x
% Assm: !H L x. atom H L x SUBSET node H x
% Assm: T
% Goal: !H L x. FINITE (atom H L x) /\ 1 <= CARD (atom H L x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aHypermapo_CARDu_ATLEASTu_1, axiom, ![S:(a > $o),X:a]:(((finite @ S) & (in @ X @ S)) => (l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ S)))).
thf(aHypermapo_NODEu_FINITE, axiom, ![H:hypermapa,X:a]:(finite @ (node @ H @ X))).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermapa,L:loopa,X:a]:(in @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_lemmau_atomu_subu_node, axiom, ![H:hypermapa,L:loopa,X:a]:(subset @ (atom @ H @ L @ X) @ (node @ H @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a]:((finite @ (atom @ H @ L @ X)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ (atom @ H @ L @ X))))).
