%   ORIGINAL: Hypermap.lemma_identity_atom
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.atom_sym: !H L x y. y IN atom H L x ==> x IN atom H L y
% Assm: Hypermap.atom_trans: !H L x y z. x IN atom H L y /\ y IN atom H L z ==> x IN atom H L z
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !H L x y. y IN atom H L x ==> atom H L x = atom H L y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L x y. y IN atom H L x ==> x IN atom H L y
% Assm: !H L x y z. x IN atom H L y /\ y IN atom H L z ==> x IN atom H L z
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !H L x y. y IN atom H L x ==> atom H L x = atom H L y
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_atomu_sym, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:((in @ Y @ (atom @ H @ L @ X)) => (in @ X @ (atom @ H @ L @ Y)))).
thf(aHypermapo_atomu_trans, axiom, ![H:hypermapa,L:loopa,X:a,Y:a,Z:a]:(((in @ X @ (atom @ H @ L @ Y)) & (in @ Y @ (atom @ H @ L @ Z))) => (in @ X @ (atom @ H @ L @ Z)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(a > $o),T:(a > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a,Y:a]:((in @ Y @ (atom @ H @ L @ X)) => ((atom @ H @ L @ X) = (atom @ H @ L @ Y)))).
