%   ORIGINAL: Hypermap.lemma_border_of_atom
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.back_and_loop_darts: !L. FINITE (dart_of L) /\ back L permutes dart_of L
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.lemma_atom_absorb_quark: !H L x y. y IN atom H L x /\ next L y = inverse (node_map H) y ==> next L y IN atom H L x
% Assm: Hypermap.lemma_atom_sub_loop: !H L x. belong x L ==> atom H L x SUBSET dart_of L
% Assm: Hypermap.lemma_atom_sub_node: !H L x. atom H L x SUBSET node H x
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: Hypermap.lemma_inverse_on_loop: !L. next L = inverse (back L) /\ back L = inverse (next L)
% Assm: Hypermap.lemma_next_power_representation: !L x y. belong x L /\ belong y L ==> (?k. k <= top L /\ y = (next L POWER k) x)
% Assm: Hypermap.lemma_node_identity: !H x y. y IN node H x ==> node H x = node H y
% Assm: Hypermap.lemma_second_absorb_quark: !H L x y. y IN atom H L x /\ y = inverse (node_map H) (back L y) ==> back L y IN atom H L x
% Assm: Hypermap.power_inverse_element_lemma: !s p n. FINITE s /\ p permutes s ==> (?j. inverse p POWER n = p POWER j)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H L. ?h t. !x. belong x L /\ (?y z. belong y L /\ belong z L /\ ~(node H y = node H z)) ==> h x IN atom H L x /\ t x IN atom H L x /\ ~(next L (h x) = inverse (node_map H) (h x)) /\ ~(t x = inverse (node_map H) (back L (t x)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. f POWER 0 = I
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !H L x. x IN atom H L x
% Assm: !L. FINITE (dart_of L) /\ back L permutes dart_of L
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H L x y. y IN atom H L x /\ next L y = inverse (node_map H) y ==> next L y IN atom H L x
% Assm: !H L x. belong x L ==> atom H L x SUBSET dart_of L
% Assm: !H L x. atom H L x SUBSET node H x
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !L. next L = inverse (back L) /\ back L = inverse (next L)
% Assm: !L x y. belong x L /\ belong y L ==> (?k. k <= top L /\ y = (next L POWER k) x)
% Assm: !H x y. y IN node H x ==> node H x = node H y
% Assm: !H L x y. y IN atom H L x /\ y = inverse (node_map H) (back L y) ==> back L y IN atom H L x
% Assm: !s p n. FINITE s /\ p permutes s ==> (?j. inverse p POWER n = p POWER j)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H L. ?h t. !x. belong x L /\ (?y z. belong y L /\ belong z L /\ ~(node H y = node H z)) ==> h x IN atom H L x /\ t x IN atom H L x /\ ~(next L (h x) = inverse (node_map H) (h x)) /\ ~(t x = inverse (node_map H) (back L (t x)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(ci0, type, i0 : ((a > $o) > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(co1, type, o1 : ((b > a) > (a > b) > a > a)).
thf(co0, type, o0 : ((b > a > $o) > (a > b) > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(ctop, type, top : (loopa > num)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermapa,L:loopa,X:a]:(in @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_backu_andu_loopu_darts, axiom, ![L:loopa]:((finite @ (dartu_of @ L)) & (permutes @ (back @ L) @ (dartu_of @ L)))).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_lemmau_atomu_absorbu_quark, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:(((in @ Y @ (atom @ H @ L @ X)) & ((next @ L @ Y) = (inverse @ (nodeu_map @ H) @ Y))) => (in @ (next @ L @ Y) @ (atom @ H @ L @ X)))).
thf(aHypermapo_lemmau_atomu_subu_loop, axiom, ![H:hypermapa,L:loopa,X:a]:((belong @ X @ L) => (subset @ (atom @ H @ L @ X) @ (dartu_of @ L)))).
thf(aHypermapo_lemmau_atomu_subu_node, axiom, ![H:hypermapa,L:loopa,X:a]:(subset @ (atom @ H @ L @ X) @ (node @ H @ X))).
thf(aHypermapo_lemmau_inu_subset, axiom, ![S:(a > $o),T:(a > $o),X:a]:(((subset @ S @ T) & (in @ X @ S)) => (in @ X @ T))).
thf(aHypermapo_lemmau_inverseu_onu_loop, axiom, ![L:loopa]:(((next @ L) = (inverse @ (back @ L))) & ((back @ L) = (inverse @ (next @ L))))).
thf(aHypermapo_lemmau_nextu_poweru_representation, axiom, ![L:loopa,X:a,Y:a]:(((belong @ X @ L) & (belong @ Y @ L)) => ?[K:num]:((l_a_ @ K @ (top @ L)) & (Y = (power @ (next @ L) @ K @ X))))).
thf(aHypermapo_lemmau_nodeu_identity, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (node @ H @ X)) => ((node @ H @ X) = (node @ H @ Y)))).
thf(aHypermapo_lemmau_secondu_absorbu_quark, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:(((in @ Y @ (atom @ H @ L @ X)) & (Y = (inverse @ (nodeu_map @ H) @ (back @ L @ Y)))) => (in @ (back @ L @ Y) @ (atom @ H @ L @ X)))).
thf(aHypermapo_poweru_inverseu_elementu_lemma, axiom, ![S:(a > $o),P:(a > a),N:num]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((power @ (inverse @ P) @ N) = (power @ P @ J)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(a > $o)]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(a > $o),T:(a > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > a > $o),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > a),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa]:?[H0:(a > a),T:(a > a)]:![X:a]:(((belong @ X @ L) & ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) => ((in @ (H0 @ X) @ (atom @ H @ L @ X)) & (in @ (T @ X) @ (atom @ H @ L @ X)) & ~ (((next @ L @ (H0 @ X)) = (inverse @ (nodeu_map @ H) @ (H0 @ X)))) & ~ (((T @ X) = (inverse @ (nodeu_map @ H) @ (back @ L @ (T @ X)))))))).
