%   ORIGINAL: Hypermap.lemma_in_dart
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.lemm_nornal_loop_sub_dart: !H NF L. is_normal H NF /\ L IN NF ==> dart_of L SUBSET dart H
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: TRUTH: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> x IN dart H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H NF L. is_normal H NF /\ L IN NF ==> dart_of L SUBSET dart H
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> x IN dart H
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((loopa > $o) > (loopa > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in0 @ X @ (dartu_of @ L)))).
thf(aHypermapo_lemmu_nornalu_loopu_subu_dart, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_normal @ H @ NF) & (in @ L @ NF)) => (subset @ (dartu_of @ L) @ (dart @ H)))).
thf(aHypermapo_lemmau_inu_subsetu_monomorphized1, axiom, ![S:(loopa > $o),T:(loopa > $o),X:loopa]:(((subset0 @ S @ T) & (in @ X @ S)) => (in @ X @ T))).
thf(aHypermapo_lemmau_inu_subsetu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o),X:a]:(((subset @ S @ T) & (in0 @ X @ S)) => (in0 @ X @ T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (in0 @ X @ (dart @ H)))).
