%   ORIGINAL: Hypermap.lemma_support_and_atoms
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.lemma_atom_sub_loop: !H L x. belong x L ==> atom H L x SUBSET dart_of L
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: Hypermap.quotient_darts: !H NF. quotient_darts H NF = {atom H L x | L IN NF /\ belong x L}
% Assm: Hypermap.support_darts: !NF. support_darts NF = UNIONS {dart_of L | L IN NF}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !H NF. is_normal H NF ==> support_darts NF = UNIONS (quotient_darts H NF)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L x. x IN atom H L x
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H L x. belong x L ==> atom H L x SUBSET dart_of L
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !H NF. quotient_darts H NF = {atom H L x | L IN NF /\ belong x L}
% Assm: !NF. support_darts NF = UNIONS {dart_of L | L IN NF}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !H NF. is_normal H NF ==> support_darts NF = UNIONS (quotient_darts H NF)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tq1111427, type, q1111427 : $tType).
%  CONSTS
thf(cin2, type, in2 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cin1, type, in1 : (loopa > (loopa > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (q1111427 > (q1111427 > $o) > $o)).
thf(csubset0, type, subset0 : ((q1111427 > $o) > (q1111427 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermapa,L:loopa,X:a]:(in @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_lemmau_atomu_subu_loop, axiom, ![H:hypermapa,L:loopa,X:a]:((belong @ X @ L) => (subset @ (atom @ H @ L @ X) @ (dartu_of @ L)))).
thf(aHypermapo_lemmau_inu_subset, axiom, ![S:(q1111427 > $o),T:(q1111427 > $o),X:q1111427]:(((subset0 @ S @ T) & (in0 @ X @ S)) => (in0 @ X @ T))).
thf(aHypermapo_quotientu_darts, axiom, ![H:hypermapa,NF:(loopa > $o)]:((quotientu_darts @ H @ NF) = (gspec @ ^[GENR_PVARR_263:(a > $o)]:?[L:loopa,X:a]:(setspec @ GENR_PVARR_263 @ ((in1 @ L @ NF) & (belong @ X @ L)) @ (atom @ H @ L @ X))))).
thf(aHypermapo_supportu_darts, axiom, ![NF:(loopa > $o)]:((supportu_darts @ NF) = (unions @ (gspec @ ^[GENR_PVARR_264:(a > $o)]:?[L:loopa]:(setspec @ GENR_PVARR_264 @ (in1 @ L @ NF) @ (dartu_of @ L)))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in2 @ X @ (gspec @ ^[V:(a > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in2 @ T @ S) & (in @ X @ T)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(a > $o),T:(a > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => ((supportu_darts @ NF) = (unions @ (quotientu_darts @ H @ NF))))).
