%   ORIGINAL: Hypermap.lemma_finite_support
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.lemm_nornal_loop_sub_dart: !H NF L. is_normal H NF /\ L IN NF ==> dart_of L SUBSET dart H
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: Hypermap.support_darts: !NF. support_darts NF = UNIONS {dart_of L | L IN NF}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !H NF. is_normal H NF ==> support_darts NF SUBSET dart H /\ FINITE (support_darts NF)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H NF L. is_normal H NF /\ L IN NF ==> dart_of L SUBSET dart H
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !NF. support_darts NF = UNIONS {dart_of L | L IN NF}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !H NF. is_normal H NF ==> support_darts NF SUBSET dart H /\ FINITE (support_darts NF)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tq43820, type, q43820 : $tType).
%  CONSTS
thf(cin2, type, in2 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q43820 > $o) > q43820 > $o)).
thf(cin1, type, in1 : (q43820 > (q43820 > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(csetspec0, type, setspec0 : (q43820 > $o > q43820 > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_lemmu_nornalu_loopu_subu_dart, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_normal @ H @ NF) & (in @ L @ NF)) => (subset @ (dartu_of @ L) @ (dart @ H)))).
thf(aHypermapo_lemmau_inu_subset, axiom, ![S:(a > $o),T:(a > $o),X:a]:(((subset @ S @ T) & (in0 @ X @ S)) => (in0 @ X @ T))).
thf(aHypermapo_supportu_darts, axiom, ![NF:(loopa > $o)]:((supportu_darts @ NF) = (unions @ (gspec @ ^[GENR_PVARR_264:(a > $o)]:?[L:loopa]:(setspec @ GENR_PVARR_264 @ (in @ L @ NF) @ (dartu_of @ L)))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in1 @ X @ (gspec0 @ ^[V:q43820]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in0 @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in2 @ T @ S) & (in0 @ X @ T)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => ((subset @ (supportu_darts @ NF) @ (dart @ H)) & (finite @ (supportu_darts @ NF))))).
