%   ORIGINAL: Hypermap.lemma_in_support2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.support_darts: !NF. support_darts NF = UNIONS {dart_of L | L IN NF}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !NF. support_darts NF = UNIONS {dart_of L | L IN NF}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cin2, type, in2 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cin1, type, in1 : ((loopa > $o) > ((loopa > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((loopa > $o) > $o) > loopa > $o)).
thf(cgspec1, type, gspec1 : ((a > $o) > a > $o)).
thf(cgspec0, type, gspec0 : ((loopa > $o) > loopa > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(csetspec1, type, setspec1 : (a > $o > a > $o)).
thf(csetspec0, type, setspec0 : (loopa > $o > loopa > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in0 @ X @ (dartu_of @ L)))).
thf(aHypermapo_supportu_darts, axiom, ![NF:(loopa > $o)]:((supportu_darts @ NF) = (unions @ (gspec @ ^[GENR_PVARR_264:(a > $o)]:?[L:loopa]:(setspec @ GENR_PVARR_264 @ (in @ L @ NF) @ (dartu_of @ L)))))).
thf(aINu_monomorphized1, axiom, ![P:(loopa > $o),X:loopa]:((in @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > loopa > $o) > $o),X:loopa]:((in @ X @ (gspec0 @ ^[V:loopa]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:loopa]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in0 @ X @ (gspec1 @ ^[V:a]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_UNIONSu_monomorphized1, axiom, ![S:((loopa > $o) > $o),X:loopa]:((in @ X @ (unions0 @ S)) <=> ?[T:(loopa > $o)]:((in1 @ T @ S) & (in @ X @ T)))).
thf(aINu_UNIONSu_monomorphized0, axiom, ![S:((a > $o) > $o),X:a]:((in0 @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in2 @ T @ S) & (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NF:(loopa > $o),L:loopa,X:a]:(((belong @ X @ L) & (in @ L @ NF)) => (in0 @ X @ (supportu_darts @ NF)))).
