%   ORIGINAL: Hypermap.lemma_loop_outside_node
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: Hypermap.lemma_node_identity: !H x y. y IN node H x ==> node H x = node H y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF ==> ~(dart_of L SUBSET node H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !H x y. y IN node H x ==> node H x = node H y
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF ==> ~(dart_of L SUBSET node H x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tlooploopa, type, looploopa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cbelong0, type, belong0 : (a > loopa > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cdartuu_of0, type, dartu_of0 : (looploopa > loopa > $o)).
thf(cbelong, type, belong : (loopa > looploopa > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnode0, type, node0 : (hypermaploopa > loopa > loopa > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_belong, axiom, ![L:looploopa,X:loopa]:((belong @ X @ L) <=> (in @ X @ (dartu_of0 @ L)))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart @ H)) & (belong0 @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong0 @ Y @ L) & (belong0 @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong0 @ X @ L) & (belong0 @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong0 @ X @ L) & (in0 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong0 @ Y @ LI_)))))).
thf(aHypermapo_lemmau_inu_subset, axiom, ![S:(a > $o),T:(a > $o),X:a]:(((subset @ S @ T) & (in0 @ X @ S)) => (in0 @ X @ T))).
thf(aHypermapo_lemmau_nodeu_identity, axiom, ![H:hypermaploopa,X:loopa,Y:loopa]:((in @ Y @ (node0 @ H @ X)) => ((node0 @ H @ X) = (node0 @ H @ Y)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF)) => ~ ((subset @ (dartu_of @ L) @ (node @ H @ X))))).
