%   ORIGINAL: Hypermap.lemma_size_of_normal_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.CARD_ATLEAST_2: !s x y. FINITE s /\ x IN s /\ y IN s /\ ~(x = y) ==> 2 <= CARD s
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.loop_lemma: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: Hypermap.size: !L. size L = CARD (dart_of L)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF L. is_normal H NF /\ L IN NF ==> 2 <= size L
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x y. FINITE s /\ x IN s /\ y IN s /\ ~(x = y) ==> 2 <= CARD s
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: !L. size L = CARD (dart_of L)
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF L. is_normal H NF /\ L IN NF ==> 2 <= size L
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tlooploopa, type, looploopa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdartuu_of0, type, dartu_of0 : (loopa > a > $o)).
thf(cbelong0, type, belong0 : (a > loopa > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cdartuu_of, type, dartu_of : (looploopa > loopa > $o)).
thf(cbelong, type, belong : (loopa > looploopa > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((loopa > $o) > $o)).
thf(csize, type, size : (loopa > num)).
thf(ccard0, type, card0 : ((a > $o) > num)).
thf(ccard, type, card : ((loopa > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_CARDu_ATLEASTu_2, axiom, ![S:(loopa > $o),X:loopa,Y:loopa]:(((finite @ S) & (in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (card @ S)))).
thf(aHypermapo_belong, axiom, ![L:looploopa,X:loopa]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart @ H)) & (belong0 @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong0 @ Y @ L) & (belong0 @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong0 @ X @ L) & (belong0 @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong0 @ X @ L) & (in0 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong0 @ Y @ LI_)))))).
thf(aHypermapo_loopu_lemma, axiom, ![L:loopa]:((finite0 @ (dartu_of0 @ L)) & (permutes @ (next @ L) @ (dartu_of0 @ L)) & ?[X:a]:((belong0 @ X @ L) & ((orbitu_map @ (next @ L) @ X) = (dartu_of0 @ L))))).
thf(aHypermapo_size, axiom, ![L:loopa]:((size @ L) = (card0 @ (dartu_of0 @ L)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_normal @ H @ NF) & (in @ L @ NF)) => (l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (size @ L)))).
