%   ORIGINAL: Hypermap.lemma_choice_function
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.lemma_identity_atom: !H L x y. y IN atom H L x ==> atom H L x = atom H L y
% Assm: Hypermap.lemma_in_loop: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: Hypermap.lemma_support_and_atoms: !H NF. is_normal H NF ==> support_darts NF = UNIONS (quotient_darts H NF)
% Assm: Hypermap.quotient_darts: !H NF. quotient_darts H NF = {atom H L x | L IN NF /\ belong x L}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF. ?choice_function. !x. is_normal H NF ==> (~(x IN support_darts NF) ==> choice_function x = {x}) /\ (x IN support_darts NF ==> (?L. L IN NF /\ belong x L /\ choice_function x = atom H L x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H L x y. y IN atom H L x ==> atom H L x = atom H L y
% Assm: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: !H NF. is_normal H NF ==> support_darts NF = UNIONS (quotient_darts H NF)
% Assm: !H NF. quotient_darts H NF = {atom H L x | L IN NF /\ belong x L}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF. ?choice_function. !x. is_normal H NF ==> (~(x IN support_darts NF) ==> choice_function x = {x}) /\ (x IN support_darts NF ==> (?L. L IN NF /\ belong x L /\ choice_function x = atom H L x))
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cin2, type, in2 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cin1, type, in1 : ((loopa > $o) > ((loopa > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((loopa > $o) > $o) > loopa > $o)).
thf(cgspec1, type, gspec1 : ((a > $o) > a > $o)).
thf(cgspec0, type, gspec0 : ((loopa > $o) > loopa > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin0, type, in0 : (loopa > (loopa > $o) > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(csetspec1, type, setspec1 : (a > $o > a > $o)).
thf(csetspec0, type, setspec0 : (loopa > $o > loopa > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in0 @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in0 @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in0 @ L @ NF) & (in0 @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in0 @ L @ NF) & (belong @ X @ L) & (in @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in0 @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_lemmau_identityu_atom, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:((in @ Y @ (atom @ H @ L @ X)) => ((atom @ H @ L @ X) = (atom @ H @ L @ Y)))).
thf(aHypermapo_lemmau_inu_loop, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:(((belong @ X @ L) & (in @ Y @ (atom @ H @ L @ X))) => (belong @ Y @ L))).
thf(aHypermapo_lemmau_supportu_andu_atoms, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => ((supportu_darts @ NF) = (unions @ (quotientu_darts @ H @ NF))))).
thf(aHypermapo_quotientu_darts, axiom, ![H:hypermapa,NF:(loopa > $o)]:((quotientu_darts @ H @ NF) = (gspec @ ^[GENR_PVARR_263:(a > $o)]:?[L:loopa,X:a]:(setspec @ GENR_PVARR_263 @ ((in0 @ L @ NF) & (belong @ X @ L)) @ (atom @ H @ L @ X))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > loopa > $o) > $o),X:loopa]:((in0 @ X @ (gspec0 @ ^[V:loopa]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:loopa]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec1 @ ^[V:a]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_UNIONSu_monomorphized1, axiom, ![S:((loopa > $o) > $o),X:loopa]:((in0 @ X @ (unions0 @ S)) <=> ?[T:(loopa > $o)]:((in1 @ T @ S) & (in0 @ X @ T)))).
thf(aINu_UNIONSu_monomorphized0, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in2 @ T @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o)]:?[CHOICEU_FUNCTION:(a > a > $o)]:![X:a]:((isu_normal @ H @ NF) => ((~ ((in @ X @ (supportu_darts @ NF))) => ((CHOICEU_FUNCTION @ X) = (insert @ X @ empty))) & ((in @ X @ (supportu_darts @ NF)) => ?[L:loopa]:((in0 @ L @ NF) & (belong @ X @ L) & ((CHOICEU_FUNCTION @ X) = (atom @ H @ L @ X))))))).
