%   ORIGINAL: Hypermap.lemma_finite_normal_loops
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_IMAGE_LE: !f s. FINITE s ==> CARD (IMAGE f s) <= CARD s
% Assm: CARD_SUBSET: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: Hypermap.disjoint_loops: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L'
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.lemma_finite_support: !H NF. is_normal H NF ==> support_darts NF SUBSET dart H /\ FINITE (support_darts NF)
% Assm: Hypermap.lemma_in_support: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: Hypermap.lemma_in_support2: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: TRUTH: T
% Goal: !H NF. is_normal H NF ==> FINITE NF /\ CARD NF <= CARD (dart H)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. FINITE s ==> CARD (IMAGE f s) <= CARD s
% Assm: !f s. FINITE s ==> CARD (IMAGE f s) <= CARD s
% Assm: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L'
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H NF. is_normal H NF ==> support_darts NF SUBSET dart H /\ FINITE (support_darts NF)
% Assm: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: T
% Goal: !H NF. is_normal H NF ==> FINITE NF /\ CARD NF <= CARD (dart H)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(ci, type, i : (loopa > loopa)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec, type, gspec : ((b > $o) > b > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cpermutes, type, permutes : ((loopa > loopa) > (loopa > $o) > $o)).
thf(cdart0, type, dart0 : (hypermaploopa > loopa > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin0, type, in0 : (loopa > (loopa > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((loopa > $o) > (loopa > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (b > $o > b > $o)).
thf(cimage1, type, image1 : ((a > b) > (a > $o) > b > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(co, type, o : ((loopa > loopa) > (loopa > loopa) > loopa > loopa)).
thf(cfaceuu_map, type, faceu_map : (hypermaploopa > loopa > loopa)).
thf(cnodeuu_map, type, nodeu_map : (hypermaploopa > loopa > loopa)).
thf(cedgeuu_map, type, edgeu_map : (hypermaploopa > loopa > loopa)).
thf(cimage0, type, image0 : ((loopa > a) > (loopa > $o) > a > $o)).
thf(cimage, type, image : ((loopa > loopa) > (loopa > $o) > loopa > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((loopa > $o) > $o)).
thf(ccard0, type, card0 : ((a > $o) > num)).
thf(ccard, type, card : ((loopa > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_IMAGEu_LEu_monomorphized1, axiom, ![F:(loopa > loopa),S:(loopa > $o)]:((finite @ S) => (l_a_ @ (card @ (image @ F @ S)) @ (card @ S)))).
thf(aCARDu_IMAGEu_LEu_monomorphized0, axiom, ![F:(loopa > a),S:(loopa > $o)]:((finite @ S) => (l_a_ @ (card0 @ (image0 @ F @ S)) @ (card @ S)))).
thf(aCARDu_SUBSET, axiom, ![A:(loopa > $o),B:(loopa > $o)]:(((subset @ A @ B) & (finite @ B)) => (l_a_ @ (card @ A) @ (card @ B)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(loopa > loopa),S:(loopa > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aHypermapo_disjointu_loops, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,LI_:loopa,X:a]:(((isu_normal @ H @ NF) & (in0 @ L @ NF) & (in0 @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermaploopa]:((finite @ (dart0 @ H)) & (permutes @ (edgeu_map @ H) @ (dart0 @ H)) & (permutes @ (nodeu_map @ H) @ (dart0 @ H)) & (permutes @ (faceu_map @ H) @ (dart0 @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in0 @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in0 @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in0 @ L @ NF) & (in0 @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in0 @ L @ NF) & (belong @ X @ L) & (in @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in0 @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_lemmau_finiteu_support, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => ((subset0 @ (supportu_darts @ NF) @ (dart @ H)) & (finite0 @ (supportu_darts @ NF))))).
thf(aHypermapo_lemmau_inu_support, axiom, ![NF:(loopa > $o),X:a]:((in @ X @ (supportu_darts @ NF)) <=> ?[L:loopa]:((in0 @ L @ NF) & (belong @ X @ L)))).
thf(aHypermapo_lemmau_inu_support2, axiom, ![NF:(loopa > $o),L:loopa,X:a]:(((belong @ X @ L) & (in0 @ L @ NF)) => (in @ X @ (supportu_darts @ NF)))).
thf(aIMAGE, axiom, ![S:(a > $o),F:(a > b)]:((image1 @ F @ S) = (gspec @ ^[GENR_PVARR_7:b]:?[Y:b]:(setspec @ GENR_PVARR_7 @ ?[X:a]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => ((finite @ NF) & (l_a_ @ (card @ NF) @ (card0 @ (dart @ H)))))).
