%   ORIGINAL: Hypermap.lemma_border_of_atom2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.lemma_border_of_atom: !H L. ?h t. !x. belong x L /\ (?y z. belong y L /\ belong z L /\ ~(node H y = node H z)) ==> h x IN atom H L x /\ t x IN atom H L x /\ ~(next L (h x) = inverse (node_map H) (h x)) /\ ~(t x = inverse (node_map H) (back L (t x)))
% Assm: Hypermap.lemma_in_support: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF. ?h t. !x. is_normal H NF ==> (~(x IN support_darts NF) ==> h x = x /\ t x = x) /\ (x IN support_darts NF ==> (?L. L IN NF /\ belong x L /\ h x IN atom H L x /\ ~(next L (h x) = inverse (node_map H) (h x)) /\ t x IN atom H L x /\ ~(t x = inverse (node_map H) (back L (t x)))))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H L. ?h t. !x. belong x L /\ (?y z. belong y L /\ belong z L /\ ~(node H y = node H z)) ==> h x IN atom H L x /\ t x IN atom H L x /\ ~(next L (h x) = inverse (node_map H) (h x)) /\ ~(t x = inverse (node_map H) (back L (t x)))
% Assm: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF. ?h t. !x. is_normal H NF ==> (~(x IN support_darts NF) ==> h x = x /\ t x = x) /\ (x IN support_darts NF ==> (?L. L IN NF /\ belong x L /\ h x IN atom H L x /\ ~(next L (h x) = inverse (node_map H) (h x)) /\ t x IN atom H L x /\ ~(t x = inverse (node_map H) (back L (t x)))))
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin0, type, in0 : (loopa > (loopa > $o) > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in0 @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in0 @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in0 @ L @ NF) & (in0 @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in0 @ L @ NF) & (belong @ X @ L) & (in @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in0 @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_lemmau_borderu_ofu_atom, axiom, ![H:hypermapa,L:loopa]:?[H0:(a > a),T:(a > a)]:![X:a]:(((belong @ X @ L) & ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) => ((in @ (H0 @ X) @ (atom @ H @ L @ X)) & (in @ (T @ X) @ (atom @ H @ L @ X)) & ~ (((next @ L @ (H0 @ X)) = (inverse @ (nodeu_map @ H) @ (H0 @ X)))) & ~ (((T @ X) = (inverse @ (nodeu_map @ H) @ (back @ L @ (T @ X)))))))).
thf(aHypermapo_lemmau_inu_support, axiom, ![NF:(loopa > $o),X:a]:((in @ X @ (supportu_darts @ NF)) <=> ?[L:loopa]:((in0 @ L @ NF) & (belong @ X @ L)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o)]:?[H0:(a > a),T:(a > a)]:![X:a]:((isu_normal @ H @ NF) => ((~ ((in @ X @ (supportu_darts @ NF))) => (((H0 @ X) = X) & ((T @ X) = X))) & ((in @ X @ (supportu_darts @ NF)) => ?[L:loopa]:((in0 @ L @ NF) & (belong @ X @ L) & (in @ (H0 @ X) @ (atom @ H @ L @ X)) & ~ (((next @ L @ (H0 @ X)) = (inverse @ (nodeu_map @ H) @ (H0 @ X)))) & (in @ (T @ X) @ (atom @ H @ L @ X)) & ~ (((T @ X) = (inverse @ (nodeu_map @ H) @ (back @ L @ (T @ X)))))))))).
