%   ORIGINAL: Hypermap.lemma_unique_head
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.LT0_LE1: !n. 0 < n <=> 1 <= n
% Assm: Hypermap.atom: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: Hypermap.is_node_going: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.lemma_head_tail: !H NF x. is_normal H NF ==> (~(x IN support_darts NF) ==> head H NF x = x /\ tail H NF x = x) /\ (x IN support_darts NF ==> (?L. L IN NF /\ belong x L /\ head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x)) /\ tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))))
% Assm: Hypermap.lemma_identity_atom: !H L x y. y IN atom H L x ==> atom H L x = atom H L y
% Assm: Hypermap.lemma_in_support2: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: TRUTH: T
% Goal: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(next L y = inverse (node_map H) y) ==> head H NF x = y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 1 = f
% Assm: !f. f POWER 0 = I
% Assm: !n. 0 < n <=> 1 <= n
% Assm: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H NF x. is_normal H NF ==> (~(x IN support_darts NF) ==> head H NF x = x /\ tail H NF x = x) /\ (x IN support_darts NF ==> (?L. L IN NF /\ belong x L /\ head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x)) /\ tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))))
% Assm: !H L x y. y IN atom H L x ==> atom H L x = atom H L y
% Assm: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: T
% Goal: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(next L y = inverse (node_map H) y) ==> head H NF x = y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((loopa > $o) > loopa > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(csetspec0, type, setspec0 : (loopa > $o > loopa > $o)).
thf(ctail, type, tail : (hypermapa > (loopa > $o) > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cisuu_nodeuu_going, type, isu_nodeu_going : (hypermapa > loopa > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_LT0u_LE1, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> (l_a_ @ (numeral @ (bit1 @ u_0)) @ N))).
thf(aHypermapo_atom, axiom, ![H:hypermapa,L:loopa,X:a]:((atom @ H @ L @ X) = (gspec @ ^[GENR_PVARR_262:a]:?[Y:a]:(setspec @ GENR_PVARR_262 @ ((isu_nodeu_going @ H @ L @ X @ Y) | (isu_nodeu_going @ H @ L @ Y @ X)) @ Y)))).
thf(aHypermapo_isu_nodeu_going, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:((isu_nodeu_going @ H @ L @ X @ Y) <=> ?[K:num]:((Y = (power @ (next @ L) @ K @ X)) & ![I:num]:((l_a_ @ I @ K) => ((power @ (next @ L) @ I @ X) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X)))))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_lemmau_headu_tail, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:((isu_normal @ H @ NF) => ((~ ((in0 @ X @ (supportu_darts @ NF))) => (((head @ H @ NF @ X) = X) & ((tail @ H @ NF @ X) = X))) & ((in0 @ X @ (supportu_darts @ NF)) => ?[L:loopa]:((in @ L @ NF) & (belong @ X @ L) & (in0 @ (head @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((next @ L @ (head @ H @ NF @ X)) = (inverse @ (nodeu_map @ H) @ (head @ H @ NF @ X)))) & (in0 @ (tail @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((tail @ H @ NF @ X) = (inverse @ (nodeu_map @ H) @ (back @ L @ (tail @ H @ NF @ X)))))))))).
thf(aHypermapo_lemmau_identityu_atom, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:((in0 @ Y @ (atom @ H @ L @ X)) => ((atom @ H @ L @ X) = (atom @ H @ L @ Y)))).
thf(aHypermapo_lemmau_inu_support2, axiom, ![NF:(loopa > $o),L:loopa,X:a]:(((belong @ X @ L) & (in @ L @ NF)) => (in0 @ X @ (supportu_darts @ NF)))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:(loopa > $o),X:loopa]:((in @ X @ (gspec0 @ ^[V:loopa]:?[Y:loopa]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(a > $o),X:a]:((in0 @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X)) & ~ (((next @ L @ Y) = (inverse @ (nodeu_map @ H) @ Y)))) => ((head @ H @ NF @ X) = Y))).
