%   ORIGINAL: Hypermap.change_parameters
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.head_on_loop: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: Hypermap.lemma_identity_atom: !H L x y. y IN atom H L x ==> atom H L x = atom H L y
% Assm: Hypermap.lemma_in_loop: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: Hypermap.lemma_unique_head: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(next L y = inverse (node_map H) y) ==> head H NF x = y
% Assm: Hypermap.lemma_unique_tail: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(y = inverse (node_map H) (back L y)) ==> tail H NF x = y
% Assm: Hypermap.tail_on_loop: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> head H NF y = head H NF x /\ tail H NF y = tail H NF x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: !H L x y. y IN atom H L x ==> atom H L x = atom H L y
% Assm: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(next L y = inverse (node_map H) y) ==> head H NF x = y
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(y = inverse (node_map H) (back L y)) ==> tail H NF x = y
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> head H NF y = head H NF x /\ tail H NF y = tail H NF x
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(ctail, type, tail : (hypermapa > (loopa > $o) > a > a)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_headu_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((in0 @ (head @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((next @ L @ (head @ H @ NF @ X)) = (inverse @ (nodeu_map @ H) @ (head @ H @ NF @ X))))))).
thf(aHypermapo_lemmau_identityu_atom, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:((in0 @ Y @ (atom @ H @ L @ X)) => ((atom @ H @ L @ X) = (atom @ H @ L @ Y)))).
thf(aHypermapo_lemmau_inu_loop, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:(((belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => (belong @ Y @ L))).
thf(aHypermapo_lemmau_uniqueu_head, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X)) & ~ (((next @ L @ Y) = (inverse @ (nodeu_map @ H) @ Y)))) => ((head @ H @ NF @ X) = Y))).
thf(aHypermapo_lemmau_uniqueu_tail, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X)) & ~ ((Y = (inverse @ (nodeu_map @ H) @ (back @ L @ Y))))) => ((tail @ H @ NF @ X) = Y))).
thf(aHypermapo_tailu_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((in0 @ (tail @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((tail @ H @ NF @ X) = (inverse @ (nodeu_map @ H) @ (back @ L @ (tail @ H @ NF @ X)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => (((head @ H @ NF @ Y) = (head @ H @ NF @ X)) & ((tail @ H @ NF @ Y) = (tail @ H @ NF @ X))))).
