%   ORIGINAL: Hypermap.add_steps_in_atom
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.COM_POWER_FUNCTION: !f x n. f ((f POWER n) x) = (f POWER SUC n) x
% Assm: Hypermap.LE_PLUS: !n. n <= SUC n
% Assm: Hypermap.add_steps: !L x y z. belong x L /\ belong y L /\ belong z L /\ index L x y <= index L x z ==> index L x y + index L y z = index L x z
% Assm: Hypermap.from_tail: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> (!i. i <= index L (tail H NF x) y ==> (next L POWER i) (tail H NF x) = (inverse (node_map H) POWER i) (tail H NF x))
% Assm: Hypermap.head_on_loop: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: Hypermap.lemma_in_loop: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: Hypermap.lemma_loop_index: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: Hypermap.margin_in_loop: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> belong (head H NF x) L /\ belong (tail H NF x) L
% Assm: LE_SUC_LT: !m n. SUC m <= n <=> m < n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Goal: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> index L (tail H NF x) y + index L y (head H NF x) = index L (tail H NF x) (head H NF x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f x n. f ((f POWER n) x) = (f POWER SUC n) x
% Assm: !n. n <= SUC n
% Assm: !L x y z. belong x L /\ belong y L /\ belong z L /\ index L x y <= index L x z ==> index L x y + index L y z = index L x z
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> (!i. i <= index L (tail H NF x) y ==> (next L POWER i) (tail H NF x) = (inverse (node_map H) POWER i) (tail H NF x))
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> belong (head H NF x) L /\ belong (tail H NF x) L
% Assm: !m n. SUC m <= n <=> m < n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Goal: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> index L (tail H NF x) y + index L y (head H NF x) = index L (tail H NF x) (head H NF x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cpower0, type, power0 : ((a > a) > num > a > a)).
thf(cpower, type, power : ((num > num) > num > num > num)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(ctail, type, tail : (hypermapa > (loopa > $o) > a > a)).
thf(cindex, type, index : (loopa > a > a > num)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(ctop, type, top : (loopa > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_COMu_POWERu_FUNCTION, axiom, ![F:(num > num),X:num,N:num]:((F @ (power @ F @ N @ X)) = (power @ F @ (suc @ N) @ X))).
thf(aHypermapo_LEu_PLUS, axiom, ![N:num]:(l_a_ @ N @ (suc @ N))).
thf(aHypermapo_addu_steps, axiom, ![L:loopa,X:a,Y:a,Z:a]:(((belong @ X @ L) & (belong @ Y @ L) & (belong @ Z @ L) & (l_a_ @ (index @ L @ X @ Y) @ (index @ L @ X @ Z))) => ((p_ @ (index @ L @ X @ Y) @ (index @ L @ Y @ Z)) = (index @ L @ X @ Z)))).
thf(aHypermapo_fromu_tail, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => ![I:num]:((l_a_ @ I @ (index @ L @ (tail @ H @ NF @ X) @ Y)) => ((power0 @ (next @ L) @ I @ (tail @ H @ NF @ X)) = (power0 @ (inverse @ (nodeu_map @ H)) @ I @ (tail @ H @ NF @ X)))))).
thf(aHypermapo_headu_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((in0 @ (head @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((next @ L @ (head @ H @ NF @ X)) = (inverse @ (nodeu_map @ H) @ (head @ H @ NF @ X))))))).
thf(aHypermapo_lemmau_inu_loop, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:(((belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => (belong @ Y @ L))).
thf(aHypermapo_lemmau_loopu_index, axiom, ![L:loopa,X:a,Y:a]:(((belong @ X @ L) & (belong @ Y @ L)) => ((l_a_ @ (index @ L @ X @ Y) @ (top @ L)) & (Y = (power0 @ (next @ L) @ (index @ L @ X @ Y) @ X))))).
thf(aHypermapo_marginu_inu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((belong @ (head @ H @ NF @ X) @ L) & (belong @ (tail @ H @ NF @ X) @ L)))).
thf(aLEu_SUCu_LT, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ N) <=> (l_ @ M @ N))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => ((p_ @ (index @ L @ (tail @ H @ NF @ X) @ Y) @ (index @ L @ Y @ (head @ H @ NF @ X))) = (index @ L @ (tail @ H @ NF @ X) @ (head @ H @ NF @ X))))).
