%   ORIGINAL: Hypermap.lemma_in_atom
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.atom: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.is_node_going: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: Hypermap.lemma_power_back_and_next_outside_loop: !L x m. ~belong x L ==> (back L POWER m) x = x /\ (next L POWER m) x = x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Goal: !H L x m. is_loop H L /\ (!i. i <= m ==> (next L POWER i) x = (inverse (node_map H) POWER i) x) ==> (next L POWER m) x IN atom H L x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L x. atom H L x = {y | is_node_going H L x y \/ is_node_going H L y x}
% Assm: !H L x. x IN atom H L x
% Assm: !H L x y. is_node_going H L x y <=> (?k. y = (next L POWER k) x /\ (!i. i <= k ==> (next L POWER i) x = (inverse (node_map H) POWER i) x))
% Assm: !L x m. ~belong x L ==> (back L POWER m) x = x /\ (next L POWER m) x = x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Goal: !H L x m. is_loop H L /\ (!i. i <= m ==> (next L POWER i) x = (inverse (node_map H) POWER i) x) ==> (next L POWER m) x IN atom H L x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cisuu_nodeuu_going, type, isu_nodeu_going : (hypermapa > loopa > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_atom, axiom, ![H:hypermapa,L:loopa,X:a]:((atom @ H @ L @ X) = (gspec @ ^[GENR_PVARR_262:a]:?[Y:a]:(setspec @ GENR_PVARR_262 @ ((isu_nodeu_going @ H @ L @ X @ Y) | (isu_nodeu_going @ H @ L @ Y @ X)) @ Y)))).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermapa,L:loopa,X:a]:(in @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_isu_nodeu_going, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:((isu_nodeu_going @ H @ L @ X @ Y) <=> ?[K:num]:((Y = (power @ (next @ L) @ K @ X)) & ![I:num]:((l_a_ @ I @ K) => ((power @ (next @ L) @ I @ X) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X)))))).
thf(aHypermapo_lemmau_poweru_backu_andu_nextu_outsideu_loop, axiom, ![L:loopa,X:a,M:num]:(~ ((belong @ X @ L)) => (((power @ (back @ L) @ M @ X) = X) & ((power @ (next @ L) @ M @ X) = X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a,M:num]:(((isu_loop @ H @ L) & ![I:num]:((l_a_ @ I @ M) => ((power @ (next @ L) @ I @ X) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X)))) => (in @ (power @ (next @ L) @ M @ X) @ (atom @ H @ L @ X)))).
