%   ORIGINAL: Hypermap.lemma_in_atom2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.lemma_in_atom: !H L x m. is_loop H L /\ (!i. i <= m ==> (next L POWER i) x = (inverse (node_map H) POWER i) x) ==> (next L POWER m) x IN atom H L x
% Assm: Hypermap.lemma_sub_part: !P n m. (!i. i <= n ==> P i) /\ m <= n ==> (!i. i <= m ==> P i)
% Assm: Hypermap.to_head: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> (!i. i <= index L y (head H NF x) ==> (next L POWER i) y = (inverse (node_map H) POWER i) y)
% Assm: TRUTH: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> (!i. i <= index L x (head H NF x) ==> (next L POWER i) x IN atom H L x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L x. x IN atom H L x
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H L x m. is_loop H L /\ (!i. i <= m ==> (next L POWER i) x = (inverse (node_map H) POWER i) x) ==> (next L POWER m) x IN atom H L x
% Assm: !P n m. (!i. i <= n ==> P i) /\ m <= n ==> (!i. i <= m ==> P i)
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> (!i. i <= index L y (head H NF x) ==> (next L POWER i) y = (inverse (node_map H) POWER i) y)
% Assm: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> (!i. i <= index L x (head H NF x) ==> (next L POWER i) x IN atom H L x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(cindex, type, index : (loopa > a > a > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermapa,L:loopa,X:a]:(in0 @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_lemmau_inu_atom, axiom, ![H:hypermapa,L:loopa,X:a,M:num]:(((isu_loop @ H @ L) & ![I:num]:((l_a_ @ I @ M) => ((power @ (next @ L) @ I @ X) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X)))) => (in0 @ (power @ (next @ L) @ M @ X) @ (atom @ H @ L @ X)))).
thf(aHypermapo_lemmau_subu_part, axiom, ![P:(num > $o),N:num,M:num]:((![I:num]:((l_a_ @ I @ N) => (P @ I)) & (l_a_ @ M @ N)) => ![I:num]:((l_a_ @ I @ M) => (P @ I)))).
thf(aHypermapo_tou_head, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => ![I:num]:((l_a_ @ I @ (index @ L @ Y @ (head @ H @ NF @ X))) => ((power @ (next @ L) @ I @ Y) = (power @ (inverse @ (nodeu_map @ H)) @ I @ Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ![I:num]:((l_a_ @ I @ (index @ L @ X @ (head @ H @ NF @ X))) => (in0 @ (power @ (next @ L) @ I @ X) @ (atom @ H @ L @ X))))).
