%   ORIGINAL: Hypermap.unique_nmap
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.change_parameters: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> head H NF y = head H NF x /\ tail H NF y = tail H NF x
% Assm: Hypermap.disjoint_loops: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L'
% Assm: Hypermap.lemma_in_loop: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: Hypermap.lemma_in_quotient: !H NF L x. L IN NF /\ belong x L ==> atom H L x IN quotient_darts H NF
% Assm: Hypermap.lemma_node_map: !H NF s. is_normal H NF ==> (~(s IN quotient_darts H NF) ==> nmap H NF s = s) /\ (s IN quotient_darts H NF ==> (?L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong (node_map H (tail H NF x)) L' /\ s = atom H L x /\ nmap H NF s = atom H L' (node_map H (tail H NF x))))
% Assm: TRUTH: T
% Goal: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong (node_map H (tail H NF x)) L' ==> nmap H NF (atom H L x) = atom H L' (node_map H (tail H NF x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L x. x IN atom H L x
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> head H NF y = head H NF x /\ tail H NF y = tail H NF x
% Assm: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L'
% Assm: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: !H NF L x. L IN NF /\ belong x L ==> atom H L x IN quotient_darts H NF
% Assm: !H NF s. is_normal H NF ==> (~(s IN quotient_darts H NF) ==> nmap H NF s = s) /\ (s IN quotient_darts H NF ==> (?L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong (node_map H (tail H NF x)) L' /\ s = atom H L x /\ nmap H NF s = atom H L' (node_map H (tail H NF x))))
% Assm: T
% Goal: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong (node_map H (tail H NF x)) L' ==> nmap H NF (atom H L x) = atom H L' (node_map H (tail H NF x))
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tlooploopa, type, looploopa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(catom0, type, atom0 : (hypermaploopa > looploopa > loopa > loopa > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cnmap, type, nmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(ctail, type, tail : (hypermapa > (loopa > $o) > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermaploopa,L:looploopa,X:loopa]:(in @ X @ (atom0 @ H @ L @ X))).
thf(aHypermapo_changeu_parameters, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => (((head @ H @ NF @ Y) = (head @ H @ NF @ X)) & ((tail @ H @ NF @ Y) = (tail @ H @ NF @ X))))).
thf(aHypermapo_disjointu_loops, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,LI_:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_))).
thf(aHypermapo_lemmau_inu_loop, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:(((belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => (belong @ Y @ L))).
thf(aHypermapo_lemmau_inu_quotient, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((in @ L @ NF) & (belong @ X @ L)) => (in1 @ (atom @ H @ L @ X) @ (quotientu_darts @ H @ NF)))).
thf(aHypermapo_lemmau_nodeu_map, axiom, ![H:hypermapa,NF:(loopa > $o),S:(a > $o)]:((isu_normal @ H @ NF) => ((~ ((in1 @ S @ (quotientu_darts @ H @ NF))) => ((nmap @ H @ NF @ S) = S)) & ((in1 @ S @ (quotientu_darts @ H @ NF)) => ?[L:loopa,LI_:loopa,X:a]:((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ (nodeu_map @ H @ (tail @ H @ NF @ X)) @ LI_) & (S = (atom @ H @ L @ X)) & ((nmap @ H @ NF @ S) = (atom @ H @ LI_ @ (nodeu_map @ H @ (tail @ H @ NF @ X))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,LI_:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ (nodeu_map @ H @ (tail @ H @ NF @ X)) @ LI_)) => ((nmap @ H @ NF @ (atom @ H @ L @ X)) = (atom @ H @ LI_ @ (nodeu_map @ H @ (tail @ H @ NF @ X)))))).
