%   ORIGINAL: Hypermap.emap_permute
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.emap: !H NF. emap H NF = inverse (fmap H NF) o inverse (nmap H NF)
% Assm: Hypermap.fmap_permute: !H NF. is_normal H NF ==> fmap H NF permutes quotient_darts H NF
% Assm: Hypermap.nmap_permute: !H NF. is_normal H NF ==> nmap H NF permutes quotient_darts H NF
% Assm: PERMUTES_COMPOSE: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: TRUTH: T
% Goal: !H NF. is_normal H NF ==> emap H NF permutes quotient_darts H NF
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H NF. emap H NF = inverse (fmap H NF) o inverse (nmap H NF)
% Assm: !H NF. is_normal H NF ==> fmap H NF permutes quotient_darts H NF
% Assm: !H NF. is_normal H NF ==> nmap H NF permutes quotient_darts H NF
% Assm: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: T
% Goal: !H NF. is_normal H NF ==> emap H NF permutes quotient_darts H NF
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : (((a > $o) > a > $o) > ((a > $o) > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnmap, type, nmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cfmap, type, fmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cinverse, type, inverse : (((a > $o) > a > $o) > (a > $o) > a > $o)).
thf(co, type, o : (((a > $o) > a > $o) > ((a > $o) > a > $o) > (a > $o) > a > $o)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
thf(cemap, type, emap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_emap, axiom, ![H:hypermapa,NF:(loopa > $o)]:((emap @ H @ NF) = (o @ (inverse @ (fmap @ H @ NF)) @ (inverse @ (nmap @ H @ NF))))).
thf(aHypermapo_fmapu_permute, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (permutes @ (fmap @ H @ NF) @ (quotientu_darts @ H @ NF)))).
thf(aHypermapo_nmapu_permute, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (permutes @ (nmap @ H @ NF) @ (quotientu_darts @ H @ NF)))).
thf(aPERMUTESu_COMPOSE, axiom, ![P:((a > $o) > a > $o),Q:((a > $o) > a > $o),S:((a > $o) > $o)]:(((permutes @ P @ S) & (permutes @ Q @ S)) => (permutes @ (o @ Q @ P) @ S))).
thf(aPERMUTESu_INVERSE, axiom, ![P:((a > $o) > a > $o),S:((a > $o) > $o)]:((permutes @ P @ S) => (permutes @ (inverse @ P) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (permutes @ (emap @ H @ NF) @ (quotientu_darts @ H @ NF)))).
