%   ORIGINAL: Hypermap.choice_reflect
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.first_unique_choice: !H NF. is_normal H NF ==> (!x. ~(x IN support_darts NF) ==> choice H NF x = {x}) /\ (!L x. L IN NF /\ belong x L ==> choice H NF x = atom H L x)
% Assm: Hypermap.lemma_in_support: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: Hypermap.unique_choice: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> choice H NF x = atom H L x
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF x. is_normal H NF ==> x IN choice H NF x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H L x. x IN atom H L x
% Assm: !H NF. is_normal H NF ==> (!x. ~(x IN support_darts NF) ==> choice H NF x = {x}) /\ (!L x. L IN NF /\ belong x L ==> choice H NF x = atom H L x)
% Assm: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> choice H NF x = atom H L x
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF x. is_normal H NF ==> x IN choice H NF x
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin0, type, in0 : (loopa > (loopa > $o) > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cchoice, type, choice : (hypermapa > (loopa > $o) > a > a > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermapa,L:loopa,X:a]:(in @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_firstu_uniqueu_choice, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (![X:a]:(~ ((in @ X @ (supportu_darts @ NF))) => ((choice @ H @ NF @ X) = (insert @ X @ empty))) & ![L:loopa,X:a]:(((in0 @ L @ NF) & (belong @ X @ L)) => ((choice @ H @ NF @ X) = (atom @ H @ L @ X)))))).
thf(aHypermapo_lemmau_inu_support, axiom, ![NF:(loopa > $o),X:a]:((in @ X @ (supportu_darts @ NF)) <=> ?[L:loopa]:((in0 @ L @ NF) & (belong @ X @ L)))).
thf(aHypermapo_uniqueu_choice, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in0 @ L @ NF) & (belong @ X @ L)) => ((choice @ H @ NF @ X) = (atom @ H @ L @ X)))).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),X:a]:((isu_normal @ H @ NF) => (in @ X @ (choice @ H @ NF @ X)))).
