%   ORIGINAL: Hypermap.lemma_choice_in_quotient
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.choice_reflect: !H NF x. is_normal H NF ==> x IN choice H NF x
% Assm: Hypermap.lemma_in_loop: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: Hypermap.lemma_in_support: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: Hypermap.lemma_in_support2: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: Hypermap.quotient_darts: !H NF. quotient_darts H NF = {atom H L x | L IN NF /\ belong x L}
% Assm: Hypermap.unique_choice: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> choice H NF x = atom H L x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: TRUTH: T
% Goal: !H NF. is_normal H NF ==> (!x. choice H NF x IN quotient_darts H NF <=> x IN support_darts NF)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H NF x. is_normal H NF ==> x IN choice H NF x
% Assm: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: !H NF. quotient_darts H NF = {atom H L x | L IN NF /\ belong x L}
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> choice H NF x = atom H L x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: T
% Goal: !H NF. is_normal H NF ==> (!x. choice H NF x IN quotient_darts H NF <=> x IN support_darts NF)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tloopfunabool, type, loopfunabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin1, type, in1 : (loopa > (loopa > $o) > $o)).
thf(cbelong0, type, belong0 : (a > loopa > $o)).
thf(cbelong, type, belong : ((a > $o) > loopfunabool > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(catom0, type, atom0 : (hypermapa > loopa > a > a > $o)).
thf(catom, type, atom : (hypermapfunabool > loopfunabool > (a > $o) > (a > $o) > $o)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
thf(cchoice, type, choice : (hypermapa > (loopa > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_choiceu_reflect, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:((isu_normal @ H @ NF) => (in0 @ X @ (choice @ H @ NF @ X)))).
thf(aHypermapo_lemmau_inu_loopu_monomorphized1, axiom, ![H:hypermapfunabool,L:loopfunabool,X:(a > $o),Y:(a > $o)]:(((belong @ X @ L) & (in @ Y @ (atom @ H @ L @ X))) => (belong @ Y @ L))).
thf(aHypermapo_lemmau_inu_loopu_monomorphized0, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:(((belong0 @ X @ L) & (in0 @ Y @ (atom0 @ H @ L @ X))) => (belong0 @ Y @ L))).
thf(aHypermapo_lemmau_inu_support, axiom, ![NF:(loopa > $o),X:a]:((in0 @ X @ (supportu_darts @ NF)) <=> ?[L:loopa]:((in1 @ L @ NF) & (belong0 @ X @ L)))).
thf(aHypermapo_lemmau_inu_support2, axiom, ![NF:(loopa > $o),L:loopa,X:a]:(((belong0 @ X @ L) & (in1 @ L @ NF)) => (in0 @ X @ (supportu_darts @ NF)))).
thf(aHypermapo_quotientu_darts, axiom, ![H:hypermapa,NF:(loopa > $o)]:((quotientu_darts @ H @ NF) = (gspec @ ^[GENR_PVARR_263:(a > $o)]:?[L:loopa,X:a]:(setspec @ GENR_PVARR_263 @ ((in1 @ L @ NF) & (belong0 @ X @ L)) @ (atom0 @ H @ L @ X))))).
thf(aHypermapo_uniqueu_choice, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in1 @ L @ NF) & (belong0 @ X @ L)) => ((choice @ H @ NF @ X) = (atom0 @ H @ L @ X)))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in @ X @ (gspec @ ^[V:(a > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in0 @ X @ (gspec0 @ ^[V:a]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => ![X:a]:((in @ (choice @ H @ NF @ X) @ (quotientu_darts @ H @ NF)) <=> (in0 @ X @ (supportu_darts @ NF))))).
