%   ORIGINAL: Hypermap.choice_at_margin
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.choice_identity: !H NF x y. is_normal H NF /\ y IN choice H NF x ==> choice H NF y = choice H NF x
% Assm: Hypermap.head_on_loop: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: Hypermap.lemma_head_tail: !H NF x. is_normal H NF ==> (~(x IN support_darts NF) ==> head H NF x = x /\ tail H NF x = x) /\ (x IN support_darts NF ==> (?L. L IN NF /\ belong x L /\ head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x)) /\ tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))))
% Assm: Hypermap.lemma_in_support: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: Hypermap.tail_on_loop: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))
% Assm: Hypermap.unique_choice: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> choice H NF x = atom H L x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF x. is_normal H NF ==> choice H NF x = choice H NF (tail H NF x) /\ choice H NF x = choice H NF (head H NF x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H NF x y. is_normal H NF /\ y IN choice H NF x ==> choice H NF y = choice H NF x
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: !H NF x. is_normal H NF ==> (~(x IN support_darts NF) ==> head H NF x = x /\ tail H NF x = x) /\ (x IN support_darts NF ==> (?L. L IN NF /\ belong x L /\ head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x)) /\ tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))))
% Assm: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> choice H NF x = atom H L x
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF x. is_normal H NF ==> choice H NF x = choice H NF (tail H NF x) /\ choice H NF x = choice H NF (head H NF x)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin0, type, in0 : (loopa > (loopa > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(ctail, type, tail : (hypermapa > (loopa > $o) > a > a)).
thf(cchoice, type, choice : (hypermapa > (loopa > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_choiceu_identity, axiom, ![H:hypermapa,NF:(loopa > $o),X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ Y @ (choice @ H @ NF @ X))) => ((choice @ H @ NF @ Y) = (choice @ H @ NF @ X)))).
thf(aHypermapo_headu_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in0 @ L @ NF) & (belong @ X @ L)) => ((in @ (head @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((next @ L @ (head @ H @ NF @ X)) = (inverse @ (nodeu_map @ H) @ (head @ H @ NF @ X))))))).
thf(aHypermapo_lemmau_headu_tail, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:((isu_normal @ H @ NF) => ((~ ((in @ X @ (supportu_darts @ NF))) => (((head @ H @ NF @ X) = X) & ((tail @ H @ NF @ X) = X))) & ((in @ X @ (supportu_darts @ NF)) => ?[L:loopa]:((in0 @ L @ NF) & (belong @ X @ L) & (in @ (head @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((next @ L @ (head @ H @ NF @ X)) = (inverse @ (nodeu_map @ H) @ (head @ H @ NF @ X)))) & (in @ (tail @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((tail @ H @ NF @ X) = (inverse @ (nodeu_map @ H) @ (back @ L @ (tail @ H @ NF @ X)))))))))).
thf(aHypermapo_lemmau_inu_support, axiom, ![NF:(loopa > $o),X:a]:((in @ X @ (supportu_darts @ NF)) <=> ?[L:loopa]:((in0 @ L @ NF) & (belong @ X @ L)))).
thf(aHypermapo_tailu_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in0 @ L @ NF) & (belong @ X @ L)) => ((in @ (tail @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((tail @ H @ NF @ X) = (inverse @ (nodeu_map @ H) @ (back @ L @ (tail @ H @ NF @ X)))))))).
thf(aHypermapo_uniqueu_choice, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in0 @ L @ NF) & (belong @ X @ L)) => ((choice @ H @ NF @ X) = (atom @ H @ L @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),X:a]:((isu_normal @ H @ NF) => (((choice @ H @ NF @ X) = (choice @ H @ NF @ (tail @ H @ NF @ X))) & ((choice @ H @ NF @ X) = (choice @ H @ NF @ (head @ H @ NF @ X)))))).
