%   ORIGINAL: Hypermap.COMPOSE_INJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g s t w. INJ f s t /\ INJ g t w ==> INJ (g o f) s w
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g s t w. INJ f s t /\ INJ g t w ==> INJ (g o f) s w
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (c > (c > $o) > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(cinj1, type, inj1 : ((a > c) > (a > $o) > (c > $o) > $o)).
thf(cinj0, type, inj0 : ((b > c) > (b > $o) > (c > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINJu_monomorphized2, axiom, ![T:(c > $o),S:(b > $o),F:(b > c)]:((inj0 @ F @ S @ T) <=> (![X:b]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:b,Y:b]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINJu_monomorphized1, axiom, ![T:(c > $o),S:(a > $o),F:(a > c)]:((inj1 @ F @ S @ T) <=> (![X:a]:((in1 @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINJu_monomorphized0, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj @ F @ S @ T) <=> (![X:a]:((in1 @ X @ S) => (in @ (F @ X) @ T)) & ![X:a,Y:a]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(a > b),G:(b > c),S:(a > $o),T:(b > $o),W:(c > $o)]:(((inj @ F @ S @ T) & (inj0 @ G @ T @ W)) => (inj1 @ (o @ G @ F) @ S @ W))).
