%   ORIGINAL: Hypermap.COMPOSE_SURJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SURJ: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g s t w. SURJ f s t /\ SURJ g t w ==> SURJ (g o f) s w
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g s t w. SURJ f s t /\ SURJ g t w ==> SURJ (g o f) s w
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (c > (c > $o) > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(csurj1, type, surj1 : ((a > c) > (a > $o) > (c > $o) > $o)).
thf(csurj0, type, surj0 : ((b > c) > (b > $o) > (c > $o) > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSURJu_monomorphized2, axiom, ![T:(c > $o),S:(b > $o),F:(b > c)]:((surj0 @ F @ S @ T) <=> (![X:b]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:c]:((in0 @ X @ T) => ?[Y:b]:((in @ Y @ S) & ((F @ Y) = X)))))).
thf(aSURJu_monomorphized1, axiom, ![T:(c > $o),S:(a > $o),F:(a > c)]:((surj1 @ F @ S @ T) <=> (![X:a]:((in1 @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:c]:((in0 @ X @ T) => ?[Y:a]:((in1 @ Y @ S) & ((F @ Y) = X)))))).
thf(aSURJu_monomorphized0, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((surj @ F @ S @ T) <=> (![X:a]:((in1 @ X @ S) => (in @ (F @ X) @ T)) & ![X:b]:((in @ X @ T) => ?[Y:a]:((in1 @ Y @ S) & ((F @ Y) = X)))))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(a > b),G:(b > c),S:(a > $o),T:(b > $o),W:(c > $o)]:(((surj @ F @ S @ T) & (surj0 @ G @ T @ W)) => (surj1 @ (o @ G @ F) @ S @ W))).
