%   ORIGINAL: Hypermap.COMPOSE_BIJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.COMPOSE_INJ: !f g s t w. INJ f s t /\ INJ g t w ==> INJ (g o f) s w
% Assm: Hypermap.COMPOSE_SURJ: !f g s t w. SURJ f s t /\ SURJ g t w ==> SURJ (g o f) s w
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g s t w. BIJ f s t /\ BIJ g t w ==> BIJ (g o f) s w
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g s t w. INJ f s t /\ INJ g t w ==> INJ (g o f) s w
% Assm: !f g s t w. SURJ f s t /\ SURJ g t w ==> SURJ (g o f) s w
% Assm: ~F <=> T
% Assm: T
% Goal: !f g s t w. BIJ f s t /\ BIJ g t w ==> BIJ (g o f) s w
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(csurj1, type, surj1 : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj1, type, inj1 : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(csurj0, type, surj0 : ((a > c) > (a > $o) > (c > $o) > $o)).
thf(cinj0, type, inj0 : ((a > c) > (a > $o) > (c > $o) > $o)).
thf(csurj, type, surj : ((b > c) > (b > $o) > (c > $o) > $o)).
thf(cinj, type, inj : ((b > c) > (b > $o) > (c > $o) > $o)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(cbij1, type, bij1 : ((a > c) > (a > $o) > (c > $o) > $o)).
thf(cbij0, type, bij0 : ((b > c) > (b > $o) > (c > $o) > $o)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJu_monomorphized2, axiom, ![F:(b > c),S:(b > $o),T:(c > $o)]:((bij0 @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBIJu_monomorphized1, axiom, ![F:(a > c),S:(a > $o),T:(c > $o)]:((bij1 @ F @ S @ T) <=> ((inj0 @ F @ S @ T) & (surj0 @ F @ S @ T)))).
thf(aBIJu_monomorphized0, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj1 @ F @ S @ T) & (surj1 @ F @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_COMPOSEu_INJ, axiom, ![F:(a > b),G:(b > c),S:(a > $o),T:(b > $o),W:(c > $o)]:(((inj1 @ F @ S @ T) & (inj @ G @ T @ W)) => (inj0 @ (o @ G @ F) @ S @ W))).
thf(aHypermapo_COMPOSEu_SURJ, axiom, ![F:(a > b),G:(b > c),S:(a > $o),T:(b > $o),W:(c > $o)]:(((surj1 @ F @ S @ T) & (surj @ G @ T @ W)) => (surj0 @ (o @ G @ F) @ S @ W))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),G:(b > c),S:(a > $o),T:(b > $o),W:(c > $o)]:(((bij @ F @ S @ T) & (bij0 @ G @ T @ W)) => (bij1 @ (o @ G @ F) @ S @ W))).
