%   ORIGINAL: Hypermap.BIJ_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: INJECTIVE_ON_LEFT_INVERSE: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SURJ: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: TRUTH: T
% Goal: !f s t. BIJ f s t ==> (?g. (!x. x IN s ==> g (f x) = x) /\ (!x. x IN t ==> f (g x) = x) /\ BIJ g t s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: ~F <=> T
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: T
% Goal: !f s t. BIJ f s t ==> (?g. (!x. x IN s ==> g (f x) = x) /\ (!x. x IN t ==> f (g x) = x) /\ BIJ g t s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csurj2, type, surj2 : ((a > a) > (a > $o) > (a > $o) > $o)).
thf(csurj1, type, surj1 : ((b > b) > (b > $o) > (b > $o) > $o)).
thf(cinj2, type, inj2 : ((a > a) > (a > $o) > (a > $o) > $o)).
thf(cinj1, type, inj1 : ((b > b) > (b > $o) > (b > $o) > $o)).
thf(csurj0, type, surj0 : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj0, type, inj0 : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(csurj, type, surj : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cinj, type, inj : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cbij0, type, bij0 : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJu_monomorphized1, axiom, ![F:(b > a),S:(b > $o),T:(a > $o)]:((bij0 @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBIJu_monomorphized0, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj0 @ F @ S @ T) & (surj0 @ F @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINJu_monomorphized3, axiom, ![T:(b > $o),S:(b > $o),F:(b > b)]:((inj1 @ F @ S @ T) <=> (![X:b]:((in0 @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:b,Y:b]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINJu_monomorphized2, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj0 @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINJu_monomorphized1, axiom, ![T:(a > $o),S:(b > $o),F:(b > a)]:((inj @ F @ S @ T) <=> (![X:b]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![X:b,Y:b]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINJu_monomorphized0, axiom, ![T:(a > $o),S:(a > $o),F:(a > a)]:((inj2 @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized3, axiom, ![F:(b > b),S:(b > $o)]:(![X:b,Y:b]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(b > b)]:![X:b]:((in0 @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized2, axiom, ![F:(b > a),S:(b > $o)]:(![X:b,Y:b]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(a > b)]:![X:b]:((in0 @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized1, axiom, ![F:(a > b),S:(a > $o)]:(![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(b > a)]:![X:a]:((in @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized0, axiom, ![F:(a > a),S:(a > $o)]:(![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(a > a)]:![X:a]:((in @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSURJu_monomorphized3, axiom, ![T:(b > $o),S:(b > $o),F:(b > b)]:((surj1 @ F @ S @ T) <=> (![X:b]:((in0 @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:b]:((in0 @ X @ T) => ?[Y:b]:((in0 @ Y @ S) & ((F @ Y) = X)))))).
thf(aSURJu_monomorphized2, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((surj0 @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:b]:((in0 @ X @ T) => ?[Y:a]:((in @ Y @ S) & ((F @ Y) = X)))))).
thf(aSURJu_monomorphized1, axiom, ![T:(a > $o),S:(b > $o),F:(b > a)]:((surj @ F @ S @ T) <=> (![X:b]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![X:a]:((in @ X @ T) => ?[Y:b]:((in0 @ Y @ S) & ((F @ Y) = X)))))).
thf(aSURJu_monomorphized0, axiom, ![T:(a > $o),S:(a > $o),F:(a > a)]:((surj2 @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:a]:((in @ X @ T) => ?[Y:a]:((in @ Y @ S) & ((F @ Y) = X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) => ?[G:(b > a)]:(![X:a]:((in @ X @ S) => ((G @ (F @ X)) = X)) & ![X:b]:((in0 @ X @ T) => ((F @ (G @ X)) = X)) & (bij0 @ G @ T @ S)))).
