%   ORIGINAL: Hypermap.iso_sym
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: Hypermap.BIJ_INVERSE: !f s t. BIJ f s t ==> (?g. (!x. x IN s ==> g (f x) = x) /\ (!x. x IN t ==> f (g x) = x) /\ BIJ g t s)
% Assm: Hypermap.iso: !H H'. iso H H' <=> (?f. BIJ f (dart H) (dart H') /\ (!x. x IN dart H ==> edge_map H' (f x) = f (edge_map H x) /\ node_map H' (f x) = f (node_map H x) /\ face_map H' (f x) = f (face_map H x)))
% Assm: Hypermap.lemma_dart_invariant: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: TRUTH: T
% Goal: !H G. iso H G ==> iso G H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !f s t. BIJ f s t ==> (?g. (!x. x IN s ==> g (f x) = x) /\ (!x. x IN t ==> f (g x) = x) /\ BIJ g t s)
% Assm: !H H'. iso H H' <=> (?f. BIJ f (dart H) (dart H') /\ (!x. x IN dart H ==> edge_map H' (f x) = f (edge_map H x) /\ node_map H' (f x) = f (node_map H x) /\ face_map H' (f x) = f (face_map H x)))
% Assm: !H H'. iso H H' <=> (?f. BIJ f (dart H) (dart H') /\ (!x. x IN dart H ==> edge_map H' (f x) = f (edge_map H x) /\ node_map H' (f x) = f (node_map H x) /\ face_map H' (f x) = f (face_map H x)))
% Assm: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: T
% Goal: !H G. iso H G ==> iso G H
%  TYPES
thf(thypermapb, type, hypermapb : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdart0, type, dart0 : (hypermapa > a > $o)).
thf(cdart, type, dart : (hypermapb > b > $o)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ciso0, type, iso0 : (hypermapb > hypermapa > $o)).
thf(ciso, type, iso : (hypermapa > hypermapb > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapb > b > b)).
thf(cnodeuu_map0, type, nodeu_map0 : (hypermapb > b > b)).
thf(cedgeuu_map0, type, edgeu_map0 : (hypermapb > b > b)).
thf(cbij0, type, bij0 : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBIJ, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aHypermapo_BIJu_INVERSE, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) => ?[G:(b > a)]:(![X:a]:((in @ X @ S) => ((G @ (F @ X)) = X)) & ![X:b]:((in0 @ X @ T) => ((F @ (G @ X)) = X)) & (bij0 @ G @ T @ S)))).
thf(aHypermapo_isou_monomorphized1, axiom, ![H:hypermapb,HI_:hypermapa]:((iso0 @ H @ HI_) <=> ?[F:(b > a)]:((bij0 @ F @ (dart @ H) @ (dart0 @ HI_)) & ![X:b]:((in0 @ X @ (dart @ H)) => (((edgeu_map @ HI_ @ (F @ X)) = (F @ (edgeu_map0 @ H @ X))) & ((nodeu_map @ HI_ @ (F @ X)) = (F @ (nodeu_map0 @ H @ X))) & ((faceu_map @ HI_ @ (F @ X)) = (F @ (faceu_map0 @ H @ X)))))))).
thf(aHypermapo_isou_monomorphized0, axiom, ![H:hypermapa,HI_:hypermapb]:((iso @ H @ HI_) <=> ?[F:(a > b)]:((bij @ F @ (dart0 @ H) @ (dart @ HI_)) & ![X:a]:((in @ X @ (dart0 @ H)) => (((edgeu_map0 @ HI_ @ (F @ X)) = (F @ (edgeu_map @ H @ X))) & ((nodeu_map0 @ HI_ @ (F @ X)) = (F @ (nodeu_map @ H @ X))) & ((faceu_map0 @ HI_ @ (F @ X)) = (F @ (faceu_map @ H @ X)))))))).
thf(aHypermapo_lemmau_dartu_invariant, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart0 @ H)) => ((in @ (edgeu_map @ H @ X) @ (dart0 @ H)) & (in @ (nodeu_map @ H @ X) @ (dart0 @ H)) & (in @ (faceu_map @ H @ X) @ (dart0 @ H))))).
thf(aINJ, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,G:hypermapb]:((iso @ H @ G) => (iso0 @ G @ H))).
