%   ORIGINAL: Hypermap.iso_trans
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: Hypermap.COMPOSE_BIJ: !f g s t w. BIJ f s t /\ BIJ g t w ==> BIJ (g o f) s w
% Assm: Hypermap.iso: !H H'. iso H H' <=> (?f. BIJ f (dart H) (dart H') /\ (!x. x IN dart H ==> edge_map H' (f x) = f (edge_map H x) /\ node_map H' (f x) = f (node_map H x) /\ face_map H' (f x) = f (face_map H x)))
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H G W. iso H G /\ iso G W ==> iso H W
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !f g s t w. BIJ f s t /\ BIJ g t w ==> BIJ (g o f) s w
% Assm: !H H'. iso H H' <=> (?f. BIJ f (dart H) (dart H') /\ (!x. x IN dart H ==> edge_map H' (f x) = f (edge_map H x) /\ node_map H' (f x) = f (node_map H x) /\ face_map H' (f x) = f (face_map H x)))
% Assm: !H H'. iso H H' <=> (?f. BIJ f (dart H) (dart H') /\ (!x. x IN dart H ==> edge_map H' (f x) = f (edge_map H x) /\ node_map H' (f x) = f (node_map H x) /\ face_map H' (f x) = f (face_map H x)))
% Assm: !H H'. iso H H' <=> (?f. BIJ f (dart H) (dart H') /\ (!x. x IN dart H ==> edge_map H' (f x) = f (edge_map H x) /\ node_map H' (f x) = f (node_map H x) /\ face_map H' (f x) = f (face_map H x)))
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H G W. iso H G /\ iso G W ==> iso H W
%  TYPES
thf(thypermapb, type, hypermapb : $tType).
thf(thypermapc, type, hypermapc : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cdart1, type, dart1 : (hypermapa > a > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(cdart0, type, dart0 : (hypermapc > c > $o)).
thf(cdart, type, dart : (hypermapb > b > $o)).
thf(ciso1, type, iso1 : (hypermapa > hypermapc > $o)).
thf(ciso0, type, iso0 : (hypermapb > hypermapc > $o)).
thf(ciso, type, iso : (hypermapa > hypermapb > $o)).
thf(cfaceuu_map1, type, faceu_map1 : (hypermapa > a > a)).
thf(cnodeuu_map1, type, nodeu_map1 : (hypermapa > a > a)).
thf(cedgeuu_map1, type, edgeu_map1 : (hypermapa > a > a)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapb > b > b)).
thf(cnodeuu_map0, type, nodeu_map0 : (hypermapb > b > b)).
thf(cedgeuu_map0, type, edgeu_map0 : (hypermapb > b > b)).
thf(cfaceuu_map, type, faceu_map : (hypermapc > c > c)).
thf(cnodeuu_map, type, nodeu_map : (hypermapc > c > c)).
thf(cedgeuu_map, type, edgeu_map : (hypermapc > c > c)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(cbij1, type, bij1 : ((a > c) > (a > $o) > (c > $o) > $o)).
thf(cbij0, type, bij0 : ((b > c) > (b > $o) > (c > $o) > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBIJ, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aHypermapo_COMPOSEu_BIJ, axiom, ![F:(a > b),G:(b > c),S:(a > $o),T:(b > $o),W:(c > $o)]:(((bij @ F @ S @ T) & (bij0 @ G @ T @ W)) => (bij1 @ (o @ G @ F) @ S @ W))).
thf(aHypermapo_isou_monomorphized2, axiom, ![H:hypermapb,HI_:hypermapc]:((iso0 @ H @ HI_) <=> ?[F:(b > c)]:((bij0 @ F @ (dart @ H) @ (dart0 @ HI_)) & ![X:b]:((in @ X @ (dart @ H)) => (((edgeu_map @ HI_ @ (F @ X)) = (F @ (edgeu_map0 @ H @ X))) & ((nodeu_map @ HI_ @ (F @ X)) = (F @ (nodeu_map0 @ H @ X))) & ((faceu_map @ HI_ @ (F @ X)) = (F @ (faceu_map0 @ H @ X)))))))).
thf(aHypermapo_isou_monomorphized1, axiom, ![H:hypermapa,HI_:hypermapc]:((iso1 @ H @ HI_) <=> ?[F:(a > c)]:((bij1 @ F @ (dart1 @ H) @ (dart0 @ HI_)) & ![X:a]:((in0 @ X @ (dart1 @ H)) => (((edgeu_map @ HI_ @ (F @ X)) = (F @ (edgeu_map1 @ H @ X))) & ((nodeu_map @ HI_ @ (F @ X)) = (F @ (nodeu_map1 @ H @ X))) & ((faceu_map @ HI_ @ (F @ X)) = (F @ (faceu_map1 @ H @ X)))))))).
thf(aHypermapo_isou_monomorphized0, axiom, ![H:hypermapa,HI_:hypermapb]:((iso @ H @ HI_) <=> ?[F:(a > b)]:((bij @ F @ (dart1 @ H) @ (dart @ HI_)) & ![X:a]:((in0 @ X @ (dart1 @ H)) => (((edgeu_map0 @ HI_ @ (F @ X)) = (F @ (edgeu_map1 @ H @ X))) & ((nodeu_map0 @ HI_ @ (F @ X)) = (F @ (nodeu_map1 @ H @ X))) & ((faceu_map0 @ HI_ @ (F @ X)) = (F @ (faceu_map1 @ H @ X)))))))).
thf(aINJ, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj @ F @ S @ T) <=> (![X:a]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![X:a,Y:a]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,G:hypermapb,W:hypermapc]:(((iso @ H @ G) & (iso0 @ G @ W)) => (iso1 @ H @ W))).
