%   ORIGINAL: Hypermap.lemma_cycle_eq
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.cycle: !H L. cycle H L = {atom H L x | x | belong x L}
% Assm: Hypermap.disjoint_loops: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L'
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.lemma_in_loop: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: TRUTH: T
% Goal: !H NF L L'. is_normal H NF /\ L IN NF /\ L' IN NF /\ cycle H L = cycle H L' ==> L = L'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L x. x IN atom H L x
% Assm: !H L. cycle H L = {atom H L x | x | belong x L}
% Assm: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L'
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: T
% Goal: !H NF L L'. is_normal H NF /\ L IN NF /\ L' IN NF /\ cycle H L = cycle H L' ==> L = L'
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tlooploopa, type, looploopa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((loopa > $o) > loopa > $o)).
thf(cbelong0, type, belong0 : (loopa > looploopa > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(csetspec0, type, setspec0 : (loopa > $o > loopa > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(catom0, type, atom0 : (hypermapa > loopa > a > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(catom, type, atom : (hypermaploopa > looploopa > loopa > loopa > $o)).
thf(ccycle, type, cycle : (hypermapa > loopa > (a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > loopa),G:(a > loopa)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > (a > $o) > $o),G:(a > (a > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermaploopa,L:looploopa,X:loopa]:(in @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_cycle, axiom, ![H:hypermapa,L:loopa]:((cycle @ H @ L) = (gspec @ ^[GENR_PVARR_269:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_269 @ (belong @ X @ L) @ (atom0 @ H @ L @ X))))).
thf(aHypermapo_disjointu_loops, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,LI_:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_lemmau_inu_loop, axiom, ![H:hypermaploopa,L:looploopa,X:loopa,Y:loopa]:(((belong0 @ X @ L) & (in @ Y @ (atom @ H @ L @ X))) => (belong0 @ Y @ L))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > loopa > $o) > $o),X:loopa]:((in @ X @ (gspec0 @ ^[V:loopa]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:loopa]:(P0 & (X = T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,LI_:loopa]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (in @ LI_ @ NF) & ((cycle @ H @ L) = (cycle @ H @ LI_))) => (L = LI_))).
