%   ORIGINAL: Hypermap.lemma_cycle_finite
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.FACE_FINITE: !H x. FINITE (face H x)
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.lemma_cycle_is_face: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> cycle H L = orbit_map (fmap H NF) (atom H L x)
% Assm: Hypermap.lemma_quotient: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: TRUTH: T
% Goal: !H NF L. is_normal H NF /\ L IN NF ==> FINITE (cycle H L)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x. FINITE (face H x)
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> cycle H L = orbit_map (fmap H NF) (atom H L x)
% Assm: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: T
% Goal: !H NF L. is_normal H NF /\ L IN NF ==> FINITE (cycle H L)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(cdart0, type, dart0 : (hypermapfunabool > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapfunabool > (a > $o) > a > $o)).
thf(cnmap, type, nmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cemap, type, emap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cfmap, type, fmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(corbituu_map0, type, orbitu_map0 : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cface0, type, face0 : (hypermapa > a > a > $o)).
thf(cface, type, face : (hypermapfunabool > (a > $o) > (a > $o) > $o)).
thf(ccycle, type, cycle : (hypermapa > loopa > (a > $o) > $o)).
thf(cfinite, type, finite : (((a > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_FACEu_FINITE, axiom, ![H:hypermapfunabool,X:(a > $o)]:(finite @ (face @ H @ X))).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face0 @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_lemmau_cycleu_isu_face, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((cycle @ H @ L) = (orbitu_map0 @ (fmap @ H @ NF) @ (atom @ H @ L @ X))))).
thf(aHypermapo_lemmau_quotient, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (((dart0 @ (quotient @ H @ NF)) = (quotientu_darts @ H @ NF)) & ((edgeu_map @ (quotient @ H @ NF)) = (emap @ H @ NF)) & ((nodeu_map @ (quotient @ H @ NF)) = (nmap @ H @ NF)) & ((faceu_map0 @ (quotient @ H @ NF)) = (fmap @ H @ NF))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_normal @ H @ NF) & (in @ L @ NF)) => (finite @ (cycle @ H @ L)))).
