%   ORIGINAL: Hypermap.lemmaQuotientFace
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.face_set: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.lemma_cycle_is_face: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> cycle H L = orbit_map (fmap H NF) (atom H L x)
% Assm: Hypermap.lemma_in_quotient: !H NF L x. L IN NF /\ belong x L ==> atom H L x IN quotient_darts H NF
% Assm: Hypermap.lemma_quotient: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: Hypermap.quotient_darts: !H NF. quotient_darts H NF = {atom H L x | L IN NF /\ belong x L}
% Assm: Hypermap.set_of_orbits: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: TRUTH: T
% Goal: !H NF. is_normal H NF ==> face_set (quotient H NF) = {cycle H L | L IN NF}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> cycle H L = orbit_map (fmap H NF) (atom H L x)
% Assm: !H NF L x. L IN NF /\ belong x L ==> atom H L x IN quotient_darts H NF
% Assm: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: !H NF. quotient_darts H NF = {atom H L x | L IN NF /\ belong x L}
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: T
% Goal: !H NF. is_normal H NF ==> face_set (quotient H NF) = {cycle H L | L IN NF}
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tloopfunabool, type, loopfunabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((loopa > $o) > loopa > $o)).
thf(cbelong0, type, belong0 : ((a > $o) > loopfunabool > $o)).
thf(cin3, type, in3 : (loopfunabool > (loopfunabool > $o) > $o)).
thf(cin2, type, in2 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cdart0, type, dart0 : (hypermapa > a > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cdart, type, dart : (hypermapfunabool > (a > $o) > $o)).
thf(cin0, type, in0 : (((a > $o) > $o) > (((a > $o) > $o) > $o) > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cgspec, type, gspec : ((((a > $o) > $o) > $o) > ((a > $o) > $o) > $o)).
thf(cfaceuu_set, type, faceu_set : (hypermapfunabool > ((a > $o) > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(csetspec0, type, setspec0 : (loopa > $o > loopa > $o)).
thf(catom0, type, atom0 : (hypermapfunabool > loopfunabool > (a > $o) > (a > $o) > $o)).
thf(cquotientuu_darts0, type, quotientu_darts0 : (hypermapfunabool > (loopfunabool > $o) > ((a > $o) > $o) > $o)).
thf(cnmap, type, nmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cemap, type, emap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cfmap, type, fmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(corbituu_map, type, orbitu_map : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : (((a > $o) > $o) > ((a > $o) > a > $o) > ((a > $o) > $o) > $o)).
thf(ccycle, type, cycle : (hypermapa > loopa > (a > $o) > $o)).
thf(csetspec, type, setspec : (((a > $o) > $o) > $o > ((a > $o) > $o) > $o)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > ((a > $o) > $o) > $o),G:(a > ((a > $o) > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(((a > $o) > $o) > $o),T:(((a > $o) > $o) > $o)]:((S = T) <=> ![X:((a > $o) > $o)]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aHypermapo_faceu_set, axiom, ![H:hypermapfunabool]:((faceu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (faceu_map @ H)))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in1 @ X @ (dart0 @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong @ X @ L) & (in1 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_lemmau_cycleu_isu_face, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((cycle @ H @ L) = (orbitu_map @ (fmap @ H @ NF) @ (atom @ H @ L @ X))))).
thf(aHypermapo_lemmau_inu_quotient, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((in @ L @ NF) & (belong @ X @ L)) => (in2 @ (atom @ H @ L @ X) @ (quotientu_darts @ H @ NF)))).
thf(aHypermapo_lemmau_quotient, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (((dart @ (quotient @ H @ NF)) = (quotientu_darts @ H @ NF)) & ((edgeu_map @ (quotient @ H @ NF)) = (emap @ H @ NF)) & ((nodeu_map @ (quotient @ H @ NF)) = (nmap @ H @ NF)) & ((faceu_map @ (quotient @ H @ NF)) = (fmap @ H @ NF))))).
thf(aHypermapo_quotientu_darts, axiom, ![H:hypermapfunabool,NF:(loopfunabool > $o)]:((quotientu_darts0 @ H @ NF) = (gspec @ ^[GENR_PVARR_263:((a > $o) > $o)]:?[L:loopfunabool,X:(a > $o)]:(setspec @ GENR_PVARR_263 @ ((in3 @ L @ NF) & (belong0 @ X @ L)) @ (atom0 @ H @ L @ X))))).
thf(aHypermapo_setu_ofu_orbits, axiom, ![D:((a > $o) > $o),F:((a > $o) > a > $o)]:((setu_ofu_orbits @ D @ F) = (gspec @ ^[GENR_PVARR_233:((a > $o) > $o)]:?[X:(a > $o)]:(setspec @ GENR_PVARR_233 @ (in2 @ X @ D) @ (orbitu_map @ F @ X))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > loopa > $o) > $o),X:loopa]:((in @ X @ (gspec0 @ ^[V:loopa]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:loopa]:(P0 & (X = T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => ((faceu_set @ (quotient @ H @ NF)) = (gspec @ ^[GENR_PVARR_270:((a > $o) > $o)]:?[L:loopa]:(setspec @ GENR_PVARR_270 @ (in @ L @ NF) @ (cycle @ H @ L)))))).
