%   ORIGINAL: Hypermap.lemma_support_cycle
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.cycle: !H L. cycle H L = {atom H L x | x | belong x L}
% Assm: Hypermap.lemma_in_cycle2: !H L x. belong x L ==> atom H L x IN cycle H L
% Assm: Hypermap.lemma_in_loop: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: TRUTH: T
% Goal: !H NF L. is_normal H NF /\ L IN NF ==> dart_of L = UNIONS (cycle H L)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H L x. x IN atom H L x
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H L. cycle H L = {atom H L x | x | belong x L}
% Assm: !H L x. belong x L ==> atom H L x IN cycle H L
% Assm: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: T
% Goal: !H NF L. is_normal H NF /\ L IN NF ==> dart_of L = UNIONS (cycle H L)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tlooploopa, type, looploopa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cin2, type, in2 : ((loopa > $o) > ((loopa > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((loopa > $o) > $o) > loopa > $o)).
thf(cgspec0, type, gspec0 : ((loopa > $o) > loopa > $o)).
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cbelong0, type, belong0 : (a > loopa > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cdartuu_of0, type, dartu_of0 : (looploopa > loopa > $o)).
thf(cbelong, type, belong : (loopa > looploopa > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(csetspec0, type, setspec0 : (loopa > $o > loopa > $o)).
thf(catom0, type, atom0 : (hypermapa > loopa > a > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(catom, type, atom : (hypermaploopa > looploopa > loopa > loopa > $o)).
thf(ccycle, type, cycle : (hypermapa > loopa > (a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermaploopa,L:looploopa,X:loopa]:(in @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_belong, axiom, ![L:looploopa,X:loopa]:((belong @ X @ L) <=> (in @ X @ (dartu_of0 @ L)))).
thf(aHypermapo_cycle, axiom, ![H:hypermapa,L:loopa]:((cycle @ H @ L) = (gspec @ ^[GENR_PVARR_269:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_269 @ (belong0 @ X @ L) @ (atom0 @ H @ L @ X))))).
thf(aHypermapo_lemmau_inu_cycle2, axiom, ![H:hypermapa,L:loopa,X:a]:((belong0 @ X @ L) => (in1 @ (atom0 @ H @ L @ X) @ (cycle @ H @ L)))).
thf(aHypermapo_lemmau_inu_loop, axiom, ![H:hypermaploopa,L:looploopa,X:loopa,Y:loopa]:(((belong @ X @ L) & (in @ Y @ (atom @ H @ L @ X))) => (belong @ Y @ L))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > loopa > $o) > $o),X:loopa]:((in @ X @ (gspec0 @ ^[V:loopa]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:loopa]:(P0 & (X = T))))).
thf(aINu_UNIONS, axiom, ![S:((loopa > $o) > $o),X:loopa]:((in @ X @ (unions0 @ S)) <=> ?[T:(loopa > $o)]:((in2 @ T @ S) & (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_normal @ H @ NF) & (in @ L @ NF)) => ((dartu_of @ L) = (unions @ (cycle @ H @ L))))).
