%   ORIGINAL: Hypermap.lemmaQF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.lemma_cycle_is_face: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> cycle H L = orbit_map (fmap H NF) (atom H L x)
% Assm: Hypermap.lemma_quotient: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: TRUTH: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> face (quotient H NF) (atom H L x) = cycle H L
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> cycle H L = orbit_map (fmap H NF) (atom H L x)
% Assm: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> face (quotient H NF) (atom H L x) = cycle H L
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapfunabool > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnmap, type, nmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cemap, type, emap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
thf(cfmap, type, fmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(corbituu_map, type, orbitu_map : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(ccycle, type, cycle : (hypermapa > loopa > (a > $o) > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
thf(cface, type, face : (hypermapfunabool > (a > $o) > (a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (a > $o) > $o),G:(a > (a > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_face, axiom, ![H:hypermapfunabool,X:(a > $o)]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_lemmau_cycleu_isu_face, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((cycle @ H @ L) = (orbitu_map @ (fmap @ H @ NF) @ (atom @ H @ L @ X))))).
thf(aHypermapo_lemmau_quotient, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (((dart @ (quotient @ H @ NF)) = (quotientu_darts @ H @ NF)) & ((edgeu_map @ (quotient @ H @ NF)) = (emap @ H @ NF)) & ((nodeu_map @ (quotient @ H @ NF)) = (nmap @ H @ NF)) & ((faceu_map @ (quotient @ H @ NF)) = (fmap @ H @ NF))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((face @ (quotient @ H @ NF) @ (atom @ H @ L @ X)) = (cycle @ H @ L)))).
