%   ORIGINAL: Hypermap.lemma_in_QF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.choice_reflect: !H NF x. is_normal H NF ==> x IN choice H NF x
% Assm: Hypermap.lemmaQF: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> face (quotient H NF) (atom H L x) = cycle H L
% Assm: Hypermap.lemma_in_cycle2: !H L x. belong x L ==> atom H L x IN cycle H L
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: Hypermap.lemma_sub_support: !s t. t IN s ==> t SUBSET UNIONS s
% Assm: Hypermap.lemma_support_QF: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> UNIONS (face (quotient H NF) (atom H L x)) = dart_of L
% Assm: Hypermap.unique_choice: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> choice H NF x = atom H L x
% Assm: TRUTH: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> (!y. belong y L <=> choice H NF y IN face (quotient H NF) (atom H L x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H NF x. is_normal H NF ==> x IN choice H NF x
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> face (quotient H NF) (atom H L x) = cycle H L
% Assm: !H L x. belong x L ==> atom H L x IN cycle H L
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !s t. t IN s ==> t SUBSET UNIONS s
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> UNIONS (face (quotient H NF) (atom H L x)) = dart_of L
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> choice H NF x = atom H L x
% Assm: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> (!y. belong y L <=> choice H NF y IN face (quotient H NF) (atom H L x))
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(csubset0, type, subset0 : (((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(csubset, type, subset : ((loopa > $o) > (loopa > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(ccycle, type, cycle : (hypermapa > loopa > (a > $o) > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
thf(cface, type, face : (hypermapfunabool > (a > $o) > (a > $o) > $o)).
thf(cchoice, type, choice : (hypermapa > (loopa > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in1 @ X @ (dartu_of @ L)))).
thf(aHypermapo_choiceu_reflect, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:((isu_normal @ H @ NF) => (in1 @ X @ (choice @ H @ NF @ X)))).
thf(aHypermapo_lemmaQF, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((face @ (quotient @ H @ NF) @ (atom @ H @ L @ X)) = (cycle @ H @ L)))).
thf(aHypermapo_lemmau_inu_cycle2, axiom, ![H:hypermapa,L:loopa,X:a]:((belong @ X @ L) => (in0 @ (atom @ H @ L @ X) @ (cycle @ H @ L)))).
thf(aHypermapo_lemmau_inu_subsetu_monomorphized1, axiom, ![S:(loopa > $o),T:(loopa > $o),X:loopa]:(((subset @ S @ T) & (in @ X @ S)) => (in @ X @ T))).
thf(aHypermapo_lemmau_inu_subsetu_monomorphized0, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o),X:(a > $o)]:(((subset0 @ S @ T) & (in0 @ X @ S)) => (in0 @ X @ T))).
thf(aHypermapo_lemmau_subu_support, axiom, ![S:((a > $o) > $o),T:(a > $o)]:((in0 @ T @ S) => (subset1 @ T @ (unions @ S)))).
thf(aHypermapo_lemmau_supportu_QF, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((unions @ (face @ (quotient @ H @ NF) @ (atom @ H @ L @ X))) = (dartu_of @ L)))).
thf(aHypermapo_uniqueu_choice, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((choice @ H @ NF @ X) = (atom @ H @ L @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ![Y:a]:((belong @ Y @ L) <=> (in0 @ (choice @ H @ NF @ Y) @ (face @ (quotient @ H @ NF) @ (atom @ H @ L @ X)))))).
