%   ORIGINAL: Hypermap.lemma_node_sub_support_darts
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: Hypermap.lemma_node_in_support2: !H NF x n. is_normal H NF /\ x IN support_darts NF ==> (node_map H POWER n) x IN support_darts NF
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.orbit_map: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: LE_0: !n. 0 <= n
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !H NF x. is_normal H NF /\ x IN support_darts NF ==> node H x SUBSET support_darts NF
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m >= n <=> n <= m
% Assm: !H NF x n. is_normal H NF /\ x IN support_darts NF ==> (node_map H POWER n) x IN support_darts NF
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !n. 0 <= n
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !H NF x. is_normal H NF /\ x IN support_darts NF ==> node H x SUBSET support_darts NF
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aHypermapo_lemmau_nodeu_inu_support2, axiom, ![H:hypermapa,NF:(loopa > $o),X:a,N:num]:(((isu_normal @ H @ NF) & (in @ X @ (supportu_darts @ NF))) => (in @ (power @ (nodeu_map @ H) @ N @ X) @ (supportu_darts @ NF)))).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_orbitu_map, axiom, ![F:(a > a),X:a]:((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_229:a]:?[N:num]:(setspec @ GENR_PVARR_229 @ (g_a_ @ N @ (numeral @ u_0)) @ (power @ F @ N @ X))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),X:a]:(((isu_normal @ H @ NF) & (in @ X @ (supportu_darts @ NF))) => (subset @ (node @ H @ X) @ (supportu_darts @ NF)))).
