%   ORIGINAL: Hypermap.lemma_QuotientNode
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.atom_via_choice: !H NF. is_normal H NF ==> (!atm. atm IN quotient_darts H NF <=> (?x. x IN support_darts NF /\ atm = choice H NF x))
% Assm: Hypermap.choice_identity: !H NF x y. is_normal H NF /\ y IN choice H NF x ==> choice H NF y = choice H NF x
% Assm: Hypermap.choice_reflect: !H NF x. is_normal H NF ==> x IN choice H NF x
% Assm: Hypermap.lemma_choice_in_quotient: !H NF. is_normal H NF ==> (!x. choice H NF x IN quotient_darts H NF <=> x IN support_darts NF)
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: Hypermap.lemma_node_subset: !H x. x IN dart H ==> node H x SUBSET dart H
% Assm: Hypermap.lemma_quotient: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: Hypermap.lemma_sub_support: !s t. t IN s ==> t SUBSET UNIONS s
% Assm: Hypermap.lemma_support_QN: !H NF x. is_normal H NF /\ x IN support_darts NF ==> support_node H NF (choice H NF x) = node H x
% Assm: Hypermap.support_node: !H NF atm. support_node H NF atm = UNIONS (node (quotient H NF) atm)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: TRUTH: T
% Goal: !H NF x. is_normal H NF /\ x IN support_darts NF ==> node (quotient H NF) (choice H NF x) = {choice H NF y | y | y IN node H x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H NF. is_normal H NF ==> (!atm. atm IN quotient_darts H NF <=> (?x. x IN support_darts NF /\ atm = choice H NF x))
% Assm: !H NF x y. is_normal H NF /\ y IN choice H NF x ==> choice H NF y = choice H NF x
% Assm: !H NF x. is_normal H NF ==> x IN choice H NF x
% Assm: !H NF. is_normal H NF ==> (!x. choice H NF x IN quotient_darts H NF <=> x IN support_darts NF)
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !H x. x IN dart H ==> node H x SUBSET dart H
% Assm: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: !s t. t IN s ==> t SUBSET UNIONS s
% Assm: !H NF x. is_normal H NF /\ x IN support_darts NF ==> support_node H NF (choice H NF x) = node H x
% Assm: !H NF atm. support_node H NF atm = UNIONS (node (quotient H NF) atm)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: T
% Goal: !H NF x. is_normal H NF /\ x IN support_darts NF ==> node (quotient H NF) (choice H NF x) = {choice H NF y | y | y IN node H x}
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cdart0, type, dart0 : (hypermapfunabool > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csupportuu_node, type, supportu_node : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cfmap, type, fmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cnmap, type, nmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cemap, type, emap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
thf(cnode0, type, node0 : (hypermapa > a > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cchoice, type, choice : (hypermapa > (loopa > $o) > a > a > $o)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
thf(cnode, type, node : (hypermapfunabool > (a > $o) > (a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (a > $o) > $o),G:(a > (a > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((S = T) <=> ![X:(a > $o)]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aHypermapo_atomu_viau_choice, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => ![ATM:(a > $o)]:((in0 @ ATM @ (quotientu_darts @ H @ NF)) <=> ?[X:a]:((in @ X @ (supportu_darts @ NF)) & (ATM = (choice @ H @ NF @ X)))))).
thf(aHypermapo_choiceu_identity, axiom, ![H:hypermapa,NF:(loopa > $o),X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ Y @ (choice @ H @ NF @ X))) => ((choice @ H @ NF @ Y) = (choice @ H @ NF @ X)))).
thf(aHypermapo_choiceu_reflect, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:((isu_normal @ H @ NF) => (in @ X @ (choice @ H @ NF @ X)))).
thf(aHypermapo_lemmau_choiceu_inu_quotient, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => ![X:a]:((in0 @ (choice @ H @ NF @ X) @ (quotientu_darts @ H @ NF)) <=> (in @ X @ (supportu_darts @ NF))))).
thf(aHypermapo_lemmau_inu_subset, axiom, ![S:(a > $o),T:(a > $o),X:a]:(((subset @ S @ T) & (in @ X @ S)) => (in @ X @ T))).
thf(aHypermapo_lemmau_nodeu_subset, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => (subset @ (node0 @ H @ X) @ (dart @ H)))).
thf(aHypermapo_lemmau_quotient, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (((dart0 @ (quotient @ H @ NF)) = (quotientu_darts @ H @ NF)) & ((edgeu_map @ (quotient @ H @ NF)) = (emap @ H @ NF)) & ((nodeu_map @ (quotient @ H @ NF)) = (nmap @ H @ NF)) & ((faceu_map @ (quotient @ H @ NF)) = (fmap @ H @ NF))))).
thf(aHypermapo_lemmau_subu_support, axiom, ![S:((a > $o) > $o),T:(a > $o)]:((in0 @ T @ S) => (subset @ T @ (unions @ S)))).
thf(aHypermapo_lemmau_supportu_QN, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:(((isu_normal @ H @ NF) & (in @ X @ (supportu_darts @ NF))) => ((supportu_node @ H @ NF @ (choice @ H @ NF @ X)) = (node0 @ H @ X)))).
thf(aHypermapo_supportu_node, axiom, ![H:hypermapa,NF:(loopa > $o),ATM:(a > $o)]:((supportu_node @ H @ NF @ ATM) = (unions @ (node @ (quotient @ H @ NF) @ ATM)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_UNIONS, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),X:a]:(((isu_normal @ H @ NF) & (in @ X @ (supportu_darts @ NF))) => ((node @ (quotient @ H @ NF) @ (choice @ H @ NF @ X)) = (gspec @ ^[GENR_PVARR_271:(a > $o)]:?[Y:a]:(setspec @ GENR_PVARR_271 @ (in @ Y @ (node0 @ H @ X)) @ (choice @ H @ NF @ Y)))))).
