%   ORIGINAL: Hypermap.face_map_restrict
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.face_map_inverse_representation: !H x y. y = face_map H x <=> x = inverse (face_map H) y
% Assm: Hypermap.inverse_element_lemma: !s p. FINITE s /\ p permutes s ==> (?j. inverse p = p POWER j)
% Assm: Hypermap.lemma_face_identity: !H x y. y IN face H x ==> face H x = face H y
% Assm: Hypermap.lemma_in_face: !H x n. (face_map H POWER n) x IN face H x
% Assm: Hypermap.res: !f s x. res f s x = (if x IN s then f x else x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSES: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.X_IN_ITS_ORBIT: x IN orbit_map f x
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !H x. res (face_map H) (face H x) permutes face H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f. f POWER 1 = f
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !H x y. y = face_map H x <=> x = inverse (face_map H) y
% Assm: !s p. FINITE s /\ p permutes s ==> (?j. inverse p = p POWER j)
% Assm: !H x y. y IN face H x ==> face H x = face H y
% Assm: !H x n. (face_map H POWER n) x IN face H x
% Assm: !f s x. res f s x = (if x IN s then f x else x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: T
% Assm: !f x. x IN orbit_map f x
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !H x. res (face_map H) (face H x) permutes face H x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cres, type, res : ((a > a) > (a > $o) > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_faceu_mapu_inverseu_representation, axiom, ![H:hypermapa,X:a,Y:a]:((Y = (faceu_map @ H @ X)) <=> (X = (inverse @ (faceu_map @ H) @ Y)))).
thf(aHypermapo_inverseu_elementu_lemma, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((inverse @ P) = (power @ P @ J)))).
thf(aHypermapo_lemmau_faceu_identity, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (face @ H @ X)) => ((face @ H @ X) = (face @ H @ Y)))).
thf(aHypermapo_lemmau_inu_face, axiom, ![H:hypermapa,X:a,N:num]:(in @ (power @ (faceu_map @ H) @ N @ X) @ (face @ H @ X))).
thf(aHypermapo_res, axiom, ![F:(a > a),S:(a > $o),X:a]:((res @ F @ S @ X) = (cond @ (in @ X @ S) @ (F @ X) @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSES, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (![X:a]:((P @ (inverse @ P @ X)) = X) & ![X:a]:((inverse @ P @ (P @ X)) = X)))).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_Xu_INu_ITSu_ORBIT, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(apermutes, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) <=> (![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(permutes @ (res @ (faceu_map @ H) @ (face @ H @ X)) @ (face @ H @ X))).
