%   ORIGINAL: Hypermap.power_res_face_map
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: Hypermap.lemma_in_face: !H x n. (face_map H POWER n) x IN face H x
% Assm: Hypermap.res: !f s x. res f s x = (if x IN s then f x else x)
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H x n. (res (face_map H) (face H x) POWER n) x = (face_map H POWER n) x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !f. f POWER 0 = I
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !H x n. (face_map H POWER n) x IN face H x
% Assm: !f s x. res f s x = (if x IN s then f x else x)
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H x n. (res (face_map H) (face H x) POWER n) x = (face_map H POWER n) x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(co0, type, o0 : ((b > a) > (a > b) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cres, type, res : ((a > a) > (a > $o) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aHypermapo_lemmau_inu_face, axiom, ![H:hypermapa,X:a,N:num]:(in @ (power @ (faceu_map @ H) @ N @ X) @ (face @ H @ X))).
thf(aHypermapo_res, axiom, ![F:(a > a),S:(a > $o),X:a]:((res @ F @ S @ X) = (cond @ (in @ X @ S) @ (F @ X) @ X))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THM, axiom, ![F:(b > a),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,X:a,N:num]:((power @ (res @ (faceu_map @ H) @ (face @ H @ X)) @ N @ X) = (power @ (faceu_map @ H) @ N @ X))).
