%   ORIGINAL: Hypermap.face_loop_rep
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.FACE_FINITE: !H x. FINITE (face H x)
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.face_loop: !H x. face_loop H x = loop (face H x,res (face_map H) (face H x))
% Assm: Hypermap.face_map_restrict: !H x. res (face_map H) (face H x) permutes face H x
% Assm: Hypermap.lemma_loop_representation: !s p x. FINITE s /\ p permutes s /\ orbit_map p x = s ==> dart_of (loop (s,p)) = s /\ next (loop (s,p)) = p
% Assm: Hypermap.orbit_map: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: Hypermap.power_res_face_map: !H x n. (res (face_map H) (face H x) POWER n) x = (face_map H POWER n) x
% Assm: TRUTH: T
% Goal: !H x. dart_of (face_loop H x) = face H x /\ next (face_loop H x) = res (face_map H) (face H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x. FINITE (face H x)
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H x. face_loop H x = loop (face H x,res (face_map H) (face H x))
% Assm: !H x. res (face_map H) (face H x) permutes face H x
% Assm: !s p x. FINITE s /\ p permutes s /\ orbit_map p x = s ==> dart_of (loop (s,p)) = s /\ next (loop (s,p)) = p
% Assm: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: !H x n. (res (face_map H) (face H x) POWER n) x = (face_map H POWER n) x
% Assm: T
% Goal: !H x. dart_of (face_loop H x) = face H x /\ next (face_loop H x) = res (face_map H) (face H x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tprodfunaboolfunaa, type, prodfunaboolfunaa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunaa, type, funaa : $tType).
%  CONSTS
thf(cloop, type, loop : (prodfunaboolfunaa > loopa)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(ccu_, type, c_ : ((a > $o) > (a > a) > prodfunaboolfunaa)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cres, type, res : ((a > a) > (a > $o) > a > a)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cfaceuu_loop, type, faceu_loop : (hypermapa > a > loopa)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_FACEu_FINITE, axiom, ![H:hypermapa,X:a]:(finite @ (face @ H @ X))).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_faceu_loop, axiom, ![H:hypermapa,X:a]:((faceu_loop @ H @ X) = (loop @ (c_ @ (face @ H @ X) @ (res @ (faceu_map @ H) @ (face @ H @ X)))))).
thf(aHypermapo_faceu_mapu_restrict, axiom, ![H:hypermapa,X:a]:(permutes @ (res @ (faceu_map @ H) @ (face @ H @ X)) @ (face @ H @ X))).
thf(aHypermapo_lemmau_loopu_representation, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S) & ((orbitu_map @ P @ X) = S)) => (((dartu_of @ (loop @ (c_ @ S @ P))) = S) & ((next @ (loop @ (c_ @ S @ P))) = P)))).
thf(aHypermapo_orbitu_map, axiom, ![F:(a > a),X:a]:((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_229:a]:?[N:num]:(setspec @ GENR_PVARR_229 @ (g_a_ @ N @ (numeral @ u_0)) @ (power @ F @ N @ X))))).
thf(aHypermapo_poweru_resu_faceu_map, axiom, ![H:hypermapa,X:a,N:num]:((power @ (res @ (faceu_map @ H) @ (face @ H @ X)) @ N @ X) = (power @ (faceu_map @ H) @ N @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((dartu_of @ (faceu_loop @ H @ X)) = (face @ H @ X)) & ((next @ (faceu_loop @ H @ X)) = (res @ (faceu_map @ H) @ (face @ H @ X))))).
