%   ORIGINAL: Hypermap.lemma_inverse_res
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Fan.POWER_conjunct1: !f n. f POWER SUC n = (f POWER n) o f
% Assm: Hypermap.RIGHT_MULT_MAP: !u v w. u = v ==> u o w = v o w
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.face_map_restrict: !H x. res (face_map H) (face H x) permutes face H x
% Assm: Hypermap.inverse_element_lemma: !s p. FINITE s /\ p permutes s ==> (?j. inverse p = p POWER j)
% Assm: Hypermap.lemma_face_identity: !H x y. y IN face H x ==> face H x = face H y
% Assm: Hypermap.power_permutation_outside_domain: !s p x n. p permutes s /\ ~(x IN s) ==> (p POWER n) x = x
% Assm: Hypermap.power_res_face_map: !H x n. (res (face_map H) (face H x) POWER n) x = (face_map H POWER n) x
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSES_o: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Goal: !H x y. y IN face H x ==> inverse (res (face_map H) (face H x)) y = inverse (face_map H) y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f n. f POWER SUC n = (f POWER n) o f
% Assm: !u v w. u = v ==> u o w = v o w
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !H x. res (face_map H) (face H x) permutes face H x
% Assm: !s p. FINITE s /\ p permutes s ==> (?j. inverse p = p POWER j)
% Assm: !H x y. y IN face H x ==> face H x = face H y
% Assm: !s p x n. p permutes s /\ ~(x IN s) ==> (p POWER n) x = x
% Assm: !H x n. (res (face_map H) (face H x) POWER n) x = (face_map H POWER n) x
% Assm: !f. I o f = f /\ f o I = f
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Goal: !H x y. y IN face H x ==> inverse (res (face_map H) (face H x)) y = inverse (face_map H) y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tc, type, c : $tType).
thf(td, type, d : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co5, type, o5 : ((c > d) > (b > c) > b > d)).
thf(co4, type, o4 : ((b > d) > (a > b) > a > d)).
thf(co3, type, o3 : ((b > c) > (a > b) > a > c)).
thf(co2, type, o2 : ((c > d) > (a > c) > a > d)).
thf(co1, type, o1 : ((a > b) > (a > a) > a > b)).
thf(co0, type, o0 : ((b > b) > (a > b) > a > b)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cres, type, res : ((a > a) > (a > $o) > a > a)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci0, type, i0 : (a > a)).
thf(ci, type, i : (b > b)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > a),G:(a > a)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFano_POWERu_conjunct1, axiom, ![F:(a > a),N:num]:((power @ F @ (suc @ N)) = (o @ (power @ F @ N) @ F))).
thf(aHypermapo_RIGHTu_MULTu_MAP, axiom, ![U:(a > a),V:(a > a),W:(a > a)]:((U = V) => ((o @ U @ W) = (o @ V @ W)))).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_faceu_mapu_restrict, axiom, ![H:hypermapa,X:a]:(permutes @ (res @ (faceu_map @ H) @ (face @ H @ X)) @ (face @ H @ X))).
thf(aHypermapo_inverseu_elementu_lemma, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((inverse @ P) = (power @ P @ J)))).
thf(aHypermapo_lemmau_faceu_identity, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (face @ H @ X)) => ((face @ H @ X) = (face @ H @ Y)))).
thf(aHypermapo_poweru_permutationu_outsideu_domain, axiom, ![S:(a > $o),P:(a > a),X:a,N:num]:(((permutes @ P @ S) & ~ ((in @ X @ S))) => ((power @ P @ N @ X) = X))).
thf(aHypermapo_poweru_resu_faceu_map, axiom, ![H:hypermapa,X:a,N:num]:((power @ (res @ (faceu_map @ H) @ (face @ H @ X)) @ N @ X) = (power @ (faceu_map @ H) @ N @ X))).
thf(aIu_Ou_ID, axiom, ![F:(a > b)]:(((o0 @ i @ F) = F) & ((o1 @ F @ i0) = F))).
thf(aIu_THM, axiom, ![X:a]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSESu_o, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (((o @ P @ (inverse @ P)) = i0) & ((o @ (inverse @ P) @ P) = i0)))).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(c > d),G:(b > c),H:(a > b)]:((o2 @ F @ (o3 @ G @ H)) = (o4 @ (o5 @ F @ G) @ H))).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (face @ H @ X)) => ((inverse @ (res @ (faceu_map @ H) @ (face @ H @ X)) @ Y) = (inverse @ (faceu_map @ H) @ Y)))).
