%   ORIGINAL: Hypermap.lemma_edge_nondegenerate
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.is_edge_nondegenerate: !H. is_edge_nondegenerate H <=> (!x. x IN dart H ==> ~(edge_map H x = x))
% Assm: Hypermap.lemma_edge_degenerate: !H x. edge_map H x = x <=> face_map H x = inverse (node_map H) x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H. is_edge_nondegenerate H <=> (!x. x IN dart H ==> ~(face_map H x = inverse (node_map H) x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !H. is_edge_nondegenerate H <=> (!x. x IN dart H ==> ~(edge_map H x = x))
% Assm: !H x. edge_map H x = x <=> face_map H x = inverse (node_map H) x
% Assm: ~F <=> T
% Assm: T
% Goal: !H. is_edge_nondegenerate H <=> (!x. x IN dart H ==> ~(face_map H x = inverse (node_map H) x))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cisuu_edgeuu_nondegenerate, type, isu_edgeu_nondegenerate : (hypermapa > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_isu_edgeu_nondegenerate, axiom, ![H:hypermapa]:((isu_edgeu_nondegenerate @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => ~ (((edgeu_map @ H @ X) = X))))).
thf(aHypermapo_lemmau_edgeu_degenerate, axiom, ![H:hypermapa,X:a]:(((edgeu_map @ H @ X) = X) <=> ((faceu_map @ H @ X) = (inverse @ (nodeu_map @ H) @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:((isu_edgeu_nondegenerate @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => ~ (((faceu_map @ H @ X) = (inverse @ (nodeu_map @ H) @ X)))))).
