%   ORIGINAL: Hypermap.lemma_card_face_collection
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_IMAGE_INJ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: Hypermap.FINITE_HYPERMAP_ORBITS: !H. FINITE (edge_set H) /\ FINITE (node_set H) /\ FINITE (face_set H)
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.face_collection: !H. face_collection H = {face_loop H x | x | x IN dart H}
% Assm: Hypermap.face_loop: !H x. face_loop H x = loop (face H x,res (face_map H) (face H x))
% Assm: Hypermap.face_loop_rep: !H x. dart_of (face_loop H x) = face H x /\ next (face_loop H x) = res (face_map H) (face H x)
% Assm: Hypermap.face_set: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: Hypermap.lemma_face_representation: !H u. u IN face_set H ==> (?x. x IN dart H /\ u = face H x)
% Assm: Hypermap.lemma_in_face_set: !H x. x IN dart H <=> face H x IN face_set H
% Assm: Hypermap.number_of_faces: !H. number_of_faces H = CARD (face_set H)
% Assm: Hypermap.set_of_orbits: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Goal: !H. FINITE (face_collection H) /\ CARD (face_collection H) = number_of_faces H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !H. FINITE (edge_set H) /\ FINITE (node_set H) /\ FINITE (face_set H)
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H. face_collection H = {face_loop H x | x | x IN dart H}
% Assm: !H x. face_loop H x = loop (face H x,res (face_map H) (face H x))
% Assm: !H x. dart_of (face_loop H x) = face H x /\ next (face_loop H x) = res (face_map H) (face H x)
% Assm: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: !H u. u IN face_set H ==> (?x. x IN dart H /\ u = face H x)
% Assm: !H x. x IN dart H <=> face H x IN face_set H
% Assm: !H. number_of_faces H = CARD (face_set H)
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Goal: !H. FINITE (face_collection H) /\ CARD (face_collection H) = number_of_faces H
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tloopa, type, loopa : $tType).
thf(tprodfunaboolfunaa, type, prodfunaboolfunaa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunaa, type, funaa : $tType).
%  CONSTS
thf(cloop, type, loop : (prodfunaboolfunaa > loopa)).
thf(cgspec2, type, gspec2 : ((q43851 > $o) > q43851 > $o)).
thf(cin2, type, in2 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec1, type, gspec1 : ((num > $o) > num > $o)).
thf(cgspec0, type, gspec0 : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cgspec, type, gspec : ((loopa > $o) > loopa > $o)).
thf(cfaceuu_set, type, faceu_set : (hypermapa > (a > $o) > $o)).
thf(cnodeuu_set, type, nodeu_set : (hypermapa > (a > $o) > $o)).
thf(cedgeuu_set, type, edgeu_set : (hypermapa > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cfaceuu_collection, type, faceu_collection : (hypermapa > loopa > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(csetspec2, type, setspec2 : (q43851 > $o > q43851 > $o)).
thf(csetspec1, type, setspec1 : (num > $o > num > $o)).
thf(cimage1, type, image1 : ((a > num) > (a > $o) > num > $o)).
thf(csetspec0, type, setspec0 : ((a > $o) > $o > (a > $o) > $o)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(cres, type, res : ((a > a) > (a > $o) > a > a)).
thf(ccu_, type, c_ : ((a > $o) > (a > a) > prodfunaboolfunaa)).
thf(cfaceuu_loop, type, faceu_loop : (hypermapa > a > loopa)).
thf(csetspec, type, setspec : (loopa > $o > loopa > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cimage0, type, image0 : ((loopa > loopa) > (loopa > $o) > loopa > $o)).
thf(cimage, type, image : ((num > num) > (num > $o) > num > $o)).
thf(cfinite1, type, finite1 : (((a > $o) > $o) > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cnumberuu_ofuu_faces, type, numberu_ofu_faces : (hypermapa > num)).
thf(cfinite, type, finite : ((loopa > $o) > $o)).
thf(ccard1, type, card1 : (((a > $o) > $o) > num)).
thf(ccard0, type, card0 : ((num > $o) > num)).
thf(ccard, type, card : ((loopa > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_IMAGEu_INJ, axiom, ![F:(num > num),S:(num > $o)]:((![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite0 @ S)) => ((card0 @ (image @ F @ S)) = (card0 @ S)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(loopa > loopa),S:(loopa > $o)]:((finite @ S) => (finite @ (image0 @ F @ S)))).
thf(aHypermapo_FINITEu_HYPERMAPu_ORBITS, axiom, ![H:hypermapa]:((finite1 @ (edgeu_set @ H)) & (finite1 @ (nodeu_set @ H)) & (finite1 @ (faceu_set @ H)))).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_faceu_collection, axiom, ![H:hypermapa]:((faceu_collection @ H) = (gspec @ ^[GENR_PVARR_272:loopa]:?[X:a]:(setspec @ GENR_PVARR_272 @ (in0 @ X @ (dart @ H)) @ (faceu_loop @ H @ X))))).
thf(aHypermapo_faceu_loop, axiom, ![H:hypermapa,X:a]:((faceu_loop @ H @ X) = (loop @ (c_ @ (face @ H @ X) @ (res @ (faceu_map @ H) @ (face @ H @ X)))))).
thf(aHypermapo_faceu_loopu_rep, axiom, ![H:hypermapa,X:a]:(((dartu_of @ (faceu_loop @ H @ X)) = (face @ H @ X)) & ((next @ (faceu_loop @ H @ X)) = (res @ (faceu_map @ H) @ (face @ H @ X))))).
thf(aHypermapo_faceu_set, axiom, ![H:hypermapa]:((faceu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (faceu_map @ H)))).
thf(aHypermapo_lemmau_faceu_representation, axiom, ![H:hypermapa,U:(a > $o)]:((in1 @ U @ (faceu_set @ H)) => ?[X:a]:((in0 @ X @ (dart @ H)) & (U = (face @ H @ X))))).
thf(aHypermapo_lemmau_inu_faceu_set, axiom, ![H:hypermapa,X:a]:((in0 @ X @ (dart @ H)) <=> (in1 @ (face @ H @ X) @ (faceu_set @ H)))).
thf(aHypermapo_numberu_ofu_faces, axiom, ![H:hypermapa]:((numberu_ofu_faces @ H) = (card1 @ (faceu_set @ H)))).
thf(aHypermapo_setu_ofu_orbits, axiom, ![D:(a > $o),F:(a > a)]:((setu_ofu_orbits @ D @ F) = (gspec0 @ ^[GENR_PVARR_233:(a > $o)]:?[X:a]:(setspec0 @ GENR_PVARR_233 @ (in0 @ X @ D) @ (orbitu_map @ F @ X))))).
thf(aIMAGE, axiom, ![S:(a > $o),F:(a > num)]:((image1 @ F @ S) = (gspec1 @ ^[GENR_PVARR_7:num]:?[Y:num]:(setspec1 @ GENR_PVARR_7 @ ?[X:a]:((in0 @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > num > $o) > $o),X:num]:((in @ X @ (gspec1 @ ^[V:num]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:num]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in2 @ X @ (gspec2 @ ^[V:q43851]:?[Y:q43851]:(setspec2 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:((finite @ (faceu_collection @ H)) & ((card @ (faceu_collection @ H)) = (numberu_ofu_faces @ H)))).
