%   ORIGINAL: Hypermap.lemma_inverse_in_face
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.inverse_element_lemma: !s p. FINITE s /\ p permutes s ==> (?j. inverse p = p POWER j)
% Assm: Hypermap.lemma_face_identity: !H x y. y IN face H x ==> face H x = face H y
% Assm: Hypermap.lemma_in_face: !H x n. (face_map H POWER n) x IN face H x
% Assm: TRUTH: T
% Goal: !H x y. y IN face H x ==> inverse (face_map H) y IN face H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !s p. FINITE s /\ p permutes s ==> (?j. inverse p = p POWER j)
% Assm: !H x y. y IN face H x ==> face H x = face H y
% Assm: !H x n. (face_map H POWER n) x IN face H x
% Assm: T
% Goal: !H x y. y IN face H x ==> inverse (face_map H) y IN face H x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_inverseu_elementu_lemma, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((inverse @ P) = (power @ P @ J)))).
thf(aHypermapo_lemmau_faceu_identity, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (face @ H @ X)) => ((face @ H @ X) = (face @ H @ Y)))).
thf(aHypermapo_lemmau_inu_face, axiom, ![H:hypermapa,X:a,N:num]:(in @ (power @ (faceu_map @ H) @ N @ X) @ (face @ H @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (face @ H @ X)) => (in @ (inverse @ (faceu_map @ H) @ Y) @ (face @ H @ X)))).
