%   ORIGINAL: Hypermap.lemma_power_inverse_in_node
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_in_node2: !H x n. (node_map H POWER n) x IN node H x
% Assm: Hypermap.lemma_node_identity: !H x y. y IN node H x ==> node H x = node H y
% Assm: Hypermap.node_map_and_darts: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: Hypermap.power_inverse_element_lemma: !s p n. FINITE s /\ p permutes s ==> (?j. inverse p POWER n = p POWER j)
% Assm: TRUTH: T
% Goal: !H x y n. y IN node H x ==> (inverse (node_map H) POWER n) y IN node H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x n. (node_map H POWER n) x IN node H x
% Assm: !H x y. y IN node H x ==> node H x = node H y
% Assm: !H. FINITE (dart H) /\ node_map H permutes dart H
% Assm: !s p n. FINITE s /\ p permutes s ==> (?j. inverse p POWER n = p POWER j)
% Assm: T
% Goal: !H x y n. y IN node H x ==> (inverse (node_map H) POWER n) y IN node H x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_inu_node2, axiom, ![H:hypermapa,X:a,N:num]:(in @ (power @ (nodeu_map @ H) @ N @ X) @ (node @ H @ X))).
thf(aHypermapo_lemmau_nodeu_identity, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (node @ H @ X)) => ((node @ H @ X) = (node @ H @ Y)))).
thf(aHypermapo_nodeu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)))).
thf(aHypermapo_poweru_inverseu_elementu_lemma, axiom, ![S:(a > $o),P:(a > a),N:num]:(((finite @ S) & (permutes @ P @ S)) => ?[J:num]:((power @ (inverse @ P) @ N) = (power @ P @ J)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,Y:a,N:num]:((in @ Y @ (node @ H @ X)) => (in @ (power @ (inverse @ (nodeu_map @ H)) @ N @ Y) @ (node @ H @ X)))).
