%   ORIGINAL: Hypermap.set_one_point
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_DELETE: !x s. FINITE s ==> CARD (s DELETE x) = (if x IN s then CARD s - 1 else CARD s)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_DELETE_IMP: !s x. FINITE s ==> FINITE (s DELETE x)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HAS_SIZE_0: !s. s HAS_SIZE 0 <=> s = {}
% Assm: INSERT_DELETE: !x s. x IN s ==> x INSERT (s DELETE x) = s
% Assm: SUB_REFL: !n. n - n = 0
% Assm: TRUTH: T
% Goal: !s x. FINITE s /\ CARD s = 1 /\ x IN s ==> s = {x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x s. FINITE s ==> CARD (s DELETE x) = (if x IN s then CARD s - 1 else CARD s)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s x. FINITE s ==> FINITE (s DELETE x)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s. s HAS_SIZE 0 <=> s = {}
% Assm: !x s. x IN s ==> x INSERT (s DELETE x) = s
% Assm: !n. n - n = 0
% Assm: T
% Goal: !s x. FINITE s /\ CARD s = 1 /\ x IN s ==> s = {x}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(chasuu_size, type, hasu_size : ((a > $o) > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccond0, type, cond0 : ($o > (a > $o) > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_DELETE, axiom, ![X:a,S:(a > $o)]:((finite @ S) => ((card @ (delete @ S @ X)) = (cond @ (in @ X @ S) @ (m_ @ (card @ S) @ (numeral @ (bit1 @ u_0))) @ (card @ S))))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:(a > $o),T2:(a > $o)]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_DELETEu_IMP, axiom, ![S:(a > $o),X:a]:((finite @ S) => (finite @ (delete @ S @ X)))).
thf(aHASu_SIZE, axiom, ![S:(a > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aHASu_SIZEu_0, axiom, ![S:(a > $o)]:((hasu_size @ S @ (numeral @ u_0)) <=> (S = empty))).
thf(aINSERTu_DELETE, axiom, ![X:a,S:(a > $o)]:((in @ X @ S) => ((insert @ X @ (delete @ S @ X)) = S))).
thf(aSUBu_REFL, axiom, ![N:num]:((m_ @ N @ N) = (numeral @ u_0))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),X:a]:(((finite @ S) & ((card @ S) = (numeral @ (bit1 @ u_0))) & (in @ X @ S)) => (S = (insert @ X @ empty)))).
