%   ORIGINAL: Hypermap.lemma_cyclic_nmap
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.in_list: !x p n. in_list p n x <=> x IN support_list p n
% Assm: Hypermap.lemma_cyclic_node_map: !p q k x. (~(x IN support_list p k UNION support_list q k) ==> cyc_nmap p q k x = x) /\ (x IN support_list p k UNION support_list q k ==> (x IN support_list p k ==> (?j. j <= k /\ x = p j /\ cyc_nmap p q k x = q j)) /\ (~(x IN support_list p k) ==> (?j. j <= k /\ x = q j /\ cyc_nmap p q k x = p j)))
% Assm: Hypermap.lemma_element_in_list: !p n i. i <= n ==> in_list p n (p i)
% Assm: Hypermap.lemma_inj_list2: !p n. is_inj_list p n <=> (!i j. i <= n /\ j <= n /\ p i = p j ==> i = j)
% Assm: Hypermap.lemma_list_disjoint2: !p q n m. is_disjoint p q n m <=> (!i. i <= m ==> ~in_list p n (q i))
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !p q k. is_inj_list p k /\ is_inj_list q k /\ is_disjoint p q k k ==> (!i. i <= k ==> cyc_nmap p q k (p i) = q i /\ cyc_nmap p q k (q i) = p i)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x p n. in_list p n x <=> x IN support_list p n
% Assm: !p q k x. (~(x IN support_list p k UNION support_list q k) ==> cyc_nmap p q k x = x) /\ (x IN support_list p k UNION support_list q k ==> (x IN support_list p k ==> (?j. j <= k /\ x = p j /\ cyc_nmap p q k x = q j)) /\ (~(x IN support_list p k) ==> (?j. j <= k /\ x = q j /\ cyc_nmap p q k x = p j)))
% Assm: !p n i. i <= n ==> in_list p n (p i)
% Assm: !p n. is_inj_list p n <=> (!i j. i <= n /\ j <= n /\ p i = p j ==> i = j)
% Assm: !p q n m. is_disjoint p q n m <=> (!i. i <= m ==> ~in_list p n (q i))
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: T
% Goal: !p q k. is_inj_list p k /\ is_inj_list q k /\ is_disjoint p q k k ==> (!i. i <= k ==> cyc_nmap p q k (p i) = q i /\ cyc_nmap p q k (q i) = p i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(csupportuu_list, type, supportu_list : ((num > a) > num > a > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(ccycuu_nmap, type, cycu_nmap : ((num > a) > (num > a) > num > a > a)).
thf(cisuu_disjoint, type, isu_disjoint : ((num > a) > (num > a) > num > num > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_inu_list, axiom, ![X:a,P:(num > a),N:num]:((inu_list @ P @ N @ X) <=> (in @ X @ (supportu_list @ P @ N)))).
thf(aHypermapo_lemmau_cyclicu_nodeu_map, axiom, ![P:(num > a),Q:(num > a),K:num,X:a]:((~ ((in @ X @ (union @ (supportu_list @ P @ K) @ (supportu_list @ Q @ K)))) => ((cycu_nmap @ P @ Q @ K @ X) = X)) & ((in @ X @ (union @ (supportu_list @ P @ K) @ (supportu_list @ Q @ K))) => (((in @ X @ (supportu_list @ P @ K)) => ?[J:num]:((l_a_ @ J @ K) & (X = (P @ J)) & ((cycu_nmap @ P @ Q @ K @ X) = (Q @ J)))) & (~ ((in @ X @ (supportu_list @ P @ K))) => ?[J:num]:((l_a_ @ J @ K) & (X = (Q @ J)) & ((cycu_nmap @ P @ Q @ K @ X) = (P @ J)))))))).
thf(aHypermapo_lemmau_elementu_inu_list, axiom, ![P:(num > a),N:num,I:num]:((l_a_ @ I @ N) => (inu_list @ P @ N @ (P @ I)))).
thf(aHypermapo_lemmau_inju_list2, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) <=> ![I:num,J:num]:(((l_a_ @ I @ N) & (l_a_ @ J @ N) & ((P @ I) = (P @ J))) => (I = J)))).
thf(aHypermapo_lemmau_listu_disjoint2, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_disjoint @ P @ Q @ N @ M) <=> ![I:num]:((l_a_ @ I @ M) => ~ ((inu_list @ P @ N @ (Q @ I)))))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(num > a),Q:(num > a),K:num]:(((isu_inju_list @ P @ K) & (isu_inju_list @ Q @ K) & (isu_disjoint @ P @ Q @ K @ K)) => ![I:num]:((l_a_ @ I @ K) => (((cycu_nmap @ P @ Q @ K @ (P @ I)) = (Q @ I)) & ((cycu_nmap @ P @ Q @ K @ (Q @ I)) = (P @ I)))))).
