%   ORIGINAL: Hypermap.margin_in_support_darts
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.change_to_margin: !H NF x L. is_normal H NF /\ L IN NF /\ belong x L ==> atom H L x = atom H L (tail H NF x) /\ atom H L x = atom H L (head H NF x)
% Assm: Hypermap.lemma_atom_sub_loop: !H L x. belong x L ==> atom H L x SUBSET dart_of L
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: Hypermap.lemma_in_support: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: Hypermap.lemma_in_support2: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: TRUTH: T
% Goal: !H NF x. is_normal H NF /\ x IN support_darts NF ==> head H NF x IN support_darts NF /\ tail H NF x IN support_darts NF
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L x. x IN atom H L x
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H NF x L. is_normal H NF /\ L IN NF /\ belong x L ==> atom H L x = atom H L (tail H NF x) /\ atom H L x = atom H L (head H NF x)
% Assm: !H L x. belong x L ==> atom H L x SUBSET dart_of L
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: T
% Goal: !H NF x. is_normal H NF /\ x IN support_darts NF ==> head H NF x IN support_darts NF /\ tail H NF x IN support_darts NF
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (loopa > (loopa > $o) > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(ctail, type, tail : (hypermapa > (loopa > $o) > a > a)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermapa,L:loopa,X:a]:(in @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_changeu_tou_margin, axiom, ![H:hypermapa,NF:(loopa > $o),X:a,L:loopa]:(((isu_normal @ H @ NF) & (in0 @ L @ NF) & (belong @ X @ L)) => (((atom @ H @ L @ X) = (atom @ H @ L @ (tail @ H @ NF @ X))) & ((atom @ H @ L @ X) = (atom @ H @ L @ (head @ H @ NF @ X)))))).
thf(aHypermapo_lemmau_atomu_subu_loop, axiom, ![H:hypermapa,L:loopa,X:a]:((belong @ X @ L) => (subset @ (atom @ H @ L @ X) @ (dartu_of @ L)))).
thf(aHypermapo_lemmau_inu_subset, axiom, ![S:(a > $o),T:(a > $o),X:a]:(((subset @ S @ T) & (in @ X @ S)) => (in @ X @ T))).
thf(aHypermapo_lemmau_inu_support, axiom, ![NF:(loopa > $o),X:a]:((in @ X @ (supportu_darts @ NF)) <=> ?[L:loopa]:((in0 @ L @ NF) & (belong @ X @ L)))).
thf(aHypermapo_lemmau_inu_support2, axiom, ![NF:(loopa > $o),L:loopa,X:a]:(((belong @ X @ L) & (in0 @ L @ NF)) => (in @ X @ (supportu_darts @ NF)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),X:a]:(((isu_normal @ H @ NF) & (in @ X @ (supportu_darts @ NF))) => ((in @ (head @ H @ NF @ X) @ (supportu_darts @ NF)) & (in @ (tail @ H @ NF @ X) @ (supportu_darts @ NF))))).
