%   ORIGINAL: Hypermap.lemma_node_nondegenerate
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct3: !n. BIT1 n <= _0 <=> F
% Assm: ARITH_LE_conjunct7: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Hypermap.CARD_ATLEAST_2: !s x y. FINITE s /\ x IN s /\ y IN s /\ ~(x = y) ==> 2 <= CARD s
% Assm: Hypermap.CARD_SINGLETON: !x. CARD {x} = 1
% Assm: Hypermap.NODE_FINITE: !H x. FINITE (node H x)
% Assm: Hypermap.lemma_in_node2: !H x n. (node_map H POWER n) x IN node H x
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.node_refl: !H x. x IN node H x
% Assm: Hypermap.orbit_one_point: !f x. f x = x <=> orbit_map f x = {x}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Tame_defs.is_node_nondegenerate: !H. is_node_nondegenerate H <=> (!x. x IN dart H ==> ~(node_map H x = x))
% Goal: !H. is_node_nondegenerate H <=> (!x. x IN dart H ==> 2 <= CARD (node H x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: !n. BIT1 n <= _0 <=> F
% Assm: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: !f. f POWER 1 = f
% Assm: !s x y. FINITE s /\ x IN s /\ y IN s /\ ~(x = y) ==> 2 <= CARD s
% Assm: !x. CARD {x} = 1
% Assm: !H x. FINITE (node H x)
% Assm: !H x n. (node_map H POWER n) x IN node H x
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !H x. x IN node H x
% Assm: !f x. (f x <=> x) <=> orbit_map f x = {x}
% Assm: ~F <=> T
% Assm: T
% Assm: !H. is_node_nondegenerate H <=> (!x. x IN dart H ==> ~(node_map H x = x))
% Goal: !H. is_node_nondegenerate H <=> (!x. x IN dart H ==> 2 <= CARD (node H x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinsert0, type, insert0 : ($o > ($o > $o) > $o > $o)).
thf(corbituu_map0, type, orbitu_map0 : (($o > $o) > $o > $o > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cempty0, type, empty0 : ($o > $o)).
thf(cisuu_nodeuu_nondegenerate, type, isu_nodeu_nondegenerate : (hypermapa > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct3, axiom, ![N:num]:((l_a_ @ (bit1 @ N) @ u_0) <=> $false)).
thf(aARITHu_LEu_conjunct7, axiom, ![M:num,N:num]:((l_a_ @ (bit0 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aHypermapo_CARDu_ATLEASTu_2, axiom, ![S:(a > $o),X:a,Y:a]:(((finite @ S) & (in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (card @ S)))).
thf(aHypermapo_CARDu_SINGLETON, axiom, ![X:a]:((card @ (insert @ X @ empty)) = (numeral @ (bit1 @ u_0)))).
thf(aHypermapo_NODEu_FINITE, axiom, ![H:hypermapa,X:a]:(finite @ (node @ H @ X))).
thf(aHypermapo_lemmau_inu_node2, axiom, ![H:hypermapa,X:a,N:num]:(in @ (power @ (nodeu_map @ H) @ N @ X) @ (node @ H @ X))).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_nodeu_refl, axiom, ![H:hypermapa,X:a]:(in @ X @ (node @ H @ X))).
thf(aHypermapo_orbitu_oneu_point, axiom, ![F:($o > $o),X:$o]:(((F @ X) <=> X) <=> ((orbitu_map0 @ F @ X) = (insert0 @ X @ empty0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTameu_defso_isu_nodeu_nondegenerate, axiom, ![H:hypermapa]:((isu_nodeu_nondegenerate @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => ~ (((nodeu_map @ H @ X) = X))))).
thf(conjecture, conjecture, ![H:hypermapa]:((isu_nodeu_nondegenerate @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => (l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (card @ (node @ H @ X)))))).
