%   ORIGINAL: Hypermap.lemma_increasing_index
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_increasing_index_one: !H x n. is_node_nondegenerate H /\ x IN dart H ==> ind H x n < ind H x (SUC n)
% Assm: LT_LE: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: LT_TRANS: !m n p. m < n /\ n < p ==> m < p
% Assm: LT_conjunct0: !m. m < 0 <=> F
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H x n m. is_node_nondegenerate H /\ x IN dart H /\ n < m ==> ind H x n < ind H x m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x n. is_node_nondegenerate H /\ x IN dart H ==> ind H x n < ind H x (SUC n)
% Assm: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: !m n. m < SUC n <=> m <= n
% Assm: !m n p. m < n /\ n < p ==> m < p
% Assm: !m. m < 0 <=> F
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H x n m. is_node_nondegenerate H /\ x IN dart H /\ n < m ==> ind H x n < ind H x m
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cind, type, ind : (hypermapa > a > num > num)).
thf(cisuu_nodeuu_nondegenerate, type, isu_nodeu_nondegenerate : (hypermapa > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_increasingu_indexu_one, axiom, ![H:hypermapa,X:a,N:num]:(((isu_nodeu_nondegenerate @ H) & (in @ X @ (dart @ H))) => (l_ @ (ind @ H @ X @ N) @ (ind @ H @ X @ (suc @ N))))).
thf(aLTu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ((l_a_ @ M @ N) & ~ ((M = N))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aLTu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_ @ N @ P)) => (l_ @ M @ P))).
thf(aLTu_conjunct0, axiom, ![M:num]:((l_ @ M @ (numeral @ u_0)) <=> $false)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![H:hypermapa,X:a,N:num,M:num]:(((isu_nodeu_nondegenerate @ H) & (in @ X @ (dart @ H)) & (l_ @ N @ M)) => (l_ @ (ind @ H @ X @ N) @ (ind @ H @ X @ M)))).
