%   ORIGINAL: Hypermap.lemma_evaluation_complement
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.complement: !H x n. complement H x n = mirror H x n n
% Assm: Hypermap.lemma_indepentdent_complement: !H x n m. is_node_nondegenerate H /\ x IN dart H /\ n <= m ==> complement H x n = mirror H x m n
% Assm: Hypermap.lemma_segment_complement: !H x n i. is_node_nondegenerate H /\ x IN dart H /\ i <= n ==> (!j. j <= ind H x i ==> mirror H x i j = mirror H x n j)
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Goal: !H x n i. is_node_nondegenerate H /\ x IN dart H /\ n <= ind H x i ==> complement H x n = mirror H x i n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x n. complement H x n = mirror H x n n
% Assm: !H x n m. is_node_nondegenerate H /\ x IN dart H /\ n <= m ==> complement H x n = mirror H x m n
% Assm: !H x n i. is_node_nondegenerate H /\ x IN dart H /\ i <= n ==> (!j. j <= ind H x i ==> mirror H x i j = mirror H x n j)
% Assm: !m n. m < n ==> m <= n
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Goal: !H x n i. is_node_nondegenerate H /\ x IN dart H /\ n <= ind H x i ==> complement H x n = mirror H x i n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cmirror, type, mirror : (hypermapa > a > num > num > a)).
thf(ccomplement, type, complement : (hypermapa > a > num > a)).
thf(cind, type, ind : (hypermapa > a > num > num)).
thf(cisuu_nodeuu_nondegenerate, type, isu_nodeu_nondegenerate : (hypermapa > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_complement, axiom, ![H:hypermapa,X:a,N:num]:((complement @ H @ X @ N) = (mirror @ H @ X @ N @ N))).
thf(aHypermapo_lemmau_indepentdentu_complement, axiom, ![H:hypermapa,X:a,N:num,M:num]:(((isu_nodeu_nondegenerate @ H) & (in @ X @ (dart @ H)) & (l_a_ @ N @ M)) => ((complement @ H @ X @ N) = (mirror @ H @ X @ M @ N)))).
thf(aHypermapo_lemmau_segmentu_complement, axiom, ![H:hypermapa,X:a,N:num,I:num]:(((isu_nodeu_nondegenerate @ H) & (in @ X @ (dart @ H)) & (l_a_ @ I @ N)) => ![J:num]:((l_a_ @ J @ (ind @ H @ X @ I)) => ((mirror @ H @ X @ I @ J) = (mirror @ H @ X @ N @ J))))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,N:num,I:num]:(((isu_nodeu_nondegenerate @ H) & (in @ X @ (dart @ H)) & (l_a_ @ N @ (ind @ H @ X @ I))) => ((complement @ H @ X @ N) = (mirror @ H @ X @ I @ N)))).
