%   ORIGINAL: Hypermap.lemma_inc_injective
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.lemma_inc_monotone: !id. (!i. id i < id (SUC i)) ==> (!i j. i < j <=> id i < id j)
% Assm: LT_LE: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: WLOG_LT: (!m. P m m) /\ (!m n. P m n <=> P n m) /\ (!m n. m < n ==> P m n) ==> (!m y. P m y)
% Goal: !id. (!i. id i < id (SUC i)) ==> (!i j. i = j <=> id i = id j)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !id. (!i. id i < id (SUC i)) ==> (!i j. i < j <=> id i < id j)
% Assm: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: ~F <=> T
% Assm: T
% Assm: !P. (!m. P m m) /\ (!m n. P m n <=> P n m) /\ (!m n. m < n ==> P m n) ==> (!m y. P m y)
% Goal: !id. (!i. id i < id (SUC i)) ==> (!i j. i = j <=> id i = id j)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_lemmau_incu_monotone, axiom, ![ID:(num > num)]:(![I:num]:(l_ @ (ID @ I) @ (ID @ (suc @ I))) => ![I:num,J:num]:((l_ @ I @ J) <=> (l_ @ (ID @ I) @ (ID @ J))))).
thf(aLTu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ((l_a_ @ M @ N) & ~ ((M = N))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWLOGu_LT, axiom, ![P:(num > num > $o)]:((![M:num]:(P @ M @ M) & ![M:num,N:num]:((P @ M @ N) <=> (P @ N @ M)) & ![M:num,N:num]:((l_ @ M @ N) => (P @ M @ N))) => ![M:num,Y:num]:(P @ M @ Y))).
thf(conjecture, conjecture, ![ID:(num > num)]:(![I:num]:(l_ @ (ID @ I) @ (ID @ (suc @ I))) => ![I:num,J:num]:((I = J) <=> ((ID @ I) = (ID @ J))))).
