%   ORIGINAL: Hypermap.lemma_inc_not_decreasing
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.lemma_inc_injective: !id. (!i. id i < id (SUC i)) ==> (!i j. i = j <=> id i = id j)
% Assm: Hypermap.lemma_inc_monotone: !id. (!i. id i < id (SUC i)) ==> (!i j. i < j <=> id i < id j)
% Assm: I_THM: !x. I x = x
% Assm: LE_LT: !m n. m <= n <=> m < n \/ m = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !id. (!i. id i < id (SUC i)) ==> (!i j. i <= j <=> id i <= id j)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !id. (!i. id i < id (SUC i)) ==> (!i j. i = j <=> id i = id j)
% Assm: !id. (!i. id i < id (SUC i)) ==> (!i j. i < j <=> id i < id j)
% Assm: !x. I x <=> x
% Assm: !m n. m <= n <=> m < n \/ m = n
% Assm: ~F <=> T
% Assm: T
% Goal: !id. (!i. id i < id (SUC i)) ==> (!i j. i <= j <=> id i <= id j)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ci, type, i : ($o > $o)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_lemmau_incu_injective, axiom, ![ID:(num > num)]:(![I:num]:(l_ @ (ID @ I) @ (ID @ (suc @ I))) => ![I:num,J:num]:((I = J) <=> ((ID @ I) = (ID @ J))))).
thf(aHypermapo_lemmau_incu_monotone, axiom, ![ID:(num > num)]:(![I:num]:(l_ @ (ID @ I) @ (ID @ (suc @ I))) => ![I:num,J:num]:((l_ @ I @ J) <=> (l_ @ (ID @ I) @ (ID @ J))))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aLEu_LT, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ((l_ @ M @ N) | (M = N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![ID:(num > num)]:(![I:num]:(l_ @ (ID @ I) @ (ID @ (suc @ I))) => ![I:num,J:num]:((l_a_ @ I @ J) <=> (l_a_ @ (ID @ I) @ (ID @ J))))).
