%   ORIGINAL: Hypermap.lemma_in_canon_darts
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.canon_darts: !H NF. canon_darts H NF = UNIONS {dart_of L | L IN canon H NF}
% Assm: Hypermap.is_in_canon_darts: !H NF L x. belong x L /\ L IN canon H NF ==> x IN canon_darts H NF
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF x. x IN canon_darts H NF <=> (?L. L IN canon H NF /\ belong x L)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H NF. canon_darts H NF = UNIONS {dart_of L | L IN canon H NF}
% Assm: !H NF L x. belong x L /\ L IN canon H NF ==> x IN canon_darts H NF
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF x. x IN canon_darts H NF <=> (?L. L IN canon H NF /\ belong x L)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cin2, type, in2 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cin1, type, in1 : ((loopa > $o) > ((loopa > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((loopa > $o) > $o) > loopa > $o)).
thf(cgspec1, type, gspec1 : ((a > $o) > a > $o)).
thf(cgspec0, type, gspec0 : ((loopa > $o) > loopa > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin0, type, in0 : (loopa > (loopa > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetspec1, type, setspec1 : (a > $o > a > $o)).
thf(csetspec0, type, setspec0 : (loopa > $o > loopa > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(ccanonuu_darts, type, canonu_darts : (hypermapa > (loopa > $o) > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_canonu_darts, axiom, ![H:hypermapa,NF:(loopa > $o)]:((canonu_darts @ H @ NF) = (unions @ (gspec @ ^[GENR_PVARR_276:(a > $o)]:?[L:loopa]:(setspec @ GENR_PVARR_276 @ (in0 @ L @ (canon @ H @ NF)) @ (dartu_of @ L)))))).
thf(aHypermapo_isu_inu_canonu_darts, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((belong @ X @ L) & (in0 @ L @ (canon @ H @ NF))) => (in @ X @ (canonu_darts @ H @ NF)))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > loopa > $o) > $o),X:loopa]:((in0 @ X @ (gspec0 @ ^[V:loopa]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:loopa]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec1 @ ^[V:a]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_UNIONSu_monomorphized1, axiom, ![S:((loopa > $o) > $o),X:loopa]:((in0 @ X @ (unions0 @ S)) <=> ?[T:(loopa > $o)]:((in1 @ T @ S) & (in0 @ X @ T)))).
thf(aINu_UNIONSu_monomorphized0, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (unions @ S)) <=> ?[T:(a > $o)]:((in2 @ T @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),X:a]:((in @ X @ (canonu_darts @ H @ NF)) <=> ?[L:loopa]:((in0 @ L @ (canon @ H @ NF)) & (belong @ X @ L)))).
