%   ORIGINAL: Hypermap.lemma_not_in_canon_darts
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.canon: !H NF. canon H NF = {L | L IN NF /\ (?x. belong x L /\ L = face_loop H x)}
% Assm: Hypermap.disjoint_loops: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L'
% Assm: Hypermap.lemma_in_canon_darts: !H NF x. x IN canon_darts H NF <=> (?L. L IN canon H NF /\ belong x L)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L ==> ~(x IN canon_darts H NF)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H NF. canon H NF = {L | L IN NF /\ (?x. belong x L /\ L = face_loop H x)}
% Assm: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L'
% Assm: !H NF x. x IN canon_darts H NF <=> (?L. L IN canon H NF /\ belong x L)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L ==> ~(x IN canon_darts H NF)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cgspec, type, gspec : ((loopa > $o) > loopa > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(cfaceuu_loop, type, faceu_loop : (hypermapa > a > loopa)).
thf(csetspec, type, setspec : (loopa > $o > loopa > $o)).
thf(ccanonuu_darts, type, canonu_darts : (hypermapa > (loopa > $o) > a > $o)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_canon, axiom, ![H:hypermapa,NF:(loopa > $o)]:((canon @ H @ NF) = (gspec @ ^[GENR_PVARR_275:loopa]:?[L:loopa]:(setspec @ GENR_PVARR_275 @ ((in @ L @ NF) & ?[X:a]:((belong @ X @ L) & (L = (faceu_loop @ H @ X)))) @ L)))).
thf(aHypermapo_disjointu_loops, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,LI_:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_))).
thf(aHypermapo_lemmau_inu_canonu_darts, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:((in0 @ X @ (canonu_darts @ H @ NF)) <=> ?[L:loopa]:((in @ L @ (canon @ H @ NF)) & (belong @ X @ L)))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:(loopa > $o),X:loopa]:((in @ X @ (gspec @ ^[V:loopa]:?[Y:loopa]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(a > $o),X:a]:((in0 @ X @ (gspec0 @ ^[V:a]:?[Y:a]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & ~ ((in @ L @ (canon @ H @ NF))) & (belong @ X @ L)) => ~ ((in0 @ X @ (canonu_darts @ H @ NF))))).
