%   ORIGINAL: Hypermap.lemma_power_canon_next
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.canon: !H NF. canon H NF = {L | L IN NF /\ (?x. belong x L /\ L = face_loop H x)}
% Assm: Hypermap.face_loop_rep: !H x. dart_of (face_loop H x) = face H x /\ next (face_loop H x) = res (face_map H) (face H x)
% Assm: Hypermap.lemma_face_identity: !H x y. y IN face H x ==> face H x = face H y
% Assm: Hypermap.power_res_face_map: !H x n. (res (face_map H) (face H x) POWER n) x = (face_map H POWER n) x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Goal: !H NF L x. L IN canon H NF /\ belong x L ==> (!n. (face_map H POWER n) x = (next L POWER n) x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H NF. canon H NF = {L | L IN NF /\ (?x. belong x L /\ L = face_loop H x)}
% Assm: !H x. dart_of (face_loop H x) = face H x /\ next (face_loop H x) = res (face_map H) (face H x)
% Assm: !H x y. y IN face H x ==> face H x = face H y
% Assm: !H x n. (res (face_map H) (face H x) POWER n) x = (face_map H POWER n) x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Goal: !H NF L x. L IN canon H NF /\ belong x L ==> (!n. (face_map H POWER n) x = (next L POWER n) x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((loopa > $o) > loopa > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cface0, type, face0 : (hypermaploopa > loopa > loopa > $o)).
thf(cres, type, res : ((a > a) > (a > $o) > a > a)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cfaceuu_loop, type, faceu_loop : (hypermapa > a > loopa)).
thf(csetspec, type, setspec : (loopa > $o > loopa > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong @ X @ L) <=> (in0 @ X @ (dartu_of @ L)))).
thf(aHypermapo_canon, axiom, ![H:hypermapa,NF:(loopa > $o)]:((canon @ H @ NF) = (gspec @ ^[GENR_PVARR_275:loopa]:?[L:loopa]:(setspec @ GENR_PVARR_275 @ ((in @ L @ NF) & ?[X:a]:((belong @ X @ L) & (L = (faceu_loop @ H @ X)))) @ L)))).
thf(aHypermapo_faceu_loopu_rep, axiom, ![H:hypermapa,X:a]:(((dartu_of @ (faceu_loop @ H @ X)) = (face @ H @ X)) & ((next @ (faceu_loop @ H @ X)) = (res @ (faceu_map @ H) @ (face @ H @ X))))).
thf(aHypermapo_lemmau_faceu_identity, axiom, ![H:hypermaploopa,X:loopa,Y:loopa]:((in @ Y @ (face0 @ H @ X)) => ((face0 @ H @ X) = (face0 @ H @ Y)))).
thf(aHypermapo_poweru_resu_faceu_map, axiom, ![H:hypermapa,X:a,N:num]:((power @ (res @ (faceu_map @ H) @ (face @ H @ X)) @ N @ X) = (power @ (faceu_map @ H) @ N @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(loopa > $o),X:loopa]:((in @ X @ (gspec @ ^[V:loopa]:?[Y:loopa]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((in @ L @ (canon @ H @ NF)) & (belong @ X @ L)) => ![N:num]:((power @ (faceu_map @ H) @ N @ X) = (power @ (next @ L) @ N @ X)))).
