%   ORIGINAL: Hypermap.lemma_true_loop_via_map
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.lemma_power_canon_next: !H NF L x. L IN canon H NF /\ belong x L ==> (!n. (face_map H POWER n) x = (next L POWER n) x)
% Assm: Hypermap.lemma_power_next_in_loop: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: Hypermap.lemma_true_loop1: !H NF L. is_restricted H /\ is_normal H NF /\ L IN NF ==> (L IN canon H NF <=> (?x. belong x L /\ (!n. (face_map H POWER n) x = (next L POWER n) x)))
% Assm: I_THM: !x. I x = x
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H NF L. is_restricted H /\ is_normal H NF /\ L IN NF ==> (L IN canon H NF <=> (!x. belong x L ==> next L x = face_map H x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 1 = f
% Assm: !f. f POWER 0 = I
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H NF L x. L IN canon H NF /\ belong x L ==> (!n. (face_map H POWER n) x = (next L POWER n) x)
% Assm: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: !H NF L. is_restricted H /\ is_normal H NF /\ L IN NF ==> (L IN canon H NF <=> (?x. belong x L /\ (!n. (face_map H POWER n) x = (next L POWER n) x)))
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x <=> f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H NF L. is_restricted H /\ is_normal H NF /\ L IN NF ==> (L IN canon H NF <=> (!x. belong x L ==> next L x = face_map H x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(co1, type, o1 : ((b > a) > (a > b) > a > a)).
thf(co0, type, o0 : ((b > $o) > (a > b) > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_lemmau_poweru_canonu_next, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((in @ L @ (canon @ H @ NF)) & (belong @ X @ L)) => ![N:num]:((power @ (faceu_map @ H) @ N @ X) = (power @ (next @ L) @ N @ X)))).
thf(aHypermapo_lemmau_poweru_nextu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
thf(aHypermapo_lemmau_trueu_loop1, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF)) => ((in @ L @ (canon @ H @ NF)) <=> ?[X:a]:((belong @ X @ L) & ![N:num]:((power @ (faceu_map @ H) @ N @ X) = (power @ (next @ L) @ N @ X)))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > $o),G:(a > b),X:a]:((o0 @ F @ G @ X) <=> (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > a),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF)) => ((in @ L @ (canon @ H @ NF)) <=> ![X:a]:((belong @ X @ L) => ((next @ L @ X) = (faceu_map @ H @ X)))))).
