%   ORIGINAL: Hypermap.lemma_false_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.is_loop: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.is_restricted: !H. is_restricted H <=> ~(dart H = {}) /\ planar_hypermap H /\ plain_hypermap H /\ connected_hypermap H /\ simple_hypermap H /\ is_no_double_joins H /\ is_edge_nondegenerate H /\ is_node_nondegenerate H /\ (!x. x IN dart H ==> 3 <= CARD (face H x))
% Assm: Hypermap.lemma_edge_nondegenerate: !H. is_edge_nondegenerate H <=> (!x. x IN dart H ==> ~(face_map H x = inverse (node_map H) x))
% Assm: Hypermap.lemma_in_dart: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> x IN dart H
% Assm: Hypermap.lemma_true_loop_via_map: !H NF L. is_restricted H /\ is_normal H NF /\ L IN NF ==> (L IN canon H NF <=> (!x. belong x L ==> next L x = face_map H x))
% Assm: Hypermap.one_step_contour: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF L. is_restricted H /\ is_normal H NF /\ L IN NF ==> (~(L IN canon H NF) <=> (?x. belong x L /\ next L x = inverse (node_map H) x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H. is_restricted H <=> ~(dart H = {}) /\ planar_hypermap H /\ plain_hypermap H /\ connected_hypermap H /\ simple_hypermap H /\ is_no_double_joins H /\ is_edge_nondegenerate H /\ is_node_nondegenerate H /\ (!x. x IN dart H ==> 3 <= CARD (face H x))
% Assm: !H. is_edge_nondegenerate H <=> (!x. x IN dart H ==> ~(face_map H x = inverse (node_map H) x))
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> x IN dart H
% Assm: !H NF L. is_restricted H /\ is_normal H NF /\ L IN NF ==> (L IN canon H NF <=> (!x. belong x L ==> next L x = face_map H x))
% Assm: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF L. is_restricted H /\ is_normal H NF /\ L IN NF ==> (~(L IN canon H NF) <=> (?x. belong x L /\ next L x = inverse (node_map H) x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cdart0, type, dart0 : (hypermaploopa > loopa > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cnodeuu_map0, type, nodeu_map0 : (hypermaploopa > loopa > loopa)).
thf(cinverse0, type, inverse0 : ((loopa > loopa) > loopa > loopa)).
thf(cfaceuu_map, type, faceu_map : (hypermaploopa > loopa > loopa)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(cisuu_edgeuu_nondegenerate0, type, isu_edgeu_nondegenerate0 : (hypermaploopa > $o)).
thf(cisuu_nodeuu_nondegenerate, type, isu_nodeu_nondegenerate : (hypermapa > $o)).
thf(cisuu_edgeuu_nondegenerate, type, isu_edgeu_nondegenerate : (hypermapa > $o)).
thf(cisuu_nouu_doubleuu_joins, type, isu_nou_doubleu_joins : (hypermapa > $o)).
thf(csimpleuu_hypermap, type, simpleu_hypermap : (hypermapa > $o)).
thf(cconnecteduu_hypermap, type, connectedu_hypermap : (hypermapa > $o)).
thf(cplainuu_hypermap, type, plainu_hypermap : (hypermapa > $o)).
thf(cplanaruu_hypermap, type, planaru_hypermap : (hypermapa > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_isu_loop, axiom, ![H:hypermapa,L:loopa]:((isu_loop @ H @ L) <=> ![X:a]:((belong @ X @ L) => (oneu_stepu_contour @ H @ X @ (next @ L @ X))))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_isu_restricted, axiom, ![H:hypermapa]:((isu_restricted @ H) <=> (~ (((dart @ H) = empty)) & (planaru_hypermap @ H) & (plainu_hypermap @ H) & (connectedu_hypermap @ H) & (simpleu_hypermap @ H) & (isu_nou_doubleu_joins @ H) & (isu_edgeu_nondegenerate @ H) & (isu_nodeu_nondegenerate @ H) & ![X:a]:((in0 @ X @ (dart @ H)) => (l_a_ @ (numeral @ (bit1 @ (bit1 @ u_0))) @ (card @ (face @ H @ X))))))).
thf(aHypermapo_lemmau_edgeu_nondegenerate, axiom, ![H:hypermaploopa]:((isu_edgeu_nondegenerate0 @ H) <=> ![X:loopa]:((in @ X @ (dart0 @ H)) => ~ (((faceu_map @ H @ X) = (inverse0 @ (nodeu_map0 @ H) @ X)))))).
thf(aHypermapo_lemmau_inu_dart, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (in0 @ X @ (dart @ H)))).
thf(aHypermapo_lemmau_trueu_loopu_viau_map, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF)) => ((in @ L @ (canon @ H @ NF)) <=> ![X:a]:((belong @ X @ L) => ((next @ L @ X) = (faceu_map0 @ H @ X)))))).
thf(aHypermapo_oneu_stepu_contour, axiom, ![Y:a,H:hypermapa,X:a]:((oneu_stepu_contour @ H @ X @ Y) <=> ((Y = (faceu_map0 @ H @ X)) | (Y = (inverse @ (nodeu_map @ H) @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF)) => (~ ((in @ L @ (canon @ H @ NF))) <=> ?[X:a]:((belong @ X @ L) & ((next @ L @ X) = (inverse @ (nodeu_map @ H) @ X)))))).
