%   ORIGINAL: Hypermap.lemma_next_on_normal_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.is_loop: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.one_step_contour: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: TRUTH: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> next L x = face_map H x \/ next L x = inverse (node_map H) x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H L. is_loop H L <=> (!x. belong x L ==> one_step_contour H x (next L x))
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> next L x = face_map H x \/ next L x = inverse (node_map H) x
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_isu_loop, axiom, ![H:hypermapa,L:loopa]:((isu_loop @ H @ L) <=> ![X:a]:((belong @ X @ L) => (oneu_stepu_contour @ H @ X @ (next @ L @ X))))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_oneu_stepu_contour, axiom, ![Y:a,H:hypermapa,X:a]:((oneu_stepu_contour @ H @ X @ Y) <=> ((Y = (faceu_map @ H @ X)) | (Y = (inverse @ (nodeu_map @ H) @ X))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((next @ L @ X) = (faceu_map @ H @ X)) | ((next @ L @ X) = (inverse @ (nodeu_map @ H) @ X))))).
