%   ORIGINAL: Hypermap.lemma_head_via_restricted
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.head_on_loop: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: Hypermap.lemma_next_exclusive: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (next L x = face_map H x <=> ~(next L x = inverse (node_map H) x))
% Assm: Hypermap.lemma_unique_head: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(next L y = inverse (node_map H) y) ==> head H NF x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (head H NF x = x <=> next L x = face_map H x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H L x. x IN atom H L x
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (next L x = face_map H x <=> ~(next L x = inverse (node_map H) x))
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(next L y = inverse (node_map H) y) ==> head H NF x = y
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (head H NF x = x <=> next L x = face_map H x)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tlooploopa, type, looploopa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(catom0, type, atom0 : (hypermapa > loopa > a > a > $o)).
thf(catom, type, atom : (hypermaploopa > looploopa > loopa > loopa > $o)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermaploopa,L:looploopa,X:loopa]:(in @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_headu_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((in0 @ (head @ H @ NF @ X) @ (atom0 @ H @ L @ X)) & ~ (((next @ L @ (head @ H @ NF @ X)) = (inverse @ (nodeu_map @ H) @ (head @ H @ NF @ X))))))).
thf(aHypermapo_lemmau_nextu_exclusive, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((next @ L @ X) = (faceu_map @ H @ X)) <=> ~ (((next @ L @ X) = (inverse @ (nodeu_map @ H) @ X)))))).
thf(aHypermapo_lemmau_uniqueu_head, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom0 @ H @ L @ X)) & ~ (((next @ L @ Y) = (inverse @ (nodeu_map @ H) @ Y)))) => ((head @ H @ NF @ X) = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((head @ H @ NF @ X) = X) <=> ((next @ L @ X) = (faceu_map @ H @ X))))).
