%   ORIGINAL: Hypermap.lemma_tail_via_restricted
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.lemma_inverse_evaluation: !L x. back L (next L x) = x /\ next L (back L x) = x
% Assm: Hypermap.lemma_next_exclusive: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (next L x = face_map H x <=> ~(next L x = inverse (node_map H) x))
% Assm: Hypermap.lemma_power_back_in_loop: !L x k. belong x L ==> belong ((back L POWER k) x) L
% Assm: Hypermap.lemma_power_next_in_loop: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: Hypermap.lemma_unique_tail: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(y = inverse (node_map H) (back L y)) ==> tail H NF x = y
% Assm: Hypermap.tail_on_loop: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (tail H NF x = x <=> x = face_map H (back L x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. f POWER 1 = f
% Assm: !H L x. x IN atom H L x
% Assm: !L x. back L (next L x) = x /\ next L (back L x) = x
% Assm: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (next L x = face_map H x <=> ~(next L x = inverse (node_map H) x))
% Assm: !L x k. belong x L ==> belong ((back L POWER k) x) L
% Assm: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(y = inverse (node_map H) (back L y)) ==> tail H NF x = y
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (tail H NF x = x <=> x = face_map H (back L x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tlooploopa, type, looploopa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cback, type, back : (loopa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(catom0, type, atom0 : (hypermapa > loopa > a > a > $o)).
thf(catom, type, atom : (hypermaploopa > looploopa > loopa > loopa > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(ctail, type, tail : (hypermapa > (loopa > $o) > a > a)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermaploopa,L:looploopa,X:loopa]:(in @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_lemmau_inverseu_evaluation, axiom, ![L:loopa,X:a]:(((back @ L @ (next @ L @ X)) = X) & ((next @ L @ (back @ L @ X)) = X))).
thf(aHypermapo_lemmau_nextu_exclusive, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((next @ L @ X) = (faceu_map @ H @ X)) <=> ~ (((next @ L @ X) = (inverse @ (nodeu_map @ H) @ X)))))).
thf(aHypermapo_lemmau_poweru_backu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (back @ L) @ K @ X) @ L))).
thf(aHypermapo_lemmau_poweru_nextu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
thf(aHypermapo_lemmau_uniqueu_tail, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom0 @ H @ L @ X)) & ~ ((Y = (inverse @ (nodeu_map @ H) @ (back @ L @ Y))))) => ((tail @ H @ NF @ X) = Y))).
thf(aHypermapo_tailu_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((in0 @ (tail @ H @ NF @ X) @ (atom0 @ H @ L @ X)) & ~ (((tail @ H @ NF @ X) = (inverse @ (nodeu_map @ H) @ (back @ L @ (tail @ H @ NF @ X)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((tail @ H @ NF @ X) = X) <=> (X = (faceu_map @ H @ (back @ L @ X)))))).
