%   ORIGINAL: Hypermap.lemma_tail
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.change_parameters: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> head H NF y = head H NF x /\ tail H NF y = tail H NF x
% Assm: Hypermap.lemma_in_loop: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: Hypermap.lemma_tail_via_restricted: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (tail H NF x = x <=> x = face_map H (back L x))
% Assm: TRUTH: T
% Goal: !H NF L x y. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> (tail H NF x = y <=> y = face_map H (back L y))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> head H NF y = head H NF x /\ tail H NF y = tail H NF x
% Assm: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (tail H NF x = x <=> x = face_map H (back L x))
% Assm: T
% Goal: !H NF L x y. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> (tail H NF x = y <=> y = face_map H (back L y))
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(ctail, type, tail : (hypermapa > (loopa > $o) > a > a)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_changeu_parameters, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => (((head @ H @ NF @ Y) = (head @ H @ NF @ X)) & ((tail @ H @ NF @ Y) = (tail @ H @ NF @ X))))).
thf(aHypermapo_lemmau_inu_loop, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:(((belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => (belong @ Y @ L))).
thf(aHypermapo_lemmau_tailu_viau_restricted, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((tail @ H @ NF @ X) = X) <=> (X = (faceu_map @ H @ (back @ L @ X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => (((tail @ H @ NF @ X) = Y) <=> (Y = (faceu_map @ H @ (back @ L @ Y)))))).
