%   ORIGINAL: Hypermap.lemma_singleton_atom
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.atom_one_point: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L /\ head H NF x = tail H NF x ==> atom H L x = {x}
% Assm: Hypermap.head_on_loop: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: Hypermap.lemma_head_via_restricted: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (head H NF x = x <=> next L x = face_map H x)
% Assm: Hypermap.lemma_tail_via_restricted: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (tail H NF x = x <=> x = face_map H (back L x))
% Assm: Hypermap.tail_on_loop: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (atom H L x = {x} <=> next L x = face_map H x /\ face_map H (back L x) = x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L /\ head H NF x = tail H NF x ==> atom H L x = {x}
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (head H NF x = x <=> next L x = face_map H x)
% Assm: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (tail H NF x = x <=> x = face_map H (back L x))
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> tail H NF x IN atom H L x /\ ~(tail H NF x = inverse (node_map H) (back L (tail H NF x)))
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (atom H L x = {x} <=> next L x = face_map H x /\ face_map H (back L x) = x)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cback, type, back : (loopa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cinsert0, type, insert0 : (loopa > (loopa > $o) > loopa > $o)).
thf(ctail, type, tail : (hypermapa > (loopa > $o) > a > a)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cempty0, type, empty0 : (loopa > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_atomu_oneu_point, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & ((head @ H @ NF @ X) = (tail @ H @ NF @ X))) => ((atom @ H @ L @ X) = (insert @ X @ empty)))).
thf(aHypermapo_headu_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((in0 @ (head @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((next @ L @ (head @ H @ NF @ X)) = (inverse @ (nodeu_map @ H) @ (head @ H @ NF @ X))))))).
thf(aHypermapo_lemmau_headu_viau_restricted, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((head @ H @ NF @ X) = X) <=> ((next @ L @ X) = (faceu_map @ H @ X))))).
thf(aHypermapo_lemmau_tailu_viau_restricted, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((tail @ H @ NF @ X) = X) <=> (X = (faceu_map @ H @ (back @ L @ X)))))).
thf(aHypermapo_tailu_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((in0 @ (tail @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((tail @ H @ NF @ X) = (inverse @ (nodeu_map @ H) @ (back @ L @ (tail @ H @ NF @ X)))))))).
thf(aINu_SING, axiom, ![X:loopa,Y:loopa]:((in @ X @ (insert0 @ Y @ empty0)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((atom @ H @ L @ X) = (insert @ X @ empty)) <=> (((next @ L @ X) = (faceu_map @ H @ X)) & ((faceu_map @ H @ (back @ L @ X)) = X))))).
