%   ORIGINAL: Hypermap.lemma_bound_mInside
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: DIVMOD_EXIST: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
% Assm: Hypermap.FACE_NOT_EMPTY: !H x. 1 <= CARD (face H x)
% Assm: Hypermap.LT1_NZ: !n. 1 <= n <=> 0 < n
% Assm: Hypermap.is_split_condition: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: Hypermap.lemma_add_exponent_function: !p m n x. (p POWER (m + n)) x = (p POWER m) ((p POWER n) x)
% Assm: Hypermap.lemma_face_cycle: !H x. (face_map H POWER CARD (face H x)) x = x
% Assm: Hypermap.lemma_mInside: !H NF L x. is_split_condition H NF L x ==> (!i. i <= SUC (mInside H NF L x) ==> (next L POWER i) x = (face_map H POWER i) x) /\ ~((next L POWER SUC (SUC (mInside H NF L x))) x = (face_map H POWER SUC (SUC (mInside H NF L x))) x)
% Assm: Hypermap.lemma_true_loop1: !H NF L. is_restricted H /\ is_normal H NF /\ L IN NF ==> (L IN canon H NF <=> (?x. belong x L /\ (!n. (face_map H POWER n) x = (next L POWER n) x)))
% Assm: Hypermap.power_map_fix_point: !n f x. (f POWER n) x = x ==> (!m. (f POWER (m * n)) x = x)
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: TRUTH: T
% Goal: !H NF L x. is_split_condition H NF L x ==> SUC (mInside H NF L x) < CARD (face H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n m. m + n = n + m
% Assm: !m n. ~(n = 0) ==> (?q r. m = q * n + r /\ r < n)
% Assm: !H x. 1 <= CARD (face H x)
% Assm: !n. 1 <= n <=> 0 < n
% Assm: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: !p m n x. (p POWER (m + n)) x = (p POWER m) ((p POWER n) x)
% Assm: !H x. (face_map H POWER CARD (face H x)) x = x
% Assm: !H NF L x. is_split_condition H NF L x ==> (!i. i <= SUC (mInside H NF L x) ==> (next L POWER i) x = (face_map H POWER i) x) /\ ~((next L POWER SUC (SUC (mInside H NF L x))) x = (face_map H POWER SUC (SUC (mInside H NF L x))) x)
% Assm: !H NF L. is_restricted H /\ is_normal H NF /\ L IN NF ==> (L IN canon H NF <=> (?x. belong x L /\ (!n. (face_map H POWER n) x = (next L POWER n) x)))
% Assm: !n f x. (f POWER n) x = x ==> (!m. (f POWER (m * n)) x = x)
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m n. m < n ==> m <= n
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: T
% Goal: !H NF L x. is_split_condition H NF L x ==> SUC (mInside H NF L x) < CARD (face H x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cminside, type, minside : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cisuu_splituu_condition, type, isu_splitu_condition : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aDIVMODu_EXIST, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ?[Q:num,R:num]:((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)))).
thf(aHypermapo_FACEu_NOTu_EMPTY, axiom, ![H:hypermapa,X:a]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ (face @ H @ X)))).
thf(aHypermapo_LT1u_NZ, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) <=> (l_ @ (numeral @ u_0) @ N))).
thf(aHypermapo_isu_splitu_condition, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) <=> ((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & ~ ((in @ L @ (canon @ H @ NF))) & (belong @ X @ L) & ((head @ H @ NF @ X) = X)))).
thf(aHypermapo_lemmau_addu_exponentu_function, axiom, ![P:(a > a),M:num,N:num,X:a]:((power @ P @ (p_ @ M @ N) @ X) = (power @ P @ M @ (power @ P @ N @ X)))).
thf(aHypermapo_lemmau_faceu_cycle, axiom, ![H:hypermapa,X:a]:((power @ (faceu_map @ H) @ (card @ (face @ H @ X)) @ X) = X)).
thf(aHypermapo_lemmau_mInside, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => (![I:num]:((l_a_ @ I @ (suc @ (minside @ H @ NF @ L @ X))) => ((power @ (next @ L) @ I @ X) = (power @ (faceu_map @ H) @ I @ X))) & ~ (((power @ (next @ L) @ (suc @ (suc @ (minside @ H @ NF @ L @ X))) @ X) = (power @ (faceu_map @ H) @ (suc @ (suc @ (minside @ H @ NF @ L @ X))) @ X)))))).
thf(aHypermapo_lemmau_trueu_loop1, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF)) => ((in @ L @ (canon @ H @ NF)) <=> ?[X:a]:((belong @ X @ L) & ![N:num]:((power @ (faceu_map @ H) @ N @ X) = (power @ (next @ L) @ N @ X)))))).
thf(aHypermapo_poweru_mapu_fixu_point, axiom, ![N:num,F:(a > a),X:a]:(((power @ F @ N @ X) = X) => ![M:num]:((power @ F @ (t_ @ M @ N) @ X) = X))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => (l_ @ (suc @ (minside @ H @ NF @ L @ X)) @ (card @ (face @ H @ X))))).
