%   ORIGINAL: Hypermap.lemma_congruence_on_face
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.lemma_congruence_on_orbit: !s p x n m. FINITE s /\ p permutes s /\ n < CARD (orbit_map p x) /\ (p POWER n) x = (p POWER m) x ==> (?q. m = q * CARD (orbit_map p x) + n)
% Assm: TRUTH: T
% Goal: !H x n m. n < CARD (face H x) /\ (face_map H POWER n) x = (face_map H POWER m) x ==> (?q. m = q * CARD (face H x) + n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !s p x n m. FINITE s /\ p permutes s /\ n < CARD (orbit_map p x) /\ (p POWER n) x = (p POWER m) x ==> (?q. m = q * CARD (orbit_map p x) + n)
% Assm: T
% Goal: !H x n m. n < CARD (face H x) /\ (face_map H POWER n) x = (face_map H POWER m) x ==> (?q. m = q * CARD (face H x) + n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_lemmau_congruenceu_onu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a,N:num,M:num]:(((finite @ S) & (permutes @ P @ S) & (l_ @ N @ (card @ (orbitu_map @ P @ X))) & ((power @ P @ N @ X) = (power @ P @ M @ X))) => ?[Q:num]:(M = (p_ @ (t_ @ Q @ (card @ (orbitu_map @ P @ X))) @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,N:num,M:num]:(((l_ @ N @ (card @ (face @ H @ X))) & ((power @ (faceu_map @ H) @ N @ X) = (power @ (faceu_map @ H) @ M @ X))) => ?[Q:num]:(M = (p_ @ (t_ @ Q @ (card @ (face @ H @ X))) @ N)))).
