%   ORIGINAL: Hypermap.lemma_loop_eq_face
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: Hypermap.CARD_FINITE_SERIES_LE: !n f. CARD {f i | i < n} <= n
% Assm: Hypermap.LT1_NZ: !n. 1 <= n <=> 0 < n
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.lemma_add_one_assumption: !P n. (!i. i <= SUC n ==> P i) <=> (!i. i <= n ==> P i) /\ P (SUC n)
% Assm: Hypermap.lemma_transitive_permutation: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: Hypermap.lemma_two_series_eq: !p q n. (!i. i <= n ==> p i = q i) ==> {p i | i <= n} = {q i | i <= n}
% Assm: Hypermap.orbit_cyclic: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: Hypermap.size: !L. size L = CARD (dart_of L)
% Assm: LE_REFL: !n. n <= n
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: TRUTH: T
% Goal: !H L x n. 1 <= n /\ belong x L /\ (!i. i <= n ==> (next L POWER i) x = (face_map H POWER i) x) /\ (next L POWER n) x = x ==> dart_of L = face H x /\ size L <= n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. 0 + n = n
% Assm: !n f. CARD {f i | i < n} <= n
% Assm: !n. 1 <= n <=> 0 < n
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !P n. (!i. i <= SUC n ==> P i) <=> (!i. i <= n ==> P i) /\ P (SUC n)
% Assm: !L x. belong x L ==> dart_of L = orbit_map (next L) x
% Assm: !p q n. (!i. i <= n ==> p i = q i) ==> {p i | i <= n} = {q i | i <= n}
% Assm: !f m x. ~(m = 0) /\ (f POWER m) x = x ==> orbit_map f x = {(f POWER k) x | k < m}
% Assm: !L. size L = CARD (dart_of L)
% Assm: !n. n <= n
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !m n. m < SUC n <=> m <= n
% Assm: T
% Goal: !H L x n. 1 <= n /\ belong x L /\ (!i. i <= n ==> (next L POWER i) x = (face_map H POWER i) x) /\ (next L POWER n) x = x ==> dart_of L = face H x /\ size L <= n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(csize, type, size : (loopa > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aHypermapo_CARDu_FINITEu_SERIESu_LE, axiom, ![N:num,F:(num > a)]:(l_a_ @ (card @ (gspec @ ^[GENR_PVARR_240:a]:?[I:num]:(setspec @ GENR_PVARR_240 @ (l_ @ I @ N) @ (F @ I)))) @ N)).
thf(aHypermapo_LT1u_NZ, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) <=> (l_ @ (numeral @ u_0) @ N))).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_lemmau_addu_oneu_assumption, axiom, ![P:(num > $o),N:num]:(![I:num]:((l_a_ @ I @ (suc @ N)) => (P @ I)) <=> (![I:num]:((l_a_ @ I @ N) => (P @ I)) & (P @ (suc @ N))))).
thf(aHypermapo_lemmau_transitiveu_permutation, axiom, ![L:loopa,X:a]:((belong @ X @ L) => ((dartu_of @ L) = (orbitu_map @ (next @ L) @ X)))).
thf(aHypermapo_lemmau_twou_seriesu_eq, axiom, ![P:(num > a),Q:(num > a),N:num]:(![I:num]:((l_a_ @ I @ N) => ((P @ I) = (Q @ I))) => ((gspec @ ^[GENR_PVARR_230:a]:?[I:num]:(setspec @ GENR_PVARR_230 @ (l_a_ @ I @ N) @ (P @ I))) = (gspec @ ^[GENR_PVARR_231:a]:?[I:num]:(setspec @ GENR_PVARR_231 @ (l_a_ @ I @ N) @ (Q @ I)))))).
thf(aHypermapo_orbitu_cyclic, axiom, ![F:(a > a),M:num,X:a]:((~ ((M = (numeral @ u_0))) & ((power @ F @ M @ X) = X)) => ((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_236:a]:?[K:num]:(setspec @ GENR_PVARR_236 @ (l_ @ K @ M) @ (power @ F @ K @ X)))))).
thf(aHypermapo_size, axiom, ![L:loopa]:((size @ L) = (card @ (dartu_of @ L)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,L:loopa,X:a,N:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) & (belong @ X @ L) & ![I:num]:((l_a_ @ I @ N) => ((power @ (next @ L) @ I @ X) = (power @ (faceu_map @ H) @ I @ X))) & ((power @ (next @ L) @ N @ X) = X)) => (((dartu_of @ L) = (face @ H @ X)) & (l_a_ @ (size @ L) @ N)))).
