%   ORIGINAL: Hypermap.lemma_split_marked_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.is_marked: !H NF L x. is_marked H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L /\ next L x = face_map H x /\ simple_hypermap (quotient H NF) /\ is_node_nondegenerate (quotient H NF) /\ edge_map H x IN canon_darts H NF /\ (L IN canon H NF ==> canon_flag H NF) /\ (~(L IN canon H NF) ==> flag H NF L x)
% Assm: Hypermap.is_split_condition: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: Hypermap.lemma_marked_dart: !H NF L x. is_marked H NF L x ==> head H NF x = x /\ inverse (node_map H) x IN canon_darts H NF
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H NF L x. is_marked H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L /\ next L x = face_map H x /\ simple_hypermap (quotient H NF) /\ is_node_nondegenerate (quotient H NF) /\ edge_map H x IN canon_darts H NF /\ (L IN canon H NF ==> canon_flag H NF) /\ (~(L IN canon H NF) ==> flag H NF L x)
% Assm: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: !H NF L x. is_marked H NF L x ==> head H NF x = x /\ inverse (node_map H) x IN canon_darts H NF
% Assm: ~F <=> T
% Assm: T
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(ccanonuu_flag, type, canonu_flag : (hypermapa > (loopa > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(cflag, type, flag : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(ccanonuu_darts, type, canonu_darts : (hypermapa > (loopa > $o) > a > $o)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
thf(cisuu_splituu_condition, type, isu_splitu_condition : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(cisuu_marked, type, isu_marked : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cisuu_nodeuu_nondegenerate, type, isu_nodeu_nondegenerate : (hypermapfunabool > $o)).
thf(csimpleuu_hypermap, type, simpleu_hypermap : (hypermapfunabool > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_isu_marked, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_marked @ H @ NF @ L @ X) <=> ((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & ((next @ L @ X) = (faceu_map @ H @ X)) & (simpleu_hypermap @ (quotient @ H @ NF)) & (isu_nodeu_nondegenerate @ (quotient @ H @ NF)) & (in0 @ (edgeu_map @ H @ X) @ (canonu_darts @ H @ NF)) & ((in @ L @ (canon @ H @ NF)) => (canonu_flag @ H @ NF)) & (~ ((in @ L @ (canon @ H @ NF))) => (flag @ H @ NF @ L @ X))))).
thf(aHypermapo_isu_splitu_condition, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) <=> ((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & ~ ((in @ L @ (canon @ H @ NF))) & (belong @ X @ L) & ((head @ H @ NF @ X) = X)))).
thf(aHypermapo_lemmau_markedu_dart, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_marked @ H @ NF @ L @ X) => (((head @ H @ NF @ X) = X) & (in0 @ (inverse @ (nodeu_map @ H) @ X) @ (canonu_darts @ H @ NF))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (isu_splitu_condition @ H @ NF @ L @ X))).
