%   ORIGINAL: Hypermap.lemma_new_darts_in_face
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.attach: !H NF L x. attach H NF L x = (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x)
% Assm: Hypermap.heading: !H NF L x. heading H NF L x = (face_map H POWER SUC (mInside H NF L x)) x
% Assm: Hypermap.lemma_add_exponent_function: !p m n x. (p POWER (m + n)) x = (p POWER m) ((p POWER n) x)
% Assm: Hypermap.lemma_in_face: !H x n. (face_map H POWER n) x IN face H x
% Assm: TRUTH: T
% Goal: !H NF L x. heading H NF L x IN face H x /\ attach H NF L x IN face H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H NF L x. attach H NF L x = (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x)
% Assm: !H NF L x. heading H NF L x = (face_map H POWER SUC (mInside H NF L x)) x
% Assm: !p m n x. (p POWER (m + n)) x = (p POWER m) ((p POWER n) x)
% Assm: !H x n. (face_map H POWER n) x IN face H x
% Assm: T
% Goal: !H NF L x. heading H NF L x IN face H x /\ attach H NF L x IN face H x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cminside, type, minside : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cmadd, type, madd : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cattach, type, attach : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cheading, type, heading : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_attach, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((attach @ H @ NF @ L @ X) = (power @ (faceu_map @ H) @ (suc @ (madd @ H @ NF @ L @ X)) @ (heading @ H @ NF @ L @ X)))).
thf(aHypermapo_heading, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((heading @ H @ NF @ L @ X) = (power @ (faceu_map @ H) @ (suc @ (minside @ H @ NF @ L @ X)) @ X))).
thf(aHypermapo_lemmau_addu_exponentu_function, axiom, ![P:(a > a),M:num,N:num,X:a]:((power @ P @ (p_ @ M @ N) @ X) = (power @ P @ M @ (power @ P @ N @ X)))).
thf(aHypermapo_lemmau_inu_face, axiom, ![H:hypermapa,X:a,N:num]:(in @ (power @ (faceu_map @ H) @ N @ X) @ (face @ H @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((in @ (heading @ H @ NF @ L @ X) @ (face @ H @ X)) & (in @ (attach @ H @ NF @ L @ X) @ (face @ H @ X)))).
