%   ORIGINAL: Hypermap.complement_index
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_SUB2: !m n. (m + n) - m = n
% Assm: Hypermap.LE_SUC_PRE: !n. 1 <= n ==> SUC (PRE n) = n
% Assm: Hypermap.LT1_NZ: !n. 1 <= n <=> 0 < n
% Assm: Hypermap.NODE_NOT_EMPTY: !H x. 1 <= CARD (node H x)
% Assm: Hypermap.ind_conjunct0: !H x. ind H x 0 = 0
% Assm: Hypermap.ind_conjunct1: !H x n. ind H x (SUC n) = ind H x n + PRE (CARD (node H ((inverse (face_map H) POWER SUC n) x)))
% Assm: Hypermap.lemma_inc_monotone: !id. (!i. id i < id (SUC i)) ==> (!i j. i < j <=> id i < id j)
% Assm: Hypermap.lemma_increasing_index_one: !H x n. is_node_nondegenerate H /\ x IN dart H ==> ind H x n < ind H x (SUC n)
% Assm: Hypermap.lemma_num_partition2: !id. id 0 = 0 /\ (!i. id i < id (SUC i)) ==> (!n. n = 0 \/ (?i j. 1 <= j /\ j <= id (SUC i) - id i /\ n = id i + j))
% Assm: LTE_TRANS: !m n p. m < n /\ n <= p ==> m < p
% Assm: LT_ADD: !m n. m < m + n <=> 0 < n
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: TRUTH: T
% Goal: !H x m k. is_node_nondegenerate H /\ x IN dart H /\ 1 <= k /\ k <= ind H x m ==> (?i j. i < m /\ 1 <= j /\ j < CARD (node H ((inverse (face_map H) POWER SUC i) x)) /\ k = ind H x i + j)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. (m + n) - m = n
% Assm: !n. 1 <= n ==> SUC (PRE n) = n
% Assm: !n. 1 <= n <=> 0 < n
% Assm: !H x. 1 <= CARD (node H x)
% Assm: !H x. ind H x 0 = 0
% Assm: !H x n. ind H x (SUC n) = ind H x n + PRE (CARD (node H ((inverse (face_map H) POWER SUC n) x)))
% Assm: !id. (!i. id i < id (SUC i)) ==> (!i j. i < j <=> id i < id j)
% Assm: !H x n. is_node_nondegenerate H /\ x IN dart H ==> ind H x n < ind H x (SUC n)
% Assm: !id. id 0 = 0 /\ (!i. id i < id (SUC i)) ==> (!n. n = 0 \/ (?i j. 1 <= j /\ j <= id (SUC i) - id i /\ n = id i + j))
% Assm: !m n p. m < n /\ n <= p ==> m < p
% Assm: !m n. m < m + n <=> 0 < n
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !m n. m < SUC n <=> m <= n
% Assm: T
% Goal: !H x m k. is_node_nondegenerate H /\ x IN dart H /\ 1 <= k /\ k <= ind H x m ==> (?i j. i < m /\ 1 <= j /\ j < CARD (node H ((inverse (face_map H) POWER SUC i) x)) /\ k = ind H x i + j)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cind, type, ind : (hypermapa > a > num > num)).
thf(cisuu_nodeuu_nondegenerate, type, isu_nodeu_nondegenerate : (hypermapa > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cpre, type, pre : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_SUB2, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ M) = N)).
thf(aHypermapo_LEu_SUCu_PRE, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((suc @ (pre @ N)) = N))).
thf(aHypermapo_LT1u_NZ, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) <=> (l_ @ (numeral @ u_0) @ N))).
thf(aHypermapo_NODEu_NOTu_EMPTY, axiom, ![H:hypermapa,X:a]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ (node @ H @ X)))).
thf(aHypermapo_indu_conjunct0, axiom, ![H:hypermapa,X:a]:((ind @ H @ X @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aHypermapo_indu_conjunct1, axiom, ![H:hypermapa,X:a,N:num]:((ind @ H @ X @ (suc @ N)) = (p_ @ (ind @ H @ X @ N) @ (pre @ (card @ (node @ H @ (power @ (inverse @ (faceu_map @ H)) @ (suc @ N) @ X))))))).
thf(aHypermapo_lemmau_incu_monotone, axiom, ![ID:(num > num)]:(![I:num]:(l_ @ (ID @ I) @ (ID @ (suc @ I))) => ![I:num,J:num]:((l_ @ I @ J) <=> (l_ @ (ID @ I) @ (ID @ J))))).
thf(aHypermapo_lemmau_increasingu_indexu_one, axiom, ![H:hypermapa,X:a,N:num]:(((isu_nodeu_nondegenerate @ H) & (in @ X @ (dart @ H))) => (l_ @ (ind @ H @ X @ N) @ (ind @ H @ X @ (suc @ N))))).
thf(aHypermapo_lemmau_numu_partition2, axiom, ![ID:(num > num)]:((((ID @ (numeral @ u_0)) = (numeral @ u_0)) & ![I:num]:(l_ @ (ID @ I) @ (ID @ (suc @ I)))) => ![N:num]:((N = (numeral @ u_0)) | ?[I:num,J:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (m_ @ (ID @ (suc @ I)) @ (ID @ I))) & (N = (p_ @ (ID @ I) @ J)))))).
thf(aLTEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_a_ @ N @ P)) => (l_ @ M @ P))).
thf(aLTu_ADD, axiom, ![M:num,N:num]:((l_ @ M @ (p_ @ M @ N)) <=> (l_ @ (numeral @ u_0) @ N))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,M:num,K:num]:(((isu_nodeu_nondegenerate @ H) & (in @ X @ (dart @ H)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (ind @ H @ X @ M))) => ?[I:num,J:num]:((l_ @ I @ M) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_ @ J @ (card @ (node @ H @ (power @ (inverse @ (faceu_map @ H)) @ (suc @ I) @ X)))) & (K = (p_ @ (ind @ H @ X @ I) @ J))))).
