%   ORIGINAL: Hypermap.reduce_exponent
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_SUB2: !m n. (m + n) - m = n
% Assm: Hypermap.lemma_add_exponent_function: !p m n x. (p POWER (m + n)) x = (p POWER m) ((p POWER n) x)
% Assm: Hypermap.lemma_power_inverse: !s p n. p permutes s ==> inverse p POWER n = inverse (p POWER n) /\ inverse (inverse p POWER n) = p POWER n
% Assm: Hypermap.power_permutation: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: PERMUTES_INVERSES: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: TRUTH: T
% Goal: !s p m n x. p permutes s /\ m <= n ==> (inverse p POWER m) ((p POWER n) x) = (p POWER (n - m)) x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. (m + n) - m = n
% Assm: !p m n x. (p POWER (m + n)) x = (p POWER m) ((p POWER n) x)
% Assm: !s p n. p permutes s ==> inverse p POWER n = inverse (p POWER n) /\ inverse (inverse p POWER n) = p POWER n
% Assm: !s p. p permutes s ==> (!n. p POWER n permutes s)
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: T
% Goal: !s p m n x. p permutes s /\ m <= n ==> (inverse p POWER m) ((p POWER n) x) = (p POWER (n - m)) x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_SUB2, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ M) = N)).
thf(aHypermapo_lemmau_addu_exponentu_function, axiom, ![P:(a > a),M:num,N:num,X:a]:((power @ P @ (p_ @ M @ N) @ X) = (power @ P @ M @ (power @ P @ N @ X)))).
thf(aHypermapo_lemmau_poweru_inverse, axiom, ![S:(a > $o),P:(a > a),N:num]:((permutes @ P @ S) => (((power @ (inverse @ P) @ N) = (inverse @ (power @ P @ N))) & ((inverse @ (power @ (inverse @ P) @ N)) = (power @ P @ N))))).
thf(aHypermapo_poweru_permutation, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) => ![N:num]:(permutes @ (power @ P @ N) @ S))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aPERMUTESu_INVERSES, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (![X:a]:((P @ (inverse @ P @ X)) = X) & ![X:a]:((inverse @ P @ (P @ X)) = X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),P:(a > a),M:num,N:num,X:a]:(((permutes @ P @ S) & (l_a_ @ M @ N)) => ((power @ (inverse @ P) @ M @ (power @ P @ N @ X)) = (power @ P @ (m_ @ N @ M) @ X)))).
