%   ORIGINAL: Hypermap.go_into_atom
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.COM_POWER_FUNCTION: !f x n. f ((f POWER n) x) = (f POWER SUC n) x
% Assm: Hypermap.LE_PLUS: !n. n <= SUC n
% Assm: Hypermap.LT_PLUS: !n. n < SUC n
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.determine_loop_index: !L x y k. belong x L /\ k <= top L /\ y = (next L POWER k) x ==> index L x y = k
% Assm: Hypermap.lemma_inverse_evaluation: !L x. back L (next L x) = x /\ next L (back L x) = x
% Assm: Hypermap.lemma_loop_index: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: Hypermap.lemma_second_absorb_quark: !H L x y. y IN atom H L x /\ y = inverse (node_map H) (back L y) ==> back L y IN atom H L x
% Assm: Hypermap.lemma_unique_tail: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(y = inverse (node_map H) (back L y)) ==> tail H NF x = y
% Assm: I_THM: !x. I x = x
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: TRUTH: T
% Assm: num_WOP: !P. (?n. P n) <=> (?n. P n /\ (!m. m < n ==> ~P m))
% Goal: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ belong y L /\ ~(y IN atom H L x) ==> index L y (tail H NF x) <= index L y x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. 0 + n = n
% Assm: !f. f POWER 0 = I
% Assm: !f x n. f ((f POWER n) x) = (f POWER SUC n) x
% Assm: !n. n <= SUC n
% Assm: !n. n < SUC n
% Assm: !H L x. x IN atom H L x
% Assm: !L x y k. belong x L /\ k <= top L /\ y = (next L POWER k) x ==> index L x y = k
% Assm: !L x. back L (next L x) = x /\ next L (back L x) = x
% Assm: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: !H L x y. y IN atom H L x /\ y = inverse (node_map H) (back L y) ==> back L y IN atom H L x
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(y = inverse (node_map H) (back L y)) ==> tail H NF x = y
% Assm: !x. I x = x
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: T
% Assm: !P. (?n. P n) <=> (?n. P n /\ (!m. m < n ==> ~P m))
% Goal: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ belong y L /\ ~(y IN atom H L x) ==> index L y (tail H NF x) <= index L y x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cback, type, back : (loopa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(ctail, type, tail : (hypermapa > (loopa > $o) > a > a)).
thf(cindex, type, index : (loopa > a > a > num)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(ctop, type, top : (loopa > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_COMu_POWERu_FUNCTION, axiom, ![F:(a > a),X:a,N:num]:((F @ (power @ F @ N @ X)) = (power @ F @ (suc @ N) @ X))).
thf(aHypermapo_LEu_PLUS, axiom, ![N:num]:(l_a_ @ N @ (suc @ N))).
thf(aHypermapo_LTu_PLUS, axiom, ![N:num]:(l_ @ N @ (suc @ N))).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermapa,L:loopa,X:a]:(in0 @ X @ (atom @ H @ L @ X))).
thf(aHypermapo_determineu_loopu_index, axiom, ![L:loopa,X:a,Y:a,K:num]:(((belong @ X @ L) & (l_a_ @ K @ (top @ L)) & (Y = (power @ (next @ L) @ K @ X))) => ((index @ L @ X @ Y) = K))).
thf(aHypermapo_lemmau_inverseu_evaluation, axiom, ![L:loopa,X:a]:(((back @ L @ (next @ L @ X)) = X) & ((next @ L @ (back @ L @ X)) = X))).
thf(aHypermapo_lemmau_loopu_index, axiom, ![L:loopa,X:a,Y:a]:(((belong @ X @ L) & (belong @ Y @ L)) => ((l_a_ @ (index @ L @ X @ Y) @ (top @ L)) & (Y = (power @ (next @ L) @ (index @ L @ X @ Y) @ X))))).
thf(aHypermapo_lemmau_secondu_absorbu_quark, axiom, ![H:hypermapa,L:loopa,X:a,Y:a]:(((in0 @ Y @ (atom @ H @ L @ X)) & (Y = (inverse @ (nodeu_map @ H) @ (back @ L @ Y)))) => (in0 @ (back @ L @ Y) @ (atom @ H @ L @ X)))).
thf(aHypermapo_lemmau_uniqueu_tail, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X)) & ~ ((Y = (inverse @ (nodeu_map @ H) @ (back @ L @ Y))))) => ((tail @ H @ NF @ X) = Y))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(anumu_WOP, axiom, ![P:(num > $o)]:(?[N:num]:(P @ N) <=> ?[N:num]:((P @ N) & ![M:num]:((l_ @ M @ N) => ~ ((P @ M)))))).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (belong @ Y @ L) & ~ ((in0 @ Y @ (atom @ H @ L @ X)))) => (l_a_ @ (index @ L @ Y @ (tail @ H @ NF @ X)) @ (index @ L @ Y @ X)))).
