%   ORIGINAL: RSC_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_EXPLICIT: !R x y. RC R x y <=> R x y \/ x = y
% Assm: RSC: !R. RSC R = RC (SC R)
% Assm: SC_EXPLICIT: !R. SC R x y <=> R x y \/ R y x
% Assm: TRUTH: T
% Goal: !R x y. RSC R x y <=> x = y \/ R x y \/ R y x
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !R x y. RC R x y <=> R x y \/ (x <=> y)
% Assm: !R x y. RC R x y <=> R x y \/ x = y
% Assm: !R. RSC R = RC (SC R)
% Assm: !y x R. SC R x y <=> R x y \/ R y x
% Assm: T
% Goal: !R x y. RSC R x y <=> x = y \/ R x y \/ R y x
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(crc0, type, rc0 : ((a > a > $o) > a > a > $o)).
thf(crc, type, rc : (($o > $o > $o) > $o > $o > $o)).
thf(crsc, type, rsc : ((a > a > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_EXPLICITu_monomorphized1, axiom, ![R:($o > $o > $o),X:$o,Y:$o]:((rc @ R @ X @ Y) <=> ((R @ X @ Y) | (X <=> Y)))).
thf(aRCu_EXPLICITu_monomorphized0, axiom, ![R:(a > a > $o),X:a,Y:a]:((rc0 @ R @ X @ Y) <=> ((R @ X @ Y) | (X = Y)))).
thf(aRSC, axiom, ![R:(a > a > $o)]:((rsc @ R) = (rc0 @ (sc @ R)))).
thf(aSCu_EXPLICIT, axiom, ![Y:a,X:a,R:(a > a > $o)]:((sc @ R @ X @ Y) <=> ((R @ X @ Y) | (R @ Y @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o),X:a,Y:a]:((rsc @ R @ X @ Y) <=> ((X = Y) | (R @ X @ Y) | (R @ Y @ X)))).
