%   ORIGINAL: RSC_INDUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_EXPLICIT: !R x y. RC R x y <=> R x y \/ x = y
% Assm: RSC: !R. RSC R = RC (SC R)
% Assm: SC_EXPLICIT: !R. SC R x y <=> R x y \/ R y x
% Assm: TRUTH: T
% Goal: !R P. (!x y. R x y ==> P x y) /\ (!x. P x x) /\ (!x y. P x y ==> P y x) ==> (!x y. RSC R x y ==> P x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !R x y. RC R x y <=> R x y \/ x = y
% Assm: !R. RSC R = RC (SC R)
% Assm: !y x R. SC R x y <=> R x y \/ R y x
% Assm: T
% Goal: !R P. (!x y. R x y ==> P x y) /\ (!x. P x x) /\ (!x y. P x y ==> P y x) ==> (!x y. RSC R x y ==> P x y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(crc, type, rc : ((a > a > $o) > a > a > $o)).
thf(crsc, type, rsc : ((a > a > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_EXPLICIT, axiom, ![R:(a > a > $o),X:a,Y:a]:((rc @ R @ X @ Y) <=> ((R @ X @ Y) | (X = Y)))).
thf(aRSC, axiom, ![R:(a > a > $o)]:((rsc @ R) = (rc @ (sc @ R)))).
thf(aSCu_EXPLICIT, axiom, ![Y:a,X:a,R:(a > a > $o)]:((sc @ R @ X @ Y) <=> ((R @ X @ Y) | (R @ Y @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o),P:(a > a > $o)]:((![X:a,Y:a]:((R @ X @ Y) => (P @ X @ Y)) & ![X:a]:(P @ X @ X) & ![X:a,Y:a]:((P @ X @ Y) => (P @ Y @ X))) => ![X:a,Y:a]:((rsc @ R @ X @ Y) => (P @ X @ Y)))).
