%   ORIGINAL: RTC_RULES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RTC_INC: !R x y. R x y ==> RTC R x y
% Assm: RTC_REFL: !R x. RTC R x x
% Assm: RTC_TRANS: !R x y z. RTC R x y /\ RTC R y z ==> RTC R x z
% Assm: TRUTH: T
% Goal: !R. (!x y. R x y ==> RTC R x y) /\ (!x. RTC R x x) /\ (!x y z. RTC R x y /\ RTC R y z ==> RTC R x z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !R x y. R x y ==> RTC R x y
% Assm: !R x. RTC R x x
% Assm: !R x y z. RTC R x y /\ RTC R y z ==> RTC R x z
% Assm: T
% Goal: !R. (!x y. R x y ==> RTC R x y) /\ (!x. RTC R x x) /\ (!x y z. RTC R x y /\ RTC R y z ==> RTC R x z)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(crtc, type, rtc : ((a > a > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRTCu_INC, axiom, ![R:(a > a > $o),X:a,Y:a]:((R @ X @ Y) => (rtc @ R @ X @ Y))).
thf(aRTCu_REFL, axiom, ![R:(a > a > $o),X:a]:(rtc @ R @ X @ X)).
thf(aRTCu_TRANS, axiom, ![R:(a > a > $o),X:a,Y:a,Z:a]:(((rtc @ R @ X @ Y) & (rtc @ R @ Y @ Z)) => (rtc @ R @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o)]:(![X:a,Y:a]:((R @ X @ Y) => (rtc @ R @ X @ Y)) & ![X:a]:(rtc @ R @ X @ X) & ![X:a,Y:a,Z:a]:(((rtc @ R @ X @ Y) & (rtc @ R @ Y @ Z)) => (rtc @ R @ X @ Z)))).
