%   ORIGINAL: STC_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SC_INC: !R x y. R x y ==> SC R x y
% Assm: SC_SYM: !R x y. SC R x y ==> SC R y x
% Assm: STC: !R. STC R = TC (SC R)
% Assm: TC_INC: !R x y. R x y ==> TC R x y
% Assm: TC_SYM: !R. (!x y. R x y ==> R y x) ==> (!x y. TC R x y ==> TC R y x)
% Assm: TC_TRANS: !R x y z. TC R x y /\ TC R y z ==> TC R x z
% Assm: TRUTH: T
% Goal: !R x z. STC R x z <=> R x z \/ STC R z x \/ (?y. STC R x y /\ STC R y z)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !R x y. R x y ==> SC R x y
% Assm: !R x y. SC R x y ==> SC R y x
% Assm: !R. STC R = TC (SC R)
% Assm: !R x y. R x y ==> TC R x y
% Assm: !R. (!x y. R x y ==> R y x) ==> (!x y. TC R x y ==> TC R y x)
% Assm: !R x y z. TC R x y /\ TC R y z ==> TC R x z
% Assm: T
% Goal: !R x z. STC R x z <=> R x z \/ STC R z x \/ (?y. STC R x y /\ STC R y z)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ctc, type, tc : ((a > a > $o) > a > a > $o)).
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(cstc, type, stc : ((a > a > $o) > a > a > $o)).
thf(ci, type, i : ($o > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSCu_INC, axiom, ![R:(a > a > $o),X:a,Y:a]:((R @ X @ Y) => (sc @ R @ X @ Y))).
thf(aSCu_SYM, axiom, ![R:(a > a > $o),X:a,Y:a]:((sc @ R @ X @ Y) => (sc @ R @ Y @ X))).
thf(aSTC, axiom, ![R:(a > a > $o)]:((stc @ R) = (tc @ (sc @ R)))).
thf(aTCu_INC, axiom, ![R:(a > a > $o),X:a,Y:a]:((R @ X @ Y) => (tc @ R @ X @ Y))).
thf(aTCu_SYM, axiom, ![R:(a > a > $o)]:(![X:a,Y:a]:((R @ X @ Y) => (R @ Y @ X)) => ![X:a,Y:a]:((tc @ R @ X @ Y) => (tc @ R @ Y @ X)))).
thf(aTCu_TRANS, axiom, ![R:(a > a > $o),X:a,Y:a,Z:a]:(((tc @ R @ X @ Y) & (tc @ R @ Y @ Z)) => (tc @ R @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o),X:a,Z:a]:((stc @ R @ X @ Z) <=> ((R @ X @ Z) | (stc @ R @ Z @ X) | ?[Y:a]:((stc @ R @ X @ Y) & (stc @ R @ Y @ Z))))).
