%   ORIGINAL: STC_INDUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SC_EXPLICIT: !R. SC R x y <=> R x y \/ R y x
% Assm: STC: !R. STC R = TC (SC R)
% Assm: TC_INDUCT: !R TC'. (!x y. R x y ==> TC' x y) /\ (!x y z. TC' x y /\ TC' y z ==> TC' x z) ==> (!a0 a1. TC R a0 a1 ==> TC' a0 a1)
% Assm: TRUTH: T
% Goal: !R P. (!x y. R x y ==> P x y) /\ (!x y. P x y ==> P y x) /\ (!x y z. P x y /\ P y z ==> P x z) ==> (!x y. STC R x y ==> P x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !y x R. SC R x y <=> R x y \/ R y x
% Assm: !R. STC R = TC (SC R)
% Assm: !R TC'. (!x y. R x y ==> TC' x y) /\ (!x y z. TC' x y /\ TC' y z ==> TC' x z) ==> (!a0 a1. TC R a0 a1 ==> TC' a0 a1)
% Assm: T
% Goal: !R P. (!x y. R x y ==> P x y) /\ (!x y. P x y ==> P y x) /\ (!x y z. P x y /\ P y z ==> P x z) ==> (!x y. STC R x y ==> P x y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ctc, type, tc : ((a > a > $o) > a > a > $o)).
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(cstc, type, stc : ((a > a > $o) > a > a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSCu_EXPLICIT, axiom, ![Y:a,X:a,R:(a > a > $o)]:((sc @ R @ X @ Y) <=> ((R @ X @ Y) | (R @ Y @ X)))).
thf(aSTC, axiom, ![R:(a > a > $o)]:((stc @ R) = (tc @ (sc @ R)))).
thf(aTCu_INDUCT, axiom, ![R:(a > a > $o),TCI_:(a > a > $o)]:((![X:a,Y:a]:((R @ X @ Y) => (TCI_ @ X @ Y)) & ![X:a,Y:a,Z:a]:(((TCI_ @ X @ Y) & (TCI_ @ Y @ Z)) => (TCI_ @ X @ Z))) => ![A0:a,A1:a]:((tc @ R @ A0 @ A1) => (TCI_ @ A0 @ A1)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o),P:(a > a > $o)]:((![X:a,Y:a]:((R @ X @ Y) => (P @ X @ Y)) & ![X:a,Y:a]:((P @ X @ Y) => (P @ Y @ X)) & ![X:a,Y:a,Z:a]:(((P @ X @ Y) & (P @ Y @ Z)) => (P @ X @ Z))) => ![X:a,Y:a]:((stc @ R @ X @ Y) => (P @ X @ Y)))).
