%   ORIGINAL: RSTC_TRANS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_TC: !R. RC (TC R) = TC (RC R)
% Assm: RSTC: !R. RSTC R = RC (TC (SC R))
% Assm: TC_TRANS: !R x y z. TC R x y /\ TC R y z ==> TC R x z
% Assm: TRUTH: T
% Goal: !R x y z. RSTC R x y /\ RSTC R y z ==> RSTC R x z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !R. RC (TC R) = TC (RC R)
% Assm: !R. RSTC R = RC (TC (SC R))
% Assm: !R x y z. TC R x y /\ TC R y z ==> TC R x z
% Assm: T
% Goal: !R x y z. RSTC R x y /\ RSTC R y z ==> RSTC R x z
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(ctc, type, tc : ((a > a > $o) > a > a > $o)).
thf(crc, type, rc : ((a > a > $o) > a > a > $o)).
thf(crstc, type, rstc : ((a > a > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_TC, axiom, ![R:(a > a > $o)]:((rc @ (tc @ R)) = (tc @ (rc @ R)))).
thf(aRSTC, axiom, ![R:(a > a > $o)]:((rstc @ R) = (rc @ (tc @ (sc @ R))))).
thf(aTCu_TRANS, axiom, ![R:(a > a > $o),X:a,Y:a,Z:a]:(((tc @ R @ X @ Y) & (tc @ R @ Y @ Z)) => (tc @ R @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o),X:a,Y:a,Z:a]:(((rstc @ R @ X @ Y) & (rstc @ R @ Y @ Z)) => (rstc @ R @ X @ Z))).
