%   ORIGINAL: RSTC_RULES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RSTC_INC: !R x y. R x y ==> RSTC R x y
% Assm: RSTC_REFL: !R x. RSTC R x x
% Assm: RSTC_SYM: !R x y. RSTC R x y ==> RSTC R y x
% Assm: RSTC_TRANS: !R x y z. RSTC R x y /\ RSTC R y z ==> RSTC R x z
% Assm: TRUTH: T
% Goal: !R. (!x y. R x y ==> RSTC R x y) /\ (!x. RSTC R x x) /\ (!x y. RSTC R x y ==> RSTC R y x) /\ (!x y z. RSTC R x y /\ RSTC R y z ==> RSTC R x z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !R x y. R x y ==> RSTC R x y
% Assm: !R x. RSTC R x x
% Assm: !R x y. RSTC R x y ==> RSTC R y x
% Assm: !R x y z. RSTC R x y /\ RSTC R y z ==> RSTC R x z
% Assm: T
% Goal: !R. (!x y. R x y ==> RSTC R x y) /\ (!x. RSTC R x x) /\ (!x y. RSTC R x y ==> RSTC R y x) /\ (!x y z. RSTC R x y /\ RSTC R y z ==> RSTC R x z)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(crstc, type, rstc : ((a > a > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRSTCu_INC, axiom, ![R:(a > a > $o),X:a,Y:a]:((R @ X @ Y) => (rstc @ R @ X @ Y))).
thf(aRSTCu_REFL, axiom, ![R:(a > a > $o),X:a]:(rstc @ R @ X @ X)).
thf(aRSTCu_SYM, axiom, ![R:(a > a > $o),X:a,Y:a]:((rstc @ R @ X @ Y) => (rstc @ R @ Y @ X))).
thf(aRSTCu_TRANS, axiom, ![R:(a > a > $o),X:a,Y:a,Z:a]:(((rstc @ R @ X @ Y) & (rstc @ R @ Y @ Z)) => (rstc @ R @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o)]:(![X:a,Y:a]:((R @ X @ Y) => (rstc @ R @ X @ Y)) & ![X:a]:(rstc @ R @ X @ X) & ![X:a,Y:a]:((rstc @ R @ X @ Y) => (rstc @ R @ Y @ X)) & ![X:a,Y:a,Z:a]:(((rstc @ R @ X @ Y) & (rstc @ R @ Y @ Z)) => (rstc @ R @ X @ Z)))).
