%   ORIGINAL: RSTC_TRANS_R
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_INC: !R x y. R x y ==> RC R x y
% Assm: RC_TC: !R. RC (TC R) = TC (RC R)
% Assm: RSTC: !R. RSTC R = RC (TC (SC R))
% Assm: SC_INC: !R x y. R x y ==> SC R x y
% Assm: TC_TRANS_R: !R x y z. R x y /\ TC R y z ==> TC R x z
% Assm: TRUTH: T
% Goal: !R x y z. R x y /\ RSTC R y z ==> RSTC R x z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !R x y. R x y ==> RC R x y
% Assm: !R. RC (TC R) = TC (RC R)
% Assm: !R. RSTC R = RC (TC (SC R))
% Assm: !R x y. R x y ==> SC R x y
% Assm: !R x y z. R x y /\ TC R y z ==> TC R x z
% Assm: T
% Goal: !R x y z. R x y /\ RSTC R y z ==> RSTC R x z
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(ctc, type, tc : ((a > a > $o) > a > a > $o)).
thf(crc, type, rc : ((a > a > $o) > a > a > $o)).
thf(crstc, type, rstc : ((a > a > $o) > a > a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_INC, axiom, ![R:(a > a > $o),X:a,Y:a]:((R @ X @ Y) => (rc @ R @ X @ Y))).
thf(aRCu_TC, axiom, ![R:(a > a > $o)]:((rc @ (tc @ R)) = (tc @ (rc @ R)))).
thf(aRSTC, axiom, ![R:(a > a > $o)]:((rstc @ R) = (rc @ (tc @ (sc @ R))))).
thf(aSCu_INC, axiom, ![R:(a > a > $o),X:a,Y:a]:((R @ X @ Y) => (sc @ R @ X @ Y))).
thf(aTCu_TRANSu_R, axiom, ![R:(a > a > $o),X:a,Y:a,Z:a]:(((R @ X @ Y) & (tc @ R @ Y @ Z)) => (tc @ R @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o),X:a,Y:a,Z:a]:(((R @ X @ Y) & (rstc @ R @ Y @ Z)) => (rstc @ R @ X @ Z))).
