%   ORIGINAL: RSTC_CASES_L
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_CASES: !R a0 a1. RC R a0 a1 <=> R a0 a1 \/ a1 = a0
% Assm: RC_SC: !R. RC (SC R) = SC (RC R)
% Assm: RC_TC: !R. RC (TC R) = TC (RC R)
% Assm: RSTC: !R. RSTC R = RC (TC (SC R))
% Assm: STC: !R. STC R = TC (SC R)
% Assm: STC_CASES_L: !R x z. STC R x z <=> R x z \/ STC R z x \/ (?y. STC R x y /\ R y z)
% Assm: TRUTH: T
% Goal: !R x z. RSTC R x z <=> x = z \/ R x z \/ RSTC R z x \/ (?y. RSTC R x y /\ R y z)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !R a0 a1. RC R a0 a1 <=> R a0 a1 \/ (a1 <=> a0)
% Assm: !R a0 a1. RC R a0 a1 <=> R a0 a1 \/ a1 = a0
% Assm: !R. RC (SC R) = SC (RC R)
% Assm: !R. RC (TC R) = TC (RC R)
% Assm: !R. RSTC R = RC (TC (SC R))
% Assm: !R. STC R = TC (SC R)
% Assm: !R x z. STC R x z <=> R x z \/ STC R z x \/ (?y. STC R x y /\ R y z)
% Assm: T
% Goal: !R x z. RSTC R x z <=> x = z \/ R x z \/ RSTC R z x \/ (?y. RSTC R x y /\ R y z)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cstc, type, stc : ((a > a > $o) > a > a > $o)).
thf(ctc, type, tc : ((a > a > $o) > a > a > $o)).
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(crc0, type, rc0 : ((a > a > $o) > a > a > $o)).
thf(crc, type, rc : (($o > $o > $o) > $o > $o > $o)).
thf(crstc, type, rstc : ((a > a > $o) > a > a > $o)).
thf(ci, type, i : ($o > $o)).
thf(ci0, type, i0 : (a > a)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized1, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_CASESu_monomorphized1, axiom, ![R:($o > $o > $o),A0:$o,A1:$o]:((rc @ R @ A0 @ A1) <=> ((R @ A0 @ A1) | (A1 <=> A0)))).
thf(aRCu_CASESu_monomorphized0, axiom, ![R:(a > a > $o),A0:a,A1:a]:((rc0 @ R @ A0 @ A1) <=> ((R @ A0 @ A1) | (A1 = A0)))).
thf(aRCu_SC, axiom, ![R:(a > a > $o)]:((rc0 @ (sc @ R)) = (sc @ (rc0 @ R)))).
thf(aRCu_TC, axiom, ![R:(a > a > $o)]:((rc0 @ (tc @ R)) = (tc @ (rc0 @ R)))).
thf(aRSTC, axiom, ![R:(a > a > $o)]:((rstc @ R) = (rc0 @ (tc @ (sc @ R))))).
thf(aSTC, axiom, ![R:(a > a > $o)]:((stc @ R) = (tc @ (sc @ R)))).
thf(aSTCu_CASESu_L, axiom, ![R:(a > a > $o),X:a,Z:a]:((stc @ R @ X @ Z) <=> ((R @ X @ Z) | (stc @ R @ Z @ X) | ?[Y:a]:((stc @ R @ X @ Y) & (R @ Y @ Z))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o),X:a,Z:a]:((rstc @ R @ X @ Z) <=> ((X = Z) | (R @ X @ Z) | (rstc @ R @ Z @ X) | ?[Y:a]:((rstc @ R @ X @ Y) & (R @ Y @ Z))))).
