%   ORIGINAL: RSTC_INDUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_EXPLICIT: !R x y. RC R x y <=> R x y \/ x = y
% Assm: RC_SC: !R. RC (SC R) = SC (RC R)
% Assm: RC_TC: !R. RC (TC R) = TC (RC R)
% Assm: RSTC: !R. RSTC R = RC (TC (SC R))
% Assm: STC: !R. STC R = TC (SC R)
% Assm: STC_INDUCT: !R P. (!x y. R x y ==> P x y) /\ (!x y. P x y ==> P y x) /\ (!x y z. P x y /\ P y z ==> P x z) ==> (!x y. STC R x y ==> P x y)
% Assm: TRUTH: T
% Goal: !R P. (!x y. R x y ==> P x y) /\ (!x. P x x) /\ (!x y. P x y ==> P y x) /\ (!x y z. P x y /\ P y z ==> P x z) ==> (!x y. RSTC R x y ==> P x y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !R x y. RC R x y <=> R x y \/ x = y
% Assm: !R. RC (SC R) = SC (RC R)
% Assm: !R. RC (TC R) = TC (RC R)
% Assm: !R. RSTC R = RC (TC (SC R))
% Assm: !R. STC R = TC (SC R)
% Assm: !R P. (!x y. R x y ==> P x y) /\ (!x y. P x y ==> P y x) /\ (!x y z. P x y /\ P y z ==> P x z) ==> (!x y. STC R x y ==> P x y)
% Assm: T
% Goal: !R P. (!x y. R x y ==> P x y) /\ (!x. P x x) /\ (!x y. P x y ==> P y x) /\ (!x y z. P x y /\ P y z ==> P x z) ==> (!x y. RSTC R x y ==> P x y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cstc, type, stc : ((a > a > $o) > a > a > $o)).
thf(ctc, type, tc : ((a > a > $o) > a > a > $o)).
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(crc, type, rc : ((a > a > $o) > a > a > $o)).
thf(crstc, type, rstc : ((a > a > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_EXPLICIT, axiom, ![R:(a > a > $o),X:a,Y:a]:((rc @ R @ X @ Y) <=> ((R @ X @ Y) | (X = Y)))).
thf(aRCu_SC, axiom, ![R:(a > a > $o)]:((rc @ (sc @ R)) = (sc @ (rc @ R)))).
thf(aRCu_TC, axiom, ![R:(a > a > $o)]:((rc @ (tc @ R)) = (tc @ (rc @ R)))).
thf(aRSTC, axiom, ![R:(a > a > $o)]:((rstc @ R) = (rc @ (tc @ (sc @ R))))).
thf(aSTC, axiom, ![R:(a > a > $o)]:((stc @ R) = (tc @ (sc @ R)))).
thf(aSTCu_INDUCT, axiom, ![R:(a > a > $o),P:(a > a > $o)]:((![X:a,Y:a]:((R @ X @ Y) => (P @ X @ Y)) & ![X:a,Y:a]:((P @ X @ Y) => (P @ Y @ X)) & ![X:a,Y:a,Z:a]:(((P @ X @ Y) & (P @ Y @ Z)) => (P @ X @ Z))) => ![X:a,Y:a]:((stc @ R @ X @ Y) => (P @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o),P:(a > a > $o)]:((![X:a,Y:a]:((R @ X @ Y) => (P @ X @ Y)) & ![X:a]:(P @ X @ X) & ![X:a,Y:a]:((P @ X @ Y) => (P @ Y @ X)) & ![X:a,Y:a,Z:a]:(((P @ X @ Y) & (P @ Y @ Z)) => (P @ X @ Z))) => ![X:a,Y:a]:((rstc @ R @ X @ Y) => (P @ X @ Y)))).
