%   ORIGINAL: RSTC_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_EXPLICIT: !R x y. RC R x y <=> R x y \/ x = y
% Assm: RSTC: !R. RSTC R = RC (TC (SC R))
% Assm: STC: !R. STC R = TC (SC R)
% Assm: STC_CLOSED: !R. STC R = R <=> (!x y. R x y ==> R y x) /\ (!x y z. R x y /\ R y z ==> R x z)
% Assm: STC_INC: !R x y. R x y ==> STC R x y
% Assm: TRUTH: T
% Goal: !R. RSTC R = R <=> (!x. R x x) /\ (!x y. R x y ==> R y x) /\ (!x y z. R x y /\ R y z ==> R x z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !R x y. RC R x y <=> R x y \/ x = y
% Assm: !R x y. RC R x y <=> R x y \/ (x <=> y)
% Assm: !R. RSTC R = RC (TC (SC R))
% Assm: !R. STC R = TC (SC R)
% Assm: !R. STC R = R <=> (!x y. R x y ==> R y x) /\ (!x y z. R x y /\ R y z ==> R x z)
% Assm: !R x y. R x y ==> STC R x y
% Assm: T
% Goal: !R. RSTC R = R <=> (!x. R x x) /\ (!x y. R x y ==> R y x) /\ (!x y z. R x y /\ R y z ==> R x z)
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cstc, type, stc : ((a > a > $o) > a > a > $o)).
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(ctc, type, tc : ((a > a > $o) > a > a > $o)).
thf(crc1, type, rc1 : ((a > a > $o) > a > a > $o)).
thf(crc0, type, rc0 : (($o > $o > $o) > $o > $o > $o)).
thf(crc, type, rc : (((a > a > $o) > (a > a > $o) > $o) > (a > a > $o) > (a > a > $o) > $o)).
thf(ci, type, i : ((a > a > $o) > a > a > $o)).
thf(crstc, type, rstc : ((a > a > $o) > a > a > $o)).
thf(ci0, type, i0 : ($o > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > a > $o),G:(a > a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > a > $o),G:(a > a > $o)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(a > a > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_EXPLICITu_monomorphized1, axiom, ![R:((a > a > $o) > (a > a > $o) > $o),X:(a > a > $o),Y:(a > a > $o)]:((rc @ R @ X @ Y) <=> ((R @ X @ Y) | (X = Y)))).
thf(aRCu_EXPLICITu_monomorphized0, axiom, ![R:($o > $o > $o),X:$o,Y:$o]:((rc0 @ R @ X @ Y) <=> ((R @ X @ Y) | (X <=> Y)))).
thf(aRSTC, axiom, ![R:(a > a > $o)]:((rstc @ R) = (rc1 @ (tc @ (sc @ R))))).
thf(aSTC, axiom, ![R:(a > a > $o)]:((stc @ R) = (tc @ (sc @ R)))).
thf(aSTCu_CLOSED, axiom, ![R:(a > a > $o)]:(((stc @ R) = R) <=> (![X:a,Y:a]:((R @ X @ Y) => (R @ Y @ X)) & ![X:a,Y:a,Z:a]:(((R @ X @ Y) & (R @ Y @ Z)) => (R @ X @ Z))))).
thf(aSTCu_INC, axiom, ![R:(a > a > $o),X:a,Y:a]:((R @ X @ Y) => (stc @ R @ X @ Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o)]:(((rstc @ R) = R) <=> (![X:a]:(R @ X @ X) & ![X:a,Y:a]:((R @ X @ Y) => (R @ Y @ X)) & ![X:a,Y:a,Z:a]:(((R @ X @ Y) & (R @ Y @ Z)) => (R @ X @ Z))))).
