%   ORIGINAL: RSTC_INC_TC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_TC: !R. RC (TC R) = TC (RC R)
% Assm: RSC: !R. RSC R = RC (SC R)
% Assm: RSC_INC: !R x y. R x y ==> RSC R x y
% Assm: RSTC: !R. RSTC R = RC (TC (SC R))
% Assm: TC_MONO: !R S. (!x y. R x y ==> S x y) ==> (!x y. TC R x y ==> TC S x y)
% Assm: TRUTH: T
% Goal: !R x y. TC R x y ==> RSTC R x y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !R. RC (TC R) = TC (RC R)
% Assm: !R. RSC R = RC (SC R)
% Assm: !R x y. R x y ==> RSC R x y
% Assm: !R. RSTC R = RC (TC (SC R))
% Assm: !R S. (!x y. R x y ==> S x y) ==> (!x y. TC R x y ==> TC S x y)
% Assm: T
% Goal: !R x y. TC R x y ==> RSTC R x y
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(crsc, type, rsc : ((a > a > $o) > a > a > $o)).
thf(crc, type, rc : ((a > a > $o) > a > a > $o)).
thf(crstc, type, rstc : ((a > a > $o) > a > a > $o)).
thf(ctc, type, tc : ((a > a > $o) > a > a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_TC, axiom, ![R:(a > a > $o)]:((rc @ (tc @ R)) = (tc @ (rc @ R)))).
thf(aRSC, axiom, ![R:(a > a > $o)]:((rsc @ R) = (rc @ (sc @ R)))).
thf(aRSCu_INC, axiom, ![R:(a > a > $o),X:a,Y:a]:((R @ X @ Y) => (rsc @ R @ X @ Y))).
thf(aRSTC, axiom, ![R:(a > a > $o)]:((rstc @ R) = (rc @ (tc @ (sc @ R))))).
thf(aTCu_MONO, axiom, ![R:(a > a > $o),S:(a > a > $o)]:(![X:a,Y:a]:((R @ X @ Y) => (S @ X @ Y)) => ![X:a,Y:a]:((tc @ R @ X @ Y) => (tc @ S @ X @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o),X:a,Y:a]:((tc @ R @ X @ Y) => (rstc @ R @ X @ Y))).
