%   ORIGINAL: RSTC_INC_STC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_INC: !R x y. R x y ==> RC R x y
% Assm: RSTC: !R. RSTC R = RC (TC (SC R))
% Assm: STC: !R. STC R = TC (SC R)
% Assm: TRUTH: T
% Goal: !R x y. STC R x y ==> RSTC R x y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !R x y. R x y ==> RC R x y
% Assm: !R. RSTC R = RC (TC (SC R))
% Assm: !R. STC R = TC (SC R)
% Assm: T
% Goal: !R x y. STC R x y ==> RSTC R x y
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(ctc, type, tc : ((a > a > $o) > a > a > $o)).
thf(crc, type, rc : ((a > a > $o) > a > a > $o)).
thf(crstc, type, rstc : ((a > a > $o) > a > a > $o)).
thf(cstc, type, stc : ((a > a > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_INC, axiom, ![R:(a > a > $o),X:a,Y:a]:((R @ X @ Y) => (rc @ R @ X @ Y))).
thf(aRSTC, axiom, ![R:(a > a > $o)]:((rstc @ R) = (rc @ (tc @ (sc @ R))))).
thf(aSTC, axiom, ![R:(a > a > $o)]:((stc @ R) = (tc @ (sc @ R)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o),X:a,Y:a]:((stc @ R @ X @ Y) => (rstc @ R @ X @ Y))).
