%   ORIGINAL: RTC_RELPOW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RELPOW_conjunct0: RELPOW 0 R x y <=> x = y
% Assm: RELPOW_conjunct1: RELPOW (SUC n) R x y <=> (?z. RELPOW n R x z /\ R z y)
% Assm: RTC_INDUCT_L: !R P. (!x. P x x) /\ (!x y z. P x y /\ R y z ==> P x z) ==> (!x y. RTC R x y ==> P x y)
% Assm: RTC_REFL: !R x. RTC R x x
% Assm: RTC_TRANS_L: !R x y z. RTC R x y /\ R y z ==> RTC R x z
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !R x y. RTC R x y <=> (?n. RELPOW n R x y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !R x y. RELPOW 0 R x y <=> x = y
% Assm: !n x R y. RELPOW (SUC n) R x y <=> (?z. RELPOW n R x z /\ R z y)
% Assm: !R P. (!x. P x x) /\ (!x y z. P x y /\ R y z ==> P x z) ==> (!x y. RTC R x y ==> P x y)
% Assm: !R x. RTC R x x
% Assm: !R x y z. RTC R x y /\ R y z ==> RTC R x z
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !R x y. RTC R x y <=> (?n. RELPOW n R x y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(crelpow, type, relpow : (num > (a > a > $o) > a > a > $o)).
thf(crtc, type, rtc : ((a > a > $o) > a > a > $o)).
thf(ci, type, i : ($o > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRELPOWu_conjunct0, axiom, ![R:(a > a > $o),X:a,Y:a]:((relpow @ (numeral @ u_0) @ R @ X @ Y) <=> (X = Y))).
thf(aRELPOWu_conjunct1, axiom, ![N:num,X:a,R:(a > a > $o),Y:a]:((relpow @ (suc @ N) @ R @ X @ Y) <=> ?[Z:a]:((relpow @ N @ R @ X @ Z) & (R @ Z @ Y)))).
thf(aRTCu_INDUCTu_L, axiom, ![R:(a > a > $o),P:(a > a > $o)]:((![X:a]:(P @ X @ X) & ![X:a,Y:a,Z:a]:(((P @ X @ Y) & (R @ Y @ Z)) => (P @ X @ Z))) => ![X:a,Y:a]:((rtc @ R @ X @ Y) => (P @ X @ Y)))).
thf(aRTCu_REFL, axiom, ![R:(a > a > $o),X:a]:(rtc @ R @ X @ X)).
thf(aRTCu_TRANSu_L, axiom, ![R:(a > a > $o),X:a,Y:a,Z:a]:(((rtc @ R @ X @ Y) & (R @ Y @ Z)) => (rtc @ R @ X @ Z))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![R:(a > a > $o),X:a,Y:a]:((rtc @ R @ X @ Y) <=> ?[N:num]:(relpow @ N @ R @ X @ Y))).
