%   ORIGINAL: TC_RELPOW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_EXPLICIT: !R x y. RC R x y <=> R x y \/ x = y
% Assm: RELPOW_conjunct1: RELPOW (SUC n) R x y <=> (?z. RELPOW n R x z /\ R z y)
% Assm: RTC: !R. RTC R = RC (TC R)
% Assm: RTC_RELPOW: !R x y. RTC R x y <=> (?n. RELPOW n R x y)
% Assm: TC_CASES_L: !R x z. TC R x z <=> R x z \/ (?y. TC R x y /\ R y z)
% Assm: TRUTH: T
% Goal: !R x y. TC R x y <=> (?n. RELPOW (SUC n) R x y)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !R x y. RC R x y <=> R x y \/ (x <=> y)
% Assm: !n x R y. RELPOW (SUC n) R x y <=> (?z. RELPOW n R x z /\ R z y)
% Assm: !R. RTC R = RC (TC R)
% Assm: !R x y. RTC R x y <=> (?n. RELPOW n R x y)
% Assm: !R x z. TC R x z <=> R x z \/ (?y. TC R x y /\ R y z)
% Assm: T
% Goal: !R x y. TC R x y <=> (?n. RELPOW (SUC n) R x y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(crc0, type, rc0 : ((a > a > $o) > a > a > $o)).
thf(crtc, type, rtc : ((a > a > $o) > a > a > $o)).
thf(crc, type, rc : (($o > $o > $o) > $o > $o > $o)).
thf(crelpow, type, relpow : (num > (a > a > $o) > a > a > $o)).
thf(ctc, type, tc : ((a > a > $o) > a > a > $o)).
thf(ci, type, i : ($o > $o)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_EXPLICIT, axiom, ![R:($o > $o > $o),X:$o,Y:$o]:((rc @ R @ X @ Y) <=> ((R @ X @ Y) | (X <=> Y)))).
thf(aRELPOWu_conjunct1, axiom, ![N:num,X:a,R:(a > a > $o),Y:a]:((relpow @ (suc @ N) @ R @ X @ Y) <=> ?[Z:a]:((relpow @ N @ R @ X @ Z) & (R @ Z @ Y)))).
thf(aRTC, axiom, ![R:(a > a > $o)]:((rtc @ R) = (rc0 @ (tc @ R)))).
thf(aRTCu_RELPOW, axiom, ![R:(a > a > $o),X:a,Y:a]:((rtc @ R @ X @ Y) <=> ?[N:num]:(relpow @ N @ R @ X @ Y))).
thf(aTCu_CASESu_L, axiom, ![R:(a > a > $o),X:a,Z:a]:((tc @ R @ X @ Z) <=> ((R @ X @ Z) | ?[Y:a]:((tc @ R @ X @ Y) & (R @ Y @ Z))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o),X:a,Y:a]:((tc @ R @ X @ Y) <=> ?[N:num]:(relpow @ (suc @ N) @ R @ X @ Y))).
