%   ORIGINAL: Polyhedron.BASE_POINT_FAN_TRANSLATION_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.base_point_fan: !V E x. base_point_fan (x,V,E) = x
% Assm: TRUTH: T
% Goal: !a x V E. base_point_fan (a + x,IMAGE (\x. a + x) V,IMAGE (IMAGE (\x. a + x)) E) = a + base_point_fan (x,V,E)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !V E x. base_point_fan (x,V,E) = x
% Assm: T
% Goal: !a x V E. base_point_fan (a + x,IMAGE (\x. a + x) V,IMAGE (IMAGE (\x. a + x)) E) = a + base_point_fan (x,V,E)
%  TYPES
thf(ta, type, a : $tType).
thf(tfunrealbool, type, funrealbool : $tType).
thf(treal, type, real : $tType).
thf(tprodfunrealboolfunfunrealboolbool, type, prodfunrealboolfunfunrealboolbool : $tType).
thf(tfunfunrealboolbool, type, funfunrealboolbool : $tType).
thf(tprodrealprodfunrealboolfunfunrealboolbool, type, prodrealprodfunrealboolfunfunrealboolbool : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cbaseuu_pointuu_fan, type, baseu_pointu_fan : (prodrealprodfunrealboolfunfunrealboolbool > real)).
thf(cimage0, type, image0 : (((real > $o) > real > $o) > ((real > $o) > $o) > (real > $o) > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(ccu_0, type, c_0 : ((real > $o) > ((real > $o) > $o) > prodfunrealboolfunfunrealboolbool)).
thf(ccu_, type, c_ : (real > prodfunrealboolfunfunrealboolbool > prodrealprodfunrealboolfunfunrealboolbool)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_baseu_pointu_fan, axiom, ![V:(real > $o),E:((real > $o) > $o),X:real]:((baseu_pointu_fan @ (c_ @ X @ (c_0 @ V @ E))) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,X:real,V:(real > $o),E:((real > $o) > $o)]:((baseu_pointu_fan @ (c_ @ (realu_add @ A @ X) @ (c_0 @ (image @ ^[X:real]:(realu_add @ A @ X) @ V) @ (image0 @ (image @ ^[X:real]:(realu_add @ A @ X)) @ E)))) = (realu_add @ A @ (baseu_pointu_fan @ (c_ @ X @ (c_0 @ V @ E)))))).
