%   ORIGINAL: Fan.properties_of_set_of_edge
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.set_of_edge: !v E V. set_of_edge v V E = {w | {v, w} IN E /\ w IN V}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !v V E u. UNIONS E SUBSET V ==> ({v, u} IN E <=> u IN set_of_edge v V E)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v E V. set_of_edge v V E = {w | {v, w} IN E /\ w IN V}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !v V E u. UNIONS E SUBSET V ==> ({v, u} IN E <=> u IN set_of_edge v V E)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_setu_ofu_edge, axiom, ![V:cartrealn3,E:((cartrealn3 > $o) > $o),V0:(cartrealn3 > $o)]:((setu_ofu_edge @ V @ V0 @ E) = (gspec @ ^[GENR_PVARR_292:cartrealn3]:?[W:cartrealn3]:(setspec @ GENR_PVARR_292 @ ((in @ (insert @ V @ (insert @ W @ empty)) @ E) & (in0 @ W @ V0)) @ W)))).
thf(aINu_monomorphized1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec0 @ ^[V:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in0 @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in0 @ X @ empty))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONS, axiom, ![S:((cartrealn3 > $o) > $o)]:((unions @ S) = (gspec @ ^[GENR_PVARR_1:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_1 @ ?[U:(cartrealn3 > $o)]:((in @ U @ S) & (in0 @ X @ U)) @ X)))).
thf(conjecture, conjecture, ![V:cartrealn3,V0:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),U:cartrealn3]:((subset @ (unions @ E) @ V0) => ((in @ (insert @ V @ (insert @ U @ empty)) @ E) <=> (in0 @ U @ (setu_ofu_edge @ V @ V0 @ E))))).
