%   ORIGINAL: Fan.th3d
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x v u. ~(x = v) /\ ~(x = u) ==> DISJOINT {x} {v, u}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !x v u. ~(x = v) /\ ~(x = u) ==> DISJOINT {x} {v, u}
%  TYPES
thf(ta, type, a : $tType).
thf(tq1165932, type, q1165932 : $tType).
%  CONSTS
thf(cempty, type, empty : (q1165932 > $o)).
thf(cin0, type, in0 : (q1165932 > (q1165932 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdisjoint, type, disjoint : ((q1165932 > $o) > (q1165932 > $o) > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((q1165932 > $o) > (q1165932 > $o) > q1165932 > $o)).
thf(cinsert, type, insert : (q1165932 > (q1165932 > $o) > q1165932 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q1165932),G:(a > q1165932)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(q1165932 > $o),T:(q1165932 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:q1165932,Y:q1165932,S:(q1165932 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q1165932]:~ ((in0 @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:q1165932,V:q1165932,U:q1165932]:((~ ((X = V)) & ~ ((X = U))) => (disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty))))).
