%   ORIGINAL: Fan.sigma_fan_in_set_of_edge
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.SIGMA_FAN: !x V E v u. ~(set_of_edge v V E = {u}) /\ FAN (x,V,E) /\ u IN set_of_edge v V E ==> sigma_fan x V E v u IN set_of_edge v V E /\ ~(sigma_fan x V E v u = u) /\ (!w1. w1 IN set_of_edge v V E /\ ~(w1 = u) ==> azim x v u (sigma_fan x V E v u) <= azim x v u w1)
% Assm: Fan.sigma_fan: !V E x v u. sigma_fan x V E v u = (if set_of_edge v V E = {u} then u else @w. w IN set_of_edge v V E /\ ~(w = u) /\ (!w1. w1 IN set_of_edge v V E /\ ~(w1 = u) ==> azim x v u w <= azim x v u w1))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> sigma_fan x V E v u IN set_of_edge v V E
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x V E v u. ~(set_of_edge v V E = {u}) /\ FAN (x,V,E) /\ u IN set_of_edge v V E ==> sigma_fan x V E v u IN set_of_edge v V E /\ ~(sigma_fan x V E v u = u) /\ (!w1. w1 IN set_of_edge v V E /\ ~(w1 = u) ==> azim x v u (sigma_fan x V E v u) <= azim x v u w1)
% Assm: !V E x v u. sigma_fan x V E v u = (if set_of_edge v V E = {u} then u else @w. w IN set_of_edge v V E /\ ~(w = u) /\ (!w1. w1 IN set_of_edge v V E /\ ~(w1 = u) ==> azim x v u w <= azim x v u w1))
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> sigma_fan x V E v u IN set_of_edge v V E
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(chu_, type, h_ : ((cartrealn3 > $o) > cartrealn3)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_SIGMAu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:((~ (((setu_ofu_edge @ V0 @ V @ E) = (insert @ U @ empty))) & (fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ U @ (setu_ofu_edge @ V0 @ V @ E))) => ((in @ (sigmau_fan @ X @ V @ E @ V0 @ U) @ (setu_ofu_edge @ V0 @ V @ E)) & ~ (((sigmau_fan @ X @ V @ E @ V0 @ U) = U)) & ![W1:cartrealn3]:(((in @ W1 @ (setu_ofu_edge @ V0 @ V @ E)) & ~ ((W1 = U))) => (realu_le @ (azim @ X @ V0 @ U @ (sigmau_fan @ X @ V @ E @ V0 @ U)) @ (azim @ X @ V0 @ U @ W1)))))).
thf(aFano_sigmau_fan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3,V0:cartrealn3,U:cartrealn3]:((sigmau_fan @ X @ V @ E @ V0 @ U) = (cond0 @ ((setu_ofu_edge @ V0 @ V @ E) = (insert @ U @ empty)) @ U @ (h_ @ ^[W:cartrealn3]:((in @ W @ (setu_ofu_edge @ V0 @ V @ E)) & ~ ((W = U)) & ![W1:cartrealn3]:(((in @ W1 @ (setu_ofu_edge @ V0 @ V @ E)) & ~ ((W1 = U))) => (realu_le @ (azim @ X @ V0 @ U @ W) @ (azim @ X @ V0 @ U @ W1)))))))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:cartrealn3,Y:cartrealn3]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ U @ (setu_ofu_edge @ V0 @ V @ E))) => (in @ (sigmau_fan @ X @ V @ E @ V0 @ U) @ (setu_ofu_edge @ V0 @ V @ E)))).
