%   ORIGINAL: Fan.subset_cyclic_set_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Trigonometry2.cyclic_set: !W v w. cyclic_set W v w <=> ~(v = w) /\ FINITE W /\ (!p q h. W p /\ W q /\ p = q + h % (v - w) ==> p = q) /\ W INTER affine hull {v, w} = {}
% Goal: !x v V W. V SUBSET W /\ cyclic_set W x v ==> cyclic_set V x v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !W v w. cyclic_set W v w <=> ~(v = w) /\ FINITE W /\ (!p q h. W p /\ W q /\ p = q + h % (v - w) ==> p = q) /\ W INTER affine hull {v, w} = {}
% Goal: !x v V W. V SUBSET W /\ cyclic_set W x v ==> cyclic_set V x v
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter0, type, inter0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(ccyclicuu_set, type, cyclicu_set : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cempty0, type, empty0 : (cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_cyclicu_set, axiom, ![W:(cartrealn3 > $o),V:cartrealn3,W0:cartrealn3]:((cyclicu_set @ W @ V @ W0) <=> (~ ((V = W0)) & (finite @ W) & ![P:cartrealn3,Q:cartrealn3,H:real]:(((W @ P) & (W @ Q) & (P = (vectoru_add @ Q @ (r_ @ H @ (vectoru_sub @ V @ W0))))) => (P = Q)) & ((inter0 @ W @ (hull @ affine @ (insert @ V @ (insert @ W0 @ empty0)))) = empty0)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,V0:(cartrealn3 > $o),W:(cartrealn3 > $o)]:(((subset @ V0 @ W) & (cyclicu_set @ W @ X @ V)) => (cyclicu_set @ V0 @ X @ V))).
