%   ORIGINAL: Fan.property_of_cyclic_set3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_3: !x y z. collinear {x, y, z} <=> collinear {vec 0, x - y, z - y}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.property_of_cyclic_set: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x}
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~collinear {x, v, u}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y z. collinear {x, y, z} <=> collinear {vec 0, x - y, z - y}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x}
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~collinear {x, v, u}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccyclicuu_set, type, cyclicu_set : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_3, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ X @ Y) @ (insert @ (vectoru_sub @ Z @ Y) @ empty)))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_propertyu_ofu_cyclicu_set, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((cyclicu_set @ (insert @ U @ (insert @ W1 @ (insert @ W2 @ empty))) @ X @ V) => (~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty)))))))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in0 @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((cyclicu_set @ (insert @ U @ (insert @ W1 @ (insert @ W2 @ empty))) @ X @ V) => ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))))).
