%   ORIGINAL: Fan.properties_of_cyclic_set
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Fan.property_of_cyclic_set: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x}
% Assm: Fan.property_of_cyclic_set1: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~collinear {x, v, w1}
% Assm: Fan.property_of_cyclic_set2: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~collinear {x, v, w2}
% Assm: Fan.property_of_cyclic_set3: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~collinear {x, v, u}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} /\ ~collinear {x, v, u} /\ ~collinear {x, v, w1} /\ ~collinear {x, v, w2}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x}
% Assm: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~collinear {x, v, w1}
% Assm: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~collinear {x, v, w2}
% Assm: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~collinear {x, v, u}
% Assm: ~F <=> T
% Assm: T
% Goal: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} /\ ~collinear {x, v, u} /\ ~collinear {x, v, w1} /\ ~collinear {x, v, w2}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn3)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccyclicuu_set, type, cyclicu_set : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFano_propertyu_ofu_cyclicu_set, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((cyclicu_set @ (insert @ U @ (insert @ W1 @ (insert @ W2 @ empty))) @ X @ V) => (~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty)))))))).
thf(aFano_propertyu_ofu_cyclicu_set1, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((cyclicu_set @ (insert @ U @ (insert @ W1 @ (insert @ W2 @ empty))) @ X @ V) => ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W1 @ empty))))))).
thf(aFano_propertyu_ofu_cyclicu_set2, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((cyclicu_set @ (insert @ U @ (insert @ W1 @ (insert @ W2 @ empty))) @ X @ V) => ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W2 @ empty))))))).
thf(aFano_propertyu_ofu_cyclicu_set3, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((cyclicu_set @ (insert @ U @ (insert @ W1 @ (insert @ W2 @ empty))) @ X @ V) => ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((cyclicu_set @ (insert @ U @ (insert @ W1 @ (insert @ W2 @ empty))) @ X @ V) => (~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W2 @ empty)))))))).
