%   ORIGINAL: Fan.image_power_map_points
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.SIGMA_FAN: !x V E v u. ~(set_of_edge v V E = {u}) /\ FAN (x,V,E) /\ u IN set_of_edge v V E ==> sigma_fan x V E v u IN set_of_edge v V E /\ ~(sigma_fan x V E v u = u) /\ (!w1. w1 IN set_of_edge v V E /\ ~(w1 = u) ==> azim x v u (sigma_fan x V E v u) <= azim x v u w1)
% Assm: Fan.power_map_points_conjunct0: power_map_points f x V E v w 0 = w
% Assm: Fan.power_map_points_conjunct1: power_map_points f x V E v w (SUC n) = f x V E v (power_map_points f x V E v w n)
% Assm: Fan.sigma_fan: !V E x v u. sigma_fan x V E v u = (if set_of_edge v V E = {u} then u else @w. w IN set_of_edge v V E /\ ~(w = u) /\ (!w1. w1 IN set_of_edge v V E /\ ~(w1 = u) ==> azim x v u w <= azim x v u w1))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !i x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> power_map_points sigma_fan x V E v u i IN set_of_edge v V E
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x V E v u. ~(set_of_edge v V E = {u}) /\ FAN (x,V,E) /\ u IN set_of_edge v V E ==> sigma_fan x V E v u IN set_of_edge v V E /\ ~(sigma_fan x V E v u = u) /\ (!w1. w1 IN set_of_edge v V E /\ ~(w1 = u) ==> azim x v u (sigma_fan x V E v u) <= azim x v u w1)
% Assm: !f x V E v w. power_map_points f x V E v w 0 = w
% Assm: !f x V E v w n. power_map_points f x V E v w (SUC n) = f x V E v (power_map_points f x V E v w n)
% Assm: !V E x v u. sigma_fan x V E v u = (if set_of_edge v V E = {u} then u else @w. w IN set_of_edge v V E /\ ~(w = u) /\ (!w1. w1 IN set_of_edge v V E /\ ~(w1 = u) ==> azim x v u w <= azim x v u w1))
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !i x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> power_map_points sigma_fan x V E v u i IN set_of_edge v V E
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(chu_, type, h_ : ((cartrealn3 > $o) > cartrealn3)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(ccond0, type, cond0 : ($o > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cpoweruu_mapuu_points, type, poweru_mapu_points : ((cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3) > cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_SIGMAu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:((~ (((setu_ofu_edge @ V0 @ V @ E) = (insert @ U @ empty))) & (fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ U @ (setu_ofu_edge @ V0 @ V @ E))) => ((in @ (sigmau_fan @ X @ V @ E @ V0 @ U) @ (setu_ofu_edge @ V0 @ V @ E)) & ~ (((sigmau_fan @ X @ V @ E @ V0 @ U) = U)) & ![W1:cartrealn3]:(((in @ W1 @ (setu_ofu_edge @ V0 @ V @ E)) & ~ ((W1 = U))) => (realu_le @ (azim @ X @ V0 @ U @ (sigmau_fan @ X @ V @ E @ V0 @ U)) @ (azim @ X @ V0 @ U @ W1)))))).
thf(aFano_poweru_mapu_pointsu_conjunct0, axiom, ![F:(cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3),X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:((poweru_mapu_points @ F @ X @ V @ E @ V0 @ W @ (numeral @ u_0)) = W)).
thf(aFano_poweru_mapu_pointsu_conjunct1, axiom, ![F:(cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3),X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3,N:num]:((poweru_mapu_points @ F @ X @ V @ E @ V0 @ W @ (suc @ N)) = (F @ X @ V @ E @ V0 @ (poweru_mapu_points @ F @ X @ V @ E @ V0 @ W @ N)))).
thf(aFano_sigmau_fan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3,V0:cartrealn3,U:cartrealn3]:((sigmau_fan @ X @ V @ E @ V0 @ U) = (cond0 @ ((setu_ofu_edge @ V0 @ V @ E) = (insert @ U @ empty)) @ U @ (h_ @ ^[W:cartrealn3]:((in @ W @ (setu_ofu_edge @ V0 @ V @ E)) & ~ ((W = U)) & ![W1:cartrealn3]:(((in @ W1 @ (setu_ofu_edge @ V0 @ V @ E)) & ~ ((W1 = U))) => (realu_le @ (azim @ X @ V0 @ U @ W) @ (azim @ X @ V0 @ U @ W1)))))))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![I:num,X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ U @ (setu_ofu_edge @ V0 @ V @ E))) => (in @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ (setu_ofu_edge @ V0 @ V @ E)))).
