%   ORIGINAL: Fan.IN1_ORBITS_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Fan.image_power_map_points: !i x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> power_map_points sigma_fan x V E v u i IN set_of_edge v V E
% Assm: Fan.properties_of_set_of_edge_fan: !x V E v u. FAN (x,V,E) ==> ({v, u} IN E <=> u IN set_of_edge v V E)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !i x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> {v, power_map_points sigma_fan x V E v u i} IN E
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !i x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> power_map_points sigma_fan x V E v u i IN set_of_edge v V E
% Assm: !x V E v u. FAN (x,V,E) ==> ({v, u} IN E <=> u IN set_of_edge v V E)
% Assm: ~F <=> T
% Assm: T
% Goal: !i x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> {v, power_map_points sigma_fan x V E v u i} IN E
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cpoweruu_mapuu_points, type, poweru_mapu_points : ((cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3) > cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFano_imageu_poweru_mapu_points, axiom, ![I:num,X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ U @ (setu_ofu_edge @ V0 @ V @ E))) => (in @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ (setu_ofu_edge @ V0 @ V @ E)))).
thf(aFano_propertiesu_ofu_setu_ofu_edgeu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => ((in0 @ (insert @ V0 @ (insert @ U @ empty)) @ E) <=> (in @ U @ (setu_ofu_edge @ V0 @ V @ E))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![I:num,X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ U @ (setu_ofu_edge @ V0 @ V @ E))) => (in0 @ (insert @ V0 @ (insert @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ empty)) @ E))).
