%   ORIGINAL: Fan.norm_dot_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NORM_POW_2: !x. norm x pow 2 = x dot x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.POW2_1: &1 pow 2 = &1
% Goal: !x. norm x = &1 ==> x dot x = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. norm x pow 2 = x dot x
% Assm: ~F <=> T
% Assm: T
% Assm: &1 pow 2 = &1
% Goal: !x. norm x = &1 ==> x dot x = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNORMu_POWu_2, axiom, ![X:cartrealn3]:((realu_pow @ (vectoru_norm @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (dot @ X @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_POW2u_1, axiom, ((realu_pow @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![X:cartrealn3]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ((dot @ X @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
