%   ORIGINAL: Fan.e3_is_normal_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.e3_fan: !u v x. e3_fan x v u = inv (norm (v - x)) % (v - x)
% Assm: Fan.norm_of_normal_vector_is_unit_fan: !v x. ~(v = x) ==> norm (inv (norm (v - x)) % (v - x)) = &1
% Assm: NORM_POW_2: !x. norm x pow 2 = x dot x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.POW2_1: &1 pow 2 = &1
% Goal: !x v u. ~(v = x) ==> e3_fan x v u dot e3_fan x v u = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !u v x. e3_fan x v u = inv (norm (v - x)) % (v - x)
% Assm: !v x. ~(v = x) ==> norm (inv (norm (v - x)) % (v - x)) = &1
% Assm: !x. norm x pow 2 = x dot x
% Assm: ~F <=> T
% Assm: T
% Assm: &1 pow 2 = &1
% Goal: !x v u. ~(v = x) ==> e3_fan x v u dot e3_fan x v u = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ce3uu_fan, type, e3u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_e3u_fan, axiom, ![U:cartrealn3,V:cartrealn3,X:cartrealn3]:((e3u_fan @ X @ V @ U) = (r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ V @ X))) @ (vectoru_sub @ V @ X)))).
thf(aFano_normu_ofu_normalu_vectoru_isu_unitu_fan, axiom, ![V:cartrealn3,X:cartrealn3]:(~ ((V = X)) => ((vectoru_norm @ (r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub @ V @ X))) @ (vectoru_sub @ V @ X))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aNORMu_POWu_2, axiom, ![X:cartrealn3]:((realu_pow @ (vectoru_norm @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (dot @ X @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_POW2u_1, axiom, ((realu_pow @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((V = X)) => ((dot @ (e3u_fan @ X @ V @ U) @ (e3u_fan @ X @ V @ U)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
