%   ORIGINAL: Fan.e1_orthogonal_e2_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_CROSS_SELF_conjunct3: !x y. (y cross x) dot y = &0
% Assm: Fan.e1_fan: !x v u. e1_fan x v u = e2_fan x v u cross e3_fan x v u
% Assm: TRUTH: T
% Goal: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e1_fan x v u dot e2_fan x v u = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. (y cross x) dot y = &0
% Assm: !x v u. e1_fan x v u = e2_fan x v u cross e3_fan x v u
% Assm: T
% Goal: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e1_fan x v u dot e2_fan x v u = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(ce3uu_fan, type, e3u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ce2uu_fan, type, e2u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ce1uu_fan, type, e1u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_CROSSu_SELFu_conjunct3, axiom, ![X:cartrealn3,Y:cartrealn3]:((dot @ (cross @ Y @ X) @ Y) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aFano_e1u_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((e1u_fan @ X @ V @ U) = (cross @ (e2u_fan @ X @ V @ U) @ (e3u_fan @ X @ V @ U)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty)))))) => ((dot @ (e1u_fan @ X @ V @ U) @ (e2u_fan @ X @ V @ U)) = (realu_ofu_num @ (numeral @ u_0))))).
