%   ORIGINAL: Fan.orthonormal_e1_e2_e3_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.e1_cross_e2_dot_e3_fan: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> &0 < (e1_fan x v u cross e2_fan x v u) dot e3_fan x v u
% Assm: Fan.e1_is_normal_fan: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e1_fan x v u dot e1_fan x v u = &1
% Assm: Fan.e1_orthogonal_e2_fan: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e1_fan x v u dot e2_fan x v u = &0
% Assm: Fan.e1_orthogonal_e3_fan: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e1_fan x v u dot e3_fan x v u = &0
% Assm: Fan.e2_is_normal_fan: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e2_fan x v u dot e2_fan x v u = &1
% Assm: Fan.e2_orthogonal_e3_fan: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e2_fan x v u dot e3_fan x v u = &0
% Assm: Fan.e3_is_normal_fan: !x v u. ~(v = x) ==> e3_fan x v u dot e3_fan x v u = &1
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: orthonormal: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> orthonormal (e1_fan x v u) (e2_fan x v u) (e3_fan x v u)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> &0 < (e1_fan x v u cross e2_fan x v u) dot e3_fan x v u
% Assm: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e1_fan x v u dot e1_fan x v u = &1
% Assm: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e1_fan x v u dot e2_fan x v u = &0
% Assm: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e1_fan x v u dot e3_fan x v u = &0
% Assm: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e2_fan x v u dot e2_fan x v u = &1
% Assm: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> e2_fan x v u dot e3_fan x v u = &0
% Assm: !x v u. ~(v = x) ==> e3_fan x v u dot e3_fan x v u = &1
% Assm: ~F <=> T
% Assm: T
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> orthonormal (e1_fan x v u) (e2_fan x v u) (e3_fan x v u)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ce3uu_fan, type, e3u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ce2uu_fan, type, e2u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ce1uu_fan, type, e1u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_e1u_crossu_e2u_dotu_e3u_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty)))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (cross @ (e1u_fan @ X @ V @ U) @ (e2u_fan @ X @ V @ U)) @ (e3u_fan @ X @ V @ U))))).
thf(aFano_e1u_isu_normalu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty)))))) => ((dot @ (e1u_fan @ X @ V @ U) @ (e1u_fan @ X @ V @ U)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aFano_e1u_orthogonalu_e2u_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty)))))) => ((dot @ (e1u_fan @ X @ V @ U) @ (e2u_fan @ X @ V @ U)) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aFano_e1u_orthogonalu_e3u_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty)))))) => ((dot @ (e1u_fan @ X @ V @ U) @ (e3u_fan @ X @ V @ U)) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aFano_e2u_isu_normalu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty)))))) => ((dot @ (e2u_fan @ X @ V @ U) @ (e2u_fan @ X @ V @ U)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aFano_e2u_orthogonalu_e3u_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty)))))) => ((dot @ (e2u_fan @ X @ V @ U) @ (e3u_fan @ X @ V @ U)) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aFano_e3u_isu_normalu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((V = X)) => ((dot @ (e3u_fan @ X @ V @ U) @ (e3u_fan @ X @ V @ U)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aorthonormal, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) <=> (((dot @ E1 @ E1) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E2 @ E2) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E3 @ E3) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E1 @ E2) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E1 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E2 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (cross @ E1 @ E2) @ E3))))).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty)))))) => (orthonormal @ (e1u_fan @ X @ V @ U) @ (e2u_fan @ X @ V @ U) @ (e3u_fan @ X @ V @ U)))).
