%   ORIGINAL: Fan.sincos_of_u_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Fan.cos_of_u_fan: !x v u r1 psi h1. ~collinear {u, x, v} /\ ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} /\ &0 < r1 /\ u - x = (r1 * cos psi) % e1_fan x v u + (r1 * sin psi) % e2_fan x v u + h1 % (v - x) ==> cos psi = &1
% Assm: Fan.sin_of_u_fan: !x v u r1 psi h1. ~collinear {u, x, v} /\ ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} /\ &0 < r1 /\ u - x = (r1 * cos psi) % e1_fan x v u + (r1 * sin psi) % e2_fan x v u + h1 % (v - x) ==> sin psi = &0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x v u r1 psi h1. ~collinear {u, x, v} /\ ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} /\ &0 < r1 /\ u - x = (r1 * cos psi) % e1_fan x v u + (r1 * sin psi) % e2_fan x v u + h1 % (v - x) ==> sin psi = &0 /\ cos psi = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x v u r1 psi h1. ~collinear {u, x, v} /\ ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} /\ &0 < r1 /\ u - x = (r1 * cos psi) % e1_fan x v u + (r1 * sin psi) % e2_fan x v u + h1 % (v - x) ==> cos psi = &1
% Assm: !x v u r1 psi h1. ~collinear {u, x, v} /\ ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} /\ &0 < r1 /\ u - x = (r1 * cos psi) % e1_fan x v u + (r1 * sin psi) % e2_fan x v u + h1 % (v - x) ==> sin psi = &0
% Assm: ~F <=> T
% Assm: T
% Goal: !x v u r1 psi h1. ~collinear {u, x, v} /\ ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} /\ &0 < r1 /\ u - x = (r1 * cos psi) % e1_fan x v u + (r1 * sin psi) % e2_fan x v u + h1 % (v - x) ==> sin psi = &0 /\ cos psi = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(ce2uu_fan, type, e2u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ce1uu_fan, type, e1u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFano_cosu_ofu_uu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,R1:real,PSI:real,H1:real]:((~ ((collinear @ (insert @ U @ (insert @ X @ (insert @ V @ empty))))) & ~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R1) & ((vectoru_sub @ U @ X) = (vectoru_add @ (r_ @ (realu_mul @ R1 @ (cos @ PSI)) @ (e1u_fan @ X @ V @ U)) @ (vectoru_add @ (r_ @ (realu_mul @ R1 @ (sin @ PSI)) @ (e2u_fan @ X @ V @ U)) @ (r_ @ H1 @ (vectoru_sub @ V @ X)))))) => ((cos @ PSI) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aFano_sinu_ofu_uu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,R1:real,PSI:real,H1:real]:((~ ((collinear @ (insert @ U @ (insert @ X @ (insert @ V @ empty))))) & ~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R1) & ((vectoru_sub @ U @ X) = (vectoru_add @ (r_ @ (realu_mul @ R1 @ (cos @ PSI)) @ (e1u_fan @ X @ V @ U)) @ (vectoru_add @ (r_ @ (realu_mul @ R1 @ (sin @ PSI)) @ (e2u_fan @ X @ V @ U)) @ (r_ @ H1 @ (vectoru_sub @ V @ X)))))) => ((sin @ PSI) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,R1:real,PSI:real,H1:real]:((~ ((collinear @ (insert @ U @ (insert @ X @ (insert @ V @ empty))))) & ~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R1) & ((vectoru_sub @ U @ X) = (vectoru_add @ (r_ @ (realu_mul @ R1 @ (cos @ PSI)) @ (e1u_fan @ X @ V @ U)) @ (vectoru_add @ (r_ @ (realu_mul @ R1 @ (sin @ PSI)) @ (e2u_fan @ X @ V @ U)) @ (r_ @ H1 @ (vectoru_sub @ V @ X)))))) => (((sin @ PSI) = (realu_ofu_num @ (numeral @ u_0))) & ((cos @ PSI) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
