%   ORIGINAL: Fan.simp_inverse_sigma_fan_alt
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.inverse_sigma_fan_alt: !x V E v w. inverse_sigma_fan_alt x V E v w = (@a. sigma_fan x V E v a = w)
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: inverse: !f. inverse f = (\y. @x. f x = y)
% Goal: !x V E v w. inverse_sigma_fan_alt x V E v w = inverse (sigma_fan x V E v) w
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x V E v w. inverse_sigma_fan_alt x V E v w = (@a. sigma_fan x V E v a = w)
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !f. inverse f = (\y. @x. f x = y)
% Goal: !x V E v w. inverse_sigma_fan_alt x V E v w = inverse (sigma_fan x V E v) w
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(chu_, type, h_ : ((cartrealn3 > $o) > cartrealn3)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinverse, type, inverse : ((cartrealn3 > cartrealn3) > cartrealn3 > cartrealn3)).
thf(cinverseuu_sigmauu_fanuu_alt, type, inverseu_sigmau_fanu_alt : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_inverseu_sigmau_fanu_alt, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:((inverseu_sigmau_fanu_alt @ X @ V @ E @ V0 @ W) = (h_ @ ^[A:cartrealn3]:((sigmau_fan @ X @ V @ E @ V0 @ A) = W)))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(ainverse, axiom, ![F:(cartrealn3 > cartrealn3)]:((inverse @ F) = ^[Y:cartrealn3]:(h_ @ ^[X:cartrealn3]:((F @ X) = Y)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:((inverseu_sigmau_fanu_alt @ X @ V @ E @ V0 @ W) = (inverse @ (sigmau_fan @ X @ V @ E @ V0) @ W))).
