%   ORIGINAL: Topology.MONO_AZIM_POWER_SIGMA_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.FAN: !x V E. FAN (x,V,E) <=> UNIONS E SUBSET V /\ graph E /\ fan1 (x,V,E) /\ fan2 (x,V,E) /\ fan6 (x,V,E) /\ fan7 (x,V,E)
% Assm: Fan.fan6: !V E x. fan6 (x,V,E) <=> (!e. e IN E ==> ~collinear ({x} UNION e))
% Assm: Fan.image_power_map_points: !i x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> power_map_points sigma_fan x V E v u i IN set_of_edge v V E
% Assm: Fan.power_map_points_conjunct1: power_map_points f x V E v w (SUC n) = f x V E v (power_map_points f x V E v w n)
% Assm: Fan.properties_of_set_of_edge: !v V E u. UNIONS E SUBSET V ==> ({v, u} IN E <=> u IN set_of_edge v V E)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Topology.MONO_AZIM_SIGMA_FAN: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {v, w} IN E /\ ~(sigma_fan x V E v w = u) ==> azim x v u w <= azim x v u (sigma_fan x V E v w)
% Goal: !x V E v u i. FAN (x,V,E) /\ {v, u} IN E /\ ~(power_map_points sigma_fan x V E v u (SUC i) = u) ==> azim x v u (power_map_points sigma_fan x V E v u i) <= azim x v u (power_map_points sigma_fan x V E v u (SUC i))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x V E. FAN (x,V,E) <=> UNIONS E SUBSET V /\ graph E /\ fan1 (x,V,E) /\ fan2 (x,V,E) /\ fan6 (x,V,E) /\ fan7 (x,V,E)
% Assm: !V E x. fan6 (x,V,E) <=> (!e. e IN E ==> ~collinear ({x} UNION e))
% Assm: !i x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> power_map_points sigma_fan x V E v u i IN set_of_edge v V E
% Assm: !f x V E v w n. power_map_points f x V E v w (SUC n) = f x V E v (power_map_points f x V E v w n)
% Assm: !v V E u. UNIONS E SUBSET V ==> ({v, u} IN E <=> u IN set_of_edge v V E)
% Assm: ~F <=> T
% Assm: T
% Assm: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {v, w} IN E /\ ~(sigma_fan x V E v w = u) ==> azim x v u w <= azim x v u (sigma_fan x V E v w)
% Goal: !x V E v u i. FAN (x,V,E) /\ {v, u} IN E /\ ~(power_map_points sigma_fan x V E v u (SUC i) = u) ==> azim x v u (power_map_points sigma_fan x V E v u i) <= azim x v u (power_map_points sigma_fan x V E v u (SUC i))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cpoweruu_mapuu_points, type, poweru_mapu_points : ((cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3) > cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cfan7, type, fan7 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan6, type, fan6 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan2, type, fan2 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan1, type, fan1 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cgraph, type, graph : (((cartrealn3 > $o) > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ X @ (c_0 @ V @ E))) <=> ((subset @ (unions @ E) @ V) & (graph @ E) & (fan1 @ (c_ @ X @ (c_0 @ V @ E))) & (fan2 @ (c_ @ X @ (c_0 @ V @ E))) & (fan6 @ (c_ @ X @ (c_0 @ V @ E))) & (fan7 @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aFano_fan6, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3]:((fan6 @ (c_ @ X @ (c_0 @ V @ E))) <=> ![E0:(cartrealn3 > $o)]:((in @ E0 @ E) => ~ ((collinear @ (union @ (insert @ X @ empty) @ E0)))))).
thf(aFano_imageu_poweru_mapu_points, axiom, ![I:num,X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in0 @ U @ (setu_ofu_edge @ V0 @ V @ E))) => (in0 @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ (setu_ofu_edge @ V0 @ V @ E)))).
thf(aFano_poweru_mapu_pointsu_conjunct1, axiom, ![F:(cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3),X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3,N:num]:((poweru_mapu_points @ F @ X @ V @ E @ V0 @ W @ (suc @ N)) = (F @ X @ V @ E @ V0 @ (poweru_mapu_points @ F @ X @ V @ E @ V0 @ W @ N)))).
thf(aFano_propertiesu_ofu_setu_ofu_edge, axiom, ![V:cartrealn3,V0:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),U:cartrealn3]:((subset @ (unions @ E) @ V0) => ((in @ (insert @ V @ (insert @ U @ empty)) @ E) <=> (in0 @ U @ (setu_ofu_edge @ V @ V0 @ E))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_MONOu_AZIMu_SIGMAu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & (in @ (insert @ V0 @ (insert @ W @ empty)) @ E) & ~ (((sigmau_fan @ X @ V @ E @ V0 @ W) = U))) => (realu_le @ (azim @ X @ V0 @ U @ W) @ (azim @ X @ V0 @ U @ (sigmau_fan @ X @ V @ E @ V0 @ W))))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,I:num]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & ~ (((poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ (suc @ I)) = U))) => (realu_le @ (azim @ X @ V0 @ U @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I)) @ (azim @ X @ V0 @ U @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ (suc @ I)))))).
