%   ORIGINAL: Topology.union_aff
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Topology.complement_set: !x v. complement_set {x, v} = {y | ~(y IN aff {x, v})}
% Goal: !x v. (:real^3) = aff {x, v} UNION complement_set {x, v}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:real^3)
% Assm: ~F <=> T
% Assm: T
% Assm: !x v. complement_set {x, v} = {y | ~(y IN aff {x, v})}
% Goal: !x v. (:real^3) = aff {x, v} UNION complement_set {x, v}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ccomplementuu_set, type, complementu_set : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cuniv, type, univ : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn3]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_complementu_set, axiom, ![X:cartrealn3,V:cartrealn3]:((complementu_set @ (insert @ X @ (insert @ V @ empty))) = (gspec0 @ ^[GENR_PVARR_318:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ GENR_PVARR_318 @ ~ ((in @ Y @ (aff @ (insert @ X @ (insert @ V @ empty))))) @ Y)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3]:(univ = (union @ (aff @ (insert @ X @ (insert @ V @ empty))) @ (complementu_set @ (insert @ X @ (insert @ V @ empty)))))).
