%   ORIGINAL: Topology.ORBITS_SUBSET_EDGE_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.image_power_map_points: !i x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> power_map_points sigma_fan x V E v u i IN set_of_edge v V E
% Assm: Fan.properties_of_set_of_edge_fan: !x V E v u. FAN (x,V,E) ==> ({v, u} IN E <=> u IN set_of_edge v V E)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Topology.set_of_orbits_points_fan: !x V E v u. set_of_orbits_points_fan x V E v u = {power_map_points sigma_fan x V E v u i | 0 <= i}
% Goal: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> set_of_orbits_points_fan x V E v u SUBSET set_of_edge v V E
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !i x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> power_map_points sigma_fan x V E v u i IN set_of_edge v V E
% Assm: !x V E v u. FAN (x,V,E) ==> ({v, u} IN E <=> u IN set_of_edge v V E)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x V E v u. set_of_orbits_points_fan x V E v u = {power_map_points sigma_fan x V E v u i | 0 <= i}
% Goal: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> set_of_orbits_points_fan x V E v u SUBSET set_of_edge v V E
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cpoweruu_mapuu_points, type, poweru_mapu_points : ((cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3) > cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_orbitsuu_pointsuu_fan, type, setu_ofu_orbitsu_pointsu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_imageu_poweru_mapu_points, axiom, ![I:num,X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in0 @ U @ (setu_ofu_edge @ V0 @ V @ E))) => (in0 @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ (setu_ofu_edge @ V0 @ V @ E)))).
thf(aFano_propertiesu_ofu_setu_ofu_edgeu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => ((in @ (insert @ V0 @ (insert @ U @ empty)) @ E) <=> (in0 @ U @ (setu_ofu_edge @ V0 @ V @ E))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealn3 > $o) > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn3 > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn3 > $o)]:(P0 & (X = T))))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_setu_ofu_orbitsu_pointsu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:((setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U) = (gspec0 @ ^[GENR_PVARR_319:cartrealn3]:?[I:num]:(setspec0 @ GENR_PVARR_319 @ (l_a_ @ (numeral @ u_0) @ I) @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I))))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E)) => (subset @ (setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U) @ (setu_ofu_edge @ V0 @ V @ E)))).
