%   ORIGINAL: Topology.FINITE_ORBITS_SIGMA_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: Fan.FAN: !x V E. FAN (x,V,E) <=> UNIONS E SUBSET V /\ graph E /\ fan1 (x,V,E) /\ fan2 (x,V,E) /\ fan6 (x,V,E) /\ fan7 (x,V,E)
% Assm: Fan.fan1: !x E V. fan1 (x,V,E) <=> FINITE V /\ ~(V SUBSET {})
% Assm: Fan.remark_finite_fan1: !v V E. FINITE V ==> FINITE (set_of_edge v V E)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Topology.ORBITS_SUBSET_EDGE_FAN: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> set_of_orbits_points_fan x V E v u SUBSET set_of_edge v V E
% Goal: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> FINITE (set_of_orbits_points_fan x V E v u)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !x V E. FAN (x,V,E) <=> UNIONS E SUBSET V /\ graph E /\ fan1 (x,V,E) /\ fan2 (x,V,E) /\ fan6 (x,V,E) /\ fan7 (x,V,E)
% Assm: !x E V. fan1 (x,V,E) <=> FINITE V /\ ~(V SUBSET {})
% Assm: !v V E. FINITE V ==> FINITE (set_of_edge v V E)
% Assm: ~F <=> T
% Assm: T
% Assm: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> set_of_orbits_points_fan x V E v u SUBSET set_of_edge v V E
% Goal: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> FINITE (set_of_orbits_points_fan x V E v u)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_orbitsuu_pointsuu_fan, type, setu_ofu_orbitsu_pointsu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfan7, type, fan7 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan6, type, fan6 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan2, type, fan2 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan1, type, fan1 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cgraph, type, graph : (((cartrealn3 > $o) > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFINITEu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFano_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ X @ (c_0 @ V @ E))) <=> ((subset @ (unions @ E) @ V) & (graph @ E) & (fan1 @ (c_ @ X @ (c_0 @ V @ E))) & (fan2 @ (c_ @ X @ (c_0 @ V @ E))) & (fan6 @ (c_ @ X @ (c_0 @ V @ E))) & (fan7 @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aFano_fan1, axiom, ![X:cartrealn3,E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o)]:((fan1 @ (c_ @ X @ (c_0 @ V @ E))) <=> ((finite @ V) & ~ ((subset @ V @ empty))))).
thf(aFano_remarku_finiteu_fan1, axiom, ![V:cartrealn3,V0:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((finite @ V0) => (finite @ (setu_ofu_edge @ V @ V0 @ E)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_ORBITSu_SUBSETu_EDGEu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E)) => (subset @ (setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U) @ (setu_ofu_edge @ V0 @ V @ E)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E)) => (finite @ (setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U)))).
