%   ORIGINAL: Topology.FINITE_SERIES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_NUMSEG_LT: !n. FINITE {m | m < n}
% Assm: TRUTH: T
% Assm: Topology.IMAGE_SEG: !n f. IMAGE f {i | i < n} = {f i | i < n}
% Goal: !n f. FINITE {f i | i < n}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !n. FINITE {m | m < n}
% Assm: T
% Assm: !n f. IMAGE f {i | i < n} = {f i | i < n}
% Goal: !n f. FINITE {f i | i < n}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cimage0, type, image0 : ((num > a) > (num > $o) > a > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(cimage, type, image : ((a > a) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_IMAGE, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFINITEu_NUMSEGu_LT, axiom, ![N:num]:(finite0 @ (gspec0 @ ^[GENR_PVARR_108:num]:?[M:num]:(setspec0 @ GENR_PVARR_108 @ (l_ @ M @ N) @ M)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_IMAGEu_SEG, axiom, ![N:num,F:(num > a)]:((image0 @ F @ (gspec0 @ ^[GENR_PVARR_321:num]:?[I:num]:(setspec0 @ GENR_PVARR_321 @ (l_ @ I @ N) @ I))) = (gspec @ ^[GENR_PVARR_322:a]:?[I:num]:(setspec @ GENR_PVARR_322 @ (l_ @ I @ N) @ (F @ I))))).
thf(conjecture, conjecture, ![N:num,F:(num > a)]:(finite @ (gspec @ ^[GENR_PVARR_323:a]:?[I:num]:(setspec @ GENR_PVARR_323 @ (l_ @ I @ N) @ (F @ I))))).
