%   ORIGINAL: Topology.CARD_FINITE_SERIES_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_IMAGE_LE: !f s. FINITE s ==> CARD (IMAGE f s) <= CARD s
% Assm: CARD_NUMSEG_LT: !n. CARD {m | m < n} = n
% Assm: FINITE_NUMSEG_LT: !n. FINITE {m | m < n}
% Assm: TRUTH: T
% Assm: Topology.IMAGE_SEG: !n f. IMAGE f {i | i < n} = {f i | i < n}
% Goal: !n f. CARD {f i | i < n} <= n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. FINITE s ==> CARD (IMAGE f s) <= CARD s
% Assm: !n. CARD {m | m < n} = n
% Assm: !n. FINITE {m | m < n}
% Assm: T
% Assm: !n f. IMAGE f {i | i < n} = {f i | i < n}
% Goal: !n f. CARD {f i | i < n} <= n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cimage0, type, image0 : ((num > a) > (num > $o) > a > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(cimage, type, image : ((a > a) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((num > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_IMAGEu_LE, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (l_a_ @ (card @ (image @ F @ S)) @ (card @ S)))).
thf(aCARDu_NUMSEGu_LT, axiom, ![N:num]:((card0 @ (gspec0 @ ^[GENR_PVARR_107:num]:?[M:num]:(setspec0 @ GENR_PVARR_107 @ (l_ @ M @ N) @ M))) = N)).
thf(aFINITEu_NUMSEGu_LT, axiom, ![N:num]:(finite0 @ (gspec0 @ ^[GENR_PVARR_108:num]:?[M:num]:(setspec0 @ GENR_PVARR_108 @ (l_ @ M @ N) @ M)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_IMAGEu_SEG, axiom, ![N:num,F:(num > a)]:((image0 @ F @ (gspec0 @ ^[GENR_PVARR_321:num]:?[I:num]:(setspec0 @ GENR_PVARR_321 @ (l_ @ I @ N) @ I))) = (gspec @ ^[GENR_PVARR_322:a]:?[I:num]:(setspec @ GENR_PVARR_322 @ (l_ @ I @ N) @ (F @ I))))).
thf(conjecture, conjecture, ![N:num,F:(num > a)]:(l_a_ @ (card @ (gspec @ ^[GENR_PVARR_324:a]:?[I:num]:(setspec @ GENR_PVARR_324 @ (l_ @ I @ N) @ (F @ I)))) @ N)).
