%   ORIGINAL: Topology.CARD_ORBITS_SIGMA_FAN_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Topology.CARD_FINITE_SERIES_LE: !n f. CARD {f i | i < n} <= n
% Assm: Topology.ORBITS_SIGMA_FAN: !i x V E v u. FAN (x,V,E) /\ {v, u} IN E /\ power_map_points sigma_fan x V E v u i = u /\ ~(i = 0) ==> set_of_orbits_points_fan x V E v u = {power_map_points sigma_fan x V E v u j | j < i}
% Goal: !i x V E v u. FAN (x,V,E) /\ {v, u} IN E /\ power_map_points sigma_fan x V E v u i = u /\ ~(i = 0) ==> CARD (set_of_orbits_points_fan x V E v u) <= i
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: ~F <=> T
% Assm: T
% Assm: !n f. CARD {f i | i < n} <= n
% Assm: !i x V E v u. FAN (x,V,E) /\ {v, u} IN E /\ power_map_points sigma_fan x V E v u i = u /\ ~(i = 0) ==> set_of_orbits_points_fan x V E v u = {power_map_points sigma_fan x V E v u j | j < i}
% Goal: !i x V E v u. FAN (x,V,E) /\ {v, u} IN E /\ power_map_points sigma_fan x V E v u i = u /\ ~(i = 0) ==> CARD (set_of_orbits_points_fan x V E v u) <= i
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(csetuu_ofuu_orbitsuu_pointsuu_fan, type, setu_ofu_orbitsu_pointsu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cpoweruu_mapuu_points, type, poweru_mapu_points : ((cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3) > cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((S = T) <=> ![X:(cartrealn3 > $o)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_CARDu_FINITEu_SERIESu_LE, axiom, ![N:num,F:(num > cartrealn3)]:(l_a_ @ (card @ (gspec @ ^[GENR_PVARR_324:cartrealn3]:?[I:num]:(setspec @ GENR_PVARR_324 @ (l_ @ I @ N) @ (F @ I)))) @ N)).
thf(aTopologyo_ORBITSu_SIGMAu_FAN, axiom, ![I:num,X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & ((poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) = U) & ~ ((I = (numeral @ u_0)))) => ((setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U) = (gspec @ ^[GENR_PVARR_320:cartrealn3]:?[J:num]:(setspec @ GENR_PVARR_320 @ (l_ @ J @ I) @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ J)))))).
thf(conjecture, conjecture, ![I:num,X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & ((poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) = U) & ~ ((I = (numeral @ u_0)))) => (l_a_ @ (card @ (setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U)) @ I))).
