%   ORIGINAL: Topology.SIMP_ORBITS_POINTS_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_SUBSET_EQ: !a b. FINITE b /\ a SUBSET b /\ CARD a = CARD b ==> a = b
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: INT_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Topology.CARD_FINITE_SERIES_EQ: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> CARD {f i | i < n} = n
% Assm: Topology.CARD_SET_OF_ORBITS_POINTS_FAN: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> CARD (set_of_orbits_points_fan x V E v u) = CARD (set_of_edge v V E)
% Assm: Topology.FINITE_ORBITS_SIGMA_FAN: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> FINITE (set_of_orbits_points_fan x V E v u)
% Assm: Topology.cyclic_power_sigma_fan: !x V E v u i j. FAN (x,V,E) /\ i < CARD (set_of_edge v V E) /\ j < i /\ {v, u} IN E ==> ~(power_map_points sigma_fan x V E v u i = power_map_points sigma_fan x V E v u j)
% Assm: Topology.set_of_orbits_points_fan: !x V E v u. set_of_orbits_points_fan x V E v u = {power_map_points sigma_fan x V E v u i | 0 <= i}
% Goal: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> {power_map_points sigma_fan x V E v u i | i | i < CARD (set_of_edge v V E)} = set_of_orbits_points_fan x V E v u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. FINITE b /\ a SUBSET b /\ CARD a = CARD b ==> a = b
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !n. &0 <= &n
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !n f. (!i j. i < n /\ j < i ==> ~(f i = f j)) ==> CARD {f i | i < n} = n
% Assm: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> CARD (set_of_orbits_points_fan x V E v u) = CARD (set_of_edge v V E)
% Assm: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> FINITE (set_of_orbits_points_fan x V E v u)
% Assm: !x V E v u i j. FAN (x,V,E) /\ i < CARD (set_of_edge v V E) /\ j < i /\ {v, u} IN E ==> ~(power_map_points sigma_fan x V E v u i = power_map_points sigma_fan x V E v u j)
% Assm: !x V E v u. set_of_orbits_points_fan x V E v u = {power_map_points sigma_fan x V E v u i | 0 <= i}
% Goal: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> {power_map_points sigma_fan x V E v u i | i | i < CARD (set_of_edge v V E)} = set_of_orbits_points_fan x V E v u
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(csubset0, type, subset0 : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(csetuu_ofuu_orbitsuu_pointsuu_fan, type, setu_ofu_orbitsu_pointsu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cpoweruu_mapuu_points, type, poweru_mapu_points : ((cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3) > cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(ccard0, type, card0 : (((cartrealn3 > $o) > $o) > num)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_SUBSETu_EQ, axiom, ![A:(cartrealn3 > $o),B:(cartrealn3 > $o)]:(((finite @ B) & (subset @ A @ B) & ((card @ A) = (card @ B))) => (A = B))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn3 > $o),G:(cartrealn3 > $o)]:((F = G) <=> ![X:cartrealn3]:((F @ X) <=> (G @ X)))).
thf(aINTu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((intu_le @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealn3 > $o) > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec0 @ ^[V:(cartrealn3 > $o)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn3 > $o)]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((subset0 @ S @ T) <=> ![X:(cartrealn3 > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_CARDu_FINITEu_SERIESu_EQ, axiom, ![N:num,F:(num > cartrealn3 > $o)]:(![I:num,J:num]:(((l_ @ I @ N) & (l_ @ J @ I)) => ~ (((F @ I) = (F @ J)))) => ((card0 @ (gspec0 @ ^[GENR_PVARR_325:(cartrealn3 > $o)]:?[I:num]:(setspec0 @ GENR_PVARR_325 @ (l_ @ I @ N) @ (F @ I)))) = N))).
thf(aTopologyo_CARDu_SETu_OFu_ORBITSu_POINTSu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E)) => ((card @ (setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U)) = (card @ (setu_ofu_edge @ V0 @ V @ E))))).
thf(aTopologyo_FINITEu_ORBITSu_SIGMAu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E)) => (finite @ (setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U)))).
thf(aTopologyo_cyclicu_poweru_sigmau_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,I:num,J:num]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (l_ @ I @ (card @ (setu_ofu_edge @ V0 @ V @ E))) & (l_ @ J @ I) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E)) => ~ (((poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) = (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ J))))).
thf(aTopologyo_setu_ofu_orbitsu_pointsu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:((setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U) = (gspec @ ^[GENR_PVARR_319:cartrealn3]:?[I:num]:(setspec @ GENR_PVARR_319 @ (l_a_ @ (numeral @ u_0) @ I) @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I))))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E)) => ((gspec @ ^[GENR_PVARR_330:cartrealn3]:?[I:num]:(setspec @ GENR_PVARR_330 @ (l_ @ I @ (card @ (setu_ofu_edge @ V0 @ V @ E))) @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I))) = (setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U)))).
