%   ORIGINAL: Topology.wedge_fan2_subset_aff_gt
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFF_GT_2_1: !x v w. DISJOINT {x, v} {w} ==> aff_gt {x, v} {w} = {y | ?t1 t2 t3. &0 < t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.th3: !x v u. ~collinear {x, v, u} ==> ~(x = v) /\ ~(x = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v})
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Topology.affine_hull_2_fan: !x v. aff {x, v} = {y | ?t1 t2. t1 + t2 = &1 /\ y = t1 % x + t2 % v}
% Assm: Topology.if_azims_fan: !x V E v u i. if_azims_fan x V E v u i = (if i = CARD (set_of_edge v V E) then &2 * pi else azim x v u (power_map_points sigma_fan x V E v u i))
% Assm: Topology.th: !x v u w. ~collinear {x, v, u} /\ ~collinear {x, v, w} ==> {y | ~collinear {x, v, y} /\ azim x v u w = azim x v u y} = aff_gt {x, v} {w}
% Assm: Topology.th2: !x v w. ~(x = v) ==> w IN complement_set {x, v} ==> ~collinear {x, v, w}
% Assm: Topology.wedge2_fan: !V E i u x v. wedge2_fan x V E v u i = {y | if_azims_fan x V E v u i = azim x v u y /\ y IN complement_set {x, v}}
% Goal: !x V E v u i. ~collinear {x, v, u} /\ ~collinear {x, v, power_map_points sigma_fan x V E v u i} /\ ~(i = CARD (set_of_edge v V E)) ==> wedge2_fan x V E v u i SUBSET aff_gt {x, v} {power_map_points sigma_fan x V E v u i}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x v w. DISJOINT {x, v} {w} ==> aff_gt {x, v} {w} = {y | ?t1 t2 t3. &0 < t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x v u. ~collinear {x, v, u} ==> ~(x = v) /\ ~(x = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v})
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x v. aff {x, v} = {y | ?t1 t2. t1 + t2 = &1 /\ y = t1 % x + t2 % v}
% Assm: !x V E v u i. if_azims_fan x V E v u i = (if i = CARD (set_of_edge v V E) then &2 * pi else azim x v u (power_map_points sigma_fan x V E v u i))
% Assm: !x v u w. ~collinear {x, v, u} /\ ~collinear {x, v, w} ==> {y | ~collinear {x, v, y} /\ azim x v u w = azim x v u y} = aff_gt {x, v} {w}
% Assm: !x v w. ~(x = v) ==> w IN complement_set {x, v} ==> ~collinear {x, v, w}
% Assm: !V E i u x v. wedge2_fan x V E v u i = {y | if_azims_fan x V E v u i = azim x v u y /\ y IN complement_set {x, v}}
% Goal: !x V E v u i. ~collinear {x, v, u} /\ ~collinear {x, v, power_map_points sigma_fan x V E v u i} /\ ~(i = CARD (set_of_edge v V E)) ==> wedge2_fan x V E v u i SUBSET aff_gt {x, v} {power_map_points sigma_fan x V E v u i}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(ccomplementuu_set, type, complementu_set : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cpi, type, pi : real).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cifuu_azimsuu_fan, type, ifu_azimsu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > real)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cwedge2uu_fan, type, wedge2u_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cpoweruu_mapuu_points, type, poweru_mapu_points : ((cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3) > cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFu_GTu_2u_1, axiom, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:((disjoint @ (insert @ X @ (insert @ V @ empty)) @ (insert @ W @ empty)) => ((affu_gt @ (insert @ X @ (insert @ V @ empty)) @ (insert @ W @ empty)) = (gspec @ ^[GENR_PVARR_2549:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_2549 @ ?[T1:real,T2:real,T3:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T3) & ((realu_add @ T1 @ (realu_add @ T2 @ T3)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (Y = (vectoru_add @ (r_ @ T1 @ X) @ (vectoru_add @ (r_ @ T2 @ V) @ (r_ @ T3 @ W))))) @ Y))))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_th3, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => (~ ((X = V)) & ~ ((X = U)) & (disjoint @ (insert @ X @ (insert @ V @ empty)) @ (insert @ U @ empty)) & (disjoint @ (insert @ X @ (insert @ U @ empty)) @ (insert @ V @ empty)) & (disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty))) & ~ ((in0 @ U @ (aff @ (insert @ X @ (insert @ V @ empty)))))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_affineu_hullu_2u_fan, axiom, ![X:cartrealn3,V:cartrealn3]:((aff @ (insert @ X @ (insert @ V @ empty))) = (gspec @ ^[GENR_PVARR_332:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_332 @ ?[T1:real,T2:real]:(((realu_add @ T1 @ T2) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (Y = (vectoru_add @ (r_ @ T1 @ X) @ (r_ @ T2 @ V)))) @ Y)))).
thf(aTopologyo_ifu_azimsu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,I:num]:((ifu_azimsu_fan @ X @ V @ E @ V0 @ U @ I) = (cond0 @ (I = (card @ (setu_ofu_edge @ V0 @ V @ E))) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi) @ (azim @ X @ V0 @ U @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I))))).
thf(aTopologyo_th, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3]:((~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty)))))) => ((gspec @ ^[GENR_PVARR_335:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_335 @ (~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ Y @ empty))))) & ((azim @ X @ V @ U @ W) = (azim @ X @ V @ U @ Y))) @ Y)) = (affu_gt @ (insert @ X @ (insert @ V @ empty)) @ (insert @ W @ empty))))).
thf(aTopologyo_th2, axiom, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:(~ ((X = V)) => ((in0 @ W @ (complementu_set @ (insert @ X @ (insert @ V @ empty)))) => ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty)))))))).
thf(aTopologyo_wedge2u_fan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),I:num,U:cartrealn3,X:cartrealn3,V0:cartrealn3]:((wedge2u_fan @ X @ V @ E @ V0 @ U @ I) = (gspec @ ^[GENR_PVARR_331:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_331 @ (((ifu_azimsu_fan @ X @ V @ E @ V0 @ U @ I) = (azim @ X @ V0 @ U @ Y)) & (in0 @ Y @ (complementu_set @ (insert @ X @ (insert @ V0 @ empty))))) @ Y)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,I:num]:((~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ U @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ empty))))) & ~ ((I = (card @ (setu_ofu_edge @ V0 @ V @ E))))) => (subset @ (wedge2u_fan @ X @ V @ E @ V0 @ U @ I) @ (affu_gt @ (insert @ X @ (insert @ V0 @ empty)) @ (insert @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ empty))))).
