%   ORIGINAL: Topology.wedge_fan2_equal_aff_gt
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Topology.aff_gt_subset_wedge_fan2: !x V E v u i. ~(i = CARD (set_of_edge v V E)) /\ ~collinear {x, v, u} /\ ~collinear {x, v, power_map_points sigma_fan x V E v u i} ==> aff_gt {x, v} {power_map_points sigma_fan x V E v u i} SUBSET wedge2_fan x V E v u i
% Assm: Topology.wedge_fan2_subset_aff_gt: !x V E v u i. ~collinear {x, v, u} /\ ~collinear {x, v, power_map_points sigma_fan x V E v u i} /\ ~(i = CARD (set_of_edge v V E)) ==> wedge2_fan x V E v u i SUBSET aff_gt {x, v} {power_map_points sigma_fan x V E v u i}
% Goal: !x V E v u i. ~collinear {x, v, u} /\ ~collinear {x, v, power_map_points sigma_fan x V E v u i} /\ ~(i = CARD (set_of_edge v V E)) ==> wedge2_fan x V E v u i = aff_gt {x, v} {power_map_points sigma_fan x V E v u i}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x V E v u i. ~(i = CARD (set_of_edge v V E)) /\ ~collinear {x, v, u} /\ ~collinear {x, v, power_map_points sigma_fan x V E v u i} ==> aff_gt {x, v} {power_map_points sigma_fan x V E v u i} SUBSET wedge2_fan x V E v u i
% Assm: !x V E v u i. ~collinear {x, v, u} /\ ~collinear {x, v, power_map_points sigma_fan x V E v u i} /\ ~(i = CARD (set_of_edge v V E)) ==> wedge2_fan x V E v u i SUBSET aff_gt {x, v} {power_map_points sigma_fan x V E v u i}
% Goal: !x V E v u i. ~collinear {x, v, u} /\ ~collinear {x, v, power_map_points sigma_fan x V E v u i} /\ ~(i = CARD (set_of_edge v V E)) ==> wedge2_fan x V E v u i = aff_gt {x, v} {power_map_points sigma_fan x V E v u i}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cwedge2uu_fan, type, wedge2u_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cpoweruu_mapuu_points, type, poweru_mapu_points : ((cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3) > cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_affu_gtu_subsetu_wedgeu_fan2, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,I:num]:((~ ((I = (card @ (setu_ofu_edge @ V0 @ V @ E)))) & ~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ U @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ empty)))))) => (subset0 @ (affu_gt @ (insert @ X @ (insert @ V0 @ empty)) @ (insert @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ empty)) @ (wedge2u_fan @ X @ V @ E @ V0 @ U @ I)))).
thf(aTopologyo_wedgeu_fan2u_subsetu_affu_gt, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,I:num]:((~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ U @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ empty))))) & ~ ((I = (card @ (setu_ofu_edge @ V0 @ V @ E))))) => (subset0 @ (wedge2u_fan @ X @ V @ E @ V0 @ U @ I) @ (affu_gt @ (insert @ X @ (insert @ V0 @ empty)) @ (insert @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ empty))))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,I:num]:((~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ U @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ empty))))) & ~ ((I = (card @ (setu_ofu_edge @ V0 @ V @ E))))) => ((wedge2u_fan @ X @ V @ E @ V0 @ U @ I) = (affu_gt @ (insert @ X @ (insert @ V0 @ empty)) @ (insert @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ empty))))).
