%   ORIGINAL: Topology.rcone_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan_defs.rcone_fan: !v x h. rcone_fan x v h = {y | (y - x) dot (v - x) > dist (y,x) * dist (v,x) * h}
% Assm: TRUTH: T
% Goal: !v x h. rcone_fan x v h = {y | (y - x) dot (v - x) > dist (y,x) * dist (v,x) * h}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !v x h. rcone_fan x v h = {y | (y - x) dot (v - x) > dist (y,x) * dist (v,x) * h}
% Assm: T
% Goal: !v x h. rcone_fan x v h = {y | (y - x) dot (v - x) > dist (y,x) * dist (v,x) * h}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(crconeuu_fan, type, rconeu_fan : (cartrealn3 > cartrealn3 > real > cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFanu_defso_rconeu_fan, axiom, ![V:cartrealn3,X:cartrealn3,H:real]:((rconeu_fan @ X @ V @ H) = (gspec @ ^[GENR_PVARR_288:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_288 @ (realu_gt @ (dot @ (vectoru_sub @ Y @ X) @ (vectoru_sub @ V @ X)) @ (realu_mul @ (distance @ (c_ @ Y @ X)) @ (realu_mul @ (distance @ (c_ @ V @ X)) @ H))) @ Y)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,X:cartrealn3,H:real]:((rconeu_fan @ X @ V @ H) = (gspec @ ^[GENR_PVARR_351:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_351 @ (realu_gt @ (dot @ (vectoru_sub @ Y @ X) @ (vectoru_sub @ V @ X)) @ (realu_mul @ (distance @ (c_ @ Y @ X)) @ (realu_mul @ (distance @ (c_ @ V @ X)) @ H))) @ Y)))).
