%   ORIGINAL: Topology.closed_aff_ge_1_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_INTER: !s t. closed s /\ closed t ==> closed (s INTER t)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: Topology.aff_ge_inter_aff_ge: !x v w. ~collinear {x, v, w} ==> aff_ge {x} {v, w} = aff_ge {x, v} {w} INTER aff_ge {x, w} {v}
% Assm: Topology.closed_aff_ge_2_1: !x v u. ~collinear {x, v, u} ==> closed (aff_ge {x, v} {u})
% Goal: !x v w. ~collinear {x, v, w} ==> closed (aff_ge {x} {v, w})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. closed s /\ closed t ==> closed (s INTER t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !x v w. ~collinear {x, v, w} ==> aff_ge {x} {v, w} = aff_ge {x, v} {w} INTER aff_ge {x, w} {v}
% Assm: !x v u. ~collinear {x, v, u} ==> closed (aff_ge {x, v} {u})
% Goal: !x v w. ~collinear {x, v, w} ==> closed (aff_ge {x} {v, w})
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cclosed, type, closed : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((closed @ S) & (closed @ T)) => (closed @ (inter @ S @ T)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in0 @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_affu_geu_interu_affu_ge, axiom, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty))))) => ((affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) = (inter @ (affu_ge @ (insert @ X @ (insert @ V @ empty)) @ (insert @ W @ empty)) @ (affu_ge @ (insert @ X @ (insert @ W @ empty)) @ (insert @ V @ empty)))))).
thf(aTopologyo_closedu_affu_geu_2u_1, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => (closed @ (affu_ge @ (insert @ X @ (insert @ V @ empty)) @ (insert @ U @ empty))))).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty))))) => (closed @ (affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty)))))).
