%   ORIGINAL: Topology.bounded_ballnorm_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NORM_SUB: !x y. norm (x - y) = norm (y - x)
% Assm: NORM_TRIANGLE_SUB: !x y. norm x <= norm y + norm (x - y)
% Assm: TRUTH: T
% Assm: Topology.ballnorm_fan: !x. ballnorm_fan x = {y | dist (x,y) = &1}
% Assm: bounded: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !x. bounded (ballnorm_fan x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y. norm (x - y) = norm (y - x)
% Assm: !x y. norm x <= norm y + norm (x - y)
% Assm: T
% Assm: !x. ballnorm_fan x = {y | dist (x,y) = &1}
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !x. bounded (ballnorm_fan x)
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tnum, type, num : $tType).
thf(tq99770, type, q99770 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartrealq99770, type, cartrealq99770 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm2, type, vectoru_norm2 : (cartrealq98293 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq98293cartrealq98293 > real)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealn3 > real)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq99770 > real)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cballnormuu_fan, type, ballnormu_fan : (cartrealn3 > cartrealn3 > $o)).
thf(cvectoruu_sub1, type, vectoru_sub1 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_0, type, c_0 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq99770 > cartrealq99770 > cartrealq99770)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNORMu_SUB, axiom, ![X:cartrealq99770,Y:cartrealq99770]:((vectoru_norm @ (vectoru_sub @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ Y @ X)))).
thf(aNORMu_TRIANGLEu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:(realu_le @ (vectoru_norm0 @ X) @ (realu_add @ (vectoru_norm0 @ Y) @ (vectoru_norm0 @ (vectoru_sub0 @ X @ Y))))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_ballnormu_fan, axiom, ![X:cartrealn3]:((ballnormu_fan @ X) = (gspec0 @ ^[GENR_PVARR_369:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ GENR_PVARR_369 @ ((distance @ (c_ @ X @ Y)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(abounded, axiom, ![S:(cartrealn3 > $o)]:((bounded @ S) <=> ?[A:real]:![X:cartrealn3]:((in0 @ X @ S) => (realu_le @ (vectoru_norm1 @ X) @ A)))).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance0 @ (c_0 @ X @ Y)) = (vectoru_norm2 @ (vectoru_sub1 @ X @ Y)))).
thf(conjecture, conjecture, ![X:cartrealn3]:(bounded @ (ballnormu_fan @ X))).
