%   ORIGINAL: Topology.closed_aff_ge_ballnorm_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_INTER: !s t. closed s /\ closed t ==> closed (s INTER t)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Topology.closed_aff_ge_1_2: !x v w. ~collinear {x, v, w} ==> closed (aff_ge {x} {v, w})
% Assm: Topology.closed_ballnorm_fan: !x. closed (ballnorm_fan x)
% Goal: !x v w. ~collinear {x, v, w} ==> closed (aff_ge {x} {v, w} INTER ballnorm_fan x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. closed s /\ closed t ==> closed (s INTER t)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !x v w. ~collinear {x, v, w} ==> closed (aff_ge {x} {v, w})
% Assm: !x. closed (ballnorm_fan x)
% Goal: !x v w. ~collinear {x, v, w} ==> closed (aff_ge {x} {v, w} INTER ballnorm_fan x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cballnormuu_fan, type, ballnormu_fan : (cartrealn3 > cartrealn3 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cclosed, type, closed : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((closed @ S) & (closed @ T)) => (closed @ (inter @ S @ T)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_closedu_affu_geu_1u_2, axiom, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty))))) => (closed @ (affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty)))))).
thf(aTopologyo_closedu_ballnormu_fan, axiom, ![X:cartrealn3]:(closed @ (ballnormu_fan @ X))).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty))))) => (closed @ (inter @ (affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) @ (ballnormu_fan @ X))))).
