%   ORIGINAL: Topology.compact_aff_ge_ballnorm_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_CLOSED_IMP_COMPACT: !s. bounded s /\ closed s ==> compact s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Topology.bounded_ballnorm_fans: !x v w. bounded (aff_ge {x} {v, w} INTER ballnorm_fan x)
% Assm: Topology.closed_aff_ge_ballnorm_fan: !x v w. ~collinear {x, v, w} ==> closed (aff_ge {x} {v, w} INTER ballnorm_fan x)
% Goal: !x v w. ~collinear {x, v, w} ==> compact (aff_ge {x} {v, w} INTER ballnorm_fan x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. bounded s /\ closed s ==> compact s
% Assm: ~F <=> T
% Assm: T
% Assm: !x v w. bounded (aff_ge {x} {v, w} INTER ballnorm_fan x)
% Assm: !x v w. ~collinear {x, v, w} ==> closed (aff_ge {x} {v, w} INTER ballnorm_fan x)
% Goal: !x v w. ~collinear {x, v, w} ==> compact (aff_ge {x} {v, w} INTER ballnorm_fan x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cballnormuu_fan, type, ballnormu_fan : (cartrealn3 > cartrealn3 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cclosed, type, closed : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_CLOSEDu_IMPu_COMPACT, axiom, ![S:(cartrealn3 > $o)]:(((bounded @ S) & (closed @ S)) => (compact @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_boundedu_ballnormu_fans, axiom, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:(bounded @ (inter @ (affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) @ (ballnormu_fan @ X)))).
thf(aTopologyo_closedu_affu_geu_ballnormu_fan, axiom, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty))))) => (closed @ (inter @ (affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) @ (ballnormu_fan @ X))))).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty))))) => (compact @ (inter @ (affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) @ (ballnormu_fan @ X))))).
