%   ORIGINAL: Topology.r_fan_is_inter_halfspace
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTER: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Assm: Topology.r1_le_fan: !a. r1_le_fan a = {y | y$1 > a}
% Assm: Topology.r2_ge_fan: !a. r2_ge_fan a = {y | y$2 < a}
% Assm: Topology.r2_le_fan: !a. r2_le_fan a = {y | y$2 > a}
% Assm: Topology.r3_ge_fan: !a. r3_ge_fan a = {y | y$3 < a}
% Assm: Topology.r3_le_fan: !a. r3_le_fan a = {y | y$3 > a}
% Assm: Topology.r_fan: !a b c. r_fan a b c = {y | y$1 > &0 /\ y$2 > a /\ y$2 < b /\ y$3 > &0 /\ y$3 < c}
% Goal: !a b c. r_fan a b c = r1_le_fan (&0) INTER r2_le_fan a INTER r2_ge_fan b INTER r3_le_fan (&0) INTER r3_ge_fan c
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Assm: !a. r1_le_fan a = {y | y$1 > a}
% Assm: !a. r2_ge_fan a = {y | y$2 < a}
% Assm: !a. r2_le_fan a = {y | y$2 > a}
% Assm: !a. r3_ge_fan a = {y | y$3 < a}
% Assm: !a. r3_le_fan a = {y | y$3 > a}
% Assm: !a b c. r_fan a b c = {y | y$1 > &0 /\ y$2 > a /\ y$2 < b /\ y$3 > &0 /\ y$3 < c}
% Goal: !a b c. r_fan a b c = r1_le_fan (&0) INTER r2_le_fan a INTER r2_ge_fan b INTER r3_le_fan (&0) INTER r3_ge_fan c
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cr3uu_geuu_fan, type, r3u_geu_fan : (real > cartrealn3 > $o)).
thf(cr3uu_leuu_fan, type, r3u_leu_fan : (real > cartrealn3 > $o)).
thf(cr2uu_geuu_fan, type, r2u_geu_fan : (real > cartrealn3 > $o)).
thf(cr2uu_leuu_fan, type, r2u_leu_fan : (real > cartrealn3 > $o)).
thf(cr1uu_leuu_fan, type, r1u_leu_fan : (real > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cruu_fan, type, ru_fan : (real > real > real > cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((inter @ S @ T) = (gspec @ ^[GENR_PVARR_2:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_2 @ ((in @ X @ S) & (in @ X @ T)) @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_r1u_leu_fan, axiom, ![A:real]:((r1u_leu_fan @ A) = (gspec @ ^[GENR_PVARR_375:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_375 @ (realu_gt @ (d_ @ Y @ (numeral @ (bit1 @ u_0))) @ A) @ Y)))).
thf(aTopologyo_r2u_geu_fan, axiom, ![A:real]:((r2u_geu_fan @ A) = (gspec @ ^[GENR_PVARR_379:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_379 @ (realu_lt @ (d_ @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ A) @ Y)))).
thf(aTopologyo_r2u_leu_fan, axiom, ![A:real]:((r2u_leu_fan @ A) = (gspec @ ^[GENR_PVARR_376:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_376 @ (realu_gt @ (d_ @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ A) @ Y)))).
thf(aTopologyo_r3u_geu_fan, axiom, ![A:real]:((r3u_geu_fan @ A) = (gspec @ ^[GENR_PVARR_380:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_380 @ (realu_lt @ (d_ @ Y @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ A) @ Y)))).
thf(aTopologyo_r3u_leu_fan, axiom, ![A:real]:((r3u_leu_fan @ A) = (gspec @ ^[GENR_PVARR_377:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_377 @ (realu_gt @ (d_ @ Y @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ A) @ Y)))).
thf(aTopologyo_ru_fan, axiom, ![A:real,B:real,C:real]:((ru_fan @ A @ B @ C) = (gspec @ ^[GENR_PVARR_374:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_374 @ ((realu_gt @ (d_ @ Y @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))) & (realu_gt @ (d_ @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ A) & (realu_lt @ (d_ @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ B) & (realu_gt @ (d_ @ Y @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (d_ @ Y @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ C)) @ Y)))).
thf(conjecture, conjecture, ![A:real,B:real,C:real]:((ru_fan @ A @ B @ C) = (inter @ (r1u_leu_fan @ (realu_ofu_num @ (numeral @ u_0))) @ (inter @ (r2u_leu_fan @ A) @ (inter @ (r2u_geu_fan @ B) @ (inter @ (r3u_leu_fan @ (realu_ofu_num @ (numeral @ u_0))) @ (r3u_geu_fan @ C))))))).
