%   ORIGINAL: Topology.r1_le_is_convex_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HALFSPACE_COMPONENT_GT: !a k. convex {x | x$k > a}
% Assm: OPEN_HALFSPACE_COMPONENT_GT: !a k. open {x | x$k > a}
% Assm: TRUTH: T
% Assm: Topology.r1_le_fan: !a. r1_le_fan a = {y | y$1 > a}
% Goal: !a. convex (r1_le_fan a) /\ open (r1_le_fan a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a k. convex {x | x$k > a}
% Assm: !a k. open {x | x$k > a}
% Assm: T
% Assm: !a. r1_le_fan a = {y | y$1 > a}
% Goal: !a. convex (r1_le_fan a) /\ open (r1_le_fan a)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cr1uu_leuu_fan, type, r1u_leu_fan : (real > cartrealn3 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(copen, type, open : ((cartrealn3 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HALFSPACEu_COMPONENTu_GT, axiom, ![A:real,K:num]:(convex @ (gspec @ ^[GENR_PVARR_830:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_830 @ (realu_gt @ (d_ @ X @ K) @ A) @ X)))).
thf(aOPENu_HALFSPACEu_COMPONENTu_GT, axiom, ![A:real,K:num]:(open @ (gspec @ ^[GENR_PVARR_531:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_531 @ (realu_gt @ (d_ @ X @ K) @ A) @ X)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_r1u_leu_fan, axiom, ![A:real]:((r1u_leu_fan @ A) = (gspec @ ^[GENR_PVARR_375:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_375 @ (realu_gt @ (d_ @ Y @ (numeral @ (bit1 @ u_0))) @ A) @ Y)))).
thf(conjecture, conjecture, ![A:real]:((convex @ (r1u_leu_fan @ A)) & (open @ (r1u_leu_fan @ A)))).
