%   ORIGINAL: Topology.r_is_connected_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONNECTED: !s. convex s ==> connected s
% Assm: CONVEX_INTER: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_INTER: !s t. open s /\ open t ==> open (s INTER t)
% Assm: TRUTH: T
% Assm: Topology.r1_ge_is_convex_fan: !a. convex (r1_ge_fan a) /\ open (r1_ge_fan a)
% Assm: Topology.r1_le_is_convex_fan: !a. convex (r1_le_fan a) /\ open (r1_le_fan a)
% Assm: Topology.r2_ge_is_convex_fan: !a. convex (r2_ge_fan a) /\ open (r2_ge_fan a)
% Assm: Topology.r2_le_is_convex_fan: !a. convex (r2_le_fan a) /\ open (r2_le_fan a)
% Assm: Topology.r3_ge_is_convex_fan: !a. convex (r3_ge_fan a) /\ open (r3_ge_fan a)
% Assm: Topology.r3_le_is_convex_fan: !a. convex (r3_le_fan a) /\ open (r3_le_fan a)
% Assm: Topology.r_fan_is_inter_halfspace: !a b c. r_fan a b c = r1_le_fan (&0) INTER r2_le_fan a INTER r2_ge_fan b INTER r3_le_fan (&0) INTER r3_ge_fan c
% Goal: !a b c. connected (r_fan a b c) /\ convex (r_fan a b c) /\ open (r_fan a b c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex s ==> connected s
% Assm: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s t. open s /\ open t ==> open (s INTER t)
% Assm: T
% Assm: !a. convex (r1_ge_fan a) /\ open (r1_ge_fan a)
% Assm: !a. convex (r1_le_fan a) /\ open (r1_le_fan a)
% Assm: !a. convex (r2_ge_fan a) /\ open (r2_ge_fan a)
% Assm: !a. convex (r2_le_fan a) /\ open (r2_le_fan a)
% Assm: !a. convex (r3_ge_fan a) /\ open (r3_ge_fan a)
% Assm: !a. convex (r3_le_fan a) /\ open (r3_le_fan a)
% Assm: !a b c. r_fan a b c = r1_le_fan (&0) INTER r2_le_fan a INTER r2_ge_fan b INTER r3_le_fan (&0) INTER r3_ge_fan c
% Goal: !a b c. connected (r_fan a b c) /\ convex (r_fan a b c) /\ open (r_fan a b c)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cr3uu_leuu_fan, type, r3u_leu_fan : (real > cartrealn3 > $o)).
thf(cr3uu_geuu_fan, type, r3u_geu_fan : (real > cartrealn3 > $o)).
thf(cr2uu_leuu_fan, type, r2u_leu_fan : (real > cartrealn3 > $o)).
thf(cr2uu_geuu_fan, type, r2u_geu_fan : (real > cartrealn3 > $o)).
thf(cr1uu_leuu_fan, type, r1u_leu_fan : (real > cartrealn3 > $o)).
thf(cr1uu_geuu_fan, type, r1u_geu_fan : (real > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cruu_fan, type, ru_fan : (real > real > real > cartrealn3 > $o)).
thf(copen, type, open : ((cartrealn3 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONNECTED, axiom, ![S:(cartrealn3 > $o)]:((convex @ S) => (connected @ S))).
thf(aCONVEXu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((convex @ S) & (convex @ T)) => (convex @ (inter @ S @ T)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((open @ S) & (open @ T)) => (open @ (inter @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_r1u_geu_isu_convexu_fan, axiom, ![A:real]:((convex @ (r1u_geu_fan @ A)) & (open @ (r1u_geu_fan @ A)))).
thf(aTopologyo_r1u_leu_isu_convexu_fan, axiom, ![A:real]:((convex @ (r1u_leu_fan @ A)) & (open @ (r1u_leu_fan @ A)))).
thf(aTopologyo_r2u_geu_isu_convexu_fan, axiom, ![A:real]:((convex @ (r2u_geu_fan @ A)) & (open @ (r2u_geu_fan @ A)))).
thf(aTopologyo_r2u_leu_isu_convexu_fan, axiom, ![A:real]:((convex @ (r2u_leu_fan @ A)) & (open @ (r2u_leu_fan @ A)))).
thf(aTopologyo_r3u_geu_isu_convexu_fan, axiom, ![A:real]:((convex @ (r3u_geu_fan @ A)) & (open @ (r3u_geu_fan @ A)))).
thf(aTopologyo_r3u_leu_isu_convexu_fan, axiom, ![A:real]:((convex @ (r3u_leu_fan @ A)) & (open @ (r3u_leu_fan @ A)))).
thf(aTopologyo_ru_fanu_isu_interu_halfspace, axiom, ![A:real,B:real,C:real]:((ru_fan @ A @ B @ C) = (inter @ (r1u_leu_fan @ (realu_ofu_num @ (numeral @ u_0))) @ (inter @ (r2u_leu_fan @ A) @ (inter @ (r2u_geu_fan @ B) @ (inter @ (r3u_leu_fan @ (realu_ofu_num @ (numeral @ u_0))) @ (r3u_geu_fan @ C))))))).
thf(conjecture, conjecture, ![A:real,B:real,C:real]:((connected @ (ru_fan @ A @ B @ C)) & (convex @ (ru_fan @ A @ B @ C)) & (open @ (ru_fan @ A @ B @ C)))).
