%   ORIGINAL: Topology.rw_dart_is_image_set_spherical_coordinate
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ACS_COS: !x. &0 <= x /\ x <= pi ==> acs (cos x) = x
% Assm: ACS_MONO_LT: !x y. -- &1 <= x /\ x < y /\ y <= &1 ==> acs y < acs x
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: AFFINE_HULL_2: !a b. affine hull {a, b} = {u % a + v % b | u + v = &1}
% Assm: ARCV_ANGLE: !u v w. arcV u v w = angle (v,u,w)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_EXP_conjunct1: _0 EXP _0 = BIT1 _0
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: AZIM_EQ_0_ALT: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = &0 <=> x IN aff_gt {v0, v1} {w})
% Assm: AZIM_EQ_0_GE_ALT: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = &0 <=> x IN aff_ge {v0, v1} {w})
% Assm: AZIM_REFL: !v0 v1 w. azim v0 v1 w w = &0
% Assm: AZIM_UNIQUE: !v w w1 w2 h1 h2 r1 r2 e1 e2 e3 psi theta. &0 <= theta /\ theta < &2 * pi /\ orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) /\ &0 < r1 /\ &0 < r2 /\ w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + theta)) % e1 + (r2 * sin (psi + theta)) % e2 + h2 % (w - v) ==> azim v w w1 w2 = theta
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COLLINEAR_3: !x y z. collinear {x, y, z} <=> collinear {vec 0, x - y, z - y}
% Assm: COLLINEAR_LEMMA: !x y. collinear {vec 0, x, y} <=> x = vec 0 \/ y = vec 0 \/ (?c. y = c % x)
% Assm: COLLINEAR_VECTOR_ANGLE: !x y. ~(x = vec 0) /\ ~(y = vec 0) ==> (collinear {vec 0, x, y} <=> vector_angle x y = &0 \/ vector_angle x y = pi)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: COS_BOUNDS: !x. -- &1 <= cos x /\ cos x <= &1
% Assm: COS_MONO_LT: !x y. &0 <= x /\ x < y /\ y <= pi ==> cos y < cos x
% Assm: CROSS_DOT_CANCEL: !x y z. x dot y = x dot z /\ x cross y = x cross z /\ ~(x = vec 0) ==> y = z
% Assm: CROSS_RADD: !x y z. x cross (y + z) = x cross y + x cross z
% Assm: CROSS_REFL: !x. x cross x = vec 0
% Assm: CROSS_RMUL: !c x y. x cross c % y = c % (x cross y)
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DIFF: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: DIST_EQ_0: !x y. dist (x,y) = &0 <=> x = y
% Assm: DIST_POS_LE: !x y. &0 <= dist (x,y)
% Assm: DIST_REFL: !x. dist (x,x) = &0
% Assm: DOT_CAUCHY_SCHWARZ_EQUAL: !x y. (x dot y) pow 2 = (x dot x) * (y dot y) <=> collinear {vec 0, x, y}
% Assm: DOT_EQ_0: !x. x dot x = &0 <=> x = vec 0
% Assm: DOT_LADD: !x y z. (x + y) dot z = x dot z + y dot z
% Assm: DOT_LMUL: !c x y. c % x dot y = c * (x dot y)
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: DOT_SQUARE_NORM: !x. x dot x = norm x pow 2
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXP_ADD: !m n p. m EXP (n + p) = m EXP n * m EXP p
% Assm: EXP_conjunct1: !m n. m EXP SUC n = m * m EXP n
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.AFF_GE_2_1: !x v w. DISJOINT {x, v} {w} ==> aff_ge {x, v} {w} = {y | ?t1 t2 t3. &0 <= t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: Fan.collinear1_fan: !x v u. ~collinear {x, u, v} <=> ~(u IN aff {x, v}) /\ ~(x = v)
% Assm: Fan.e1_fan: !x v u. e1_fan x v u = e2_fan x v u cross e3_fan x v u
% Assm: Fan.e2_fan: !v u x. e2_fan x v u = inv (norm (e3_fan x v u cross (u - x))) % (e3_fan x v u cross (u - x))
% Assm: Fan.e3_fan: !u v x. e3_fan x v u = inv (norm (v - x)) % (v - x)
% Assm: Fan.orthonormal_e1_e2_e3_fan: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> orthonormal (e1_fan x v u) (e2_fan x v u) (e3_fan x v u)
% Assm: Fan.properties_coordinate: !x v u. ~collinear {x, v, u} ==> orthonormal (e1_fan x v u) (e2_fan x v u) (e3_fan x v u) /\ dist (v,x) % e3_fan x v u = v - x /\ (v - x) cross e3_fan x v u = vec 0 /\ (v - x) dot e2_fan x v u = &0 /\ (u - x) dot e2_fan x v u = &0 /\ &0 <= (u - x) dot e1_fan x v u /\ &0 < (u - x) dot e1_fan x v u /\ (v - x) dot e1_fan x v u = &0
% Assm: Fan.remark1_fan: !x V E u v. FAN (x,V,E) ==> FINITE (set_of_edge v V E) /\ ({v, u} IN E <=> u IN set_of_edge v V E) /\ ({v, u} IN E ==> ~collinear {x, v, u} /\ ~(x = v) /\ ~(x = u) /\ ~(v = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v}) /\ v IN V /\ (~collinear {x, v, u} <=> ~(u IN aff {x, v})))
% Assm: Fan_defs.rw_dart_fan: !V E y w w1 x v h. rw_dart_fan x V E (y,v,w,w1) h = w_dart_fan x V E (y,v,w,w1) INTER rcone_fan x v h
% Assm: Fan_defs.w_dart_fan: !y w1 w V E x v. w_dart_fan x V E (y,v,w,w1) = (if CARD (set_of_edge v V E) > 1 then wedge x v w (sigma_fan x V E v w) else if set_of_edge v V E = {w} then (:real^3) DIFF aff_ge {x, v} {w} else if set_of_edge v V E = {} then (:real^3) DIFF aff {x, v} else {})
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: INT_GT: !x y. x > y <=> y < x
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: INT_NOT_EQ: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: INT_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: INT_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: INT_OF_NUM_GT: !m n. &m > &n <=> m > n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NORM_CAUCHY_SCHWARZ_DIV: !x y. abs ((x dot y) / (norm x * norm y)) <= &1
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: ORTHONORMAL_CROSS: !e1 e2 e3. orthonormal e1 e2 e3 ==> e2 cross e3 = e1 /\ e3 cross e1 = e2 /\ e1 cross e2 = e3
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ABS_LE: !x. x <= abs x
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_LT_LMUL: !x y z. &0 < x /\ y < z ==> x * y < x * z
% Assm: REAL_LT_RDIV_EQ: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_OF_NUM_POW: !x n. &x pow n = &(x EXP n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_POW_NEG: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SIN_CIRCLE: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: SIN_POS_PI2: !x. &0 < x /\ x < pi / &2 ==> &0 < sin x
% Assm: SPHERICAL_COORDINATES: !u v w u' e1 e2 e3 r phi theta. ~collinear {v, w, u} /\ ~collinear {v, w, u'} /\ orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ v + e1 IN aff_gt {v, w} {u} /\ r = dist (v,u') /\ phi = arcV v u' w /\ theta = azim v w u u' ==> u' = v + (r * cos theta * sin phi) % e1 + (r * sin theta * sin phi) % e2 + (r * cos phi) % e3
% Assm: SQRT_MUL: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: SQRT_POW_2: !x. &0 <= x ==> sqrt x pow 2 = x
% Assm: Sphere.arcV: !v w u. arcV u v w = acs (((v - u) dot (w - u)) / (norm (v - u) * norm (w - u)))
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Topology.azim_fan: !x V E v w. azim_fan x V E v w = (if CARD (set_of_edge v V E) > 1 then azim x v w (sigma_fan x V E v w) else &2 * pi)
% Assm: Topology.change_spherical_coordinate_fan: !x v u. change_spherical_coordinate_fan x v u = (\t. let r = t$1 and theta = t$2 and phi = t$3 in x + (r * cos theta * sin phi) % e1_fan x v u + (r * sin theta * sin phi) % e2_fan x v u + (r * cos phi) % e3_fan x v u)
% Assm: Topology.one_edge_fan: !x V E v u. FAN (x,V,E) /\ {v, u} IN E /\ ~(CARD (set_of_edge v V E) > 1) ==> set_of_edge v V E = {u}
% Assm: Topology.r_fan: !a b c. r_fan a b c = {y | y$1 > &0 /\ y$2 > a /\ y$2 < b /\ y$3 > &0 /\ y$3 < c}
% Assm: Topology.rcone_fan: !v x h. rcone_fan x v h = {y | (y - x) dot (v - x) > dist (y,x) * dist (v,x) * h}
% Assm: Trigonometry.BKMUSOX2: !x y z. (x cross y) dot z = (y cross z) dot x
% Assm: Trigonometry.BYFLKYM1: aff = (hull) affine
% Assm: Trigonometry.XHVXJVB: !x. norm x = sqrt (x dot x)
% Assm: Trigonometry.YIXJNJQ1: sin (&0) = &0
% Assm: Trigonometry.YIXJNJQ2: cos (&0) = &1
% Assm: Trigonometry.azim: !v w w1 w2. &0 <= azim v w w1 w2 /\ azim v w w1 w2 < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + azim v w w1 w2)) % e1 + (r2 * sin (psi + azim v w w1 w2)) % e2 + h2 % (w - v) /\ (~collinear {v, w, w1} ==> &0 < r1) /\ (~collinear {v, w, w2} ==> &0 < r2)))
% Assm: Trigonometry2.TWO_PI_POS: &0 < &2 * pi
% Assm: VECTOR_3_conjunct0: vector [x; y; z]$1 = x
% Assm: VECTOR_3_conjunct1: vector [x; y; z]$2 = y
% Assm: VECTOR_3_conjunct2: vector [x; y; z]$3 = z
% Assm: VECTOR_ANGLE_RANGE: !x y. &0 <= vector_angle x y /\ vector_angle x y <= pi
% Assm: angle: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: orthonormal: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Assm: real_min: !m n. min m n = (if m <= n then m else n)
% Assm: vec: !n. vec n = (lambda i. &n)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Assm: wedge: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !x V E v u h. FAN (x,V,E) /\ {v, u} IN E /\ &0 < h /\ h < pi / &2 ==> IMAGE (change_spherical_coordinate_fan x v u) (r_fan (azim x v u u) (azim_fan x V E v u) h) = rw_dart_fan x V E (x,v,u,sigma_fan x V E v u) (cos h)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !x. &0 <= x /\ x <= pi ==> acs (cos x) = x
% Assm: !x y. -- &1 <= x /\ x < y /\ y <= &1 ==> acs y < acs x
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !a b. affine hull {a, b} = {u % a + v % b | u + v = &1}
% Assm: !u v w. arcV u v w = angle (v,u,w)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT1 n = _0 <=> F
% Assm: _0 EXP _0 = BIT1 _0
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = &0 <=> x IN aff_gt {v0, v1} {w})
% Assm: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = &0 <=> x IN aff_ge {v0, v1} {w})
% Assm: !v0 v1 w. azim v0 v1 w w = &0
% Assm: !v w w1 w2 h1 h2 r1 r2 e1 e2 e3 psi theta. &0 <= theta /\ theta < &2 * pi /\ orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) /\ &0 < r1 /\ &0 < r2 /\ w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + theta)) % e1 + (r2 * sin (psi + theta)) % e2 + h2 % (w - v) ==> azim v w w1 w2 = theta
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !x y z. collinear {x, y, z} <=> collinear {vec 0, x - y, z - y}
% Assm: !x y. collinear {vec 0, x, y} <=> x = vec 0 \/ y = vec 0 \/ (?c. y = c % x)
% Assm: !x y. ~(x = vec 0) /\ ~(y = vec 0) ==> (collinear {vec 0, x, y} <=> vector_angle x y = &0 \/ vector_angle x y = pi)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x. -- &1 <= cos x /\ cos x <= &1
% Assm: !x y. &0 <= x /\ x < y /\ y <= pi ==> cos y < cos x
% Assm: !x y z. x dot y = x dot z /\ x cross y = x cross z /\ ~(x = vec 0) ==> y = z
% Assm: !x y z. x cross (y + z) = x cross y + x cross z
% Assm: !x. x cross x = vec 0
% Assm: !c x y. x cross c % y = c % (x cross y)
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !x y. dist (x,y) = &0 <=> x = y
% Assm: !x y. &0 <= dist (x,y)
% Assm: !x. dist (x,x) = &0
% Assm: !x y. (x dot y) pow 2 = (x dot x) * (y dot y) <=> collinear {vec 0, x, y}
% Assm: !x. x dot x = &0 <=> x = vec 0
% Assm: !x y z. (x + y) dot z = x dot z + y dot z
% Assm: !c x y. c % x dot y = c * (x dot y)
% Assm: !x. vec 0 dot x = &0
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x. x dot vec 0 = &0
% Assm: !x. x dot x = norm x pow 2
% Assm: !x y. x dot y = y dot x
% Assm: !t. (\x. t x) = t
% Assm: !m n p. m EXP (n + p) = m EXP n * m EXP p
% Assm: !m n. m EXP SUC n = m * m EXP n
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x v w. DISJOINT {x, v} {w} ==> aff_ge {x, v} {w} = {y | ?t1 t2 t3. &0 <= t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: !x v u. ~collinear {x, u, v} <=> ~(u IN aff {x, v}) /\ ~(x = v)
% Assm: !x v u. e1_fan x v u = e2_fan x v u cross e3_fan x v u
% Assm: !v u x. e2_fan x v u = inv (norm (e3_fan x v u cross (u - x))) % (e3_fan x v u cross (u - x))
% Assm: !u v x. e3_fan x v u = inv (norm (v - x)) % (v - x)
% Assm: !x v u. ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} ==> orthonormal (e1_fan x v u) (e2_fan x v u) (e3_fan x v u)
% Assm: !x v u. ~collinear {x, v, u} ==> orthonormal (e1_fan x v u) (e2_fan x v u) (e3_fan x v u) /\ dist (v,x) % e3_fan x v u = v - x /\ (v - x) cross e3_fan x v u = vec 0 /\ (v - x) dot e2_fan x v u = &0 /\ (u - x) dot e2_fan x v u = &0 /\ &0 <= (u - x) dot e1_fan x v u /\ &0 < (u - x) dot e1_fan x v u /\ (v - x) dot e1_fan x v u = &0
% Assm: !x V E u v. FAN (x,V,E) ==> FINITE (set_of_edge v V E) /\ ({v, u} IN E <=> u IN set_of_edge v V E) /\ ({v, u} IN E ==> ~collinear {x, v, u} /\ ~(x = v) /\ ~(x = u) /\ ~(v = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v}) /\ v IN V /\ (~collinear {x, v, u} <=> ~(u IN aff {x, v})))
% Assm: !V E y w w1 x v h. rw_dart_fan x V E (y,v,w,w1) h = w_dart_fan x V E (y,v,w,w1) INTER rcone_fan x v h
% Assm: !y w1 w V E x v. w_dart_fan x V E (y,v,w,w1) = (if CARD (set_of_edge v V E) > 1 then wedge x v w (sigma_fan x V E v w) else if set_of_edge v V E = {w} then (:real^3) DIFF aff_ge {x, v} {w} else if set_of_edge v V E = {} then (:real^3) DIFF aff {x, v} else {})
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: !x y. x > y <=> y < x
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m > &n <=> m > n
% Assm: !n. &0 <= &n
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. x IN (:real^3->bool)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !x y. abs ((x dot y) / (norm x * norm y)) <= &1
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 ==> e2 cross e3 = e1 /\ e3 cross e1 = e2 /\ e1 cross e2 = e3
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x. x <= abs x
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !x y z. &0 < x /\ y < z ==> x * y < x * z
% Assm: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x n. &x pow n = &(x EXP n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !x. sin x pow 2 + cos x pow 2 = &1
% Assm: !x. &0 < x /\ x < pi / &2 ==> &0 < sin x
% Assm: !u v w u' e1 e2 e3 r phi theta. ~collinear {v, w, u} /\ ~collinear {v, w, u'} /\ orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ v + e1 IN aff_gt {v, w} {u} /\ r = dist (v,u') /\ phi = arcV v u' w /\ theta = azim v w u u' ==> u' = v + (r * cos theta * sin phi) % e1 + (r * sin theta * sin phi) % e2 + (r * cos phi) % e3
% Assm: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: !x. &0 <= x ==> sqrt x pow 2 = x
% Assm: !v w u. arcV u v w = acs (((v - u) dot (w - u)) / (norm (v - u) * norm (w - u)))
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x V E v w. azim_fan x V E v w = (if CARD (set_of_edge v V E) > 1 then azim x v w (sigma_fan x V E v w) else &2 * pi)
% Assm: !x v u. change_spherical_coordinate_fan x v u = (\t. let r = t$1 and theta = t$2 and phi = t$3 in x + (r * cos theta * sin phi) % e1_fan x v u + (r * sin theta * sin phi) % e2_fan x v u + (r * cos phi) % e3_fan x v u)
% Assm: !x V E v u. FAN (x,V,E) /\ {v, u} IN E /\ ~(CARD (set_of_edge v V E) > 1) ==> set_of_edge v V E = {u}
% Assm: !a b c. r_fan a b c = {y | y$1 > &0 /\ y$2 > a /\ y$2 < b /\ y$3 > &0 /\ y$3 < c}
% Assm: !v x h. rcone_fan x v h = {y | (y - x) dot (v - x) > dist (y,x) * dist (v,x) * h}
% Assm: !x y z. (x cross y) dot z = (y cross z) dot x
% Assm: aff = (hull) affine
% Assm: !x. norm x = sqrt (x dot x)
% Assm: sin (&0) = &0
% Assm: cos (&0) = &1
% Assm: !v w w1 w2. &0 <= azim v w w1 w2 /\ azim v w w1 w2 < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + azim v w w1 w2)) % e1 + (r2 * sin (psi + azim v w w1 w2)) % e2 + h2 % (w - v) /\ (~collinear {v, w, w1} ==> &0 < r1) /\ (~collinear {v, w, w2} ==> &0 < r2)))
% Assm: &0 < &2 * pi
% Assm: !y z x. vector [x; y; z]$1 = x
% Assm: !x z y. vector [x; y; z]$2 = y
% Assm: !x y z. vector [x; y; z]$3 = z
% Assm: !x y. &0 <= vector_angle x y /\ vector_angle x y <= pi
% Assm: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n m. max m n = (if m <= n then n else m)
% Assm: !m n. min m n = (if m <= n then m else n)
% Assm: !n. vec n = (lambda i. &n)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Assm: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !x V E v u h. FAN (x,V,E) /\ {v, u} IN E /\ &0 < h /\ h < pi / &2 ==> IMAGE (change_spherical_coordinate_fan x v u) (r_fan (azim x v u u) (azim_fan x V E v u) h) = rw_dart_fan x V E (x,v,u,sigma_fan x V E v u) (cos h)
%  TYPES
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tq97868, type, q97868 : $tType).
thf(tcartrealq97835, type, cartrealq97835 : $tType).
thf(tint, type, int : $tType).
thf(tcartfuncartrealn3booln3, type, cartfuncartrealn3booln3 : $tType).
thf(tq97800, type, q97800 : $tType).
thf(tcartrealq100975, type, cartrealq100975 : $tType).
thf(tnum, type, num : $tType).
thf(tprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tcartrealq97957, type, cartrealq97957 : $tType).
thf(tq100975, type, q100975 : $tType).
thf(tlistfuncartrealn3bool, type, listfuncartrealn3bool : $tType).
thf(tq98052, type, q98052 : $tType).
thf(tcartrealq99867, type, cartrealq99867 : $tType).
thf(tcartrealq737002, type, cartrealq737002 : $tType).
thf(tq97957, type, q97957 : $tType).
thf(tq737002, type, q737002 : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tcartrealq98188, type, cartrealq98188 : $tType).
thf(tq97835, type, q97835 : $tType).
thf(tq735877, type, q735877 : $tType).
thf(tq99867, type, q99867 : $tType).
thf(ta, type, a : $tType).
thf(tq98188, type, q98188 : $tType).
thf(tq99845, type, q99845 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq735877, type, cartrealq735877 : $tType).
thf(tq97985, type, q97985 : $tType).
thf(tcartrealq97985, type, cartrealq97985 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartrealq99845, type, cartrealq99845 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tcartfuncartrealn3boolb, type, cartfuncartrealn3boolb : $tType).
thf(treal, type, real : $tType).
thf(tq98067, type, q98067 : $tType).
thf(tcartrealq97868, type, cartrealq97868 : $tType).
thf(tcartrealq98067, type, cartrealq98067 : $tType).
thf(tcartrealq97800, type, cartrealq97800 : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq98052, type, cartrealq98052 : $tType).
%  CONSTS
thf(cvectoruu_norm5, type, vectoru_norm5 : (cartrealq98188 > real)).
thf(cvectoruu_norm4, type, vectoru_norm4 : (cartrealq737002 > real)).
thf(cvectoruu_norm3, type, vectoru_norm3 : (cartrealq99867 > real)).
thf(cvectoruu_norm2, type, vectoru_norm2 : (cartrealq99845 > real)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealn > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn3 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq100975 > real)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(cangle, type, angle : (prodcartrealn3prodcartrealn3cartrealn3 > real)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(clambda0, type, lambda0 : ((num > cartrealn3 > $o) > cartfuncartrealn3boolb)).
thf(csqrt, type, sqrt : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(csin, type, sin : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cacs, type, acs : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(ceven, type, even : (num > $o)).
thf(cvec4, type, vec4 : (num > cartrealq99867)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cdu_2, type, d_2 : (cartrealn > num > real)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cvectoruu_angle0, type, vectoru_angle0 : (cartrealn > cartrealn > real)).
thf(cvector, type, vector : (listfuncartrealn3bool > cartfuncartrealn3booln3)).
thf(cdot10, type, dot10 : (cartrealq98188 > cartrealq98188 > real)).
thf(caff0, type, aff0 : ((cartrealq735877 > $o) > cartrealq735877 > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cdu_0, type, d_0 : (cartrealn3 > num > real)).
thf(cletuu_end0, type, letu_end0 : (cartrealn3 > cartrealn3)).
thf(cdot9, type, dot9 : (cartrealq737002 > cartrealq737002 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cletuu_end, type, letu_end : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cintuu_gt, type, intu_gt : (int > int > $o)).
thf(cgu_, type, g_ : (num > num > $o)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdot8, type, dot8 : (cartrealq97800 > cartrealq97800 > real)).
thf(cdot7, type, dot7 : (cartrealq100975 > cartrealq100975 > real)).
thf(cdot6, type, dot6 : (cartrealq98067 > cartrealq98067 > real)).
thf(cdot5, type, dot5 : (cartrealq97985 > cartrealq97985 > real)).
thf(cdot4, type, dot4 : (cartrealq97868 > cartrealq97868 > real)).
thf(cdot3, type, dot3 : (cartrealq98052 > cartrealq98052 > real)).
thf(cdot2, type, dot2 : (cartrealq97957 > cartrealq97957 > real)).
thf(cdot1, type, dot1 : (cartrealq97835 > cartrealq97835 > real)).
thf(cdot0, type, dot0 : (cartrealn > cartrealn > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealn3 > cartrealn3 > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cexp, type, exp : (num > num > num)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cvec1, type, vec1 : (num > cartrealq98052)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cpi, type, pi : real).
thf(cvectoruu_sub1, type, vectoru_sub1 : (cartrealn > cartrealn > cartrealn)).
thf(cru_2, type, r_2 : (real > cartrealn > cartrealn)).
thf(cvectoruu_add2, type, vectoru_add2 : (cartrealn > cartrealn > cartrealn)).
thf(ccons, type, cons : ((cartrealn3 > $o) > listfuncartrealn3bool > listfuncartrealn3bool)).
thf(cdu_1, type, d_1 : (cartfuncartrealn3booln3 > num > cartrealn3 > $o)).
thf(chull0, type, hull0 : (((cartrealq735877 > $o) > $o) > (cartrealq735877 > $o) > cartrealq735877 > $o)).
thf(clet0, type, let0 : ((real > real > real > cartrealn3) > real > real > real > cartrealn3)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq737002 > cartrealq737002 > cartrealq737002)).
thf(carcv0, type, arcv0 : (cartrealq737002 > cartrealq737002 > cartrealq737002 > real)).
thf(ccond1, type, cond1 : ($o > real > real > real)).
thf(clet, type, let : ((a > cartrealn3 > $o) > a > cartrealn3 > $o)).
thf(cinsert0, type, insert0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cinter0, type, inter0 : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cdiff0, type, diff0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cwedge, type, wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(crconeuu_fan, type, rconeu_fan : (cartrealn3 > cartrealn3 > real > cartrealn3 > $o)).
thf(cwuu_dartuu_fan, type, wu_dartu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(ce3uu_fan, type, e3u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ce2uu_fan, type, e2u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ce1uu_fan, type, e1u_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cru_1, type, r_1 : (real > cartrealq97985 > cartrealq97985)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealq97868 > cartrealq97868 > cartrealq97868)).
thf(cru_0, type, r_0 : (real > cartrealq97957 > cartrealq97957)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq97835 > cartrealq97835 > cartrealq97835)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cdiff, type, diff : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > (cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdu_, type, d_ : (cartfuncartrealn3boolb > num > cartrealn3 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(carcv, type, arcv : (cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccu_3, type, c_3 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_2, type, c_2 : (cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3)).
thf(ccu_1, type, c_1 : (cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(crwuu_dartuu_fan, type, rwu_dartu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > real > cartrealn3 > $o)).
thf(cazimuu_fan, type, azimu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > real)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cruu_fan, type, ru_fan : (real > real > real > cartrealn3 > $o)).
thf(cchangeuu_sphericaluu_coordinateuu_fan, type, changeu_sphericalu_coordinateu_fan : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cvec2, type, vec2 : (num > cartrealq98067)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnil, type, nil : listfuncartrealn3bool).
thf(cuniv, type, univ : (b > $o)).
thf(cvec3, type, vec3 : (num > cartrealq99845)).
thf(caffine0, type, affine0 : ((cartrealq735877 > $o) > $o)).
thf(cempty0, type, empty0 : ((cartrealn3 > $o) > $o)).
thf(cuniv1, type, univ1 : ((cartrealn3 > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn3 > $o)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aACSu_COS, axiom, ![X:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ pi)) => ((acs @ (cos @ X)) = X))).
thf(aACSu_MONOu_LT, axiom, ![X:real,Y:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X) & (realu_lt @ X @ Y) & (realu_le @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_lt @ (acs @ Y) @ (acs @ X)))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aAFFINEu_HULLu_2, axiom, ![A:cartrealn3,B:cartrealn3]:((hull @ affine @ (insert @ A @ (insert @ B @ empty))) = (gspec @ ^[GENR_PVARR_803:cartrealn3]:?[U:real,V:real]:(setspec @ GENR_PVARR_803 @ ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (vectoru_add @ (r_ @ U @ A) @ (r_ @ V @ B)))))).
thf(aARCVu_ANGLE, axiom, ![U:cartrealn3,V:cartrealn3,W:cartrealn3]:((arcv @ U @ V @ W) = (angle @ (c_2 @ V @ (c_3 @ U @ W))))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_EXPu_conjunct1, axiom, ((exp @ u_0 @ u_0) = (bit1 @ u_0))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aAZIMu_EQu_0u_ALT, axiom, ![V0:cartrealn3,V1:cartrealn3,W:cartrealn3,X:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ X @ empty)))))) => (((azim @ V0 @ V1 @ W @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (in0 @ X @ (affu_gt @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ W @ empty)))))).
thf(aAZIMu_EQu_0u_GEu_ALT, axiom, ![V0:cartrealn3,V1:cartrealn3,W:cartrealn3,X:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ X @ empty)))))) => (((azim @ V0 @ V1 @ W @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (in0 @ X @ (affu_ge @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ W @ empty)))))).
thf(aAZIMu_REFL, axiom, ![V0:cartrealn3,V1:cartrealn3,W:cartrealn3]:((azim @ V0 @ V1 @ W @ W) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aAZIMu_UNIQUE, axiom, ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3,H1:real,H2:real,R1:real,R2:real,E1:cartrealn3,E2:cartrealn3,E3:cartrealn3,PSI:real,THETA:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ THETA) & (realu_lt @ THETA @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & (orthonormal @ E1 @ E2 @ E3) & ((r_ @ (distance @ (c_3 @ W @ V)) @ E3) = (vectoru_sub @ W @ V)) & ~ ((W = V)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R2) & ((vectoru_sub @ W1 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R1 @ (cos @ PSI)) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R1 @ (sin @ PSI)) @ E2) @ (r_ @ H1 @ (vectoru_sub @ W @ V))))) & ((vectoru_sub @ W2 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R2 @ (cos @ (realu_add @ PSI @ THETA))) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R2 @ (sin @ (realu_add @ PSI @ THETA))) @ E2) @ (r_ @ H2 @ (vectoru_sub @ W @ V)))))) => ((azim @ V @ W @ W1 @ W2) = THETA))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartfuncartrealn3boolb,Y:cartfuncartrealn3boolb]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCOLLINEARu_3, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ X @ Y) @ (insert @ (vectoru_sub @ Z @ Y) @ empty)))))).
thf(aCOLLINEARu_LEMMA, axiom, ![X:cartrealn3,Y:cartrealn3]:((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty)))) <=> ((X = (vec @ (numeral @ u_0))) | (Y = (vec @ (numeral @ u_0))) | ?[C:real]:(Y = (r_ @ C @ X))))).
thf(aCOLLINEARu_VECTORu_ANGLE, axiom, ![X:cartrealn3,Y:cartrealn3]:((~ ((X = (vec @ (numeral @ u_0)))) & ~ ((Y = (vec @ (numeral @ u_0))))) => ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty)))) <=> (((vectoru_angle @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) | ((vectoru_angle @ X @ Y) = pi))))).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn3 > $o),T2:(cartrealn3 > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCOSu_BOUNDS, axiom, ![X:real]:((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (cos @ X)) & (realu_le @ (cos @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCOSu_MONOu_LT, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ Y) & (realu_le @ Y @ pi)) => (realu_lt @ (cos @ Y) @ (cos @ X)))).
thf(aCROSSu_DOTu_CANCEL, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((((dot @ X @ Y) = (dot @ X @ Z)) & ((cross @ X @ Y) = (cross @ X @ Z)) & ~ ((X = (vec @ (numeral @ u_0))))) => (Y = Z))).
thf(aCROSSu_RADD, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((cross @ X @ (vectoru_add @ Y @ Z)) = (vectoru_add @ (cross @ X @ Y) @ (cross @ X @ Z)))).
thf(aCROSSu_REFL, axiom, ![X:cartrealn3]:((cross @ X @ X) = (vec @ (numeral @ u_0)))).
thf(aCROSSu_RMUL, axiom, ![C:real,X:cartrealn3,Y:cartrealn3]:((cross @ X @ (r_ @ C @ Y)) = (r_ @ C @ (cross @ X @ Y)))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDIFF, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((diff @ S @ T) = (gspec0 @ ^[GENR_PVARR_4:(cartrealn3 > $o)]:?[X:(cartrealn3 > $o)]:(setspec0 @ GENR_PVARR_4 @ ((in @ X @ S) & ~ ((in @ X @ T))) @ X)))).
thf(aDISJOINT, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aDISTu_EQu_0, axiom, ![X:cartrealn3,Y:cartrealn3]:(((distance @ (c_3 @ X @ Y)) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aDISTu_POSu_LE, axiom, ![X:cartrealn3,Y:cartrealn3]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_3 @ X @ Y)))).
thf(aDISTu_REFL, axiom, ![X:cartrealn3]:((distance @ (c_3 @ X @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDOTu_CAUCHYu_SCHWARZu_EQUAL, axiom, ![X:cartrealn3,Y:cartrealn3]:(((realu_pow @ (dot @ X @ Y) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ (dot @ X @ X) @ (dot @ Y @ Y))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty)))))).
thf(aDOTu_EQu_0, axiom, ![X:cartrealn]:(((dot0 @ X @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec0 @ (numeral @ u_0))))).
thf(aDOTu_LADD, axiom, ![X:cartrealq97835,Y:cartrealq97835,Z:cartrealq97835]:((dot1 @ (vectoru_add0 @ X @ Y) @ Z) = (realu_add @ (dot1 @ X @ Z) @ (dot1 @ Y @ Z)))).
thf(aDOTu_LMUL, axiom, ![C:real,X:cartrealq97957,Y:cartrealq97957]:((dot2 @ (r_0 @ C @ X) @ Y) = (realu_mul @ C @ (dot2 @ X @ Y)))).
thf(aDOTu_LZERO, axiom, ![X:cartrealq98052]:((dot3 @ (vec1 @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDOTu_RADD, axiom, ![X:cartrealq97868,Y:cartrealq97868,Z:cartrealq97868]:((dot4 @ X @ (vectoru_add1 @ Y @ Z)) = (realu_add @ (dot4 @ X @ Y) @ (dot4 @ X @ Z)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealq97985,Y:cartrealq97985]:((dot5 @ X @ (r_1 @ C @ Y)) = (realu_mul @ C @ (dot5 @ X @ Y)))).
thf(aDOTu_RZERO, axiom, ![X:cartrealq98067]:((dot6 @ X @ (vec2 @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDOTu_SQUAREu_NORM, axiom, ![X:cartrealq100975]:((dot7 @ X @ X) = (realu_pow @ (vectoru_norm @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aDOTu_SYM, axiom, ![X:cartrealq97800,Y:cartrealq97800]:((dot8 @ X @ Y) = (dot8 @ Y @ X))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXPu_ADD, axiom, ![M:num,N:num,P:num]:((exp @ M @ (p_ @ N @ P)) = (t_ @ (exp @ M @ N) @ (exp @ M @ P)))).
thf(aEXPu_conjunct1, axiom, ![M:num,N:num]:((exp @ M @ (suc @ N)) = (t_ @ M @ (exp @ M @ N)))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFano_AFFu_GEu_2u_1, axiom, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:((disjoint @ (insert @ X @ (insert @ V @ empty)) @ (insert @ W @ empty)) => ((affu_ge @ (insert @ X @ (insert @ V @ empty)) @ (insert @ W @ empty)) = (gspec @ ^[GENR_PVARR_306:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_306 @ ?[T1:real,T2:real,T3:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T3) & ((realu_add @ T1 @ (realu_add @ T2 @ T3)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (Y = (vectoru_add @ (r_ @ T1 @ X) @ (vectoru_add @ (r_ @ T2 @ V) @ (r_ @ T3 @ W))))) @ Y))))).
thf(aFano_collinear1u_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ U @ (insert @ V @ empty))))) <=> (~ ((in0 @ U @ (aff @ (insert @ X @ (insert @ V @ empty))))) & ~ ((X = V))))).
thf(aFano_e1u_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((e1u_fan @ X @ V @ U) = (cross @ (e2u_fan @ X @ V @ U) @ (e3u_fan @ X @ V @ U)))).
thf(aFano_e2u_fan, axiom, ![V:cartrealn3,U:cartrealn3,X:cartrealn3]:((e2u_fan @ X @ V @ U) = (r_ @ (realu_inv @ (vectoru_norm0 @ (cross @ (e3u_fan @ X @ V @ U) @ (vectoru_sub @ U @ X)))) @ (cross @ (e3u_fan @ X @ V @ U) @ (vectoru_sub @ U @ X))))).
thf(aFano_e3u_fan, axiom, ![U:cartrealn3,V:cartrealn3,X:cartrealn3]:((e3u_fan @ X @ V @ U) = (r_ @ (realu_inv @ (vectoru_norm0 @ (vectoru_sub @ V @ X))) @ (vectoru_sub @ V @ X)))).
thf(aFano_orthonormalu_e1u_e2u_e3u_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty)))))) => (orthonormal @ (e1u_fan @ X @ V @ U) @ (e2u_fan @ X @ V @ U) @ (e3u_fan @ X @ V @ U)))).
thf(aFano_propertiesu_coordinate, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => ((orthonormal @ (e1u_fan @ X @ V @ U) @ (e2u_fan @ X @ V @ U) @ (e3u_fan @ X @ V @ U)) & ((r_ @ (distance @ (c_3 @ V @ X)) @ (e3u_fan @ X @ V @ U)) = (vectoru_sub @ V @ X)) & ((cross @ (vectoru_sub @ V @ X) @ (e3u_fan @ X @ V @ U)) = (vec @ (numeral @ u_0))) & ((dot @ (vectoru_sub @ V @ X) @ (e2u_fan @ X @ V @ U)) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ (vectoru_sub @ U @ X) @ (e2u_fan @ X @ V @ U)) = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (vectoru_sub @ U @ X) @ (e1u_fan @ X @ V @ U))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (vectoru_sub @ U @ X) @ (e1u_fan @ X @ V @ U))) & ((dot @ (vectoru_sub @ V @ X) @ (e1u_fan @ X @ V @ U)) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aFano_remark1u_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),U:cartrealn3,V0:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => ((finite @ (setu_ofu_edge @ V0 @ V @ E)) & ((in @ (insert @ V0 @ (insert @ U @ empty)) @ E) <=> (in0 @ U @ (setu_ofu_edge @ V0 @ V @ E))) & ((in @ (insert @ V0 @ (insert @ U @ empty)) @ E) => (~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ U @ empty))))) & ~ ((X = V0)) & ~ ((X = U)) & ~ ((V0 = U)) & (disjoint @ (insert @ X @ (insert @ V0 @ empty)) @ (insert @ U @ empty)) & (disjoint @ (insert @ X @ (insert @ U @ empty)) @ (insert @ V0 @ empty)) & (disjoint @ (insert @ X @ empty) @ (insert @ V0 @ (insert @ U @ empty))) & ~ ((in0 @ U @ (aff @ (insert @ X @ (insert @ V0 @ empty))))) & (in0 @ V0 @ V) & (~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ U @ empty))))) <=> ~ ((in0 @ U @ (aff @ (insert @ X @ (insert @ V0 @ empty))))))))))).
thf(aFanu_defso_rwu_dartu_fan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),Y:cartrealn3,W:cartrealn3,W1:cartrealn3,X:cartrealn3,V0:cartrealn3,H:real]:((rwu_dartu_fan @ X @ V @ E @ (c_1 @ Y @ (c_2 @ V0 @ (c_3 @ W @ W1))) @ H) = (inter @ (wu_dartu_fan @ X @ V @ E @ (c_1 @ Y @ (c_2 @ V0 @ (c_3 @ W @ W1)))) @ (rconeu_fan @ X @ V0 @ H)))).
thf(aFanu_defso_wu_dartu_fan, axiom, ![Y:cartrealn3,W1:cartrealn3,W:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3,V0:cartrealn3]:((wu_dartu_fan @ X @ V @ E @ (c_1 @ Y @ (c_2 @ V0 @ (c_3 @ W @ W1)))) = (cond @ (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0))) @ (wedge @ X @ V0 @ W @ (sigmau_fan @ X @ V @ E @ V0 @ W)) @ (cond @ ((setu_ofu_edge @ V0 @ V @ E) = (insert @ W @ empty)) @ (diff0 @ univ0 @ (affu_ge @ (insert @ X @ (insert @ V0 @ empty)) @ (insert @ W @ empty))) @ (cond @ ((setu_ofu_edge @ V0 @ V @ E) = empty) @ (diff0 @ univ0 @ (aff @ (insert @ X @ (insert @ V0 @ empty)))) @ empty))))).
thf(aIMAGE, axiom, ![S:(cartrealn3 > $o),F:(cartrealn3 > cartrealn3)]:((image @ F @ S) = (gspec @ ^[GENR_PVARR_7:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_7 @ ?[X:cartrealn3]:((in0 @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aIN, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINTER, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((inter0 @ S @ T) = (gspec0 @ ^[GENR_PVARR_2:(cartrealn3 > $o)]:?[X:(cartrealn3 > $o)]:(setspec0 @ GENR_PVARR_2 @ ((in @ X @ S) & (in @ X @ T)) @ X)))).
thf(aINTu_GT, axiom, ![X:int,Y:int]:((intu_gt @ X @ Y) <=> (intu_lt @ Y @ X))).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aINTu_NOTu_EQ, axiom, ![X:int,Y:int]:(~ ((X = Y)) <=> ((intu_lt @ X @ Y) | (intu_lt @ Y @ X)))).
thf(aINTu_NOTu_LE, axiom, ![X:int,Y:int]:(~ ((intu_le @ X @ Y)) <=> (intu_lt @ Y @ X))).
thf(aINTu_NOTu_LT, axiom, ![X:int,Y:int]:(~ ((intu_lt @ X @ Y)) <=> (intu_le @ Y @ X))).
thf(aINTu_OFu_NUMu_GT, axiom, ![M:num,N:num]:((intu_gt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (g_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealn3 > $o) > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec0 @ ^[V:(cartrealn3 > $o)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn3 > $o)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec0 @ ^[V:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:(cartrealn3 > $o),Y:(cartrealn3 > $o),S:((cartrealn3 > $o) > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:(cartrealn3 > $o)]:(in @ X @ univ1)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn3 > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLETu_DEF, axiom, ![F:(a > cartrealn3 > $o),X:a]:((let @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:(cartrealn3 > $o)]:((letu_end @ T) = T)).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNORMu_CAUCHYu_SCHWARZu_DIV, axiom, ![X:cartrealn,Y:cartrealn]:(realu_le @ (realu_abs @ (realu_div @ (dot0 @ X @ Y) @ (realu_mul @ (vectoru_norm1 @ X) @ (vectoru_norm1 @ Y)))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aNORMu_EQu_0, axiom, ![X:cartrealq99845]:(((vectoru_norm2 @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec3 @ (numeral @ u_0))))).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealq99867]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm3 @ X)) <=> ~ ((X = (vec4 @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealn3 > $o)]:~ ((in @ X @ empty0))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aORTHONORMALu_CROSS, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => (((cross @ E2 @ E3) = E1) & ((cross @ E3 @ E1) = E2) & ((cross @ E1 @ E2) = E3)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ABSu_LE, axiom, ![X:real]:(realu_le @ X @ (realu_abs @ X))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_LTu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ Y @ Z)) => (realu_lt @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_LTu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_lt @ X @ (realu_div @ Y @ Z)) <=> (realu_lt @ (realu_mul @ X @ Z) @ Y)))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_OFu_NUMu_POW, axiom, ![X:num,N:num]:((realu_pow @ (realu_ofu_num @ X) @ N) = (realu_ofu_num @ (exp @ X @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_POWu_NEG, axiom, ![X:real,N:num]:((realu_pow @ (realu_neg @ X) @ N) = (cond1 @ (even @ N) @ (realu_pow @ X @ N) @ (realu_neg @ (realu_pow @ X @ N))))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSINu_CIRCLE, axiom, ![X:real]:((realu_add @ (realu_pow @ (sin @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (cos @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aSINu_POSu_PI2, axiom, ![X:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ X @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (sin @ X)))).
thf(aSPHERICALu_COORDINATES, axiom, ![U:cartrealn3,V:cartrealn3,W:cartrealn3,UI_:cartrealn3,E1:cartrealn3,E2:cartrealn3,E3:cartrealn3,R:real,PHI:real,THETA:real]:((~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ U @ empty))))) & ~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ UI_ @ empty))))) & (orthonormal @ E1 @ E2 @ E3) & ((r_ @ (distance @ (c_3 @ W @ V)) @ E3) = (vectoru_sub @ W @ V)) & (in0 @ (vectoru_add @ V @ E1) @ (affu_gt @ (insert @ V @ (insert @ W @ empty)) @ (insert @ U @ empty))) & (R = (distance @ (c_3 @ V @ UI_))) & (PHI = (arcv @ V @ UI_ @ W)) & (THETA = (azim @ V @ W @ U @ UI_))) => (UI_ = (vectoru_add @ V @ (vectoru_add @ (r_ @ (realu_mul @ R @ (realu_mul @ (cos @ THETA) @ (sin @ PHI))) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R @ (realu_mul @ (sin @ THETA) @ (sin @ PHI))) @ E2) @ (r_ @ (realu_mul @ R @ (cos @ PHI)) @ E3))))))).
thf(aSQRTu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((sqrt @ (realu_mul @ X @ Y)) = (realu_mul @ (sqrt @ X) @ (sqrt @ Y))))).
thf(aSQRTu_POWu_2, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((realu_pow @ (sqrt @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X))).
thf(aSphereo_arcV, axiom, ![V:cartrealq737002,W:cartrealq737002,U:cartrealq737002]:((arcv0 @ U @ V @ W) = (acs @ (realu_div @ (dot9 @ (vectoru_sub0 @ V @ U) @ (vectoru_sub0 @ W @ U)) @ (realu_mul @ (vectoru_norm4 @ (vectoru_sub0 @ V @ U)) @ (vectoru_norm4 @ (vectoru_sub0 @ W @ U))))))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTopologyo_azimu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:((azimu_fan @ X @ V @ E @ V0 @ W) = (cond1 @ (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0))) @ (azim @ X @ V0 @ W @ (sigmau_fan @ X @ V @ E @ V0 @ W)) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)))).
thf(aTopologyo_changeu_sphericalu_coordinateu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((changeu_sphericalu_coordinateu_fan @ X @ V @ U) = ^[T:cartrealn3]:(let0 @ ^[R:real,THETA:real,PHI:real]:(letu_end0 @ (vectoru_add @ X @ (vectoru_add @ (r_ @ (realu_mul @ R @ (realu_mul @ (cos @ THETA) @ (sin @ PHI))) @ (e1u_fan @ X @ V @ U)) @ (vectoru_add @ (r_ @ (realu_mul @ R @ (realu_mul @ (sin @ THETA) @ (sin @ PHI))) @ (e2u_fan @ X @ V @ U)) @ (r_ @ (realu_mul @ R @ (cos @ PHI)) @ (e3u_fan @ X @ V @ U)))))) @ (d_0 @ T @ (numeral @ (bit1 @ u_0))) @ (d_0 @ T @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_0 @ T @ (numeral @ (bit1 @ (bit1 @ u_0))))))).
thf(aTopologyo_oneu_edgeu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & ~ ((g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0))))) => ((setu_ofu_edge @ V0 @ V @ E) = (insert @ U @ empty)))).
thf(aTopologyo_ru_fan, axiom, ![A:real,B:real,C:real]:((ru_fan @ A @ B @ C) = (gspec @ ^[GENR_PVARR_374:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_374 @ ((realu_gt @ (d_0 @ Y @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))) & (realu_gt @ (d_0 @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ A) & (realu_lt @ (d_0 @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ B) & (realu_gt @ (d_0 @ Y @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (d_0 @ Y @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ C)) @ Y)))).
thf(aTopologyo_rconeu_fan, axiom, ![V:cartrealn3,X:cartrealn3,H:real]:((rconeu_fan @ X @ V @ H) = (gspec @ ^[GENR_PVARR_351:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_351 @ (realu_gt @ (dot @ (vectoru_sub @ Y @ X) @ (vectoru_sub @ V @ X)) @ (realu_mul @ (distance @ (c_3 @ Y @ X)) @ (realu_mul @ (distance @ (c_3 @ V @ X)) @ H))) @ Y)))).
thf(aTrigonometryo_BKMUSOX2, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((dot @ (cross @ X @ Y) @ Z) = (dot @ (cross @ Y @ Z) @ X))).
thf(aTrigonometryo_BYFLKYM1, axiom, (aff0 = (hull0 @ affine0))).
thf(aTrigonometryo_XHVXJVB, axiom, ![X:cartrealq98188]:((vectoru_norm5 @ X) = (sqrt @ (dot10 @ X @ X)))).
thf(aTrigonometryo_YIXJNJQ1, axiom, ((sin @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTrigonometryo_YIXJNJQ2, axiom, ((cos @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometryo_azim, axiom, ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V @ W @ W1 @ W2)) & (realu_lt @ (azim @ V @ W @ W1 @ W2) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ?[H1:real,H2:real]:![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:(((orthonormal @ E1 @ E2 @ E3) & ((r_ @ (distance @ (c_3 @ W @ V)) @ E3) = (vectoru_sub @ W @ V)) & ~ ((W = V))) => ?[PSI:real,R1:real,R2:real]:(((vectoru_sub @ W1 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R1 @ (cos @ PSI)) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R1 @ (sin @ PSI)) @ E2) @ (r_ @ H1 @ (vectoru_sub @ W @ V))))) & ((vectoru_sub @ W2 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R2 @ (cos @ (realu_add @ PSI @ (azim @ V @ W @ W1 @ W2)))) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R2 @ (sin @ (realu_add @ PSI @ (azim @ V @ W @ W1 @ W2)))) @ E2) @ (r_ @ H2 @ (vectoru_sub @ W @ V))))) & (~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ W1 @ empty))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R1)) & (~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ W2 @ empty))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R2)))))).
thf(aTrigonometry2o_TWOu_PIu_POS, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi))).
thf(aVECTORu_3u_conjunct0, axiom, ![Y:(cartrealn3 > $o),Z:(cartrealn3 > $o),X:(cartrealn3 > $o)]:((d_1 @ (vector @ (cons @ X @ (cons @ Y @ (cons @ Z @ nil)))) @ (numeral @ (bit1 @ u_0))) = X)).
thf(aVECTORu_3u_conjunct1, axiom, ![X:(cartrealn3 > $o),Z:(cartrealn3 > $o),Y:(cartrealn3 > $o)]:((d_1 @ (vector @ (cons @ X @ (cons @ Y @ (cons @ Z @ nil)))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = Y)).
thf(aVECTORu_3u_conjunct2, axiom, ![X:(cartrealn3 > $o),Y:(cartrealn3 > $o),Z:(cartrealn3 > $o)]:((d_1 @ (vector @ (cons @ X @ (cons @ Y @ (cons @ Z @ nil)))) @ (numeral @ (bit1 @ (bit1 @ u_0)))) = Z)).
thf(aVECTORu_ANGLEu_RANGE, axiom, ![X:cartrealn,Y:cartrealn]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_angle0 @ X @ Y)) & (realu_le @ (vectoru_angle0 @ X @ Y) @ pi))).
thf(aangle, axiom, ![A:cartrealn3,C:cartrealn3,B:cartrealn3]:((angle @ (c_2 @ A @ (c_3 @ B @ C))) = (vectoru_angle @ (vectoru_sub @ A @ B) @ (vectoru_sub @ C @ B)))).
thf(adist, axiom, ![X:cartrealn3,Y:cartrealn3]:((distance @ (c_3 @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub @ X @ Y)))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aorthonormal, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) <=> (((dot @ E1 @ E1) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E2 @ E2) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E3 @ E3) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E1 @ E2) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E1 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E2 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (cross @ E1 @ E2) @ E3))))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond1 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond1 @ (realu_le @ M @ N) @ N @ M))).
thf(arealu_min, axiom, ![M:real,N:real]:((realu_min @ M @ N) = (cond1 @ (realu_le @ M @ N) @ M @ N))).
thf(avec, axiom, ![N:num]:((vec0 @ N) = (lambda1 @ ^[I:num]:(realu_ofu_num @ N)))).
thf(avectoru_add, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add2 @ X @ Y) = (lambda1 @ ^[I:num]:(realu_add @ (d_2 @ X @ I) @ (d_2 @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_2 @ C @ X) = (lambda1 @ ^[I:num]:(realu_mul @ C @ (d_2 @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub1 @ X @ Y) = (lambda1 @ ^[I:num]:(realu_sub @ (d_2 @ X @ I) @ (d_2 @ Y @ I))))).
thf(awedge, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((wedge @ V0 @ V1 @ W1 @ W2) = (gspec @ ^[GENR_PVARR_2569:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_2569 @ (~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ Y @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ Y)) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ Y) @ (azim @ V0 @ V1 @ W1 @ W2))) @ Y)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,H:real]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ H) & (realu_lt @ H @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => ((image @ (changeu_sphericalu_coordinateu_fan @ X @ V0 @ U) @ (ru_fan @ (azim @ X @ V0 @ U @ U) @ (azimu_fan @ X @ V @ E @ V0 @ U) @ H)) = (rwu_dartu_fan @ X @ V @ E @ (c_1 @ X @ (c_2 @ V0 @ (c_3 @ U @ (sigmau_fan @ X @ V @ E @ V0 @ U)))) @ (cos @ H))))).
