%   ORIGINAL: Planarity.CONTINUOUS_CLOSED_PREIMAGE_CONSTANT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_EMPTY: closed {}
% Assm: CLOSED_SING: !a. closed {a}
% Assm: CONTINUOUS_CLOSED_PREIMAGE: !f s t. f continuous_on s /\ closed s /\ closed t ==> closed {x | x IN s /\ f x IN t}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !f s a. f continuous_on s /\ closed s ==> closed {x | x IN s /\ f x = a}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: closed {}
% Assm: !a. closed {a}
% Assm: !f s t. f continuous_on s /\ closed s /\ closed t ==> closed {x | x IN s /\ f x IN t}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !f s a. f continuous_on s /\ closed s ==> closed {x | x IN s /\ f x = a}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cinsert, type, insert : (cartrealm > (cartrealm > $o) > cartrealm > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(cclosed0, type, closed0 : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cclosed, type, closed : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_EMPTY, axiom, (closed @ empty)).
thf(aCLOSEDu_SING, axiom, ![A:cartrealm]:(closed @ (insert @ A @ empty))).
thf(aCONTINUOUSu_CLOSEDu_PREIMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealn > $o)]:(((continuousu_on @ F @ S) & (closed @ S) & (closed0 @ T)) => (closed @ (gspec @ ^[GENR_PVARR_506:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_506 @ ((in @ X @ S) & (in0 @ (F @ X) @ T)) @ X))))).
thf(aEXTENSION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealm,Y:cartrealm,S:(cartrealm > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealm]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealn]:(((continuousu_on @ F @ S) & (closed @ S)) => (closed @ (gspec @ ^[GENR_PVARR_385:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_385 @ ((in @ X @ S) & ((F @ X) = A)) @ X))))).
