%   ORIGINAL: Planarity.open_collinear_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_UNIV: closed (:real^N)
% Assm: DIFF: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: OPEN_CLOSED: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: Planarity.CONTINUOUS_CLOSED_PREIMAGE_CONSTANT: !f s a. f continuous_on s /\ closed s ==> closed {x | x IN s /\ f x = a}
% Assm: Planarity.collinear_continuous_fan: !x v u w c. (\t. (&1 - drop t) % u + drop t % w - (&1 - c) % x - c % v) continuous_on (:real^1)
% Assm: TRUTH: T
% Goal: !x v u w c. open {t | ~((\t. (&1 - drop t) % u + drop t % w - (&1 - c) % x - c % v) t = vec 0)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: closed (:real^N)
% Assm: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s. open s <=> closed ((:real^1) DIFF s)
% Assm: !f s a. f continuous_on s /\ closed s ==> closed {x | x IN s /\ f x = a}
% Assm: !x v u w c. (\t. (&1 - drop t) % u + drop t % w - (&1 - c) % x - c % v) continuous_on (:real^1)
% Assm: T
% Goal: !x v u w c. open {t | ~((\t. (&1 - drop t) % u + drop t % w - (&1 - c) % x - c % v) t = vec 0)}
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn3, type, n3 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn1 > cartrealn3) > (cartrealn1 > $o) > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cgspec, type, gspec : ((cartrealn1 > $o) > cartrealn1 > $o)).
thf(cdiff, type, diff : ((cartrealn1 > $o) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(csetspec, type, setspec : (cartrealn1 > $o > cartrealn1 > $o)).
thf(cuniv0, type, univ0 : (cartrealn1 > $o)).
thf(cclosed0, type, closed0 : ((cartrealn1 > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealn1 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_UNIV, axiom, (closed @ univ)).
thf(aDIFF, axiom, ![S:(cartrealn1 > $o),T:(cartrealn1 > $o)]:((diff @ S @ T) = (gspec @ ^[GENR_PVARR_4:cartrealn1]:?[X:cartrealn1]:(setspec @ GENR_PVARR_4 @ ((in @ X @ S) & ~ ((in @ X @ T))) @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn1 > $o),X:cartrealn1]:((in @ X @ (gspec @ ^[V:cartrealn1]:?[Y:cartrealn1]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aOPENu_CLOSED, axiom, ![S:(cartrealn1 > $o)]:((open @ S) <=> (closed0 @ (diff @ univ0 @ S)))).
thf(aPlanarityo_CONTINUOUSu_CLOSEDu_PREIMAGEu_CONSTANT, axiom, ![F:(cartrealn1 > cartrealn3),S:(cartrealn1 > $o),A:cartrealn3]:(((continuousu_on @ F @ S) & (closed0 @ S)) => (closed0 @ (gspec @ ^[GENR_PVARR_385:cartrealn1]:?[X:cartrealn1]:(setspec @ GENR_PVARR_385 @ ((in @ X @ S) & ((F @ X) = A)) @ X))))).
thf(aPlanarityo_collinearu_continuousu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3,C:real]:(continuousu_on @ ^[T:cartrealn1]:(vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (drop @ T)) @ U) @ (vectoru_sub @ (vectoru_sub @ (r_ @ (drop @ T) @ W) @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ C) @ X)) @ (r_ @ C @ V))) @ univ0)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3,C:real]:(open @ (gspec @ ^[GENR_PVARR_386:cartrealn1]:?[T:cartrealn1]:(setspec @ GENR_PVARR_386 @ ~ (((^[T:cartrealn1]:(vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (drop @ T)) @ U) @ (vectoru_sub @ (vectoru_sub @ (r_ @ (drop @ T) @ W) @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ C) @ X)) @ (r_ @ C @ V))) @ T) = (vec @ (numeral @ u_0)))) @ T)))).
