%   ORIGINAL: Planarity.add_edge_into_collinear_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: UNION: !s t. s UNION t = {x | x IN s \/ x IN t}
% Goal: !x E v u. ~collinear {x, v, u} /\ (!e. e IN E ==> ~collinear ({x} UNION e)) ==> (!e. e IN E UNION {{v, u}} ==> ~collinear ({x} UNION e))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. x IN {y} <=> x = y
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s t. s UNION t = {x | x IN s \/ x IN t}
% Goal: !x E v u. ~collinear {x, v, u} /\ (!e. e IN E ==> ~collinear ({x} UNION e)) ==> (!e. e IN E UNION {{v, u}} ==> ~collinear ({x} UNION e))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cinsert0, type, insert0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunion0, type, union0 : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty0, type, empty0 : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((S = T) <=> ![X:(cartrealn3 > $o)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:(cartrealn3 > $o),Y:(cartrealn3 > $o),S:((cartrealn3 > $o) > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:(cartrealn3 > $o),Y:(cartrealn3 > $o)]:((in @ X @ (insert0 @ Y @ empty0)) <=> (X = Y))).
thf(aINu_UNION, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealn3 > $o)]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(aUNION, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((union0 @ S @ T) = (gspec @ ^[GENR_PVARR_0:(cartrealn3 > $o)]:?[X:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_0 @ ((in @ X @ S) | (in @ X @ T)) @ X)))).
thf(conjecture, conjecture, ![X:cartrealn3,E:((cartrealn3 > $o) > $o),V:cartrealn3,U:cartrealn3]:((~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) & ![E0:(cartrealn3 > $o)]:((in @ E0 @ E) => ~ ((collinear @ (union @ (insert @ X @ empty) @ E0))))) => ![E0:(cartrealn3 > $o)]:((in @ E0 @ (union0 @ E @ (insert0 @ (insert @ V @ (insert @ U @ empty)) @ empty0))) => ~ ((collinear @ (union @ (insert @ X @ empty) @ E0)))))).
