%   ORIGINAL: Planarity.sym_line_fan0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: Planarity.POINT_IN_LINE1: !x y. y IN aff {x, y}
% Assm: Planarity.sym_line_fan: !x y z. x IN aff {y, z} /\ DISJOINT {x} {y, z} ==> aff {x, z} = aff {x, y}
% Assm: TRUTH: T
% Goal: !x y z. x IN aff {y, z} /\ DISJOINT {x} {y, z} /\ DISJOINT {y} {x, z} ==> aff {x, z} = aff {y, z}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y. y IN aff {x, y}
% Assm: !x y z. x IN aff {y, z} /\ DISJOINT {x} {y, z} ==> aff {x, z} = aff {x, y}
% Assm: T
% Goal: !x y z. x IN aff {y, z} /\ DISJOINT {x} {y, z} /\ DISJOINT {y} {x, z} ==> aff {x, z} = aff {y, z}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(caff, type, aff : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aPlanarityo_POINTu_INu_LINE1, axiom, ![X:cartrealn,Y:cartrealn]:(in @ Y @ (aff @ (insert @ X @ (insert @ Y @ empty))))).
thf(aPlanarityo_symu_lineu_fan, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:(((in @ X @ (aff @ (insert @ Y @ (insert @ Z @ empty)))) & (disjoint @ (insert @ X @ empty) @ (insert @ Y @ (insert @ Z @ empty)))) => ((aff @ (insert @ X @ (insert @ Z @ empty))) = (aff @ (insert @ X @ (insert @ Y @ empty)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:(((in @ X @ (aff @ (insert @ Y @ (insert @ Z @ empty)))) & (disjoint @ (insert @ X @ empty) @ (insert @ Y @ (insert @ Z @ empty))) & (disjoint @ (insert @ Y @ empty) @ (insert @ X @ (insert @ Z @ empty)))) => ((aff @ (insert @ X @ (insert @ Z @ empty))) = (aff @ (insert @ Y @ (insert @ Z @ empty)))))).
