%   ORIGINAL: Planarity.aff_ge_1_1_subset_aff_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_HULL_2: !a b. affine hull {a, b} = {u % a + v % b | u + v = &1}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Topology.AFF_GE_1_1: !x v. ~(x = v) ==> aff_ge {x} {v} = {y | ?t1 t2. &0 <= t2 /\ t1 + t2 = &1 /\ y = t1 % x + t2 % v}
% Assm: Trigonometry.BYFLKYM1: aff = (hull) affine
% Goal: !x y z. ~(y = z) /\ x IN aff_ge {y} {z} ==> x IN aff {y, z}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. affine hull {a, b} = {u % a + v % b | u + v = &1}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: T
% Assm: !x v. ~(x = v) ==> aff_ge {x} {v} = {y | ?t1 t2. &0 <= t2 /\ t1 + t2 = &1 /\ y = t1 % x + t2 % v}
% Assm: aff = (hull) affine
% Goal: !x y z. ~(y = z) /\ x IN aff_ge {y} {z} ==> x IN aff {y, z}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_HULLu_2, axiom, ![A:cartrealn3,B:cartrealn3]:((hull @ affine @ (insert @ A @ (insert @ B @ empty))) = (gspec @ ^[GENR_PVARR_803:cartrealn3]:?[U:real,V:real]:(setspec @ GENR_PVARR_803 @ ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (vectoru_add @ (r_ @ U @ A) @ (r_ @ V @ B)))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_AFFu_GEu_1u_1, axiom, ![X:cartrealn3,V:cartrealn3]:(~ ((X = V)) => ((affu_ge @ (insert @ X @ empty) @ (insert @ V @ empty)) = (gspec @ ^[GENR_PVARR_358:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_358 @ ?[T1:real,T2:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T2) & ((realu_add @ T1 @ T2) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (Y = (vectoru_add @ (r_ @ T1 @ X) @ (r_ @ T2 @ V)))) @ Y))))).
thf(aTrigonometryo_BYFLKYM1, axiom, (aff = (hull @ affine))).
thf(conjecture, conjecture, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((~ ((Y = Z)) & (in @ X @ (affu_ge @ (insert @ Y @ empty) @ (insert @ Z @ empty)))) => (in @ X @ (aff @ (insert @ Y @ (insert @ Z @ empty)))))).
