%   ORIGINAL: Planarity.permutes_4points_collinear1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.collinear_fan: !x v u. ~collinear {x, v, u} <=> ~(u IN aff {x, v}) /\ ~(x = v)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: Planarity.sym_line01_fan: !x y z. x IN aff {y, z} /\ DISJOINT {y} {x, z} ==> aff {y, x} SUBSET aff {y, z}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !x y z w. ~(x = y) /\ ~(x = z) /\ y IN aff {x, z} /\ ~collinear {x, z, w} ==> ~collinear {x, y, w}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x v u. ~collinear {x, v, u} <=> ~(u IN aff {x, v}) /\ ~(x = v)
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y z. x IN aff {y, z} /\ DISJOINT {y} {x, z} ==> aff {y, x} SUBSET aff {y, z}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !x y z w. ~(x = y) /\ ~(x = z) /\ y IN aff {x, z} /\ ~collinear {x, z, w} ==> ~collinear {x, y, w}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(caff, type, aff : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_collinearu_fan, axiom, ![X:cartrealn,V:cartrealn,U:cartrealn]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) <=> (~ ((in @ U @ (aff @ (insert @ X @ (insert @ V @ empty))))) & ~ ((X = V))))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aPlanarityo_symu_line01u_fan, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:(((in @ X @ (aff @ (insert @ Y @ (insert @ Z @ empty)))) & (disjoint @ (insert @ Y @ empty) @ (insert @ X @ (insert @ Z @ empty)))) => (subset @ (aff @ (insert @ Y @ (insert @ X @ empty))) @ (aff @ (insert @ Y @ (insert @ Z @ empty)))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn,Z:cartrealn,W:cartrealn]:((~ ((X = Y)) & ~ ((X = Z)) & (in @ Y @ (aff @ (insert @ X @ (insert @ Z @ empty)))) & ~ ((collinear @ (insert @ X @ (insert @ Z @ (insert @ W @ empty)))))) => ~ ((collinear @ (insert @ X @ (insert @ Y @ (insert @ W @ empty))))))).
