%   ORIGINAL: Planarity.notcoplanar_disjoint
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.th3: !x v u. ~collinear {x, v, u} ==> ~(x = v) /\ ~(x = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v})
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: Planarity.notcoplanar_imp_notcollinear_fan: !x v u w. ~coplanar {x, v, u, w} ==> ~collinear {x, u, w} /\ ~collinear {x, v, u} /\ ~collinear {x, v, w}
% Assm: TRUTH: T
% Goal: !x v u w. ~coplanar {x, v, u, w} ==> ~(x = v) /\ ~(x = u) /\ ~(x = w) /\ ~(v = u) /\ ~(v = w) /\ ~(u = w)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x v u. ~collinear {x, v, u} ==> ~(x = v) /\ ~(x = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v})
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x v u w. ~coplanar {x, v, u, w} ==> ~collinear {x, u, w} /\ ~collinear {x, v, u} /\ ~collinear {x, v, w}
% Assm: T
% Goal: !x v u w. ~coplanar {x, v, u, w} ==> ~(x = v) /\ ~(x = u) /\ ~(x = w) /\ ~(v = u) /\ ~(v = w) /\ ~(u = w)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_th3, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => (~ ((X = V)) & ~ ((X = U)) & (disjoint @ (insert @ X @ (insert @ V @ empty)) @ (insert @ U @ empty)) & (disjoint @ (insert @ X @ (insert @ U @ empty)) @ (insert @ V @ empty)) & (disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty))) & ~ ((in0 @ U @ (aff @ (insert @ X @ (insert @ V @ empty)))))))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in0 @ X @ empty))).
thf(aPlanarityo_notcoplanaru_impu_notcollinearu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3]:(~ ((coplanar @ (insert @ X @ (insert @ V @ (insert @ U @ (insert @ W @ empty)))))) => (~ ((collinear @ (insert @ X @ (insert @ U @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3]:(~ ((coplanar @ (insert @ X @ (insert @ V @ (insert @ U @ (insert @ W @ empty)))))) => (~ ((X = V)) & ~ ((X = U)) & ~ ((X = W)) & ~ ((V = U)) & ~ ((V = W)) & ~ ((U = W))))).
