%   ORIGINAL: Planarity.notcoplanar_disjoints
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: Planarity.notcoplanar_disjoint: !x v u w. ~coplanar {x, v, u, w} ==> ~(x = v) /\ ~(x = u) /\ ~(x = w) /\ ~(v = u) /\ ~(v = w) /\ ~(u = w)
% Assm: TRUTH: T
% Goal: !x v u w. ~coplanar {x, v, u, w} ==> DISJOINT {x, v, u} {w} /\ DISJOINT {x, u, w} {v} /\ DISJOINT {x, w, v} {u} /\ DISJOINT {x} {v, u, w} /\ DISJOINT {x, u} {v, w} /\ DISJOINT {x} {v, u} /\ DISJOINT {x} {u, w} /\ DISJOINT {x} {w, v}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x v u w. ~coplanar {x, v, u, w} ==> ~(x = v) /\ ~(x = u) /\ ~(x = w) /\ ~(v = u) /\ ~(v = w) /\ ~(u = w)
% Assm: T
% Goal: !x v u w. ~coplanar {x, v, u, w} ==> DISJOINT {x, v, u} {w} /\ DISJOINT {x, u, w} {v} /\ DISJOINT {x, w, v} {u} /\ DISJOINT {x} {v, u, w} /\ DISJOINT {x, u} {v, w} /\ DISJOINT {x} {v, u} /\ DISJOINT {x} {u, w} /\ DISJOINT {x} {w, v}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in0 @ X @ empty))).
thf(aPlanarityo_notcoplanaru_disjoint, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3]:(~ ((coplanar @ (insert @ X @ (insert @ V @ (insert @ U @ (insert @ W @ empty)))))) => (~ ((X = V)) & ~ ((X = U)) & ~ ((X = W)) & ~ ((V = U)) & ~ ((V = W)) & ~ ((U = W))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3]:(~ ((coplanar @ (insert @ X @ (insert @ V @ (insert @ U @ (insert @ W @ empty)))))) => ((disjoint @ (insert @ X @ (insert @ V @ (insert @ U @ empty))) @ (insert @ W @ empty)) & (disjoint @ (insert @ X @ (insert @ U @ (insert @ W @ empty))) @ (insert @ V @ empty)) & (disjoint @ (insert @ X @ (insert @ W @ (insert @ V @ empty))) @ (insert @ U @ empty)) & (disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ (insert @ W @ empty)))) & (disjoint @ (insert @ X @ (insert @ U @ empty)) @ (insert @ V @ (insert @ W @ empty))) & (disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty))) & (disjoint @ (insert @ X @ empty) @ (insert @ U @ (insert @ W @ empty))) & (disjoint @ (insert @ X @ empty) @ (insert @ W @ (insert @ V @ empty)))))).
