%   ORIGINAL: Hypermap_and_fan.RES_PERMUTES_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.res: !f s x. res f s x = (if x IN s then f x else x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !f A B. f permutes A ==> res f A permutes A UNION B
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f s x. res f s x = (if x IN s then f x else x)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: T
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !f A B. f permutes A ==> res f A permutes A UNION B
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq1371336, type, q1371336 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (q1371336 > (q1371336 > $o) > $o)).
thf(cpermutes, type, permutes : ((q1371336 > q1371336) > (q1371336 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > q1371336 > q1371336 > q1371336)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cunion, type, union : ((q1371336 > $o) > (q1371336 > $o) > q1371336 > $o)).
thf(cres, type, res : ((q1371336 > q1371336) > (q1371336 > $o) > q1371336 > q1371336)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_res, axiom, ![F:(q1371336 > q1371336),S:(q1371336 > $o),X:q1371336]:((res @ F @ S @ X) = (cond0 @ (in @ X @ S) @ (F @ X) @ X))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_UNION, axiom, ![S:(q1371336 > $o),T:(q1371336 > $o),X:q1371336]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(apermutes, axiom, ![S:(q1371336 > $o),P:(q1371336 > q1371336)]:((permutes @ P @ S) <=> (![X:q1371336]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:q1371336]:(?[X:q1371336]:((P @ X) = Y) & ![X:q1371336,XI_:q1371336]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![F:(q1371336 > q1371336),A:(q1371336 > $o),B:(q1371336 > $o)]:((permutes @ F @ A) => (permutes @ (res @ F @ A) @ (union @ A @ B)))).
