%   ORIGINAL: Hypermap_and_fan.RES_PERMUTES_DISJOINT_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.res: !f s x. res f s x = (if x IN s then f x else x)
% Assm: Hypermap_and_fan.PERMUTES_IMP_INSIDE: !f s. f permutes s ==> (!x. x IN s ==> f x IN s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !f c. (!t. t IN c ==> res f t permutes t) /\ (!a b. a IN c /\ b IN c /\ ~(a = b) ==> DISJOINT a b) ==> res f (UNIONS c) permutes UNIONS c
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s x. res f s x = (if x IN s then f x else x)
% Assm: !f s. f permutes s ==> (!x. x IN s ==> f x IN s)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !f c. (!t. t IN c ==> res f t permutes t) /\ (!a b. a IN c /\ b IN c /\ ~(a = b) ==> DISJOINT a b) ==> res f (UNIONS c) permutes UNIONS c
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cin1, type, in1 : (((a > $o) > $o) > (((a > $o) > $o) > $o) > $o)).
thf(cunions0, type, unions0 : ((((a > $o) > $o) > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cdisjoint, type, disjoint : ((a > $o) > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cinter0, type, inter0 : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > (a > $o) > (a > $o) > a > $o)).
thf(cres, type, res : ((a > a) > (a > $o) > a > a)).
thf(cempty0, type, empty0 : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:(a > $o),T2:(a > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDISJOINT, axiom, ![S:(a > $o),T:(a > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aHypermapo_res, axiom, ![F:(a > a),S:(a > $o),X:a]:((res @ F @ S @ X) = (cond0 @ (in0 @ X @ S) @ (F @ X) @ X))).
thf(aHypermapu_andu_fano_PERMUTESu_IMPu_INSIDE, axiom, ![F:(a > a),S:(a > $o)]:((permutes @ F @ S) => ![X:a]:((in0 @ X @ S) => (in0 @ (F @ X) @ S)))).
thf(aIN, axiom, ![P:((a > $o) > $o),X:(a > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o),X:(a > $o)]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNIONS, axiom, ![S:(((a > $o) > $o) > $o),X:(a > $o)]:((in @ X @ (unions0 @ S)) <=> ?[T:((a > $o) > $o)]:((in1 @ T @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(a > $o)]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(apermutes, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) <=> (![X:a]:(~ ((in0 @ X @ S)) => ((P @ X) = X)) & ![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![F:(a > a),C:((a > $o) > $o)]:((![T:(a > $o)]:((in @ T @ C) => (permutes @ (res @ F @ T) @ T)) & ![A:(a > $o),B:(a > $o)]:(((in @ A @ C) & (in @ B @ C) & ~ ((A = B))) => (disjoint @ A @ B))) => (permutes @ (res @ F @ (unions @ C)) @ (unions @ C)))).
