%   ORIGINAL: Hypermap_and_fan.RES_PERMUTES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.res: !f s x. res f s x = (if x IN s then f x else x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !f s. (!x. x IN s ==> f x IN s) /\ (!y. y IN s ==> (?x. x IN s /\ y = f x)) /\ (!x1 x2. x1 IN s /\ x2 IN s /\ f x1 = f x2 ==> x1 = x2) ==> res f s permutes s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f s x. res f s x = (if x IN s then f x else x)
% Assm: ~F <=> T
% Assm: T
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !f s. (!x. x IN s ==> f x IN s) /\ (!y. y IN s ==> (?x. x IN s /\ y = f x)) /\ (!x1 x2. x1 IN s /\ x2 IN s /\ f x1 = f x2 ==> x1 = x2) ==> res f s permutes s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cres, type, res : ((a > a) > (a > $o) > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_res, axiom, ![F:(a > a),S:(a > $o),X:a]:((res @ F @ S @ X) = (cond @ (in @ X @ S) @ (F @ X) @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(apermutes, axiom, ![S:(a > $o),P:(a > a)]:((permutes @ P @ S) <=> (![X:a]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:a]:(?[X:a]:((P @ X) = Y) & ![X:a,XI_:a]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![F:(a > a),S:(a > $o)]:((![X:a]:((in @ X @ S) => (in @ (F @ X) @ S)) & ![Y:a]:((in @ Y @ S) => ?[X:a]:((in @ X @ S) & (Y = (F @ X)))) & ![X1:a,X2:a]:(((in @ X1 @ S) & (in @ X2 @ S) & ((F @ X1) = (F @ X2))) => (X1 = X2))) => (permutes @ (res @ F @ S) @ S))).
