%   ORIGINAL: Hypermap_and_fan.INVERSE_PERMUTES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: PERMUTES_INVERSES_o: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Goal: !f g s. f permutes s /\ f o g = I ==> g permutes s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. I o f = f /\ f o I = f
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Goal: !f g s. f permutes s /\ f o g = I ==> g permutes s
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a),G:(a > a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSE, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (permutes @ (inverse @ P) @ S))).
thf(aPERMUTESu_INVERSESu_o, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (((o @ P @ (inverse @ P)) = i) & ((o @ (inverse @ P) @ P) = i)))).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(a > a),G:(a > a),H:(a > a)]:((o @ F @ (o @ G @ H)) = (o @ (o @ F @ G) @ H))).
thf(conjecture, conjecture, ![F:(a > a),G:(a > a),S:(a > $o)]:(((permutes @ F @ S) & ((o @ F @ G) = i)) => (permutes @ G @ S))).
