%   ORIGINAL: Hypermap_and_fan.DART_EQ_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.edge_set: !H. edge_set H = set_of_orbits (dart H) (edge_map H)
% Assm: Hypermap.face_set: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.lemma_partition: !s p. FINITE s /\ p permutes s ==> s = UNIONS (set_of_orbits s p)
% Assm: Hypermap.node_set: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: TRUTH: T
% Goal: !H. dart H = UNIONS (face_set H) /\ dart H = UNIONS (node_set H) /\ dart H = UNIONS (edge_set H)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. edge_set H = set_of_orbits (dart H) (edge_map H)
% Assm: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !s p. FINITE s /\ p permutes s ==> s = UNIONS (set_of_orbits s p)
% Assm: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: T
% Goal: !H. dart H = UNIONS (face_set H) /\ dart H = UNIONS (node_set H) /\ dart H = UNIONS (edge_set H)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cedgeuu_set, type, edgeu_set : (hypermapa > (a > $o) > $o)).
thf(cnodeuu_set, type, nodeu_set : (hypermapa > (a > $o) > $o)).
thf(cfaceuu_set, type, faceu_set : (hypermapa > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_edgeu_set, axiom, ![H:hypermapa]:((edgeu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (edgeu_map @ H)))).
thf(aHypermapo_faceu_set, axiom, ![H:hypermapa]:((faceu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (faceu_map @ H)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_lemmau_partition, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => (S = (unions @ (setu_ofu_orbits @ S @ P))))).
thf(aHypermapo_nodeu_set, axiom, ![H:hypermapa]:((nodeu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (nodeu_map @ H)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:(((dart @ H) = (unions @ (faceu_set @ H))) & ((dart @ H) = (unions @ (nodeu_set @ H))) & ((dart @ H) = (unions @ (edgeu_set @ H))))).
