%   ORIGINAL: Hypermap_and_fan.SUM_SET_OF_ORBITS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.finite_orbits_lemma: !D p. FINITE D /\ p permutes D ==> FINITE (set_of_orbits D p)
% Assm: Hypermap.lemma_orbit_finite: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
% Assm: Hypermap.lemma_partition: !s p. FINITE s /\ p permutes s ==> s = UNIONS (set_of_orbits s p)
% Assm: Hypermap.partition_orbit: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
% Assm: Hypermap.set_of_orbits: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUM_UNIONS_NONZERO: !f s. FINITE s /\ (!t. t IN s ==> FINITE t) /\ (!t1 t2 x. t1 IN s /\ t2 IN s /\ ~(t1 = t2) /\ x IN t1 /\ x IN t2 ==> f x = &0) ==> sum (UNIONS s) f = sum s (\t. sum t f)
% Assm: TRUTH: T
% Goal: !s f g. FINITE s /\ f permutes s ==> sum (set_of_orbits s f) (\y. sum y g) = sum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !D p. FINITE D /\ p permutes D ==> FINITE (set_of_orbits D p)
% Assm: !s p x. FINITE s /\ p permutes s ==> FINITE (orbit_map p x)
% Assm: !s p. FINITE s /\ p permutes s ==> s = UNIONS (set_of_orbits s p)
% Assm: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. ~(x IN {})
% Assm: !f s. FINITE s /\ (!t. t IN s ==> FINITE t) /\ (!t1 t2 x. t1 IN s /\ t2 IN s /\ ~(t1 = t2) /\ x IN t1 /\ x IN t2 ==> f x = &0) ==> sum (UNIONS s) f = sum s (\t. sum t f)
% Assm: T
% Goal: !s f g. FINITE s /\ f permutes s ==> sum (set_of_orbits s f) (\y. sum y g) = sum s g
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((real > $o) > real > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(csum, type, sum : (((a > $o) > $o) > ((a > $o) > real) > real)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec0, type, setspec0 : (real > $o > real > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(cfinite0, type, finite0 : (((a > $o) > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_finiteu_orbitsu_lemma, axiom, ![D:(a > $o),P:(a > a)]:(((finite @ D) & (permutes @ P @ D)) => (finite0 @ (setu_ofu_orbits @ D @ P)))).
thf(aHypermapo_lemmau_orbitu_finite, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => (finite @ (orbitu_map @ P @ X)))).
thf(aHypermapo_lemmau_partition, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => (S = (unions @ (setu_ofu_orbits @ S @ P))))).
thf(aHypermapo_partitionu_orbit, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ![X:a,Y:a]:(((inter @ (orbitu_map @ P @ X) @ (orbitu_map @ P @ Y)) = empty) | ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y))))).
thf(aHypermapo_setu_ofu_orbits, axiom, ![D:(a > $o),F:(a > a)]:((setu_ofu_orbits @ D @ F) = (gspec @ ^[GENR_PVARR_233:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_233 @ (in @ X @ D) @ (orbitu_map @ F @ X))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > real > $o) > $o),X:real]:((in0 @ X @ (gspec0 @ ^[V:real]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:real]:(P0 & (X = T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSUMu_UNIONSu_NONZERO, axiom, ![F:(a > real),S:((a > $o) > $o)]:(((finite0 @ S) & ![T:(a > $o)]:((in1 @ T @ S) => (finite @ T)) & ![T1:(a > $o),T2:(a > $o),X:a]:(((in1 @ T1 @ S) & (in1 @ T2 @ S) & ~ ((T1 = T2)) & (in @ X @ T1) & (in @ X @ T2)) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) => ((sum0 @ (unions @ S) @ F) = (sum @ S @ ^[T:(a > $o)]:(sum0 @ T @ F))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > a),G:(a > real)]:(((finite @ S) & (permutes @ F @ S)) => ((sum @ (setu_ofu_orbits @ S @ F) @ ^[Y:(a > $o)]:(sum0 @ Y @ G)) = (sum0 @ S @ G)))).
