%   ORIGINAL: Hypermap_and_fan.DART_SUM_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.face_set: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.node_set: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: Hypermap_and_fan.SUM_SET_OF_ORBITS: !s f g. FINITE s /\ f permutes s ==> sum (set_of_orbits s f) (\y. sum y g) = sum s g
% Assm: TRUTH: T
% Goal: !H g. sum (face_set H) (\f. sum f g) = sum (dart H) g /\ sum (node_set H) (\n. sum n g) = sum (dart H) g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H. face_set H = set_of_orbits (dart H) (face_map H)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: !s f g. FINITE s /\ f permutes s ==> sum (set_of_orbits s f) (\y. sum y g) = sum s g
% Assm: T
% Goal: !H g. sum (face_set H) (\f. sum f g) = sum (dart H) g /\ sum (node_set H) (\n. sum n g) = sum (dart H) g
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cnodeuu_set, type, nodeu_set : (hypermapa > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(cfaceuu_set, type, faceu_set : (hypermapa > (a > $o) > $o)).
thf(csum, type, sum : (((a > $o) > $o) > ((a > $o) > real) > real)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_faceu_set, axiom, ![H:hypermapa]:((faceu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (faceu_map @ H)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_nodeu_set, axiom, ![H:hypermapa]:((nodeu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (nodeu_map @ H)))).
thf(aHypermapu_andu_fano_SUMu_SETu_OFu_ORBITS, axiom, ![S:(a > $o),F:(a > a),G:(a > real)]:(((finite @ S) & (permutes @ F @ S)) => ((sum @ (setu_ofu_orbits @ S @ F) @ ^[Y:(a > $o)]:(sum0 @ Y @ G)) = (sum0 @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,G:(a > real)]:(((sum @ (faceu_set @ H) @ ^[F:(a > $o)]:(sum0 @ F @ G)) = (sum0 @ (dart @ H) @ G)) & ((sum @ (nodeu_set @ H) @ ^[N:(a > $o)]:(sum0 @ N @ G)) = (sum0 @ (dart @ H) @ G)))).
