%   ORIGINAL: Hypermap_and_fan.FINITE_ORBIT_MAP_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.lemma_cycle_orbit: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: Hypermap_and_fan.INVERSE_ADD_EXPONENTS: !a b f s. f permutes s /\ b <= a ==> (f POWER a) o (inverse f POWER b) = f POWER (a - b) /\ (inverse f POWER b) o (f POWER a) = f POWER (a - b)
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f s x n k. FINITE s /\ f permutes s /\ CARD (orbit_map f x) = n /\ k <= n ==> (inverse f POWER k) x = (f POWER (n - k)) x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: !a b f s. f permutes s /\ b <= a ==> (f POWER a) o (inverse f POWER b) = f POWER (a - b) /\ (inverse f POWER b) o (f POWER a) = f POWER (a - b)
% Assm: !f. I o f = f /\ f o I = f
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f s x n k. FINITE s /\ f permutes s /\ CARD (orbit_map f x) = n /\ k <= n ==> (inverse f POWER k) x = (f POWER (n - k)) x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(co3, type, o3 : ((b > a) > (a > b) > a > a)).
thf(co2, type, o2 : ((b > num) > (a > b) > a > num)).
thf(co1, type, o1 : ((a > b) > (a > a) > a > b)).
thf(co0, type, o0 : ((b > b) > (a > b) > a > b)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(ci0, type, i0 : (a > a)).
thf(ci1, type, i1 : (num > num)).
thf(ci, type, i : (b > b)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_lemmau_cycleu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ((power @ P @ (card @ (orbitu_map @ P @ X)) @ X) = X))).
thf(aHypermapu_andu_fano_INVERSEu_ADDu_EXPONENTS, axiom, ![A:num,B:num,F:(a > a),S:(a > $o)]:(((permutes @ F @ S) & (l_a_ @ B @ A)) => (((o @ (power @ F @ A) @ (power @ (inverse @ F) @ B)) = (power @ F @ (m_ @ A @ B))) & ((o @ (power @ (inverse @ F) @ B) @ (power @ F @ A)) = (power @ F @ (m_ @ A @ B)))))).
thf(aIu_Ou_ID, axiom, ![F:(a > b)]:(((o0 @ i @ F) = F) & ((o1 @ F @ i0) = F))).
thf(aIu_THMu_monomorphized1, axiom, ![X:num]:((i1 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > num),G:(a > b),X:a]:((o2 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > a),G:(a > b),X:a]:((o3 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(a > a),S:(a > $o),X:a,N:num,K:num]:(((finite @ S) & (permutes @ F @ S) & ((card @ (orbitu_map @ F @ X)) = N) & (l_a_ @ K @ N)) => ((power @ (inverse @ F) @ K @ X) = (power @ F @ (m_ @ N @ K) @ X)))).
