%   ORIGINAL: Hypermap_and_fan.ORBIT_MAP_INV_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_SUB: !m n. (m + n) - n = m
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct9: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct8: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Hypermap_and_fan.FINITE_ORBIT_MAP_INVERSE: !f s x n k. FINITE s /\ f permutes s /\ CARD (orbit_map f x) = n /\ k <= n ==> (inverse f POWER k) x = (f POWER (n - k)) x
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: PERMUTES_INVERSES: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: TRUTH: T
% Goal: !s f x. FINITE s /\ f permutes s /\ CARD (orbit_map f x) = 2 ==> f x = inverse f x /\ inverse f (inverse f x) = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. (m + n) - n = m
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: SUC _0 = BIT1 _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !f. f POWER 1 = f
% Assm: !f s x n k. FINITE s /\ f permutes s /\ CARD (orbit_map f x) = n /\ k <= n ==> (inverse f POWER k) x = (f POWER (n - k)) x
% Assm: !n. NUMERAL n = n
% Assm: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: T
% Goal: !s f x. FINITE s /\ f permutes s /\ CARD (orbit_map f x) = 2 ==> f x = inverse f x /\ inverse f (inverse f x) = x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_SUB, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ N) = M)).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct9, axiom, ![M:num,N:num]:(((bit1 @ M) = (bit1 @ N)) <=> (M = N))).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct8, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit0 @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aHypermapu_andu_fano_FINITEu_ORBITu_MAPu_INVERSE, axiom, ![F:(a > a),S:(a > $o),X:a,N:num,K:num]:(((finite @ S) & (permutes @ F @ S) & ((card @ (orbitu_map @ F @ X)) = N) & (l_a_ @ K @ N)) => ((power @ (inverse @ F) @ K @ X) = (power @ F @ (m_ @ N @ K) @ X)))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aPERMUTESu_INVERSES, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (![X:a]:((P @ (inverse @ P @ X)) = X) & ![X:a]:((inverse @ P @ (P @ X)) = X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > a),X:a]:(((finite @ S) & (permutes @ F @ S) & ((card @ (orbitu_map @ F @ X)) = (numeral @ (bit0 @ (bit1 @ u_0))))) => (((F @ X) = (inverse @ F @ X)) & ((inverse @ F @ (inverse @ F @ X)) = X)))).
