%   ORIGINAL: Hypermap_and_fan.UNIQUE_ORBIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.partition_orbit: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
% Assm: Hypermap.set_of_orbits: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.X_IN_ITS_ORBIT: x IN orbit_map f x
% Goal: !s f x. FINITE s /\ f permutes s /\ x IN s ==> (?!c. c IN set_of_orbits s f /\ x IN c)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s p. FINITE s /\ p permutes s ==> (!x y. orbit_map p x INTER orbit_map p y = {} \/ orbit_map p x = orbit_map p y)
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !f x. x IN orbit_map f x
% Assm: !f x. x IN orbit_map f x
% Goal: !s f x. FINITE s /\ f permutes s /\ x IN s ==> (?c. c IN set_of_orbits s f /\ x IN c) /\ (!c x'. (c IN set_of_orbits s f /\ x IN c) /\ x' IN set_of_orbits s f /\ x IN x' ==> c = x')
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(corbituu_map0, type, orbitu_map0 : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cinter0, type, inter0 : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(cempty0, type, empty0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_partitionu_orbit, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => ![X:a,Y:a]:(((inter @ (orbitu_map @ P @ X) @ (orbitu_map @ P @ Y)) = empty) | ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y))))).
thf(aHypermapo_setu_ofu_orbits, axiom, ![D:(a > $o),F:(a > a)]:((setu_ofu_orbits @ D @ F) = (gspec @ ^[GENR_PVARR_233:(a > $o)]:?[X:a]:(setspec @ GENR_PVARR_233 @ (in @ X @ D) @ (orbitu_map @ F @ X))))).
thf(aINu_monomorphized1, axiom, ![P:((a > $o) > $o),X:(a > $o)]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in0 @ X @ (gspec @ ^[V:(a > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aINu_INTERu_monomorphized1, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o),X:(a > $o)]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_INTERu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTYu_monomorphized1, axiom, ![X:(a > $o)]:~ ((in0 @ X @ empty0))).
thf(aNOTu_INu_EMPTYu_monomorphized0, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_Xu_INu_ITSu_ORBITu_monomorphized1, axiom, ![F:((a > $o) > a > $o),X:(a > $o)]:(in0 @ X @ (orbitu_map0 @ F @ X))).
thf(aWrgcvdru_cizmrrho_Xu_INu_ITSu_ORBITu_monomorphized0, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > a),X:a]:(((finite @ S) & (permutes @ F @ S) & (in @ X @ S)) => (?[C:(a > $o)]:((in0 @ C @ (setu_ofu_orbits @ S @ F)) & (in @ X @ C)) & ![C:(a > $o),XI_:(a > $o)]:(((in0 @ C @ (setu_ofu_orbits @ S @ F)) & (in @ X @ C) & (in0 @ XI_ @ (setu_ofu_orbits @ S @ F)) & (in @ X @ XI_)) => (C = XI_))))).
