%   ORIGINAL: Hypermap_and_fan.SIMPLE_HYPERMAP_IMP_FACE_INJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.SING_EQ: !x y. {x} = {y} <=> x = y
% Assm: Hypermap.lemma_node_identity: !H x y. y IN node H x ==> node H x = node H y
% Assm: Hypermap.lemma_node_subset: !H x. x IN dart H ==> node H x SUBSET dart H
% Assm: Hypermap.simple_hypermap: !H. simple_hypermap H <=> (!x. x IN dart H ==> node H x INTER face H x = {x})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !H x u v. simple_hypermap H /\ x IN dart H /\ u IN node H x /\ v IN node H x /\ face H u = face H v ==> u = v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. {x} = {y} <=> x = y
% Assm: !H x y. y IN node H x ==> node H x = node H y
% Assm: !H x. x IN dart H ==> node H x SUBSET dart H
% Assm: !H. simple_hypermap H <=> (!x. x IN dart H ==> node H x INTER face H x = {x})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !H x u v. simple_hypermap H /\ x IN dart H /\ u IN node H x /\ v IN node H x /\ face H u = face H v ==> u = v
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(csimpleuu_hypermap, type, simpleu_hypermap : (hypermapa > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_SINGu_EQ, axiom, ![X:a,Y:a]:(((insert @ X @ empty) = (insert @ Y @ empty)) <=> (X = Y))).
thf(aHypermapo_lemmau_nodeu_identity, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (node @ H @ X)) => ((node @ H @ X) = (node @ H @ Y)))).
thf(aHypermapo_lemmau_nodeu_subset, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => (subset @ (node @ H @ X) @ (dart @ H)))).
thf(aHypermapo_simpleu_hypermap, axiom, ![H:hypermapa]:((simpleu_hypermap @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => ((inter @ (node @ H @ X) @ (face @ H @ X)) = (insert @ X @ empty))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,U:a,V:a]:(((simpleu_hypermap @ H) & (in @ X @ (dart @ H)) & (in @ U @ (node @ H @ X)) & (in @ V @ (node @ H @ X)) & ((face @ H @ U) = (face @ H @ V))) => (U = V))).
