%   ORIGINAL: Hypermap_and_fan.SIMPLE_HYPERMAP_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_IMAGE_INJ_EQ: !f s t. FINITE s /\ (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?!x. x IN s /\ f x = y)) ==> CARD t = CARD s
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: Hypermap.NODE_FINITE: !H x. FINITE (node H x)
% Assm: Hypermap.lemma_node_subset: !H x. x IN dart H ==> node H x SUBSET dart H
% Assm: Hypermap_and_fan.SIMPLE_HYPERMAP_IMP_FACE_INJ: !H x u v. simple_hypermap H /\ x IN dart H /\ u IN node H x /\ v IN node H x /\ face H u = face H v ==> u = v
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !H x P. simple_hypermap H /\ x IN dart H ==> CARD {face H y | y | y IN dart H /\ P y /\ y IN node H x} = CARD {y | y IN node H x /\ P y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s t. FINITE s /\ (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')) ==> CARD t = CARD s
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !H x. FINITE (node H x)
% Assm: !H x. x IN dart H ==> node H x SUBSET dart H
% Assm: !H x u v. simple_hypermap H /\ x IN dart H /\ u IN node H x /\ v IN node H x /\ face H u = face H v ==> u = v
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !H x P. simple_hypermap H /\ x IN dart H ==> CARD {face H y | y | y IN dart H /\ P y /\ y IN node H x} = CARD {y | y IN node H x /\ P y}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(csimpleuu_hypermap, type, simpleu_hypermap : (hypermapa > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((a > $o) > num)).
thf(ccard, type, card : (((a > $o) > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_IMAGEu_INJu_EQ, axiom, ![F:(a > a),S:(a > $o),T:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![Y:a]:((in @ Y @ T) => (?[X:a]:((in @ X @ S) & ((F @ X) = Y)) & ![X:a,XI_:a]:(((in @ X @ S) & ((F @ X) = Y) & (in @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))) => ((card0 @ T) = (card0 @ S)))).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aHypermapo_NODEu_FINITE, axiom, ![H:hypermapa,X:a]:(finite @ (node @ H @ X))).
thf(aHypermapo_lemmau_nodeu_subset, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => (subset @ (node @ H @ X) @ (dart @ H)))).
thf(aHypermapu_andu_fano_SIMPLEu_HYPERMAPu_IMPu_FACEu_INJ, axiom, ![H:hypermapa,X:a,U:a,V:a]:(((simpleu_hypermap @ H) & (in @ X @ (dart @ H)) & (in @ U @ (node @ H @ X)) & (in @ V @ (node @ H @ X)) & ((face @ H @ U) = (face @ H @ V))) => (U = V))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:?[Y:a]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,P:(a > $o)]:(((simpleu_hypermap @ H) & (in @ X @ (dart @ H))) => ((card @ (gspec @ ^[GENR_PVARR_476:(a > $o)]:?[Y:a]:(setspec @ GENR_PVARR_476 @ ((in @ Y @ (dart @ H)) & (P @ Y) & (in @ Y @ (node @ H @ X))) @ (face @ H @ Y)))) = (card0 @ (gspec0 @ ^[GENR_PVARR_477:a]:?[Y:a]:(setspec0 @ GENR_PVARR_477 @ ((in @ Y @ (node @ H @ X)) & (P @ Y)) @ Y)))))).
