%   ORIGINAL: Conforming.power_map_points_edge_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.properties_of_set_of_edge_fan: !x V E v u. FAN (x,V,E) ==> ({v, u} IN E <=> u IN set_of_edge v V E)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Topology.ORBITS_SUBSET_EDGE_FAN: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> set_of_orbits_points_fan x V E v u SUBSET set_of_edge v V E
% Assm: Topology.i_IN_ORBITS_FAN: !x V E v u i. power_map_points sigma_fan x V E v u i IN set_of_orbits_points_fan x V E v u
% Goal: !x V E v w n. FAN (x,V,E) /\ {v, w} IN E ==> {v, power_map_points sigma_fan x V E v w n} IN E
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x V E v u. FAN (x,V,E) ==> ({v, u} IN E <=> u IN set_of_edge v V E)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> set_of_orbits_points_fan x V E v u SUBSET set_of_edge v V E
% Assm: !x V E v u i. power_map_points sigma_fan x V E v u i IN set_of_orbits_points_fan x V E v u
% Goal: !x V E v w n. FAN (x,V,E) /\ {v, w} IN E ==> {v, power_map_points sigma_fan x V E v w n} IN E
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csubset, type, subset : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csetuu_ofuu_orbitsuu_pointsuu_fan, type, setu_ofu_orbitsu_pointsu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cpoweruu_mapuu_points, type, poweru_mapu_points : ((cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3) > cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_propertiesu_ofu_setu_ofu_edgeu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => ((in @ (insert @ V0 @ (insert @ U @ empty)) @ E) <=> (in0 @ U @ (setu_ofu_edge @ V0 @ V @ E))))).
thf(aIN, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((subset @ S @ T) <=> ![X:(cartrealn3 > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_ORBITSu_SUBSETu_EDGEu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E)) => (subset0 @ (setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U) @ (setu_ofu_edge @ V0 @ V @ E)))).
thf(aTopologyo_iu_INu_ORBITSu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,I:num]:(in0 @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I) @ (setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3,N:num]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ W @ empty)) @ E)) => (in @ (insert @ V0 @ (insert @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ W @ N) @ empty)) @ E))).
