%   ORIGINAL: Conforming.NEGLIGIBLE_AFF_GE_1_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Conforming.NEGLIGIBLE_AFF_GE_2_1: !x v u. ~collinear {x, v, u} ==> NULLSET (aff_ge {x, v} {u})
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Topology.aff_ge_inter_aff_ge: !x v w. ~collinear {x, v, w} ==> aff_ge {x} {v, w} = aff_ge {x, v} {w} INTER aff_ge {x, w} {v}
% Goal: !x v u. ~collinear {x, v, u} ==> NULLSET (aff_ge {x} {v, u})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x v u. ~collinear {x, v, u} ==> NULLSET (aff_ge {x, v} {u})
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t. NULLSET s /\ t SUBSET s ==> NULLSET t
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x v w. ~collinear {x, v, w} ==> aff_ge {x} {v, w} = aff_ge {x, v} {w} INTER aff_ge {x, w} {v}
% Goal: !x v u. ~collinear {x, v, u} ==> NULLSET (aff_ge {x} {v, u})
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinter0, type, inter0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cnegligible, type, negligible : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aConformingo_NEGLIGIBLEu_AFFu_GEu_2u_1, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => (negligible @ (affu_ge @ (insert @ X @ (insert @ V @ empty)) @ (insert @ U @ empty))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((negligible @ S) & (subset @ T @ S)) => (negligible @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_affu_geu_interu_affu_ge, axiom, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty))))) => ((affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) = (inter0 @ (affu_ge @ (insert @ X @ (insert @ V @ empty)) @ (insert @ W @ empty)) @ (affu_ge @ (insert @ X @ (insert @ W @ empty)) @ (insert @ V @ empty)))))).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => (negligible @ (affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty)))))).
