%   ORIGINAL: Conforming.NEGLIGIBLE_AFF_GT_1_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Conforming.NEGLIGIBLE_AFF_GE_1_2: !x v u. ~collinear {x, v, u} ==> NULLSET (aff_ge {x} {v, u})
% Assm: Fan.th3: !x v u. ~collinear {x, v, u} ==> ~(x = v) /\ ~(x = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v})
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Planarity.aff_gt_subset_aff_ge: !x v u. DISJOINT {x} {v, u} ==> aff_gt {x} {v, u} SUBSET aff_ge {x} {v, u}
% Assm: TRUTH: T
% Goal: !x v u. ~collinear {x, v, u} ==> NULLSET (aff_gt {x} {v, u})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x v u. ~collinear {x, v, u} ==> NULLSET (aff_ge {x} {v, u})
% Assm: !x v u. ~collinear {x, v, u} ==> ~(x = v) /\ ~(x = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v})
% Assm: !s t. NULLSET s /\ t SUBSET s ==> NULLSET t
% Assm: ~F <=> T
% Assm: !x v u. DISJOINT {x} {v, u} ==> aff_gt {x} {v, u} SUBSET aff_ge {x} {v, u}
% Assm: T
% Goal: !x v u. ~collinear {x, v, u} ==> NULLSET (aff_gt {x} {v, u})
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cnegligible, type, negligible : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aConformingo_NEGLIGIBLEu_AFFu_GEu_1u_2, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => (negligible @ (affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty)))))).
thf(aFano_th3, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => (~ ((X = V)) & ~ ((X = U)) & (disjoint @ (insert @ X @ (insert @ V @ empty)) @ (insert @ U @ empty)) & (disjoint @ (insert @ X @ (insert @ U @ empty)) @ (insert @ V @ empty)) & (disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty))) & ~ ((in @ U @ (aff @ (insert @ X @ (insert @ V @ empty)))))))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((negligible @ S) & (subset @ T @ S)) => (negligible @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPlanarityo_affu_gtu_subsetu_affu_ge, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty))) => (subset @ (affu_gt @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty))) @ (affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => (negligible @ (affu_gt @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty)))))).
