%   ORIGINAL: Conforming.RADIAL_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Vol1.aff_normball: !t x u r. r > &0 /\ t > &0 /\ t * norm u < r /\ x + u IN normball x r ==> x + t % u IN normball x r
% Assm: Vol1.radial_norm: !r x C. radial_norm r x C <=> C SUBSET normball x r /\ (!u. x + u IN C ==> (!t. t > &0 /\ t * norm u < r ==> x + t % u IN C))
% Goal: !r x. r > &0 ==> radial_norm r x ((:real^N) INTER normball x r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. x IN (:real^N)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !t x u r. r > &0 /\ t > &0 /\ t * norm u < r /\ x + u IN normball x r ==> x + t % u IN normball x r
% Assm: !r x C. radial_norm r x C <=> C SUBSET normball x r /\ (!u. x + u IN C ==> (!t. t > &0 /\ t * norm u < r ==> x + t % u IN C))
% Goal: !r x. r > &0 ==> radial_norm r x ((:real^N) INTER normball x r)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cnormball, type, normball : (cartrealn > real > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cradialuu_norm, type, radialu_norm : (real > cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in0 @ X @ univ)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVol1o_affu_normball, axiom, ![T:real,X:cartrealn,U:cartrealn,R:real]:(((realu_gt @ R @ (realu_ofu_num @ (numeral @ u_0))) & (realu_gt @ T @ (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_mul @ T @ (vectoru_norm @ U)) @ R) & (in0 @ (vectoru_add @ X @ U) @ (normball @ X @ R))) => (in0 @ (vectoru_add @ X @ (r_ @ T @ U)) @ (normball @ X @ R)))).
thf(aVol1o_radialu_norm, axiom, ![R:real,X:cartrealn,C:(cartrealn > $o)]:((radialu_norm @ R @ X @ C) <=> ((subset0 @ C @ (normball @ X @ R)) & ![U:cartrealn]:((in0 @ (vectoru_add @ X @ U) @ C) => ![T:real]:(((realu_gt @ T @ (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_mul @ T @ (vectoru_norm @ U)) @ R)) => (in0 @ (vectoru_add @ X @ (r_ @ T @ U)) @ C)))))).
thf(conjecture, conjecture, ![R:real,X:cartrealn]:((realu_gt @ R @ (realu_ofu_num @ (numeral @ u_0))) => (radialu_norm @ R @ X @ (inter @ univ @ (normball @ X @ R))))).
