%   ORIGINAL: Conforming.RADIAL_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Conforming.RADIAL_UNIV: !r x. r > &0 ==> radial_norm r x ((:real^N) INTER normball x r)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FORALL_IN_CLAUSES_conjunct0: !P. (!x. x IN {} ==> P x) <=> T
% Assm: FORALL_IN_CLAUSES_conjunct1: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: INTERS_INSERT: INTERS (s INSERT u) = s INTER INTERS u
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Vol1.inter_radial: !r v0 C C'. radial_norm r v0 C /\ radial_norm r v0 C' ==> radial_norm r v0 (C INTER C')
% Goal: !r v0 f. FINITE f /\ (!s. s IN f ==> radial_norm r v0 (s INTER normball v0 r)) /\ r > &0 ==> radial_norm r v0 (INTERS f INTER normball v0 r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !r x. r > &0 ==> radial_norm r x ((:real^N) INTER normball x r)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !P. (!x. x IN {} ==> P x) <=> T
% Assm: !P a s. (!x. x IN a INSERT s ==> P x) <=> P a /\ (!x. x IN s ==> P x)
% Assm: !P x. x IN P <=> P x
% Assm: INTERS {} = (:real^N)
% Assm: !s u. INTERS (s INSERT u) = s INTER INTERS u
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !r v0 C C'. radial_norm r v0 C /\ radial_norm r v0 C' ==> radial_norm r v0 (C INTER C')
% Goal: !r v0 f. FINITE f /\ (!s. s IN f ==> radial_norm r v0 (s INTER normball v0 r)) /\ r > &0 ==> radial_norm r v0 (INTERS f INTER normball v0 r)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (((cartrealn > $o) > $o) > (((cartrealn > $o) > $o) > $o) > $o)).
thf(cinters0, type, inters0 : ((((cartrealn > $o) > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinters, type, inters : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cinter0, type, inter0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : ((cartrealn > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnormball, type, normball : (cartrealn > real > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cradialuu_norm, type, radialu_norm : (real > cartrealn > (cartrealn > $o) > $o)).
thf(cempty, type, empty : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aConformingo_RADIALu_UNIV, axiom, ![R:real,X:cartrealn]:((realu_gt @ R @ (realu_ofu_num @ (numeral @ u_0))) => (radialu_norm @ R @ X @ (inter @ univ @ (normball @ X @ R))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((S = T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealn > $o) > $o) > $o)]:(((P @ empty) & ![X:(cartrealn > $o),S:((cartrealn > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealn > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aFORALLu_INu_CLAUSESu_conjunct0, axiom, ![P:((cartrealn > $o) > $o)]:(![X:(cartrealn > $o)]:((in @ X @ empty) => (P @ X)) <=> $true)).
thf(aFORALLu_INu_CLAUSESu_conjunct1, axiom, ![P:((cartrealn > $o) > $o),A:(cartrealn > $o),S:((cartrealn > $o) > $o)]:(![X:(cartrealn > $o)]:((in @ X @ (insert @ A @ S)) => (P @ X)) <=> ((P @ A) & ![X:(cartrealn > $o)]:((in @ X @ S) => (P @ X))))).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINTERSu_0, axiom, ((inters @ empty) = univ)).
thf(aINTERSu_INSERT, axiom, ![S:(cartrealn > $o),U:((cartrealn > $o) > $o)]:((inters @ (insert @ S @ U)) = (inter @ S @ (inters @ U)))).
thf(aINu_INTER, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_INTERS, axiom, ![S:(((cartrealn > $o) > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (inters0 @ S)) <=> ![T:((cartrealn > $o) > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVol1o_interu_radial, axiom, ![R:real,V0:cartrealn,C:(cartrealn > $o),CI_:(cartrealn > $o)]:(((radialu_norm @ R @ V0 @ C) & (radialu_norm @ R @ V0 @ CI_)) => (radialu_norm @ R @ V0 @ (inter @ C @ CI_)))).
thf(conjecture, conjecture, ![R:real,V0:cartrealn,F:((cartrealn > $o) > $o)]:(((finite @ F) & ![S:(cartrealn > $o)]:((in @ S @ F) => (radialu_norm @ R @ V0 @ (inter @ S @ (normball @ V0 @ R)))) & (realu_gt @ R @ (realu_ofu_num @ (numeral @ u_0)))) => (radialu_norm @ R @ V0 @ (inter @ (inters @ F) @ (normball @ V0 @ R))))).
