%   ORIGINAL: Conforming.BOUNDED_INTER_BALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_BALL: !x e. bounded (ball (x,e))
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Planarity.ball_eq_normball: !x r. ball (x,r) = normball x r
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !x V E. FAN (x,V,E) /\ conforming_fan (x,V,E) ==> (!f. f IN topological_component_yfan (x,V,E) ==> bounded (f INTER normball x r))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. bounded (ball (x,e))
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x r. ball (x,r) = normball x r
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !r x V E. FAN (x,V,E) /\ conforming_fan (x,V,E) ==> (!f. f IN topological_component_yfan (x,V,E) ==> bounded (f INTER normball x r))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(csubset0, type, subset0 : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(ctopologicaluu_componentuu_yfan, type, topologicalu_componentu_yfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cinter0, type, inter0 : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealn3 > real > prodcartrealn3real)).
thf(cnormball, type, normball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cconforminguu_fan, type, conformingu_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_BALL, axiom, ![X:cartrealn3,E:real]:(bounded @ (ball @ (c_1 @ X @ E)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aIN, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPlanarityo_ballu_equ_normball, axiom, ![X:cartrealn3,R:real]:((ball @ (c_1 @ X @ R)) = (normball @ X @ R))).
thf(aSUBSET, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((subset0 @ S @ T) <=> ![X:(cartrealn3 > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:real,X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (conformingu_fan @ (c_ @ X @ (c_0 @ V @ E)))) => ![F:(cartrealn3 > $o)]:((in @ F @ (topologicalu_componentu_yfan @ (c_ @ X @ (c_0 @ V @ E)))) => (bounded @ (inter @ F @ (normball @ X @ R)))))).
