%   ORIGINAL: Conforming.expand_unions
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !v w. UNIONS {{v, w}} = {v, w}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !v w. UNIONS {{v, w}} = {v, w}
%  TYPES
thf(ta, type, a : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(cinsert, type, insert : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cempty0, type, empty0 : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:(a > $o),Y:(a > $o),S:((a > $o) > $o)]:((in1 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in1 @ X @ S)))).
thf(aINu_SING, axiom, ![X:(a > $o),Y:(a > $o)]:((in1 @ X @ (insert @ Y @ empty0)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTYu_monomorphized1, axiom, ![X:(a > $o)]:~ ((in1 @ X @ empty0))).
thf(aNOTu_INu_EMPTYu_monomorphized0, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aUNIONS, axiom, ![S:((a > $o) > $o)]:((unions @ S) = (gspec0 @ ^[GENR_PVARR_1:a]:?[X:a]:(setspec0 @ GENR_PVARR_1 @ ?[U:(a > $o)]:((in1 @ U @ S) & (in @ X @ U)) @ X)))).
thf(conjecture, conjecture, ![V:a,W:a]:((unions @ (insert @ (insert0 @ V @ (insert0 @ W @ empty)) @ empty0)) = (insert0 @ V @ (insert0 @ W @ empty)))).
