%   ORIGINAL: Conforming.not_in_set_of_edge
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.set_of_edge: !v E V. set_of_edge v V E = {w | {v, w} IN E /\ w IN V}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !v w V E. ~({w, v} IN E) ==> ~(w IN set_of_edge v V E)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !v E V. set_of_edge v V E = {w | {v, w} IN E /\ w IN V}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !v w V E. ~({w, v} IN E) ==> ~(w IN set_of_edge v V E)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq1400143, type, q1400143 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((q1400143 > $o) > $o) > (q1400143 > $o) > $o)).
thf(cgspec, type, gspec : ((q1400143 > $o) > q1400143 > $o)).
thf(cin0, type, in0 : (q1400143 > (q1400143 > $o) > $o)).
thf(cin, type, in : ((q1400143 > $o) > ((q1400143 > $o) > $o) > $o)).
thf(cempty, type, empty : (q1400143 > $o)).
thf(csetspec0, type, setspec0 : ((q1400143 > $o) > $o > (q1400143 > $o) > $o)).
thf(csetspec, type, setspec : (q1400143 > $o > q1400143 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (q1400143 > (q1400143 > $o) > ((q1400143 > $o) > $o) > q1400143 > $o)).
thf(cinsert, type, insert : (q1400143 > (q1400143 > $o) > q1400143 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSIONu_monomorphized1, axiom, ![S:((q1400143 > $o) > $o),T:((q1400143 > $o) > $o)]:((S = T) <=> ![X:(q1400143 > $o)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aEXTENSIONu_monomorphized0, axiom, ![S:(q1400143 > $o),T:(q1400143 > $o)]:((S = T) <=> ![X:q1400143]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFano_setu_ofu_edge, axiom, ![V:q1400143,E:((q1400143 > $o) > $o),V0:(q1400143 > $o)]:((setu_ofu_edge @ V @ V0 @ E) = (gspec @ ^[GENR_PVARR_292:q1400143]:?[W:q1400143]:(setspec @ GENR_PVARR_292 @ ((in @ (insert @ V @ (insert @ W @ empty)) @ E) & (in0 @ W @ V0)) @ W)))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:((q1400143 > $o) > $o),X:(q1400143 > $o)]:((in @ X @ (gspec0 @ ^[V:(q1400143 > $o)]:?[Y:(q1400143 > $o)]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(q1400143 > $o),X:q1400143]:((in0 @ X @ (gspec @ ^[V:q1400143]:?[Y:q1400143]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:q1400143,Y:q1400143,S:(q1400143 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q1400143]:~ ((in0 @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:q1400143,W:q1400143,V0:(q1400143 > $o),E:((q1400143 > $o) > $o)]:(~ ((in @ (insert @ W @ (insert @ V @ empty)) @ E)) => ~ ((in0 @ W @ (setu_ofu_edge @ V @ V0 @ E))))).
