%   ORIGINAL: Polyhedron.CONVEX_RELATIVE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HALFSPACE_LT: !a b. convex {x | a dot x < b}
% Assm: CONVEX_INTER: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: CONVEX_INTERS: (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERS: !s. INTERS s = {x | !u. u IN s ==> x IN u}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: POLYHEDRON_EQ_FINITE_FACES: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f face_of s}
% Assm: POLYHEDRON_INTER_AFFINE_MINIMAL: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f'))
% Assm: RELATIVE_INTERIOR_POLYHEDRON_EXPLICIT: !s f a b. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> ~(a h = vec 0) /\ h = {x | a h dot x <= b h}) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f') ==> relative_interior s = {x | x IN s /\ (!h. h IN f ==> a h dot x < b h)}
% Assm: TRUTH: T
% Goal: !p. polyhedron p ==> convex (relative_interior p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. convex {x | a dot x < b}
% Assm: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: !f. (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s. INTERS s = {x | !u. u IN s ==> x IN u}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f face_of s}
% Assm: !s. polyhedron s <=> (?f. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> (?a b. ~(a = vec 0) /\ h = {x | a dot x <= b})) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f'))
% Assm: !s f a b. FINITE f /\ s = affine hull s INTER INTERS f /\ (!h. h IN f ==> ~(a h = vec 0) /\ h = {x | a h dot x <= b h}) /\ (!f'. f' PSUBSET f ==> s PSUBSET affine hull s INTER INTERS f') ==> relative_interior s = {x | x IN s /\ (!h. h IN f ==> a h dot x < b h)}
% Assm: T
% Goal: !p. polyhedron p ==> convex (relative_interior p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq43820, type, q43820 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin4, type, in4 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cpsubset0, type, psubset0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cpsubset, type, psubset : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec3, type, gspec3 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec2, type, gspec2 : ((q43851 > $o) > q43851 > $o)).
thf(cin3, type, in3 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec1, type, gspec1 : ((q43820 > $o) > q43820 > $o)).
thf(cin2, type, in2 : (q43820 > (q43820 > $o) > $o)).
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cinters0, type, inters0 : (((a > $o) > $o) > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cinters, type, inters : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec3, type, setspec3 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec2, type, setspec2 : (q43851 > $o > q43851 > $o)).
thf(csetspec1, type, setspec1 : (q43820 > $o > q43820 > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn3 > $o) > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn3 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HALFSPACEu_LT, axiom, ![A:cartrealn3,B:real]:(convex @ (gspec @ ^[GENR_PVARR_827:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_827 @ (realu_lt @ (dot @ A @ X) @ B) @ X)))).
thf(aCONVEXu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((convex @ S) & (convex @ T)) => (convex @ (inter @ S @ T)))).
thf(aCONVEXu_INTERS, axiom, ![F:((cartrealn3 > $o) > $o)]:(![S:(cartrealn3 > $o)]:((in @ S @ F) => (convex @ S)) => (convex @ (inters @ F)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTERS, axiom, ![S:((a > $o) > $o)]:((inters0 @ S) = (gspec0 @ ^[GENR_PVARR_3:a]:?[X:a]:(setspec0 @ GENR_PVARR_3 @ ![U:(a > $o)]:((in1 @ U @ S) => (in0 @ X @ U)) @ X)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in2 @ X @ (gspec1 @ ^[V:q43820]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in3 @ X @ (gspec2 @ ^[V:q43851]:?[Y:q43851]:(setspec2 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aPOLYHEDRONu_EQu_FINITEu_FACES, axiom, ![S:(cartrealn3 > $o)]:((polyhedron @ S) <=> ((closed @ S) & (convex @ S) & (finite @ (gspec3 @ ^[GENR_PVARR_1358:(cartrealn3 > $o)]:?[F:(cartrealn3 > $o)]:(setspec3 @ GENR_PVARR_1358 @ (faceu_of @ F @ S) @ F)))))).
thf(aPOLYHEDRONu_INTERu_AFFINEu_MINIMAL, axiom, ![S:(cartrealn3 > $o)]:((polyhedron @ S) <=> ?[F:((cartrealn3 > $o) > $o)]:((finite @ F) & (S = (inter @ (hull @ affine @ S) @ (inters @ F))) & ![H:(cartrealn3 > $o)]:((in @ H @ F) => ?[A:cartrealn3,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1267:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_1267 @ (realu_le @ (dot @ A @ X) @ B) @ X))))) & ![FI_:((cartrealn3 > $o) > $o)]:((psubset @ FI_ @ F) => (psubset0 @ S @ (inter @ (hull @ affine @ S) @ (inters @ FI_))))))).
thf(aRELATIVEu_INTERIORu_POLYHEDRONu_EXPLICIT, axiom, ![S:(cartrealn3 > $o),F:((cartrealn3 > $o) > $o),A:((cartrealn3 > $o) > cartrealn3),B:((cartrealn3 > $o) > real)]:(((finite @ F) & (S = (inter @ (hull @ affine @ S) @ (inters @ F))) & ![H:(cartrealn3 > $o)]:((in @ H @ F) => (~ (((A @ H) = (vec @ (numeral @ u_0)))) & (H = (gspec @ ^[GENR_PVARR_1269:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_1269 @ (realu_le @ (dot @ (A @ H) @ X) @ (B @ H)) @ X))))) & ![FI_:((cartrealn3 > $o) > $o)]:((psubset @ FI_ @ F) => (psubset0 @ S @ (inter @ (hull @ affine @ S) @ (inters @ FI_))))) => ((relativeu_interior @ S) = (gspec @ ^[GENR_PVARR_1270:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_1270 @ ((in4 @ X @ S) & ![H:(cartrealn3 > $o)]:((in @ H @ F) => (realu_lt @ (dot @ (A @ H) @ X) @ (B @ H)))) @ X))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn3 > $o)]:((polyhedron @ P) => (convex @ (relativeu_interior @ P)))).
