%   ORIGINAL: Polyhedron.CONVEX_RELATIVE_INTERIOR_FACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FACE_OF_POLYHEDRON_POLYHEDRON: !s c. polyhedron s /\ c face_of s ==> polyhedron c
% Assm: Polyhedron.CONVEX_RELATIVE_INTERIOR: !p. polyhedron p ==> convex (relative_interior p)
% Assm: TRUTH: T
% Goal: !p f. polyhedron p /\ f face_of p ==> convex (relative_interior f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s c. polyhedron s /\ c face_of s ==> polyhedron c
% Assm: !p. polyhedron p ==> convex (relative_interior p)
% Assm: T
% Goal: !p f. polyhedron p /\ f face_of p ==> convex (relative_interior f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFACEu_OFu_POLYHEDRONu_POLYHEDRON, axiom, ![S:(cartrealn3 > $o),C:(cartrealn3 > $o)]:(((polyhedron @ S) & (faceu_of @ C @ S)) => (polyhedron @ C))).
thf(aPolyhedrono_CONVEXu_RELATIVEu_INTERIOR, axiom, ![P:(cartrealn3 > $o)]:((polyhedron @ P) => (convex @ (relativeu_interior @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn3 > $o),F:(cartrealn3 > $o)]:(((polyhedron @ P) & (faceu_of @ F @ P)) => (convex @ (relativeu_interior @ F)))).
