%   ORIGINAL: Polyhedron.CONNECTED_RELATIVE_INTERIOR_FACET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_CONNECTED: !s. convex s ==> connected s
% Assm: Polyhedron.CONVEX_RELATIVE_INTERIOR_FACET: !p f. polyhedron p /\ f facet_of p ==> convex (relative_interior f)
% Assm: TRUTH: T
% Goal: !p f. polyhedron p /\ f facet_of p ==> connected (relative_interior f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. convex s ==> connected s
% Assm: !p f. polyhedron p /\ f facet_of p ==> convex (relative_interior f)
% Assm: T
% Goal: !p f. polyhedron p /\ f facet_of p ==> connected (relative_interior f)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cfacetuu_of, type, facetu_of : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn3 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_CONNECTED, axiom, ![S:(cartrealn3 > $o)]:((convex @ S) => (connected @ S))).
thf(aPolyhedrono_CONVEXu_RELATIVEu_INTERIORu_FACET, axiom, ![P:(cartrealn3 > $o),F:(cartrealn3 > $o)]:(((polyhedron @ P) & (facetu_of @ F @ P)) => (convex @ (relativeu_interior @ F)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn3 > $o),F:(cartrealn3 > $o)]:(((polyhedron @ P) & (facetu_of @ F @ P)) => (connected @ (relativeu_interior @ F)))).
