%   ORIGINAL: Polyhedron.CONNECTED_HALF_LINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_AFF_GT: !s t. convex (aff_gt s t)
% Assm: CONVEX_CONNECTED: !s. convex s ==> connected s
% Assm: TRUTH: T
% Goal: !x v. connected (aff_gt {x} {v})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. convex (aff_gt s t)
% Assm: !s. convex s ==> connected s
% Assm: T
% Goal: !x v. connected (aff_gt {x} {v})
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cconnected, type, connected : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_AFFu_GT, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(convex @ (affu_gt @ S @ T))).
thf(aCONVEXu_CONNECTED, axiom, ![S:(cartrealn3 > $o)]:((convex @ S) => (connected @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3]:(connected @ (affu_gt @ (insert @ X @ empty) @ (insert @ V @ empty)))).
