%   ORIGINAL: Polyhedron.CONNECTED_COMPONENT_TRANS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_UNION: !s t. connected s /\ connected t /\ ~(s INTER t = {}) ==> connected (s UNION t)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: UNION_SUBSET: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: connected_component: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Goal: !s x y z. connected_component s x y /\ connected_component s y z ==> connected_component s x z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. connected s /\ connected t /\ ~(s INTER t = {}) ==> connected (s UNION t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Goal: !s x y z. connected_component s x y /\ connected_component s y z ==> connected_component s x z
%  TYPES
thf(tq45386, type, q45386 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset1, type, subset1 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset0, type, subset0 : ((q45386 > $o) > (q45386 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cunion1, type, union1 : ((q45386 > $o) > (q45386 > $o) > q45386 > $o)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((connected @ S) & (connected @ T) & ~ (((inter @ S @ T) = empty))) => (connected @ (union @ S @ T)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_SUBSET, axiom, ![S:(q45386 > $o),T:(q45386 > $o),U:(q45386 > $o)]:((subset0 @ (union1 @ S @ T) @ U) <=> ((subset0 @ S @ U) & (subset0 @ T @ U)))).
thf(aconnectedu_component, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((connectedu_component @ S @ X @ Y) <=> ?[T:(cartrealn > $o)]:((connected @ T) & (subset1 @ T @ S) & (in0 @ X @ T) & (in0 @ Y @ T)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn,Z:cartrealn]:(((connectedu_component @ S @ X @ Y) & (connectedu_component @ S @ Y @ Z)) => (connectedu_component @ S @ X @ Z))).
