%   ORIGINAL: Polyhedron.AFF_DIM_INTERIOR_EQ_3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFF_DIM_AFFINE_HULL: !s. aff_dim (affine hull s) = aff_dim s
% Assm: AFF_DIM_UNIV: aff_dim (:real^N) = &(dimindex (:N))
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: Polyhedron.INTERIOR_AFFINIE_HUL_EQ_UNIV: !x p. x IN interior p ==> affine hull p = (:real^3)
% Assm: TRUTH: T
% Goal: !x p. x IN interior p ==> aff_dim p = &3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. aff_dim (affine hull s) = aff_dim s
% Assm: aff_dim (:real^3) = &(dimindex (:3))
% Assm: dimindex (:3) = 3
% Assm: !x p. x IN interior p ==> affine hull p = (:real^3)
% Assm: T
% Goal: !x p. x IN interior p ==> aff_dim p = &3
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cinterior, type, interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cuniv0, type, univ0 : (n3 > $o)).
thf(cuniv, type, univ : (cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn3 > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFu_DIMu_AFFINEu_HULL, axiom, ![S:(cartrealn3 > $o)]:((affu_dim @ (hull @ affine @ S)) = (affu_dim @ S))).
thf(aAFFu_DIMu_UNIV, axiom, ((affu_dim @ univ) = (intu_ofu_num @ (dimindex @ univ0)))).
thf(aDIMINDEXu_3, axiom, ((dimindex @ univ0) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aPolyhedrono_INTERIORu_AFFINIEu_HULu_EQu_UNIV, axiom, ![X:cartrealn3,P:(cartrealn3 > $o)]:((in @ X @ (interior @ P)) => ((hull @ affine @ P) = univ))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,P:(cartrealn3 > $o)]:((in @ X @ (interior @ P)) => ((affu_dim @ P) = (intu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))))).
