%   ORIGINAL: Polyhedron.INTERIOR_IMP_RELATIVE_INTERIOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Polyhedron.INTERIOR_AFFINIE_HUL_EQ_UNIV: !x p. x IN interior p ==> affine hull p = (:real^3)
% Assm: RELATIVE_INTERIOR: !s. relative_interior s = {x | x IN s /\ (?t. open t /\ x IN t /\ t INTER affine hull s SUBSET s)}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: interior: !s. interior s = {x | ?t. open t /\ x IN t /\ t SUBSET s}
% Goal: !x p. x IN interior p ==> x IN relative_interior p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s. interior s SUBSET s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. x IN (:real^3)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x p. x IN interior p ==> affine hull p = (:real^3)
% Assm: !s. relative_interior s = {x | x IN s /\ (?t. open t /\ x IN t /\ t INTER affine hull s SUBSET s)}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. interior s = {x | ?t. open t /\ x IN t /\ t SUBSET s}
% Goal: !x p. x IN interior p ==> x IN relative_interior p
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinterior, type, interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(copen, type, open : ((cartrealn3 > $o) > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cuniv, type, univ : (cartrealn3 > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealn3 > $o)]:(subset @ (interior @ S) @ S)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn3]:(in @ X @ univ)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPolyhedrono_INTERIORu_AFFINIEu_HULu_EQu_UNIV, axiom, ![X:cartrealn3,P:(cartrealn3 > $o)]:((in @ X @ (interior @ P)) => ((hull @ affine @ P) = univ))).
thf(aRELATIVEu_INTERIOR, axiom, ![S:(cartrealn3 > $o)]:((relativeu_interior @ S) = (gspec @ ^[GENR_PVARR_1037:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_1037 @ ((in @ X @ S) & ?[T:(cartrealn3 > $o)]:((open @ T) & (in @ X @ T) & (subset @ (inter @ T @ (hull @ affine @ S)) @ S))) @ X)))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(ainterior, axiom, ![S:(cartrealn3 > $o)]:((interior @ S) = (gspec @ ^[GENR_PVARR_466:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_466 @ ?[T:(cartrealn3 > $o)]:((open @ T) & (in @ X @ T) & (subset @ T @ S)) @ X)))).
thf(conjecture, conjecture, ![X:cartrealn3,P:(cartrealn3 > $o)]:((in @ X @ (interior @ P)) => (in @ X @ (relativeu_interior @ P)))).
