%   ORIGINAL: Polyhedron.IN_RELATIVE_INTERIOR1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_RELATIVE_INTERIOR: !x s. x IN relative_interior s <=> x IN s /\ (?e. &0 < e /\ ball (x,e) INTER affine hull s SUBSET s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: ball: !x e. ball (x,e) = {y | dist (x,y) < e}
% Assm: open_def: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. dist (x',x) < e ==> x' IN s)))
% Goal: !x s. x IN relative_interior s ==> (?e. &0 < e /\ ball (x,e) INTER affine hull s SUBSET relative_interior s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x s. x IN relative_interior s <=> x IN s /\ (?e. &0 < e /\ ball (x,e) INTER affine hull s SUBSET s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x e. open (ball (x,e))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x e. ball (x,e) = {y | dist (x,y) < e}
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. dist (x',x) < e ==> x' IN s)))
% Goal: !x s. x IN relative_interior s ==> (?e. &0 < e /\ ball (x,e) INTER affine hull s SUBSET relative_interior s)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealq102240cartrealq102240, type, prodcartrealq102240cartrealq102240 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tq102240, type, q102240 : $tType).
thf(tcartrealq102240, type, cartrealq102240 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance0, type, distance0 : (prodcartrealncartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cdistance, type, distance : (prodcartrealq102240cartrealq102240 > real)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccu_0, type, c_0 : (cartrealq102240 > cartrealq102240 > prodcartrealq102240cartrealq102240)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_SYM, axiom, ![X:cartrealq102240,Y:cartrealq102240]:((distance @ (c_0 @ X @ Y)) = (distance @ (c_0 @ Y @ X)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_RELATIVEu_INTERIOR, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((in @ X @ (relativeu_interior @ S)) <=> ((in @ X @ S) & ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (inter @ (ball @ (c_ @ X @ E)) @ (hull @ affine @ S)) @ S))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_BALL, axiom, ![X:cartrealn,E:real]:(open @ (ball @ (c_ @ X @ E)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aball, axiom, ![X:cartrealn,E:real]:((ball @ (c_ @ X @ E)) = (gspec @ ^[GENR_PVARR_459:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_459 @ (realu_lt @ (distance0 @ (c_1 @ X @ Y)) @ E) @ Y)))).
thf(aopenu_def, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> ![X:cartrealn]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![XI_:cartrealn]:((realu_lt @ (distance0 @ (c_1 @ XI_ @ X)) @ E) => (in @ XI_ @ S)))))).
thf(conjecture, conjecture, ![X:cartrealn,S:(cartrealn > $o)]:((in @ X @ (relativeu_interior @ S)) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (inter @ (ball @ (c_ @ X @ E)) @ (hull @ affine @ S)) @ (relativeu_interior @ S))))).
