%   ORIGINAL: Polyhedron.EXISTS_EDGE_POLYTOPE1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: Polyhedron.EXISTS_EDGE_POLYTOPE: !p. bounded p /\ polyhedron p /\ vec 0 IN interior p ==> (?e. e IN edges p)
% Assm: TRUTH: T
% Goal: !p. bounded p /\ polyhedron p /\ vec 0 IN interior p ==> ~(edges p = {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !p. bounded p /\ polyhedron p /\ vec 0 IN interior p ==> (?e. e IN edges p)
% Assm: T
% Goal: !p. bounded p /\ polyhedron p /\ vec 0 IN interior p ==> ~(edges p = {})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cedges, type, edges : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn3 > $o)).
thf(cempty, type, empty : ((cartrealn3 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (cartrealn3 > $o) > $o),G:(a > (cartrealn3 > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:((cartrealn3 > $o) > $o)]:(^[X:(cartrealn3 > $o)]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((S = T) <=> ![X:(cartrealn3 > $o)]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty0))).
thf(aPolyhedrono_EXISTSu_EDGEu_POLYTOPE, axiom, ![P:(cartrealn3 > $o)]:(((bounded @ P) & (polyhedron @ P) & (in @ (vec @ (numeral @ u_0)) @ (interior @ P))) => ?[E:(cartrealn3 > $o)]:(in0 @ E @ (edges @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn3 > $o)]:(((bounded @ P) & (polyhedron @ P) & (in @ (vec @ (numeral @ u_0)) @ (interior @ P))) => ~ (((edges @ P) = empty)))).
