%   ORIGINAL: Polyhedron.FCHANGED_EQ_YFAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Polyhedron.FCHANGED_SUBSET_YFAN: !x p. bounded p /\ polyhedron p /\ vec 0 IN interior p /\ x IN UNIONS {fchanged f | f facet_of p} ==> x IN yfan (vec 0,vertices p,edges p)
% Assm: Polyhedron.YFAN_SUBSET_UNIONS_FCHANGED: !y p. bounded p /\ polyhedron p /\ vec 0 IN interior p /\ y IN yfan (vec 0,vertices p,edges p) ==> y IN UNIONS {fchanged f | f facet_of p}
% Assm: TRUTH: T
% Goal: !p. bounded p /\ polyhedron p /\ vec 0 IN interior p ==> UNIONS {fchanged f | f facet_of p} = yfan (vec 0,vertices p,edges p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x p. bounded p /\ polyhedron p /\ vec 0 IN interior p /\ x IN UNIONS {fchanged f | f facet_of p} ==> x IN yfan (vec 0,vertices p,edges p)
% Assm: !y p. bounded p /\ polyhedron p /\ vec 0 IN interior p /\ y IN yfan (vec 0,vertices p,edges p) ==> y IN UNIONS {fchanged f | f facet_of p}
% Assm: T
% Goal: !p. bounded p /\ polyhedron p /\ vec 0 IN interior p ==> UNIONS {fchanged f | f facet_of p} = yfan (vec 0,vertices p,edges p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cedges, type, edges : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cvertices, type, vertices : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cyfan, type, yfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > $o)).
thf(cfchanged, type, fchanged : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cfacetuu_of, type, facetu_of : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cinterior, type, interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aPolyhedrono_FCHANGEDu_SUBSETu_YFAN, axiom, ![X:cartrealn3,P:(cartrealn3 > $o)]:(((bounded @ P) & (polyhedron @ P) & (in @ (vec @ (numeral @ u_0)) @ (interior @ P)) & (in @ X @ (unions @ (gspec @ ^[GENR_PVARR_634:(cartrealn3 > $o)]:?[F:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_634 @ (facetu_of @ F @ P) @ (fchanged @ F)))))) => (in @ X @ (yfan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ (vertices @ P) @ (edges @ P))))))).
thf(aPolyhedrono_YFANu_SUBSETu_UNIONSu_FCHANGED, axiom, ![Y:cartrealn3,P:(cartrealn3 > $o)]:(((bounded @ P) & (polyhedron @ P) & (in @ (vec @ (numeral @ u_0)) @ (interior @ P)) & (in @ Y @ (yfan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ (vertices @ P) @ (edges @ P)))))) => (in @ Y @ (unions @ (gspec @ ^[GENR_PVARR_631:(cartrealn3 > $o)]:?[F:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_631 @ (facetu_of @ F @ P) @ (fchanged @ F))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn3 > $o)]:(((bounded @ P) & (polyhedron @ P) & (in @ (vec @ (numeral @ u_0)) @ (interior @ P))) => ((unions @ (gspec @ ^[GENR_PVARR_635:(cartrealn3 > $o)]:?[F:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_635 @ (facetu_of @ F @ P) @ (fchanged @ F)))) = (yfan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ (vertices @ P) @ (edges @ P))))))).
