%   ORIGINAL: SUBSET_SEGMENT_conjunct2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_SEGMENT: !a b. closed (segment [a,b])
% Assm: CLOSURE_MINIMAL_EQ: !s t. closed t ==> (closure s SUBSET t <=> s SUBSET t)
% Assm: CLOSURE_SEGMENT_conjunct1: !a b. closure (segment (a,b)) = (if a = b then {} else segment [a,b])
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: SUBSET_SEGMENT_OPEN_CLOSED: !a b c d. segment (a,b) SUBSET segment (c,d) <=> a = b \/ segment [a,b] SUBSET segment [c,d]
% Assm: SUBSET_SEGMENT_conjunct0: !a b c d. segment [a,b] SUBSET segment [c,d] <=> a IN segment [c,d] /\ b IN segment [c,d]
% Assm: SUBSET_SEGMENT_conjunct1: !a b c d. segment [a,b] SUBSET segment (c,d) <=> a IN segment (c,d) /\ b IN segment (c,d)
% Assm: TRUTH: T
% Goal: !a b c d. segment (a,b) SUBSET segment [c,d] <=> a = b \/ a IN segment [c,d] /\ b IN segment [c,d]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. closed (segment [a,b])
% Assm: !s t. closed t ==> (closure s SUBSET t <=> s SUBSET t)
% Assm: !a b. closure (segment (a,b)) = (if a = b then {} else segment [a,b])
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s. {} SUBSET s
% Assm: !a b c d. segment (a,b) SUBSET segment (c,d) <=> a = b \/ segment [a,b] SUBSET segment [c,d]
% Assm: !a b c d. segment [a,b] SUBSET segment [c,d] <=> a IN segment [c,d] /\ b IN segment [c,d]
% Assm: !a b c d. segment [a,b] SUBSET segment (c,d) <=> a IN segment (c,d) /\ b IN segment (c,d)
% Assm: T
% Goal: !a b c d. segment (a,b) SUBSET segment [c,d] <=> a = b \/ a IN segment [c,d] /\ b IN segment [c,d]
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_SEGMENT, axiom, ![A:cartrealn,B:cartrealn]:(closed @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aCLOSUREu_MINIMALu_EQ, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((closed @ T) => ((subset @ (closure @ S) @ T) <=> (subset @ S @ T)))).
thf(aCLOSUREu_SEGMENTu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:((closure @ (openu_segment @ (c_ @ A @ B))) = (cond @ (A = B) @ empty @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aSUBSETu_SEGMENTu_OPENu_CLOSED, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:((subset @ (openu_segment @ (c_ @ A @ B)) @ (openu_segment @ (c_ @ C @ D))) <=> ((A = B) | (subset @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (closedu_segment @ (cons @ (c_ @ C @ D) @ nil)))))).
thf(aSUBSETu_SEGMENTu_conjunct0, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:((subset @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (closedu_segment @ (cons @ (c_ @ C @ D) @ nil))) <=> ((in @ A @ (closedu_segment @ (cons @ (c_ @ C @ D) @ nil))) & (in @ B @ (closedu_segment @ (cons @ (c_ @ C @ D) @ nil)))))).
thf(aSUBSETu_SEGMENTu_conjunct1, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:((subset @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) @ (openu_segment @ (c_ @ C @ D))) <=> ((in @ A @ (openu_segment @ (c_ @ C @ D))) & (in @ B @ (openu_segment @ (c_ @ C @ D)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:((subset @ (openu_segment @ (c_ @ A @ B)) @ (closedu_segment @ (cons @ (c_ @ C @ D) @ nil))) <=> ((A = B) | ((in @ A @ (closedu_segment @ (cons @ (c_ @ C @ D) @ nil))) & (in @ B @ (closedu_segment @ (cons @ (c_ @ C @ D) @ nil))))))).
