%   ORIGINAL: Pack1.DRUQUFE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEASURABLE_OPEN: !s. bounded s /\ open s ==> measurable s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack1.bound_voronoi: !v S. saturated S ==> bounded (voronoi_open S v)
% Assm: Pack1.convex_voronoi: !v S. convex (voronoi_open S v)
% Assm: Pack1.open_voronoi: !v S. packing S /\ saturated S ==> open (voronoi_open S v)
% Assm: TRUTH: T
% Goal: !v S. packing S /\ saturated S ==> convex (voronoi_open S v) /\ bounded (voronoi_open S v) /\ open (voronoi_open S v) /\ measurable (voronoi_open S v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. bounded s /\ open s ==> measurable s
% Assm: ~F <=> T
% Assm: !v S. saturated S ==> bounded (voronoi_open S v)
% Assm: !v S. convex (voronoi_open S v)
% Assm: !v S. packing S /\ saturated S ==> open (voronoi_open S v)
% Assm: T
% Goal: !v S. packing S /\ saturated S ==> convex (voronoi_open S v) /\ bounded (voronoi_open S v) /\ open (voronoi_open S v) /\ measurable (voronoi_open S v)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvoronoiuu_open, type, voronoiu_open : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(copen, type, open : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aMEASURABLEu_OPEN, axiom, ![S:(cartrealn3 > $o)]:(((bounded @ S) & (open @ S)) => (measurable @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack1o_boundu_voronoi, axiom, ![V:cartrealn3,S:(cartrealn3 > $o)]:((saturated @ S) => (bounded @ (voronoiu_open @ S @ V)))).
thf(aPack1o_convexu_voronoi, axiom, ![V:cartrealn3,S:(cartrealn3 > $o)]:(convex @ (voronoiu_open @ S @ V))).
thf(aPack1o_openu_voronoi, axiom, ![V:cartrealn3,S:(cartrealn3 > $o)]:(((packing @ S) & (saturated @ S)) => (open @ (voronoiu_open @ S @ V)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,S:(cartrealn3 > $o)]:(((packing @ S) & (saturated @ S)) => ((convex @ (voronoiu_open @ S @ V)) & (bounded @ (voronoiu_open @ S @ V)) & (open @ (voronoiu_open @ S @ V)) & (measurable @ (voronoiu_open @ S @ V))))).
