%   ORIGINAL: Pack1.surj_map_to_ball
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: Pack1.map_to_ball: !x. map_to_ball x = ball (x,&1)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM_EQ: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: TRUTH: T
% Goal: !S. IMAGE map_to_ball S = {ball (x,&1) | x IN S}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. map_to_ball x = ball (x,&1)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: T
% Goal: !S. IMAGE map_to_ball S = {ball (x,&1) | x IN S}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cmapuu_touu_ball, type, mapu_tou_ball : (cartrealn3 > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3 > $o) > (cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (cartrealn3 > $o) > $o),G:(a > (cartrealn3 > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGE, axiom, ![S:(cartrealn3 > $o),F:(cartrealn3 > cartrealn3 > $o)]:((image @ F @ S) = (gspec @ ^[GENR_PVARR_7:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_7 @ ?[X:cartrealn3]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (gspec0 @ ^[V:cartrealn3]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec0 @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aPack1o_mapu_tou_ball, axiom, ![X:cartrealn3]:((mapu_tou_ball @ X) = (ball @ (c_ @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYMu_EQ, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ S)) <=> (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o)]:((image @ mapu_tou_ball @ S) = (gspec @ ^[GENR_PVARR_775:(cartrealn3 > $o)]:?[X:cartrealn3]:(setspec @ GENR_PVARR_775 @ (in @ X @ S) @ (ball @ (c_ @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))))).
