%   ORIGINAL: Pack1.unions_voronoi_subset_ball
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack1.all_voronoi_subset_ball: !v S p r. packing S /\ saturated S /\ v IN ball (p,r + &1) ==> voronoi_open S v SUBSET ball (p,r + &3)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !S p r. packing S /\ saturated S ==> UNIONS {voronoi_open S v | v IN ball (p,r + &1)} SUBSET ball (p,r + &3)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !v S p r. packing S /\ saturated S /\ v IN ball (p,r + &1) ==> voronoi_open S v SUBSET ball (p,r + &3)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !S p r. packing S /\ saturated S ==> UNIONS {voronoi_open S v | v IN ball (p,r + &1)} SUBSET ball (p,r + &3)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cvoronoiuu_open, type, voronoiu_open : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (gspec0 @ ^[V:cartrealn3]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec0 @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack1o_allu_voronoiu_subsetu_ball, axiom, ![V:cartrealn3,S:(cartrealn3 > $o),P:cartrealn3,R:real]:(((packing @ S) & (saturated @ S) & (in @ V @ (ball @ (c_ @ P @ (realu_add @ R @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))))) => (subset @ (voronoiu_open @ S @ V) @ (ball @ (c_ @ P @ (realu_add @ R @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0)))))))))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONS, axiom, ![S:((cartrealn3 > $o) > $o)]:((unions @ S) = (gspec0 @ ^[GENR_PVARR_1:cartrealn3]:?[X:cartrealn3]:(setspec0 @ GENR_PVARR_1 @ ?[U:(cartrealn3 > $o)]:((in0 @ U @ S) & (in @ X @ U)) @ X)))).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o),P:cartrealn3,R:real]:(((packing @ S) & (saturated @ S)) => (subset @ (unions @ (gspec @ ^[GENR_PVARR_792:(cartrealn3 > $o)]:?[V:cartrealn3]:(setspec @ GENR_PVARR_792 @ (in @ V @ (ball @ (c_ @ P @ (realu_add @ R @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))) @ (voronoiu_open @ S @ V)))) @ (ball @ (c_ @ P @ (realu_add @ R @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0)))))))))).
