%   ORIGINAL: Pack1.surj_map_to_voronoi
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_CROSS: !x y s t. x,y IN s CROSS t <=> x IN s /\ y IN t
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: PAIR_SURJECTIVE: !p. ?x y. p = x,y
% Assm: Pack1.map_to_voronoi: !S x. map_to_voronoi (x,S) = voronoi_open S x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM_EQ: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: TRUTH: T
% Goal: !M S. IMAGE map_to_voronoi (M CROSS {S}) = {voronoi_open S v | v IN M}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !x y s t. x,y IN s CROSS t <=> x IN s /\ y IN t
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y. x IN {y} <=> x = y
% Assm: !p. ?x y. p = x,y
% Assm: !S x. map_to_voronoi (x,S) = voronoi_open S x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: T
% Goal: !M S. IMAGE map_to_voronoi (M CROSS {S}) = {voronoi_open S v | v IN M}
%  TYPES
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3funcartrealn3bool, type, prodcartrealn3funcartrealn3bool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
%  CONSTS
thf(csubset0, type, subset0 : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin1, type, in1 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cin0, type, in0 : (prodcartrealn3funcartrealn3bool > (prodcartrealn3funcartrealn3bool > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cmapuu_touu_voronoi, type, mapu_tou_voronoi : (prodcartrealn3funcartrealn3bool > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : (a > b > prodab)).
thf(cinsert0, type, insert0 : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > (cartrealn3 > $o) > prodcartrealn3funcartrealn3bool)).
thf(cvoronoiuu_open, type, voronoiu_open : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(ccross, type, cross : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3funcartrealn3bool > $o)).
thf(cimage, type, image : ((prodcartrealn3funcartrealn3bool > cartrealn3 > $o) > (prodcartrealn3funcartrealn3bool > $o) > (cartrealn3 > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn3 > $o)).
thf(cempty, type, empty : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (cartrealn3 > $o) > $o),G:(a > (cartrealn3 > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIMAGE, axiom, ![S:(prodcartrealn3funcartrealn3bool > $o),F:(prodcartrealn3funcartrealn3bool > cartrealn3 > $o)]:((image @ F @ S) = (gspec @ ^[GENR_PVARR_7:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_7 @ ?[X:prodcartrealn3funcartrealn3bool]:((in0 @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_CROSS, axiom, ![X:cartrealn3,Y:(cartrealn3 > $o),S:(cartrealn3 > $o),T:((cartrealn3 > $o) > $o)]:((in0 @ (c_ @ X @ Y) @ (cross @ S @ T)) <=> ((in @ X @ S) & (in1 @ Y @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (gspec0 @ ^[V:cartrealn3]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec0 @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_SING, axiom, ![X:cartrealn3,Y:cartrealn3]:((in @ X @ (insert0 @ Y @ empty0)) <=> (X = Y))).
thf(aPAIRu_SURJECTIVE, axiom, ![P:prodab]:?[X:a,Y:b]:(P = (c_0 @ X @ Y))).
thf(aPack1o_mapu_tou_voronoi, axiom, ![S:(cartrealn3 > $o),X:cartrealn3]:((mapu_tou_voronoi @ (c_ @ X @ S)) = (voronoiu_open @ S @ X))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYMu_EQ, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ S)) <=> (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:(cartrealn3 > $o),S:(cartrealn3 > $o)]:((image @ mapu_tou_voronoi @ (cross @ M @ (insert @ S @ empty))) = (gspec @ ^[GENR_PVARR_794:(cartrealn3 > $o)]:?[V:cartrealn3]:(setspec @ GENR_PVARR_794 @ (in @ V @ M) @ (voronoiu_open @ S @ V))))).
