%   ORIGINAL: Pack2.BASE_IN_VORONOI_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_POS_LE: !x y. &0 <= dist (x,y)
% Assm: DIST_REFL: !x. dist (x,x) = &0
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: Sphere.voronoi_closed: !S v. voronoi_closed S v = {x | !w. S w ==> dist (x,v) <= dist (x,w)}
% Assm: TRUTH: T
% Goal: !s v. v IN voronoi_closed s v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. &0 <= dist (x,y)
% Assm: !x. dist (x,x) = &0
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !S v. voronoi_closed S v = {x | !w. S w ==> dist (x,v) <= dist (x,w)}
% Assm: T
% Goal: !s v. v IN voronoi_closed s v
%  TYPES
thf(tcartrealq102218, type, cartrealq102218 : $tType).
thf(tq102218, type, q102218 : $tType).
thf(tq1560307, type, q1560307 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq1560307, type, cartrealq1560307 : $tType).
thf(tprodcartrealq102270cartrealq102270, type, prodcartrealq102270cartrealq102270 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq102270, type, cartrealq102270 : $tType).
thf(tq102270, type, q102270 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq102218cartrealq102218, type, prodcartrealq102218cartrealq102218 : $tType).
thf(tprodcartrealq1560307cartrealq1560307, type, prodcartrealq1560307cartrealq1560307 : $tType).
%  CONSTS
thf(cdistance1, type, distance1 : (prodcartrealq1560307cartrealq1560307 > real)).
thf(cgspec, type, gspec : ((cartrealq1560307 > $o) > cartrealq1560307 > $o)).
thf(cdistance0, type, distance0 : (prodcartrealq102218cartrealq102218 > real)).
thf(cdistance, type, distance : (prodcartrealq102270cartrealq102270 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq1560307 > (cartrealq1560307 > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealq1560307 > cartrealq1560307 > prodcartrealq1560307cartrealq1560307)).
thf(csetspec, type, setspec : (cartrealq1560307 > $o > cartrealq1560307 > $o)).
thf(ccu_0, type, c_0 : (cartrealq102218 > cartrealq102218 > prodcartrealq102218cartrealq102218)).
thf(ccu_, type, c_ : (cartrealq102270 > cartrealq102270 > prodcartrealq102270cartrealq102270)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealq1560307 > $o) > cartrealq1560307 > cartrealq1560307 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_POSu_LE, axiom, ![X:cartrealq102270,Y:cartrealq102270]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (distance @ (c_ @ X @ Y)))).
thf(aDISTu_REFL, axiom, ![X:cartrealq102218]:((distance0 @ (c_0 @ X @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq1560307 > $o),X:cartrealq1560307]:((in @ X @ (gspec @ ^[V:cartrealq1560307]:?[Y:cartrealq1560307]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aSphereo_voronoiu_closed, axiom, ![S:(cartrealq1560307 > $o),V:cartrealq1560307]:((voronoiu_closed @ S @ V) = (gspec @ ^[GENR_PVARR_1:cartrealq1560307]:?[X:cartrealq1560307]:(setspec @ GENR_PVARR_1 @ ![W:cartrealq1560307]:((S @ W) => (realu_le @ (distance1 @ (c_1 @ X @ V)) @ (distance1 @ (c_1 @ X @ W)))) @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq1560307 > $o),V:cartrealq1560307]:(in @ V @ (voronoiu_closed @ S @ V))).
