%   ORIGINAL: Pack2.VORONOI_CLOSED_PARTITION_STRONG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSEST_POINT_EXISTS: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s /\ (!y. y IN s ==> dist (a,closest_point s a) <= dist (a,y))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack2.VORONOI_CLOSED: !s v. voronoi_closed s v = {x | !w. w IN s ==> dist (x,v) <= dist (x,w)}
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Assm: UNIONS_IMAGE: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
% Goal: !s. closed s /\ ~(s = {}) ==> UNIONS {voronoi_closed s v | v | v IN s} = (:real^3)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s a. closed s /\ ~(s = {}) ==> closest_point s a IN s /\ (!y. y IN s ==> dist (a,closest_point s a) <= dist (a,y))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:real^3)
% Assm: ~F <=> T
% Assm: !s v. voronoi_closed s v = {x | !w. w IN s ==> dist (x,v) <= dist (x,w)}
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Assm: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
% Goal: !s. closed s /\ ~(s = {}) ==> UNIONS {voronoi_closed s v | v | v IN s} = (:real^3)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3 > $o) > (cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cclosestuu_point, type, closestu_point : ((cartrealn3 > $o) > cartrealn3 > cartrealn3)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cuniv, type, univ : (cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cclosed, type, closed : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSESTu_POINTu_EXISTS, axiom, ![S:(cartrealn3 > $o),A:cartrealn3]:(((closed @ S) & ~ ((S = empty))) => ((in @ (closestu_point @ S @ A) @ S) & ![Y:cartrealn3]:((in @ Y @ S) => (realu_le @ (distance @ (c_ @ A @ (closestu_point @ S @ A))) @ (distance @ (c_ @ A @ Y))))))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec0 @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:cartrealn3]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack2o_VORONOIu_CLOSED, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((voronoiu_closed @ S @ V) = (gspec0 @ ^[GENR_PVARR_809:cartrealn3]:?[X:cartrealn3]:(setspec0 @ GENR_PVARR_809 @ ![W:cartrealn3]:((in @ W @ S) => (realu_le @ (distance @ (c_ @ X @ V)) @ (distance @ (c_ @ X @ W)))) @ X)))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(cartrealn3 > cartrealn3 > $o),S:(cartrealn3 > $o)]:((gspec @ ^[GENR_PVARR_11:(cartrealn3 > $o)]:?[X:cartrealn3]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_IMAGE, axiom, ![F:(cartrealn3 > cartrealn3 > $o),S:(cartrealn3 > $o)]:((unions @ (image @ F @ S)) = (gspec0 @ ^[GENR_PVARR_26:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ GENR_PVARR_26 @ ?[X:cartrealn3]:((in @ X @ S) & (in @ Y @ (F @ X))) @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o)]:(((closed @ S) & ~ ((S = empty))) => ((unions @ (gspec @ ^[GENR_PVARR_813:(cartrealn3 > $o)]:?[V:cartrealn3]:(setspec @ GENR_PVARR_813 @ (in @ V @ S) @ (voronoiu_closed @ S @ V)))) = univ))).
