%   ORIGINAL: Pack2.POLYTOPE_VORONOI_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYTOPE_EQ_BOUNDED_POLYHEDRON: !s. polytope s <=> polyhedron s /\ bounded s
% Assm: Pack2.BOUNDED_VORONOI_CLOSED: !s v. saturated s ==> bounded (voronoi_closed s v)
% Assm: Pack2.POLYHEDRON_VORONOI_CLOSED: !s v. packing s /\ saturated s /\ v IN s ==> polyhedron (voronoi_closed s v)
% Assm: TRUTH: T
% Goal: !s v. packing s /\ saturated s /\ v IN s ==> polytope (voronoi_closed s v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. polytope s <=> polyhedron s /\ bounded s
% Assm: !s v. saturated s ==> bounded (voronoi_closed s v)
% Assm: !s v. packing s /\ saturated s /\ v IN s ==> polyhedron (voronoi_closed s v)
% Assm: T
% Goal: !s v. packing s /\ saturated s /\ v IN s ==> polytope (voronoi_closed s v)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn3 > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealn3 > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYTOPEu_EQu_BOUNDEDu_POLYHEDRON, axiom, ![S:(cartrealn3 > $o)]:((polytope @ S) <=> ((polyhedron @ S) & (bounded @ S)))).
thf(aPack2o_BOUNDEDu_VORONOIu_CLOSED, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((saturated @ S) => (bounded @ (voronoiu_closed @ S @ V)))).
thf(aPack2o_POLYHEDRONu_VORONOIu_CLOSED, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:(((packing @ S) & (saturated @ S) & (in @ V @ S)) => (polyhedron @ (voronoiu_closed @ S @ V)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o),V:cartrealn3]:(((packing @ S) & (saturated @ S) & (in @ V @ S)) => (polytope @ (voronoiu_closed @ S @ V)))).
