%   ORIGINAL: Pack2.INTERIOR_VORONOI_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTERIOR_OPEN: !s. open s ==> interior s = s
% Assm: Pack1.open_voronoi: !v S. packing S /\ saturated S ==> open (voronoi_open S v)
% Assm: Pack2.INTERIOR_VORONOI_CLOSED_INTERIOR: !S v. interior (voronoi_closed S v) = interior (voronoi_open S v)
% Assm: TRUTH: T
% Goal: !S v. packing S /\ saturated S ==> interior (voronoi_closed S v) = voronoi_open S v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. open s ==> interior s = s
% Assm: !v S. packing S /\ saturated S ==> open (voronoi_open S v)
% Assm: !S v. interior (voronoi_closed S v) = interior (voronoi_open S v)
% Assm: T
% Goal: !S v. packing S /\ saturated S ==> interior (voronoi_closed S v) = voronoi_open S v
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cinterior, type, interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvoronoiuu_open, type, voronoiu_open : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(copen, type, open : ((cartrealn3 > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTERIORu_OPEN, axiom, ![S:(cartrealn3 > $o)]:((open @ S) => ((interior @ S) = S))).
thf(aPack1o_openu_voronoi, axiom, ![V:cartrealn3,S:(cartrealn3 > $o)]:(((packing @ S) & (saturated @ S)) => (open @ (voronoiu_open @ S @ V)))).
thf(aPack2o_INTERIORu_VORONOIu_CLOSEDu_INTERIOR, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((interior @ (voronoiu_closed @ S @ V)) = (interior @ (voronoiu_open @ S @ V)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o),V:cartrealn3]:(((packing @ S) & (saturated @ S)) => ((interior @ (voronoiu_closed @ S @ V)) = (voronoiu_open @ S @ V)))).
