%   ORIGINAL: Pack2.VORONOI_OPEN_SUBSET_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: Pack2.CLOSURE_VORONOI_OPEN: !S v. closure (voronoi_open S v) = voronoi_closed S v
% Assm: TRUTH: T
% Goal: !S v. voronoi_open S v SUBSET voronoi_closed S v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. s SUBSET closure s
% Assm: !S v. closure (voronoi_open S v) = voronoi_closed S v
% Assm: T
% Goal: !S v. voronoi_open S v SUBSET voronoi_closed S v
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cvoronoiuu_open, type, voronoiu_open : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure @ S))).
thf(aPack2o_CLOSUREu_VORONOIu_OPEN, axiom, ![S:(cartrealn > $o),V:cartrealn]:((closure @ (voronoiu_open @ S @ V)) = (voronoiu_closed @ S @ V))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),V:cartrealn]:(subset @ (voronoiu_open @ S @ V) @ (voronoiu_closed @ S @ V))).
