%   ORIGINAL: Pack2.MEASURE_VORONOI_CLOSED_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: Geomdetail.VORONOI_CONV: !s v. convex (voronoi_open s v)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: MEASURE_NEGLIGIBLE_SYMDIFF: !s t. negligible (s DIFF t UNION t DIFF s) ==> measure s = measure t
% Assm: NEGLIGIBLE_CONVEX_FRONTIER: !s. convex s ==> negligible (frontier s)
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack2.CLOSURE_VORONOI_OPEN: !S v. closure (voronoi_open S v) = voronoi_closed S v
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !s v. measure (voronoi_closed s v) = measure (voronoi_open s v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. s SUBSET closure s
% Assm: !s v. convex (voronoi_open s v)
% Assm: !P x. x IN P <=> P x
% Assm: !s. interior s SUBSET s
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s t. negligible (s DIFF t UNION t DIFF s) ==> measure s = measure t
% Assm: !s. convex s ==> negligible (frontier s)
% Assm: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: ~F <=> T
% Assm: !S v. closure (voronoi_open S v) = voronoi_closed S v
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !s v. measure (voronoi_closed s v) = measure (voronoi_open s v)
%  TYPES
thf(tq173354, type, q173354 : $tType).
thf(tcartrealq172643, type, cartrealq172643 : $tType).
thf(tcartrealq173354, type, cartrealq173354 : $tType).
thf(tq172643, type, q172643 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq172081, type, cartrealq172081 : $tType).
thf(treal, type, real : $tType).
thf(tq172081, type, q172081 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinterior0, type, interior0 : ((cartrealq173354 > $o) > cartrealq173354 > $o)).
thf(cclosure1, type, closure1 : ((cartrealq173354 > $o) > cartrealq173354 > $o)).
thf(cfrontier0, type, frontier0 : ((cartrealq173354 > $o) > cartrealq173354 > $o)).
thf(csubset2, type, subset2 : ((a > $o) > (a > $o) > $o)).
thf(cclosure0, type, closure0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset1, type, subset1 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealq172081 > $o) > cartrealq172081 > $o)).
thf(csubset0, type, subset0 : ((cartrealq172081 > $o) > (cartrealq172081 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cclosure, type, closure : ((cartrealq172643 > $o) > cartrealq172643 > $o)).
thf(csubset, type, subset : ((cartrealq172643 > $o) > (cartrealq172643 > $o) > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(cdiff1, type, diff1 : ((cartrealq173354 > $o) > (cartrealq173354 > $o) > cartrealq173354 > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion0, type, union0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cvoronoiuu_open, type, voronoiu_open : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealq172643 > $o)]:(subset @ S @ (closure @ S))).
thf(aGeomdetailo_VORONOIu_CONV, axiom, ![S:(cartrealn > $o),V:cartrealn]:(convex @ (voronoiu_open @ S @ V))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealq172081 > $o)]:(subset0 @ (interior @ S) @ S)).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aMEASUREu_NEGLIGIBLEu_SYMDIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((negligible @ (union0 @ (diff0 @ S @ T) @ (diff0 @ T @ S))) => ((measure @ S) = (measure @ T)))).
thf(aNEGLIGIBLEu_CONVEXu_FRONTIER, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (negligible @ (frontier @ S)))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((negligible @ S) & (subset1 @ T @ S)) => (negligible @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack2o_CLOSUREu_VORONOIu_OPEN, axiom, ![S:(cartrealn > $o),V:cartrealn]:((closure0 @ (voronoiu_open @ S @ V)) = (voronoiu_closed @ S @ V))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset2 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealq173354 > $o)]:((frontier0 @ S) = (diff1 @ (closure1 @ S) @ (interior0 @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),V:cartrealn]:((measure @ (voronoiu_closed @ S @ V)) = (measure @ (voronoiu_open @ S @ V)))).
