%   ORIGINAL: Pack2.voronoi_version2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack2.VORONOI_CLOSED_AS_INTERSECTION: !s v. voronoi_closed s v = INTERS (IMAGE (bis_le v) (s DELETE v))
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: TRUTH: T
% Goal: !v S. voronoi_closed S v = INTERS {bis_le x y | y IN S DELETE v /\ x = v}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: !s v. voronoi_closed s v = INTERS (IMAGE (bis_le v) (s DELETE v))
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: T
% Goal: !v S. voronoi_closed S v = INTERS {bis_le x y | y IN S DELETE v /\ x = v}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cinters, type, inters : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3 > $o) > (cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cbisuu_le, type, bisu_le : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cdelete, type, delete : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(cartrealn3 > $o),X:cartrealn3,Y:cartrealn3]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (gspec0 @ ^[V:cartrealn3]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack2o_VORONOIu_CLOSEDu_ASu_INTERSECTION, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((voronoiu_closed @ S @ V) = (inters @ (image @ (bisu_le @ V) @ (delete @ S @ V))))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(cartrealn3 > cartrealn3 > $o),S:(cartrealn3 > $o)]:((gspec @ ^[GENR_PVARR_11:(cartrealn3 > $o)]:?[X:cartrealn3]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,S:(cartrealn3 > $o)]:((voronoiu_closed @ S @ V) = (inters @ (gspec @ ^[GENR_PVARR_817:(cartrealn3 > $o)]:?[X:cartrealn3,Y:cartrealn3]:(setspec @ GENR_PVARR_817 @ ((in @ Y @ (delete @ S @ V)) & (X = V)) @ (bisu_le @ X @ Y)))))).
