%   ORIGINAL: Pack2.voronoi_in_ball
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: IN_BALL: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: Pack2.VORONOI_CLOSED_SUBSET_BALL: !s v. saturated s ==> voronoi_closed s v SUBSET ball (v,&2)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !x v S. packing S /\ saturated S /\ x IN voronoi_closed S v ==> dist (x,v) < &2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: !s v. saturated s ==> voronoi_closed s v SUBSET ball (v,&2)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !x v S. packing S /\ saturated S /\ x IN voronoi_closed S v ==> dist (x,v) < &2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealn3 > real > prodcartrealn3real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_SYM, axiom, ![X:cartrealn3,Y:cartrealn3]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aINu_BALL, axiom, ![X:cartrealn3,Y:cartrealn3,E:real]:((in @ Y @ (ball @ (c_0 @ X @ E))) <=> (realu_lt @ (distance @ (c_ @ X @ Y)) @ E))).
thf(aPack2o_VORONOIu_CLOSEDu_SUBSETu_BALL, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((saturated @ S) => (subset @ (voronoiu_closed @ S @ V) @ (ball @ (c_0 @ V @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,S:(cartrealn3 > $o)]:(((packing @ S) & (saturated @ S) & (in @ X @ (voronoiu_closed @ S @ V))) => (realu_lt @ (distance @ (c_ @ X @ V)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
