%   ORIGINAL: Pack2.DRUQUFE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack2.BOUNDED_VORONOI_CLOSED: !s v. saturated s ==> bounded (voronoi_closed s v)
% Assm: Pack2.CLOSED_VORONOI_CLOSED: !s v. closed (voronoi_closed s v)
% Assm: Pack2.CONVEX_VORONOI_CLOSED: !s v. convex (voronoi_closed s v)
% Assm: Pack2.MEASURABLE_VORONOI_CLOSED: !s v. saturated s ==> measurable (voronoi_closed s v)
% Assm: TRUTH: T
% Goal: !v S. packing S /\ saturated S ==> convex (voronoi_closed S v) /\ bounded (voronoi_closed S v) /\ closed (voronoi_closed S v) /\ measurable (voronoi_closed S v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s v. saturated s ==> bounded (voronoi_closed s v)
% Assm: !s v. closed (voronoi_closed s v)
% Assm: !s v. convex (voronoi_closed s v)
% Assm: !s v. saturated s ==> measurable (voronoi_closed s v)
% Assm: T
% Goal: !v S. packing S /\ saturated S ==> convex (voronoi_closed S v) /\ bounded (voronoi_closed S v) /\ closed (voronoi_closed S v) /\ measurable (voronoi_closed S v)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack2o_BOUNDEDu_VORONOIu_CLOSED, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((saturated @ S) => (bounded @ (voronoiu_closed @ S @ V)))).
thf(aPack2o_CLOSEDu_VORONOIu_CLOSED, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:(closed @ (voronoiu_closed @ S @ V))).
thf(aPack2o_CONVEXu_VORONOIu_CLOSED, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:(convex @ (voronoiu_closed @ S @ V))).
thf(aPack2o_MEASURABLEu_VORONOIu_CLOSED, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((saturated @ S) => (measurable @ (voronoiu_closed @ S @ V)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,S:(cartrealn3 > $o)]:(((packing @ S) & (saturated @ S)) => ((convex @ (voronoiu_closed @ S @ V)) & (bounded @ (voronoiu_closed @ S @ V)) & (closed @ (voronoiu_closed @ S @ V)) & (measurable @ (voronoiu_closed @ S @ V))))).
