%   ORIGINAL: Pack2.finite_set_voronoi_center_in_ball
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack2.KIUMVTC: !p r S. packing S ==> FINITE (S INTER ball (p,r))
% Assm: TRUTH: T
% Goal: !S p r. &0 <= r /\ packing S ==> FINITE {voronoi_closed w v | v IN S INTER ball (p,r + &1) /\ w = S}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: !p r S. packing S ==> FINITE (S INTER ball (p,r))
% Assm: T
% Goal: !S p r. &0 <= r /\ packing S ==> FINITE {voronoi_closed w v | v IN S INTER ball (p,r + &1) /\ w = S}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cimage0, type, image0 : ((cartrealn3 > cartrealn3) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cimage, type, image : (((cartrealn3 > $o) > cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite0, type, finite0 : ((cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn3 > $o) > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:((cartrealn3 > $o) > cartrealn3 > $o),S:((cartrealn3 > $o) > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (gspec0 @ ^[V:cartrealn3]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn3,S:(cartrealn3 > $o),F:(cartrealn3 > cartrealn3)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:cartrealn3]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack2o_KIUMVTC, axiom, ![P:cartrealn3,R:real,S:(cartrealn3 > $o)]:((packing @ S) => (finite0 @ (inter @ S @ (ball @ (c_ @ P @ R)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o),P:cartrealn3,R:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (packing @ S)) => (finite @ (gspec @ ^[GENR_PVARR_825:(cartrealn3 > $o)]:?[W:(cartrealn3 > $o),V:cartrealn3]:(setspec @ GENR_PVARR_825 @ ((in @ V @ (inter @ S @ (ball @ (c_ @ P @ (realu_add @ R @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))))) & (W = S)) @ (voronoiu_closed @ W @ V)))))).
