%   ORIGINAL: Pack_defs.fcc_compatible
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack1.fcc_compatible: !S f. fcc_compatible f S <=> (!v. v IN S ==> sqrt (&32) <= measure (voronoi_open S v) + f v)
% Assm: TRUTH: T
% Goal: !S f. fcc_compatible f S <=> (!v. v IN S ==> sqrt (&32) <= measure (voronoi_open S v) + f v)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !S f. fcc_compatible f S <=> (!v. v IN S ==> sqrt (&32) <= measure (voronoi_open S v) + f v)
% Assm: T
% Goal: !S f. fcc_compatible f S <=> (!v. v IN S ==> sqrt (&32) <= measure (voronoi_open S v) + f v)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cfccuu_compatible, type, fccu_compatible : ((cartrealn > real) > (cartrealn > $o) > $o)).
thf(cvoronoiuu_open, type, voronoiu_open : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack1o_fccu_compatible, axiom, ![S:(cartrealn > $o),F:(cartrealn > real)]:((fccu_compatible @ F @ S) <=> ![V:cartrealn]:((in @ V @ S) => (realu_le @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0))))))))) @ (realu_add @ (measure @ (voronoiu_open @ S @ V)) @ (F @ V)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),F:(cartrealn > real)]:((fccu_compatible @ F @ S) <=> ![V:cartrealn]:((in @ V @ S) => (realu_le @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0))))))))) @ (realu_add @ (measure @ (voronoiu_open @ S @ V)) @ (F @ V)))))).
