%   ORIGINAL: Packing3.PROJECTION_ORTHOGONAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: Sphere.projection: !x e. projection e x = x - (x dot e) / (e dot e) % e
% Assm: TRUTH: T
% Assm: VECTOR_SUB_PROJECT_ORTHOGONAL: !b x. b dot (x - (b dot x) / (b dot b) % b) = &0
% Goal: !d v. projection d v dot d = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x dot y = y dot x
% Assm: !x e. projection e x = x - (x dot e) / (e dot e) % e
% Assm: T
% Assm: !b x. b dot (x - (b dot x) / (b dot b) % b) = &0
% Goal: !d v. projection d v dot d = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cprojection, type, projection : (cartrealn > cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aSphereo_projection, axiom, ![X:cartrealn,E:cartrealn]:((projection @ E @ X) = (vectoru_sub @ X @ (r_ @ (realu_div @ (dot @ X @ E) @ (dot @ E @ E)) @ E)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_PROJECTu_ORTHOGONAL, axiom, ![B:cartrealn,X:cartrealn]:((dot @ B @ (vectoru_sub @ X @ (r_ @ (realu_div @ (dot @ B @ X) @ (dot @ B @ B)) @ B))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(conjecture, conjecture, ![D:cartrealn,V:cartrealn]:((dot @ (projection @ D @ V) @ D) = (realu_ofu_num @ (numeral @ u_0)))).
