%   ORIGINAL: Packing3.CONV_UNION_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_HULLS_EQ: !s t. s SUBSET convex hull t /\ t SUBSET convex hull s ==> convex hull s = convex hull t
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: HULL_UNION_SUBSET: !P s t. P hull s UNION P hull t SUBSET P hull (s UNION t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Goal: !A B. convex hull (A UNION B) = convex hull (A UNION convex hull B)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET convex hull t /\ t SUBSET convex hull s ==> convex hull s = convex hull t
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !P s. s SUBSET P hull s
% Assm: !P s t. P hull s UNION P hull t SUBSET P hull (s UNION t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Goal: !A B. convex hull (A UNION B) = convex hull (A UNION convex hull B)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_HULLSu_EQ, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ (hull @ convex @ T)) & (subset @ T @ (hull @ convex @ S))) => ((hull @ convex @ S) = (hull @ convex @ T)))).
thf(aHULLu_MONO, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aHULLu_UNIONu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ (union @ (hull @ P @ S) @ (hull @ P @ T)) @ (hull @ P @ (union @ S @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:(cartrealn > $o),B:(cartrealn > $o)]:((hull @ convex @ (union @ A @ B)) = (hull @ convex @ (union @ A @ (hull @ convex @ B))))).
