%   ORIGINAL: Packing3.HULL_INTER_SUBSET_INTER_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: INTER_SUBSET_conjunct0: !s t. s INTER t SUBSET s
% Assm: INTER_SUBSET_conjunct1: !s t. t INTER s SUBSET s
% Assm: SUBSET_INTER: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: TRUTH: T
% Goal: !P s t. P hull (s INTER t) SUBSET P hull s INTER P hull t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: !s t. s INTER t SUBSET s
% Assm: !s t. t INTER s SUBSET s
% Assm: !s t u. s SUBSET t INTER u <=> s SUBSET t /\ s SUBSET u
% Assm: T
% Goal: !P s t. P hull (s INTER t) SUBSET P hull s INTER P hull t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(chull, type, hull : (((a > $o) > $o) > (a > $o) > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHULLu_MONO, axiom, ![P:((a > $o) > $o),S:(a > $o),T:(a > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aINTERu_SUBSETu_conjunct0, axiom, ![S:(a > $o),T:(a > $o)]:(subset @ (inter @ S @ T) @ S)).
thf(aINTERu_SUBSETu_conjunct1, axiom, ![S:(a > $o),T:(a > $o)]:(subset @ (inter @ T @ S) @ S)).
thf(aSUBSETu_INTER, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:((subset @ S @ (inter @ T @ U)) <=> ((subset @ S @ T) & (subset @ S @ U)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((a > $o) > $o),S:(a > $o),T:(a > $o)]:(subset @ (hull @ P @ (inter @ S @ T)) @ (inter @ (hull @ P @ S) @ (hull @ P @ T)))).
