%   ORIGINAL: Packing3.INTERS_INTER_INTERS_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f g P. INTERS {P x | x IN f} INTER INTERS {P y | y IN g} = INTERS {P u | u IN f UNION g}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f g P. INTERS {P x | x IN f} INTER INTERS {P y | y IN g} = INTERS {P u | u IN f UNION g}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cin1, type, in1 : ((b > $o) > ((b > $o) > $o) > $o)).
thf(cinters0, type, inters0 : (((b > $o) > $o) > b > $o)).
thf(cgspec0, type, gspec0 : ((b > $o) > b > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cinters, type, inters : (((a > $o) > $o) > a > $o)).
thf(cinter0, type, inter0 : ((b > $o) > (b > $o) > b > $o)).
thf(csetspec0, type, setspec0 : (b > $o > b > $o)).
thf(cunion, type, union : ((b > $o) > (b > $o) > b > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aIN, axiom, ![P:(b > $o),X:b]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > b > $o) > $o),X:b]:((in @ X @ (gspec0 @ ^[V:b]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:b]:(P0 & (X = T))))).
thf(aINu_INTER, axiom, ![S:(b > $o),T:(b > $o),X:b]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_INTERS, axiom, ![S:((b > $o) > $o),X:b]:((in @ X @ (inters0 @ S)) <=> ![T:(b > $o)]:((in1 @ T @ S) => (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(b > $o),T:(b > $o),X:b]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(b > $o),G:(b > $o),P:(b > a > $o)]:((inter @ (inters @ (gspec @ ^[GENR_PVARR_862:(a > $o)]:?[X:b]:(setspec @ GENR_PVARR_862 @ (in @ X @ F) @ (P @ X)))) @ (inters @ (gspec @ ^[GENR_PVARR_863:(a > $o)]:?[Y:b]:(setspec @ GENR_PVARR_863 @ (in @ Y @ G) @ (P @ Y))))) = (inters @ (gspec @ ^[GENR_PVARR_864:(a > $o)]:?[U:b]:(setspec @ GENR_PVARR_864 @ (in @ U @ (union @ F @ G)) @ (P @ U)))))).
