%   ORIGINAL: Packing3.REAL_DIV_LE_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LDIV_EQ: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: TRUTH: T
% Goal: !a b. &0 < b ==> (a / b <= &1 <=> a <= b)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: !x. &1 * x = x
% Assm: T
% Goal: !a b. &0 < b ==> (a / b <= &1 <=> a <= b)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_div @ X @ Z) @ Y) <=> (realu_le @ X @ (realu_mul @ Y @ Z))))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) => ((realu_le @ (realu_div @ A @ B) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) <=> (realu_le @ A @ B)))).
