%   ORIGINAL: Packing3.POLYHEDRON_BIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYHEDRON_HYPERPLANE: !a b. polyhedron {x | a dot x = b}
% Assm: Packing3.BIS_EQ_HYPERPLANE: !u v. bis u v = {x | &2 % (v - u) dot x = v dot v - u dot u}
% Assm: TRUTH: T
% Goal: !u v. polyhedron (bis u v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. polyhedron {x | a dot x = b}
% Assm: !u v. bis u v = {x | &2 % (v - u) dot x = v dot v - u dot u}
% Assm: T
% Goal: !u v. polyhedron (bis u v)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cbis, type, bis : (cartrealn > cartrealn > cartrealn > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYHEDRONu_HYPERPLANE, axiom, ![A:cartrealn,B:real]:(polyhedron @ (gspec @ ^[GENR_PVARR_1260:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1260 @ ((dot @ A @ X) = B) @ X)))).
thf(aPacking3o_BISu_EQu_HYPERPLANE, axiom, ![U:cartrealn,V:cartrealn]:((bis @ U @ V) = (gspec @ ^[GENR_PVARR_868:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_868 @ ((dot @ (r_ @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (vectoru_sub @ V @ U)) @ X) = (realu_sub @ (dot @ V @ V) @ (dot @ U @ U))) @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![U:cartrealn,V:cartrealn]:(polyhedron @ (bis @ U @ V))).
