%   ORIGINAL: Upfzbzm_support_lemmas.FINITE_PACK_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_BALL: !x e. bounded (ball (x,e))
% Assm: BOUNDED_INTER: !s t. bounded s \/ bounded t ==> bounded (s INTER t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Packing3.DISCRETE_BOUNDED_IMP_FINITE: !S. discrete S /\ bounded S ==> FINITE S
% Assm: Packing3.DISCRETE_SUBSET: !A B. discrete A /\ B SUBSET A ==> discrete B
% Assm: Packing3.PACKING_IMP_DISCRETE: !V. packing V ==> discrete V
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !p r V. packing V ==> FINITE (V INTER ball (p,r))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. bounded (ball (x,e))
% Assm: !s t. bounded s \/ bounded t ==> bounded (s INTER t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !S. discrete S /\ bounded S ==> FINITE S
% Assm: !A B. discrete A /\ B SUBSET A ==> discrete B
% Assm: !V. packing V ==> discrete V
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !p r V. packing V ==> FINITE (V INTER ball (p,r))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdiscrete0, type, discrete0 : ((cartrealn > $o) > $o)).
thf(cdiscrete, type, discrete : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_BALL, axiom, ![X:cartrealn3,E:real]:(bounded @ (ball @ (c_ @ X @ E)))).
thf(aBOUNDEDu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((bounded @ S) | (bounded @ T)) => (bounded @ (inter @ S @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPacking3o_DISCRETEu_BOUNDEDu_IMPu_FINITE, axiom, ![S:(cartrealn3 > $o)]:(((discrete @ S) & (bounded @ S)) => (finite @ S))).
thf(aPacking3o_DISCRETEu_SUBSET, axiom, ![A:(cartrealn > $o),B:(cartrealn > $o)]:(((discrete0 @ A) & (subset @ B @ A)) => (discrete0 @ B))).
thf(aPacking3o_PACKINGu_IMPu_DISCRETE, axiom, ![V:(cartrealn3 > $o)]:((packing @ V) => (discrete @ V))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:cartrealn3,R:real,V:(cartrealn3 > $o)]:((packing @ V) => (finite @ (inter @ V @ (ball @ (c_ @ P @ R)))))).
