%   ORIGINAL: Packing3.AFF_DIM_VORONOI_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFF_DIM_EQ_FULL: !s. aff_dim s = &(dimindex (:N)) <=> affine hull s = (:real^N)
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: Packing3.CONTAINS_BALL_AFFINE_HULL: !s x r. &0 < r /\ ball (x,r) SUBSET s ==> affine hull s = (:real^N)
% Assm: Packing3.VORONOI_CLOSED_CONTAINS_BALL: !V v. packing V ==> (?r. &0 < r /\ ball (v,r) SUBSET voronoi_closed V v)
% Assm: TRUTH: T
% Goal: !V v. packing V ==> aff_dim (voronoi_closed V v) = &3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. aff_dim s = &(dimindex (:3)) <=> affine hull s = (:real^3)
% Assm: dimindex (:3) = 3
% Assm: !s x r. &0 < r /\ ball (x,r) SUBSET s ==> affine hull s = (:real^N)
% Assm: !V v. packing V ==> (?r. &0 < r /\ ball (v,r) SUBSET voronoi_closed V v)
% Assm: T
% Goal: !V v. packing V ==> aff_dim (voronoi_closed V v) = &3
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn3, type, n3 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cball0, type, ball0 : (prodcartrealn3real > cartrealn3 > $o)).
thf(csubset0, type, subset0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccu_0, type, c_0 : (cartrealn3 > real > prodcartrealn3real)).
thf(chull0, type, hull0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cuniv, type, univ : (n3 > $o)).
thf(cuniv1, type, univ1 : (cartrealn > $o)).
thf(caffine0, type, affine0 : ((cartrealn > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn3 > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFu_DIMu_EQu_FULL, axiom, ![S:(cartrealn3 > $o)]:(((affu_dim @ S) = (intu_ofu_num @ (dimindex @ univ))) <=> ((hull @ affine @ S) = univ0))).
thf(aDIMINDEXu_3, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aPacking3o_CONTAINSu_BALLu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o),X:cartrealn,R:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (subset @ (ball @ (c_ @ X @ R)) @ S)) => ((hull0 @ affine0 @ S) = univ1))).
thf(aPacking3o_VORONOIu_CLOSEDu_CONTAINSu_BALL, axiom, ![V:(cartrealn3 > $o),V0:cartrealn3]:((packing @ V) => ?[R:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (subset0 @ (ball0 @ (c_0 @ V0 @ R)) @ (voronoiu_closed @ V @ V0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),V0:cartrealn3]:((packing @ V) => ((affu_dim @ (voronoiu_closed @ V @ V0)) = (intu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))))).
