%   ORIGINAL: Packing3.BOUNDED_VORONOI_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_BALL: !x e. bounded (ball (x,e))
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Packing3.VORONOI_BALL2: !V v. saturated V ==> voronoi_closed V v SUBSET ball (v,&2)
% Assm: TRUTH: T
% Goal: !V v. saturated V ==> bounded (voronoi_closed V v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. bounded (ball (x,e))
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !V v. saturated V ==> voronoi_closed V v SUBSET ball (v,&2)
% Assm: T
% Goal: !V v. saturated V ==> bounded (voronoi_closed V v)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_BALL, axiom, ![X:cartrealn,E:real]:(bounded @ (ball @ (c_ @ X @ E)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPacking3o_VORONOIu_BALL2, axiom, ![V:(cartrealn > $o),V0:cartrealn]:((saturated @ V) => (subset @ (voronoiu_closed @ V @ V0) @ (ball @ (c_ @ V0 @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn > $o),V0:cartrealn]:((saturated @ V) => (bounded @ (voronoiu_closed @ V @ V0)))).
