%   ORIGINAL: Packing3.DRUQUFE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEASURABLE_CONVEX: !s. convex s /\ bounded s ==> measurable s
% Assm: Packing3.BOUNDED_VORONOI_CLOSED: !V v. saturated V ==> bounded (voronoi_closed V v)
% Assm: Packing3.COMPACT_VORONOI_CLOSED: !S v. saturated S ==> compact (voronoi_closed S v)
% Assm: Packing3.CONVEX_VORONOI_CLOSED: !S v. convex (voronoi_closed S v)
% Assm: TRUTH: T
% Goal: !V v. packing V /\ saturated V ==> compact (voronoi_closed V v) /\ convex (voronoi_closed V v) /\ measurable (voronoi_closed V v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. convex s /\ bounded s ==> measurable s
% Assm: !V v. saturated V ==> bounded (voronoi_closed V v)
% Assm: !S v. saturated S ==> compact (voronoi_closed S v)
% Assm: !S v. convex (voronoi_closed S v)
% Assm: T
% Goal: !V v. packing V /\ saturated V ==> compact (voronoi_closed V v) /\ convex (voronoi_closed V v) /\ measurable (voronoi_closed V v)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn3 > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEASURABLEu_CONVEX, axiom, ![S:(cartrealn3 > $o)]:(((convex @ S) & (bounded @ S)) => (measurable @ S))).
thf(aPacking3o_BOUNDEDu_VORONOIu_CLOSED, axiom, ![V:(cartrealn3 > $o),V0:cartrealn3]:((saturated @ V) => (bounded @ (voronoiu_closed @ V @ V0)))).
thf(aPacking3o_COMPACTu_VORONOIu_CLOSED, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((saturated @ S) => (compact @ (voronoiu_closed @ S @ V)))).
thf(aPacking3o_CONVEXu_VORONOIu_CLOSED, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:(convex @ (voronoiu_closed @ S @ V))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),V0:cartrealn3]:(((packing @ V) & (saturated @ V)) => ((compact @ (voronoiu_closed @ V @ V0)) & (convex @ (voronoiu_closed @ V @ V0)) & (measurable @ (voronoiu_closed @ V @ V0))))).
