%   ORIGINAL: Packing3.VORONOI_SET_2_BIS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Packing3.VORONOI_SET_2: !V u v. voronoi_set V {u, v} = voronoi_closed V v INTER voronoi_closed V u
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: Sphere.bis_le: !u v. bis_le u v = {x | dist (x,u) <= dist (x,v)}
% Assm: Sphere.voronoi_closed: !S v. voronoi_closed S v = {x | !w. S w ==> dist (x,v) <= dist (x,w)}
% Assm: TRUTH: T
% Goal: !V u v. u IN V /\ v IN V ==> voronoi_set V {u, v} = voronoi_closed V v INTER bis_le u v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !V u v. voronoi_set V {u, v} = voronoi_closed V v INTER voronoi_closed V u
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !u v. bis_le u v = {x | dist (x,u) <= dist (x,v)}
% Assm: !S v. voronoi_closed S v = {x | !w. S w ==> dist (x,v) <= dist (x,w)}
% Assm: T
% Goal: !V u v. u IN V /\ v IN V ==> voronoi_set V {u, v} = voronoi_closed V v INTER bis_le u v
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cbisuu_le, type, bisu_le : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvoronoiuu_set, type, voronoiu_set : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPacking3o_VORONOIu_SETu_2, axiom, ![V:(cartrealn3 > $o),U:cartrealn3,V0:cartrealn3]:((voronoiu_set @ V @ (insert @ U @ (insert @ V0 @ empty))) = (inter @ (voronoiu_closed @ V @ V0) @ (voronoiu_closed @ V @ U)))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSphereo_bisu_le, axiom, ![U:cartrealn3,V:cartrealn3]:((bisu_le @ U @ V) = (gspec @ ^[GENR_PVARR_5:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_5 @ (realu_le @ (distance @ (c_ @ X @ U)) @ (distance @ (c_ @ X @ V))) @ X)))).
thf(aSphereo_voronoiu_closed, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((voronoiu_closed @ S @ V) = (gspec @ ^[GENR_PVARR_1:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_1 @ ![W:cartrealn3]:((S @ W) => (realu_le @ (distance @ (c_ @ X @ V)) @ (distance @ (c_ @ X @ W)))) @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),U:cartrealn3,V0:cartrealn3]:(((in @ U @ V) & (in @ V0 @ V)) => ((voronoiu_set @ V @ (insert @ U @ (insert @ V0 @ empty))) = (inter @ (voronoiu_closed @ V @ V0) @ (bisu_le @ U @ V0))))).
