%   ORIGINAL: Packing3.BOUNDED_VORONOI_LIST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_INTER: !s t. bounded s \/ bounded t ==> bounded (s INTER t)
% Assm: Packing3.BARV_CONS: !V k ul. barV V k ul ==> (?h t. ul = CONS h t /\ h = HD ul)
% Assm: Packing3.BARV_SUBSET: !V k ul. barV V k ul ==> set_of_list ul SUBSET V
% Assm: Packing3.BOUNDED_VORONOI_CLOSED: !V v. saturated V ==> bounded (voronoi_closed V v)
% Assm: Packing3.VORONOI_LIST_BIS_LE: !V ul h t. set_of_list ul SUBSET V /\ ul = CONS h t ==> voronoi_list V ul = voronoi_closed V h INTER INTERS {bis_le u h | u IN set_of_list t}
% Assm: TRUTH: T
% Goal: !V k ul. saturated V /\ barV V k ul ==> bounded (voronoi_list V ul)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. bounded s \/ bounded t ==> bounded (s INTER t)
% Assm: !V k ul. barV V k ul ==> (?h t. ul = CONS h t /\ h = HD ul)
% Assm: !V k ul. barV V k ul ==> set_of_list ul SUBSET V
% Assm: !V v. saturated V ==> bounded (voronoi_closed V v)
% Assm: !V ul h t. set_of_list ul SUBSET V /\ ul = CONS h t ==> voronoi_list V ul = voronoi_closed V h INTER INTERS {bis_le u h | u IN set_of_list t}
% Assm: T
% Goal: !V k ul. saturated V /\ barV V k ul ==> bounded (voronoi_list V ul)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cinters, type, inters : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_list, type, setu_ofu_list : (listcartrealn3 > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(chd, type, hd : (listcartrealn3 > cartrealn3)).
thf(cbisuu_le, type, bisu_le : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(ccons, type, cons : (cartrealn3 > listcartrealn3 > listcartrealn3)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvoronoiuu_list, type, voronoiu_list : ((cartrealn3 > $o) > listcartrealn3 > cartrealn3 > $o)).
thf(cbarv, type, barv : ((cartrealn3 > $o) > num > listcartrealn3 > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((bounded @ S) | (bounded @ T)) => (bounded @ (inter @ S @ T)))).
thf(aPacking3o_BARVu_CONS, axiom, ![V:(cartrealn3 > $o),K:num,UL:listcartrealn3]:((barv @ V @ K @ UL) => ?[H:cartrealn3,T:listcartrealn3]:((UL = (cons @ H @ T)) & (H = (hd @ UL))))).
thf(aPacking3o_BARVu_SUBSET, axiom, ![V:(cartrealn3 > $o),K:num,UL:listcartrealn3]:((barv @ V @ K @ UL) => (subset @ (setu_ofu_list @ UL) @ V))).
thf(aPacking3o_BOUNDEDu_VORONOIu_CLOSED, axiom, ![V:(cartrealn3 > $o),V0:cartrealn3]:((saturated @ V) => (bounded @ (voronoiu_closed @ V @ V0)))).
thf(aPacking3o_VORONOIu_LISTu_BISu_LE, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,H:cartrealn3,T:listcartrealn3]:(((subset @ (setu_ofu_list @ UL) @ V) & (UL = (cons @ H @ T))) => ((voronoiu_list @ V @ UL) = (inter @ (voronoiu_closed @ V @ H) @ (inters @ (gspec @ ^[GENR_PVARR_879:(cartrealn3 > $o)]:?[U:cartrealn3]:(setspec @ GENR_PVARR_879 @ (in @ U @ (setu_ofu_list @ T)) @ (bisu_le @ U @ H)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),K:num,UL:listcartrealn3]:(((saturated @ V) & (barv @ V @ K @ UL)) => (bounded @ (voronoiu_list @ V @ UL)))).
