%   ORIGINAL: Packing3.MINIMAL_INTERS_EXISTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_PSUBSET: !a b. a PSUBSET b /\ FINITE b ==> CARD a < CARD b
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PSUBSET: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: Packing3.lemma1: !f P. FINITE f /\ P f ==> (?n g. g SUBSET f /\ g HAS_SIZE n /\ P g)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: num_WOP: !P. (?n. P n) <=> (?n. P n /\ (!m. m < n ==> ~P m))
% Goal: !s f. FINITE f /\ s = INTERS f ==> (?g. g SUBSET f /\ s = INTERS g /\ (!g'. g' PSUBSET g ==> s PSUBSET INTERS g'))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a PSUBSET b /\ FINITE b ==> CARD a < CARD b
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !P x. x IN P <=> P x
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: !f P. FINITE f /\ P f ==> (?n g. g SUBSET f /\ g HAS_SIZE n /\ P g)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !P. (?n. P n) <=> (?n. P n /\ (!m. m < n ==> ~P m))
% Goal: !s f. FINITE f /\ s = INTERS f ==> (?g. g SUBSET f /\ s = INTERS g /\ (!g'. g' PSUBSET g ==> s PSUBSET INTERS g'))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(chasuu_size, type, hasu_size : (((a > $o) > $o) > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpsubset0, type, psubset0 : ((a > $o) > (a > $o) > $o)).
thf(cpsubset, type, psubset : (((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(csubset, type, subset : (((a > $o) > $o) > ((a > $o) > $o) > $o)).
thf(cinters, type, inters : (((a > $o) > $o) > a > $o)).
thf(cfinite, type, finite : (((a > $o) > $o) > $o)).
thf(ccard, type, card : (((a > $o) > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_PSUBSET, axiom, ![A:((a > $o) > $o),B:((a > $o) > $o)]:(((psubset @ A @ B) & (finite @ B)) => (l_ @ (card @ A) @ (card @ B)))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_SUBSET, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aHASu_SIZE, axiom, ![S:((a > $o) > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTERS, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (inters @ S)) <=> ![T:(a > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPSUBSET, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((psubset @ S @ T) <=> ((subset @ S @ T) & ~ ((S = T))))).
thf(aPacking3o_lemma1, axiom, ![F:((a > $o) > $o),P:(((a > $o) > $o) > $o)]:(((finite @ F) & (P @ F)) => ?[N:num,G:((a > $o) > $o)]:((subset @ G @ F) & (hasu_size @ G @ N) & (P @ G)))).
thf(aSUBSET, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((subset @ S @ T) <=> ![X:(a > $o)]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_TRANS, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o),U:((a > $o) > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(anumu_WOP, axiom, ![P:(num > $o)]:(?[N:num]:(P @ N) <=> ?[N:num]:((P @ N) & ![M:num]:((l_ @ M @ N) => ~ ((P @ M)))))).
thf(conjecture, conjecture, ![S:(a > $o),F:((a > $o) > $o)]:(((finite @ F) & (S = (inters @ F))) => ?[G:((a > $o) > $o)]:((subset @ G @ F) & (S = (inters @ G)) & ![GI_:((a > $o) > $o)]:((psubset @ GI_ @ G) => (psubset0 @ S @ (inters @ GI_)))))).
