%   ORIGINAL: Packing3.POLYTOPE_VORONOI_LIST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: INTER_SUBSET_conjunct0: !s t. s INTER t SUBSET s
% Assm: POLYTOPE_EQ_BOUNDED_POLYHEDRON: !s. polytope s <=> polyhedron s /\ bounded s
% Assm: Packing3.BOUNDED_VORONOI_CLOSED: !V v. saturated V ==> bounded (voronoi_closed V v)
% Assm: Packing3.POLYHEDRON_VORONOI_LIST: !V ul. packing V /\ saturated V /\ set_of_list ul SUBSET V ==> polyhedron (voronoi_list V ul)
% Assm: Packing3.VORONOI_LIST_BIS: !V ul h t. set_of_list ul SUBSET V /\ ul = CONS h t ==> voronoi_list V ul = voronoi_closed V h INTER INTERS {bis h u | u IN set_of_list t}
% Assm: TRUTH: T
% Assm: list_CASES: !l. l = [] \/ (?h t. l = CONS h t)
% Goal: !V ul. packing V /\ saturated V /\ set_of_list ul SUBSET V /\ ~(ul = []) ==> polytope (voronoi_list V ul)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !s t. s INTER t SUBSET s
% Assm: !s. polytope s <=> polyhedron s /\ bounded s
% Assm: !V v. saturated V ==> bounded (voronoi_closed V v)
% Assm: !V ul. packing V /\ saturated V /\ set_of_list ul SUBSET V ==> polyhedron (voronoi_list V ul)
% Assm: !V ul h t. set_of_list ul SUBSET V /\ ul = CONS h t ==> voronoi_list V ul = voronoi_closed V h INTER INTERS {bis h u | u IN set_of_list t}
% Assm: T
% Assm: !l. l = [] \/ (?h t. l = CONS h t)
% Goal: !V ul. packing V /\ saturated V /\ set_of_list ul SUBSET V /\ ~(ul = []) ==> polytope (voronoi_list V ul)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cnil, type, nil : listcartrealn3).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cinters, type, inters : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_list, type, setu_ofu_list : (listcartrealn3 > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cbis, type, bis : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(ccons, type, cons : (cartrealn3 > listcartrealn3 > listcartrealn3)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvoronoiuu_list, type, voronoiu_list : ((cartrealn3 > $o) > listcartrealn3 > cartrealn3 > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealn3 > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > listcartrealn3),G:(a > listcartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aINTERu_SUBSETu_conjunct0, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(subset @ (inter @ S @ T) @ S)).
thf(aPOLYTOPEu_EQu_BOUNDEDu_POLYHEDRON, axiom, ![S:(cartrealn3 > $o)]:((polytope @ S) <=> ((polyhedron @ S) & (bounded @ S)))).
thf(aPacking3o_BOUNDEDu_VORONOIu_CLOSED, axiom, ![V:(cartrealn3 > $o),V0:cartrealn3]:((saturated @ V) => (bounded @ (voronoiu_closed @ V @ V0)))).
thf(aPacking3o_POLYHEDRONu_VORONOIu_LIST, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3]:(((packing @ V) & (saturated @ V) & (subset @ (setu_ofu_list @ UL) @ V)) => (polyhedron @ (voronoiu_list @ V @ UL)))).
thf(aPacking3o_VORONOIu_LISTu_BIS, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,H:cartrealn3,T:listcartrealn3]:(((subset @ (setu_ofu_list @ UL) @ V) & (UL = (cons @ H @ T))) => ((voronoiu_list @ V @ UL) = (inter @ (voronoiu_closed @ V @ H) @ (inters @ (gspec @ ^[GENR_PVARR_878:(cartrealn3 > $o)]:?[U:cartrealn3]:(setspec @ GENR_PVARR_878 @ (in @ U @ (setu_ofu_list @ T)) @ (bis @ H @ U)))))))).
thf(aTRUTH, axiom, $true).
thf(alistu_CASES, axiom, ![L:listcartrealn3]:((L = nil) | ?[H:cartrealn3,T:listcartrealn3]:(L = (cons @ H @ T)))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),UL:listcartrealn3]:(((packing @ V) & (saturated @ V) & (subset @ (setu_ofu_list @ UL) @ V) & ~ ((UL = nil))) => (polytope @ (voronoiu_list @ V @ UL)))).
