%   ORIGINAL: Rogers.REAL_NEG_LE_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LMUL_EQ: !x y z. &0 < z ==> (z * x <= z * y <=> x <= y)
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_NEG_GT0: !x. &0 < --x <=> x < &0
% Assm: TRUTH: T
% Goal: !x y z. z < &0 ==> (x <= y <=> y * z <= x * z)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. &0 < z ==> (z * x <= z * y <=> x <= y)
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !n m. m * n = n * m
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. &0 < --x <=> x < &0
% Assm: T
% Goal: !x y z. z < &0 ==> (x <= y <=> y * z <= x * z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LMULu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_mul @ Z @ X) @ (realu_mul @ Z @ Y)) <=> (realu_le @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_NEGu_GT0, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_neg @ X)) <=> (realu_lt @ X @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_ofu_num @ (numeral @ u_0))) => ((realu_le @ X @ Y) <=> (realu_le @ (realu_mul @ Y @ Z) @ (realu_mul @ X @ Z))))).
