%   ORIGINAL: Rogers.VORONOI_CLOSED_EQ_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIST_LE_0: !x y. dist (x,y) <= &0 <=> x = y
% Assm: DIST_POS_LE: !x y. &0 <= dist (x,y)
% Assm: DIST_REFL: !x. dist (x,x) = &0
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: Sphere.voronoi_closed: !S v. voronoi_closed S v = {x | !w. S w ==> dist (x,v) <= dist (x,w)}
% Assm: TRUTH: T
% Goal: !V u v. packing V /\ u IN V /\ v IN V /\ voronoi_closed V u = voronoi_closed V v ==> u = v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. dist (x,y) <= &0 <=> x = y
% Assm: !x y. &0 <= dist (x,y)
% Assm: !x. dist (x,x) = &0
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !S v. voronoi_closed S v = {x | !w. S w ==> dist (x,v) <= dist (x,w)}
% Assm: T
% Goal: !V u v. packing V /\ u IN V /\ v IN V /\ voronoi_closed V u = voronoi_closed V v ==> u = v
%  TYPES
thf(tcartrealq102218, type, cartrealq102218 : $tType).
thf(tq102218, type, q102218 : $tType).
thf(tnum, type, num : $tType).
thf(tprodcartrealq102270cartrealq102270, type, prodcartrealq102270cartrealq102270 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartrealq102270, type, cartrealq102270 : $tType).
thf(tq102270, type, q102270 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq102218cartrealq102218, type, prodcartrealq102218cartrealq102218 : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdistance1, type, distance1 : (prodcartrealq102218cartrealq102218 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq102270cartrealq102270 > real)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(ccu_1, type, c_1 : (cartrealq102218 > cartrealq102218 > prodcartrealq102218cartrealq102218)).
thf(ccu_0, type, c_0 : (cartrealq102270 > cartrealq102270 > prodcartrealq102270cartrealq102270)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDISTu_LEu_0, axiom, ![X:cartrealn3,Y:cartrealn3]:((realu_le @ (distance @ (c_ @ X @ Y)) @ (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aDISTu_POSu_LE, axiom, ![X:cartrealq102270,Y:cartrealq102270]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (distance0 @ (c_0 @ X @ Y)))).
thf(aDISTu_REFL, axiom, ![X:cartrealq102218]:((distance1 @ (c_1 @ X @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aSphereo_voronoiu_closed, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((voronoiu_closed @ S @ V) = (gspec @ ^[GENR_PVARR_1:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_1 @ ![W:cartrealn3]:((S @ W) => (realu_le @ (distance @ (c_ @ X @ V)) @ (distance @ (c_ @ X @ W)))) @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),U:cartrealn3,V0:cartrealn3]:(((packing @ V) & (in @ U @ V) & (in @ V0 @ V) & ((voronoiu_closed @ V @ U) = (voronoiu_closed @ V @ V0))) => (U = V0))).
