%   ORIGINAL: Rogers.VORONOI_SET_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: Sphere.VORONOI_SET: !W V. voronoi_set V W = INTERS {voronoi_closed V v | v IN W}
% Assm: TRUTH: T
% Goal: !V s t. s SUBSET t ==> voronoi_set V t SUBSET voronoi_set V s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !W V. voronoi_set V W = INTERS {voronoi_closed V v | v IN W}
% Assm: T
% Goal: !V s t. s SUBSET t ==> voronoi_set V t SUBSET voronoi_set V s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43820, type, q43820 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cinters0, type, inters0 : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cin2, type, in2 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cinters, type, inters : (((a > $o) > $o) > a > $o)).
thf(cgspec, type, gspec : ((q43820 > $o) > q43820 > $o)).
thf(cin0, type, in0 : (q43820 > (q43820 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(csetspec, type, setspec : (q43820 > $o > q43820 > $o)).
thf(cvoronoiuu_set, type, voronoiu_set : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in0 @ X @ (gspec @ ^[V:q43820]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aINu_INTERS, axiom, ![S:((a > $o) > $o),X:a]:((in @ X @ (inters @ S)) <=> ![T:(a > $o)]:((in1 @ T @ S) => (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in2 @ X @ S) => (in2 @ X @ T)))).
thf(aSphereo_VORONOIu_SET, axiom, ![W:(cartrealn3 > $o),V:(cartrealn3 > $o)]:((voronoiu_set @ V @ W) = (inters0 @ (gspec0 @ ^[GENR_PVARR_2:(cartrealn3 > $o)]:?[V0:cartrealn3]:(setspec0 @ GENR_PVARR_2 @ (in2 @ V0 @ W) @ (voronoiu_closed @ V @ V0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) => (subset @ (voronoiu_set @ V @ T) @ (voronoiu_set @ V @ S)))).
