%   ORIGINAL: Rogers.INDEPENDENT_EXPLICIT_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: INDEPENDENT_EXPLICIT: !b. independent b <=> FINITE b /\ (!c. vsum b (\v. c v % v) = vec 0 ==> (!v. v IN b ==> c v = &0))
% Assm: INJECTIVE_ON_LEFT_INVERSE: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: TRUTH: T
% Assm: VSUM_IMAGE: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: VSUM_RESTRICT: !f s. FINITE s ==> vsum s (\x. if x IN s then f x else vec 0) = vsum s f
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !v f n. (!i j. i IN 1..n /\ j IN 1..n /\ v i = v j ==> i = j) /\ independent (IMAGE v (1..n)) /\ vsum (1..n) (\i. f i % v i) = vec 0 ==> (!i. i IN 1..n ==> f i = &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !m n. FINITE (m..n)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !b. independent b <=> FINITE b /\ (!c. vsum b (\v. c v % v) = vec 0 ==> (!v. v IN b ==> c v = &0))
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: T
% Assm: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: !f s. FINITE s ==> vsum s (\x. if x IN s then f x else vec 0) = vsum s f
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !v f n. (!i j. i IN 1..n /\ j IN 1..n /\ v i = v j ==> i = j) /\ independent (IMAGE v (1..n)) /\ vsum (1..n) (\i. f i % v i) = vec 0 ==> (!i. i IN 1..n ==> f i = &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(co2, type, o2 : ((b > cartrealn) > (a > b) > a > cartrealn)).
thf(co1, type, o1 : ((b > num) > (a > b) > a > num)).
thf(co0, type, o0 : ((b > real) > (a > b) > a > real)).
thf(co, type, o : ((num > cartrealn) > (num > num) > num > cartrealn)).
thf(cimage0, type, image0 : ((num > num) > (num > $o) > num > $o)).
thf(cvsum0, type, vsum0 : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(ccond2, type, cond2 : ($o > a > a > a)).
thf(ccond1, type, cond1 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond0, type, cond0 : ($o > num > num > num)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cimage, type, image : ((num > cartrealn) > (num > $o) > cartrealn > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSESu_monomorphized2, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:num,T2:num]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond1 @ $true @ T1 @ T2) = T1) & ((cond1 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond2 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aFUNu_EQu_THMu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINDEPENDENTu_EXPLICIT, axiom, ![B:(cartrealn > $o)]:((independent @ B) <=> ((finite0 @ B) & ![C:(cartrealn > real)]:(((vsum0 @ B @ ^[V:cartrealn]:(r_ @ (C @ V) @ V)) = (vec @ (numeral @ u_0))) => ![V:cartrealn]:((in0 @ V @ B) => ((C @ V) = (realu_ofu_num @ (numeral @ u_0)))))))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized2, axiom, ![F:(num > real),S:(num > $o)]:(![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(real > num)]:![X:num]:((in @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized1, axiom, ![F:(num > num),S:(num > $o)]:(![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(num > num)]:![X:num]:((in @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized0, axiom, ![F:(num > cartrealn),S:(num > $o)]:(![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(cartrealn > num)]:![X:num]:((in @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINu_IMAGE, axiom, ![Y:num,S:(num > $o),F:(num > num)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:num]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_IMAGE, axiom, ![F:(num > num),G:(num > cartrealn),S:(num > $o)]:(((finite @ S) & ![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))) => ((vsum @ (image0 @ F @ S) @ G) = (vsum @ S @ (o @ G @ F))))).
thf(aVSUMu_RESTRICT, axiom, ![F:(num > cartrealn),S:(num > $o)]:((finite @ S) => ((vsum @ S @ ^[X:num]:(cond1 @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0)))) = (vsum @ S @ F)))).
thf(aou_THMu_monomorphized2, axiom, ![F:(b > real),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > num),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > cartrealn),G:(a > b),X:a]:((o2 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![V:(num > cartrealn),F:(num > real),N:num]:((![I:num,J:num]:(((in @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (in @ J @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & ((V @ I) = (V @ J))) => (I = J)) & (independent @ (image @ V @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N))) & ((vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N) @ ^[I:num]:(r_ @ (F @ I) @ (V @ I))) = (vec @ (numeral @ u_0)))) => ![I:num]:((in @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) => ((F @ I) = (realu_ofu_num @ (numeral @ u_0)))))).
