%   ORIGINAL: Rogers.CIRCUMCENTER_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: Rogers.CIRCUMCENTER_lemma: !S. ~(S = {}) /\ ~affine_dependent S ==> (?!p. p IN affine hull S /\ (!x y. x IN S /\ y IN S ==> dist (p,x) = dist (p,y)))
% Assm: TRUTH: T
% Goal: !S. ~(S = {}) /\ ~affine_dependent S ==> (?!p. p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: !x. ~(x IN {})
% Assm: !S. ~(S = {}) /\ ~affine_dependent S ==> (?p. p IN affine hull S /\ (!x y. x IN S /\ y IN S ==> dist (p,x) = dist (p,y))) /\ (!p x'. (p IN affine hull S /\ (!x y. x IN S /\ y IN S ==> dist (p,x) = dist (p,y))) /\ x' IN affine hull S /\ (!x y. x IN S /\ y IN S ==> dist (x',x) = dist (x',y)) ==> p = x')
% Assm: T
% Goal: !S. ~(S = {}) /\ ~affine_dependent S ==> (?p. p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w))) /\ (!p x'. (p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w))) /\ x' IN affine hull S /\ (?c. !w. w IN S ==> c = dist (x',w)) ==> p = x')
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aRogerso_CIRCUMCENTERu_lemma, axiom, ![S:(cartrealn > $o)]:((~ ((S = empty)) & ~ ((affineu_dependent @ S))) => (?[P:cartrealn]:((in @ P @ (hull @ affine @ S)) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => ((distance @ (c_ @ P @ X)) = (distance @ (c_ @ P @ Y))))) & ![P:cartrealn,XI_:cartrealn]:(((in @ P @ (hull @ affine @ S)) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => ((distance @ (c_ @ P @ X)) = (distance @ (c_ @ P @ Y)))) & (in @ XI_ @ (hull @ affine @ S)) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => ((distance @ (c_ @ XI_ @ X)) = (distance @ (c_ @ XI_ @ Y))))) => (P = XI_))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((~ ((S = empty)) & ~ ((affineu_dependent @ S))) => (?[P:cartrealn]:((in @ P @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ P @ W))))) & ![P:cartrealn,XI_:cartrealn]:(((in @ P @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ P @ W)))) & (in @ XI_ @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ XI_ @ W))))) => (P = XI_))))).
