%   ORIGINAL: Rogers.OAPVION1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Rogers.CIRCUMCENTER_LEMMA: !S. ~(S = {}) /\ ~affine_dependent S ==> (?!p. p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w)))
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: Sphere.circumcenter: !S. circumcenter S = (@v. (affine hull S) v /\ (?c. !w. S w ==> c = dist (v,w)))
% Assm: TRUTH: T
% Goal: !S. ~(S = {}) /\ ~affine_dependent S ==> circumcenter S IN affine hull S
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !S. ~(S = {}) /\ ~affine_dependent S ==> (?p. p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w))) /\ (!p x'. (p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w))) /\ x' IN affine hull S /\ (?c. !w. w IN S ==> c = dist (x',w)) ==> p = x')
% Assm: !P x. P x ==> P ((@) P)
% Assm: !S. circumcenter S = (@v. (affine hull S) v /\ (?c. !w. S w ==> c = dist (v,w)))
% Assm: T
% Goal: !S. ~(S = {}) /\ ~affine_dependent S ==> circumcenter S IN affine hull S
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(chu_0, type, h_0 : ((cartrealn > $o) > cartrealn)).
thf(ccircumcenter, type, circumcenter : ((cartrealn > $o) > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRogerso_CIRCUMCENTERu_LEMMA, axiom, ![S:(cartrealn > $o)]:((~ ((S = empty)) & ~ ((affineu_dependent @ S))) => (?[P:cartrealn]:((in @ P @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ P @ W))))) & ![P:cartrealn,XI_:cartrealn]:(((in @ P @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ P @ W)))) & (in @ XI_ @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ XI_ @ W))))) => (P = XI_))))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aSphereo_circumcenter, axiom, ![S:(cartrealn > $o)]:((circumcenter @ S) = (h_0 @ ^[V:cartrealn]:((hull @ affine @ S @ V) & ?[C:real]:![W:cartrealn]:((S @ W) => (C = (distance @ (c_ @ V @ W)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((~ ((S = empty)) & ~ ((affineu_dependent @ S))) => (in @ (circumcenter @ S) @ (hull @ affine @ S)))).
