%   ORIGINAL: Rogers.OAPVION2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.radV: !S. radV S = (@c. !w. S w ==> c = dist (circumcenter S,w))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Rogers.CIRCUMCENTER_LEMMA: !S. ~(S = {}) /\ ~affine_dependent S ==> (?!p. p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w)))
% Assm: SELECT_UNIQUE: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: Sphere.circumcenter: !S. circumcenter S = (@v. (affine hull S) v /\ (?c. !w. S w ==> c = dist (v,w)))
% Assm: TRUTH: T
% Goal: !S. ~affine_dependent S ==> (!w. w IN S ==> radV S = dist (circumcenter S,w))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !S. radV S = (@c. !w. S w ==> c = dist (circumcenter S,w))
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !S. ~(S = {}) /\ ~affine_dependent S ==> (?p. p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w))) /\ (!p x'. (p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w))) /\ x' IN affine hull S /\ (?c. !w. w IN S ==> c = dist (x',w)) ==> p = x')
% Assm: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: !S. circumcenter S = (@v. (affine hull S) v /\ (?c. !w. S w ==> c = dist (v,w)))
% Assm: T
% Goal: !S. ~affine_dependent S ==> (!w. w IN S ==> radV S = dist (circumcenter S,w))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cradv, type, radv : ((cartrealn > $o) > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(chu_0, type, h_0 : ((cartrealn > $o) > cartrealn)).
thf(ccircumcenter, type, circumcenter : ((cartrealn > $o) > cartrealn)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_radV, axiom, ![S:(cartrealn > $o)]:((radv @ S) = (h_ @ ^[C:real]:![W:cartrealn]:((S @ W) => (C = (distance @ (c_ @ (circumcenter @ S) @ W))))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRogerso_CIRCUMCENTERu_LEMMA, axiom, ![S:(cartrealn > $o)]:((~ ((S = empty)) & ~ ((affineu_dependent @ S))) => (?[P:cartrealn]:((in @ P @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ P @ W))))) & ![P:cartrealn,XI_:cartrealn]:(((in @ P @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ P @ W)))) & (in @ XI_ @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ XI_ @ W))))) => (P = XI_))))).
thf(aSELECTu_UNIQUE, axiom, ![P:(real > $o),X:real]:(![Y:real]:((P @ Y) <=> (Y = X)) => ((h_ @ P) = X))).
thf(aSphereo_circumcenter, axiom, ![S:(cartrealn > $o)]:((circumcenter @ S) = (h_0 @ ^[V:cartrealn]:((hull @ affine @ S @ V) & ?[C:real]:![W:cartrealn]:((S @ W) => (C = (distance @ (c_ @ V @ W)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => ![W:cartrealn]:((in @ W @ S) => ((radv @ S) = (distance @ (c_ @ (circumcenter @ S) @ W)))))).
