%   ORIGINAL: Rogers.OAPVION3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_HULL_EMPTY: affine hull {} = {}
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: Rogers.CIRCUMCENTER_LEMMA: !S. ~(S = {}) /\ ~affine_dependent S ==> (?!p. p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w)))
% Assm: SELECT_UNIQUE: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: Sphere.circumcenter: !S. circumcenter S = (@v. (affine hull S) v /\ (?c. !w. S w ==> c = dist (v,w)))
% Assm: TRUTH: T
% Goal: !S. ~affine_dependent S ==> (!p. p IN affine hull S /\ (?c. !w. w IN S ==> dist (p,w) = c) ==> p = circumcenter S)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: affine hull {} = {}
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !S. ~(S = {}) /\ ~affine_dependent S ==> (?p. p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w))) /\ (!p x'. (p IN affine hull S /\ (?c. !w. w IN S ==> c = dist (p,w))) /\ x' IN affine hull S /\ (?c. !w. w IN S ==> c = dist (x',w)) ==> p = x')
% Assm: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: !P x. (!y. P y <=> y = x) ==> (@) P = x
% Assm: !S. circumcenter S = (@v. (affine hull S) v /\ (?c. !w. S w ==> c = dist (v,w)))
% Assm: T
% Goal: !S. ~affine_dependent S ==> (!p. p IN affine hull S /\ (?c. !w. w IN S ==> dist (p,w) = c) ==> p = circumcenter S)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(chu_0, type, h_0 : ((cartrealn > $o) > cartrealn)).
thf(ccircumcenter, type, circumcenter : ((cartrealn > $o) > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_HULLu_EMPTY, axiom, ((hull @ affine @ empty) = empty)).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aRogerso_CIRCUMCENTERu_LEMMA, axiom, ![S:(cartrealn > $o)]:((~ ((S = empty)) & ~ ((affineu_dependent @ S))) => (?[P:cartrealn]:((in @ P @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ P @ W))))) & ![P:cartrealn,XI_:cartrealn]:(((in @ P @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ P @ W)))) & (in @ XI_ @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => (C = (distance @ (c_ @ XI_ @ W))))) => (P = XI_))))).
thf(aSELECTu_UNIQUEu_monomorphized1, axiom, ![P:(real > $o),X:real]:(![Y:real]:((P @ Y) <=> (Y = X)) => ((h_ @ P) = X))).
thf(aSELECTu_UNIQUEu_monomorphized0, axiom, ![P:(cartrealn > $o),X:cartrealn]:(![Y:cartrealn]:((P @ Y) <=> (Y = X)) => ((h_0 @ P) = X))).
thf(aSphereo_circumcenter, axiom, ![S:(cartrealn > $o)]:((circumcenter @ S) = (h_0 @ ^[V:cartrealn]:((hull @ affine @ S @ V) & ?[C:real]:![W:cartrealn]:((S @ W) => (C = (distance @ (c_ @ V @ W)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => ![P:cartrealn]:(((in @ P @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => ((distance @ (c_ @ P @ W)) = C))) => (P = (circumcenter @ S))))).
