%   ORIGINAL: Rogers.AZIM_EQ_SYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Rogers.AZIM_COMPL_EXT: !v w a b. azim v w b a = (if azim v w a b = &0 then &0 else &2 * pi - azim v w a b)
% Assm: TRUTH: T
% Goal: !v w a b c. azim v w b a = azim v w c a <=> azim v w a b = azim v w a c
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !v w a b. azim v w b a = (if azim v w a b = &0 then &0 else &2 * pi - azim v w a b)
% Assm: T
% Goal: !v w a b c. azim v w b a = azim v w c a <=> azim v w a b = azim v w a c
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRogerso_AZIMu_COMPLu_EXT, axiom, ![V:cartrealn3,W:cartrealn3,A:cartrealn3,B:cartrealn3]:((azim @ V @ W @ B @ A) = (cond @ ((azim @ V @ W @ A @ B) = (realu_ofu_num @ (numeral @ u_0))) @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi) @ (azim @ V @ W @ A @ B))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,W:cartrealn3,A:cartrealn3,B:cartrealn3,C:cartrealn3]:(((azim @ V @ W @ B @ A) = (azim @ V @ W @ C @ A)) <=> ((azim @ V @ W @ A @ B) = (azim @ V @ W @ A @ C)))).
