%   ORIGINAL: Rogers.IN_PLANE_NOT_COLLINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_LEMMA_ALT: !x y. collinear {vec 0, x, y} <=> x = vec 0 \/ (?c. y = c % x)
% Assm: DOT_EQ_0: !x. x dot x = &0 <=> x = vec 0
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: TRUTH: T
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Goal: !v n. ~(v = vec 0) /\ ~(n = vec 0) /\ n dot v = &0 ==> ~collinear {vec 0, n, v}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. collinear {vec 0, x, y} <=> x = vec 0 \/ (?c. y = c % x)
% Assm: !x. x dot x = &0 <=> x = vec 0
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: ~F <=> T
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: T
% Assm: !x. &0 % x = vec 0
% Goal: !v n. ~(v = vec 0) /\ ~(n = vec 0) /\ n dot v = &0 ==> ~collinear {vec 0, n, v}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_LEMMAu_ALT, axiom, ![X:cartrealn,Y:cartrealn]:((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty)))) <=> ((X = (vec @ (numeral @ u_0))) | ?[C:real]:(Y = (r_ @ C @ X))))).
thf(aDOTu_EQu_0, axiom, ![X:cartrealn]:(((dot @ X @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealn,Y:cartrealn]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec @ (numeral @ u_0)))).
thf(conjecture, conjecture, ![V:cartrealn,N:cartrealn]:((~ ((V = (vec @ (numeral @ u_0)))) & ~ ((N = (vec @ (numeral @ u_0)))) & ((dot @ N @ V) = (realu_ofu_num @ (numeral @ u_0)))) => ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ N @ (insert @ V @ empty))))))).
