%   ORIGINAL: Rogers.OBTUSE_ANGLE_PROJECTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: DOT_RSUB: !x y z. x dot (y - z) = x dot y - x dot z
% Assm: REAL_SUB_RZERO: !x. x - &0 = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: Rogers.ANGLE_GT_PI2: !a b c. pi / &2 < angle (a,b,c) <=> (a - b) dot (c - b) < &0
% Assm: Sphere.projection: !x e. projection e x = x - (x dot e) / (e dot e) % e
% Assm: TRUTH: T
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Goal: !a w n. pi / &2 < angle (a,vec 0,w) /\ a dot n = &0 ==> pi / &2 < angle (a,vec 0,projection n w)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x y z. x dot (y - z) = x dot y - x dot z
% Assm: !x. x - &0 = x
% Assm: !x. x * &0 = &0
% Assm: !a b c. pi / &2 < angle (a,b,c) <=> (a - b) dot (c - b) < &0
% Assm: !x e. projection e x = x - (x dot e) / (e dot e) % e
% Assm: T
% Assm: !x. x - vec 0 = x
% Goal: !a w n. pi / &2 < angle (a,vec 0,w) /\ a dot n = &0 ==> pi / &2 < angle (a,vec 0,projection n w)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealnprodcartrealncartrealn, type, prodcartrealnprodcartrealncartrealn : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cangle, type, angle : (prodcartrealnprodcartrealncartrealn > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cprojection, type, projection : (cartrealn > cartrealn > cartrealn)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealn > prodcartrealncartrealn > prodcartrealnprodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealn,Y:cartrealn]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_RSUB, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:((dot @ X @ (vectoru_sub @ Y @ Z)) = (realu_sub @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aREALu_SUBu_RZERO, axiom, ![X:real]:((realu_sub @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRogerso_ANGLEu_GTu_PI2, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn]:((realu_lt @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (angle @ (c_ @ A @ (c_0 @ B @ C)))) <=> (realu_lt @ (dot @ (vectoru_sub @ A @ B) @ (vectoru_sub @ C @ B)) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSphereo_projection, axiom, ![X:cartrealn,E:cartrealn]:((projection @ E @ X) = (vectoru_sub @ X @ (r_ @ (realu_div @ (dot @ X @ E) @ (dot @ E @ E)) @ E)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealn]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![A:cartrealn,W:cartrealn,N:cartrealn]:(((realu_lt @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (angle @ (c_ @ A @ (c_0 @ (vec @ (numeral @ u_0)) @ W)))) & ((dot @ A @ N) = (realu_ofu_num @ (numeral @ u_0)))) => (realu_lt @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (angle @ (c_ @ A @ (c_0 @ (vec @ (numeral @ u_0)) @ (projection @ N @ W))))))).
