%   ORIGINAL: Rogers.DIHV_GT_PI2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: Rogers.ARCV_GT_PI2: !p u v. pi / &2 < arcV p u v <=> cos (arcV p u v) < &0
% Assm: Sphere.dihV: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Assm: TRUTH: T
% Goal: !v w x y. pi / &2 < dihV v w x y <=> cos (dihV v w x y) < &0
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f x. LET f x <=> f x
% Assm: !t. LET_END t <=> t
% Assm: !p u v. pi / &2 < arcV p u v <=> cos (arcV p u v) < &0
% Assm: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Assm: T
% Goal: !v w x y. pi / &2 < dihV v w x y <=> cos (dihV v w x y) < &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(clet0, type, let0 : ((cartrealn > real) > cartrealn > real)).
thf(clet, type, let : ((a > $o) > a > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(carcv, type, arcv : (cartrealn > cartrealn > cartrealn > real)).
thf(cdihv, type, dihv : (cartrealn > cartrealn > cartrealn > cartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cletuu_end, type, letu_end : ($o > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cletuu_end0, type, letu_end0 : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLETu_DEF, axiom, ![F:(a > $o),X:a]:((let @ F @ X) <=> (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:$o]:((letu_end @ T) <=> T)).
thf(aRogerso_ARCVu_GTu_PI2, axiom, ![P:cartrealn,U:cartrealn,V:cartrealn]:((realu_lt @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (arcv @ P @ U @ V)) <=> (realu_lt @ (cos @ (arcv @ P @ U @ V)) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSphereo_dihV, axiom, ![W1:cartrealn,W3:cartrealn,W2:cartrealn,W0:cartrealn]:((dihv @ W0 @ W1 @ W2 @ W3) = (let0 @ ^[VA:cartrealn]:(letu_end0 @ (let0 @ ^[VB:cartrealn]:(letu_end0 @ (let0 @ ^[VC:cartrealn]:(letu_end0 @ (let0 @ ^[VAP:cartrealn]:(letu_end0 @ (let0 @ ^[VBP:cartrealn]:(letu_end0 @ (arcv @ (vec @ (numeral @ u_0)) @ VAP @ VBP)) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VB) @ (r_ @ (dot @ VB @ VC) @ VC)))) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VA) @ (r_ @ (dot @ VA @ VC) @ VC)))) @ (vectoru_sub @ W1 @ W0))) @ (vectoru_sub @ W3 @ W0))) @ (vectoru_sub @ W2 @ W0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn,W:cartrealn,X:cartrealn,Y:cartrealn]:((realu_lt @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (dihv @ V @ W @ X @ Y)) <=> (realu_lt @ (cos @ (dihv @ V @ W @ X @ Y)) @ (realu_ofu_num @ (numeral @ u_0))))).
