%   ORIGINAL: Rogers.AFFINE_HULL_CIRCUMCENTER_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_INDEPENDENT_SUBSET: !s t. ~affine_dependent t /\ s SUBSET t ==> ~affine_dependent s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Rogers.OAPVION2: !S. ~affine_dependent S ==> (!w. w IN S ==> radV S = dist (circumcenter S,w))
% Assm: Rogers.OAPVION3: !S. ~affine_dependent S ==> (!p. p IN affine hull S /\ (?c. !w. w IN S ==> dist (p,w) = c) ==> p = circumcenter S)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. ~affine_dependent s /\ t SUBSET s /\ ~(t = {}) /\ circumcenter s IN affine hull t ==> circumcenter s = circumcenter t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. ~affine_dependent t /\ s SUBSET t ==> ~affine_dependent s
% Assm: ~F <=> T
% Assm: !S. ~affine_dependent S ==> (!w. w IN S ==> radV S = dist (circumcenter S,w))
% Assm: !S. ~affine_dependent S ==> (!p. p IN affine hull S /\ (?c. !w. w IN S ==> dist (p,w) = c) ==> p = circumcenter S)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. ~affine_dependent s /\ t SUBSET s /\ ~(t = {}) /\ circumcenter s IN affine hull t ==> circumcenter s = circumcenter t
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cradv, type, radv : ((cartrealn > $o) > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(ccircumcenter, type, circumcenter : ((cartrealn > $o) > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_INDEPENDENTu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((~ ((affineu_dependent @ T)) & (subset @ S @ T)) => ~ ((affineu_dependent @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRogerso_OAPVION2, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => ![W:cartrealn]:((in @ W @ S) => ((radv @ S) = (distance @ (c_ @ (circumcenter @ S) @ W)))))).
thf(aRogerso_OAPVION3, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => ![P:cartrealn]:(((in @ P @ (hull @ affine @ S)) & ?[C:real]:![W:cartrealn]:((in @ W @ S) => ((distance @ (c_ @ P @ W)) = C))) => (P = (circumcenter @ S))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((~ ((affineu_dependent @ S)) & (subset @ T @ S) & ~ ((T = empty)) & (in @ (circumcenter @ S) @ (hull @ affine @ T))) => ((circumcenter @ S) = (circumcenter @ T)))).
