%   ORIGINAL: Marchal_cells.OMEGA_LIST_0_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HD: HD (CONS h t) = h
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Sphere.OMEGA_LIST_N_conjunct0: omega_list_n V ul 0 = HD ul
% Assm: TRUTH: T
% Goal: !a b c V ul. saturated V /\ packing V /\ ul IN barV V 3 /\ hl ul < sqrt (&2) /\ ul = [a; b; c; d] ==> omega_list_n V ul 0 = a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t h. HD (CONS h t) = h
% Assm: ~F <=> T
% Assm: !V ul. omega_list_n V ul 0 = HD ul
% Assm: T
% Goal: !d a b c V ul. saturated V /\ packing V /\ ul IN barV V 3 /\ hl ul < sqrt (&2) /\ ul = [a; b; c; d] ==> omega_list_n V ul 0 = a
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cnil, type, nil : listcartrealn3).
thf(chl, type, hl : (listcartrealn3 > real)).
thf(chd, type, hd : (listcartrealn3 > cartrealn3)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (listcartrealn3 > (listcartrealn3 > $o) > $o)).
thf(comegauu_listuu_n, type, omegau_listu_n : ((cartrealn3 > $o) > listcartrealn3 > num > cartrealn3)).
thf(ccons, type, cons : (cartrealn3 > listcartrealn3 > listcartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cbarv, type, barv : ((cartrealn3 > $o) > num > listcartrealn3 > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > listcartrealn3),G:(a > listcartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHD, axiom, ![T:listcartrealn3,H:cartrealn3]:((hd @ (cons @ H @ T)) = H)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSphereo_OMEGAu_LISTu_Nu_conjunct0, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3]:((omegau_listu_n @ V @ UL @ (numeral @ u_0)) = (hd @ UL))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![D:cartrealn3,A:cartrealn3,B:cartrealn3,C:cartrealn3,V:(cartrealn3 > $o),UL:listcartrealn3]:(((saturated @ V) & (packing @ V) & (in @ UL @ (barv @ V @ (numeral @ (bit1 @ (bit1 @ u_0))))) & (realu_lt @ (hl @ UL) @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & (UL = (cons @ A @ (cons @ B @ (cons @ C @ (cons @ D @ nil)))))) => ((omegau_listu_n @ V @ UL @ (numeral @ u_0)) = A))).
