%   ORIGINAL: Marchal_cells.CONVEX_HULL_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERS: !s. INTERS s = {x | !u. u IN s ==> x IN u}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_ELIM_THM_conjunct3: !p x. {y | p y} x <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: convex: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: hull: !P s. P hull s = INTERS {t | P t /\ s SUBSET t}
% Goal: !S S'. S SUBSET S' ==> convex hull S SUBSET convex hull S'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !s. INTERS s = {x | !u. u IN s ==> x IN u}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. {y | p y} x <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. convex s <=> (!x y u v. x IN s /\ y IN s /\ &0 <= u /\ &0 <= v /\ u + v = &1 ==> u % x + v % y IN s)
% Assm: !P s. P hull s = INTERS {t | P t /\ s SUBSET t}
% Goal: !S S'. S SUBSET S' ==> convex hull S SUBSET convex hull S'
%  TYPES
thf(tnum, type, num : $tType).
thf(tq43908, type, q43908 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec2, type, gspec2 : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinters0, type, inters0 : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin2, type, in2 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec1, type, gspec1 : ((q43908 > $o) > q43908 > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cinters, type, inters : (((a > $o) > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csetspec2, type, setspec2 : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec1, type, setspec1 : (q43908 > $o > q43908 > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTERS, axiom, ![S:((a > $o) > $o)]:((inters @ S) = (gspec @ ^[GENR_PVARR_3:a]:?[X:a]:(setspec @ GENR_PVARR_3 @ ![U:(a > $o)]:((in0 @ U @ S) => (in @ X @ U)) @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct3, axiom, ![P:(q43908 > $o),X:q43908]:((gspec1 @ ^[V:q43908]:?[Y:q43908]:(setspec1 @ V @ (P @ Y) @ Y) @ X) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in2 @ X @ S) => (in2 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aconvex, axiom, ![S:(cartrealn > $o)]:((convex @ S) <=> ![X:cartrealn,Y:cartrealn,U:real,V:real]:(((in2 @ X @ S) & (in2 @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in2 @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(ahull, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:((hull @ P @ S) = (inters0 @ (gspec2 @ ^[GENR_PVARR_246:(cartrealn > $o)]:?[T:(cartrealn > $o)]:(setspec2 @ GENR_PVARR_246 @ ((P @ T) & (subset @ S @ T)) @ T))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),SI_:(cartrealn > $o)]:((subset @ S @ SI_) => (subset @ (hull @ convex @ S) @ (hull @ convex @ SI_)))).
