%   ORIGINAL: Marchal_cells.BALL_CONVEX_HULL_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_BALL: !x e. convex (ball (x,e))
% Assm: CONVEX_HULL_EQ: !s. convex hull s = s <=> convex s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct3: !p x. {y | p y} x <=> p x
% Assm: I_THM: !x. I x = x
% Assm: Marchal_cells.CONVEX_HULL_SUBSET: !S S'. S SUBSET S' ==> convex hull S SUBSET convex hull S'
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: ball: !x e. ball (x,e) = {y | dist (x,y) < e}
% Goal: !S s r x. (!x. S x ==> dist (s,x) < r) ==> (convex hull S) x ==> dist (s,x) < r
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. convex (ball (x,e))
% Assm: !s. convex hull s = s <=> convex s
% Assm: !P x. x IN P <=> P x
% Assm: !p x. {y | p y} x <=> p x
% Assm: !x. I x = x
% Assm: !S S'. S SUBSET S' ==> convex hull S SUBSET convex hull S'
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x e. ball (x,e) = {y | dist (x,y) < e}
% Goal: !S s r x. (!x. S x ==> dist (s,x) < r) ==> (convex hull S) x ==> dist (s,x) < r
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq43908, type, q43908 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((q43908 > $o) > q43908 > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : (q43908 > $o > q43908 > $o)).
thf(ccu_0, type, c_0 : (cartrealn > real > prodcartrealnreal)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_BALL, axiom, ![X:cartrealn,E:real]:(convex @ (ball @ (c_0 @ X @ E)))).
thf(aCONVEXu_HULLu_EQ, axiom, ![S:(cartrealn > $o)]:(((hull @ convex @ S) = S) <=> (convex @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct3, axiom, ![P:(q43908 > $o),X:q43908]:((gspec @ ^[V:q43908]:?[Y:q43908]:(setspec @ V @ (P @ Y) @ Y) @ X) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aMarchalu_cellso_CONVEXu_HULLu_SUBSET, axiom, ![S:(cartrealn > $o),SI_:(cartrealn > $o)]:((subset @ S @ SI_) => (subset @ (hull @ convex @ S) @ (hull @ convex @ SI_)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aball, axiom, ![X:cartrealn,E:real]:((ball @ (c_0 @ X @ E)) = (gspec0 @ ^[GENR_PVARR_459:cartrealn]:?[Y:cartrealn]:(setspec0 @ GENR_PVARR_459 @ (realu_lt @ (distance @ (c_ @ X @ Y)) @ E) @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),S0:cartrealn,R:real,X:cartrealn]:(![X:cartrealn]:((S @ X) => (realu_lt @ (distance @ (c_ @ S0 @ X)) @ R)) => ((hull @ convex @ S @ X) => (realu_lt @ (distance @ (c_ @ S0 @ X)) @ R)))).
