%   ORIGINAL: Marchal_cells.RCONE_GT_CONVEX_HULL_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_HULL_EQ: !s. convex hull s = s <=> convex s
% Assm: I_THM: !x. I x = x
% Assm: Marchal_cells.CONVEX_HULL_SUBSET: !S S'. S SUBSET S' ==> convex hull S SUBSET convex hull S'
% Assm: Marchal_cells.CONVEX_RCONE_GT: !a b r. &0 <= r ==> convex (rcone_gt a b r)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b r s. s SUBSET rcone_gt a b r /\ &0 <= r ==> convex hull s SUBSET rcone_gt a b r
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex hull s = s <=> convex s
% Assm: !x. I x = x
% Assm: !S S'. S SUBSET S' ==> convex hull S SUBSET convex hull S'
% Assm: !a b r. &0 <= r ==> convex (rcone_gt a b r)
% Assm: ~F <=> T
% Assm: T
% Goal: !a b r s. s SUBSET rcone_gt a b r /\ &0 <= r ==> convex hull s SUBSET rcone_gt a b r
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crconeuu_gt, type, rconeu_gt : (cartrealn > cartrealn > real > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_HULLu_EQ, axiom, ![S:(cartrealn > $o)]:(((hull @ convex @ S) = S) <=> (convex @ S))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aMarchalu_cellso_CONVEXu_HULLu_SUBSET, axiom, ![S:(cartrealn > $o),SI_:(cartrealn > $o)]:((subset @ S @ SI_) => (subset @ (hull @ convex @ S) @ (hull @ convex @ SI_)))).
thf(aMarchalu_cellso_CONVEXu_RCONEu_GT, axiom, ![A:cartrealn,B:cartrealn,R:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) => (convex @ (rconeu_gt @ A @ B @ R)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,R:real,S:(cartrealn > $o)]:(((subset @ S @ (rconeu_gt @ A @ B @ R)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R)) => (subset @ (hull @ convex @ S) @ (rconeu_gt @ A @ B @ R)))).
