%   ORIGINAL: Upfzbzm_support_lemmas.DIHV_LE_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: NORM_CAUCHY_SCHWARZ_DIV: !x y. abs ((x dot y) / (norm x * norm y)) <= &1
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_BOUNDS_LE: !x k. --k <= x /\ x <= k <=> abs x <= k
% Assm: TRUTH: T
% Assm: Trigonometry.WZYUXVC: !v w u. arcV u v w = acs (((v - u) dot (w - u)) / (norm (v - u) * norm (w - u)))
% Assm: Trigonometry2.ACS: !y. -- &1 <= y /\ y <= &1 ==> &0 <= acs y /\ acs y <= pi
% Assm: dihV: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Goal: !x y z t. &0 <= dihV x y z t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: !x y. abs ((x dot y) / (norm x * norm y)) <= &1
% Assm: ~F <=> T
% Assm: !x k. --k <= x /\ x <= k <=> abs x <= k
% Assm: T
% Assm: !v w u. arcV u v w = acs (((v - u) dot (w - u)) / (norm (v - u) * norm (w - u)))
% Assm: !y. -- &1 <= y /\ y <= &1 ==> &0 <= acs y /\ acs y <= pi
% Assm: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Goal: !x y z t. &0 <= dihV x y z t
%  TYPES
thf(tnum, type, num : $tType).
thf(tq708059, type, q708059 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq708059, type, cartrealq708059 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clet0, type, let0 : ((cartrealn > real) > cartrealn > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq708059 > real)).
thf(cdot0, type, dot0 : (cartrealq708059 > cartrealq708059 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cpi, type, pi : real).
thf(clet, type, let : ((a > b) > a > b)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(carcv0, type, arcv0 : (cartrealn > cartrealn > cartrealn > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq708059 > cartrealq708059 > cartrealq708059)).
thf(carcv, type, arcv : (cartrealq708059 > cartrealq708059 > cartrealq708059 > real)).
thf(cdihv, type, dihv : (cartrealn > cartrealn > cartrealn > cartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cletuu_end, type, letu_end : (a > a)).
thf(cletuu_end0, type, letu_end0 : (real > real)).
thf(cacs, type, acs : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLETu_DEF, axiom, ![F:(a > b),X:a]:((let @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:a]:((letu_end @ T) = T)).
thf(aNORMu_CAUCHYu_SCHWARZu_DIV, axiom, ![X:cartrealn,Y:cartrealn]:(realu_le @ (realu_abs @ (realu_div @ (dot @ X @ Y) @ (realu_mul @ (vectoru_norm @ X) @ (vectoru_norm @ Y)))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_BOUNDSu_LE, axiom, ![X:real,K:real]:(((realu_le @ (realu_neg @ K) @ X) & (realu_le @ X @ K)) <=> (realu_le @ (realu_abs @ X) @ K))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_WZYUXVC, axiom, ![V:cartrealq708059,W:cartrealq708059,U:cartrealq708059]:((arcv @ U @ V @ W) = (acs @ (realu_div @ (dot0 @ (vectoru_sub @ V @ U) @ (vectoru_sub @ W @ U)) @ (realu_mul @ (vectoru_norm0 @ (vectoru_sub @ V @ U)) @ (vectoru_norm0 @ (vectoru_sub @ W @ U))))))).
thf(aTrigonometry2o_ACS, axiom, ![Y:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y) & (realu_le @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (acs @ Y)) & (realu_le @ (acs @ Y) @ pi)))).
thf(adihV, axiom, ![W1:cartrealn,W3:cartrealn,W2:cartrealn,W0:cartrealn]:((dihv @ W0 @ W1 @ W2 @ W3) = (let0 @ ^[VA:cartrealn]:(letu_end0 @ (let0 @ ^[VB:cartrealn]:(letu_end0 @ (let0 @ ^[VC:cartrealn]:(letu_end0 @ (let0 @ ^[VAP:cartrealn]:(letu_end0 @ (let0 @ ^[VBP:cartrealn]:(letu_end0 @ (arcv0 @ (vec @ (numeral @ u_0)) @ VAP @ VBP)) @ (vectoru_sub0 @ (r_ @ (dot @ VC @ VC) @ VB) @ (r_ @ (dot @ VB @ VC) @ VC)))) @ (vectoru_sub0 @ (r_ @ (dot @ VC @ VC) @ VA) @ (r_ @ (dot @ VA @ VC) @ VC)))) @ (vectoru_sub0 @ W1 @ W0))) @ (vectoru_sub0 @ W3 @ W0))) @ (vectoru_sub0 @ W2 @ W0)))).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn,Z:cartrealn,T:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (dihv @ X @ Y @ Z @ T))).
