%   ORIGINAL: Upfzbzm_support_lemmas.SUM_SET_OF_2_ELEMENTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_SING: !a. FINITE {a}
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUM_SING: !f x. sum {x} f = f x
% Assm: SUM_UNION: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: TRUTH: T
% Goal: !s t f. ~(s = t) ==> sum {s, t} f = f s + f t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !a. FINITE {a}
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !f x. sum {x} f = f x
% Assm: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: T
% Goal: !s t f. ~(s = t) ==> sum {s, t} f = f s + f t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdisjoint, type, disjoint : ((a > $o) > (a > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci0, type, i0 : (a > a)).
thf(ci, type, i : (real > real)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(a > $o),T:(a > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_SING, axiom, ![A:a]:(finite @ (insert @ A @ empty))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSUMu_SING, axiom, ![F:(a > real),X:a]:((sum @ (insert @ X @ empty) @ F) = (F @ X))).
thf(aSUMu_UNION, axiom, ![F:(a > real),S:(a > $o),T:(a > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((sum @ (union @ S @ T) @ F) = (realu_add @ (sum @ S @ F) @ (sum @ T @ F))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:a,T:a,F:(a > real)]:(~ ((S = T)) => ((sum @ (insert @ S @ (insert @ T @ empty)) @ F) = (realu_add @ (F @ S) @ (F @ T))))).
