%   ORIGINAL: Marchal_cells_2.DISJOINT_KY_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Geomdetail.IN_ACT_SING: !a x. ({a} x <=> a = x) /\ (x IN {a} <=> x = a) /\ {a} a
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: ~(x = y) /\ ~(x = z) ==> DISJOINT {x} {y, z}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !a x. ({a} x <=> a = x) /\ (x IN {a} <=> x = a) /\ {a} a
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !z y x. ~(x = y) /\ ~(x = z) ==> DISJOINT {x} {y, z}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(ci, type, i : (cartrealn3 > cartrealn3)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aGeomdetailo_INu_ACTu_SING, axiom, ![A:cartrealn3,X:cartrealn3]:(((insert @ A @ empty @ X) <=> (A = X)) & ((in0 @ X @ (insert @ A @ empty)) <=> (X = A)) & (insert @ A @ empty @ A))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTER, axiom, ![S:(a > $o),T:(a > $o)]:((inter0 @ S @ T) = (gspec @ ^[GENR_PVARR_2:a]:?[X:a]:(setspec @ GENR_PVARR_2 @ ((in @ X @ S) & (in @ X @ T)) @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aIu_THM, axiom, ![X:cartrealn3]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in0 @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn3,Y:cartrealn3,X:cartrealn3]:((~ ((X = Y)) & ~ ((X = Z))) => (disjoint @ (insert @ X @ empty) @ (insert @ Y @ (insert @ Z @ empty))))).
